package Locale::CLDR::Kk;
# This file auto generated from Data\common\main\kk.xml
#	on Mon 31 Mar 12:53:40 am GMT
# XML file generated 2014-02-28 23:57:43 -0600 (Fri, 28 Feb 2014)

use v5.18;
use mro 'c3';
use utf8;

use Moose;

extends('Locale::CLDR::Root');
# Need to add code for Key type pattern
sub display_name_pattern {
	my ($self, $name, $territory, $script, $variant) = @_;

	my $display_pattern = '{0} ({1})';
	$display_pattern =~s/\{0\}/$name/g;
	my $subtags = join '{0}, {1}', grep {$_} (
		$territory,
		$script,
		$variant,
	);

	$display_pattern =~s/\{1\}/$subtags/g;
	return $display_pattern;
}

has 'display_name_language' => (
	is			=> 'ro',
	isa			=> 'CodeRef',
	init_arg	=> undef,
	default		=> sub { 
		 sub {
			 my %languages = (
				'ab' => 'абхаз',
 				'af' => 'африкаанс',
 				'am' => 'амхар',
 				'ar' => 'араб',
 				'ar_001' => 'қазіргі стандартты араб тілі',
 				'as' => 'ассам',
 				'ay' => 'Аймара',
 				'az' => 'әзірбайжан',
 				'be' => 'беларус',
 				'bg' => 'болгар',
 				'bn' => 'бенгал',
 				'bo' => 'тибет тілі',
 				'br' => 'брит',
 				'bs' => 'босния',
 				'ca' => 'каталан',
 				'cs' => 'чех',
 				'cy' => 'валлий',
 				'da' => 'дат',
 				'de' => 'неміс тілі',
 				'de_AT' => 'австриялық неміс тілі',
 				'de_CH' => 'швейцариялық ұлы неміс тілі',
 				'dv' => 'Мальдив',
 				'dz' => 'дзонг-кэ',
 				'efi' => 'эфик',
 				'el' => 'грек',
 				'en' => 'ағылшын тілі',
 				'en_AU' => 'австралиялық ағылшын тілі',
 				'en_CA' => 'канадалық ағылшын тілі',
 				'en_GB' => 'британиялық ағылшын тілі',
 				'en_GB@alt=short' => 'ағылшын тілі (Біріккен Корольдік)',
 				'en_US' => 'американдық ағылшын тілі',
 				'en_US@alt=short' => 'ағылшын тілі (US)',
 				'eo' => 'эсперанто',
 				'es' => 'испан тілі',
 				'es_419' => 'латын американдық испан тілі',
 				'es_ES' => 'ибериялық испан тілі',
 				'es_MX' => 'мексикалық испан тілі',
 				'et' => 'эстон',
 				'eu' => 'баск',
 				'fa' => 'парсы',
 				'fi' => 'фин',
 				'fil' => 'филиппин',
 				'fj' => 'фиджи',
 				'fo' => 'фарер',
 				'fr' => 'француз тілі',
 				'fr_CA' => 'канадалық француз тілі',
 				'fr_CH' => 'швейцариялық француз тілі',
 				'fy' => 'батыс фриз',
 				'ga' => 'ирланд',
 				'gd' => 'Солтүстік Шотландия',
 				'gl' => 'гали',
 				'gn' => 'гуарани',
 				'gsw' => 'швейцариялық неміс тілі',
 				'gu' => 'гуджарати',
 				'ha' => 'хауса',
 				'haw' => 'гавай',
 				'he' => 'иврит',
 				'hi' => 'хинди',
 				'hr' => 'хорват',
 				'ht' => 'гаитян',
 				'hu' => 'венгер',
 				'hy' => 'армян',
 				'ia' => 'интерлингва',
 				'id' => 'индонезия',
 				'ie' => 'интерлингве',
 				'ig' => 'игбо',
 				'is' => 'исланд',
 				'it' => 'итальян тілі',
 				'ja' => 'жапон тілі',
 				'jv' => 'ява',
 				'ka' => 'грузин',
 				'kk' => 'қазақ тілі',
 				'km' => 'кхмер',
 				'kn' => 'каннада',
 				'ko' => 'кәріс',
 				'ks' => 'кашмир',
 				'ku' => 'күрд',
 				'ky' => 'қырғыз',
 				'la' => 'латын',
 				'lb' => 'люксембург',
 				'ln' => 'лингала',
 				'lo' => 'лаос',
 				'lt' => 'литва',
 				'lv' => 'латыш',
 				'mg' => 'малагаси',
 				'mi' => 'маори',
 				'mk' => 'македон',
 				'ml' => 'малайялам',
 				'mn' => 'моңғол',
 				'mr' => 'маратхи',
 				'ms' => 'малай',
 				'mt' => 'мальта',
 				'my' => 'бирман',
 				'nb' => 'норвегиялық букмол',
 				'nd' => 'Солтүстік ндебел',
 				'ne' => 'непал',
 				'nl' => 'голланд',
 				'nl_BE' => 'флемиш',
 				'nn' => 'норвегиялық нинорск',
 				'no' => 'норвег',
 				'nso' => 'Солтүстік сотхо',
 				'ny' => 'ньянджа',
 				'oc' => 'окситан',
 				'or' => 'ория',
 				'os' => 'осетин',
 				'pa' => 'панджаб',
 				'pl' => 'поляк',
 				'ps' => 'пушту',
 				'pt' => 'португал тілі',
 				'pt_BR' => 'бразилиялық португал тілі',
 				'pt_PT' => 'еуропалық португал тілі',
 				'qu' => 'кечуа',
 				'rm' => 'романш',
 				'rn' => 'рунди',
 				'ro' => 'румын',
 				'ru' => 'орыс тілі',
 				'rw' => 'киньяруанда',
 				'sa' => 'санскрит',
 				'sah' => 'якут',
 				'sd' => 'синдхи',
 				'se' => 'Солтүстік саам',
 				'sg' => 'санго',
 				'sh' => 'сербхорват',
 				'si' => 'сингал',
 				'sk' => 'словак',
 				'sl' => 'словен',
 				'so' => 'сомали',
 				'sq' => 'албан',
 				'sr' => 'серб',
 				'st' => 'сесото',
 				'su' => 'судан',
 				'sv' => 'швед',
 				'sw' => 'суахили',
 				'ta' => 'тамил',
 				'te' => 'телугу',
 				'tg' => 'тәжік',
 				'th' => 'тай',
 				'ti' => 'тигринья',
 				'tk' => 'түрікмен',
 				'tlh' => 'клингон',
 				'to' => 'тонган',
 				'tr' => 'түрік',
 				'tt' => 'татар',
 				'tw' => 'тви',
 				'ug' => 'ұйғыр',
 				'uk' => 'украин',
 				'und' => 'белгісіз тіл',
 				'ur' => 'урду',
 				'uz' => 'өзбек',
 				'vi' => 'вьетнам',
 				'wo' => 'волоф',
 				'xh' => 'ксоза',
 				'yi' => 'идиш',
 				'yo' => 'йоруба',
 				'zgh' => 'марокколық стандартты тамазигхт',
 				'zh' => 'қытай тілі',
 				'zh_Hans' => 'қарапайым қытай тілі',
 				'zh_Hant' => 'дәстүрлік қытай тілі',
 				'zu' => 'зулу',
 				'zxx' => 'тілдік мазмұны жоқ',

			);
			if (@_) {
				return $languages{$_[0]};
			}
			return \%languages;
		}
	},
);

has 'display_name_script' => (
	is			=> 'ro',
	isa			=> 'CodeRef',
	init_arg	=> undef,
	default		=> sub {
		sub {
			my %scripts = (
			'Arab' => 'араб жазылуы',
 			'Armn' => 'армян жазуы',
 			'Beng' => 'бенгал',
 			'Bopo' => 'Бопомофо',
 			'Brai' => 'Брайля',
 			'Cyrl' => 'кириллица',
 			'Deva' => 'Деванагари жазуы',
 			'Ethi' => 'Эфиопия жазуы',
 			'Geor' => 'Грузин жазуы',
 			'Grek' => 'Грек жазуы',
 			'Gujr' => 'Гуджарати',
 			'Guru' => 'Гурмукхи',
 			'Hang' => 'хангул',
 			'Hani' => 'қытай жазуы',
 			'Hans' => 'қарапайым қытай иероглифы',
 			'Hans@alt=stand-alone' => 'қарапайым қытай иероглифы',
 			'Hant' => 'дәстүрлік қытай иероглифы',
 			'Hant@alt=stand-alone' => 'дәстүрлі қытай иероглифы',
 			'Hebr' => 'Иврит',
 			'Hira' => 'Хирагана',
 			'Jpan' => 'жапон',
 			'Kana' => 'катакана',
 			'Khmr' => 'Кхмер',
 			'Knda' => 'Каннада',
 			'Kore' => 'Корей жазуы',
 			'Laoo' => 'Лаос жазуы',
 			'Latn' => 'латын жазылуы',
 			'Mlym' => 'Малаялам',
 			'Mong' => 'монғол',
 			'Mymr' => 'Маянмар',
 			'Orya' => 'Ория',
 			'Sinh' => 'Сингаль',
 			'Taml' => 'Тамиль',
 			'Telu' => 'Телугу',
 			'Thaa' => 'Таана',
 			'Thai' => 'Тай',
 			'Tibt' => 'Тибет жазуы',
 			'Zsym' => 'Белгілер',
 			'Zxxx' => 'жазылуысыз',
 			'Zyyy' => 'жалпы',
 			'Zzzz' => 'белгісіз жазылуы',

			);
			if ( @_ ) {
				return $scripts{$_[0]};
			}
			return \%scripts;
		}
	}
);

has 'display_name_territory' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'001' => 'Әлем',
 			'002' => 'Африка',
 			'003' => 'Солтүстік Америка',
 			'005' => 'Оңтүстік Америка',
 			'009' => 'Океания',
 			'011' => 'Батыс Африка',
 			'013' => 'Орталық Америка',
 			'014' => 'Шығыс Африка',
 			'015' => 'Солтүстік Африка',
 			'017' => 'Орталық Африка',
 			'018' => 'Оңтүстік Африка',
 			'019' => 'Америкалар',
 			'021' => 'Американың солтүстігі',
 			'029' => 'Кариб',
 			'030' => 'Шығыс Азия',
 			'034' => 'Оңтүстік Азия',
 			'035' => 'Оңтүстік-шығыс Азия',
 			'039' => 'Оңтүстік Еуропа',
 			'053' => 'Австралазия',
 			'054' => 'Меланезия',
 			'057' => 'Микронезия регионы',
 			'061' => 'Полинезия',
 			'142' => 'Азия',
 			'143' => 'Орталық Азия',
 			'145' => 'Батыс Азия',
 			'150' => 'Еуропа',
 			'151' => 'Шығыс Еуропа',
 			'154' => 'Солтүстік Еуропа',
 			'155' => 'Батыс Еуропа',
 			'419' => 'Латын Америкасы',
 			'AC' => 'Ғибадат аралы',
 			'AD' => 'Андорра',
 			'AE' => 'Біріккен Араб Эмираттары',
 			'AF' => 'Ауғанстан',
 			'AG' => 'Антигуа мен Барбуда',
 			'AI' => 'Ангилья',
 			'AL' => 'Албания',
 			'AM' => 'Армения',
 			'AO' => 'Ангола',
 			'AQ' => 'Антарктика',
 			'AR' => 'Аргентина',
 			'AS' => 'Американ Самоасы',
 			'AT' => 'Австрия',
 			'AU' => 'Австралия',
 			'AW' => 'Аруба',
 			'AX' => 'Аланд аралдары',
 			'AZ' => 'Әзербайжан',
 			'BA' => 'Босния және Герцеговина',
 			'BB' => 'Барбадос',
 			'BD' => 'Бангладеш',
 			'BE' => 'Бельгия',
 			'BF' => 'Буркина-Фасо',
 			'BG' => 'Болгария',
 			'BH' => 'Бахрейн',
 			'BI' => 'Бурунди',
 			'BJ' => 'Бенин',
 			'BL' => 'Сен-Бартелеми',
 			'BM' => 'Бермуд аралдары',
 			'BN' => 'Бруней',
 			'BO' => 'Боливия',
 			'BQ' => 'Кариб Нидерландысы',
 			'BR' => 'Бразилия',
 			'BS' => 'Багам аралдары',
 			'BT' => 'Бутан',
 			'BV' => 'Буве аралы',
 			'BW' => 'Ботсвана',
 			'BY' => 'Беларусь',
 			'BZ' => 'Белиз',
 			'CA' => 'Канада',
 			'CC' => 'Кокос аралдары',
 			'CD' => 'Конго',
 			'CD@alt=variant' => 'Конго Демократиялық Республикасы',
 			'CF' => 'Орталық Африка Республикасы',
 			'CG' => 'Конго Республикасы',
 			'CH' => 'Швейцария',
 			'CI' => 'Кот-д’Ивуар',
 			'CI@alt=variant' => 'Піл сүйегі жағалауы Республикасы',
 			'CK' => 'Кук аралдары',
 			'CL' => 'Чили',
 			'CM' => 'Камерун',
 			'CN' => 'Қытай',
 			'CO' => 'Колумбия',
 			'CP' => 'Клиппертон аралы',
 			'CR' => 'Коста-Рика',
 			'CU' => 'Куба',
 			'CV' => 'Кабо-Верде',
 			'CW' => 'Кюрасао',
 			'CX' => 'Кристмас аралы',
 			'CY' => 'Кипр',
 			'CZ' => 'Чех Республикасы',
 			'DE' => 'Алмания',
 			'DG' => 'Диего-Гарсия',
 			'DJ' => 'Джибути',
 			'DK' => 'Дания',
 			'DM' => 'Доминика',
 			'DO' => 'Доминикан Республикасы',
 			'DZ' => 'Алжир',
 			'EA' => 'Сеута мен Мелилья',
 			'EC' => 'Эквадор',
 			'EE' => 'Эстония',
 			'EG' => 'Мысыр',
 			'EH' => 'Батыс Сахара',
 			'ER' => 'Эритрея',
 			'ES' => 'Испания',
 			'ET' => 'Эфиопия',
 			'EU' => 'Еуропалық Одақ',
 			'FI' => 'Финляндия',
 			'FJ' => 'Фиджи',
 			'FK' => 'Фолкленд аралдары',
 			'FK@alt=variant' => 'Фолкленд аралдары (Мальвин аралдары)',
 			'FM' => 'Микронезия',
 			'FO' => 'Фарер аралдары',
 			'FR' => 'Франция',
 			'GA' => 'Габон',
 			'GB' => 'Ұлыбритания',
 			'GB@alt=short' => 'Ұлыбритания',
 			'GD' => 'Гренада',
 			'GE' => 'Грузия',
 			'GF' => 'Француз Гвианасы',
 			'GG' => 'Гернси',
 			'GH' => 'Гана',
 			'GI' => 'Гибралтар',
 			'GL' => 'Гренландия',
 			'GM' => 'Гамбия',
 			'GN' => 'Гвинея',
 			'GP' => 'Гваделупа',
 			'GQ' => 'Экваторлық Гвинея',
 			'GR' => 'Грекия',
 			'GS' => 'Оңтүстік Георгия және Оңтүстік Сандвичев аралы',
 			'GT' => 'Гватемала',
 			'GU' => 'Гуам',
 			'GW' => 'Гвинея-Бисау',
 			'GY' => 'Гайана',
 			'HK' => 'Қытай Халық Республикасының Гонг-Конг арнайы әкімшілік ауданы',
 			'HK@alt=short' => 'Гонконг',
 			'HM' => 'Херд аралы мен Макдональд аралы',
 			'HN' => 'Гондурас',
 			'HR' => 'Хорватия',
 			'HT' => 'Гаити',
 			'HU' => 'Венгрия',
 			'IC' => 'Канар аралдары',
 			'ID' => 'Индонезия',
 			'IE' => 'Ирландия',
 			'IL' => 'Израиль',
 			'IM' => 'Мэн аралы',
 			'IN' => 'Индия',
 			'IO' => 'Үнді мұхитындағы Британ аймағы',
 			'IQ' => 'Ирак',
 			'IR' => 'Иран',
 			'IS' => 'Исландия',
 			'IT' => 'Италия',
 			'JE' => 'Джерси',
 			'JM' => 'Ямайка',
 			'JO' => 'Иордания',
 			'JP' => 'Жапония',
 			'KE' => 'Кения',
 			'KG' => 'Қырғызстан',
 			'KH' => 'Камбоджа',
 			'KI' => 'Кирибати',
 			'KM' => 'Комор',
 			'KN' => 'Сент-Китс және Невис',
 			'KP' => 'Оңтүстік Корея',
 			'KR' => 'Солтүстік Корея',
 			'KW' => 'Кувейт',
 			'KY' => 'Кайман аралдары',
 			'KZ' => 'Қазақстан',
 			'LA' => 'Лаос',
 			'LB' => 'Лебанон',
 			'LC' => 'Сент-Люсия',
 			'LI' => 'Лихтенштейн',
 			'LK' => 'Шри-Ланка',
 			'LR' => 'Либерия',
 			'LS' => 'Лесото',
 			'LT' => 'Литва',
 			'LU' => 'Люксембург',
 			'LV' => 'Латвия',
 			'LY' => 'Либия',
 			'MA' => 'Морокко',
 			'MC' => 'Монако',
 			'MD' => 'Молдова',
 			'ME' => 'Черногория',
 			'MF' => 'Сен-Мартен',
 			'MG' => 'Мадагаскар',
 			'MH' => 'Маршалл аралдары',
 			'MK' => 'Македония',
 			'MK@alt=variant' => 'Македония Республикасы',
 			'ML' => 'Мали',
 			'MM' => 'Мьянма (Бирма)',
 			'MN' => 'Моңғолия',
 			'MO' => 'Қытай Халық Республикасының Макао арнайы әкімшілік ауданы',
 			'MO@alt=short' => 'Макао',
 			'MP' => 'Солтүстік Мариан аралдары',
 			'MQ' => 'Мартиника',
 			'MR' => 'Мавритания',
 			'MS' => 'Монтсеррат',
 			'MT' => 'Мальта',
 			'MU' => 'Маврикий',
 			'MV' => 'Мальдив Республикасы',
 			'MW' => 'Малави',
 			'MX' => 'Мексика',
 			'MY' => 'Малайзия',
 			'MZ' => 'Мозамбик',
 			'NA' => 'Намибия',
 			'NC' => 'Жаңа Каледония',
 			'NE' => 'Нигер',
 			'NF' => 'Норфолк аралы',
 			'NG' => 'Нигерия',
 			'NI' => 'Никарагуа',
 			'NL' => 'Голландия',
 			'NO' => 'Норвегия',
 			'NP' => 'Непал',
 			'NR' => 'Науру',
 			'NU' => 'Ниуэ',
 			'NZ' => 'Жаңа Зеландия',
 			'OM' => 'Оман',
 			'PA' => 'Панама',
 			'PE' => 'Перу',
 			'PF' => 'Француз Полинезиясы',
 			'PG' => 'Папуа — Жаңа Гвинея',
 			'PH' => 'Филиппиндер',
 			'PK' => 'Пәкістан',
 			'PL' => 'Польша',
 			'PM' => 'Сен-Пьер және Микелон',
 			'PN' => 'Питкэрн аралдары',
 			'PR' => 'Пуэрто-Рико',
 			'PS' => 'Палестина аймақтары',
 			'PS@alt=short' => 'Палестина',
 			'PT' => 'Португалия',
 			'PW' => 'Палау',
 			'PY' => 'Парагвай',
 			'QA' => 'Катар',
 			'QO' => 'Алыс Океания',
 			'RE' => 'Реюньон',
 			'RO' => 'Румыния',
 			'RS' => 'Сербия',
 			'RU' => 'Ресей',
 			'RW' => 'Руанда',
 			'SA' => 'Сауд Арабиясы',
 			'SB' => 'Соломон аралдары',
 			'SC' => 'Сейшель аралдары',
 			'SD' => 'Судан',
 			'SE' => 'Швеция',
 			'SG' => 'Сингапур',
 			'SH' => 'Әулие Елена аралы',
 			'SI' => 'Словения',
 			'SJ' => 'Шпицберген мен Ян-Майен',
 			'SK' => 'Словакия',
 			'SL' => 'Сьерра-Леоне',
 			'SM' => 'Сан-Марино',
 			'SN' => 'Сенегал',
 			'SO' => 'Сомали',
 			'SR' => 'Суринам',
 			'SS' => 'Оңтүстік Судан',
 			'ST' => 'Сан-Томе мен Принсипи',
 			'SV' => 'Сальвадор',
 			'SX' => 'Синт-Мартен',
 			'SY' => 'Сирия',
 			'SZ' => 'Свазиленд',
 			'TA' => 'Тристан-да-Кунья',
 			'TC' => 'Туркс пен Кайкос',
 			'TD' => 'Чад',
 			'TF' => 'Францияның солтүстік аймағы',
 			'TG' => 'Того',
 			'TH' => 'Тайланд',
 			'TJ' => 'Тәжікстан',
 			'TK' => 'Токелау',
 			'TL' => 'Тимор-Лесте',
 			'TL@alt=variant' => 'Шығыс Тимор',
 			'TM' => 'Түрікменстан',
 			'TN' => 'Тунис',
 			'TO' => 'Тонга',
 			'TR' => 'Түркия',
 			'TT' => 'Тринидад пен Тобаго',
 			'TV' => 'Тувалу',
 			'TW' => 'Тайвань',
 			'TZ' => 'Танзания',
 			'UA' => 'Украина',
 			'UG' => 'Уганда',
 			'UM' => 'АҚШ-тың ішкі кіші аралдары',
 			'US' => 'АҚШ',
 			'US@alt=short' => 'АҚШ',
 			'UY' => 'Уругвай',
 			'UZ' => 'Өзбекстан',
 			'VA' => 'Ватикан',
 			'VC' => 'Сент-Винсент және Гренадиндер',
 			'VE' => 'Венесуэла',
 			'VG' => 'Британдық Виргин аралдары',
 			'VI' => 'АҚШ-тың Виргин аралдары',
 			'VN' => 'Вьетнам',
 			'VU' => 'Вануату',
 			'WF' => 'Уоллис пен Футуна',
 			'WS' => 'Самоа',
 			'XK' => 'Косово',
 			'YE' => 'Йемен',
 			'YT' => 'Майотта',
 			'ZA' => 'Оңтүстік Африка республикасы',
 			'ZM' => 'Замбия',
 			'ZW' => 'Зимбабве',
 			'ZZ' => 'Белгісіз аймақ',

		}
	},
);

has 'display_name_variant' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'AREVELA' => 'Шығыс-армян',
 			'AREVMDA' => 'Батыс-армян',
 			'SAAHO' => 'Сахо',
 			'WADEGILE' => 'Уейд-Джайлс жүйесі',

		}
	},
);

has 'display_name_key' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'calendar' => 'Күнтізбе',
 			'collation' => 'Салыстыру',
 			'currency' => 'Валюта',
 			'numbers' => 'Сандар',

		}
	},
);

has 'display_name_type' => (
	is			=> 'ro',
	isa			=> 'HashRef[HashRef[Str]]',
	init_arg	=> undef,
	default		=> sub {
		{
			'calendar' => {
 				'chinese' => q{Қытай күнтізбесі},
 				'gregorian' => q{Грегориандық күнтізбе},
 				'indian' => q{Үндістанның ұлттық күнтізбесі},
 				'islamic' => q{Ислам күнтізбесі},
 				'islamic-civil' => q{Ислам азаматтық күнтізбесі},
 				'japanese' => q{Жапон күнтізбесі},
 				'persian' => q{Парсы күнтізбесі},
 			},
 			'collation' => {
 				'ducet' => q{Әдепкі уникод сұрыптау реті},
 				'search' => q{Жалпы мақсаттағы іздеу},
 				'standard' => q{Стандартты сұрыптау реті},
 			},
 			'numbers' => {
 				'arab' => q{Үнді-араб сандары},
 				'arabext' => q{Үнді-араб сандарының кеңейтілген жүйесі},
 				'armn' => q{Армян сандары},
 				'armnlow' => q{Төменгі регистрдегі армян сандары},
 				'beng' => q{Бенгал сандары},
 				'deva' => q{Деванагари сандары},
 				'ethi' => q{Эфиопия сандары},
 				'fullwide' => q{Сандардың толық пішімі},
 				'geor' => q{Грузин сандары},
 				'grek' => q{Грек сандары},
 				'greklow' => q{Төменгі регистрдегі грек сандары},
 				'gujr' => q{Гуджарати сандары},
 				'guru' => q{Гурмукхи сандары},
 				'hanidec' => q{Қытай ондық сандары},
 				'hans' => q{Қарапайым қытай сандары},
 				'hansfin' => q{Қаржы саласындағы қарапайым қытай сандары},
 				'hant' => q{Дәстүрлі қытай сандары},
 				'hantfin' => q{Қаржы саласындағы дәстүрлі қытай сандары},
 				'hebr' => q{Иврит сандары},
 				'jpan' => q{Жапон сандары},
 				'jpanfin' => q{Қаржы саласындағы жапаон сандары},
 				'khmr' => q{Кхмер сандары},
 				'knda' => q{Каннада сандары},
 				'laoo' => q{Лаос сандары},
 				'latn' => q{Батыс сандары},
 				'mlym' => q{Малаялам},
 				'mymr' => q{Мьянма сандары},
 				'orya' => q{Ория сандары},
 				'roman' => q{Рим сандары},
 				'romanlow' => q{Төменгі регистрдегі рим сандары},
 				'taml' => q{Дәстүрлі тамил сандары},
 				'tamldec' => q{Тамил сандары},
 				'telu' => q{Телугу сандары},
 				'thai' => q{Тай сандары},
 				'tibt' => q{Тибет сандары},
 			},

		}
	},
);

has 'display_name_measurement_system' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'metric' => q{метрикалық жүйе},
 			'UK' => q{ҰБ},
 			'US' => q{АҚШ},

		}
	},
);

has 'display_name_code_patterns' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'language' => 'Тіл: {0}',
 			'script' => 'Жазылуы: {0}',
 			'territory' => 'Аймақ: {0}',

		}
	},
);

has 'characters' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub {
		no warnings 'experimental::regex_sets';
		return {
			index => ['А', 'Ә', 'Б', 'В', 'Г', 'Ғ', 'Д', 'Е', 'Ё', 'Ж', 'З', 'И', 'Й', 'К', 'Қ', 'Л', 'М', 'Н', 'Ң', 'О', 'Ө', 'П', 'Р', 'С', 'Т', 'У', 'Ұ', 'Ү', 'Ф', 'Х', 'Һ', 'Ц', 'Ч', 'Ш', 'Щ', 'Ъ', 'Ы', 'І', 'Ь', 'Э', 'Ю', 'Я'],
			main => qr{(?^u:[а ә б в г ғ д е ё ж з и й к қ л м н ң о ө п р с т у ұ ү ф х һ ц ч ш щ ъ ы і ь э ю я])},
			punctuation => qr{(?^u:[\- ‐ – — , ; \: ! ? . … ' ‘ ’ " “ ” « » ( ) \[ \] \{ \} § @ * / \& #])},
		};
	},
);

has 'ellipsis' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub {
		return {
			'final' => '{0}…',
			'initial' => '…{0}',
			'medial' => '{0}…{1}',
			'word-final' => '{0} …',
			'word-initial' => '… {0}',
			'word-medial' => '{0} … {1}',
		};
	},
);

has 'more_information' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{?},
);

has 'quote_start' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{“},
);

has 'quote_end' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{”},
);

has 'alternate_quote_start' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{‘},
);

has 'alternate_quote_end' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{’},
);

has 'duration_units' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { {
				hm => 'h:mm',
				hms => 'h:mm:ss',
				ms => 'm:ss',
			} }
);

has 'units' => (
	is			=> 'ro',
	isa			=> 'HashRef[HashRef[HashRef[Str]]]',
	init_arg	=> undef,
	default		=> sub { {
				'long' => {
					'acre' => {
						'one' => q({0} акр),
						'other' => q({0} акр),
					},
					'arc-minute' => {
						'one' => q({0}минут),
						'other' => q({0}минут),
					},
					'arc-second' => {
						'one' => q({0}секунд),
						'other' => q({0}секунд),
					},
					'celsius' => {
						'one' => q({0}Цельсий градусы),
						'other' => q({0}Цельсий градусы),
					},
					'centimeter' => {
						'one' => q({0} сантиметр),
						'other' => q({0} сантиметр),
					},
					'cubic-kilometer' => {
						'one' => q({0} текше километр),
						'other' => q({0} текше километр),
					},
					'cubic-mile' => {
						'one' => q({0} текше миля),
						'other' => q({0} текше миля),
					},
					'day' => {
						'one' => q({0} тәулік),
						'other' => q({0} тәулік),
					},
					'degree' => {
						'one' => q({0}градус),
						'other' => q({0}градус),
					},
					'fahrenheit' => {
						'one' => q({0} Фаренгейт бойынша градус),
						'other' => q({0} Фаренгейт бойынша градус),
					},
					'foot' => {
						'one' => q({0} фут),
						'other' => q({0} фут),
					},
					'g-force' => {
						'one' => q({0} гравитациялық күш),
						'other' => q({0} гравитациялық күш),
					},
					'gram' => {
						'one' => q({0} грамм),
						'other' => q({0} грамм),
					},
					'hectare' => {
						'one' => q({0} гектар),
						'other' => q({0} гектар),
					},
					'hectopascal' => {
						'one' => q({0} гектопаскаль),
						'other' => q({0} гектопаскаль),
					},
					'horsepower' => {
						'one' => q({0} ат күші),
						'other' => q({0} ат күші),
					},
					'hour' => {
						'one' => q({0} сағат),
						'other' => q({0} сағат),
					},
					'inch' => {
						'one' => q({0} дюйм),
						'other' => q({0} дюйм),
					},
					'inch-hg' => {
						'one' => q({0} сынапты бағана дюймы),
						'other' => q({0} сынапты бағана дюймы),
					},
					'kilogram' => {
						'one' => q({0} килограмм),
						'other' => q({0} килограмм),
					},
					'kilometer' => {
						'one' => q({0} километр),
						'other' => q({0} километр),
					},
					'kilometer-per-hour' => {
						'one' => q({0} километр/сағат),
						'other' => q({0} километр/сағат),
					},
					'kilowatt' => {
						'one' => q({0} киловатт),
						'other' => q({0}киловатт),
					},
					'light-year' => {
						'one' => q({0} жарық жылы),
						'other' => q({0} жарық жылы),
					},
					'liter' => {
						'one' => q({0} литр),
						'other' => q({0} литр),
					},
					'meter' => {
						'one' => q({0} метр),
						'other' => q({0} метр),
					},
					'meter-per-second' => {
						'one' => q({0} метр/секунд),
						'other' => q({0} метр/секунд),
					},
					'mile' => {
						'one' => q({0} миля),
						'other' => q({0} миля),
					},
					'mile-per-hour' => {
						'one' => q({0} миля/сағат),
						'other' => q({0} миля/сағат),
					},
					'millibar' => {
						'one' => q({0} миллибар),
						'other' => q({0} миллибар),
					},
					'millimeter' => {
						'one' => q({0} миллиметр),
						'other' => q({0} миллиметр),
					},
					'millisecond' => {
						'one' => q({0} миллисекунд),
						'other' => q({0} миллисекунд),
					},
					'minute' => {
						'one' => q({0} минут),
						'other' => q({0} минут),
					},
					'month' => {
						'one' => q({0} ай),
						'other' => q({0} ай),
					},
					'ounce' => {
						'one' => q({0} унция),
						'other' => q({0} унция),
					},
					'per' => {
						'default' => q({0}{1}қатынасы),
					},
					'picometer' => {
						'one' => q({0} пикометр),
						'other' => q({0} пикометр),
					},
					'pound' => {
						'one' => q({0} фунт),
						'other' => q({0} фунт),
					},
					'second' => {
						'one' => q({0} секунд),
						'other' => q({0} секунд),
					},
					'square-foot' => {
						'one' => q({0} шаршы фут),
						'other' => q({0} шаршы фут),
					},
					'square-kilometer' => {
						'one' => q({0} шаршы километр),
						'other' => q({0} шаршы километр),
					},
					'square-meter' => {
						'one' => q({0} шаршы метр),
						'other' => q({0} шаршы метр),
					},
					'square-mile' => {
						'one' => q({0} шаршы миля),
						'other' => q({0} шаршы миля),
					},
					'watt' => {
						'one' => q({0} ватт),
						'other' => q({0} ватт),
					},
					'week' => {
						'one' => q({0} апта),
						'other' => q({0} апта),
					},
					'yard' => {
						'one' => q({0} ярд),
						'other' => q({0} ярд),
					},
					'year' => {
						'one' => q({0} жыл),
						'other' => q({0} жыл),
					},
				},
				'narrow' => {
					'acre' => {
						'one' => q({0} акр),
						'other' => q({0} акр),
					},
					'arc-minute' => {
						'one' => q({0}′),
						'other' => q({0}′),
					},
					'arc-second' => {
						'one' => q({0}″),
						'other' => q({0}″),
					},
					'celsius' => {
						'one' => q({0}°),
						'other' => q({0}°),
					},
					'centimeter' => {
						'one' => q({0} см),
						'other' => q({0} см),
					},
					'cubic-kilometer' => {
						'one' => q({0} км³),
						'other' => q({0} км³),
					},
					'cubic-mile' => {
						'one' => q({0} миля³),
						'other' => q({0} миля³),
					},
					'day' => {
						'one' => q({0} тәулік),
						'other' => q({0} тәулік),
					},
					'degree' => {
						'one' => q({0}°),
						'other' => q({0}°),
					},
					'fahrenheit' => {
						'one' => q({0}°F),
						'other' => q({0}°F),
					},
					'foot' => {
						'one' => q({0} фут),
						'other' => q({0} фут),
					},
					'g-force' => {
						'one' => q({0} г),
						'other' => q({0} г),
					},
					'gram' => {
						'one' => q({0} гр),
						'other' => q({0} гр),
					},
					'hectare' => {
						'one' => q({0} га),
						'other' => q({0} га),
					},
					'hectopascal' => {
						'one' => q({0} гПа),
						'other' => q({0} гПа),
					},
					'horsepower' => {
						'one' => q({0} ат күші),
						'other' => q({0} ат күші),
					},
					'hour' => {
						'one' => q({0} сағат),
						'other' => q({0} сағат),
					},
					'inch' => {
						'one' => q({0} дюйм),
						'other' => q({0} дюйм),
					},
					'inch-hg' => {
						'one' => q({0} inHg),
						'other' => q({0} inHg),
					},
					'kilogram' => {
						'one' => q({0} кг),
						'other' => q({0} кг),
					},
					'kilometer' => {
						'one' => q({0} км),
						'other' => q({0} км),
					},
					'kilometer-per-hour' => {
						'one' => q({0} км/сағ),
						'other' => q({0} км/сағ),
					},
					'kilowatt' => {
						'one' => q({0}кВт),
						'other' => q({0}кВт),
					},
					'light-year' => {
						'one' => q({0} ly),
						'other' => q({0} ly),
					},
					'liter' => {
						'one' => q({0} л),
						'other' => q({0} л),
					},
					'meter' => {
						'one' => q({0} м),
						'other' => q({0} м),
					},
					'meter-per-second' => {
						'one' => q({0} м/с),
						'other' => q({0} м/с),
					},
					'mile' => {
						'one' => q({0} миля),
						'other' => q({0} миля),
					},
					'mile-per-hour' => {
						'one' => q({0} миля/сағ),
						'other' => q({0} миля/сағ),
					},
					'millibar' => {
						'one' => q({0} мб),
						'other' => q({0} мб),
					},
					'millimeter' => {
						'one' => q({0} мм),
						'other' => q({0} мм),
					},
					'millisecond' => {
						'one' => q({0} мс),
						'other' => q({0} мс),
					},
					'minute' => {
						'one' => q({0} мин),
						'other' => q({0} мин),
					},
					'month' => {
						'one' => q({0} ай),
						'other' => q({0} ай),
					},
					'ounce' => {
						'one' => q({0} унция),
						'other' => q({0} унция),
					},
					'per' => {
						'default' => q({0}/{1}),
					},
					'picometer' => {
						'one' => q({0} пм),
						'other' => q({0} пм),
					},
					'pound' => {
						'one' => q({0} фунт),
						'other' => q({0} фунт),
					},
					'second' => {
						'one' => q({0} сек.),
						'other' => q({0} сек.),
					},
					'square-foot' => {
						'one' => q({0} фут²),
						'other' => q({0} фут²),
					},
					'square-kilometer' => {
						'one' => q({0} км²),
						'other' => q({0} км²),
					},
					'square-meter' => {
						'one' => q({0} м²),
						'other' => q({0} м²),
					},
					'square-mile' => {
						'one' => q({0} миля²),
						'other' => q({0} миля²),
					},
					'watt' => {
						'one' => q({0} Вт),
						'other' => q({0} Вт),
					},
					'week' => {
						'one' => q({0} апта),
						'other' => q({0} апта),
					},
					'yard' => {
						'one' => q({0} ярд),
						'other' => q({0} ярд),
					},
					'year' => {
						'one' => q({0} ж.),
						'other' => q({0} ж.),
					},
				},
				'short' => {
					'acre' => {
						'one' => q({0} акр),
						'other' => q({0} акр),
					},
					'arc-minute' => {
						'one' => q({0}мин),
						'other' => q({0}мин),
					},
					'arc-second' => {
						'one' => q({0}сек),
						'other' => q({0}сек),
					},
					'celsius' => {
						'one' => q({0}°C),
						'other' => q({0}°C),
					},
					'centimeter' => {
						'one' => q({0} см),
						'other' => q({0} см),
					},
					'cubic-kilometer' => {
						'one' => q({0} км³),
						'other' => q({0} км³),
					},
					'cubic-mile' => {
						'one' => q({0} миля³),
						'other' => q({0} миля³),
					},
					'day' => {
						'one' => q({0} тәулік),
						'other' => q({0} тәулік),
					},
					'degree' => {
						'one' => q({0}градус),
						'other' => q({0}градус),
					},
					'fahrenheit' => {
						'one' => q({0}°F),
						'other' => q({0}°F),
					},
					'foot' => {
						'one' => q({0} фут),
						'other' => q({0} фут),
					},
					'g-force' => {
						'one' => q({0} грав. күш),
						'other' => q({0} грав. күш),
					},
					'gram' => {
						'one' => q({0} гр),
						'other' => q({0} гр),
					},
					'hectare' => {
						'one' => q({0} га),
						'other' => q({0} га),
					},
					'hectopascal' => {
						'one' => q({0} гПа),
						'other' => q({0} гПа),
					},
					'horsepower' => {
						'one' => q({0} ат күші),
						'other' => q({0} ат күші),
					},
					'hour' => {
						'one' => q({0} сағат),
						'other' => q({0} сағат),
					},
					'inch' => {
						'one' => q({0} дюйм),
						'other' => q({0} дюйм),
					},
					'inch-hg' => {
						'one' => q({0} inHg),
						'other' => q({0} inHg),
					},
					'kilogram' => {
						'one' => q({0} кг),
						'other' => q({0} кг),
					},
					'kilometer' => {
						'one' => q({0} км),
						'other' => q({0} км),
					},
					'kilometer-per-hour' => {
						'one' => q({0} км/сағ),
						'other' => q({0} км/сағ),
					},
					'kilowatt' => {
						'one' => q({0}кВт),
						'other' => q({0}кВт),
					},
					'light-year' => {
						'one' => q({0} жарық жылы),
						'other' => q({0} жарық жылы),
					},
					'liter' => {
						'one' => q({0} л),
						'other' => q({0} л),
					},
					'meter' => {
						'one' => q({0} м),
						'other' => q({0} м),
					},
					'meter-per-second' => {
						'one' => q({0} м/с),
						'other' => q({0} м/с),
					},
					'mile' => {
						'one' => q({0} миля),
						'other' => q({0} миля),
					},
					'mile-per-hour' => {
						'one' => q({0} миля/сағ),
						'other' => q({0} миля/сағ),
					},
					'millibar' => {
						'one' => q({0} мб),
						'other' => q({0} мб),
					},
					'millimeter' => {
						'one' => q({0} мм),
						'other' => q({0} мм),
					},
					'millisecond' => {
						'one' => q({0} мс),
						'other' => q({0} мс),
					},
					'minute' => {
						'one' => q({0} мин),
						'other' => q({0} мин),
					},
					'month' => {
						'one' => q({0} ай),
						'other' => q({0} ай),
					},
					'ounce' => {
						'one' => q({0} унция),
						'other' => q({0} унция),
					},
					'per' => {
						'default' => q({0}/{1}),
					},
					'picometer' => {
						'one' => q({0} пм),
						'other' => q({0} пм),
					},
					'pound' => {
						'one' => q({0} фунт),
						'other' => q({0} фунт),
					},
					'second' => {
						'one' => q({0} секунд),
						'other' => q({0} секунд),
					},
					'square-foot' => {
						'one' => q({0} фут²),
						'other' => q({0} фут²),
					},
					'square-kilometer' => {
						'one' => q({0} км²),
						'other' => q({0} км²),
					},
					'square-meter' => {
						'one' => q({0} м²),
						'other' => q({0} м²),
					},
					'square-mile' => {
						'one' => q({0} миля²),
						'other' => q({0} миля²),
					},
					'watt' => {
						'one' => q({0} Вт),
						'other' => q({0} Вт),
					},
					'week' => {
						'one' => q({0} апта),
						'other' => q({0} апта),
					},
					'yard' => {
						'one' => q({0} ярд),
						'other' => q({0} ярд),
					},
					'year' => {
						'one' => q({0} ж.),
						'other' => q({0} ж.),
					},
				},
			} }
);


has 'yesstr' => (
	is			=> 'ro',
	isa			=> 'RegexpRef',
	init_arg	=> undef,
	default		=> sub { qr'^(?i:иә|и|yes|y)$' }
);

has 'nostr' => (
	is			=> 'ro',
	isa			=> 'RegexpRef',
	init_arg	=> undef,
	default		=> sub { qr'^(?i:жоқ|ж|no|n)$' }
);

has 'listPatterns' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
				start => q({0}, {1}),
				middle => q({0}, {1}),
				end => q({0}, {1}),
				2 => q({0}, {1}),
		} }
);

has 'number_symbols' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'latn' => {
			'decimal' => q(,),
			'exponential' => q(E),
			'group' => q( ),
			'infinity' => q(∞),
			'list' => q(),
			'minusSign' => q(-),
			'nan' => q(NaN),
			'perMille' => q(‰),
			'percentSign' => q(%),
			'plusSign' => q(+),
			'superscriptingExponent' => q(×),
		},
	} }
);

has 'number_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		decimalFormat => {
			'default' => {
				'0' => {
					'default' => '#,##0.###',
				},
				'1000' => {
					'one' => '0 мың',
					'other' => '0 мың',
				},
				'10000' => {
					'one' => '00 мың',
					'other' => '00 мың',
				},
				'100000' => {
					'one' => '000 мың',
					'other' => '000 мың',
				},
				'1000000' => {
					'one' => '0 млн',
					'other' => '0 млн',
				},
				'10000000' => {
					'one' => '00 млн',
					'other' => '00 млн',
				},
				'100000000' => {
					'one' => '000 млн',
					'other' => '000 млн',
				},
				'1000000000' => {
					'one' => '0 млрд',
					'other' => '0 млрд',
				},
				'10000000000' => {
					'one' => '00 млрд',
					'other' => '00 млрд',
				},
				'100000000000' => {
					'one' => '000 млрд',
					'other' => '000 млрд',
				},
				'1000000000000' => {
					'one' => '0 трлн',
					'other' => '0 трлн',
				},
				'10000000000000' => {
					'one' => '00 трлн',
					'other' => '00 трлн',
				},
				'100000000000000' => {
					'one' => '000 трлн',
					'other' => '000 трлн',
				},
			},
			'short' => {
				'1000' => {
					'one' => '0 мың',
					'other' => '0 мың',
				},
				'10000' => {
					'one' => '00 мың',
					'other' => '00 мың',
				},
				'100000' => {
					'one' => '000 мың',
					'other' => '000 мың',
				},
				'1000000' => {
					'one' => '0 млн',
					'other' => '0 млн',
				},
				'10000000' => {
					'one' => '00 млн',
					'other' => '00 млн',
				},
				'100000000' => {
					'one' => '000 млн',
					'other' => '000 млн',
				},
				'1000000000' => {
					'one' => '0 млрд',
					'other' => '0 млрд',
				},
				'10000000000' => {
					'one' => '00 млрд',
					'other' => '00 млрд',
				},
				'100000000000' => {
					'one' => '000 млрд',
					'other' => '000 млрд',
				},
				'1000000000000' => {
					'one' => '0 трлн',
					'other' => '0 трлн',
				},
				'10000000000000' => {
					'one' => '00 трлн',
					'other' => '00 трлн',
				},
				'100000000000000' => {
					'one' => '000 трлн',
					'other' => '000 трлн',
				},
			},
		},
		percentFormat => {
			'default' => {
				'0' => {
					'default' => '#,##0%',
				},
			},
		},
		scientificFormat => {
			'default' => {
				'0' => {
					'default' => '#E0',
				},
			},
		},
} },
);

has 'number_currency_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'latn' => {
			'pattern' => {
				'default' => {
					'standard' => {
						'negative' => '#,##0.00 ¤',
						'positive' => '#,##0.00 ¤',
					},
				},
			},
		},
} },
);

has 'curriencies' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'AED' => {
			display_name => {
				'default' => q(Дихрам (БАЭ)),
				'one' => q(Дихрам (БАЭ)),
				'other' => q(Дихрам (БАЭ)),
			},
		},
		'AFN' => {
			display_name => {
				'default' => q(Ауғаныстан афганиі),
				'one' => q(Ауғаныстан афганиі),
				'other' => q(Ауғаныстан афганиі),
			},
		},
		'ALL' => {
			display_name => {
				'default' => q(Албания лекі),
				'one' => q(Албания лекі),
				'other' => q(Албания лекі),
			},
		},
		'AMD' => {
			display_name => {
				'default' => q(Армения драмы),
				'one' => q(Армения драмы),
				'other' => q(Армения драмы),
			},
		},
		'ANG' => {
			display_name => {
				'default' => q(Нидерланды антиль гульдені),
				'one' => q(Нидерланды антиль гульдені),
				'other' => q(Нидерланды антиль гульдені),
			},
		},
		'AOA' => {
			display_name => {
				'default' => q(Ангола кванзасы),
				'one' => q(Ангола кванзасы),
				'other' => q(Ангола кванзасы),
			},
		},
		'ARS' => {
			display_name => {
				'default' => q(Аргентина песосы),
				'one' => q(Аргентина песосы),
				'other' => q(Аргентина песосы),
			},
		},
		'AUD' => {
			display_name => {
				'default' => q(Австралия доллары),
				'one' => q(Австралия доллары),
				'other' => q(Австралия доллары),
			},
		},
		'AWG' => {
			display_name => {
				'default' => q(Арубан флоринсы),
				'one' => q(Арубан флоринсы),
				'other' => q(Арубан флоринсы),
			},
		},
		'AZM' => {
			display_name => {
				'default' => q(Азербайджан манаты (1993–2006)),
			},
		},
		'AZN' => {
			display_name => {
				'default' => q(Әзірбайжан манаты),
				'one' => q(Әзірбайжан манаты),
				'other' => q(Әзірбайжан манаты),
			},
		},
		'BAM' => {
			display_name => {
				'default' => q(Босния және Герцеговина айырбасталмалы маркасы),
				'one' => q(Босния және Герцеговина айырбасталмалы маркасы),
				'other' => q(Босния және Герцеговина айырбасталмалы маркасы),
			},
		},
		'BBD' => {
			display_name => {
				'default' => q(Барбадос доллары),
				'one' => q(Барбадос доллары),
				'other' => q(Барбадос доллары),
			},
		},
		'BDT' => {
			display_name => {
				'default' => q(Бангладеш такасы),
				'one' => q(Бангладеш такасы),
				'other' => q(Бангладеш такасы),
			},
		},
		'BGN' => {
			display_name => {
				'default' => q(Болгар леві),
				'one' => q(Болгар леві),
				'other' => q(Болгар леві),
			},
		},
		'BHD' => {
			display_name => {
				'default' => q(Бахрейн динары),
				'one' => q(Бахрейн динары),
				'other' => q(Бахрейн динары),
			},
		},
		'BIF' => {
			display_name => {
				'default' => q(Бурунди франкы),
				'one' => q(Бурунди франкы),
				'other' => q(Бурунди франкы),
			},
		},
		'BMD' => {
			display_name => {
				'default' => q(Бермуд доллары),
				'one' => q(Бермуд доллары),
				'other' => q(Бермуд доллары),
			},
		},
		'BND' => {
			display_name => {
				'default' => q(Бруней доллары),
				'one' => q(Бруней доллары),
				'other' => q(Бруней доллары),
			},
		},
		'BOB' => {
			display_name => {
				'default' => q(Боливия боливианосы),
				'one' => q(Боливия боливианосы),
				'other' => q(Боливия боливианосы),
			},
		},
		'BRL' => {
			display_name => {
				'default' => q(Бразилия реалы),
			},
		},
		'BSD' => {
			display_name => {
				'default' => q(Багам доллары),
				'one' => q(Багам доллары),
				'other' => q(Багам доллары),
			},
		},
		'BTN' => {
			display_name => {
				'default' => q(Бутан нгултрумы),
				'one' => q(Бутан нгултрумы),
				'other' => q(Бутан нгултрумы),
			},
		},
		'BWP' => {
			display_name => {
				'default' => q(Ботсвана пуласы),
				'one' => q(Ботсвана пуласы),
				'other' => q(Ботсвана пуласы),
			},
		},
		'BYR' => {
			display_name => {
				'default' => q(Беларус рублі),
				'one' => q(Беларус рублі),
				'other' => q(Беларус рублі),
			},
		},
		'BZD' => {
			display_name => {
				'default' => q(Белиз доллары),
				'one' => q(Белиз доллары),
				'other' => q(Белиз доллары),
			},
		},
		'CAD' => {
			symbol => 'CA$',
			display_name => {
				'default' => q(Канада доллары),
				'one' => q(Канада доллары),
				'other' => q(Канада доллары),
			},
		},
		'CDF' => {
			display_name => {
				'default' => q(Конго франкы),
				'one' => q(Конго франкы),
				'other' => q(Конго франкы),
			},
		},
		'CHF' => {
			display_name => {
				'default' => q(Швейцария франкы),
				'one' => q(Швейцария франкы),
				'other' => q(Швейцария франкы),
			},
		},
		'CLP' => {
			display_name => {
				'default' => q(Чили песосы),
				'one' => q(Чили песосы),
				'other' => q(Чили песосы),
			},
		},
		'CNY' => {
			display_name => {
				'default' => q(Қытай юаны),
			},
		},
		'COP' => {
			display_name => {
				'default' => q(Колумбия песосы),
				'one' => q(Колумбия песосы),
				'other' => q(Колумбия песосы),
			},
		},
		'CRC' => {
			display_name => {
				'default' => q(Коста-рика колоны),
				'one' => q(Коста-рика колоны),
				'other' => q(Коста-рика колоны),
			},
		},
		'CUC' => {
			display_name => {
				'default' => q(Куба айырбасталмалы песосы),
				'one' => q(Куба айырбасталмалы песосы),
				'other' => q(Куба айырбасталмалы песосы),
			},
		},
		'CUP' => {
			display_name => {
				'default' => q(Куба песосы),
				'one' => q(Куба песосы),
				'other' => q(Куба песосы),
			},
		},
		'CVE' => {
			display_name => {
				'default' => q(Кабо-Верде эскудосы),
				'one' => q(Кабо-Верде эскудосы),
				'other' => q(Кабо-Верде эскудосы),
			},
		},
		'CZK' => {
			display_name => {
				'default' => q(Чех кронасы),
				'one' => q(Чех кронасы),
				'other' => q(Чех кронасы),
			},
		},
		'DJF' => {
			display_name => {
				'default' => q(Джибути франкы),
				'one' => q(Джибути франкы),
				'other' => q(Джибути франкы),
			},
		},
		'DKK' => {
			display_name => {
				'default' => q(Дат кроны),
				'one' => q(Дат кроны),
				'other' => q(Дат кроны),
			},
		},
		'DOP' => {
			display_name => {
				'default' => q(Доминикан песосы),
				'one' => q(Доминикан песосы),
				'other' => q(Доминикан песосы),
			},
		},
		'DZD' => {
			display_name => {
				'default' => q(Алжир динары),
				'one' => q(Алжир динары),
				'other' => q(Алжир динары),
			},
		},
		'EGP' => {
			display_name => {
				'default' => q(Мысыр фунты),
				'one' => q(Мысыр фунты),
				'other' => q(Мысыр фунты),
			},
		},
		'ERN' => {
			display_name => {
				'default' => q(Эритрей накфасы),
				'one' => q(Эритрей накфасы),
				'other' => q(Эритрей накфасы),
			},
		},
		'ETB' => {
			display_name => {
				'default' => q(Эфиопия быры),
				'one' => q(Эфиопия быры),
				'other' => q(Эфиопия быры),
			},
		},
		'EUR' => {
			display_name => {
				'default' => q(Еуро),
			},
		},
		'FJD' => {
			display_name => {
				'default' => q(Фиджи доллары),
				'one' => q(Фиджи доллары),
				'other' => q(Фиджи доллары),
			},
		},
		'FKP' => {
			display_name => {
				'default' => q(Фолкленд аралдарының фунты),
				'one' => q(Фолкленд аралдарының фунты),
				'other' => q(Фолкленд аралдарының фунты),
			},
		},
		'GBP' => {
			display_name => {
				'default' => q(Британия фунты),
			},
		},
		'GEL' => {
			display_name => {
				'default' => q(Грузия лариі),
				'one' => q(Грузия лариі),
				'other' => q(Грузия лариі),
			},
		},
		'GHS' => {
			display_name => {
				'default' => q(Гана седиі),
				'one' => q(Гана седиі),
				'other' => q(Гана седиі),
			},
		},
		'GIP' => {
			display_name => {
				'default' => q(Гибралтар фунты),
				'one' => q(Гибралтар фунты),
				'other' => q(Гибралтар фунты),
			},
		},
		'GMD' => {
			display_name => {
				'default' => q(Гамбия даласиі),
				'one' => q(Гамбия даласиі),
				'other' => q(Гамбия даласиі),
			},
		},
		'GNF' => {
			display_name => {
				'default' => q(Гвиней франкы),
				'one' => q(Гвиней франкы),
				'other' => q(Гвиней франкы),
			},
		},
		'GTQ' => {
			display_name => {
				'default' => q(Гватемала кетсалі),
				'one' => q(Гватемала кетсалі),
				'other' => q(Гватемала кетсалі),
			},
		},
		'GYD' => {
			display_name => {
				'default' => q(Гайана доллары),
				'one' => q(Гайана доллары),
				'other' => q(Гайана доллары),
			},
		},
		'HKD' => {
			display_name => {
				'default' => q(Гонконг доллары),
				'one' => q(Гонконг доллары),
				'other' => q(Гонконг доллары),
			},
		},
		'HNL' => {
			display_name => {
				'default' => q(Гондурас лемпираcы),
				'one' => q(Гондурас лемпираcы),
				'other' => q(Гондурас лемпираcы),
			},
		},
		'HRK' => {
			display_name => {
				'default' => q(Хорватия кунасы),
				'one' => q(Хорватия кунасы),
				'other' => q(Хорватия кунасы),
			},
		},
		'HTG' => {
			display_name => {
				'default' => q(Гаити гурды),
				'one' => q(Гаити гурды),
				'other' => q(Гаити гурды),
			},
		},
		'HUF' => {
			display_name => {
				'default' => q(Венгер форинты),
				'one' => q(Венгер форинты),
				'other' => q(Венгер форинты),
			},
		},
		'IDR' => {
			display_name => {
				'default' => q(Индонезия рупиі),
				'one' => q(Индонезия рупиі),
				'other' => q(Индонезия рупиі),
			},
		},
		'ILS' => {
			display_name => {
				'default' => q(Израиль жаңа шекелі),
				'one' => q(Израиль жаңа шекелі),
				'other' => q(Израиль жаңа шекелі),
			},
		},
		'INR' => {
			display_name => {
				'default' => q(Үнді рупиясы),
				'one' => q(Үнді рупиясы),
				'other' => q(Үнді рупиясы),
			},
		},
		'IQD' => {
			display_name => {
				'default' => q(Ирак динары),
				'one' => q(Ирак динары),
				'other' => q(Ирак динары),
			},
		},
		'IRR' => {
			display_name => {
				'default' => q(Иран риалы),
				'one' => q(Иран риалы),
				'other' => q(Иран риалы),
			},
		},
		'ISK' => {
			display_name => {
				'default' => q(Исландия кронасы),
				'one' => q(Исландия кронасы),
				'other' => q(Исландия кронасы),
			},
		},
		'JMD' => {
			display_name => {
				'default' => q(Ямайка доллары),
				'one' => q(Ямайка доллары),
				'other' => q(Ямайка доллары),
			},
		},
		'JOD' => {
			display_name => {
				'default' => q(Йордания динары),
				'one' => q(Йордания динары),
				'other' => q(Йордания динары),
			},
		},
		'JPY' => {
			display_name => {
				'default' => q(Жапон иені),
			},
		},
		'KES' => {
			display_name => {
				'default' => q(Кения шиллингі),
				'one' => q(Кения шиллингі),
				'other' => q(Кения шиллингі),
			},
		},
		'KGS' => {
			display_name => {
				'default' => q(Қырғызстан сомы),
				'one' => q(Қырғызстан сомы),
				'other' => q(Қырғызстан сомы),
			},
		},
		'KHR' => {
			display_name => {
				'default' => q(Камбоджа риелі),
				'one' => q(Камбоджа риелі),
				'other' => q(Камбоджа риелі),
			},
		},
		'KMF' => {
			display_name => {
				'default' => q(Комор аралдары франкы),
				'one' => q(Комор аралдары франкы),
				'other' => q(Комор аралдары франкы),
			},
		},
		'KPW' => {
			display_name => {
				'default' => q(Солтүстік Корея воны),
				'one' => q(Солтүстік Корея воны),
				'other' => q(Солтүстік Корея воны),
			},
		},
		'KRW' => {
			display_name => {
				'default' => q(Оңтүстік Корея воны),
				'one' => q(Оңтүстік Корея воны),
				'other' => q(Оңтүстік Корея воны),
			},
		},
		'KWD' => {
			display_name => {
				'default' => q(Кувейт динары),
				'one' => q(Кувейт динары),
				'other' => q(Кувейт динары),
			},
		},
		'KYD' => {
			display_name => {
				'default' => q(Кайман аралдары доллары),
				'one' => q(Кайман аралдары доллары),
				'other' => q(Кайман аралдары доллары),
			},
		},
		'KZT' => {
			symbol => '₸',
			display_name => {
				'default' => q(Қазақстан теңгесі),
			},
		},
		'LAK' => {
			display_name => {
				'default' => q(Лаос кипі),
				'one' => q(Лаос кипі),
				'other' => q(Лаос кипі),
			},
		},
		'LBP' => {
			display_name => {
				'default' => q(Ливан фунты),
				'one' => q(Ливан фунты),
				'other' => q(Ливан фунты),
			},
		},
		'LKR' => {
			display_name => {
				'default' => q(Шри-Ланка рупиясы),
				'one' => q(Шри-Ланка рупиясы),
				'other' => q(Шри-Ланка рупиясы),
			},
		},
		'LRD' => {
			display_name => {
				'default' => q(Либерия доллары),
				'one' => q(Либерия доллары),
				'other' => q(Либерия доллары),
			},
		},
		'LTL' => {
			display_name => {
				'default' => q(Литва литы),
				'one' => q(Литва литы),
				'other' => q(Литва литы),
			},
		},
		'LVL' => {
			display_name => {
				'default' => q(Латвия латы),
				'one' => q(Латвия латы),
				'other' => q(Латвия латы),
			},
		},
		'LYD' => {
			display_name => {
				'default' => q(Ливия динары),
				'one' => q(Ливия динары),
				'other' => q(Ливия динары),
			},
		},
		'MAD' => {
			display_name => {
				'default' => q(Марокко дирхамы),
				'one' => q(Марокко дирхамы),
				'other' => q(Марокко дирхамы),
			},
		},
		'MDL' => {
			display_name => {
				'default' => q(Молдава лейі),
				'one' => q(Молдава лейі),
				'other' => q(Молдава лейі),
			},
		},
		'MGA' => {
			display_name => {
				'default' => q(Малагаси ариариы),
				'one' => q(Малагаси ариариы),
				'other' => q(Малагаси ариариы),
			},
		},
		'MKD' => {
			display_name => {
				'default' => q(Македония динары),
				'one' => q(Македония динары),
				'other' => q(Македония динары),
			},
		},
		'MMK' => {
			display_name => {
				'default' => q(Мьянма кьяты),
				'one' => q(Мьянма кьяты),
				'other' => q(Мьянма кьяты),
			},
		},
		'MNT' => {
			display_name => {
				'default' => q(Моңғолия тугрикасы),
				'one' => q(Моңғолия тугрикасы),
				'other' => q(Моңғолия тугрикасы),
			},
		},
		'MOP' => {
			display_name => {
				'default' => q(Макао патакасы),
				'one' => q(Макао патакасы),
				'other' => q(Макао патакасы),
			},
		},
		'MRO' => {
			display_name => {
				'default' => q(Мавритания угиясы),
				'one' => q(Мавритания угиясы),
				'other' => q(Мавритания угиясы),
			},
		},
		'MUR' => {
			display_name => {
				'default' => q(Маврикий рупиясы),
				'one' => q(Маврикий рупиясы),
				'other' => q(Маврикий рупиясы),
			},
		},
		'MVR' => {
			display_name => {
				'default' => q(Мальдив руфиясы),
				'one' => q(Мальдив руфиясы),
				'other' => q(Мальдив руфиясы),
			},
		},
		'MWK' => {
			display_name => {
				'default' => q(Малави квачасы),
				'one' => q(Малави квачасы),
				'other' => q(Малави квачасы),
			},
		},
		'MXN' => {
			symbol => 'MX$',
			display_name => {
				'default' => q(Мексика пессосы),
				'one' => q(Мексика пессосы),
				'other' => q(Мексика пессосы),
			},
		},
		'MYR' => {
			display_name => {
				'default' => q(Малайзия ринггиті),
				'one' => q(Малайзия ринггиті),
				'other' => q(Малайзия ринггиті),
			},
		},
		'MZN' => {
			display_name => {
				'default' => q(Мозамбик метикалы),
				'one' => q(Мозамбик метикалы),
				'other' => q(Мозамбик метикалы),
			},
		},
		'NAD' => {
			display_name => {
				'default' => q(Намибия доллары),
				'one' => q(Намибия доллары),
				'other' => q(Намибия доллары),
			},
		},
		'NGN' => {
			display_name => {
				'default' => q(Нигерия найрасы),
				'one' => q(Нигерия найрасы),
				'other' => q(Нигерия найрасы),
			},
		},
		'NIO' => {
			display_name => {
				'default' => q(Никарагуа кордобасы),
				'one' => q(Никарагуа кордобасы),
				'other' => q(Никарагуа кордобасы),
			},
		},
		'NOK' => {
			display_name => {
				'default' => q(Норвегия кроны),
				'one' => q(Норвегия кроны),
				'other' => q(Норвегия кроны),
			},
		},
		'NPR' => {
			display_name => {
				'default' => q(Непал рупиі),
				'one' => q(Непал рупиі),
				'other' => q(Непал рупиі),
			},
		},
		'NZD' => {
			display_name => {
				'default' => q(Жаңа Зеландия доллары),
				'one' => q(Жаңа Зеландия доллары),
				'other' => q(Жаңа Зеландия доллары),
			},
		},
		'OMR' => {
			display_name => {
				'default' => q(Оман риалы),
				'one' => q(Оман риалы),
				'other' => q(Оман риалы),
			},
		},
		'PAB' => {
			display_name => {
				'default' => q(Панама бальбоасы),
				'one' => q(Панама бальбоасы),
				'other' => q(Панама бальбоасы),
			},
		},
		'PEN' => {
			display_name => {
				'default' => q(Перу жаңа солі),
				'one' => q(Перу жаңа солі),
				'other' => q(Перу жаңа солі),
			},
		},
		'PGK' => {
			display_name => {
				'default' => q(Папуа - Жаңа Гвинея кинасы),
				'one' => q(Папуа - Жаңа Гвинея кинасы),
				'other' => q(Папуа - Жаңа Гвинея кинасы),
			},
		},
		'PHP' => {
			display_name => {
				'default' => q(Филиппин песосы),
				'one' => q(Филиппин песосы),
				'other' => q(Филиппин песосы),
			},
		},
		'PKR' => {
			display_name => {
				'default' => q(Пәкістан рупиі),
				'one' => q(Пәкістан рупиі),
				'other' => q(Пәкістан рупиі),
			},
		},
		'PLN' => {
			display_name => {
				'default' => q(Польша злотасы),
				'one' => q(Польша злотасы),
				'other' => q(Польша злотасы),
			},
		},
		'PYG' => {
			display_name => {
				'default' => q(Парагвай гуараниі),
				'one' => q(Парагвай гуараниі),
				'other' => q(Парагвай гуараниі),
			},
		},
		'QAR' => {
			display_name => {
				'default' => q(Катар риалы),
				'one' => q(Катар риалы),
				'other' => q(Катар риалы),
			},
		},
		'RON' => {
			display_name => {
				'default' => q(Румыния лейі),
				'one' => q(Румыния лейі),
				'other' => q(Румыния лейі),
			},
		},
		'RSD' => {
			display_name => {
				'default' => q(Сербия динары),
				'one' => q(Сербия динары),
				'other' => q(Сербия динары),
			},
		},
		'RUB' => {
			symbol => 'руб.',
			display_name => {
				'default' => q(Ресей рубль),
			},
		},
		'RWF' => {
			display_name => {
				'default' => q(Руанда франкы),
				'one' => q(Руанда франкы),
				'other' => q(Руанда франкы),
			},
		},
		'SAR' => {
			display_name => {
				'default' => q(Сауд Арабия риалы),
				'one' => q(Сауд Арабия риалы),
				'other' => q(Сауд Арабия риалы),
			},
		},
		'SBD' => {
			display_name => {
				'default' => q(Соломон аралдары доллары),
				'one' => q(Соломон аралдары доллары),
				'other' => q(Соломон аралдары доллары),
			},
		},
		'SCR' => {
			display_name => {
				'default' => q(Сейшель рупиясы),
				'one' => q(Сейшель рупиясы),
				'other' => q(Сейшель рупиясы),
			},
		},
		'SDG' => {
			display_name => {
				'default' => q(Судан фунты),
				'one' => q(Судан фунты),
				'other' => q(Судан фунты),
			},
		},
		'SEK' => {
			display_name => {
				'default' => q(Швед кроны),
				'one' => q(Швед кроны),
				'other' => q(Швед кроны),
			},
		},
		'SGD' => {
			display_name => {
				'default' => q(Сингапур доллары),
				'one' => q(Сингапур доллары),
				'other' => q(Сингапур доллары),
			},
		},
		'SHP' => {
			display_name => {
				'default' => q(Әулие Елена аралы фунты),
				'one' => q(Әулие Елена аралы фунты),
				'other' => q(Әулие Елена аралы фунты),
			},
		},
		'SLL' => {
			display_name => {
				'default' => q(Сьерра-Леоне леонесы),
				'one' => q(Сьерра-Леоне леонесы),
				'other' => q(Сьерра-Леоне леонесы),
			},
		},
		'SOS' => {
			display_name => {
				'default' => q(Сомали шиллингі),
				'one' => q(Сомали шиллингі),
				'other' => q(Сомали шиллингі),
			},
		},
		'SRD' => {
			display_name => {
				'default' => q(Суринам доллары),
				'one' => q(Суринам доллары),
				'other' => q(Суринам доллары),
			},
		},
		'SSP' => {
			display_name => {
				'default' => q(Оңтүстік Судан фунты),
				'one' => q(Оңтүстік Судан фунты),
				'other' => q(Оңтүстік Судан фунты),
			},
		},
		'STD' => {
			display_name => {
				'default' => q(Сант-Томе мен Принсипи добрасы),
				'one' => q(Сант-Томе мен Принсипи добрасы),
				'other' => q(Сант-Томе мен Принсипи добрасы),
			},
		},
		'SYP' => {
			display_name => {
				'default' => q(Сирия фунты),
				'one' => q(Сирия фунты),
				'other' => q(Сирия фунты),
			},
		},
		'SZL' => {
			display_name => {
				'default' => q(Свазиленд лилангениі),
				'one' => q(Свазиленд лилангениі),
				'other' => q(Свазиленд лилангениі),
			},
		},
		'THB' => {
			display_name => {
				'default' => q(Тай баты),
				'one' => q(Тай баты),
				'other' => q(Тай баты),
			},
		},
		'TJS' => {
			display_name => {
				'default' => q(Тәжікстан сомониі),
				'one' => q(Тәжікстан сомониі),
				'other' => q(Тәжікстан сомониі),
			},
		},
		'TMT' => {
			display_name => {
				'default' => q(Түрікменстан манаты),
				'one' => q(Түрікменстан манаты),
				'other' => q(Түрікменстан манаты),
			},
		},
		'TND' => {
			display_name => {
				'default' => q(Тунис динары),
				'one' => q(Тунис динары),
				'other' => q(Тунис динары),
			},
		},
		'TOP' => {
			display_name => {
				'default' => q(Тонга паангасы),
				'one' => q(Тонга паангасы),
				'other' => q(Тонга паангасы),
			},
		},
		'TRY' => {
			display_name => {
				'default' => q(Түрік лирасы),
				'one' => q(Түрік лирасы),
				'other' => q(Түрік лирасы),
			},
		},
		'TTD' => {
			display_name => {
				'default' => q(Тринидад пен Тобаго доллары),
				'one' => q(Тринидад пен Тобаго доллары),
				'other' => q(Тринидад пен Тобаго доллары),
			},
		},
		'TWD' => {
			display_name => {
				'default' => q(Жаңа Тайван доллары),
				'one' => q(Жаңа Тайван доллары),
				'other' => q(Жаңа Тайван доллары),
			},
		},
		'TZS' => {
			display_name => {
				'default' => q(Танзания шиллингі),
				'one' => q(Танзания шиллингі),
				'other' => q(Танзания шиллингі),
			},
		},
		'UAH' => {
			display_name => {
				'default' => q(Украина гривнасы),
				'one' => q(Украина гривнасы),
				'other' => q(Украина гривнасы),
			},
		},
		'UGX' => {
			display_name => {
				'default' => q(Уганда шиллингі),
				'one' => q(Уганда шиллингі),
				'other' => q(Уганда шиллингі),
			},
		},
		'USD' => {
			symbol => 'US$',
			display_name => {
				'default' => q(АҚШ доллары),
			},
		},
		'UYU' => {
			display_name => {
				'default' => q(Уругвай песосы),
				'one' => q(Уругвай песосы),
				'other' => q(Уругвай песосы),
			},
		},
		'UZS' => {
			display_name => {
				'default' => q(Өзбекстан сомы),
				'one' => q(Өзбекстан сомы),
				'other' => q(Өзбекстан сомы),
			},
		},
		'VEF' => {
			display_name => {
				'default' => q(Венесуэла боливары),
				'one' => q(Венесуэла боливары),
				'other' => q(Венесуэла боливары),
			},
		},
		'VND' => {
			display_name => {
				'default' => q(Вьетнам донгы),
				'one' => q(Вьетнам донгы),
				'other' => q(Вьетнам донгы),
			},
		},
		'VUV' => {
			display_name => {
				'default' => q(Вануату ватуы),
				'one' => q(Вануату ватуы),
				'other' => q(Вануату ватуы),
			},
		},
		'WST' => {
			display_name => {
				'default' => q(Самоа таласы),
				'one' => q(Самоа таласы),
				'other' => q(Самоа таласы),
			},
		},
		'XAF' => {
			display_name => {
				'default' => q(КФА ВЕАС франкы),
				'one' => q(КФА ВЕАС франкы),
				'other' => q(КФА ВЕАС франкы),
			},
		},
		'XCD' => {
			display_name => {
				'default' => q(Шығыс Кариб доллары),
				'one' => q(Шығыс Кариб доллары),
				'other' => q(Шығыс Кариб доллары),
			},
		},
		'XOF' => {
			display_name => {
				'default' => q(КФА ВСЕАО франкы),
				'one' => q(КФА ВСЕАО франкы),
				'other' => q(КФА ВСЕАО франкы),
			},
		},
		'XPF' => {
			display_name => {
				'default' => q(КФП франкы),
				'one' => q(КФП франкы),
				'other' => q(КФП франкы),
			},
		},
		'XXX' => {
			display_name => {
				'default' => q(Белгісіз валюта),
			},
		},
		'YER' => {
			display_name => {
				'default' => q(Йемен риалы),
				'one' => q(Йемен риалы),
				'other' => q(Йемен риалы),
			},
		},
		'ZAR' => {
			display_name => {
				'default' => q(Оңтүстік Африка рэнді),
				'one' => q(Оңтүстік Африка рэнді),
				'other' => q(Оңтүстік Африка рэнді),
			},
		},
		'ZMW' => {
			display_name => {
				'default' => q(Замбия квачасы),
				'one' => q(Замбия квачасы),
				'other' => q(Замбия квачасы),
			},
		},
	} },
);


has 'calendar_months' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
			'coptic' => {
				'format' => {
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12',
							'13'
						],
						leap => [
							
						],
					},
				},
			},
			'gregorian' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'қаң.',
							'ақп.',
							'нау.',
							'сәу.',
							'мам.',
							'мау.',
							'шіл.',
							'там.',
							'қыр.',
							'қаз.',
							'қар.',
							'желт.'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'қаңтар',
							'ақпан',
							'наурыз',
							'сәуір',
							'мамыр',
							'маусым',
							'шілде',
							'тамыз',
							'қыркүйек',
							'қазан',
							'қараша',
							'желтоқсан'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
				},
			},
	} },
);

has 'calendar_days' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
			'gregorian' => {
				'format' => {
					abbreviated => {
						mon => 'дс.',
						tue => 'сс.',
						wed => 'ср.',
						thu => 'бс.',
						fri => 'жм.',
						sat => 'сб.',
						sun => 'жс.'
					},
					narrow => {
						mon => 'Д',
						tue => 'С',
						wed => 'С',
						thu => 'Б',
						fri => 'Ж',
						sat => 'С',
						sun => 'Ж'
					},
					wide => {
						mon => 'дүйсенбі',
						tue => 'сейсенбі',
						wed => 'сәрсенбі',
						thu => 'бейсенбі',
						fri => 'жұма',
						sat => 'сенбі',
						sun => 'жексенбі'
					},
				},
				'stand-alone' => {
					narrow => {
						mon => 'Д',
						tue => 'С',
						wed => 'С',
						thu => 'Б',
						fri => 'Ж',
						sat => 'С',
						sun => 'Ж'
					},
				},
			},
	} },
);

has 'calendar_quarters' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
			'gregorian' => {
				'format' => {
					abbreviated => {0 => '1-тоқсан',
						1 => '2-тоқсан',
						2 => '3-тоқсан',
						3 => '4-тоқсан'
					},
					narrow => {0 => '1',
						1 => '2',
						2 => '3',
						3 => '4'
					},
					wide => {0 => '1-інші тоқсан',
						1 => '2-інші тоқсан',
						2 => '3-інші тоқсан',
						3 => '4-інші тоқсан'
					},
				},
				'stand-alone' => {
					abbreviated => {0 => '1-тоқсан',
						1 => '2-тоқсан',
						2 => '3-тоқсан',
						3 => '4-тоқсан'
					},
					narrow => {0 => '1',
						1 => '2',
						2 => '3',
						3 => '4'
					},
					wide => {0 => '1-інші тоқсан',
						1 => '2-інші тоқсан',
						2 => '3-інші тоқсан',
						3 => '4-інші тоқсан'
					},
				},
			},
	} },
);

has 'day_periods' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			'format' => {
				'wide' => {
					'am' => q{түске дейін},
					'pm' => q{түстен кейін},
				},
			},
		},
	} },
);

has 'eras' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'coptic' => {
		},
		'generic' => {
		},
		'gregorian' => {
			abbreviated => {
				'0' => 'б.з.д.',
				'1' => 'б.з.'
			},
		},
	} },
);

has 'date_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'coptic' => {
		},
		'generic' => {
			'full' => q{EEEE, d MMMM y 'ж'. G},
			'long' => q{d MMMM y 'ж'. G},
			'medium' => q{dd.MM.y G},
			'short' => q{dd.MM.y GGGGG},
		},
		'gregorian' => {
			'full' => q{EEEE, d MMMM y 'ж'.},
			'long' => q{d MMMM y 'ж'.},
			'medium' => q{dd.MM.y},
			'short' => q{dd/MM/yy},
		},
	} },
);

has 'time_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'coptic' => {
		},
		'generic' => {
		},
		'gregorian' => {
			'full' => q{HH:mm:ss zzzz},
			'long' => q{HH:mm:ss z},
			'medium' => q{HH:mm:ss},
			'short' => q{HH:mm},
		},
	} },
);

has 'datetime_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'coptic' => {
		},
		'generic' => {
			'full' => q{{1} {0}},
			'long' => q{{1} {0}},
			'medium' => q{{1} {0}},
			'short' => q{{1} {0}},
		},
		'gregorian' => {
			'full' => q{{1} {0}},
			'long' => q{{1} {0}},
			'medium' => q{{1} {0}},
			'short' => q{{1} {0}},
		},
	} },
);

has 'datetime_formats_available_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'generic' => {
			Ed => q{d, E},
			Gy => q{G y},
			GyMMM => q{G y MMM},
			GyMMMEd => q{G y MMM d, E},
			GyMMMd => q{G y MMM d},
			M => q{L},
			MEd => q{MM-dd, E},
			MMM => q{LLL},
			MMMEd => q{MMM d, E},
			MMMd => q{MMM d},
			Md => q{MM-dd},
			d => q{d},
			y => q{G y},
			yyyy => q{G y},
			yyyyM => q{GGGGG y-MM},
			yyyyMEd => q{GGGGG y-MM-dd, E},
			yyyyMMM => q{G y MMM},
			yyyyMMMEd => q{G y MMM d, E},
			yyyyMMMd => q{G y MMM d},
			yyyyMd => q{GGGGG y-MM-dd},
			yyyyQQQ => q{G y QQQ},
			yyyyQQQQ => q{G y QQQQ},
		},
		'gregorian' => {
			EHm => q{E HH:mm},
			EHms => q{E HH:mm:ss},
			Ed => q{d, E},
			Ehm => q{E h:mm a},
			Ehms => q{E h:mm:ss a},
			Gy => q{G y},
			GyMMM => q{G y MMM},
			GyMMMEd => q{G y MMM d, E},
			GyMMMd => q{G y MMM d},
			H => q{HH},
			Hm => q{HH:mm},
			Hms => q{HH:mm:ss},
			M => q{L},
			MEd => q{E, dd-MM},
			MMM => q{LLL},
			MMMEd => q{E, d MMM},
			MMMd => q{d MMM},
			Md => q{dd-MM},
			d => q{d},
			h => q{h a},
			hm => q{h:mm a},
			hms => q{h:mm:ss a},
			ms => q{mm:ss},
			y => q{y},
			yM => q{MM-y},
			yMEd => q{E, dd-MM-y},
			yMMM => q{MMM y},
			yMMMEd => q{E, d MMM y},
			yMMMd => q{d MMM y},
			yMd => q{dd-MM-y},
			yQQQ => q{y QQQ},
			yQQQQ => q{y QQQQ},
		},
	} },
);

has 'datetime_formats_append_item' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			'Timezone' => '{0} {1}',
		},
	} },
);

has 'datetime_formats_interval' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'generic' => {
			H => {
				H => q{HH-HH},
			},
			Hm => {
				H => q{HH:mm-HH:mm},
				m => q{HH:mm-HH:mm},
			},
			Hmv => {
				H => q{HH:mm-HH:mm v},
				m => q{HH:mm-HH:mm v},
			},
			Hv => {
				H => q{HH-HH v},
			},
			M => {
				M => q{M-M},
			},
			MEd => {
				M => q{E, dd.MM - E, dd.MM},
				d => q{E, dd.MM - E, dd.MM},
			},
			MMM => {
				M => q{MMM-MMM},
			},
			MMMEd => {
				M => q{E, d MMM - E, d MMM},
				d => q{E, d - E, d MMM},
			},
			MMMd => {
				M => q{d MMM - d MMM},
				d => q{d-d MMM},
			},
			Md => {
				M => q{dd.MM - dd.MM},
				d => q{dd.MM - dd.MM},
			},
			d => {
				d => q{d-d},
			},
			fallback => '{0} - {1}',
			h => {
				h => q{h-h a},
			},
			hm => {
				h => q{h:mm-h:mm a},
				m => q{h:mm-h:mm a},
			},
			hmv => {
				h => q{h:mm-h:mm a v},
				m => q{h:mm-h:mm a v},
			},
			hv => {
				h => q{h-h a v},
			},
			y => {
				y => q{y-y G},
			},
			yM => {
				M => q{MM.y - MM.y G},
				y => q{MM.y - MM.y G},
			},
			yMEd => {
				M => q{E, dd.MM.y - E, dd.MM.y G},
				d => q{E, dd.MM.y - E, dd.MM.y G},
				y => q{E, dd.MM.y - E, dd.MM.y G},
			},
			yMMM => {
				M => q{MMM-MMM y 'ж'. G},
				y => q{MMM y 'ж'. - MMM y 'ж'. G},
			},
			yMMMEd => {
				M => q{E, d MMM - E, d MMM y 'ж'. G},
				d => q{E, d - E, d MMM y 'ж'. G},
				y => q{E, d MMM y 'ж'. - E, d MMM y 'ж'. G},
			},
			yMMMM => {
				M => q{MMMM - MMMM y G},
				y => q{MMMM y - MMMM y G},
			},
			yMMMd => {
				M => q{d MMM - d MMM y 'ж'. G},
				d => q{d-d MMM y 'ж'. G},
				y => q{d MMM y 'ж'. - d MMM y 'ж'. G},
			},
			yMd => {
				M => q{dd.MM.y - dd.MM.y G},
				d => q{dd.MM.y - dd.MM.y G},
				y => q{dd.MM.y - dd.MM.y G},
			},
		},
		'gregorian' => {
			H => {
				H => q{HH-HH},
			},
			Hm => {
				H => q{HH:mm-HH:mm},
				m => q{HH:mm-HH:mm},
			},
			Hmv => {
				H => q{HH:mm-HH:mm v},
				m => q{HH:mm-HH:mm v},
			},
			Hv => {
				H => q{HH-HH v},
			},
			M => {
				M => q{M-M},
			},
			MEd => {
				M => q{E, dd.MM - E, dd.MM},
				d => q{E, dd.MM - E, dd.MM},
			},
			MMM => {
				M => q{MMM-MMM},
			},
			MMMEd => {
				M => q{E, d MMM - E, d MMM},
				d => q{E, d - E, d MMM},
			},
			MMMd => {
				M => q{d MMM - d MMM},
				d => q{d-d MMM},
			},
			Md => {
				M => q{dd.MM - dd.MM},
				d => q{dd.MM - dd.MM},
			},
			d => {
				d => q{d-d},
			},
			fallback => '{0} - {1}',
			h => {
				a => q{h a – h a},
				h => q{h-h a},
			},
			hm => {
				a => q{h:mm a – h:mm a},
				h => q{h:mm-h:mm a},
				m => q{h:mm-h:mm a},
			},
			hmv => {
				a => q{h:mm a – h:mm a v},
				h => q{h:mm-h:mm a v},
				m => q{h:mm-h:mm a v},
			},
			hv => {
				a => q{h a – h a v},
				h => q{h-h a v},
			},
			y => {
				y => q{y-y},
			},
			yM => {
				M => q{MM.y - MM.y},
				y => q{MM.y - MM.y},
			},
			yMEd => {
				M => q{E, dd.MM.y - E, dd.MM.y},
				d => q{E, dd.MM.y - E, dd.MM.y},
				y => q{E, dd.MM.y - E, dd.MM.y},
			},
			yMMM => {
				M => q{MMM-MMM y 'ж'.},
				y => q{MMM y 'ж'. - MMM y 'ж'.},
			},
			yMMMEd => {
				M => q{E, d MMM - E, d MMM y 'ж'.},
				d => q{E, d - E, d MMM y 'ж'.},
				y => q{E, d MMM y 'ж'. - E, d MMM y 'ж'.},
			},
			yMMMM => {
				M => q{MMMM - MMMM y},
				y => q{MMMM y - MMMM y},
			},
			yMMMd => {
				M => q{d MMM - d MMM y 'ж'.},
				d => q{d-d MMM y 'ж'.},
				y => q{d MMM y 'ж'. - d MMM y 'ж'.},
			},
			yMd => {
				M => q{dd.MM.y - dd.MM.y},
				d => q{dd.MM.y - dd.MM.y},
				y => q{dd.MM.y - dd.MM.y},
			},
		},
	} },
);

has 'time_zone_names' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default	=> sub { {
		hourFormat => q(+HH:mm;-HH:mm),
		gmtFormat => q(GMT{0}),
		gmtZeroFormat => q(GMT),
		regionFormat => q({0} уақыты),
		regionFormat => q({0} күндізгі уақыты),
		regionFormat => q({0} стандартты уақыты),
		fallbackFormat => q({1} ({0})),
		'Afghanistan' => {
			long => {
				'standard' => q(Ауғаныстан уақыты),
			},
		},
		'Africa/Abidjan' => {
			exemplarCity => q#Абиджан#,
		},
		'Africa/Accra' => {
			exemplarCity => q#Аккра#,
		},
		'Africa/Addis_Ababa' => {
			exemplarCity => q#Аддис Абеба#,
		},
		'Africa/Algiers' => {
			exemplarCity => q#Алжир#,
		},
		'Africa/Asmera' => {
			exemplarCity => q#Асмера#,
		},
		'Africa/Bamako' => {
			exemplarCity => q#Бамако#,
		},
		'Africa/Bangui' => {
			exemplarCity => q#Банги#,
		},
		'Africa/Banjul' => {
			exemplarCity => q#Банжул#,
		},
		'Africa/Bissau' => {
			exemplarCity => q#Бисау#,
		},
		'Africa/Blantyre' => {
			exemplarCity => q#Блантаир#,
		},
		'Africa/Brazzaville' => {
			exemplarCity => q#Браззавил#,
		},
		'Africa/Bujumbura' => {
			exemplarCity => q#Бужумбура#,
		},
		'Africa/Cairo' => {
			exemplarCity => q#Каир#,
		},
		'Africa/Casablanca' => {
			exemplarCity => q#Кассабланка#,
		},
		'Africa/Ceuta' => {
			exemplarCity => q#Сеута#,
		},
		'Africa/Conakry' => {
			exemplarCity => q#Конакри#,
		},
		'Africa/Dakar' => {
			exemplarCity => q#Дакар#,
		},
		'Africa/Dar_es_Salaam' => {
			exemplarCity => q#Дар-эс-Салам#,
		},
		'Africa/Djibouti' => {
			exemplarCity => q#Джибути#,
		},
		'Africa/Douala' => {
			exemplarCity => q#Дуала#,
		},
		'Africa/El_Aaiun' => {
			exemplarCity => q#Эл-Аюн#,
		},
		'Africa/Freetown' => {
			exemplarCity => q#Фритаун#,
		},
		'Africa/Gaborone' => {
			exemplarCity => q#Габороне#,
		},
		'Africa/Harare' => {
			exemplarCity => q#Хараре#,
		},
		'Africa/Johannesburg' => {
			exemplarCity => q#Йоханнесбург#,
		},
		'Africa/Juba' => {
			exemplarCity => q#Джуба#,
		},
		'Africa/Kampala' => {
			exemplarCity => q#Кампала#,
		},
		'Africa/Khartoum' => {
			exemplarCity => q#Хартум#,
		},
		'Africa/Kigali' => {
			exemplarCity => q#Кигали#,
		},
		'Africa/Kinshasa' => {
			exemplarCity => q#Киншаса#,
		},
		'Africa/Lagos' => {
			exemplarCity => q#Лагос#,
		},
		'Africa/Libreville' => {
			exemplarCity => q#Либревил#,
		},
		'Africa/Lome' => {
			exemplarCity => q#Ломе#,
		},
		'Africa/Luanda' => {
			exemplarCity => q#Луанда#,
		},
		'Africa/Lubumbashi' => {
			exemplarCity => q#Лубумбаши#,
		},
		'Africa/Lusaka' => {
			exemplarCity => q#Лусака#,
		},
		'Africa/Malabo' => {
			exemplarCity => q#Малабо#,
		},
		'Africa/Maputo' => {
			exemplarCity => q#Мапуту#,
		},
		'Africa/Maseru' => {
			exemplarCity => q#Масеру#,
		},
		'Africa/Mbabane' => {
			exemplarCity => q#Мбабане#,
		},
		'Africa/Mogadishu' => {
			exemplarCity => q#Могадишо#,
		},
		'Africa/Monrovia' => {
			exemplarCity => q#Монравия#,
		},
		'Africa/Nairobi' => {
			exemplarCity => q#Найроби#,
		},
		'Africa/Ndjamena' => {
			exemplarCity => q#Нджамена#,
		},
		'Africa/Niamey' => {
			exemplarCity => q#Ниамей#,
		},
		'Africa/Nouakchott' => {
			exemplarCity => q#Нуакшот#,
		},
		'Africa/Ouagadougou' => {
			exemplarCity => q#Уадагуду#,
		},
		'Africa/Porto-Novo' => {
			exemplarCity => q#Порто-Ново#,
		},
		'Africa/Sao_Tome' => {
			exemplarCity => q#Сан-Томе#,
		},
		'Africa/Tripoli' => {
			exemplarCity => q#Триполи#,
		},
		'Africa/Tunis' => {
			exemplarCity => q#Тунис#,
		},
		'Africa/Windhoek' => {
			exemplarCity => q#Виндхук#,
		},
		'Africa_Central' => {
			long => {
				'standard' => q(Орталық Африка уақыты),
			},
		},
		'Africa_Eastern' => {
			long => {
				'standard' => q(Шығыс Африка уақыты),
			},
		},
		'Africa_Southern' => {
			long => {
				'standard' => q(Оңтүстік Африка уақыты),
			},
		},
		'Africa_Western' => {
			long => {
				'daylight' => q(Батыс Африка жаздық уақыты),
				'generic' => q(Батыс Африка уақыты),
				'standard' => q(Батыс Африка стандарт уақыты),
			},
		},
		'Alaska' => {
			long => {
				'daylight' => q(Аляска күндізгі уақыты),
				'generic' => q(Аляска уақыты),
				'standard' => q(Аляска стандартты уақыты),
			},
		},
		'Amazon' => {
			long => {
				'daylight' => q(Амазонка жазғы уақыты),
				'generic' => q(Амазонка уақыты),
				'standard' => q(Амазонка стандартты уақыты),
			},
		},
		'America/Adak' => {
			exemplarCity => q#Адак#,
		},
		'America/Anchorage' => {
			exemplarCity => q#Анкоридж#,
		},
		'America/Anguilla' => {
			exemplarCity => q#Ангилиа#,
		},
		'America/Antigua' => {
			exemplarCity => q#Антгуа#,
		},
		'America/Araguaina' => {
			exemplarCity => q#Арагуаина#,
		},
		'America/Argentina/La_Rioja' => {
			exemplarCity => q#Ла Риоха#,
		},
		'America/Argentina/Rio_Gallegos' => {
			exemplarCity => q#Рио Галлегос#,
		},
		'America/Argentina/Salta' => {
			exemplarCity => q#Салта#,
		},
		'America/Argentina/San_Juan' => {
			exemplarCity => q#Сан-Хуан#,
		},
		'America/Argentina/San_Luis' => {
			exemplarCity => q#Сан Луис#,
		},
		'America/Argentina/Tucuman' => {
			exemplarCity => q#Тукуман#,
		},
		'America/Argentina/Ushuaia' => {
			exemplarCity => q#Ушуаиа#,
		},
		'America/Aruba' => {
			exemplarCity => q#Аруба#,
		},
		'America/Asuncion' => {
			exemplarCity => q#Асунсион#,
		},
		'America/Bahia' => {
			exemplarCity => q#Баия#,
		},
		'America/Bahia_Banderas' => {
			exemplarCity => q#Баия-де-Бандерас#,
		},
		'America/Barbados' => {
			exemplarCity => q#Барбадос#,
		},
		'America/Belem' => {
			exemplarCity => q#Белем#,
		},
		'America/Belize' => {
			exemplarCity => q#Белиз#,
		},
		'America/Blanc-Sablon' => {
			exemplarCity => q#Бланк Саблон#,
		},
		'America/Boa_Vista' => {
			exemplarCity => q#Бао Виста#,
		},
		'America/Bogota' => {
			exemplarCity => q#Богота#,
		},
		'America/Boise' => {
			exemplarCity => q#Бойсе#,
		},
		'America/Buenos_Aires' => {
			exemplarCity => q#Буэнос Айрес#,
		},
		'America/Cambridge_Bay' => {
			exemplarCity => q#Кембридж Бей#,
		},
		'America/Campo_Grande' => {
			exemplarCity => q#Кампо Гранде#,
		},
		'America/Cancun' => {
			exemplarCity => q#Канкун#,
		},
		'America/Caracas' => {
			exemplarCity => q#Каракас#,
		},
		'America/Catamarca' => {
			exemplarCity => q#Катамарка#,
		},
		'America/Cayenne' => {
			exemplarCity => q#Кайенна#,
		},
		'America/Cayman' => {
			exemplarCity => q#Кайман аралдары#,
		},
		'America/Chicago' => {
			exemplarCity => q#Чикаго#,
		},
		'America/Chihuahua' => {
			exemplarCity => q#Чиуауа#,
		},
		'America/Coral_Harbour' => {
			exemplarCity => q#Корал Харбор#,
		},
		'America/Cordoba' => {
			exemplarCity => q#Кордоба#,
		},
		'America/Costa_Rica' => {
			exemplarCity => q#Коста-Рика#,
		},
		'America/Creston' => {
			exemplarCity => q#Крестон#,
		},
		'America/Cuiaba' => {
			exemplarCity => q#Куяба#,
		},
		'America/Curacao' => {
			exemplarCity => q#Курасао#,
		},
		'America/Danmarkshavn' => {
			exemplarCity => q#Денмарксхавн#,
		},
		'America/Dawson' => {
			exemplarCity => q#Досон#,
		},
		'America/Dawson_Creek' => {
			exemplarCity => q#Досон Крик#,
		},
		'America/Denver' => {
			exemplarCity => q#Денвер#,
		},
		'America/Detroit' => {
			exemplarCity => q#Детройт#,
		},
		'America/Dominica' => {
			exemplarCity => q#Доминика#,
		},
		'America/Edmonton' => {
			exemplarCity => q#Эдмонтон#,
		},
		'America/Eirunepe' => {
			exemplarCity => q#Эйрунепе#,
		},
		'America/El_Salvador' => {
			exemplarCity => q#Сальвадор#,
		},
		'America/Fortaleza' => {
			exemplarCity => q#Форталеза#,
		},
		'America/Glace_Bay' => {
			exemplarCity => q#Глейс-Бей#,
		},
		'America/Godthab' => {
			exemplarCity => q#Нуук#,
		},
		'America/Goose_Bay' => {
			exemplarCity => q#Гус-Бей#,
		},
		'America/Grand_Turk' => {
			exemplarCity => q#Гранд Турк#,
		},
		'America/Grenada' => {
			exemplarCity => q#Гренада#,
		},
		'America/Guadeloupe' => {
			exemplarCity => q#Гваделупа#,
		},
		'America/Guatemala' => {
			exemplarCity => q#Гватемала#,
		},
		'America/Guayaquil' => {
			exemplarCity => q#Гуаякиль#,
		},
		'America/Guyana' => {
			exemplarCity => q#Гайана#,
		},
		'America/Halifax' => {
			exemplarCity => q#Галифакс#,
		},
		'America/Havana' => {
			exemplarCity => q#Гавана#,
		},
		'America/Hermosillo' => {
			exemplarCity => q#Эрмосилло#,
		},
		'America/Indiana/Knox' => {
			exemplarCity => q#Нокс, Индиана#,
		},
		'America/Indiana/Marengo' => {
			exemplarCity => q#Маренго, Индиана#,
		},
		'America/Indiana/Petersburg' => {
			exemplarCity => q#Питерсберг#,
		},
		'America/Indiana/Tell_City' => {
			exemplarCity => q#Телл-Сити, Индиана#,
		},
		'America/Indiana/Vevay' => {
			exemplarCity => q#Вивей, Индиана#,
		},
		'America/Indiana/Vincennes' => {
			exemplarCity => q#Винсенс, Индиана#,
		},
		'America/Indiana/Winamac' => {
			exemplarCity => q#Винамак, Индиана#,
		},
		'America/Indianapolis' => {
			exemplarCity => q#Индианаполис#,
		},
		'America/Inuvik' => {
			exemplarCity => q#Инувик#,
		},
		'America/Iqaluit' => {
			exemplarCity => q#Икалуит#,
		},
		'America/Jamaica' => {
			exemplarCity => q#Ямайка#,
		},
		'America/Jujuy' => {
			exemplarCity => q#Жужуй#,
		},
		'America/Juneau' => {
			exemplarCity => q#Джуно#,
		},
		'America/Kentucky/Monticello' => {
			exemplarCity => q#Монтиселло, Кентуки#,
		},
		'America/Kralendijk' => {
			exemplarCity => q#Кралендейк#,
		},
		'America/La_Paz' => {
			exemplarCity => q#Ла-Пас#,
		},
		'America/Lima' => {
			exemplarCity => q#Лима#,
		},
		'America/Los_Angeles' => {
			exemplarCity => q#Лос-Анжелес#,
		},
		'America/Louisville' => {
			exemplarCity => q#Луисвилл#,
		},
		'America/Lower_Princes' => {
			exemplarCity => q#Лоуэр-Принсес-Куортер#,
		},
		'America/Maceio' => {
			exemplarCity => q#Масейо#,
		},
		'America/Managua' => {
			exemplarCity => q#Манагуа#,
		},
		'America/Manaus' => {
			exemplarCity => q#Манаус#,
		},
		'America/Marigot' => {
			exemplarCity => q#Мариго#,
		},
		'America/Martinique' => {
			exemplarCity => q#Мартиника#,
		},
		'America/Matamoros' => {
			exemplarCity => q#Матаморос#,
		},
		'America/Mazatlan' => {
			exemplarCity => q#Мазалтан#,
		},
		'America/Mendoza' => {
			exemplarCity => q#Мендоза#,
		},
		'America/Menominee' => {
			exemplarCity => q#Меномини#,
		},
		'America/Merida' => {
			exemplarCity => q#Мерида#,
		},
		'America/Metlakatla' => {
			exemplarCity => q#Метлакатла#,
		},
		'America/Mexico_City' => {
			exemplarCity => q#Мехико#,
		},
		'America/Miquelon' => {
			exemplarCity => q#Микелон#,
		},
		'America/Moncton' => {
			exemplarCity => q#Монктон#,
		},
		'America/Monterrey' => {
			exemplarCity => q#Монтеррей#,
		},
		'America/Montevideo' => {
			exemplarCity => q#Монтевидео#,
		},
		'America/Montserrat' => {
			exemplarCity => q#Монсеррат#,
		},
		'America/Nassau' => {
			exemplarCity => q#Нассау#,
		},
		'America/New_York' => {
			exemplarCity => q#Нью-Йорк#,
		},
		'America/Nipigon' => {
			exemplarCity => q#Нипигон#,
		},
		'America/Nome' => {
			exemplarCity => q#Ном#,
		},
		'America/Noronha' => {
			exemplarCity => q#Норонха#,
		},
		'America/North_Dakota/Beulah' => {
			exemplarCity => q#Бьюла, Солтүстік Дакота#,
		},
		'America/North_Dakota/Center' => {
			exemplarCity => q#Солтүстік Дакота, Орталық#,
		},
		'America/North_Dakota/New_Salem' => {
			exemplarCity => q#Нью Салем#,
		},
		'America/Ojinaga' => {
			exemplarCity => q#Охинага#,
		},
		'America/Panama' => {
			exemplarCity => q#Панама#,
		},
		'America/Pangnirtung' => {
			exemplarCity => q#Пангниртанг#,
		},
		'America/Paramaribo' => {
			exemplarCity => q#Парамарибо#,
		},
		'America/Phoenix' => {
			exemplarCity => q#Финикс#,
		},
		'America/Port-au-Prince' => {
			exemplarCity => q#Порт-о-Пренс#,
		},
		'America/Port_of_Spain' => {
			exemplarCity => q#Порт-оф-Спейн#,
		},
		'America/Porto_Velho' => {
			exemplarCity => q#Порту-Велью#,
		},
		'America/Puerto_Rico' => {
			exemplarCity => q#Пуэрто-Рико#,
		},
		'America/Rainy_River' => {
			exemplarCity => q#Рейни-Ривер#,
		},
		'America/Rankin_Inlet' => {
			exemplarCity => q#Ранкин-Инлет#,
		},
		'America/Recife' => {
			exemplarCity => q#Ресифи#,
		},
		'America/Regina' => {
			exemplarCity => q#Регина#,
		},
		'America/Resolute' => {
			exemplarCity => q#Резолют#,
		},
		'America/Rio_Branco' => {
			exemplarCity => q#Риу Бранку#,
		},
		'America/Santa_Isabel' => {
			exemplarCity => q#Санта-Изабел#,
		},
		'America/Santarem' => {
			exemplarCity => q#Сантарем#,
		},
		'America/Santiago' => {
			exemplarCity => q#Сантьяго#,
		},
		'America/Santo_Domingo' => {
			exemplarCity => q#Санто Доминго#,
		},
		'America/Sao_Paulo' => {
			exemplarCity => q#Сан Паулу#,
		},
		'America/Scoresbysund' => {
			exemplarCity => q#Скорсбиссун#,
		},
		'America/Sitka' => {
			exemplarCity => q#Ситка#,
		},
		'America/St_Barthelemy' => {
			exemplarCity => q#Сен-Бартелеми#,
		},
		'America/St_Johns' => {
			exemplarCity => q#Сент-Джонс#,
		},
		'America/St_Kitts' => {
			exemplarCity => q#Сент Китс#,
		},
		'America/St_Lucia' => {
			exemplarCity => q#Сент-Люсия#,
		},
		'America/St_Thomas' => {
			exemplarCity => q#Сент Томас#,
		},
		'America/St_Vincent' => {
			exemplarCity => q#Сент Винсент#,
		},
		'America/Swift_Current' => {
			exemplarCity => q#Свифт-Карент#,
		},
		'America/Tegucigalpa' => {
			exemplarCity => q#Тегусигальпа#,
		},
		'America/Thule' => {
			exemplarCity => q#Туле#,
		},
		'America/Thunder_Bay' => {
			exemplarCity => q#Тандер-Бей#,
		},
		'America/Tijuana' => {
			exemplarCity => q#Тихуана#,
		},
		'America/Toronto' => {
			exemplarCity => q#Торонто#,
		},
		'America/Tortola' => {
			exemplarCity => q#Тортола#,
		},
		'America/Vancouver' => {
			exemplarCity => q#Ванкувер#,
		},
		'America/Whitehorse' => {
			exemplarCity => q#Уайтхорс#,
		},
		'America/Winnipeg' => {
			exemplarCity => q#Виннипег#,
		},
		'America/Yakutat' => {
			exemplarCity => q#Якутат#,
		},
		'America/Yellowknife' => {
			exemplarCity => q#Йеллоунайф#,
		},
		'America_Central' => {
			long => {
				'daylight' => q(Солтүстік Америка орталығының күндізгі уақыты),
				'generic' => q(Солтүстік Америка орталығының уақыты),
				'standard' => q(Солтүстік Америка орталығының стандартты уақыты),
			},
		},
		'America_Eastern' => {
			long => {
				'daylight' => q(Оңтүстік Америка шығыс бөлігінің күндізгі уақыты),
				'generic' => q(Оңтүстік Америка шығыс бөлігінің уақыты),
				'standard' => q(Оңтүстік Америка шығыс бөлігінің стандартты уақыты),
			},
		},
		'America_Mountain' => {
			long => {
				'daylight' => q(Оңтүстік Америка таулы бөлігінің күндізгі уақыты),
				'generic' => q(Оңтүстік Америка таулы бөлігінің уақыты),
				'standard' => q(Оңтүстік Америка таулы бөлігінің стандартты уақыты),
			},
		},
		'America_Pacific' => {
			long => {
				'daylight' => q(Тынық мұхитындағы Оңтүстік Америка жазғы уақыты),
				'generic' => q(Тынық мұхитындағы Оңтүстік Америка уақыты),
				'standard' => q(Тынық мұхитындағы Оңтүстік Америка стандартты уақыты),
			},
		},
		'Antarctica/Casey' => {
			exemplarCity => q#Кейси#,
		},
		'Antarctica/Davis' => {
			exemplarCity => q#Дэйвис#,
		},
		'Antarctica/DumontDUrville' => {
			exemplarCity => q#Дюмон-д'Юрвиль#,
		},
		'Antarctica/Macquarie' => {
			exemplarCity => q#Маккуори#,
		},
		'Antarctica/Mawson' => {
			exemplarCity => q#Моусон#,
		},
		'Antarctica/McMurdo' => {
			exemplarCity => q#Мак Мердо#,
		},
		'Antarctica/Palmer' => {
			exemplarCity => q#Палмер#,
		},
		'Antarctica/Rothera' => {
			exemplarCity => q#Ротера#,
		},
		'Antarctica/Syowa' => {
			exemplarCity => q#Сева#,
		},
		'Antarctica/Vostok' => {
			exemplarCity => q#Восток#,
		},
		'Arabian' => {
			long => {
				'daylight' => q(Сауд Арабиясы күндізгі уақыты),
				'generic' => q(Сауд Арабиясы уақыты),
				'standard' => q(Сауд Арабиясы стандартты уақыты),
			},
		},
		'Arctic/Longyearbyen' => {
			exemplarCity => q#Лонгйир#,
		},
		'Argentina' => {
			long => {
				'daylight' => q(Аргентина жазғы уақыты),
				'generic' => q(Аргентина уақыты),
				'standard' => q(Аргентина стандартты уақыты),
			},
		},
		'Argentina_Western' => {
			long => {
				'daylight' => q(Батыс Аргентина жазғы уақыты),
				'generic' => q(Батыс Аргентина уақыты),
				'standard' => q(Батыс Аргентина стандартты уақыты),
			},
		},
		'Armenia' => {
			long => {
				'daylight' => q(Армения жазғы уақыты),
				'generic' => q(Армения уақыты),
				'standard' => q(Армения стандартты уақыты),
			},
		},
		'Asia/Aden' => {
			exemplarCity => q#Аден#,
		},
		'Asia/Almaty' => {
			exemplarCity => q#Алматы#,
		},
		'Asia/Amman' => {
			exemplarCity => q#Амман#,
		},
		'Asia/Anadyr' => {
			exemplarCity => q#Анадыр#,
		},
		'Asia/Aqtau' => {
			exemplarCity => q#Ақтау#,
		},
		'Asia/Aqtobe' => {
			exemplarCity => q#Ақтөбе#,
		},
		'Asia/Ashgabat' => {
			exemplarCity => q#Азхабат#,
		},
		'Asia/Baghdad' => {
			exemplarCity => q#Бағдат#,
		},
		'Asia/Bahrain' => {
			exemplarCity => q#Бахрейн#,
		},
		'Asia/Baku' => {
			exemplarCity => q#Баку#,
		},
		'Asia/Bangkok' => {
			exemplarCity => q#Бангкок#,
		},
		'Asia/Beirut' => {
			exemplarCity => q#Бейрут#,
		},
		'Asia/Bishkek' => {
			exemplarCity => q#Бішкек#,
		},
		'Asia/Brunei' => {
			exemplarCity => q#Бруней#,
		},
		'Asia/Calcutta' => {
			exemplarCity => q#Колката#,
		},
		'Asia/Choibalsan' => {
			exemplarCity => q#Чойбалсан#,
		},
		'Asia/Chongqing' => {
			exemplarCity => q#Чунцин#,
		},
		'Asia/Colombo' => {
			exemplarCity => q#Коломбо#,
		},
		'Asia/Damascus' => {
			exemplarCity => q#Дамаск#,
		},
		'Asia/Dhaka' => {
			exemplarCity => q#Дакка#,
		},
		'Asia/Dili' => {
			exemplarCity => q#Дили#,
		},
		'Asia/Dubai' => {
			exemplarCity => q#Дубай#,
		},
		'Asia/Dushanbe' => {
			exemplarCity => q#Душанбе#,
		},
		'Asia/Gaza' => {
			exemplarCity => q#Газа#,
		},
		'Asia/Harbin' => {
			exemplarCity => q#Харбин#,
		},
		'Asia/Hebron' => {
			exemplarCity => q#Хеврон#,
		},
		'Asia/Hong_Kong' => {
			exemplarCity => q#Гонконг#,
		},
		'Asia/Hovd' => {
			exemplarCity => q#Ховд#,
		},
		'Asia/Irkutsk' => {
			exemplarCity => q#Иркутск#,
		},
		'Asia/Jakarta' => {
			exemplarCity => q#Жакарта#,
		},
		'Asia/Jayapura' => {
			exemplarCity => q#Жайпур#,
		},
		'Asia/Jerusalem' => {
			exemplarCity => q#Иерусалим#,
		},
		'Asia/Kabul' => {
			exemplarCity => q#Кабул#,
		},
		'Asia/Kamchatka' => {
			exemplarCity => q#Камчатка#,
		},
		'Asia/Karachi' => {
			exemplarCity => q#Карачи#,
		},
		'Asia/Kashgar' => {
			exemplarCity => q#Қашқар#,
		},
		'Asia/Katmandu' => {
			exemplarCity => q#Катманду#,
		},
		'Asia/Khandyga' => {
			exemplarCity => q#Хандыга#,
		},
		'Asia/Krasnoyarsk' => {
			exemplarCity => q#Красноярск#,
		},
		'Asia/Kuala_Lumpur' => {
			exemplarCity => q#Куала-Лумпур#,
		},
		'Asia/Kuching' => {
			exemplarCity => q#Кучинг#,
		},
		'Asia/Kuwait' => {
			exemplarCity => q#Кувейт#,
		},
		'Asia/Macau' => {
			exemplarCity => q#Макао#,
		},
		'Asia/Magadan' => {
			exemplarCity => q#Магадан#,
		},
		'Asia/Makassar' => {
			exemplarCity => q#Макассар#,
		},
		'Asia/Manila' => {
			exemplarCity => q#Манила#,
		},
		'Asia/Muscat' => {
			exemplarCity => q#Маскат#,
		},
		'Asia/Nicosia' => {
			exemplarCity => q#Никосиа#,
		},
		'Asia/Novokuznetsk' => {
			exemplarCity => q#Новокузнецк#,
		},
		'Asia/Novosibirsk' => {
			exemplarCity => q#Новосібір#,
		},
		'Asia/Omsk' => {
			exemplarCity => q#Омбы#,
		},
		'Asia/Oral' => {
			exemplarCity => q#Орал#,
		},
		'Asia/Phnom_Penh' => {
			exemplarCity => q#Пномпен#,
		},
		'Asia/Pontianak' => {
			exemplarCity => q#Понтианак#,
		},
		'Asia/Pyongyang' => {
			exemplarCity => q#Пхеньян#,
		},
		'Asia/Qatar' => {
			exemplarCity => q#Катар#,
		},
		'Asia/Qyzylorda' => {
			exemplarCity => q#Қызылорда#,
		},
		'Asia/Rangoon' => {
			exemplarCity => q#Рангун#,
		},
		'Asia/Riyadh' => {
			exemplarCity => q#Эр-Рияд#,
		},
		'Asia/Saigon' => {
			exemplarCity => q#Хошимин#,
		},
		'Asia/Sakhalin' => {
			exemplarCity => q#Сахалин#,
		},
		'Asia/Samarkand' => {
			exemplarCity => q#Самарқанд#,
		},
		'Asia/Seoul' => {
			exemplarCity => q#Сеул#,
		},
		'Asia/Shanghai' => {
			exemplarCity => q#Шанхай#,
		},
		'Asia/Singapore' => {
			exemplarCity => q#Сингапур#,
		},
		'Asia/Taipei' => {
			exemplarCity => q#Тайбэй#,
		},
		'Asia/Tashkent' => {
			exemplarCity => q#Ташкент#,
		},
		'Asia/Tbilisi' => {
			exemplarCity => q#Тбилиси#,
		},
		'Asia/Tehran' => {
			exemplarCity => q#Тегеран#,
		},
		'Asia/Thimphu' => {
			exemplarCity => q#Тимбу#,
		},
		'Asia/Tokyo' => {
			exemplarCity => q#Токио#,
		},
		'Asia/Ulaanbaatar' => {
			exemplarCity => q#Улан-Батор#,
		},
		'Asia/Urumqi' => {
			exemplarCity => q#Үрімші#,
		},
		'Asia/Ust-Nera' => {
			exemplarCity => q#Усть-Нера#,
		},
		'Asia/Vientiane' => {
			exemplarCity => q#Вьентьян#,
		},
		'Asia/Vladivostok' => {
			exemplarCity => q#Владивосток#,
		},
		'Asia/Yakutsk' => {
			exemplarCity => q#Якутск#,
		},
		'Asia/Yekaterinburg' => {
			exemplarCity => q#Екатеринбург#,
		},
		'Asia/Yerevan' => {
			exemplarCity => q#Ереван#,
		},
		'Atlantic' => {
			long => {
				'daylight' => q(Атлантикалық жаздық уақыт),
				'generic' => q(Атлантика уақыты),
				'standard' => q(Атлантика стандарт уақыты),
			},
		},
		'Atlantic/Azores' => {
			exemplarCity => q#Азор аралдары#,
		},
		'Atlantic/Bermuda' => {
			exemplarCity => q#Бермуда#,
		},
		'Atlantic/Canary' => {
			exemplarCity => q#Канар аралдары#,
		},
		'Atlantic/Cape_Verde' => {
			exemplarCity => q#Кабо-Верде#,
		},
		'Atlantic/Faeroe' => {
			exemplarCity => q#Фарер аралдары#,
		},
		'Atlantic/Madeira' => {
			exemplarCity => q#Мадейра#,
		},
		'Atlantic/Reykjavik' => {
			exemplarCity => q#Рейкьявик#,
		},
		'Atlantic/South_Georgia' => {
			exemplarCity => q#Оңтүстік Джорджия#,
		},
		'Atlantic/St_Helena' => {
			exemplarCity => q#Әулие Елена аралы#,
		},
		'Atlantic/Stanley' => {
			exemplarCity => q#Стенли#,
		},
		'Australia/Adelaide' => {
			exemplarCity => q#Аделаида#,
		},
		'Australia/Brisbane' => {
			exemplarCity => q#Брисбен#,
		},
		'Australia/Broken_Hill' => {
			exemplarCity => q#Брокен Хилл#,
		},
		'Australia/Currie' => {
			exemplarCity => q#Керри#,
		},
		'Australia/Darwin' => {
			exemplarCity => q#Дарвин#,
		},
		'Australia/Eucla' => {
			exemplarCity => q#Юкла#,
		},
		'Australia/Hobart' => {
			exemplarCity => q#Хобарт#,
		},
		'Australia/Lindeman' => {
			exemplarCity => q#Линдеман#,
		},
		'Australia/Lord_Howe' => {
			exemplarCity => q#Лорд Хау, арал#,
		},
		'Australia/Melbourne' => {
			exemplarCity => q#Мельбурн#,
		},
		'Australia/Perth' => {
			exemplarCity => q#Перт#,
		},
		'Australia/Sydney' => {
			exemplarCity => q#Сидней#,
		},
		'Australia_Central' => {
			long => {
				'daylight' => q(Австралиялық орталық жаздық уақыт),
				'generic' => q(Орталық Австралия уақыты),
				'standard' => q(Австралияның орталық стандарт уақыты),
			},
		},
		'Australia_CentralWestern' => {
			long => {
				'daylight' => q(Орталық Австралиялық батыс жаздық уақыты),
				'generic' => q(Орталық Австралиялық батыс уақыты),
				'standard' => q(Орталық Австралиялық батыс стандарт уақыты),
			},
		},
		'Australia_Eastern' => {
			long => {
				'daylight' => q(Шығыс Австралиялық жаздық уақыт),
				'generic' => q(Шығыс Австралиялық уақыт),
				'standard' => q(Шығыс Австралиялық стандарт уақыты),
			},
		},
		'Australia_Western' => {
			long => {
				'daylight' => q(Батыс Австралиялық жаздық уақыт),
				'generic' => q(Батыс Австралиялық уақыт),
				'standard' => q(Батыс Австралиялық стандарт уақыты),
			},
		},
		'Azerbaijan' => {
			long => {
				'daylight' => q(Әзірбайжан жазғы уақыты),
				'generic' => q(Әзірбайжан уақыты),
				'standard' => q(Әзірбайжан стандартты уақыты),
			},
		},
		'Azores' => {
			long => {
				'daylight' => q(Азор аралдары жазғы уақыты),
				'generic' => q(Азор аралдары уақыты),
				'standard' => q(Азор аралдары стандартты уақыты),
			},
		},
		'Bangladesh' => {
			long => {
				'daylight' => q(Бангладеш жазғы уақыты),
				'generic' => q(Бангладеш уақыты),
				'standard' => q(Бангладеш стандартты уақыты),
			},
		},
		'Bhutan' => {
			long => {
				'standard' => q(Бутан уақыты),
			},
		},
		'Bolivia' => {
			long => {
				'standard' => q(Боливия уақыты),
			},
		},
		'Brasilia' => {
			long => {
				'daylight' => q(Бразилия жазғы уақыты),
				'generic' => q(Бразилия уақыты),
				'standard' => q(Бразилия стандартты уақыты),
			},
		},
		'Brunei' => {
			long => {
				'standard' => q(Бруней-Даруссалам уақыты),
			},
		},
		'Cape_Verde' => {
			long => {
				'daylight' => q(Кабо-Верде жазғы уақыты),
				'generic' => q(Кабо-Верде уақыты),
				'standard' => q(Кабо-Верде стандартты уақыты),
			},
		},
		'Chamorro' => {
			long => {
				'standard' => q(Чаморро уақыты),
			},
		},
		'Chatham' => {
			long => {
				'daylight' => q(Чатем жазғы уақыты),
				'generic' => q(Чатем уақыты),
				'standard' => q(Чатем стандартты уақыты),
			},
		},
		'Chile' => {
			long => {
				'daylight' => q(Чили жазғы уақыты),
				'generic' => q(Чили уақыты),
				'standard' => q(Чили стандартты уақыты),
			},
		},
		'China' => {
			long => {
				'daylight' => q(Қытай күндізгі уақыты),
				'generic' => q(Қытай уақыты),
				'standard' => q(Қытай стандартты уақыты),
			},
		},
		'Choibalsan' => {
			long => {
				'daylight' => q(Чойбалсан жазғы уақыты),
				'generic' => q(Чойбалсан уақыты),
				'standard' => q(Чойбалсан стандартты уақыты),
			},
		},
		'Christmas' => {
			long => {
				'standard' => q(Кристмас аралы уақыты),
			},
		},
		'Cocos' => {
			long => {
				'standard' => q(Кокос аралдары уақыты),
			},
		},
		'Colombia' => {
			long => {
				'daylight' => q(Колумбия жазғы уақыты),
				'generic' => q(Колумбия уақыты),
				'standard' => q(Колумбия стандартты уақыты),
			},
		},
		'Cook' => {
			long => {
				'daylight' => q(Кук аралдары жартылай жазғы уақыты),
				'generic' => q(Кук аралдары уақыты),
				'standard' => q(Кук аралдары стандартты уақыты),
			},
		},
		'Cuba' => {
			long => {
				'daylight' => q(Куба күндізгі уақыты),
				'generic' => q(Куба уақыты),
				'standard' => q(Куба стандартты уақыты),
			},
		},
		'Davis' => {
			long => {
				'standard' => q(Дейвис уақыты),
			},
		},
		'DumontDUrville' => {
			long => {
				'standard' => q(Дюмон д'Юрвиль уақыты),
			},
		},
		'East_Timor' => {
			long => {
				'standard' => q(Шығыс Тимор уақыты),
			},
		},
		'Easter' => {
			long => {
				'daylight' => q(Пасха аралы жазғы уақыты),
				'generic' => q(Пасха аралы уақыты),
				'standard' => q(Пасха аралы стандартты уақыты),
			},
		},
		'Ecuador' => {
			long => {
				'standard' => q(Эквадор уақыты),
			},
		},
		'Etc/Unknown' => {
			exemplarCity => q#Белгісіз#,
		},
		'Europe/Amsterdam' => {
			exemplarCity => q#Амстердам#,
		},
		'Europe/Andorra' => {
			exemplarCity => q#Андора#,
		},
		'Europe/Athens' => {
			exemplarCity => q#Афина#,
		},
		'Europe/Belgrade' => {
			exemplarCity => q#Белград#,
		},
		'Europe/Berlin' => {
			exemplarCity => q#Берлин#,
		},
		'Europe/Bratislava' => {
			exemplarCity => q#Братислава#,
		},
		'Europe/Brussels' => {
			exemplarCity => q#Брюссель#,
		},
		'Europe/Bucharest' => {
			exemplarCity => q#Бухарест#,
		},
		'Europe/Budapest' => {
			exemplarCity => q#Будапешт#,
		},
		'Europe/Busingen' => {
			exemplarCity => q#Бюзинген#,
		},
		'Europe/Chisinau' => {
			exemplarCity => q#Кишинев#,
		},
		'Europe/Copenhagen' => {
			exemplarCity => q#Копенгаген#,
		},
		'Europe/Dublin' => {
			exemplarCity => q#Дублин#,
			long => {
				'daylight' => q(Ирландиаялық жазғы уақыт),
			},
		},
		'Europe/Gibraltar' => {
			exemplarCity => q#Гибралтар#,
		},
		'Europe/Guernsey' => {
			exemplarCity => q#Гернси#,
		},
		'Europe/Helsinki' => {
			exemplarCity => q#Хелсинки#,
		},
		'Europe/Isle_of_Man' => {
			exemplarCity => q#Мэн, арал#,
		},
		'Europe/Istanbul' => {
			exemplarCity => q#Стамбул#,
		},
		'Europe/Jersey' => {
			exemplarCity => q#Джерси#,
		},
		'Europe/Kaliningrad' => {
			exemplarCity => q#Калининград#,
		},
		'Europe/Kiev' => {
			exemplarCity => q#Киев#,
		},
		'Europe/Lisbon' => {
			exemplarCity => q#Лиссабон#,
		},
		'Europe/Ljubljana' => {
			exemplarCity => q#Любляна#,
		},
		'Europe/London' => {
			exemplarCity => q#Лондон#,
			long => {
				'daylight' => q(Ұлыбританиялық жазғы уақыт),
			},
		},
		'Europe/Luxembourg' => {
			exemplarCity => q#Люксембург#,
		},
		'Europe/Madrid' => {
			exemplarCity => q#Мадрид#,
		},
		'Europe/Malta' => {
			exemplarCity => q#Мальта#,
		},
		'Europe/Mariehamn' => {
			exemplarCity => q#Мариехамн#,
		},
		'Europe/Minsk' => {
			exemplarCity => q#Минск#,
		},
		'Europe/Monaco' => {
			exemplarCity => q#Монако#,
		},
		'Europe/Moscow' => {
			exemplarCity => q#Мәскеу#,
		},
		'Europe/Oslo' => {
			exemplarCity => q#Осло#,
		},
		'Europe/Paris' => {
			exemplarCity => q#Париж#,
		},
		'Europe/Podgorica' => {
			exemplarCity => q#Подгорица#,
		},
		'Europe/Prague' => {
			exemplarCity => q#Прага#,
		},
		'Europe/Riga' => {
			exemplarCity => q#Рига#,
		},
		'Europe/Rome' => {
			exemplarCity => q#Рим#,
		},
		'Europe/Samara' => {
			exemplarCity => q#Самара#,
		},
		'Europe/San_Marino' => {
			exemplarCity => q#Сан-Марино#,
		},
		'Europe/Sarajevo' => {
			exemplarCity => q#Сараево#,
		},
		'Europe/Simferopol' => {
			exemplarCity => q#Симферополь#,
		},
		'Europe/Skopje' => {
			exemplarCity => q#Скопье#,
		},
		'Europe/Sofia' => {
			exemplarCity => q#София#,
		},
		'Europe/Stockholm' => {
			exemplarCity => q#Стокгольм#,
		},
		'Europe/Tallinn' => {
			exemplarCity => q#Таллин#,
		},
		'Europe/Tirane' => {
			exemplarCity => q#Тирана#,
		},
		'Europe/Uzhgorod' => {
			exemplarCity => q#Ужгород#,
		},
		'Europe/Vaduz' => {
			exemplarCity => q#Вадуц#,
		},
		'Europe/Vatican' => {
			exemplarCity => q#Ватикан#,
		},
		'Europe/Vienna' => {
			exemplarCity => q#Вена#,
		},
		'Europe/Vilnius' => {
			exemplarCity => q#Вильнус#,
		},
		'Europe/Volgograd' => {
			exemplarCity => q#Волгоград#,
		},
		'Europe/Warsaw' => {
			exemplarCity => q#Варшава#,
		},
		'Europe/Zagreb' => {
			exemplarCity => q#Загреб#,
		},
		'Europe/Zaporozhye' => {
			exemplarCity => q#Запорожье#,
		},
		'Europe/Zurich' => {
			exemplarCity => q#Цюрих#,
		},
		'Europe_Central' => {
			long => {
				'daylight' => q(Орталық Еуропа жаздық уақыты),
				'generic' => q(Орталық Еуропа уақыты),
				'standard' => q(Орталық Еуропа стандарт уақыты),
			},
		},
		'Europe_Eastern' => {
			long => {
				'daylight' => q(Шығыс Еуропа жаздық уақыты),
				'generic' => q(Шығыс Еуропа уақыты),
				'standard' => q(Шығыс Еуропа стандарт уақыты),
			},
			short => {
				'daylight' => q(EEST),
				'generic' => q(EET),
				'standard' => q(EET),
			},
		},
		'Europe_Western' => {
			long => {
				'daylight' => q(Батыс Еуропа жаздық уақыты),
				'generic' => q(Батыс Еуропа уақыты),
				'standard' => q(Батыс Еуропа стандарт уақыты),
			},
		},
		'Falkland' => {
			long => {
				'daylight' => q(Фолкленд аралдары жазғы уақыты),
				'generic' => q(Фолкленд аралдары уақыты),
				'standard' => q(Фолкленд аралдары стандартты уақыты),
			},
		},
		'Fiji' => {
			long => {
				'daylight' => q(Фиджи жазғы уақыты),
				'generic' => q(Фиджи уақыты),
				'standard' => q(Фиджи стандартты уақыты),
			},
		},
		'French_Guiana' => {
			long => {
				'standard' => q(Француз Гвианасы уақыты),
			},
		},
		'French_Southern' => {
			long => {
				'standard' => q(Францияның оңтүстік аймағы және Антарктика уақыты),
			},
		},
		'GMT' => {
			long => {
				'standard' => q(Гринвич уақыты),
			},
		},
		'Galapagos' => {
			long => {
				'standard' => q(Галапагос уақыты),
			},
		},
		'Gambier' => {
			long => {
				'standard' => q(Гамбье уақыты),
			},
		},
		'Georgia' => {
			long => {
				'daylight' => q(Грузия жазғы уақыты),
				'generic' => q(Грузия уақыты),
				'standard' => q(Грузия стандартты уақыты),
			},
		},
		'Gilbert_Islands' => {
			long => {
				'standard' => q(Гилберт аралдары уақыты),
			},
		},
		'Greenland_Eastern' => {
			long => {
				'daylight' => q(Шығыс Гренландия жазғы уақыты),
				'generic' => q(Шығыс Гренландия уақыты),
				'standard' => q(Шығыс Гренландия стандартты уақыты),
			},
		},
		'Greenland_Western' => {
			long => {
				'daylight' => q(Батыс Гренландия жазғы уақыты),
				'generic' => q(Батыс Гренландия уақыты),
				'standard' => q(Батыс Гренландия стандартты уақыты),
			},
		},
		'Gulf' => {
			long => {
				'standard' => q(Мексика шығанағы уақыты),
			},
		},
		'Guyana' => {
			long => {
				'standard' => q(Гайана уақыты),
			},
		},
		'Hawaii_Aleutian' => {
			long => {
				'daylight' => q(Гавай және Алеут аралдары жазғы уақыты),
				'generic' => q(Гавай және Алеут аралдары уақыты),
				'standard' => q(Гавай және Алеут аралдары стандартты уақыты),
			},
		},
		'Hong_Kong' => {
			long => {
				'daylight' => q(Гонконг жазғы уақыты),
				'generic' => q(Гонконг уақыты),
				'standard' => q(Гонконг стандартты уақыты),
			},
		},
		'Hovd' => {
			long => {
				'daylight' => q(Ховд жазғы уақыты),
				'generic' => q(Ховд уақыты),
				'standard' => q(Ховд стандартты уақыты),
			},
		},
		'India' => {
			long => {
				'standard' => q(Үндістан уақыты),
			},
		},
		'Indian/Antananarivo' => {
			exemplarCity => q#Антананариво#,
		},
		'Indian/Chagos' => {
			exemplarCity => q#Чагос#,
		},
		'Indian/Christmas' => {
			exemplarCity => q#Кристмас аралдары#,
		},
		'Indian/Cocos' => {
			exemplarCity => q#Кокос аралдары#,
		},
		'Indian/Comoro' => {
			exemplarCity => q#Коморо#,
		},
		'Indian/Kerguelen' => {
			exemplarCity => q#Кергелен#,
		},
		'Indian/Mahe' => {
			exemplarCity => q#Маэ#,
		},
		'Indian/Maldives' => {
			exemplarCity => q#Мальдив#,
		},
		'Indian/Mauritius' => {
			exemplarCity => q#Маврикий#,
		},
		'Indian/Mayotte' => {
			exemplarCity => q#Майорка#,
		},
		'Indian/Reunion' => {
			exemplarCity => q#Реюньон#,
		},
		'Indian_Ocean' => {
			long => {
				'standard' => q(Үнді мұхиты уақыты),
			},
		},
		'Indochina' => {
			long => {
				'standard' => q(Үндіқытай уақыты),
			},
		},
		'Indonesia_Central' => {
			long => {
				'standard' => q(Орталық Индонезия уақыты),
			},
		},
		'Indonesia_Eastern' => {
			long => {
				'standard' => q(Шығыс Индонезия уақыты),
			},
		},
		'Indonesia_Western' => {
			long => {
				'standard' => q(Батыс Индонезия уақыты),
			},
		},
		'Iran' => {
			long => {
				'daylight' => q(Иран күндізгі уақыты),
				'generic' => q(Иран уақыты),
				'standard' => q(Иран стандартты уақыты),
			},
		},
		'Irkutsk' => {
			long => {
				'daylight' => q(Иркутск жазғы уақыты),
				'generic' => q(Иркутск уақыты),
				'standard' => q(Иркутск стандартты уақыты),
			},
		},
		'Israel' => {
			long => {
				'daylight' => q(Израиль күндізгі уақыты),
				'generic' => q(Израиль уақыты),
				'standard' => q(Израиль стандартты уақыты),
			},
		},
		'Japan' => {
			long => {
				'daylight' => q(Жапония күндізгі уақыты),
				'generic' => q(Жапония уақыты),
				'standard' => q(Жапония стандартты уақыты),
			},
		},
		'Kazakhstan_Eastern' => {
			long => {
				'standard' => q(Шығыс Қазақстан уақыты),
			},
		},
		'Kazakhstan_Western' => {
			long => {
				'standard' => q(Батыс Қазақстан уақыты),
			},
		},
		'Korea' => {
			long => {
				'daylight' => q(Корея күндізгі уақыты),
				'generic' => q(Корея уақыты),
				'standard' => q(Корея стандартты уақыты),
			},
		},
		'Kosrae' => {
			long => {
				'standard' => q(Косраэ уақыты),
			},
		},
		'Krasnoyarsk' => {
			long => {
				'daylight' => q(Красноярск жазғы уақыты),
				'generic' => q(Красноярск уақыты),
				'standard' => q(Красноярск стандартты уақыты),
			},
		},
		'Kyrgystan' => {
			long => {
				'standard' => q(Қырғызстан уақыты),
			},
		},
		'Line_Islands' => {
			long => {
				'standard' => q(Лайн аралдары уақыты),
			},
		},
		'Lord_Howe' => {
			long => {
				'daylight' => q(Лорд-Хау жазғы уақыты),
				'generic' => q(Лорд-Хау уақыты),
				'standard' => q(Лорд-Хау стандартты уақыты),
			},
		},
		'Macquarie' => {
			long => {
				'standard' => q(Маккуори аралы уақыты),
			},
		},
		'Magadan' => {
			long => {
				'daylight' => q(Магадан жазғы уақыты),
				'generic' => q(Магадан уақыты),
				'standard' => q(Магадан стандартты уақыты),
			},
		},
		'Malaysia' => {
			long => {
				'standard' => q(Малайзия уақыты),
			},
		},
		'Maldives' => {
			long => {
				'standard' => q(Мальдив уақыты),
			},
		},
		'Marquesas' => {
			long => {
				'standard' => q(Маркиз аралдары уақыты),
			},
		},
		'Marshall_Islands' => {
			long => {
				'standard' => q(Маршалл аралдары уақыты),
			},
		},
		'Mauritius' => {
			long => {
				'daylight' => q(Маврикий жазғы уақыты),
				'generic' => q(Маврикий уақыты),
				'standard' => q(Маврикий стандартты уақыты),
			},
		},
		'Mawson' => {
			long => {
				'standard' => q(Моусон уақыты),
			},
		},
		'Mongolia' => {
			long => {
				'daylight' => q(Улан-Батор жазғы уақыты),
				'generic' => q(Улан-Батор уақыты),
				'standard' => q(Улан-Батор стандартты уақыты),
			},
		},
		'Moscow' => {
			long => {
				'daylight' => q(Мәскеу жазғы уақыты),
				'generic' => q(Мәскеу уақыты),
				'standard' => q(Мәскеу стандартты уақыты),
			},
		},
		'Myanmar' => {
			long => {
				'standard' => q(Мьянма уақыты),
			},
		},
		'Nauru' => {
			long => {
				'standard' => q(Науру уақыты),
			},
		},
		'Nepal' => {
			long => {
				'standard' => q(Непал уақыты),
			},
		},
		'New_Caledonia' => {
			long => {
				'daylight' => q(Жаңа Каледония жазғы уақыты),
				'generic' => q(Жаңа Каледония уақыты),
				'standard' => q(Жаңа Каледония стандартты уақыты),
			},
		},
		'New_Zealand' => {
			long => {
				'daylight' => q(Жаңа Зеландия күндізгі уақыты),
				'generic' => q(Жаңа Зеландия уақыты),
				'standard' => q(Жаңа Зеландия стандартты уақыты),
			},
		},
		'Newfoundland' => {
			long => {
				'daylight' => q(Ньюфаундленд жазғы уақыты),
				'generic' => q(Ньюфаундленд уақыты),
				'standard' => q(Ньюфаундленд стандартты уақыты),
			},
		},
		'Niue' => {
			long => {
				'standard' => q(Ниуэ уақыты),
			},
		},
		'Norfolk' => {
			long => {
				'standard' => q(Норфолк аралы уақыты),
			},
		},
		'Noronha' => {
			long => {
				'daylight' => q(Фернанду-ди-Норонья жазғы уақыты),
				'generic' => q(Фернанду-ди-Норонья уақыты),
				'standard' => q(Фернанду-ди-Норонья стандартты уақыты),
			},
		},
		'Novosibirsk' => {
			long => {
				'daylight' => q(Новосібір жазғы уақыты),
				'generic' => q(Новосібір уақыты),
				'standard' => q(Новосібір стандартты уақыты),
			},
		},
		'Omsk' => {
			long => {
				'daylight' => q(Омбы жазғы уақыты),
				'generic' => q(Омбы уақыты),
				'standard' => q(Омбы стандартты уақыты),
			},
		},
		'Pacific/Apia' => {
			exemplarCity => q#Апия#,
		},
		'Pacific/Auckland' => {
			exemplarCity => q#Окленд#,
		},
		'Pacific/Chatham' => {
			exemplarCity => q#Чатем#,
		},
		'Pacific/Easter' => {
			exemplarCity => q#Пасха арала#,
		},
		'Pacific/Efate' => {
			exemplarCity => q#Эфате#,
		},
		'Pacific/Enderbury' => {
			exemplarCity => q#Эндербери#,
		},
		'Pacific/Fakaofo' => {
			exemplarCity => q#Факаофо#,
		},
		'Pacific/Fiji' => {
			exemplarCity => q#Фиджи#,
		},
		'Pacific/Funafuti' => {
			exemplarCity => q#Фунафути#,
		},
		'Pacific/Galapagos' => {
			exemplarCity => q#Галапагос#,
		},
		'Pacific/Gambier' => {
			exemplarCity => q#Гамбье#,
		},
		'Pacific/Guadalcanal' => {
			exemplarCity => q#Гвадалканал#,
		},
		'Pacific/Guam' => {
			exemplarCity => q#Гуам#,
		},
		'Pacific/Honolulu' => {
			exemplarCity => q#Гонолулу#,
		},
		'Pacific/Johnston' => {
			exemplarCity => q#Джонстон#,
		},
		'Pacific/Kiritimati' => {
			exemplarCity => q#Киритимати#,
		},
		'Pacific/Kosrae' => {
			exemplarCity => q#Косрае#,
		},
		'Pacific/Kwajalein' => {
			exemplarCity => q#Кваджалейн#,
		},
		'Pacific/Majuro' => {
			exemplarCity => q#Маджуро#,
		},
		'Pacific/Marquesas' => {
			exemplarCity => q#Маркиз аралдары#,
		},
		'Pacific/Midway' => {
			exemplarCity => q#Мидуэй#,
		},
		'Pacific/Nauru' => {
			exemplarCity => q#Науру#,
		},
		'Pacific/Niue' => {
			exemplarCity => q#Ниуэ#,
		},
		'Pacific/Norfolk' => {
			exemplarCity => q#Норфолк#,
		},
		'Pacific/Noumea' => {
			exemplarCity => q#Нумеа#,
		},
		'Pacific/Pago_Pago' => {
			exemplarCity => q#Паго-Паго#,
		},
		'Pacific/Palau' => {
			exemplarCity => q#Палау#,
		},
		'Pacific/Pitcairn' => {
			exemplarCity => q#Питкерн#,
		},
		'Pacific/Ponape' => {
			exemplarCity => q#Понапе#,
		},
		'Pacific/Port_Moresby' => {
			exemplarCity => q#Порт Морсби#,
		},
		'Pacific/Rarotonga' => {
			exemplarCity => q#Раротонга#,
		},
		'Pacific/Saipan' => {
			exemplarCity => q#Сайпан#,
		},
		'Pacific/Tahiti' => {
			exemplarCity => q#Таити#,
		},
		'Pacific/Tarawa' => {
			exemplarCity => q#Тарава#,
		},
		'Pacific/Tongatapu' => {
			exemplarCity => q#Тонгатапу#,
		},
		'Pacific/Truk' => {
			exemplarCity => q#Трук#,
		},
		'Pacific/Wake' => {
			exemplarCity => q#Уэйк#,
		},
		'Pacific/Wallis' => {
			exemplarCity => q#Уоллис#,
		},
		'Pakistan' => {
			long => {
				'daylight' => q(Пәкістан жазғы уақыты),
				'generic' => q(Пәкістан уақыты),
				'standard' => q(Пәкістан стандартты уақыты),
			},
		},
		'Palau' => {
			long => {
				'standard' => q(Палау уақыты),
			},
		},
		'Papua_New_Guinea' => {
			long => {
				'standard' => q(Папуа – Жаңа Гвинея уақыты),
			},
		},
		'Paraguay' => {
			long => {
				'daylight' => q(Парагвай жазғы уақыты),
				'generic' => q(Парагвай уақыты),
				'standard' => q(Парагвай стандартты уақыты),
			},
		},
		'Peru' => {
			long => {
				'daylight' => q(Перу жазғы уақыты),
				'generic' => q(Перу уақыты),
				'standard' => q(Перу стандартты уақыты),
			},
		},
		'Philippines' => {
			long => {
				'daylight' => q(Филиппин жазғы уақыты),
				'generic' => q(Филиппин уақыты),
				'standard' => q(Филиппин стандартты уақыты),
			},
		},
		'Phoenix_Islands' => {
			long => {
				'standard' => q(Феникс аралдары уақыты),
			},
		},
		'Pierre_Miquelon' => {
			long => {
				'daylight' => q(Сен-Пьер және Микелон күндізгі уақыты),
				'generic' => q(Сен-Пьер және Микелон уақыты),
				'standard' => q(Сен-Пьер және Микелон стандартты уақыты),
			},
		},
		'Pitcairn' => {
			long => {
				'standard' => q(Питкэрн уақыты),
			},
		},
		'Ponape' => {
			long => {
				'standard' => q(Понапе уақыты),
			},
		},
		'Reunion' => {
			long => {
				'standard' => q(Реюньон уақыты),
			},
		},
		'Rothera' => {
			long => {
				'standard' => q(Ротера уақыты),
			},
		},
		'Sakhalin' => {
			long => {
				'daylight' => q(Сахалин жазғы уақыты),
				'generic' => q(Сахалин уақыты),
				'standard' => q(Сахалин стандартты уақыты),
			},
		},
		'Samoa' => {
			long => {
				'daylight' => q(Самоа күндізгі уақыты),
				'generic' => q(Самоа уақыты),
				'standard' => q(Самоа стандартты уақыты),
			},
		},
		'Seychelles' => {
			long => {
				'standard' => q(Сейшель уақыты),
			},
		},
		'Singapore' => {
			long => {
				'standard' => q(Сингапур уақыты),
			},
		},
		'Solomon' => {
			long => {
				'standard' => q(Соломон аралдары уақыты),
			},
		},
		'South_Georgia' => {
			long => {
				'standard' => q(Оңтүстік Георгия уақыты),
			},
		},
		'Suriname' => {
			long => {
				'standard' => q(Суринам уақыты),
			},
		},
		'Syowa' => {
			long => {
				'standard' => q(Сёва уақыты),
			},
		},
		'Tahiti' => {
			long => {
				'standard' => q(Таити уақыты),
			},
		},
		'Taipei' => {
			long => {
				'daylight' => q(Тайбэй күндізгі уақыты),
				'generic' => q(Тайбэй уақыты),
				'standard' => q(Тайбэй стандартты уақыты),
			},
		},
		'Tajikistan' => {
			long => {
				'standard' => q(Тәжікстан уақыты),
			},
		},
		'Tokelau' => {
			long => {
				'standard' => q(Токелау уақыты),
			},
		},
		'Tonga' => {
			long => {
				'daylight' => q(Тонга жазғы уақыты),
				'generic' => q(Тонга уақыты),
				'standard' => q(Тонга стандартты уақыты),
			},
		},
		'Truk' => {
			long => {
				'standard' => q(Чуук уақыты),
			},
		},
		'Turkmenistan' => {
			long => {
				'daylight' => q(Түрікменстан жазғы уақыты),
				'generic' => q(Түрікменстан уақыты),
				'standard' => q(Түрікменстан стандартты уақыты),
			},
		},
		'Tuvalu' => {
			long => {
				'standard' => q(Тувалу уақыты),
			},
		},
		'Uruguay' => {
			long => {
				'daylight' => q(Уругвай жазғы уақыты),
				'generic' => q(Уругвай уақыты),
				'standard' => q(Уругвай стандартты уақыты),
			},
		},
		'Uzbekistan' => {
			long => {
				'daylight' => q(Өзбекстан жазғы уақыты),
				'generic' => q(Өзбекстан уақыты),
				'standard' => q(Өзбекстан стандартты уақыты),
			},
		},
		'Vanuatu' => {
			long => {
				'daylight' => q(Вануату жазғы уақыты),
				'generic' => q(Вануату уақыты),
				'standard' => q(Вануату стандартты уақыты),
			},
		},
		'Venezuela' => {
			long => {
				'standard' => q(Венесуэла уақыты),
			},
		},
		'Vladivostok' => {
			long => {
				'daylight' => q(Владивосток жазғы уақыты),
				'generic' => q(Владивосток уақыты),
				'standard' => q(Владивосток стандартты уақыты),
			},
		},
		'Volgograd' => {
			long => {
				'daylight' => q(Волгоград жазғы уақыты),
				'generic' => q(Волгоград уақыты),
				'standard' => q(Волгоград стандартты уақыты),
			},
		},
		'Vostok' => {
			long => {
				'standard' => q(Восток уақыты),
			},
		},
		'Wake' => {
			long => {
				'standard' => q(Уэйк аралы уақыты),
			},
		},
		'Wallis' => {
			long => {
				'standard' => q(Уоллис және Футуна уақыты),
			},
		},
		'Yakutsk' => {
			long => {
				'daylight' => q(Якутск жазғы уақыты),
				'generic' => q(Якутск уақыты),
				'standard' => q(Якутск стандартты уақыты),
			},
		},
		'Yekaterinburg' => {
			long => {
				'daylight' => q(Екатеринбург жазғы уақыты),
				'generic' => q(Екатеринбург уақыты),
				'standard' => q(Екатеринбург стандартты уақыты),
			},
		},
	 } }
);
no Moose;
__PACKAGE__->meta->make_immutable;

1;

# vim: tabstop=4
