package Locale::CLDR::Ja;
# This file auto generated from Data\common\main\ja.xml
#	on Mon 31 Mar 12:47:34 am GMT
# XML file generated 2014-03-03 17:35:05 -0600 (Mon, 03 Mar 2014)

use v5.18;
use mro 'c3';
use utf8;

use Moose;

extends('Locale::CLDR::Root');
has 'WordBreak_variables' => (
	is => 'ro',
	isa => 'ArrayRef',
	init_arg => undef,
	default => sub {[
		'$Hiragana' => '\p{Hiragana}',
		'$Hiragana' => '($Hiragana $X)',
		'$Ideographic' => '[[\p{Ideographic}] [\u3005 \u3007 \u303B]]',
		'$Ideographic' => '($Ideographic $X)',
	]}
);

has 'WordBreak_rules' => (
	is => 'ro',
	isa => 'HashRef',
	init_arg => undef,
	default => sub { {
		'13.05' => ' $Hiragana × $Hiragana ',
		'13.06' => ' $Ideographic × $Ideographic ',
	}}
);
has 'LineBreak_variables' => (
	is => 'ro',
	isa => 'ArrayRef',
	init_arg => undef,
	default => sub {[
		'$ID' => '[[\p{Line_Break=Ideographic}] [$CJ]]',
		'$NS' => '\p{Line_Break=Nonstarter}',
	]}
);
# Need to add code for Key type pattern
sub display_name_pattern {
	my ($self, $name, $territory, $script, $variant) = @_;

	my $display_pattern = '{0} ({1})';
	$display_pattern =~s/\{0\}/$name/g;
	my $subtags = join '{0}、{1}', grep {$_} (
		$territory,
		$script,
		$variant,
	);

	$display_pattern =~s/\{1\}/$subtags/g;
	return $display_pattern;
}

has 'display_name_language' => (
	is			=> 'ro',
	isa			=> 'CodeRef',
	init_arg	=> undef,
	default		=> sub { 
		 sub {
			 my %languages = (
				'aa' => 'アファル語',
 				'ab' => 'アブハズ語',
 				'ace' => 'アチェ語',
 				'ach' => 'アチョリ語',
 				'ada' => 'アダングメ語',
 				'ady' => 'アディゲ語',
 				'ae' => 'アヴェスタ語',
 				'af' => 'アフリカーンス語',
 				'afh' => 'アフリヒリ語',
 				'agq' => 'アゲム語',
 				'ain' => 'アイヌ語',
 				'ak' => 'アカン語',
 				'akk' => 'アッカド語',
 				'ale' => 'アレウト語',
 				'alt' => '南アルタイ語',
 				'am' => 'アムハラ語',
 				'an' => 'アラゴン語',
 				'ang' => '古英語',
 				'anp' => 'アンギカ語',
 				'ar' => 'アラビア語',
 				'arc' => 'アラム語',
 				'arn' => 'アラウカン語',
 				'arp' => 'アラパホー語',
 				'arw' => 'アラワク語',
 				'as' => 'アッサム語',
 				'asa' => 'アス語',
 				'ast' => 'アストゥリアス語',
 				'av' => 'アヴァル語',
 				'awa' => 'アワディー語',
 				'ay' => 'アイマラ語',
 				'az' => 'アゼルバイジャン語',
 				'az@alt=short' => 'アゼリー語',
 				'ba' => 'バシキール語',
 				'bal' => 'バルーチー語',
 				'ban' => 'バリ語',
 				'bas' => 'バサ語',
 				'bax' => 'バムン語',
 				'bbj' => 'ゴーマラ語',
 				'be' => 'ベラルーシ語',
 				'bej' => 'ベジャ語',
 				'bem' => 'ベンバ語',
 				'bez' => 'ベナ語',
 				'bfd' => 'バフット語',
 				'bg' => 'ブルガリア語',
 				'bho' => 'ボージュプリー語',
 				'bi' => 'ビスラマ語',
 				'bik' => 'ビコル語',
 				'bin' => 'ビニ語',
 				'bkm' => 'コム語',
 				'bla' => 'シクシカ語',
 				'bm' => 'バンバラ語',
 				'bn' => 'ベンガル語',
 				'bo' => 'チベット語',
 				'br' => 'ブルトン語',
 				'bra' => 'ブラジ語',
 				'brx' => 'ボド語',
 				'bs' => 'ボスニア語',
 				'bss' => 'アコース語',
 				'bua' => 'ブリヤート語',
 				'bug' => 'ブギ語',
 				'bum' => 'ブル語',
 				'byn' => 'ビリン語',
 				'byv' => 'メドゥンバ語',
 				'ca' => 'カタロニア語',
 				'cad' => 'カドー語',
 				'car' => 'カリブ語',
 				'cay' => 'カユーガ語',
 				'cch' => 'チャワイ語',
 				'ce' => 'チェチェン語',
 				'ceb' => 'セブアノ語',
 				'cgg' => 'チガ語',
 				'ch' => 'チャモロ語',
 				'chb' => 'チブチャ語',
 				'chg' => 'チャガタイ語',
 				'chk' => 'チューク語',
 				'chm' => 'マリ語',
 				'chn' => 'チヌーク混成語',
 				'cho' => 'チョクトー語',
 				'chp' => 'チペワイアン語',
 				'chr' => 'チェロキー語',
 				'chy' => 'シャイアン語',
 				'ckb' => 'クルド語(ソラニー)',
 				'co' => 'コルシカ語',
 				'cop' => 'コプト語',
 				'cr' => 'クリー語',
 				'crh' => 'クリミア・タタール語',
 				'cs' => 'チェコ語',
 				'csb' => 'カシューブ語',
 				'cu' => '教会スラブ語',
 				'cv' => 'チュヴァシ語',
 				'cy' => 'ウェールズ語',
 				'da' => 'デンマーク語',
 				'dak' => 'ダコタ語',
 				'dar' => 'ダルガン語',
 				'dav' => 'タイタ語',
 				'de' => 'ドイツ語',
 				'de_CH' => '正統ドイツ語(スイス)',
 				'del' => 'デラウェア語',
 				'den' => 'スレイビー語',
 				'dgr' => 'ドグリブ語',
 				'din' => 'ディンカ語',
 				'dje' => 'ザルマ語',
 				'doi' => 'ドーグリー語',
 				'dsb' => '低ソルビア語',
 				'dua' => 'ドゥアラ語',
 				'dum' => '中世オランダ語',
 				'dv' => 'ディベヒ語',
 				'dyo' => 'ジョラ＝フォニィ語',
 				'dyu' => 'ジュラ語',
 				'dz' => 'ゾンカ語',
 				'dzg' => 'ダザガ語',
 				'ebu' => 'エンブ語',
 				'ee' => 'エウェ語',
 				'efi' => 'エフィク語',
 				'egy' => '古代エジプト語',
 				'eka' => 'エカジュク語',
 				'el' => 'ギリシャ語',
 				'elx' => 'エラム語',
 				'en' => '英語',
 				'en_AU' => 'オーストラリア英語',
 				'en_CA' => 'カナダ英語',
 				'en_GB' => 'イギリス英語',
 				'en_US' => 'アメリカ英語',
 				'enm' => '中世英語',
 				'eo' => 'エスペラント語',
 				'es' => 'スペイン語',
 				'es_ES' => 'スペイン語(イベリア半島)',
 				'et' => 'エストニア語',
 				'eu' => 'バスク語',
 				'ewo' => 'エウォンド語',
 				'fa' => 'ペルシア語',
 				'fan' => 'ファング語',
 				'fat' => 'ファンティー語',
 				'ff' => 'フラニ語',
 				'fi' => 'フィンランド語',
 				'fil' => 'フィリピノ語',
 				'fj' => 'フィジー語',
 				'fo' => 'フェロー語',
 				'fon' => 'フォン語',
 				'fr' => 'フランス語',
 				'frm' => '中期フランス語',
 				'fro' => '古フランス語',
 				'frr' => '北フリジア語',
 				'frs' => '東フリジア語',
 				'fur' => 'フリウリ語',
 				'fy' => '西フリジア語',
 				'ga' => 'アイルランド語',
 				'gaa' => 'ガ語',
 				'gay' => 'ガヨ語',
 				'gba' => 'バヤ語',
 				'gd' => 'スコットランド・ゲール語',
 				'gez' => 'ゲエズ語',
 				'gil' => 'キリバス語',
 				'gl' => 'ガリシア語',
 				'gmh' => '中高ドイツ語',
 				'gn' => 'グアラニー語',
 				'goh' => '古高ドイツ語',
 				'gon' => 'ゴーンディー語',
 				'gor' => 'ゴロンタロ語',
 				'got' => 'ゴート語',
 				'grb' => 'グレボ語',
 				'grc' => '古代ギリシャ語',
 				'gsw' => 'スイスドイツ語',
 				'gu' => 'グジャラート語',
 				'guz' => 'グシイ語',
 				'gv' => 'マン島語',
 				'gwi' => 'グウィッチン語',
 				'ha' => 'ハウサ語',
 				'hai' => 'ハイダ語',
 				'haw' => 'ハワイ語',
 				'he' => 'ヘブライ語',
 				'hi' => 'ヒンディー語',
 				'hil' => 'ヒリガイノン語',
 				'hit' => 'ヒッタイト語',
 				'hmn' => 'フモン語',
 				'ho' => 'ヒリモツ語',
 				'hr' => 'クロアチア語',
 				'hsb' => '上ソルビア語',
 				'ht' => 'ハイチ語',
 				'hu' => 'ハンガリー語',
 				'hup' => 'アタパスカ語',
 				'hy' => 'アルメニア語',
 				'hz' => 'ヘレロ語',
 				'ia' => 'インターリングア',
 				'iba' => 'イバン語',
 				'ibb' => 'イビビオ語',
 				'id' => 'インドネシア語',
 				'ie' => 'インターリング',
 				'ig' => 'イボ語',
 				'ii' => '四川イ語',
 				'ik' => 'イヌピアック語',
 				'ilo' => 'イロカノ語',
 				'inh' => 'イングーシ語',
 				'io' => 'イド語',
 				'is' => 'アイスランド語',
 				'it' => 'イタリア語',
 				'iu' => 'イヌクウティトット語',
 				'ja' => '日本語',
 				'jbo' => 'ロジバン語',
 				'jgo' => 'ンゴンバ語',
 				'jmc' => 'マチャメ語',
 				'jpr' => 'ユダヤ・ペルシア語',
 				'jrb' => 'ユダヤ・アラビア語',
 				'jv' => 'ジャワ語',
 				'ka' => 'グルジア語',
 				'kaa' => 'カラカルパク語',
 				'kab' => 'カビル語',
 				'kac' => 'カチン語',
 				'kaj' => 'カジェ語',
 				'kam' => 'カンバ語',
 				'kaw' => 'カウィ語',
 				'kbd' => 'カバルド語',
 				'kbl' => 'カネンブ語',
 				'kcg' => 'カタブ語',
 				'kde' => 'マコンデ語',
 				'kea' => 'カーボベルデ・クレオール語',
 				'kfo' => 'コロ語',
 				'kg' => 'コンゴ語',
 				'kha' => 'カシ語',
 				'kho' => 'コータン語',
 				'khq' => 'コイラ・チーニ語',
 				'ki' => 'キクユ語',
 				'kj' => 'クワニャマ語',
 				'kk' => 'カザフ語',
 				'kkj' => 'カコ語',
 				'kl' => 'グリーンランド語',
 				'kln' => 'カレンジン語',
 				'km' => 'クメール語',
 				'kmb' => 'キンブンド語',
 				'kn' => 'カンナダ語',
 				'ko' => '韓国語',
 				'kok' => 'コンカニ語',
 				'kos' => 'コスラエ語',
 				'kpe' => 'クペレ語',
 				'kr' => 'カヌリ語',
 				'krc' => 'カラチャイ語',
 				'krl' => 'カレリア語',
 				'kru' => 'クルク語',
 				'ks' => 'カシミール語',
 				'ksb' => 'サンバー語',
 				'ksf' => 'バフィア語',
 				'ksh' => 'ケルン語',
 				'ku' => 'クルド語',
 				'kum' => 'クムク語',
 				'kut' => 'クテナイ語',
 				'kv' => 'コミ語',
 				'kw' => 'コーンウォール語',
 				'ky' => 'キルギス語',
 				'la' => 'ラテン語',
 				'lad' => 'ラディノ語',
 				'lag' => 'ランギ語',
 				'lah' => 'ラフンダー語',
 				'lam' => 'ランバ語',
 				'lb' => 'ルクセンブルク語',
 				'lez' => 'レズギ語',
 				'lg' => 'ガンダ語',
 				'li' => 'リンブルフ語',
 				'ln' => 'リンガラ語',
 				'lo' => 'ラオ語',
 				'lol' => 'モンゴ語',
 				'loz' => 'ロジ語',
 				'lt' => 'リトアニア語',
 				'lu' => 'ルバ・カタンガ語',
 				'lua' => 'ルバ・ルルア語',
 				'lui' => 'ルイセーニョ語',
 				'lun' => 'ルンダ語',
 				'luo' => 'ルオ語',
 				'lus' => 'ルシャイ語',
 				'luy' => 'ルヒヤ語',
 				'lv' => 'ラトビア語',
 				'mad' => 'マドゥラ語',
 				'maf' => 'マファ語',
 				'mag' => 'マガヒー語',
 				'mai' => 'マイティリー語',
 				'mak' => 'マカッサル語',
 				'man' => 'マンディンゴ語',
 				'mas' => 'マサイ語',
 				'mde' => 'マバ語',
 				'mdf' => 'モクシャ語',
 				'mdr' => 'マンダル語',
 				'men' => 'メンデ語',
 				'mer' => 'メル語',
 				'mfe' => 'モーリシャス・クレオール語',
 				'mg' => 'マダガスカル語',
 				'mga' => '中期アイルランド語',
 				'mgh' => 'マクア・ミート語',
 				'mgo' => 'メタ語',
 				'mh' => 'マーシャル語',
 				'mi' => 'マオリ語',
 				'mic' => 'ミクマク語',
 				'min' => 'ミナンカバウ語',
 				'mk' => 'マケドニア語',
 				'ml' => 'マラヤーラム語',
 				'mn' => 'モンゴル語',
 				'mnc' => '満州語',
 				'mni' => 'マニプリ語',
 				'moh' => 'モーホーク語',
 				'mos' => 'モシ語',
 				'mr' => 'マラーティー語',
 				'ms' => 'マレー語',
 				'mt' => 'マルタ語',
 				'mua' => 'ムンダン語',
 				'mul' => '複数言語',
 				'mus' => 'クリーク語',
 				'mwl' => 'ミランダ語',
 				'mwr' => 'マールワーリー語',
 				'my' => 'ビルマ語',
 				'mye' => 'ミエネ語',
 				'myv' => 'エルジャ語',
 				'na' => 'ナウル語',
 				'nap' => 'ナポリ語',
 				'naq' => 'ナマ語',
 				'nb' => 'ノルウェー語(ブークモール)',
 				'nd' => '北ンデベレ語',
 				'nds' => '低地ドイツ語',
 				'ne' => 'ネパール語',
 				'new' => 'ネワール語',
 				'ng' => 'ンドンガ語',
 				'nia' => 'ニアス語',
 				'niu' => 'ニウーエイ語',
 				'nl' => 'オランダ語',
 				'nl_BE' => 'フレミッシュ語',
 				'nmg' => 'クワシオ語',
 				'nn' => 'ノルウェー語(ニーノシュク)',
 				'nnh' => 'ンジエムブーン語',
 				'no' => 'ノルウェー語',
 				'nog' => 'ノガイ語',
 				'non' => '古ノルド語',
 				'nqo' => 'ンコ語',
 				'nr' => '南ンデベレ語',
 				'nso' => '北部ソト語',
 				'nus' => 'ヌエル語',
 				'nv' => 'ナバホ語',
 				'nwc' => '古典ネワール語',
 				'ny' => 'ニャンジャ語',
 				'nym' => 'ニャムウェジ語',
 				'nyn' => 'ニャンコレ語',
 				'nyo' => 'ニョロ語',
 				'nzi' => 'ンゼマ語',
 				'oc' => 'オック語',
 				'oj' => 'オジブウェー語',
 				'om' => 'オロモ語',
 				'or' => 'オリヤー語',
 				'os' => 'オセット語',
 				'osa' => 'オセージ語',
 				'ota' => 'オスマントルコ語',
 				'pa' => 'パンジャブ語',
 				'pag' => 'パンガシナン語',
 				'pal' => 'パフラヴィー語',
 				'pam' => 'パンパンガ語',
 				'pap' => 'パピアメント語',
 				'pau' => 'パラオ語',
 				'peo' => '古代ペルシア語',
 				'phn' => 'フェニキア語',
 				'pi' => 'パーリ語',
 				'pl' => 'ポーランド語',
 				'pon' => 'ポンペイ語',
 				'pro' => '古期プロバンス語',
 				'ps' => 'パシュトゥー語',
 				'ps@alt=variant' => 'パシュトゥ語',
 				'pt' => 'ポルトガル語',
 				'pt_PT' => 'ポルトガル語(イベリア半島)',
 				'qu' => 'ケチュア語',
 				'raj' => 'ラージャスターン語',
 				'rap' => 'ラパヌイ語',
 				'rar' => 'ラロトンガ語',
 				'rm' => 'ロマンシュ語',
 				'rn' => 'ルンディ語',
 				'ro' => 'ルーマニア語',
 				'ro_MD' => 'モルダビア語',
 				'rof' => 'ロンボ語',
 				'rom' => 'ロマーニー語',
 				'root' => 'ルート',
 				'ru' => 'ロシア語',
 				'rup' => 'アルーマニア語',
 				'rw' => 'ルワンダ語',
 				'rwk' => 'ルワ語',
 				'sa' => 'サンスクリット語',
 				'sad' => 'サンダウェ語',
 				'sah' => 'ヤクート語',
 				'sam' => 'サマリア・アラム語',
 				'saq' => 'サンブル語',
 				'sas' => 'ササク語',
 				'sat' => 'サンターリー語',
 				'sba' => 'ンガムバイ語',
 				'sbp' => 'サング語',
 				'sc' => 'サルデーニャ語',
 				'scn' => 'シチリア語',
 				'sco' => 'スコットランド語',
 				'sd' => 'シンド語',
 				'se' => '北サーミ語',
 				'see' => 'セネカ語',
 				'seh' => 'セナ語',
 				'sel' => 'セリクプ語',
 				'ses' => 'コイラボロ・センニ語',
 				'sg' => 'サンゴ語',
 				'sga' => '古期アイルランド語',
 				'sh' => 'セルボ・クロアチア語',
 				'shi' => 'タシルハイト語',
 				'shn' => 'シャン語',
 				'shu' => 'チャド・アラビア語',
 				'si' => 'シンハラ語',
 				'sid' => 'シダモ語',
 				'sk' => 'スロバキア語',
 				'sl' => 'スロベニア語',
 				'sm' => 'サモア語',
 				'sma' => '南サーミ語',
 				'smj' => 'ルレ・サーミ語',
 				'smn' => 'イナリ・サーミ語',
 				'sms' => 'スコルト・サーミ語',
 				'sn' => 'ショナ語',
 				'snk' => 'ソニンケ語',
 				'so' => 'ソマリ語',
 				'sog' => 'ソグド語',
 				'sq' => 'アルバニア語',
 				'sr' => 'セルビア語',
 				'srn' => 'スリナム語',
 				'srr' => 'セレル語',
 				'ss' => 'スワジ語',
 				'ssy' => 'サホ語',
 				'st' => '南部ソト語',
 				'su' => 'スンダ語',
 				'suk' => 'スクマ語',
 				'sus' => 'スス語',
 				'sux' => 'シュメール語',
 				'sv' => 'スウェーデン語',
 				'sw' => 'スワヒリ語',
 				'swb' => 'コモロ語',
 				'swc' => 'コンゴ・スワヒリ語',
 				'syc' => '古典シリア語',
 				'syr' => 'シリア語',
 				'ta' => 'タミル語',
 				'te' => 'テルグ語',
 				'tem' => 'テムネ語',
 				'teo' => 'テソ語',
 				'ter' => 'テレーノ語',
 				'tet' => 'テトゥン語',
 				'tg' => 'タジク語',
 				'th' => 'タイ語',
 				'ti' => 'ティグリニア語',
 				'tig' => 'ティグレ語',
 				'tiv' => 'ティブ語',
 				'tk' => 'トルクメン語',
 				'tkl' => 'トケラウ語',
 				'tl' => 'タガログ語',
 				'tlh' => 'クリンゴン語',
 				'tli' => 'トリンギット語',
 				'tmh' => 'タマシェク語',
 				'tn' => 'ツワナ語',
 				'to' => 'トンガ語',
 				'tog' => 'トンガ語(ニアサ)',
 				'tpi' => 'トク・ピシン語',
 				'tr' => 'トルコ語',
 				'trv' => 'タロコ語',
 				'ts' => 'ツォンガ語',
 				'tsi' => 'チムシュ語',
 				'tt' => 'タタール語',
 				'tum' => 'トゥンブカ語',
 				'tvl' => 'ツバル語',
 				'tw' => 'トウィ語',
 				'twq' => 'タサワク語',
 				'ty' => 'タヒチ語',
 				'tyv' => 'トゥヴァ語',
 				'tzm' => '中央アトラス・タマジクト語',
 				'udm' => 'ウドムルト語',
 				'ug' => 'ウイグル語',
 				'ug@alt=variant' => 'ウイグル',
 				'uga' => 'ウガリト語',
 				'uk' => 'ウクライナ語',
 				'umb' => 'ムブンドゥ語',
 				'und' => '言語不明',
 				'ur' => 'ウルドゥー語',
 				'uz' => 'ウズベク語',
 				'vai' => 'ヴァイ語',
 				've' => 'ベンダ語',
 				'vi' => 'ベトナム語',
 				'vo' => 'ヴォラピュク語',
 				'vot' => 'ヴォート語',
 				'vun' => 'ヴンジョ語',
 				'wa' => 'ワロン語',
 				'wae' => 'ヴァリス語',
 				'wal' => 'ウォライタ語',
 				'war' => 'ワライ語',
 				'was' => 'ワショ語',
 				'wo' => 'ウォロフ語',
 				'xal' => 'カルムイク語',
 				'xh' => 'コサ語',
 				'xog' => 'ソガ語',
 				'yao' => 'ヤオ語',
 				'yap' => 'ヤップ語',
 				'yav' => 'ヤンベン語',
 				'ybb' => 'イエンバ語',
 				'yi' => 'イディッシュ語',
 				'yo' => 'ヨルバ語',
 				'yue' => '広東語',
 				'za' => 'チワン語',
 				'zap' => 'サポテカ語',
 				'zbl' => 'ブリスシンボル',
 				'zen' => 'ゼナガ語',
 				'zgh' => 'タマージク語(モロッコ公用語)',
 				'zh' => '中国語',
 				'zh_Hans' => '簡体中国語',
 				'zh_Hant' => '繁体中国語',
 				'zu' => 'ズールー語',
 				'zun' => 'ズニ語',
 				'zxx' => '言語的内容なし',
 				'zza' => 'ザザ語',

			);
			if (@_) {
				return $languages{$_[0]};
			}
			return \%languages;
		}
	},
);

has 'display_name_script' => (
	is			=> 'ro',
	isa			=> 'CodeRef',
	init_arg	=> undef,
	default		=> sub {
		sub {
			my %scripts = (
			'Afak' => 'アファカ文字',
 			'Arab' => 'アラビア文字',
 			'Arab@alt=variant' => 'ペルソ・アラビア文字',
 			'Armi' => '帝国アラム文字',
 			'Armn' => 'アルメニア文字',
 			'Avst' => 'アヴェスター文字',
 			'Bali' => 'バリ文字',
 			'Bamu' => 'バムン文字',
 			'Bass' => 'バサ文字',
 			'Batk' => 'バタク文字',
 			'Beng' => 'ベンガル文字',
 			'Blis' => 'ブリスシンボル',
 			'Bopo' => '注音字母',
 			'Brah' => 'ブラーフミー文字',
 			'Brai' => 'ブライユ点字',
 			'Bugi' => 'ブギス文字',
 			'Buhd' => 'ブヒッド文字',
 			'Cakm' => 'チャクマ文字',
 			'Cans' => '統合カナダ先住民音節文字',
 			'Cari' => 'カリア文字',
 			'Cham' => 'チャム文字',
 			'Cher' => 'チェロキー文字',
 			'Cirt' => 'キアス文字',
 			'Copt' => 'コプト文字',
 			'Cprt' => 'キプロス文字',
 			'Cyrl' => 'キリル文字',
 			'Cyrs' => '古代教会スラブ語キリル文字',
 			'Deva' => 'デーバナーガリー文字',
 			'Dsrt' => 'デセレット文字',
 			'Dupl' => 'デュプロワエ式速記',
 			'Egyd' => 'エジプト民衆文字',
 			'Egyh' => 'エジプト神官文字',
 			'Egyp' => 'エジプト聖刻文字',
 			'Ethi' => 'エチオピア文字',
 			'Geok' => 'グルジア文字(フツリ)',
 			'Geor' => 'グルジア文字',
 			'Glag' => 'グラゴル文字',
 			'Goth' => 'ゴート文字',
 			'Gran' => 'グランタ文字',
 			'Grek' => 'ギリシャ文字',
 			'Gujr' => 'グジャラート文字',
 			'Guru' => 'グルムキー文字',
 			'Hang' => 'ハングル',
 			'Hani' => '漢字',
 			'Hano' => 'ハヌノオ文字',
 			'Hans' => '簡体字',
 			'Hans@alt=stand-alone' => '漢字(簡体字)',
 			'Hant' => '繁体字',
 			'Hant@alt=stand-alone' => '漢字(繁体字)',
 			'Hebr' => 'ヘブライ文字',
 			'Hira' => 'ひらがな',
 			'Hluw' => 'アナトリア象形文字',
 			'Hmng' => 'パハウ・フモン文字',
 			'Hrkt' => '仮名',
 			'Hung' => '古代ハンガリー文字',
 			'Inds' => 'インダス文字',
 			'Ital' => '古イタリア文字',
 			'Java' => 'ジャワ文字',
 			'Jpan' => '日本語の文字',
 			'Jurc' => '女真文字',
 			'Kali' => 'カヤー文字',
 			'Kana' => 'カタカナ',
 			'Khar' => 'カローシュティー文字',
 			'Khmr' => 'クメール文字',
 			'Khoj' => 'ホジャ文字',
 			'Knda' => 'カンナダ文字',
 			'Kore' => '韓国語の文字',
 			'Kpel' => 'クペレ文字',
 			'Kthi' => 'カイティ文字',
 			'Lana' => 'ラーンナー文字',
 			'Laoo' => 'ラオ文字',
 			'Latf' => 'ラテン文字(ドイツ文字)',
 			'Latg' => 'ラテン文字 (ゲール文字)',
 			'Latn' => 'ラテン文字',
 			'Lepc' => 'レプチャ文字',
 			'Limb' => 'リンブ文字',
 			'Lina' => '線文字A',
 			'Linb' => '線文字B',
 			'Lisu' => 'フレイザー文字',
 			'Loma' => 'ロマ文字',
 			'Lyci' => 'リキア文字',
 			'Lydi' => 'リディア文字',
 			'Mand' => 'マンダ文字',
 			'Mani' => 'マニ文字',
 			'Maya' => 'マヤ象形文字',
 			'Mend' => 'メンデ文字',
 			'Merc' => 'メロエ文字草書体',
 			'Mero' => 'メロエ文字',
 			'Mlym' => 'マラヤーラム文字',
 			'Mong' => 'モンゴル文字',
 			'Moon' => 'ムーン文字',
 			'Mroo' => 'ムロ文字',
 			'Mtei' => 'メイテイ文字',
 			'Mymr' => 'ミャンマー文字',
 			'Narb' => '古代北アラビア文字',
 			'Nbat' => 'ナバテア文字',
 			'Nkgb' => 'ナシ族ゲバ文字',
 			'Nkoo' => 'ンコ文字',
 			'Nshu' => '女書',
 			'Ogam' => 'オガム文字',
 			'Olck' => 'オルチキ文字',
 			'Orkh' => 'オルホン文字',
 			'Orya' => 'オリヤー文字',
 			'Osma' => 'オスマニア文字',
 			'Palm' => 'パルミラ文字',
 			'Perm' => '古ぺルム文字',
 			'Phag' => 'パスパ文字',
 			'Phli' => '碑文パフラヴィー文字',
 			'Phlp' => '詩編用パフラヴィー文字',
 			'Phlv' => '書物用パフラヴィー文字',
 			'Phnx' => 'フェニキア文字',
 			'Plrd' => 'ポラード音声記号',
 			'Prti' => '碑文パルティア文字',
 			'Rjng' => 'ルジャン文字',
 			'Roro' => 'ロンゴロンゴ文字',
 			'Runr' => 'ルーン文字',
 			'Samr' => 'サマリア文字',
 			'Sara' => 'サラティ文字',
 			'Sarb' => '古代南アラビア文字',
 			'Saur' => 'サウラーシュトラ文字',
 			'Sgnw' => '手話文字',
 			'Shaw' => 'ショー文字',
 			'Shrd' => 'シャーラダー文字',
 			'Sind' => 'クダワディ文字',
 			'Sinh' => 'シンハラ文字',
 			'Sora' => 'ソラング・ソンペング文字',
 			'Sund' => 'スンダ文字',
 			'Sylo' => 'シロティ・ナグリ文字',
 			'Syrc' => 'シリア文字',
 			'Syre' => 'シリア文字(エストランゲロ文字)',
 			'Syrj' => 'シリア文字(西方シリア文字)',
 			'Syrn' => 'シリア文字(東方シリア文字)',
 			'Tagb' => 'タグバンワ文字',
 			'Takr' => 'タークリー文字',
 			'Tale' => 'タイ・レ文字',
 			'Talu' => '新タイ・ルー文字',
 			'Taml' => 'タミール文字',
 			'Tang' => '西夏文字',
 			'Tavt' => 'タイ・ヴェト文字',
 			'Telu' => 'テルグ文字',
 			'Teng' => 'テングワール文字',
 			'Tfng' => 'ティフナグ文字',
 			'Tglg' => 'タガログ文字',
 			'Thaa' => 'ターナ文字',
 			'Thai' => 'タイ文字',
 			'Tibt' => 'チベット文字',
 			'Tirh' => 'ティルフータ文字',
 			'Ugar' => 'ウガリット文字',
 			'Vaii' => 'ヴァイ文字',
 			'Visp' => '視話法',
 			'Wara' => 'バラン・クシティ文字',
 			'Wole' => 'ウォレアイ文字',
 			'Xpeo' => '古代ペルシア文字',
 			'Xsux' => 'シュメール＝アッカド語楔形文字',
 			'Yiii' => 'イ文字',
 			'Zinh' => '基底文字の種別を継承する結合文字',
 			'Zmth' => '数学記号',
 			'Zsym' => '記号文字',
 			'Zxxx' => '非表記',
 			'Zyyy' => '未解読文字',
 			'Zzzz' => '未定義文字',

			);
			if ( @_ ) {
				return $scripts{$_[0]};
			}
			return \%scripts;
		}
	}
);

has 'display_name_territory' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'001' => '世界',
 			'002' => 'アフリカ',
 			'003' => '北アメリカ大陸',
 			'005' => '南アメリカ',
 			'009' => 'オセアニア',
 			'011' => '西アフリカ',
 			'013' => '中央アメリカ',
 			'014' => '東アフリカ',
 			'015' => '北アフリカ',
 			'017' => '中部アフリカ',
 			'018' => '南部アフリカ',
 			'019' => 'アメリカ大陸',
 			'021' => '北アメリカ',
 			'029' => 'カリブ',
 			'030' => '東アジア',
 			'034' => '南アジア',
 			'035' => '東南アジア',
 			'039' => '南ヨーロッパ',
 			'053' => 'オーストララシア',
 			'054' => 'メラネシア',
 			'057' => 'ミクロネシア',
 			'061' => 'ポリネシア',
 			'142' => 'アジア',
 			'143' => '中央アジア',
 			'145' => '西アジア',
 			'150' => 'ヨーロッパ',
 			'151' => '東ヨーロッパ',
 			'154' => '北ヨーロッパ',
 			'155' => '西ヨーロッパ',
 			'419' => 'ラテンアメリカ',
 			'AC' => 'アセンション島',
 			'AD' => 'アンドラ',
 			'AE' => 'アラブ首長国連邦',
 			'AF' => 'アフガニスタン',
 			'AG' => 'アンティグア・バーブーダ',
 			'AI' => 'アンギラ',
 			'AL' => 'アルバニア',
 			'AM' => 'アルメニア',
 			'AN' => 'オランダ領アンティル',
 			'AO' => 'アンゴラ',
 			'AQ' => '南極',
 			'AR' => 'アルゼンチン',
 			'AS' => '米領サモア',
 			'AT' => 'オーストリア',
 			'AU' => 'オーストラリア',
 			'AW' => 'アルバ',
 			'AX' => 'オーランド諸島',
 			'AZ' => 'アゼルバイジャン',
 			'BA' => 'ボスニア・ヘルツェゴビナ',
 			'BB' => 'バルバドス',
 			'BD' => 'バングラデシュ',
 			'BE' => 'ベルギー',
 			'BF' => 'ブルキナファソ',
 			'BG' => 'ブルガリア',
 			'BH' => 'バーレーン',
 			'BI' => 'ブルンジ',
 			'BJ' => 'ベナン',
 			'BL' => 'サン・バルテルミー島',
 			'BM' => 'バミューダ',
 			'BN' => 'ブルネイ',
 			'BO' => 'ボリビア',
 			'BQ' => 'オランダ領カリブ',
 			'BR' => 'ブラジル',
 			'BS' => 'バハマ',
 			'BT' => 'ブータン',
 			'BV' => 'ブーベ島',
 			'BW' => 'ボツワナ',
 			'BY' => 'ベラルーシ',
 			'BZ' => 'ベリーズ',
 			'CA' => 'カナダ',
 			'CC' => 'ココス(キーリング)諸島',
 			'CD' => 'コンゴ民主共和国(キンシャサ)',
 			'CD@alt=variant' => 'コンゴ民主共和国',
 			'CF' => '中央アフリカ共和国',
 			'CG' => 'コンゴ共和国(ブラザビル)',
 			'CG@alt=variant' => 'コンゴ共和国',
 			'CH' => 'スイス',
 			'CI' => 'コートジボワール',
 			'CI@alt=variant' => '象牙海岸',
 			'CK' => 'クック諸島',
 			'CL' => 'チリ',
 			'CM' => 'カメルーン',
 			'CN' => '中国',
 			'CO' => 'コロンビア',
 			'CP' => 'クリッパートン島',
 			'CR' => 'コスタリカ',
 			'CU' => 'キューバ',
 			'CV' => 'カーボベルデ',
 			'CW' => 'キュラソー',
 			'CX' => 'クリスマス島',
 			'CY' => 'キプロス',
 			'CZ' => 'チェコ共和国',
 			'DE' => 'ドイツ',
 			'DG' => 'ディエゴガルシア島',
 			'DJ' => 'ジブチ',
 			'DK' => 'デンマーク',
 			'DM' => 'ドミニカ国',
 			'DO' => 'ドミニカ共和国',
 			'DZ' => 'アルジェリア',
 			'EA' => 'セウタ・メリリャ',
 			'EC' => 'エクアドル',
 			'EE' => 'エストニア',
 			'EG' => 'エジプト',
 			'EH' => '西サハラ',
 			'ER' => 'エリトリア',
 			'ES' => 'スペイン',
 			'ET' => 'エチオピア',
 			'EU' => '欧州連合',
 			'FI' => 'フィンランド',
 			'FJ' => 'フィジー',
 			'FK' => 'フォークランド諸島',
 			'FK@alt=variant' => 'フォークランド諸島(マルビナス諸島)',
 			'FM' => 'ミクロネシア連邦',
 			'FO' => 'フェロー諸島',
 			'FR' => 'フランス',
 			'GA' => 'ガボン',
 			'GB' => 'イギリス',
 			'GB@alt=short' => '英国',
 			'GD' => 'グレナダ',
 			'GE' => 'グルジア',
 			'GF' => '仏領ギアナ',
 			'GG' => 'ガーンジー',
 			'GH' => 'ガーナ',
 			'GI' => 'ジブラルタル',
 			'GL' => 'グリーンランド',
 			'GM' => 'ガンビア',
 			'GN' => 'ギニア',
 			'GP' => 'グアドループ',
 			'GQ' => '赤道ギニア',
 			'GR' => 'ギリシャ',
 			'GS' => '南ジョージア島・南サンドイッチ諸島',
 			'GT' => 'グアテマラ',
 			'GU' => 'グアム',
 			'GW' => 'ギニアビサウ',
 			'GY' => 'ガイアナ',
 			'HK' => '中華人民共和国香港特別行政区',
 			'HK@alt=short' => '香港',
 			'HM' => 'ハード島・マクドナルド諸島',
 			'HN' => 'ホンジュラス',
 			'HR' => 'クロアチア',
 			'HT' => 'ハイチ',
 			'HU' => 'ハンガリー',
 			'IC' => 'カナリア諸島',
 			'ID' => 'インドネシア',
 			'IE' => 'アイルランド',
 			'IL' => 'イスラエル',
 			'IM' => 'マン島',
 			'IN' => 'インド',
 			'IO' => '英領インド洋地域',
 			'IQ' => 'イラク',
 			'IR' => 'イラン',
 			'IS' => 'アイスランド',
 			'IT' => 'イタリア',
 			'JE' => 'ジャージー',
 			'JM' => 'ジャマイカ',
 			'JO' => 'ヨルダン',
 			'JP' => '日本',
 			'KE' => 'ケニア',
 			'KG' => 'キルギス',
 			'KH' => 'カンボジア',
 			'KI' => 'キリバス',
 			'KM' => 'コモロ',
 			'KN' => 'セントクリストファー・ネイビス',
 			'KP' => '朝鮮民主主義人民共和国',
 			'KR' => '大韓民国',
 			'KW' => 'クウェート',
 			'KY' => 'ケイマン諸島',
 			'KZ' => 'カザフスタン',
 			'LA' => 'ラオス',
 			'LB' => 'レバノン',
 			'LC' => 'セントルシア',
 			'LI' => 'リヒテンシュタイン',
 			'LK' => 'スリランカ',
 			'LR' => 'リベリア',
 			'LS' => 'レソト',
 			'LT' => 'リトアニア',
 			'LU' => 'ルクセンブルグ',
 			'LV' => 'ラトビア',
 			'LY' => 'リビア',
 			'MA' => 'モロッコ',
 			'MC' => 'モナコ',
 			'MD' => 'モルドバ',
 			'ME' => 'モンテネグロ',
 			'MF' => 'サン・マルタン',
 			'MG' => 'マダガスカル',
 			'MH' => 'マーシャル諸島',
 			'MK' => 'マケドニア',
 			'MK@alt=variant' => 'マケドニア(旧ユーゴスラビア共和国)',
 			'ML' => 'マリ',
 			'MM' => 'ミャンマー',
 			'MN' => 'モンゴル',
 			'MO' => '中華人民共和国マカオ特別行政区',
 			'MO@alt=short' => 'マカオ',
 			'MP' => '北マリアナ諸島',
 			'MQ' => 'マルティニーク',
 			'MR' => 'モーリタニア',
 			'MS' => 'モントセラト',
 			'MT' => 'マルタ',
 			'MU' => 'モーリシャス',
 			'MV' => 'モルジブ',
 			'MW' => 'マラウイ',
 			'MX' => 'メキシコ',
 			'MY' => 'マレーシア',
 			'MZ' => 'モザンビーク',
 			'NA' => 'ナミビア',
 			'NC' => 'ニューカレドニア',
 			'NE' => 'ニジェール',
 			'NF' => 'ノーフォーク島',
 			'NG' => 'ナイジェリア',
 			'NI' => 'ニカラグア',
 			'NL' => 'オランダ',
 			'NO' => 'ノルウェー',
 			'NP' => 'ネパール',
 			'NR' => 'ナウル',
 			'NU' => 'ニウエ島',
 			'NZ' => 'ニュージーランド',
 			'OM' => 'オマーン',
 			'PA' => 'パナマ',
 			'PE' => 'ペルー',
 			'PF' => '仏領ポリネシア',
 			'PG' => 'パプアニューギニア',
 			'PH' => 'フィリピン',
 			'PK' => 'パキスタン',
 			'PL' => 'ポーランド',
 			'PM' => 'サンピエール島・ミクロン島',
 			'PN' => 'ピトケアン諸島',
 			'PR' => 'プエルトリコ',
 			'PS' => 'パレスチナ',
 			'PS@alt=short' => 'パレスチナ',
 			'PT' => 'ポルトガル',
 			'PW' => 'パラオ',
 			'PY' => 'パラグアイ',
 			'QA' => 'カタール',
 			'QO' => 'オセアニア周辺地域',
 			'RE' => 'レユニオン島',
 			'RO' => 'ルーマニア',
 			'RS' => 'セルビア',
 			'RU' => 'ロシア',
 			'RW' => 'ルワンダ',
 			'SA' => 'サウジアラビア',
 			'SB' => 'ソロモン諸島',
 			'SC' => 'セーシェル',
 			'SD' => 'スーダン',
 			'SE' => 'スウェーデン',
 			'SG' => 'シンガポール',
 			'SH' => 'セントヘレナ',
 			'SI' => 'スロベニア',
 			'SJ' => 'スバールバル諸島・ヤンマイエン島',
 			'SK' => 'スロバキア',
 			'SL' => 'シエラレオネ',
 			'SM' => 'サンマリノ',
 			'SN' => 'セネガル',
 			'SO' => 'ソマリア',
 			'SR' => 'スリナム',
 			'SS' => '南スーダン',
 			'ST' => 'サントメ・プリンシペ',
 			'SV' => 'エルサルバドル',
 			'SX' => 'シント・マールテン',
 			'SY' => 'シリア',
 			'SZ' => 'スワジランド',
 			'TA' => 'トリスタン・ダ・クーニャ',
 			'TC' => 'タークス・カイコス諸島',
 			'TD' => 'チャド',
 			'TF' => '仏領極南諸島',
 			'TG' => 'トーゴ',
 			'TH' => 'タイ',
 			'TJ' => 'タジキスタン',
 			'TK' => 'トケラウ',
 			'TL' => '東ティモール',
 			'TM' => 'トルクメニスタン',
 			'TN' => 'チュニジア',
 			'TO' => 'トンガ',
 			'TR' => 'トルコ',
 			'TT' => 'トリニダード・トバゴ',
 			'TV' => 'ツバル',
 			'TW' => '台湾',
 			'TZ' => 'タンザニア',
 			'UA' => 'ウクライナ',
 			'UG' => 'ウガンダ',
 			'UM' => '米領太平洋諸島',
 			'US' => 'アメリカ合衆国',
 			'US@alt=short' => 'アメリカ',
 			'UY' => 'ウルグアイ',
 			'UZ' => 'ウズベキスタン',
 			'VA' => 'バチカン市国',
 			'VC' => 'セントビンセント・グレナディーン諸島',
 			'VE' => 'ベネズエラ',
 			'VG' => '英領ヴァージン諸島',
 			'VI' => '米領ヴァージン諸島',
 			'VN' => 'ベトナム',
 			'VU' => 'バヌアツ',
 			'WF' => 'ウォリス・フツナ',
 			'WS' => 'サモア',
 			'XK' => 'コソボ',
 			'YE' => 'イエメン',
 			'YT' => 'マヨット島',
 			'ZA' => '南アフリカ',
 			'ZM' => 'ザンビア',
 			'ZW' => 'ジンバブエ',
 			'ZZ' => '不明な地域',

		}
	},
);

has 'display_name_variant' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'1901' => 'ドイツ語旧正書法',
 			'1994' => '標準レージア方言正書法',
 			'1996' => 'ドイツ語正書法(1996)',
 			'1606NICT' => '後期中世フランス語(〜1606)',
 			'1694ACAD' => '初期現代フランス語',
 			'1959ACAD' => '標準ベラルーシ語 (1959)',
 			'ALALC97' => 'ALA-LCラテン文字化(1997)',
 			'ALUKU' => 'アロコ方言',
 			'AREVELA' => '東アルメニア文語',
 			'AREVMDA' => '西アルメニア文語',
 			'BAKU1926' => '統一トルコラテン文字',
 			'BAUDDHA' => 'バウッダ',
 			'BISCAYAN' => 'ビスカヤ語',
 			'BISKE' => 'サン・ジョルジョ/ビーラ方言',
 			'BOHORIC' => 'ボホリッツ・アルファベット',
 			'BOONT' => 'ブーントリング',
 			'DAJNKO' => 'ダインチッツァ',
 			'EMODENG' => '初期近代英語',
 			'FONIPA' => '国際音声記号',
 			'FONUPA' => 'ウラル音声記号',
 			'FONXSAMP' => 'フォンクサンプ',
 			'HEPBURN' => 'ヘボン式ローマ字',
 			'HOGNORSK' => 'ヘグノシュク',
 			'ITIHASA' => 'イティハーサ',
 			'JAUER' => 'ヤウエル',
 			'JYUTPING' => '略称粤拼',
 			'KKCOR' => '共通コーンウォール語正書法',
 			'KSCOR' => '標準コーンウォール語正書法',
 			'LAUKIKA' => 'ラウキカ',
 			'LIPAW' => 'レージア方言 リポヴァツ方言',
 			'METELKO' => 'メテルチッツァ',
 			'MONOTON' => 'モノトニック',
 			'NDYUKA' => 'ンジュカ方言',
 			'NEDIS' => 'ナティゾーネ方言',
 			'NJIVA' => 'ニヴァ方言',
 			'NULIK' => '現代ヴォラピュク語',
 			'OSOJS' => 'オゼアッコ/オソヤネ方言',
 			'PAMAKA' => 'パマカ方言',
 			'PINYIN' => 'ピン音(ローマ字表記法)',
 			'POLYTON' => 'ポリトニック',
 			'POSIX' => 'コンピュータ',
 			'PUTER' => 'プーター',
 			'REVISED' => '改訂版',
 			'RIGIK' => '古典ヴォラピュク語',
 			'ROZAJ' => 'レシア方言',
 			'SAAHO' => 'サホ語',
 			'SCOTLAND' => 'スコットランド標準英語',
 			'SCOUSE' => 'リバプール方言',
 			'SOLBA' => 'ストルヴィッツァ/ソルビツァ方言',
 			'SURMIRAN' => 'スルミラン',
 			'SURSILV' => 'スルシルヴァン',
 			'SUTSILV' => 'ストシルヴァン',
 			'TARASK' => 'タラシケヴィツァ正書法',
 			'UCCOR' => '統一コーンウォール語正書法',
 			'UCRCOR' => '改訂統一コーンウォール語正書法',
 			'ULSTER' => 'アルスター',
 			'VAIDIKA' => 'ヴァイディカ',
 			'VALENCIA' => 'バレンシア方言',
 			'VALLADER' => 'ヴァラダー',
 			'WADEGILE' => 'ウェード式ローマ字表記法',

		}
	},
);

has 'display_name_key' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'calendar' => '暦法',
 			'colalternate' => '記号を無視した並べ替え',
 			'colbackwards' => 'アクセント（逆方向）による並べ替え',
 			'colcasefirst' => '大文字順/小文字順による並べ替え',
 			'colcaselevel' => '大文字小文字を区別した並べ替え',
 			'colhiraganaquaternary' => '仮名による並べ替え',
 			'collation' => '並べ替え順序',
 			'colnormalization' => '正規化による並べ替え',
 			'colnumeric' => '数値による並べ替え',
 			'colstrength' => '強度による並べ替え',
 			'currency' => '通貨',
 			'numbers' => '数値書式',
 			'timezone' => 'タイムゾーン',
 			'va' => 'ロケールのバリアント',
 			'variabletop' => '記号として並べ替え',
 			'x' => '私用',

		}
	},
);

has 'display_name_type' => (
	is			=> 'ro',
	isa			=> 'HashRef[HashRef[Str]]',
	init_arg	=> undef,
	default		=> sub {
		{
			'calendar' => {
 				'buddhist' => q{タイ仏教暦},
 				'chinese' => q{中国暦},
 				'coptic' => q{コプト暦},
 				'dangi' => q{ダンギ暦},
 				'ethiopic' => q{エチオピア暦},
 				'ethiopic-amete-alem' => q{エチオピア創世紀元暦},
 				'gregorian' => q{西暦(グレゴリオ暦)},
 				'hebrew' => q{ユダヤ暦},
 				'indian' => q{インド国定暦},
 				'islamic' => q{イスラム暦},
 				'islamic-civil' => q{太陽イスラム暦},
 				'islamic-rgsa' => q{イスラム暦(サウジアラビア、月観測)},
 				'islamic-tbla' => q{イスラム暦(天文紀元)},
 				'islamic-umalqura' => q{イスラム暦(ウンム・アルクラー)},
 				'iso8601' => q{ISO-8601},
 				'japanese' => q{和暦},
 				'persian' => q{ペルシア暦},
 				'roc' => q{中華民国暦},
 			},
 			'colalternate' => {
 				'non-ignorable' => q{記号で並べ替え},
 				'shifted' => q{記号を無視して並べ替え},
 			},
 			'colbackwards' => {
 				'no' => q{アクセント（順方向）で並べ替え},
 				'yes' => q{アクセント（逆方向）で並べ替え},
 			},
 			'colcasefirst' => {
 				'lower' => q{小文字優先で並べ替え},
 				'no' => q{大文字小文字を通常の順序で並べ替え},
 				'upper' => q{大文字優先で並べ替え},
 			},
 			'colcaselevel' => {
 				'no' => q{大文字小文字を区別しないで並べ替え},
 				'yes' => q{大文字小文字を区別して並べ替え},
 			},
 			'colhiraganaquaternary' => {
 				'no' => q{仮名を区別しないで並べ替え},
 				'yes' => q{仮名を区別して並べ替え},
 			},
 			'collation' => {
 				'big5han' => q{繁体字中国語順(Big5)},
 				'dictionary' => q{辞書順},
 				'ducet' => q{ユニコード照合順},
 				'gb2312han' => q{簡体字中国語順(GB2312)},
 				'phonebook' => q{電話帳順},
 				'phonetic' => q{音声順による並べ替え},
 				'pinyin' => q{ピンイン},
 				'reformed' => q{リフォーム},
 				'search' => q{汎用検索},
 				'searchjl' => q{ハングル語頭子音による並べ替え},
 				'standard' => q{標準ソート順序},
 				'stroke' => q{画数順},
 				'traditional' => q{トラディッショナル},
 				'unihan' => q{部首順},
 				'zhuyin' => q{注音順},
 			},
 			'colnormalization' => {
 				'no' => q{正規化しないで並べ替え},
 				'yes' => q{Unicode 正規化で並べ替え},
 			},
 			'colnumeric' => {
 				'no' => q{数値を独立して並べ替え},
 				'yes' => q{数値を数値として並べ替え},
 			},
 			'colstrength' => {
 				'identical' => q{すべてを区別して並べ替え},
 				'primary' => q{基本文字のみで並べ替え},
 				'quaternary' => q{アクセント/大文字小文字/全角半角/仮名で並べ替え},
 				'secondary' => q{アクセントで並べ替え},
 				'tertiary' => q{アクセント/大文字小文字/全角半角で並べ替え},
 			},
 			'numbers' => {
 				'arab' => q{アラビア・インド数字},
 				'arabext' => q{ペルシア数字},
 				'armn' => q{アルメニア数字},
 				'armnlow' => q{アルメニア数字(小文字)},
 				'bali' => q{バリ数字},
 				'beng' => q{ベンガル数字},
 				'brah' => q{ブラーフミー数字},
 				'cakm' => q{チャクマ数字},
 				'cham' => q{チャム数字},
 				'deva' => q{デーヴァナーガリー数字},
 				'ethi' => q{エチオピア数字},
 				'finance' => q{財務用漢数字},
 				'fullwide' => q{全角数字},
 				'geor' => q{グルジア数字},
 				'grek' => q{ギリシャ数字},
 				'greklow' => q{ギリシャ数字(小文字)},
 				'gujr' => q{グジャラート数字},
 				'guru' => q{グルムキー数字},
 				'hanidec' => q{漢数字(位取り記数法)},
 				'hans' => q{簡体漢数字},
 				'hansfin' => q{簡体大字},
 				'hant' => q{繁体漢数字},
 				'hantfin' => q{繁体大字},
 				'hebr' => q{ヘブライ数字},
 				'java' => q{ジャワ数字},
 				'jpan' => q{漢数字},
 				'jpanfin' => q{大字},
 				'kali' => q{カヤー数字},
 				'khmr' => q{クメール数字},
 				'knda' => q{カンナダ数字},
 				'lana' => q{ラーンナー数字},
 				'lanatham' => q{ラーンナー・タム数字},
 				'laoo' => q{ラオ数字},
 				'latn' => q{算用数字},
 				'lepc' => q{レプチャ数字},
 				'limb' => q{リンブ数字},
 				'mlym' => q{マラヤーラム数字},
 				'mong' => q{モンゴル数字},
 				'mtei' => q{マニプリ数字},
 				'mymr' => q{ミャンマー数字},
 				'mymrshan' => q{ミャンマー・シャン数字},
 				'native' => q{独自の記数法},
 				'nkoo' => q{ンコ数字},
 				'olck' => q{オルチキ数字},
 				'orya' => q{オリヤー数字},
 				'osma' => q{オスマニア数字},
 				'roman' => q{ローマ数字},
 				'romanlow' => q{ローマ数字(小文字)},
 				'saur' => q{サウラーシュトラ数字},
 				'shrd' => q{シャーラダー数字},
 				'sora' => q{ソラ・ソンペン数字},
 				'sund' => q{スンダ数字},
 				'takr' => q{タークリー数字},
 				'talu' => q{新タイ・ルー数字},
 				'taml' => q{タミール数字},
 				'tamldec' => q{タミル数字},
 				'telu' => q{テルグ数字},
 				'thai' => q{タイ数字},
 				'tibt' => q{チベット数字},
 				'traditional' => q{従来の記数法},
 				'vaii' => q{ヴァイ文字の記数法},
 			},

		}
	},
);

has 'display_name_measurement_system' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'metric' => q{メートル法},
 			'UK' => q{英ヤード・ポンド法},
 			'US' => q{米ヤード・ポンド法},

		}
	},
);

has 'display_name_transform_name' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'bgn' => 'BGN',
 			'numeric' => '数字',
 			'tone' => '声調',
 			'ungegn' => 'UNGEGN',
 			'x-accents' => 'アクセント',
 			'x-fullwidth' => '全角',
 			'x-halfwidth' => '半角',
 			'x-jamo' => '字母',
 			'x-pinyin' => 'ピンイン',
 			'x-publishing' => '出版',

		}
	},
);

has 'display_name_code_patterns' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'language' => '言語: {0}',
 			'script' => '文字: {0}',
 			'territory' => '地域: {0}',

		}
	},
);

has 'characters' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub {
		no warnings 'experimental::regex_sets';
		return {
			auxiliary => qr{(?^u:[兌 拼 楔 錄 鳯])},
			index => ['あ', 'か', 'さ', 'た', 'な', 'は', 'ま', 'や', 'ら', 'わ'],
			main => qr{(?^u:[々 ゝ ゞ ー-ヾ ぁ あ ァア ぃ い ィイ ぅ う ゥウ ヴ ぇ え ェエ ぉ お ォオ か ヵ カ がガ きキ ぎギ くク ぐグ け ヶ ケ げゲ こコ ごゴ さサ ざザ しシ じジ すス ずズ せセ ぜゼ そソ ぞゾ たタ だダ ちチ ぢヂ っ つ ッツ づヅ てテ でデ とト どド なナ にニ ぬヌ ねネ のノ はハ ばバ ぱパ ひヒ びビ ぴピ ふフ ぶブ ぷプ へヘ べベ ぺペ ほホ ぼボ ぽポ まマ みミ むム めメ もモ ゃ や ャヤ ゅ ゆ ュユ ょ よ ョヨ らラ りリ るル れレ ろロ ゎ わ ヮワ ゐヰ ゑヱ をヲ んン 一 丁 七 万-下 不 与 丑 且 世 丘 丙 両 並 中 丸 丹 主 久 乏 乗 乙 九 乱 乳 乾 亀 了 予 争 事 二 互 五 井 亜 亡 交 亥 亨 享-亭 人 仁 今 介 仏 仕 他 付 仙 代-以 仮 仰 仲 件 任 企 伊 伏-休 会 伝 伯 伴 伸 伺 似 但 位-佐 体 何 余 作 佳 併 使 例 侍 供 依 価 侮 侯 侵 便 係 促 俊 俗 保 信 修 俳 俵 俸 俺 倉 個 倍 倒 候 借 倣 値 倫 倹 偉 偏 停 健 側-偶 偽 傍 傑 傘 備 催 債 傷 傾 働 像 僕 僚 僧 儀 億 儒 償 優 元-兆 先 光 克 免 兎 児 党 入 全 八-六 共 兵 具 典 兼 内 円 冊 再 冒 冗 写 冠 冬 冷 准 凍 凝 凡 処 凶 凸-出 刀 刃 分-刈 刊 刑 列 初 判 別 利 到 制-券 刺 刻 則 削 前 剖 剛 剣 剤 副 剰 割 創 劇 力 功 加 劣 助 努 励 労 効 劾 勅 勇 勉 動 勘 務 勝 募 勢 勤 勧 勲 勺 匁 包 化 北 匠 匹-医 匿 十 千 升 午 半 卑-協 南 単 博 占 卯-危 即-卵 卸 厄 厘 厚 原 厳 去 参 又 及-収 叔 取 受 叙 口-句 叫 召 可 台 史 右 号 司 各 合 吉 同-向 君 吟 否 含 吸 吹 呈-告 周 味 呼 命 和 咲 哀 品 員 哲 唆 唇 唐 唯 唱 商 問 啓 善 喚 喜 喝 喪 喫 営 嗣 嘆 嘉 嘱 器 噴 嚇 囚 四 回 因 団 困 囲 図 固 国 圏 園 土 圧 在 地 坂 均 坊 坑 坪 垂 型 垣 埋 城 域 執 培 基 埼 堀 堂 堅 堕 堤 堪 報 場 塀 塁 塊 塑 塔 塗 塚 塩 塾 境 墓 増 墜 墨 墳 墾 壁 壇 壊 壌 士 壬 壮 声-売 変 夏 夕 外 多 夜 夢 大 天-夫 央 失 奇-奉 奏 契 奔 奥 奨 奪 奮 女 奴 好 如-妄 妊 妙 妥 妨 妹 妻 姉 始 姓 委 姫 姻 姿 威 娘 娠 娯 婆 婚 婦 婿 媒 嫁 嫌 嫡 嬢 子 孔 字 存 孝 季 孤 学 孫 宅 宇-安 完 宗-定 宜 宝 実 客-室 宮 宰 害-家 容 宿 寂 寄-密 富 寒 寛 寝 察 寡 寧 審 寮 寸 寺 対 寿 封 専 射 将 尉-尋 導 小 少 尚 就 尺 尼-局 居 屈 届 屋 展 属 層 履 屯 山 岐 岡 岩 岬 岳 岸 峠 峡 峰 島 崇 崎 崩 川 州 巡 巣 工-巨 差 己 巳 巻 市 布 帆 希 帝 帥 師 席 帯 帰 帳 常 帽 幅 幕 幣 干-年 幸 幹 幻-幾 庁 広 床 序 底 店 庚 府 度 座 庫 庭 庶-庸 廃 廉 廊 延 廷 建 弁 弊 式 弐 弓-引 弘 弟 弦 弧 弱 張 強 弾 当 形 彩 彫 彰 影 役 彼 往 征 径 待 律 後 徐 徒 従 得 御 復 循 微 徳 徴 徹 心 必 忌 忍 志-忙 応 忠 快 念 怒 怖 思 怠 急 性 怪 恋 恐 恒 恥 恨 恩 恭 息 恵 悔 悟 悠 患 悦 悩 悪 悲 悼 情 惑 惜 惨 惰 想 愁 愉 意 愚 愛 感 慈 態 慌 慎 慕 慢 慣 慨 慮 慰 慶 憂 憎 憤 憩 憲 憶 憾 懇 懐 懲 懸 戊 戌 成-戒 戦 戯 戸 戻 房 所 扇 扉 手 才 打 払 扱 扶 批 承 技 抄 把 抑 投 抗 折 抜 択 披 抱 抵 抹 押 抽 担 拍 拐 拒 拓 拘 拙 招 拝 拠 拡 括 拷 拾 持 指 挑 挙 挟 振 挿 捕 捜 捨 据 掃 授 掌 排 掘 掛 採 探 接 控 推 措 掲 描 提 揚 換 握 揮 援 揺 損 搬 搭 携 搾 摂 摘 摩 撃 撤 撮 撲 擁 操 擦 擬 支 改 攻 放 政 故 敏 救 敗 教 敢 散 敬 数 整 敵 敷 文 斉 斎 斗 料 斜 斤 斥 断 新 方 施 旅 旋 族 旗 既 日 旧-早 旬 昆 昇 昌 明 易 昔 星 映 春 昨 昭 是 昼 時 晩 普 景 晴 晶 暁 暇 暑 暖 暗 暦 暫 暮 暴 曇 曜 曲 更 書 曹 替 最 月 有 服 朕 朗 望 朝 期 木 未-札 朱 朴 机 朽 杉 材 村 束 条 来 杯 東 松 板 析 林 枚 果 枝 枠 枢 枯 架 柄 某 染 柔 柱 柳 査 栄 栓 校 株 核 根 格 栽 桃 案 桑 桜 桟 梅 械 棄 棋 棒 棚 棟 森 棺 植 検 業 極 楼 楽 概 構 様 槽 標 模 権 横 樹 橋 機 欄 欠 次 欧 欲 欺 款 歌 歓 止 正 武 歩 歯 歳 歴 死 殉-残 殖 殴 段 殺 殻 殿 母 毎 毒 比 毛 氏 民 気 水 氷 永 汁 求 汎 汗 汚 江 池 決 汽 沈 沖 没 沢 河 沸 油 治 沼 沿 況 泉 泊 泌 法 泡-泣 泥 注 泰 泳 洋 洗 洞 津 洪 活 派 流 浄 浅 浜 浦 浪 浮 浴 海 浸 消 涙 涯 液 涼 淑 淡 深 混 添 清 渇-渉 渋 渓 減 渡 渦 温 測 港 湖 湯 湾-満 源 準 溝 溶 滅 滋 滑 滝 滞 滴 漁 漂 漆 漏 演 漠 漢 漫 漬 漸 潔 潜 潟 潤 潮 澄 激 濁 濃 濫 濯 瀬 火 灯 灰 災 炉 炊 炎 炭 点 為 烈 無 焦 然 焼 煙 照 煩 煮 熟 熱 燃 燥 爆 爵 父 片 版 牙 牛 牧 物 牲 特 犠 犬 犯 状 狂 狩 独 狭 猛 猟 猪 猫 献 猶 猿 獄 獣 獲 玄 率 玉 王 珍 珠 班 現 球 理 琴 環 璽 瓶 甘 甚 生 産 用 田-申 男 町 画 界 畑 畔 留 畜 畝 略 番 異 畳 疎 疑 疫 疲 疾 病 症 痘 痛 痢 痴 療 癒 癖 癸 発 登 白 百 的 皆 皇 皮 皿 盆 益 盗 盛 盟 監 盤 目 盲 直 相 盾 省 看 県 真 眠 眺 眼 着 睡 督 瞬 矛 矢 知 短 矯 石 砂 研 砕 砲 破 硝 硫 硬 碁 碑 確 磁 磨 礁 礎 示 礼 社 祈 祉 祖 祚 祝 神 祥 票 祭 禁 禄 禅 禍-福 秀 私 秋 科 秒 秘 租 秩 称 移 程 税 稚 種 稲 稼 稿 穀 穂 積 穏 穫 穴 究 空 突 窃 窒 窓 窮 窯 立 竜 章 童 端 競 竹 笑 笛 符 第 筆 等 筋 筒 答 策 箇 算 管 箱 節 範 築 篤 簡 簿 籍 米 粉 粋 粒 粗 粘 粛 粧 精 糖 糧 糸 系 糾 紀 約 紅 紋 納 純 紙-紛 素-索 紫 累 細 紳 紹 紺 終 組 経 結 絞 絡 給 統 絵 絶 絹 継 続 維 綱 網 綿 緊 総 緑 緒 線 締 編 緩 緯 練 縁 縄 縛 縦 縫 縮 績 繁 繊 織 繕 繭 繰 缶 罪 置 罰 署 罷 羅 羊 美 群 義 羽 翁 翌 習 翻 翼 老 考 者 耐 耕 耗 耳 聖 聞 聴 職 肉 肌 肖 肝 肢 肥 肩 肪 肯 育 肺 胃 胆 背 胎 胞 胴 胸 能 脂 脅 脈 脚 脱 脳 脹 腐 腕 腰 腸 腹 膚 膜 膨 臓 臣 臨 自 臭 至 致 興 舌 舎 舗 舞 舟 航 般 舶 船 艇 艦 良 色 芋 芝 花 芳 芸 芽 苗 若 苦 英 茂 茎 茶 草 荒 荘 荷 菊 菌 菓 菜 華 落 葉 著 葬 蒸 蓄 蔵 薄 薦 薪-薬 藤 藩 藻 虎 虐 虚 虜 虞 虫 蚊 蚕 蛇 蛍 蛮 融 血 衆 行 術 街 衛 衝 衡 衣 表 衰 衷 袋 被 裁 裂 装 裏 裕 補 裸 製 複 褐 褒 襟 襲 西 要 覆 覇 見 規 視 覚 覧 親 観 角 解 触 言 訂 計 討 訓 託 記 訟 訪 設 許 訳 訴 診 証 詐 詔 評 詞 詠 試 詩 詰-詳 誇 誉 誌 認 誓 誕 誘 語 誠 誤 説 読 誰 課 調 談 請 論 諭 諮 諸 諾 謀 謁 謄 謙 講 謝 謡 謹 識 譜 警 議 譲 護 谷 豆 豊 豚 象 豪 貝 貞 負-貢 貧-販 貫 責 貯 貴 買 貸 費 貿 賀 賃 賄 資 賊 賓 賛 賜 賞 賠 賢 賦 質 購 贈 赤 赦 走 赴 起 超 越 趣 足 距 跡 路 跳 践 踊 踏 躍 身 車 軌 軍 軒 軟 転 軸 軽 較 載 輝 輩 輪 輸 轄 辛 辞 辰-農 辺 込 迅 迎 近 返 迫 迭 述 迷 追 退 送 逃 逆 透 逐 逓 途 通 逝 速 造 連 逮 週 進 逸 遂 遅 遇 遊 運 遍 過 道-違 遠 遣 適 遭 遮 遵 遷 選 遺 避 還 邦 邪 邸 郊 郎 郡 部 郭 郵 郷 都 酉 酌 配 酒 酔 酢 酪 酬 酵 酷 酸 醜 醸 釈 里-量 金 針 釣 鈍 鈴 鉄 鉛 鉢 鉱 銀 銃 銅 銑 銘 銭 鋭 鋳 鋼 錘 錠 錬 錯 録 鍛 鎖 鎮 鏡 鐘 鑑 長 門 閉 開 閏 閑 間 関 閣 閥 閲 闘 阪 防 阻 附 降 限 陛 院-陥 陪 陰 陳 陵 陶 陸 険 陽 隅 隆 隊 階 随 隔 際 障 隠 隣 隷 隻 雄-雇 雉 雌 雑 離 難 雨 雪 雰 雲 零 雷 電 需 震 霊 霜 霧 露 青 静 非 面 革 靴 韓 音 韻 響 頂 頃 項 順 預-頒 領 頭 頻 頼 題 額 顔 顕 願 類 顧 風 飛 食 飢 飯 飲 飼-飾 養 餓 館 首 香 馬 駄-駆 駐 騎 騒 験 騰 驚 骨 髄 高 髪 鬼 魂 魅 魔 魚 鮮 鯨 鳥 鳴 鶏 鹿 麗 麦 麻 黄 黒 黙 鼓 鼠 鼻 齢])},
			punctuation => qr{(?^u:[‾ _＿ \-－ ‐ — ― 〜 ・ ･ ,， 、､ ;； \:： !！ ?？ .． ‥ … 。｡ ＇ ‘ ’ "＂ “ ” (（ )） \[［ \]］ \{｛ \}｝ 〈 〉 《 》 「｢ 」｣ 『 』 【 】 〔 〕 ‖ § ¶ @＠ *＊ /／ \\ ＼ \&＆ #＃ %％ ‰ † ‡ ′ ″ 〃 ※])},
		};
	},
);

has 'ellipsis' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub {
		return {
			'final' => '{0}…',
			'initial' => '…{0}',
			'medial' => '{0}…{1}',
			'word-final' => '{0} …',
			'word-initial' => '… {0}',
			'word-medial' => '{0} … {1}',
		};
	},
);

has 'more_information' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{?},
);

has 'quote_start' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{「},
);

has 'quote_end' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{」},
);

has 'alternate_quote_start' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{『},
);

has 'alternate_quote_end' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{』},
);

has 'duration_units' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { {
				hm => 'h:mm',
				hms => 'h:mm:ss',
				ms => 'm:ss',
			} }
);

has 'units' => (
	is			=> 'ro',
	isa			=> 'HashRef[HashRef[HashRef[Str]]]',
	init_arg	=> undef,
	default		=> sub { {
				'long' => {
					'acre' => {
						'other' => q({0} エーカー),
					},
					'arc-minute' => {
						'other' => q({0} 分),
					},
					'arc-second' => {
						'other' => q({0} 秒),
					},
					'celsius' => {
						'other' => q(摂氏 {0} 度),
					},
					'centimeter' => {
						'other' => q({0} センチメートル),
					},
					'cubic-kilometer' => {
						'other' => q({0} 立方キロメートル),
					},
					'cubic-mile' => {
						'other' => q({0} 立法マイル),
					},
					'day' => {
						'other' => q({0} 日),
					},
					'degree' => {
						'other' => q({0} 度),
					},
					'fahrenheit' => {
						'other' => q(華氏 {0} 度),
					},
					'foot' => {
						'other' => q({0} フィート),
					},
					'g-force' => {
						'other' => q({0} G フォース),
					},
					'gram' => {
						'other' => q({0} グラム),
					},
					'hectare' => {
						'other' => q({0} ヘクタール),
					},
					'hectopascal' => {
						'other' => q({0} ヘクトパスカル),
					},
					'horsepower' => {
						'other' => q({0} 馬力),
					},
					'hour' => {
						'other' => q({0} 時間),
					},
					'inch' => {
						'other' => q({0} インチ),
					},
					'inch-hg' => {
						'other' => q({0} 水銀柱インチ),
					},
					'kilogram' => {
						'other' => q({0} キログラム),
					},
					'kilometer' => {
						'other' => q({0} キロメートル),
					},
					'kilometer-per-hour' => {
						'other' => q(時速 {0} キロメートル),
					},
					'kilowatt' => {
						'other' => q({0} キロワット),
					},
					'light-year' => {
						'other' => q({0} 光年),
					},
					'liter' => {
						'other' => q({0} リットル),
					},
					'meter' => {
						'other' => q({0} メートル),
					},
					'meter-per-second' => {
						'other' => q(秒速 {0} メートル),
					},
					'mile' => {
						'other' => q({0} マイル),
					},
					'mile-per-hour' => {
						'other' => q(時速 {0} マイル),
					},
					'millibar' => {
						'other' => q({0} ミリバール),
					},
					'millimeter' => {
						'other' => q({0} ミリメートル),
					},
					'millisecond' => {
						'other' => q({0} ミリ秒),
					},
					'minute' => {
						'other' => q({0} 分),
					},
					'month' => {
						'other' => q({0} か月),
					},
					'ounce' => {
						'other' => q({0} オンス),
					},
					'per' => {
						'default' => q(毎{1} {0}),
					},
					'picometer' => {
						'other' => q({0} ピコメートル),
					},
					'pound' => {
						'other' => q({0} ポンド),
					},
					'second' => {
						'other' => q({0} 秒),
					},
					'square-foot' => {
						'other' => q({0} 平方フィート),
					},
					'square-kilometer' => {
						'other' => q({0} 平方キロメートル),
					},
					'square-meter' => {
						'other' => q({0} 平方メートル),
					},
					'square-mile' => {
						'other' => q({0} 平方マイル),
					},
					'watt' => {
						'other' => q({0} ワット),
					},
					'week' => {
						'other' => q({0} 週間),
					},
					'yard' => {
						'other' => q({0} ヤード),
					},
					'year' => {
						'other' => q({0} 年),
					},
				},
				'narrow' => {
					'acre' => {
						'other' => q({0}ac),
					},
					'arc-minute' => {
						'other' => q({0}′),
					},
					'arc-second' => {
						'other' => q({0}″),
					},
					'celsius' => {
						'other' => q({0}°),
					},
					'centimeter' => {
						'other' => q({0}cm),
					},
					'cubic-kilometer' => {
						'other' => q({0}km³),
					},
					'cubic-mile' => {
						'other' => q({0}mi³),
					},
					'day' => {
						'other' => q({0}日),
					},
					'degree' => {
						'other' => q({0}°),
					},
					'fahrenheit' => {
						'other' => q({0}°F),
					},
					'foot' => {
						'other' => q({0}′),
					},
					'g-force' => {
						'other' => q({0}G),
					},
					'gram' => {
						'other' => q({0}g),
					},
					'hectare' => {
						'other' => q({0}ha),
					},
					'hectopascal' => {
						'other' => q({0}hPa),
					},
					'horsepower' => {
						'other' => q({0}hp),
					},
					'hour' => {
						'other' => q({0}時間),
					},
					'inch' => {
						'other' => q({0}″),
					},
					'inch-hg' => {
						'other' => q({0}" Hg),
					},
					'kilogram' => {
						'other' => q({0}kg),
					},
					'kilometer' => {
						'other' => q({0}km),
					},
					'kilometer-per-hour' => {
						'other' => q({0}km/h),
					},
					'kilowatt' => {
						'other' => q({0}kW),
					},
					'light-year' => {
						'other' => q({0}光年),
					},
					'liter' => {
						'other' => q({0}l),
					},
					'meter' => {
						'other' => q({0}m),
					},
					'meter-per-second' => {
						'other' => q({0}m/s),
					},
					'mile' => {
						'other' => q({0}マイル),
					},
					'mile-per-hour' => {
						'other' => q({0}mi/h),
					},
					'millibar' => {
						'other' => q({0}mb),
					},
					'millimeter' => {
						'other' => q({0}mm),
					},
					'millisecond' => {
						'other' => q({0}ms),
					},
					'minute' => {
						'other' => q({0}分),
					},
					'month' => {
						'other' => q({0}か月),
					},
					'ounce' => {
						'other' => q({0}oz),
					},
					'per' => {
						'default' => q({0}/{1}),
					},
					'picometer' => {
						'other' => q({0}pm),
					},
					'pound' => {
						'other' => q({0}lb),
					},
					'second' => {
						'other' => q({0}秒),
					},
					'square-foot' => {
						'other' => q({0}ft²),
					},
					'square-kilometer' => {
						'other' => q({0}km²),
					},
					'square-meter' => {
						'other' => q({0}m²),
					},
					'square-mile' => {
						'other' => q({0}mi²),
					},
					'watt' => {
						'other' => q({0}W),
					},
					'week' => {
						'other' => q({0}週間),
					},
					'yard' => {
						'other' => q({0}ヤード),
					},
					'year' => {
						'other' => q({0}年),
					},
				},
				'short' => {
					'acre' => {
						'other' => q({0} エーカー),
					},
					'arc-minute' => {
						'other' => q({0} 分),
					},
					'arc-second' => {
						'other' => q({0} 秒),
					},
					'celsius' => {
						'other' => q({0}°C),
					},
					'centimeter' => {
						'other' => q({0} cm),
					},
					'cubic-kilometer' => {
						'other' => q({0} km³),
					},
					'cubic-mile' => {
						'other' => q({0} mi³),
					},
					'day' => {
						'other' => q({0} 日),
					},
					'degree' => {
						'other' => q({0} 度),
					},
					'fahrenheit' => {
						'other' => q({0}°F),
					},
					'foot' => {
						'other' => q({0} フィート),
					},
					'g-force' => {
						'other' => q({0} G),
					},
					'gram' => {
						'other' => q({0} g),
					},
					'hectare' => {
						'other' => q({0} ヘクタール),
					},
					'hectopascal' => {
						'other' => q({0} hPa),
					},
					'horsepower' => {
						'other' => q({0} 馬力),
					},
					'hour' => {
						'other' => q({0} 時間),
					},
					'inch' => {
						'other' => q({0} インチ),
					},
					'inch-hg' => {
						'other' => q({0} inHg),
					},
					'kilogram' => {
						'other' => q({0} kg),
					},
					'kilometer' => {
						'other' => q({0} km),
					},
					'kilometer-per-hour' => {
						'other' => q({0} km/h),
					},
					'kilowatt' => {
						'other' => q({0} kW),
					},
					'light-year' => {
						'other' => q({0} 光年),
					},
					'liter' => {
						'other' => q({0} l),
					},
					'meter' => {
						'other' => q({0} m),
					},
					'meter-per-second' => {
						'other' => q({0} m/s),
					},
					'mile' => {
						'other' => q({0} マイル),
					},
					'mile-per-hour' => {
						'other' => q({0} mi/h),
					},
					'millibar' => {
						'other' => q({0} mb),
					},
					'millimeter' => {
						'other' => q({0} mm),
					},
					'millisecond' => {
						'other' => q({0} ms),
					},
					'minute' => {
						'other' => q({0} 分),
					},
					'month' => {
						'other' => q({0} か月),
					},
					'ounce' => {
						'other' => q({0} オンス),
					},
					'per' => {
						'default' => q({0}/{1}),
					},
					'picometer' => {
						'other' => q({0} pm),
					},
					'pound' => {
						'other' => q({0} ポンド),
					},
					'second' => {
						'other' => q({0} 秒),
					},
					'square-foot' => {
						'other' => q({0} 平方フィート),
					},
					'square-kilometer' => {
						'other' => q({0} km²),
					},
					'square-meter' => {
						'other' => q({0} m²),
					},
					'square-mile' => {
						'other' => q({0} 平方マイル),
					},
					'watt' => {
						'other' => q({0} W),
					},
					'week' => {
						'other' => q({0} 週間),
					},
					'yard' => {
						'other' => q({0} ヤード),
					},
					'year' => {
						'other' => q({0} 年),
					},
				},
			} }
);


has 'yesstr' => (
	is			=> 'ro',
	isa			=> 'RegexpRef',
	init_arg	=> undef,
	default		=> sub { qr'^(?i:はい|ハイ|yes|y)$' }
);

has 'nostr' => (
	is			=> 'ro',
	isa			=> 'RegexpRef',
	init_arg	=> undef,
	default		=> sub { qr'^(?i:いいえ|イイエ|no|n)$' }
);

has 'listPatterns' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
				start => q({0} {1}),
				middle => q({0} {1}),
				end => q({0} {1}),
				2 => q({0} {1}),
		} }
);

has 'default_numbering_system' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> 'latn',
);

has native_numbering_system => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> 'latn',
);

has traditional_numbering_system => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> 'jpan',
);

has finance_numbering_system => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> 'jpanfin',
);

has 'number_symbols' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'latn' => {
			'decimal' => q(.),
			'exponential' => q(E),
			'group' => q(,),
			'infinity' => q(∞),
			'list' => q(;),
			'minusSign' => q(-),
			'nan' => q(NaN),
			'perMille' => q(‰),
			'percentSign' => q(%),
			'plusSign' => q(+),
			'superscriptingExponent' => q(×),
		},
	} }
);

has 'number_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		decimalFormat => {
			'default' => {
				'0' => {
					'default' => '#,##0.###',
				},
				'1000' => {
					'other' => '0千',
				},
				'10000' => {
					'other' => '0万',
				},
				'100000' => {
					'other' => '00万',
				},
				'1000000' => {
					'other' => '000万',
				},
				'10000000' => {
					'other' => '0000万',
				},
				'100000000' => {
					'other' => '0億',
				},
				'1000000000' => {
					'other' => '00億',
				},
				'10000000000' => {
					'other' => '000億',
				},
				'100000000000' => {
					'other' => '0000億',
				},
				'1000000000000' => {
					'other' => '0兆',
				},
				'10000000000000' => {
					'other' => '00兆',
				},
				'100000000000000' => {
					'other' => '000兆',
				},
			},
			'long' => {
				'1000' => {
					'other' => '0千',
				},
				'10000' => {
					'other' => '0万',
				},
				'100000' => {
					'other' => '00万',
				},
				'1000000' => {
					'other' => '000万',
				},
				'10000000' => {
					'other' => '0000万',
				},
				'100000000' => {
					'other' => '0億',
				},
				'1000000000' => {
					'other' => '00億',
				},
				'10000000000' => {
					'other' => '000億',
				},
				'100000000000' => {
					'other' => '0000億',
				},
				'1000000000000' => {
					'other' => '0兆',
				},
				'10000000000000' => {
					'other' => '00兆',
				},
				'100000000000000' => {
					'other' => '000兆',
				},
			},
			'short' => {
				'1000' => {
					'other' => '0千',
				},
				'10000' => {
					'other' => '0万',
				},
				'100000' => {
					'other' => '00万',
				},
				'1000000' => {
					'other' => '000万',
				},
				'10000000' => {
					'other' => '0000万',
				},
				'100000000' => {
					'other' => '0億',
				},
				'1000000000' => {
					'other' => '00億',
				},
				'10000000000' => {
					'other' => '000億',
				},
				'100000000000' => {
					'other' => '0000億',
				},
				'1000000000000' => {
					'other' => '0兆',
				},
				'10000000000000' => {
					'other' => '00兆',
				},
				'100000000000000' => {
					'other' => '000兆',
				},
			},
		},
		percentFormat => {
			'default' => {
				'0' => {
					'default' => '#,##0%',
				},
			},
		},
		scientificFormat => {
			'default' => {
				'0' => {
					'default' => '#E0',
				},
			},
		},
} },
);

has 'number_currency_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'latn' => {
			'pattern' => {
				'default' => {
					'accounting' => {
						'negative' => '(¤#,##0.00)',
						'positive' => '¤#,##0.00',
					},
					'standard' => {
						'negative' => '¤#,##0.00',
						'positive' => '¤#,##0.00',
					},
				},
			},
		},
} },
);

has 'curriencies' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'ADP' => {
			display_name => {
				'default' => q(アンドラ ペセタ),
				'other' => q(アンドラ ペセタ),
			},
		},
		'AED' => {
			display_name => {
				'default' => q(アラブ首長国連邦ディルハム),
				'other' => q(アラブ首長国連邦ディルハム),
			},
		},
		'AFA' => {
			display_name => {
				'default' => q(アフガニスタン アフガニー (1927–2002)),
				'other' => q(アフガニスタン アフガニー (1927–2002)),
			},
		},
		'AFN' => {
			display_name => {
				'default' => q(アフガニー),
				'other' => q(アフガニー),
			},
		},
		'ALL' => {
			display_name => {
				'default' => q(アルバニア レク),
				'other' => q(アルバニア レク),
			},
		},
		'AMD' => {
			display_name => {
				'default' => q(アルメニア ドラム),
				'other' => q(アルメニア ドラム),
			},
		},
		'ANG' => {
			display_name => {
				'default' => q(オランダ領アンティル ギルダー),
				'other' => q(オランダ領アンティル ギルダー),
			},
		},
		'AOA' => {
			display_name => {
				'default' => q(クワンザ),
				'other' => q(クワンザ),
			},
		},
		'AOK' => {
			display_name => {
				'default' => q(アンゴラ クワンザ (1977–1991)),
				'other' => q(アンゴラ クワンザ (1977–1991)),
			},
		},
		'AON' => {
			display_name => {
				'default' => q(アンゴラ 新クワンザ (1990–2000)),
				'other' => q(アンゴラ 新クワンザ (1990–2000)),
			},
		},
		'AOR' => {
			display_name => {
				'default' => q(アンゴラ 旧クワンザ (1995–1999)),
				'other' => q(アンゴラ 旧クワンザ (1995–1999)),
			},
		},
		'ARA' => {
			display_name => {
				'default' => q(アルゼンチン アゥストラール),
				'other' => q(アルゼンチン アゥストラール),
			},
		},
		'ARL' => {
			display_name => {
				'default' => q(アルゼンチン・ペソ・レイ（1970-1983）),
				'other' => q(アルゼンチン・ペソ・レイ（1970-1983）),
			},
		},
		'ARM' => {
			display_name => {
				'default' => q(アルゼンチン・ペソ（1881-1970）),
				'other' => q(アルゼンチン・ペソ（1881-1970）),
			},
		},
		'ARP' => {
			display_name => {
				'default' => q(アルゼンチン ペソ (1983–1985)),
				'other' => q(アルゼンチン ペソ (1983–1985)),
			},
		},
		'ARS' => {
			display_name => {
				'default' => q(アルゼンチン ペソ),
				'other' => q(アルゼンチン ペソ),
			},
		},
		'ATS' => {
			display_name => {
				'default' => q(オーストリア シリング),
				'other' => q(オーストリア シリング),
			},
		},
		'AUD' => {
			symbol => 'AU$',
			display_name => {
				'default' => q(オーストラリア ドル),
				'other' => q(オーストラリア ドル),
			},
		},
		'AWG' => {
			display_name => {
				'default' => q(アルバ ギルダー),
				'other' => q(アルバ ギルダー),
			},
		},
		'AZM' => {
			display_name => {
				'default' => q(アゼルバイジャン マナト (1993–2006)),
				'other' => q(アゼルバイジャン マナト (1993–2006)),
			},
		},
		'AZN' => {
			display_name => {
				'default' => q(アゼルバイジャン マナト),
				'other' => q(アゼルバイジャン マナト),
			},
		},
		'BAD' => {
			display_name => {
				'default' => q(ボスニア・ヘルツェゴビナ ディナール (1992–1994)),
				'other' => q(ボスニア・ヘルツェゴビナ ディナール (1992–1994)),
			},
		},
		'BAM' => {
			display_name => {
				'default' => q(ボスニア マルク (BAM)),
				'other' => q(ボスニア マルク (BAM)),
			},
		},
		'BAN' => {
			display_name => {
				'default' => q(ボスニア・ヘルツェゴビナ 新ディナール（1994-1997）),
				'other' => q(ボスニア・ヘルツェゴビナ 新ディナール（1994-1997）),
			},
		},
		'BBD' => {
			display_name => {
				'default' => q(バルバドス ドル),
				'other' => q(バルバドス ドル),
			},
		},
		'BDT' => {
			display_name => {
				'default' => q(バングラデシュ タカ),
				'other' => q(バングラデシュ タカ),
			},
		},
		'BEC' => {
			display_name => {
				'default' => q(ベルギー フラン (BEC)),
				'other' => q(ベルギー フラン (BEC)),
			},
		},
		'BEF' => {
			display_name => {
				'default' => q(ベルギー フラン),
				'other' => q(ベルギー フラン),
			},
		},
		'BEL' => {
			display_name => {
				'default' => q(ベルギー フラン (BEL)),
				'other' => q(ベルギー フラン (BEL)),
			},
		},
		'BGL' => {
			display_name => {
				'default' => q(ブルガリア レフ),
				'other' => q(ブルガリア レフ),
			},
		},
		'BGM' => {
			display_name => {
				'default' => q(ブルガリア社会主義 レフ),
				'other' => q(ブルガリア社会主義 レフ),
			},
		},
		'BGN' => {
			display_name => {
				'default' => q(ブルガリア 新レフ),
				'other' => q(ブルガリア 新レフ),
			},
		},
		'BGO' => {
			display_name => {
				'default' => q(ブルガリア レフ（1879-1952）),
				'other' => q(ブルガリア レフ（1879-1952）),
			},
		},
		'BHD' => {
			display_name => {
				'default' => q(バーレーン ディナール),
				'other' => q(バーレーン ディナール),
			},
		},
		'BIF' => {
			display_name => {
				'default' => q(ブルンジ フラン),
				'other' => q(ブルンジ フラン),
			},
		},
		'BMD' => {
			display_name => {
				'default' => q(バミューダ ドル),
				'other' => q(バミューダ ドル),
			},
		},
		'BND' => {
			display_name => {
				'default' => q(ブルネイ ドル),
				'other' => q(ブルネイ ドル),
			},
		},
		'BOB' => {
			display_name => {
				'default' => q(ボリビア ボリビアーノ),
				'other' => q(ボリビア ボリビアーノ),
			},
		},
		'BOL' => {
			display_name => {
				'default' => q(ボリビア ボリビアーノ (1863–1963)),
				'other' => q(ボリビア ボリビアーノ (1863–1963)),
			},
		},
		'BOP' => {
			display_name => {
				'default' => q(ボリビア ペソ),
				'other' => q(ボリビア ペソ),
			},
		},
		'BOV' => {
			display_name => {
				'default' => q(ボリビア (Mvdol)),
				'other' => q(ボリビア (Mvdol)),
			},
		},
		'BRB' => {
			display_name => {
				'default' => q(ブラジル 新クルゼイロ (1967–1986)),
				'other' => q(ブラジル 新クルゼイロ (1967–1986)),
			},
		},
		'BRC' => {
			display_name => {
				'default' => q(ブラジル クルザード (1986–1989)),
				'other' => q(ブラジル クルザード (1986–1989)),
			},
		},
		'BRE' => {
			display_name => {
				'default' => q(ブラジル クルゼイロ (1990–1993)),
				'other' => q(ブラジル クルゼイロ (1990–1993)),
			},
		},
		'BRL' => {
			symbol => 'R$',
			display_name => {
				'default' => q(ブラジル レアル),
				'other' => q(ブラジル レアル),
			},
		},
		'BRN' => {
			display_name => {
				'default' => q(ブラジル 新クルザード (1989–1990)),
				'other' => q(ブラジル 新クルザード (1989–1990)),
			},
		},
		'BRR' => {
			display_name => {
				'default' => q(ブラジル クルゼイロ (1993–1994)),
				'other' => q(ブラジル クルゼイロ (1993–1994)),
			},
		},
		'BRZ' => {
			display_name => {
				'default' => q(ブラジル クルゼイロ（1942-1967）),
				'other' => q(ブラジル クルゼイロ（1942-1967）),
			},
		},
		'BSD' => {
			display_name => {
				'default' => q(バハマ ドル),
				'other' => q(バハマ ドル),
			},
		},
		'BTN' => {
			display_name => {
				'default' => q(ブータン ニュルタム),
				'other' => q(ブータン ニュルタム),
			},
		},
		'BUK' => {
			display_name => {
				'default' => q(ビルマ チャット),
				'other' => q(ビルマ チャット),
			},
		},
		'BWP' => {
			display_name => {
				'default' => q(ボツワナ プラ),
				'other' => q(ボツワナ プラ),
			},
		},
		'BYB' => {
			display_name => {
				'default' => q(ベラルーシ 新ルーブル (1994–1999)),
				'other' => q(ベラルーシ 新ルーブル (1994–1999)),
			},
		},
		'BYR' => {
			display_name => {
				'default' => q(ベラルーシ ルーブル),
				'other' => q(ベラルーシ ルーブル),
			},
		},
		'BZD' => {
			display_name => {
				'default' => q(ベリーズ ドル),
				'other' => q(ベリーズ ドル),
			},
		},
		'CAD' => {
			symbol => 'CA$',
			display_name => {
				'default' => q(カナダ ドル),
				'other' => q(カナダ ドル),
			},
		},
		'CDF' => {
			display_name => {
				'default' => q(コンゴ フラン),
				'other' => q(コンゴ フラン),
			},
		},
		'CHE' => {
			display_name => {
				'default' => q(ユーロ (WIR)),
				'other' => q(ユーロ (WIR)),
			},
		},
		'CHF' => {
			display_name => {
				'default' => q(スイス フラン),
				'other' => q(スイス フラン),
			},
		},
		'CHW' => {
			display_name => {
				'default' => q(フラン (WIR)),
				'other' => q(フラン (WIR)),
			},
		},
		'CLE' => {
			display_name => {
				'default' => q(チリ エスクード),
				'other' => q(チリ エスクード),
			},
		},
		'CLF' => {
			display_name => {
				'default' => q(チリ ウニダ・デ・フォメント (UF)),
				'other' => q(チリ ウニダ・デ・フォメント (UF)),
			},
		},
		'CLP' => {
			display_name => {
				'default' => q(チリ ペソ),
				'other' => q(チリ ペソ),
			},
		},
		'CNY' => {
			symbol => '元',
			display_name => {
				'default' => q(中国人民元),
				'other' => q(中国人民元),
			},
		},
		'COP' => {
			display_name => {
				'default' => q(コロンビア ペソ),
				'other' => q(コロンビア ペソ),
			},
		},
		'COU' => {
			display_name => {
				'default' => q(コロンビア レアル （UVR)),
				'other' => q(コロンビア レアル （UVR)),
			},
		},
		'CRC' => {
			display_name => {
				'default' => q(コスタリカ コロン),
				'other' => q(コスタリカ コロン),
			},
		},
		'CSD' => {
			display_name => {
				'default' => q(セルビア ディナール (2002–2006)),
				'other' => q(セルビア ディナール (2002–2006)),
			},
		},
		'CSK' => {
			display_name => {
				'default' => q(チェコスロバキア コルナ),
				'other' => q(チェコスロバキア コルナ),
			},
		},
		'CUC' => {
			display_name => {
				'default' => q(キューバ 兌換ペソ),
				'other' => q(キューバ 兌換ペソ),
			},
		},
		'CUP' => {
			display_name => {
				'default' => q(キューバ ペソ),
				'other' => q(キューバ ペソ),
			},
		},
		'CVE' => {
			display_name => {
				'default' => q(カーボベルデ エスクード),
				'other' => q(カーボベルデ エスクード),
			},
		},
		'CYP' => {
			display_name => {
				'default' => q(キプロス ポンド),
				'other' => q(キプロス ポンド),
			},
		},
		'CZK' => {
			display_name => {
				'default' => q(チェコ コルナ),
				'other' => q(チェコ コルナ),
			},
		},
		'DDM' => {
			display_name => {
				'default' => q(東ドイツ マルク),
				'other' => q(東ドイツ マルク),
			},
		},
		'DEM' => {
			display_name => {
				'default' => q(ドイツ マルク),
				'other' => q(ドイツ マルク),
			},
		},
		'DJF' => {
			display_name => {
				'default' => q(ジブチ フラン),
				'other' => q(ジブチ フラン),
			},
		},
		'DKK' => {
			display_name => {
				'default' => q(デンマーク クローネ),
				'other' => q(デンマーク クローネ),
			},
		},
		'DOP' => {
			display_name => {
				'default' => q(ドミニカ ペソ),
				'other' => q(ドミニカ ペソ),
			},
		},
		'DZD' => {
			display_name => {
				'default' => q(アルジェリア ディナール),
				'other' => q(アルジェリア ディナール),
			},
		},
		'ECS' => {
			display_name => {
				'default' => q(エクアドル スクレ),
				'other' => q(エクアドル スクレ),
			},
		},
		'ECV' => {
			display_name => {
				'default' => q(エクアドル (UVC)),
				'other' => q(エクアドル (UVC)),
			},
		},
		'EEK' => {
			display_name => {
				'default' => q(エストニア クルーン),
				'other' => q(エストニア クルーン),
			},
		},
		'EGP' => {
			display_name => {
				'default' => q(エジプト ポンド),
				'other' => q(エジプト ポンド),
			},
		},
		'ERN' => {
			display_name => {
				'default' => q(エリトリア ナクファ),
				'other' => q(エリトリア ナクファ),
			},
		},
		'ESA' => {
			display_name => {
				'default' => q(スペインペセタ（勘定A）),
				'other' => q(スペインペセタ（勘定A）),
			},
		},
		'ESB' => {
			display_name => {
				'default' => q(スペイン 兌換ペセタ),
				'other' => q(スペイン 兌換ペセタ),
			},
		},
		'ESP' => {
			display_name => {
				'default' => q(スペイン ペセタ),
				'other' => q(スペイン ペセタ),
			},
		},
		'ETB' => {
			display_name => {
				'default' => q(エチオピア ブル),
				'other' => q(エチオピア ブル),
			},
		},
		'EUR' => {
			symbol => '€',
			display_name => {
				'default' => q(ユーロ),
				'other' => q(ユーロ),
			},
		},
		'FIM' => {
			display_name => {
				'default' => q(フィンランド マルカ),
				'other' => q(フィンランド マルカ),
			},
		},
		'FJD' => {
			display_name => {
				'default' => q(フィジー諸島 ドル),
				'other' => q(フィジー諸島 ドル),
			},
		},
		'FKP' => {
			display_name => {
				'default' => q(フォークランド（マルビナス）諸島 ポンド),
				'other' => q(フォークランド（マルビナス）諸島 ポンド),
			},
		},
		'FRF' => {
			display_name => {
				'default' => q(フランス フラン),
				'other' => q(フランス フラン),
			},
		},
		'GBP' => {
			symbol => '£',
			display_name => {
				'default' => q(英国ポンド),
				'other' => q(英国ポンド),
			},
		},
		'GEK' => {
			display_name => {
				'default' => q(グルジア クーポン ラリ),
				'other' => q(グルジア クーポン ラリ),
			},
		},
		'GEL' => {
			display_name => {
				'default' => q(グルジア ラリ),
				'other' => q(グルジア ラリ),
			},
		},
		'GHC' => {
			display_name => {
				'default' => q(ガーナ セディ (1979–2007)),
				'other' => q(ガーナ セディ (1979–2007)),
			},
		},
		'GHS' => {
			display_name => {
				'default' => q(ガーナ セディ),
				'other' => q(ガーナ セディ),
			},
		},
		'GIP' => {
			display_name => {
				'default' => q(ジブラルタル ポンド),
				'other' => q(ジブラルタル ポンド),
			},
		},
		'GMD' => {
			display_name => {
				'default' => q(ガンビア ダラシ),
				'other' => q(ガンビア ダラシ),
			},
		},
		'GNF' => {
			display_name => {
				'default' => q(ギニア フラン),
				'other' => q(ギニア フラン),
			},
		},
		'GNS' => {
			display_name => {
				'default' => q(ギニア シリー),
				'other' => q(ギニア シリー),
			},
		},
		'GQE' => {
			display_name => {
				'default' => q(赤道ギニア エクウェレ),
				'other' => q(赤道ギニア エクウェレ),
			},
		},
		'GRD' => {
			display_name => {
				'default' => q(ギリシャ ドラクマ),
				'other' => q(ギリシャ ドラクマ),
			},
		},
		'GTQ' => {
			display_name => {
				'default' => q(グアテマラ ケツァル),
				'other' => q(グアテマラ ケツァル),
			},
		},
		'GWE' => {
			display_name => {
				'default' => q(ポルトガル領ギニア エスクード),
				'other' => q(ポルトガル領ギニア エスクード),
			},
		},
		'GWP' => {
			display_name => {
				'default' => q(ギニアビサウ ペソ),
				'other' => q(ギニアビサウ ペソ),
			},
		},
		'GYD' => {
			display_name => {
				'default' => q(ガイアナ ドル),
				'other' => q(ガイアナ ドル),
			},
		},
		'HKD' => {
			symbol => 'HK$',
			display_name => {
				'default' => q(香港ドル),
				'other' => q(香港ドル),
			},
		},
		'HNL' => {
			display_name => {
				'default' => q(ホンジュラス レンピラ),
				'other' => q(ホンジュラス レンピラ),
			},
		},
		'HRD' => {
			display_name => {
				'default' => q(クロアチア ディナール),
				'other' => q(クロアチア ディナール),
			},
		},
		'HRK' => {
			display_name => {
				'default' => q(クロアチア クーナ),
				'other' => q(クロアチア クーナ),
			},
		},
		'HTG' => {
			display_name => {
				'default' => q(ハイチ グールド),
				'other' => q(ハイチ グールド),
			},
		},
		'HUF' => {
			display_name => {
				'default' => q(ハンガリー フォリント),
				'other' => q(ハンガリー フォリント),
			},
		},
		'IDR' => {
			display_name => {
				'default' => q(インドネシア ルピア),
				'other' => q(インドネシア ルピア),
			},
		},
		'IEP' => {
			display_name => {
				'default' => q(アイリッシュ ポンド),
				'other' => q(アイリッシュ ポンド),
			},
		},
		'ILP' => {
			display_name => {
				'default' => q(イスラエル ポンド),
				'other' => q(イスラエル ポンド),
			},
		},
		'ILS' => {
			symbol => '₪',
			display_name => {
				'default' => q(イスラエル新シェケル),
				'other' => q(イスラエル新シェケル),
			},
		},
		'INR' => {
			symbol => '₹',
			display_name => {
				'default' => q(インド ルピー),
				'other' => q(インド ルピー),
			},
		},
		'IQD' => {
			display_name => {
				'default' => q(イラク ディナール),
				'other' => q(イラク ディナール),
			},
		},
		'IRR' => {
			display_name => {
				'default' => q(イラン リアル),
				'other' => q(イラン リアル),
			},
		},
		'ISK' => {
			display_name => {
				'default' => q(アイスランド クローナ),
				'other' => q(アイスランド クローナ),
			},
		},
		'ITL' => {
			display_name => {
				'default' => q(イタリア リラ),
				'other' => q(イタリア リラ),
			},
		},
		'JMD' => {
			display_name => {
				'default' => q(ジャマイカ ドル),
				'other' => q(ジャマイカ ドル),
			},
		},
		'JOD' => {
			display_name => {
				'default' => q(ヨルダン ディナール),
				'other' => q(ヨルダン ディナール),
			},
		},
		'JPY' => {
			symbol => '￥',
			display_name => {
				'default' => q(日本円),
				'other' => q(円),
			},
		},
		'KES' => {
			display_name => {
				'default' => q(ケニア シリング),
				'other' => q(ケニア シリング),
			},
		},
		'KGS' => {
			display_name => {
				'default' => q(キルギスタン ソム),
				'other' => q(キルギスタン ソム),
			},
		},
		'KHR' => {
			display_name => {
				'default' => q(カンボジア リエル),
				'other' => q(カンボジア リエル),
			},
		},
		'KMF' => {
			display_name => {
				'default' => q(コモロ フラン),
				'other' => q(コモロ フラン),
			},
		},
		'KPW' => {
			display_name => {
				'default' => q(北朝鮮 ウォン),
				'other' => q(北朝鮮 ウォン),
			},
		},
		'KRH' => {
			display_name => {
				'default' => q(韓国 ファン（1953-1962）),
				'other' => q(韓国 ファン（1953-1962）),
			},
		},
		'KRO' => {
			display_name => {
				'default' => q(韓国 ウォン（1945-1953）),
				'other' => q(韓国 ウォン（1945-1953）),
			},
		},
		'KRW' => {
			symbol => '￦',
			display_name => {
				'default' => q(韓国 ウォン),
				'other' => q(韓国 ウォン),
			},
		},
		'KWD' => {
			display_name => {
				'default' => q(クウェート ディナール),
				'other' => q(クウェート ディナール),
			},
		},
		'KYD' => {
			display_name => {
				'default' => q(ケイマン諸島 ドル),
				'other' => q(ケイマン諸島 ドル),
			},
		},
		'KZT' => {
			display_name => {
				'default' => q(カザフスタン テンゲ),
				'other' => q(カザフスタン テンゲ),
			},
		},
		'LAK' => {
			display_name => {
				'default' => q(ラオス キープ),
				'other' => q(ラオス キープ),
			},
		},
		'LBP' => {
			display_name => {
				'default' => q(レバノン ポンド),
				'other' => q(レバノン ポンド),
			},
		},
		'LKR' => {
			display_name => {
				'default' => q(スリランカ ルピー),
				'other' => q(スリランカ ルピー),
			},
		},
		'LRD' => {
			display_name => {
				'default' => q(リベリア ドル),
				'other' => q(リベリア ドル),
			},
		},
		'LSL' => {
			display_name => {
				'default' => q(レソト ロティ),
				'other' => q(レソト ロティ),
			},
		},
		'LTL' => {
			display_name => {
				'default' => q(リトアニア リタス),
				'other' => q(リトアニア リタス),
			},
		},
		'LTT' => {
			display_name => {
				'default' => q(リトアニア タロナ),
				'other' => q(リトアニア タロナ),
			},
		},
		'LUC' => {
			display_name => {
				'default' => q(ルクセンブルク 兌換フラン),
				'other' => q(ルクセンブルク 兌換フラン),
			},
		},
		'LUF' => {
			display_name => {
				'default' => q(ルクセンブルグ フラン),
				'other' => q(ルクセンブルグ フラン),
			},
		},
		'LUL' => {
			display_name => {
				'default' => q(ルクセンブルク 金融フラン),
				'other' => q(ルクセンブルク 金融フラン),
			},
		},
		'LVL' => {
			display_name => {
				'default' => q(ラトビア ラッツ),
				'other' => q(ラトビア ラッツ),
			},
		},
		'LVR' => {
			display_name => {
				'default' => q(ラトビア ルーブル),
				'other' => q(ラトビア ルーブル),
			},
		},
		'LYD' => {
			display_name => {
				'default' => q(リビア ディナール),
				'other' => q(リビア ディナール),
			},
		},
		'MAD' => {
			display_name => {
				'default' => q(モロッコ ディルハム),
				'other' => q(モロッコ ディルハム),
			},
		},
		'MAF' => {
			display_name => {
				'default' => q(モロッコ フラン),
				'other' => q(モロッコ フラン),
			},
		},
		'MCF' => {
			display_name => {
				'default' => q(モネガスク フラン),
				'other' => q(モネガスク フラン),
			},
		},
		'MDC' => {
			display_name => {
				'default' => q(モルドバ クーポン),
				'other' => q(モルドバ クーポン),
			},
		},
		'MDL' => {
			display_name => {
				'default' => q(モルドバ レイ),
				'other' => q(モルドバ レイ),
			},
		},
		'MGA' => {
			display_name => {
				'default' => q(マダガスカル アリアリ),
				'other' => q(マダガスカル アリアリ),
			},
		},
		'MGF' => {
			display_name => {
				'default' => q(マラガシ フラン),
				'other' => q(マラガシ フラン),
			},
		},
		'MKD' => {
			display_name => {
				'default' => q(マケドニア デナル),
				'other' => q(マケドニア デナル),
			},
		},
		'MKN' => {
			display_name => {
				'default' => q(マケドニア ディナール（1992-1993）),
				'other' => q(マケドニア ディナール（1992-1993）),
			},
		},
		'MLF' => {
			display_name => {
				'default' => q(マリ フラン),
				'other' => q(マリ フラン),
			},
		},
		'MMK' => {
			display_name => {
				'default' => q(ミャンマー チャット),
				'other' => q(ミャンマー チャット),
			},
		},
		'MNT' => {
			display_name => {
				'default' => q(モンゴル トグログ),
				'other' => q(モンゴル トグログ),
			},
		},
		'MOP' => {
			display_name => {
				'default' => q(マカオ パタカ),
				'other' => q(マカオ パタカ),
			},
		},
		'MRO' => {
			display_name => {
				'default' => q(モーリタニア ウギア),
				'other' => q(モーリタニア ウギア),
			},
		},
		'MTL' => {
			display_name => {
				'default' => q(マルタ リラ),
				'other' => q(マルタ リラ),
			},
		},
		'MTP' => {
			display_name => {
				'default' => q(マルタ ポンド),
				'other' => q(マルタ ポンド),
			},
		},
		'MUR' => {
			display_name => {
				'default' => q(モーリシャス ルピー),
				'other' => q(モーリシャス ルピー),
			},
		},
		'MVR' => {
			display_name => {
				'default' => q(モルディブ諸島 ルフィア),
				'other' => q(モルディブ諸島 ルフィア),
			},
		},
		'MWK' => {
			display_name => {
				'default' => q(マラウィ クワチャ),
				'other' => q(マラウィ クワチャ),
			},
		},
		'MXN' => {
			symbol => 'MX$',
			display_name => {
				'default' => q(メキシコ ペソ),
				'other' => q(メキシコ ペソ),
			},
		},
		'MXP' => {
			display_name => {
				'default' => q(メキシコ ペソ (1861–1992)),
				'other' => q(メキシコ ペソ (1861–1992)),
			},
		},
		'MXV' => {
			display_name => {
				'default' => q(メキシコ (UDI)),
				'other' => q(メキシコ (UDI)),
			},
		},
		'MYR' => {
			display_name => {
				'default' => q(マレーシア リンギット),
				'other' => q(マレーシア リンギット),
			},
		},
		'MZE' => {
			display_name => {
				'default' => q(モザンピーク エスクード),
				'other' => q(モザンピーク エスクード),
			},
		},
		'MZM' => {
			display_name => {
				'default' => q(モザンビーク メティカル (1980–2006)),
				'other' => q(モザンビーク メティカル (1980–2006)),
			},
		},
		'MZN' => {
			display_name => {
				'default' => q(モザンビーク メティカル),
				'other' => q(モザンビーク メティカル),
			},
		},
		'NAD' => {
			display_name => {
				'default' => q(ナミビア ドル),
				'other' => q(ナミビア ドル),
			},
		},
		'NGN' => {
			display_name => {
				'default' => q(ナイジェリア ナイラ),
				'other' => q(ナイジェリア ナイラ),
			},
		},
		'NIC' => {
			display_name => {
				'default' => q(ニカラグア コルドバ (1988–1991)),
				'other' => q(ニカラグア コルドバ (1988–1991)),
			},
		},
		'NIO' => {
			display_name => {
				'default' => q(ニカラグア コルドバ オロ),
				'other' => q(ニカラグア コルドバ オロ),
			},
		},
		'NLG' => {
			display_name => {
				'default' => q(オランダ ギルダー),
				'other' => q(オランダ ギルダー),
			},
		},
		'NOK' => {
			display_name => {
				'default' => q(ノルウェー クローネ),
				'other' => q(ノルウェー クローネ),
			},
		},
		'NPR' => {
			display_name => {
				'default' => q(ネパール ルピー),
				'other' => q(ネパール ルピー),
			},
		},
		'NZD' => {
			symbol => 'NZ$',
			display_name => {
				'default' => q(ニュージーランド ドル),
				'other' => q(ニュージーランド ドル),
			},
		},
		'OMR' => {
			display_name => {
				'default' => q(オマーン リアル),
				'other' => q(オマーン リアル),
			},
		},
		'PAB' => {
			display_name => {
				'default' => q(パナマ バルボア),
				'other' => q(パナマ バルボア),
			},
		},
		'PEI' => {
			display_name => {
				'default' => q(ペルー インティ),
				'other' => q(ペルー インティ),
			},
		},
		'PEN' => {
			display_name => {
				'default' => q(ペルー 新ソル),
				'other' => q(ペルー 新ソル),
			},
		},
		'PES' => {
			display_name => {
				'default' => q(ペルー ソル (1863–1965)),
				'other' => q(ペルー ソル (1863–1965)),
			},
		},
		'PGK' => {
			display_name => {
				'default' => q(パプアニューギニア キナ),
				'other' => q(パプアニューギニア キナ),
			},
		},
		'PHP' => {
			display_name => {
				'default' => q(フィリピン ペソ),
				'other' => q(フィリピン ペソ),
			},
		},
		'PKR' => {
			display_name => {
				'default' => q(パキスタン ルピー),
				'other' => q(パキスタン ルピー),
			},
		},
		'PLN' => {
			display_name => {
				'default' => q(ポーランド ズウォティ),
				'other' => q(ポーランド ズウォティ),
			},
		},
		'PLZ' => {
			display_name => {
				'default' => q(ポーランド ズウォティ (1950–1995)),
				'other' => q(ポーランド ズウォティ (1950–1995)),
			},
		},
		'PTE' => {
			display_name => {
				'default' => q(ポルトガル エスクード),
				'other' => q(ポルトガル エスクード),
			},
		},
		'PYG' => {
			display_name => {
				'default' => q(パラグアイ グアラニ),
				'other' => q(パラグアイ グアラニ),
			},
		},
		'QAR' => {
			display_name => {
				'default' => q(カタール リアル),
				'other' => q(カタール リアル),
			},
		},
		'RHD' => {
			display_name => {
				'default' => q(ローデシア ドル),
				'other' => q(ローデシア ドル),
			},
		},
		'ROL' => {
			display_name => {
				'default' => q(ルーマニア レイ (1952–2006)),
				'other' => q(ルーマニア レイ (1952–2006)),
			},
		},
		'RON' => {
			display_name => {
				'default' => q(ルーマニア レイ),
				'other' => q(ルーマニア レイ),
			},
		},
		'RSD' => {
			display_name => {
				'default' => q(ディナール (セルビア)),
				'other' => q(ディナール (セルビア)),
			},
		},
		'RUB' => {
			display_name => {
				'default' => q(ロシア ルーブル),
				'other' => q(ロシア ルーブル),
			},
		},
		'RUR' => {
			display_name => {
				'default' => q(ロシア ルーブル (1991–1998)),
				'other' => q(ロシア ルーブル (1991–1998)),
			},
		},
		'RWF' => {
			display_name => {
				'default' => q(ルワンダ フラン),
				'other' => q(ルワンダ フラン),
			},
		},
		'SAR' => {
			display_name => {
				'default' => q(サウジ リヤル),
				'other' => q(サウジ リヤル),
			},
		},
		'SBD' => {
			display_name => {
				'default' => q(ソロモン諸島 ドル),
				'other' => q(ソロモン諸島 ドル),
			},
		},
		'SCR' => {
			display_name => {
				'default' => q(セーシェル ルピー),
				'other' => q(セーシェル ルピー),
			},
		},
		'SDD' => {
			display_name => {
				'default' => q(スーダン ディナール (1992–2007)),
				'other' => q(スーダン ディナール (1992–2007)),
			},
		},
		'SDG' => {
			display_name => {
				'default' => q(スーダン ポンド),
				'other' => q(スーダン ポンド),
			},
		},
		'SDP' => {
			display_name => {
				'default' => q(スーダン ポンド (1957–1998)),
				'other' => q(スーダン ポンド (1957–1998)),
			},
		},
		'SEK' => {
			display_name => {
				'default' => q(スウェーデン クローナ),
				'other' => q(スウェーデン クローナ),
			},
		},
		'SGD' => {
			display_name => {
				'default' => q(シンガポール ドル),
				'other' => q(シンガポール ドル),
			},
		},
		'SHP' => {
			display_name => {
				'default' => q(セントヘレナ島 ポンド),
				'other' => q(セントヘレナ島 ポンド),
			},
		},
		'SIT' => {
			display_name => {
				'default' => q(スロベニア トラール),
				'other' => q(スロベニア トラール),
			},
		},
		'SKK' => {
			display_name => {
				'default' => q(スロバキア コルナ),
				'other' => q(スロバキア コルナ),
			},
		},
		'SLL' => {
			display_name => {
				'default' => q(シエラレオネ レオン),
				'other' => q(シエラレオネ レオン),
			},
		},
		'SOS' => {
			display_name => {
				'default' => q(ソマリア シリング),
				'other' => q(ソマリア シリング),
			},
		},
		'SRD' => {
			display_name => {
				'default' => q(スリナム ドル),
				'other' => q(スリナム ドル),
			},
		},
		'SRG' => {
			display_name => {
				'default' => q(スリナム ギルダー),
				'other' => q(スリナム ギルダー),
			},
		},
		'SSP' => {
			display_name => {
				'default' => q(南スーダン・ポンド),
				'other' => q(南スーダン・ポンド),
			},
		},
		'STD' => {
			display_name => {
				'default' => q(サントメ・プリンシペ ドブラ),
				'other' => q(サントメ・プリンシペ ドブラ),
			},
		},
		'SUR' => {
			display_name => {
				'default' => q(ソ連 ルーブル),
				'other' => q(ソ連 ルーブル),
			},
		},
		'SVC' => {
			display_name => {
				'default' => q(エルサルバドル コロン),
				'other' => q(エルサルバドル コロン),
			},
		},
		'SYP' => {
			display_name => {
				'default' => q(シリア ポンド),
				'other' => q(シリア ポンド),
			},
		},
		'SZL' => {
			display_name => {
				'default' => q(スワジランド リランゲニ),
				'other' => q(スワジランド リランゲニ),
			},
		},
		'THB' => {
			symbol => '฿',
			display_name => {
				'default' => q(タイ バーツ),
				'other' => q(タイ バーツ),
			},
		},
		'TJR' => {
			display_name => {
				'default' => q(タジキスタン ルーブル),
				'other' => q(タジキスタン ルーブル),
			},
		},
		'TJS' => {
			display_name => {
				'default' => q(タジキスタン ソモニ),
				'other' => q(タジキスタン ソモニ),
			},
		},
		'TMM' => {
			display_name => {
				'default' => q(トルクメニスタン マナト (1993–2009)),
				'other' => q(トルクメニスタン マナト (1993–2009)),
			},
		},
		'TMT' => {
			display_name => {
				'default' => q(トルクメニスタン マナト),
				'other' => q(トルクメニスタン マナト),
			},
		},
		'TND' => {
			display_name => {
				'default' => q(チュニジア ディナール),
				'other' => q(チュニジア ディナール),
			},
		},
		'TOP' => {
			display_name => {
				'default' => q(トンガ パ・アンガ),
				'other' => q(トンガ パ・アンガ),
			},
		},
		'TPE' => {
			display_name => {
				'default' => q(ティモール エスクード),
				'other' => q(ティモール エスクード),
			},
		},
		'TRL' => {
			display_name => {
				'default' => q(トルコ リラ (1922–2005)),
				'other' => q(トルコ リラ (1922–2005)),
			},
		},
		'TRY' => {
			display_name => {
				'default' => q(新トルコリラ),
				'other' => q(新トルコリラ),
			},
		},
		'TTD' => {
			display_name => {
				'default' => q(トリニダードトバゴ ドル),
				'other' => q(トリニダードトバゴ ドル),
			},
		},
		'TWD' => {
			symbol => 'NT$',
			display_name => {
				'default' => q(新台湾ドル),
				'other' => q(新台湾ドル),
			},
		},
		'TZS' => {
			display_name => {
				'default' => q(タンザニア シリング),
				'other' => q(タンザニア シリング),
			},
		},
		'UAH' => {
			display_name => {
				'default' => q(ウクライナ グリブナ),
				'other' => q(ウクライナ グリブナ),
			},
		},
		'UAK' => {
			display_name => {
				'default' => q(ウクライナ カルボバネツ),
				'other' => q(ウクライナ カルボバネツ),
			},
		},
		'UGS' => {
			display_name => {
				'default' => q(ウガンダ シリング (1966–1987)),
				'other' => q(ウガンダ シリング (1966–1987)),
			},
		},
		'UGX' => {
			display_name => {
				'default' => q(ウガンダ シリング),
				'other' => q(ウガンダ シリング),
			},
		},
		'USD' => {
			symbol => '$',
			display_name => {
				'default' => q(米ドル),
				'other' => q(米ドル),
			},
		},
		'USN' => {
			display_name => {
				'default' => q(米ドル (翌日)),
				'other' => q(米ドル (翌日)),
			},
		},
		'USS' => {
			display_name => {
				'default' => q(米ドル (当日)),
				'other' => q(米ドル (当日)),
			},
		},
		'UYI' => {
			display_name => {
				'default' => q(ウルグアイ ペソエン),
				'other' => q(ウルグアイ ペソエン),
			},
		},
		'UYP' => {
			display_name => {
				'default' => q(ウルグアイ ペソ (1975–1993)),
				'other' => q(ウルグアイ ペソ (1975–1993)),
			},
		},
		'UYU' => {
			display_name => {
				'default' => q(ウルグアイ ペソ),
				'other' => q(ウルグアイ ペソ),
			},
		},
		'UZS' => {
			display_name => {
				'default' => q(ウズベキスタン スム),
				'other' => q(ウズベキスタン スム),
			},
		},
		'VEB' => {
			display_name => {
				'default' => q(ベネズエラ ボリバル (1871–2008)),
				'other' => q(ベネズエラ ボリバル (1871–2008)),
			},
		},
		'VEF' => {
			display_name => {
				'default' => q(ベネズエラ ボリバル),
				'other' => q(ベネズエラ ボリバル),
			},
		},
		'VND' => {
			symbol => '₫',
			display_name => {
				'default' => q(ベトナム ドン),
				'other' => q(ベトナム ドン),
			},
		},
		'VNN' => {
			display_name => {
				'default' => q(ベトナム ドン（1978-1985）),
				'other' => q(ベトナム ドン（1978-1985）),
			},
		},
		'VUV' => {
			display_name => {
				'default' => q(バヌアツ バツ),
				'other' => q(バヌアツ バツ),
			},
		},
		'WST' => {
			display_name => {
				'default' => q(サモア タラ),
				'other' => q(サモア タラ),
			},
		},
		'XAF' => {
			symbol => 'FCFA',
			display_name => {
				'default' => q(CFA フラン（BEAC）),
				'other' => q(CFA フラン（BEAC）),
			},
		},
		'XAG' => {
			display_name => {
				'default' => q(銀),
				'other' => q(銀),
			},
		},
		'XAU' => {
			display_name => {
				'default' => q(金),
				'other' => q(金),
			},
		},
		'XBA' => {
			display_name => {
				'default' => q(ヨーロッパ混合単位 (EURCO)),
				'other' => q(ヨーロッパ混合単位 (EURCO)),
			},
		},
		'XBB' => {
			display_name => {
				'default' => q(ヨーロッパ通貨単位 (EMU–6)),
				'other' => q(ヨーロッパ通貨単位 (EMU–6)),
			},
		},
		'XBC' => {
			display_name => {
				'default' => q(ヨーロッパ勘定単位 (EUA–9)),
				'other' => q(ヨーロッパ勘定単位 (EUA–9)),
			},
		},
		'XBD' => {
			display_name => {
				'default' => q(ヨーロッパ勘定単位 (EUA–17)),
				'other' => q(ヨーロッパ勘定単位 (EUA–17)),
			},
		},
		'XCD' => {
			symbol => 'EC$',
			display_name => {
				'default' => q(東カリブ ドル),
				'other' => q(東カリブ ドル),
			},
		},
		'XDR' => {
			display_name => {
				'default' => q(特別引き出し権),
				'other' => q(特別引き出し権),
			},
		},
		'XEU' => {
			display_name => {
				'default' => q(ヨーロッパ通貨単位),
				'other' => q(ヨーロッパ通貨単位),
			},
		},
		'XFO' => {
			display_name => {
				'default' => q(フランス金フラン),
				'other' => q(フランス金フラン),
			},
		},
		'XFU' => {
			display_name => {
				'default' => q(フランス フラン (UIC)),
				'other' => q(フランス フラン (UIC)),
			},
		},
		'XOF' => {
			symbol => 'CFA',
			display_name => {
				'default' => q(CFA フラン（BCEAO）),
				'other' => q(CFA フラン（BCEAO）),
			},
		},
		'XPD' => {
			display_name => {
				'default' => q(パラジウム),
				'other' => q(パラジウム),
			},
		},
		'XPF' => {
			symbol => 'CFPF',
			display_name => {
				'default' => q(CFP フラン),
				'other' => q(CFP フラン),
			},
		},
		'XPT' => {
			display_name => {
				'default' => q(プラチナ),
				'other' => q(プラチナ),
			},
		},
		'XRE' => {
			display_name => {
				'default' => q(RINET基金),
				'other' => q(RINET基金),
			},
		},
		'XSU' => {
			display_name => {
				'default' => q(スクレ),
				'other' => q(スクレ),
			},
		},
		'XTS' => {
			display_name => {
				'default' => q(テスト用通貨コード),
				'other' => q(テスト用通貨コード),
			},
		},
		'XUA' => {
			display_name => {
				'default' => q(UA (アフリカ開発銀行)),
				'other' => q(UA (アフリカ開発銀行)),
			},
		},
		'XXX' => {
			display_name => {
				'default' => q(不明または無効な通貨),
				'other' => q(不明または無効な通貨),
			},
		},
		'YDD' => {
			display_name => {
				'default' => q(イエメン ディナール),
				'other' => q(イエメン ディナール),
			},
		},
		'YER' => {
			display_name => {
				'default' => q(イエメン リアル),
				'other' => q(イエメン リアル),
			},
		},
		'YUD' => {
			display_name => {
				'default' => q(ユーゴスラビア ハード・ディナール (1966–1990)),
				'other' => q(ユーゴスラビア ハード・ディナール (1966–1990)),
			},
		},
		'YUM' => {
			display_name => {
				'default' => q(ユーゴスラビア ノビ・ディナール (1994–2002)),
				'other' => q(ユーゴスラビア ノビ・ディナール (1994–2002)),
			},
		},
		'YUN' => {
			display_name => {
				'default' => q(ユーゴスラビア 兌換ディナール (1990–1992)),
				'other' => q(ユーゴスラビア 兌換ディナール (1990–1992)),
			},
		},
		'YUR' => {
			display_name => {
				'default' => q(ユーゴスラビア 改革ディナール（1992-1993）),
				'other' => q(ユーゴスラビア 改革ディナール（1992-1993）),
			},
		},
		'ZAL' => {
			display_name => {
				'default' => q(南アフリカ ランド (ZAL)),
				'other' => q(南アフリカ ランド (ZAL)),
			},
		},
		'ZAR' => {
			display_name => {
				'default' => q(南アフリカ ランド),
				'other' => q(南アフリカ ランド),
			},
		},
		'ZMK' => {
			display_name => {
				'default' => q(ザンビア クワチャ (1968–2012)),
				'other' => q(ザンビア クワチャ (1968–2012)),
			},
		},
		'ZMW' => {
			display_name => {
				'default' => q(ザンビア クワチャ),
				'other' => q(ザンビア クワチャ),
			},
		},
		'ZRN' => {
			display_name => {
				'default' => q(ザイール 新ザイール (1993–1998)),
				'other' => q(ザイール 新ザイール (1993–1998)),
			},
		},
		'ZRZ' => {
			display_name => {
				'default' => q(ザイール ザイール (1971–1993)),
				'other' => q(ザイール ザイール (1971–1993)),
			},
		},
		'ZWD' => {
			display_name => {
				'default' => q(ジンバブエ ドル (1980–2008)),
				'other' => q(ジンバブエ ドル (1980–2008)),
			},
		},
		'ZWL' => {
			display_name => {
				'default' => q(ジンバブエ ドル (2009)),
				'other' => q(ジンバブエ ドル (2009)),
			},
		},
		'ZWR' => {
			display_name => {
				'default' => q(シンバブエ ドル（2008）),
				'other' => q(シンバブエ ドル（2008）),
			},
		},
	} },
);


has 'calendar_months' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
			'chinese' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'正月',
							'二月',
							'三月',
							'四月',
							'五月',
							'六月',
							'七月',
							'八月',
							'九月',
							'十月',
							'十一月',
							'十二月'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'正',
							'二',
							'三',
							'四',
							'五',
							'六',
							'七',
							'八',
							'九',
							'十',
							'十一',
							'十二'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'正月',
							'二月',
							'三月',
							'四月',
							'五月',
							'六月',
							'七月',
							'八月',
							'九月',
							'十月',
							'十一月',
							'十二月'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'正月',
							'二月',
							'三月',
							'四月',
							'五月',
							'六月',
							'七月',
							'八月',
							'九月',
							'十月',
							'十一月',
							'十二月'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'正',
							'二',
							'三',
							'四',
							'五',
							'六',
							'七',
							'八',
							'九',
							'十',
							'十一',
							'十二'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'正月',
							'二月',
							'三月',
							'四月',
							'五月',
							'六月',
							'七月',
							'八月',
							'九月',
							'十月',
							'十一月',
							'十二月'
						],
						leap => [
							
						],
					},
				},
			},
			'coptic' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'トウト',
							'ババ',
							'ハトール',
							'キアック',
							'トーバ',
							'アムシール',
							'バラムハート',
							'バラモウダ',
							'バシャンス',
							'パオーナ',
							'エペープ',
							'メスラ',
							'ナシエ'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12',
							'13'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'トウト',
							'ババ',
							'ハトール',
							'キアック',
							'トーバ',
							'アムシール',
							'バラムハート',
							'バラモウダ',
							'バシャンス',
							'パオーナ',
							'エペープ',
							'メスラ',
							'ナシエ'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'トウト',
							'ババ',
							'ハトール',
							'キアック',
							'トーバ',
							'アムシール',
							'バラムハート',
							'バラモウダ',
							'バシャンス',
							'パオーナ',
							'エペープ',
							'メスラ',
							'ナシエ'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12',
							'13'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'トウト',
							'ババ',
							'ハトール',
							'キアック',
							'トーバ',
							'アムシール',
							'バラムハート',
							'バラモウダ',
							'バシャンス',
							'パオーナ',
							'エペープ',
							'メスラ',
							'ナシエ'
						],
						leap => [
							
						],
					},
				},
			},
			'dangi' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'正月',
							'二月',
							'三月',
							'四月',
							'五月',
							'六月',
							'七月',
							'八月',
							'九月',
							'十月',
							'十一月',
							'十二月'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'正',
							'二',
							'三',
							'四',
							'五',
							'六',
							'七',
							'八',
							'九',
							'十',
							'十一',
							'十二'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'正月',
							'二月',
							'三月',
							'四月',
							'五月',
							'六月',
							'七月',
							'八月',
							'九月',
							'十月',
							'十一月',
							'十二月'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'正月',
							'二月',
							'三月',
							'四月',
							'五月',
							'六月',
							'七月',
							'八月',
							'九月',
							'十月',
							'十一月',
							'十二月'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'正',
							'二',
							'三',
							'四',
							'五',
							'六',
							'七',
							'八',
							'九',
							'十',
							'十一',
							'十二'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'正月',
							'二月',
							'三月',
							'四月',
							'五月',
							'六月',
							'七月',
							'八月',
							'九月',
							'十月',
							'十一月',
							'十二月'
						],
						leap => [
							
						],
					},
				},
			},
			'ethiopic' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'メスケレム',
							'テケムト',
							'ヘダル',
							'ターサス',
							'テル',
							'イェカティト',
							'メガビト',
							'ミアジア',
							'ゲンボト',
							'セネ',
							'ハムレ',
							'ネハッセ',
							'パグメン'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12',
							'13'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'メスケレム',
							'テケムト',
							'ヘダル',
							'ターサス',
							'テル',
							'イェカティト',
							'メガビト',
							'ミアジア',
							'ゲンボト',
							'セネ',
							'ハムレ',
							'ネハッセ',
							'パグメン'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'メスケレム',
							'テケムト',
							'ヘダル',
							'ターサス',
							'テル',
							'イェカティト',
							'メガビト',
							'ミアジア',
							'ゲンボト',
							'セネ',
							'ハムレ',
							'ネハッセ',
							'パグメン'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12',
							'13'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'メスケレム',
							'テケムト',
							'ヘダル',
							'ターサス',
							'テル',
							'イェカティト',
							'メガビト',
							'ミアジア',
							'ゲンボト',
							'セネ',
							'ハムレ',
							'ネハッセ',
							'パグメン'
						],
						leap => [
							
						],
					},
				},
			},
			'gregorian' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'1月',
							'2月',
							'3月',
							'4月',
							'5月',
							'6月',
							'7月',
							'8月',
							'9月',
							'10月',
							'11月',
							'12月'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'1月',
							'2月',
							'3月',
							'4月',
							'5月',
							'6月',
							'7月',
							'8月',
							'9月',
							'10月',
							'11月',
							'12月'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'1月',
							'2月',
							'3月',
							'4月',
							'5月',
							'6月',
							'7月',
							'8月',
							'9月',
							'10月',
							'11月',
							'12月'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'1月',
							'2月',
							'3月',
							'4月',
							'5月',
							'6月',
							'7月',
							'8月',
							'9月',
							'10月',
							'11月',
							'12月'
						],
						leap => [
							
						],
					},
				},
			},
			'hebrew' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'ティスレ',
							'へシボン',
							'キスレブ',
							'テベット',
							'シバット',
							'アダル I',
							'アダル',
							'ニサン',
							'イヤル',
							'シバン',
							'タムズ',
							'アヴ',
							'エルル'
						],
						leap => [
							'',
							'',
							'',
							'',
							'',
							'',
							'アダル II'
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12',
							'13'
						],
						leap => [
							'',
							'',
							'',
							'',
							'',
							'',
							'7'
						],
					},
					wide => {
						nonleap => [
							'ティスレ',
							'へシボン',
							'キスレブ',
							'テベット',
							'シバット',
							'アダル I',
							'アダル',
							'ニサン',
							'イヤル',
							'シバン',
							'タムズ',
							'アヴ',
							'エルル'
						],
						leap => [
							'',
							'',
							'',
							'',
							'',
							'',
							'アダル II'
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'ティスレ',
							'へシボン',
							'キスレブ',
							'テベット',
							'シバット',
							'アダル I',
							'アダル',
							'ニサン',
							'イヤル',
							'シバン',
							'タムズ',
							'アヴ',
							'エルル'
						],
						leap => [
							'',
							'',
							'',
							'',
							'',
							'',
							'アダル II'
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12',
							'13'
						],
						leap => [
							'',
							'',
							'',
							'',
							'',
							'',
							'7'
						],
					},
					wide => {
						nonleap => [
							'ティスレ',
							'へシボン',
							'キスレブ',
							'テベット',
							'シバット',
							'アダル I',
							'アダル',
							'ニサン',
							'イヤル',
							'シバン',
							'タムズ',
							'アヴ',
							'エルル'
						],
						leap => [
							'',
							'',
							'',
							'',
							'',
							'',
							'アダル II'
						],
					},
				},
			},
			'indian' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'カイトラ',
							'ヴァイサカ',
							'ジャイスタ',
							'アーサダ',
							'スラバナ',
							'バードラ',
							'アスビナ',
							'カルディカ',
							'アヴラハヤナ',
							'パウサ',
							'マーガ',
							'パルグナ'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'カイトラ',
							'ヴァイサカ',
							'ジャイスタ',
							'アーサダ',
							'スラバナ',
							'バードラ',
							'アスビナ',
							'カルディカ',
							'アヴラハヤナ',
							'パウサ',
							'マーガ',
							'パルグナ'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'カイトラ',
							'ヴァイサカ',
							'ジャイスタ',
							'アーサダ',
							'スラバナ',
							'バードラ',
							'アスビナ',
							'カルディカ',
							'アヴラハヤナ',
							'パウサ',
							'マーガ',
							'パルグナ'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'カイトラ',
							'ヴァイサカ',
							'ジャイスタ',
							'アーサダ',
							'スラバナ',
							'バードラ',
							'アスビナ',
							'カルディカ',
							'アヴラハヤナ',
							'パウサ',
							'マーガ',
							'パルグナ'
						],
						leap => [
							
						],
					},
				},
			},
			'islamic' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'ムハッラム',
							'サフアル',
							'ラビー・ウル・アウワル',
							'ラビー・ウッ・サーニー',
							'ジュマーダル・アウワル',
							'ジュマーダッサーニー',
							'ラジャブ',
							'シャアバーン',
							'ラマダーン',
							'シャウワール',
							'ズル・カイダ',
							'ズル・ヒッジャ'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'ムハッラム',
							'サフアル',
							'ラビー・ウル・アウワル',
							'ラビー・ウッ・サーニー',
							'ジュマーダル・アウワル',
							'ジュマーダッサーニー',
							'ラジャブ',
							'シャアバーン',
							'ラマダーン',
							'シャウワール',
							'ズル・カイダ',
							'ズル・ヒッジャ'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'ムハッラム',
							'サフアル',
							'ラビー・ウル・アウワル',
							'ラビー・ウッ・サーニー',
							'ジュマーダル・アウワル',
							'ジュマーダッサーニー',
							'ラジャブ',
							'シャアバーン',
							'ラマダーン',
							'シャウワール',
							'ズル・カイダ',
							'ズル・ヒッジャ'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'ムハッラム',
							'サフアル',
							'ラビー・ウル・アウワル',
							'ラビー・ウッ・サーニー',
							'ジュマーダル・アウワル',
							'ジュマーダッサーニー',
							'ラジャブ',
							'シャアバーン',
							'ラマダーン',
							'シャウワール',
							'ズル・カイダ',
							'ズル・ヒッジャ'
						],
						leap => [
							
						],
					},
				},
			},
			'persian' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'ファルヴァルディーン',
							'オルディーベヘシュト',
							'ホルダード',
							'ティール',
							'モルダード',
							'シャハリーヴァル',
							'メフル',
							'アーバーン',
							'アーザル',
							'デイ',
							'バフマン',
							'エスファンド'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'ファルヴァルディーン',
							'オルディーベヘシュト',
							'ホルダード',
							'ティール',
							'モルダード',
							'シャハリーヴァル',
							'メフル',
							'アーバーン',
							'アーザル',
							'デイ',
							'バフマン',
							'エスファンド'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'ファルヴァルディーン',
							'オルディーベヘシュト',
							'ホルダード',
							'ティール',
							'モルダード',
							'シャハリーヴァル',
							'メフル',
							'アーバーン',
							'アーザル',
							'デイ',
							'バフマン',
							'エスファンド'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'ファルヴァルディーン',
							'オルディーベヘシュト',
							'ホルダード',
							'ティール',
							'モルダード',
							'シャハリーヴァル',
							'メフル',
							'アーバーン',
							'アーザル',
							'デイ',
							'バフマン',
							'エスファンド'
						],
						leap => [
							
						],
					},
				},
			},
	} },
);

has 'calendar_days' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
			'gregorian' => {
				'format' => {
					abbreviated => {
						mon => '月',
						tue => '火',
						wed => '水',
						thu => '木',
						fri => '金',
						sat => '土',
						sun => '日'
					},
					narrow => {
						mon => '月',
						tue => '火',
						wed => '水',
						thu => '木',
						fri => '金',
						sat => '土',
						sun => '日'
					},
					short => {
						mon => '月',
						tue => '火',
						wed => '水',
						thu => '木',
						fri => '金',
						sat => '土',
						sun => '日'
					},
					wide => {
						mon => '月曜日',
						tue => '火曜日',
						wed => '水曜日',
						thu => '木曜日',
						fri => '金曜日',
						sat => '土曜日',
						sun => '日曜日'
					},
				},
				'stand-alone' => {
					abbreviated => {
						mon => '月',
						tue => '火',
						wed => '水',
						thu => '木',
						fri => '金',
						sat => '土',
						sun => '日'
					},
					narrow => {
						mon => '月',
						tue => '火',
						wed => '水',
						thu => '木',
						fri => '金',
						sat => '土',
						sun => '日'
					},
					short => {
						mon => '月',
						tue => '火',
						wed => '水',
						thu => '木',
						fri => '金',
						sat => '土',
						sun => '日'
					},
					wide => {
						mon => '月曜日',
						tue => '火曜日',
						wed => '水曜日',
						thu => '木曜日',
						fri => '金曜日',
						sat => '土曜日',
						sun => '日曜日'
					},
				},
			},
	} },
);

has 'calendar_quarters' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
			'gregorian' => {
				'format' => {
					abbreviated => {0 => 'Q1',
						1 => 'Q2',
						2 => 'Q3',
						3 => 'Q4'
					},
					narrow => {0 => '1',
						1 => '2',
						2 => '3',
						3 => '4'
					},
					wide => {0 => '第1四半期',
						1 => '第2四半期',
						2 => '第3四半期',
						3 => '第4四半期'
					},
				},
				'stand-alone' => {
					abbreviated => {0 => 'Q1',
						1 => 'Q2',
						2 => 'Q3',
						3 => 'Q4'
					},
					narrow => {0 => '1',
						1 => '2',
						2 => '3',
						3 => '4'
					},
					wide => {0 => '第1四半期',
						1 => '第2四半期',
						2 => '第3四半期',
						3 => '第4四半期'
					},
				},
			},
	} },
);

has 'day_periods' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			'format' => {
				'narrow' => {
					'pm' => q{午後},
					'noon' => q{正午},
					'am' => q{午前},
				},
				'wide' => {
					'pm' => q{午後},
					'am' => q{午前},
					'noon' => q{正午},
				},
			},
		},
	} },
);

has 'eras' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'buddhist' => {
			abbreviated => {
				'0' => 'BE'
			},
			wide => {
				'0' => '仏暦'
			},
		},
		'chinese' => {
		},
		'coptic' => {
		},
		'dangi' => {
		},
		'ethiopic' => {
		},
		'generic' => {
		},
		'gregorian' => {
			abbreviated => {
				'0' => '紀元前',
				'1' => '西暦'
			},
			narrow => {
				'0' => 'BC',
				'1' => 'AD'
			},
			wide => {
				'0' => '紀元前',
				'1' => '西暦'
			},
		},
		'hebrew' => {
			abbreviated => {
				'0' => 'AM'
			},
		},
		'indian' => {
			abbreviated => {
				'0' => 'サカ'
			},
		},
		'islamic' => {
			abbreviated => {
				'0' => 'AH'
			},
		},
		'japanese' => {
			abbreviated => {
				'0' => '大化',
				'1' => '白雉',
				'2' => '白鳯',
				'3' => '朱鳥',
				'4' => '大宝',
				'5' => '慶雲',
				'6' => '和銅',
				'7' => '霊亀',
				'8' => '養老',
				'9' => '神亀',
				'10' => '天平',
				'11' => '天平感宝',
				'12' => '天平勝宝',
				'13' => '天平宝字',
				'14' => '天平神護',
				'15' => '神護景雲',
				'16' => '宝亀',
				'17' => '天応',
				'18' => '延暦',
				'19' => '大同',
				'20' => '弘仁',
				'21' => '天長',
				'22' => '承和',
				'23' => '嘉祥',
				'24' => '仁寿',
				'25' => '斉衡',
				'26' => '天安',
				'27' => '貞観',
				'28' => '元慶',
				'29' => '仁和',
				'30' => '寛平',
				'31' => '昌泰',
				'32' => '延喜',
				'33' => '延長',
				'34' => '承平',
				'35' => '天慶',
				'36' => '天暦',
				'37' => '天徳',
				'38' => '応和',
				'39' => '康保',
				'40' => '安和',
				'41' => '天禄',
				'42' => '天延',
				'43' => '貞元',
				'44' => '天元',
				'45' => '永観',
				'46' => '寛和',
				'47' => '永延',
				'48' => '永祚',
				'49' => '正暦',
				'50' => '長徳',
				'51' => '長保',
				'52' => '寛弘',
				'53' => '長和',
				'54' => '寛仁',
				'55' => '治安',
				'56' => '万寿',
				'57' => '長元',
				'58' => '長暦',
				'59' => '長久',
				'60' => '寛徳',
				'61' => '永承',
				'62' => '天喜',
				'63' => '康平',
				'64' => '治暦',
				'65' => '延久',
				'66' => '承保',
				'67' => '承暦',
				'68' => '永保',
				'69' => '応徳',
				'70' => '寛治',
				'71' => '嘉保',
				'72' => '永長',
				'73' => '承徳',
				'74' => '康和',
				'75' => '長治',
				'76' => '嘉承',
				'77' => '天仁',
				'78' => '天永',
				'79' => '永久',
				'80' => '元永',
				'81' => '保安',
				'82' => '天治',
				'83' => '大治',
				'84' => '天承',
				'85' => '長承',
				'86' => '保延',
				'87' => '永治',
				'88' => '康治',
				'89' => '天養',
				'90' => '久安',
				'91' => '仁平',
				'92' => '久寿',
				'93' => '保元',
				'94' => '平治',
				'95' => '永暦',
				'96' => '応保',
				'97' => '長寛',
				'98' => '永万',
				'99' => '仁安',
				'100' => '嘉応',
				'101' => '承安',
				'102' => '安元',
				'103' => '治承',
				'104' => '養和',
				'105' => '寿永',
				'106' => '元暦',
				'107' => '文治',
				'108' => '建久',
				'109' => '正治',
				'110' => '建仁',
				'111' => '元久',
				'112' => '建永',
				'113' => '承元',
				'114' => '建暦',
				'115' => '建保',
				'116' => '承久',
				'117' => '貞応',
				'118' => '元仁',
				'119' => '嘉禄',
				'120' => '安貞',
				'121' => '寛喜',
				'122' => '貞永',
				'123' => '天福',
				'124' => '文暦',
				'125' => '嘉禎',
				'126' => '暦仁',
				'127' => '延応',
				'128' => '仁治',
				'129' => '寛元',
				'130' => '宝治',
				'131' => '建長',
				'132' => '康元',
				'133' => '正嘉',
				'134' => '正元',
				'135' => '文応',
				'136' => '弘長',
				'137' => '文永',
				'138' => '建治',
				'139' => '弘安',
				'140' => '正応',
				'141' => '永仁',
				'142' => '正安',
				'143' => '乾元',
				'144' => '嘉元',
				'145' => '徳治',
				'146' => '延慶',
				'147' => '応長',
				'148' => '正和',
				'149' => '文保',
				'150' => '元応',
				'151' => '元亨',
				'152' => '正中',
				'153' => '嘉暦',
				'154' => '元徳',
				'155' => '元弘',
				'156' => '建武',
				'157' => '延元',
				'158' => '興国',
				'159' => '正平',
				'160' => '建徳',
				'161' => '文中',
				'162' => '天授',
				'163' => '康暦',
				'164' => '弘和',
				'165' => '元中',
				'166' => '至徳',
				'167' => '嘉慶',
				'168' => '康応',
				'169' => '明徳',
				'170' => '応永',
				'171' => '正長',
				'172' => '永享',
				'173' => '嘉吉',
				'174' => '文安',
				'175' => '宝徳',
				'176' => '享徳',
				'177' => '康正',
				'178' => '長禄',
				'179' => '寛正',
				'180' => '文正',
				'181' => '応仁',
				'182' => '文明',
				'183' => '長享',
				'184' => '延徳',
				'185' => '明応',
				'186' => '文亀',
				'187' => '永正',
				'188' => '大永',
				'189' => '享禄',
				'190' => '天文',
				'191' => '弘治',
				'192' => '永禄',
				'193' => '元亀',
				'194' => '天正',
				'195' => '文禄',
				'196' => '慶長',
				'197' => '元和',
				'198' => '寛永',
				'199' => '正保',
				'200' => '慶安',
				'201' => '承応',
				'202' => '明暦',
				'203' => '万治',
				'204' => '寛文',
				'205' => '延宝',
				'206' => '天和',
				'207' => '貞享',
				'208' => '元禄',
				'209' => '宝永',
				'210' => '正徳',
				'211' => '享保',
				'212' => '元文',
				'213' => '寛保',
				'214' => '延享',
				'215' => '寛延',
				'216' => '宝暦',
				'217' => '明和',
				'218' => '安永',
				'219' => '天明',
				'220' => '寛政',
				'221' => '享和',
				'222' => '文化',
				'223' => '文政',
				'224' => '天保',
				'225' => '弘化',
				'226' => '嘉永',
				'227' => '安政',
				'228' => '万延',
				'229' => '文久',
				'230' => '元治',
				'231' => '慶応',
				'232' => '明治',
				'233' => '大正',
				'234' => '昭和',
				'235' => '平成'
			},
			narrow => {
				'0' => '大化',
				'1' => '白雉',
				'2' => '白鳯',
				'3' => '朱鳥',
				'4' => '大宝',
				'5' => '慶雲',
				'6' => '和銅',
				'7' => '霊亀',
				'8' => '養老',
				'9' => '神亀',
				'10' => '天平',
				'11' => '天平感宝',
				'12' => '天平勝宝',
				'13' => '天平宝字',
				'14' => '天平神護',
				'15' => '神護景雲',
				'16' => '宝亀',
				'17' => '天応',
				'18' => '延暦',
				'19' => '大同',
				'20' => '弘仁',
				'21' => '天長',
				'22' => '承和',
				'23' => '嘉祥',
				'24' => '仁寿',
				'25' => '斉衡',
				'26' => '天安',
				'27' => '貞観',
				'28' => '元慶',
				'29' => '仁和',
				'30' => '寛平',
				'31' => '昌泰',
				'32' => '延喜',
				'33' => '延長',
				'34' => '承平',
				'35' => '天慶',
				'36' => '天暦',
				'37' => '天徳',
				'38' => '応和',
				'39' => '康保',
				'40' => '安和',
				'41' => '天禄',
				'42' => '天延',
				'43' => '貞元',
				'44' => '天元',
				'45' => '永観',
				'46' => '寛和',
				'47' => '永延',
				'48' => '永祚',
				'49' => '正暦',
				'50' => '長徳',
				'51' => '長保',
				'52' => '寛弘',
				'53' => '長和',
				'54' => '寛仁',
				'55' => '治安',
				'56' => '万寿',
				'57' => '長元',
				'58' => '長暦',
				'59' => '長久',
				'60' => '寛徳',
				'61' => '永承',
				'62' => '天喜',
				'63' => '康平',
				'64' => '治暦',
				'65' => '延久',
				'66' => '承保',
				'67' => '承暦',
				'68' => '永保',
				'69' => '応徳',
				'70' => '寛治',
				'71' => '嘉保',
				'72' => '永長',
				'73' => '承徳',
				'74' => '康和',
				'75' => '長治',
				'76' => '嘉承',
				'77' => '天仁',
				'78' => '天永',
				'79' => '永久',
				'80' => '元永',
				'81' => '保安',
				'82' => '天治',
				'83' => '大治',
				'84' => '天承',
				'85' => '長承',
				'86' => '保延',
				'87' => '永治',
				'88' => '康治',
				'89' => '天養',
				'90' => '久安',
				'91' => '仁平',
				'92' => '久寿',
				'93' => '保元',
				'94' => '平治',
				'95' => '永暦',
				'96' => '応保',
				'97' => '長寛',
				'98' => '永万',
				'99' => '仁安',
				'100' => '嘉応',
				'101' => '承安',
				'102' => '安元',
				'103' => '治承',
				'104' => '養和',
				'105' => '寿永',
				'106' => '元暦',
				'107' => '文治',
				'108' => '建久',
				'109' => '正治',
				'110' => '建仁',
				'111' => '元久',
				'112' => '建永',
				'113' => '承元',
				'114' => '建暦',
				'115' => '建保',
				'116' => '承久',
				'117' => '貞応',
				'118' => '元仁',
				'119' => '嘉禄',
				'120' => '安貞',
				'121' => '寛喜',
				'122' => '貞永',
				'123' => '天福',
				'124' => '文暦',
				'125' => '嘉禎',
				'126' => '暦仁',
				'127' => '延応',
				'128' => '仁治',
				'129' => '寛元',
				'130' => '宝治',
				'131' => '建長',
				'132' => '康元',
				'133' => '正嘉',
				'134' => '正元',
				'135' => '文応',
				'136' => '弘長',
				'137' => '文永',
				'138' => '建治',
				'139' => '弘安',
				'140' => '正応',
				'141' => '永仁',
				'142' => '正安',
				'143' => '乾元',
				'144' => '嘉元',
				'145' => '徳治',
				'146' => '延慶',
				'147' => '応長',
				'148' => '正和',
				'149' => '文保',
				'150' => '元応',
				'151' => '元亨',
				'152' => '正中',
				'153' => '嘉暦',
				'154' => '元徳',
				'155' => '元弘',
				'156' => '建武',
				'157' => '延元',
				'158' => '興国',
				'159' => '正平',
				'160' => '建徳',
				'161' => '文中',
				'162' => '天授',
				'163' => '康暦',
				'164' => '弘和',
				'165' => '元中',
				'166' => '至徳',
				'167' => '嘉慶',
				'168' => '康応',
				'169' => '明徳',
				'170' => '応永',
				'171' => '正長',
				'172' => '永享',
				'173' => '嘉吉',
				'174' => '文安',
				'175' => '宝徳',
				'176' => '享徳',
				'177' => '康正',
				'178' => '長禄',
				'179' => '寛正',
				'180' => '文正',
				'181' => '応仁',
				'182' => '文明',
				'183' => '長享',
				'184' => '延徳',
				'185' => '明応',
				'186' => '文亀',
				'187' => '永正',
				'188' => '大永',
				'189' => '享禄',
				'190' => '天文',
				'191' => '弘治',
				'192' => '永禄',
				'193' => '元亀',
				'194' => '天正',
				'195' => '文禄',
				'196' => '慶長',
				'197' => '元和',
				'198' => '寛永',
				'199' => '正保',
				'200' => '慶安',
				'201' => '承応',
				'202' => '明暦',
				'203' => '万治',
				'204' => '寛文',
				'205' => '延宝',
				'206' => '天和',
				'207' => '貞享',
				'208' => '元禄',
				'209' => '宝永',
				'210' => '正徳',
				'211' => '享保',
				'212' => '元文',
				'213' => '寛保',
				'214' => '延享',
				'215' => '寛延',
				'216' => '宝暦',
				'217' => '明和',
				'218' => '安永',
				'219' => '天明',
				'220' => '寛政',
				'221' => '享和',
				'222' => '文化',
				'223' => '文政',
				'224' => '天保',
				'225' => '弘化',
				'226' => '嘉永',
				'227' => '安政',
				'228' => '万延',
				'229' => '文久',
				'230' => '元治',
				'231' => '慶応',
				'232' => 'M',
				'233' => 'T',
				'234' => 'S',
				'235' => 'H'
			},
		},
		'persian' => {
			abbreviated => {
				'0' => 'AP'
			},
		},
		'roc' => {
			abbreviated => {
				'0' => '民国前',
				'1' => '民国'
			},
		},
	} },
);

has 'date_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'buddhist' => {
			'full' => q{GGGGy年M月d日EEEE},
			'long' => q{GGGGy年M月d日},
			'medium' => q{Gy/MM/dd},
			'short' => q{Gy/MM/dd},
		},
		'chinese' => {
			'full' => q{U年MMMd日EEEE},
			'long' => q{U年MMMd日},
			'medium' => q{U年MMMd日},
			'short' => q{U-M-d},
		},
		'coptic' => {
		},
		'dangi' => {
			'full' => q{U年MMMd日EEEE},
			'long' => q{U年MMMd日},
			'medium' => q{U年MMMd日},
			'short' => q{U-M-d},
		},
		'ethiopic' => {
		},
		'generic' => {
			'full' => q{Gy年M月d日EEEE},
			'long' => q{Gy年M月d日},
			'medium' => q{Gy/MM/dd},
			'short' => q{Gy/MM/dd},
		},
		'gregorian' => {
			'full' => q{y年M月d日EEEE},
			'long' => q{y年M月d日},
			'medium' => q{y/MM/dd},
			'short' => q{y/MM/dd},
		},
		'hebrew' => {
			'full' => q{Gy年M月d日EEEE},
			'long' => q{Gy年M月d日},
			'medium' => q{Gy/MM/dd},
			'short' => q{Gy/MM/dd},
		},
		'indian' => {
		},
		'islamic' => {
			'full' => q{Gy年M月d日EEEE},
			'long' => q{Gy年M月d日},
			'medium' => q{Gy/MM/dd},
			'short' => q{Gy/MM/dd},
		},
		'japanese' => {
			'full' => q{Gy年M月d日EEEE},
			'long' => q{Gy年M月d日},
			'medium' => q{Gy年M月d日},
			'short' => q{Gyy/MM/dd},
		},
		'persian' => {
		},
		'roc' => {
			'full' => q{Gy年M月d日EEEE},
			'long' => q{Gy年M月d日},
			'medium' => q{Gy/MM/dd},
			'short' => q{Gy/MM/dd},
		},
	} },
);

has 'time_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'buddhist' => {
		},
		'chinese' => {
		},
		'coptic' => {
		},
		'dangi' => {
		},
		'ethiopic' => {
		},
		'generic' => {
		},
		'gregorian' => {
			'full' => q{H時mm分ss秒 zzzz},
			'long' => q{H:mm:ss z},
			'medium' => q{H:mm:ss},
			'short' => q{H:mm},
		},
		'hebrew' => {
		},
		'indian' => {
		},
		'islamic' => {
		},
		'japanese' => {
		},
		'persian' => {
		},
		'roc' => {
		},
	} },
);

has 'datetime_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'buddhist' => {
		},
		'chinese' => {
		},
		'coptic' => {
		},
		'dangi' => {
		},
		'ethiopic' => {
		},
		'generic' => {
			'full' => q{{1} {0}},
			'long' => q{{1} {0}},
			'medium' => q{{1} {0}},
			'short' => q{{1} {0}},
		},
		'gregorian' => {
			'full' => q{{1} {0}},
			'long' => q{{1} {0}},
			'medium' => q{{1} {0}},
			'short' => q{{1} {0}},
		},
		'hebrew' => {
		},
		'indian' => {
		},
		'islamic' => {
		},
		'japanese' => {
			'full' => q{{1} {0}},
			'long' => q{{1} {0}},
			'medium' => q{{1} {0}},
			'short' => q{{1} {0}},
		},
		'persian' => {
		},
		'roc' => {
		},
	} },
);

has 'datetime_formats_available_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'chinese' => {
			EEEEd => q{d日EEEE},
			Ed => q{d日(E)},
			Gy => q{U年},
			GyMMM => q{U年MMM},
			GyMMMEEEEd => q{U年MMMd日EEEE},
			GyMMMEd => q{U年MMMd日(E)},
			GyMMMd => q{U年MMMd日},
			H => q{H時},
			Hm => q{H:mm},
			Hms => q{H:mm:ss},
			M => q{MMM},
			MEEEEd => q{M/dEEEE},
			MEd => q{M/d(E)},
			MMMEEEEd => q{MMMd日EEEE},
			MMMEd => q{MMMd日(E)},
			MMMd => q{MMMd日},
			Md => q{M/d},
			d => q{d日},
			h => q{aK時},
			hm => q{aK:mm},
			hms => q{aK:mm:ss},
			y => q{U年},
			yMd => q{U年M月d日},
			yyyy => q{U年},
			yyyyM => q{U年M月},
			yyyyMEEEEd => q{U年M月d日EEEE},
			yyyyMEd => q{U年M月d日(E)},
			yyyyMMM => q{U年MMM},
			yyyyMMMEEEEd => q{U年MMMd日EEEE},
			yyyyMMMEd => q{U年MMMd日(E)},
			yyyyMMMd => q{U年MMMd日},
			yyyyMd => q{U年M月d日},
			yyyyQQQ => q{U年QQQ},
			yyyyQQQQ => q{U年QQQQ},
		},
		'islamic' => {
			M => q{M月},
			MEd => q{M/d(E)},
			MMM => q{M月},
			MMMEd => q{M月d日(E)},
			MMMd => q{M月d日},
			Md => q{M/d},
			d => q{d日},
			y => q{Gy年},
		},
		'japanese' => {
			EEEEd => q{d日EEEE},
			Ed => q{d日(E)},
			Gy => q{Gy年},
			GyMMM => q{Gy年M月},
			GyMMMEEEEd => q{Gy年M月d日EEEE},
			GyMMMEd => q{Gy年M月d日(E)},
			GyMMMd => q{Gy年M月d日},
			H => q{H時},
			Hm => q{H:mm},
			Hms => q{H:mm:ss},
			M => q{M月},
			MEEEEd => q{M/dEEEE},
			MEd => q{M/d(E)},
			MMM => q{M月},
			MMMEEEEd => q{M月d日EEEE},
			MMMEd => q{M月d日(E)},
			MMMd => q{M月d日},
			Md => q{M/d},
			d => q{d日},
			h => q{aK時},
			hm => q{aK:mm},
			hms => q{aK:mm:ss},
			ms => q{mm:ss},
			y => q{Gy年},
			yyyy => q{Gy年},
			yyyyMEEEEd => q{Gy/M/dEEEE},
			yyyyMEd => q{Gy/M/d(E)},
			yyyyMM => q{Gy/MM},
			yyyyMMM => q{Gy年M月},
			yyyyMMMEEEEd => q{Gy年M月d日EEEE},
			yyyyMMMEd => q{Gy年M月d日(E)},
			yyyyMMMd => q{Gy年M月d日},
			yyyyMd => q{Gy/M/d},
		},
		'generic' => {
			EEEEd => q{d日EEEE},
			Ed => q{d日(E)},
			Gy => q{Gy年},
			GyMMM => q{Gy年M月},
			GyMMMEEEEd => q{Gy年M月d日EEEE},
			GyMMMEd => q{Gy年M月d日(E)},
			GyMMMd => q{Gy年M月d日},
			H => q{H時},
			Hm => q{H:mm},
			Hms => q{H:mm:ss},
			M => q{M月},
			MEEEEd => q{M/dEEEE},
			MEd => q{M/d(E)},
			MMM => q{M月},
			MMMEEEEd => q{M月d日EEEE},
			MMMEd => q{M月d日(E)},
			MMMd => q{M月d日},
			Md => q{M/d},
			d => q{d日},
			h => q{aK時},
			hm => q{aK:mm},
			hms => q{aK:mm:ss},
			ms => q{mm:ss},
			y => q{Gy年},
			yyyy => q{Gy年},
			yyyyM => q{Gy/M},
			yyyyMEEEEd => q{Gy/M/dEEEE},
			yyyyMEd => q{Gy/M/d(E)},
			yyyyMMM => q{Gy年M月},
			yyyyMMMEEEEd => q{Gy年M月d日EEEE},
			yyyyMMMEd => q{Gy年M月d日(E)},
			yyyyMMMd => q{Gy年M月d日},
			yyyyMd => q{Gy/M/d},
			yyyyQQQ => q{Gy/QQQ},
			yyyyQQQQ => q{GyQQQQ},
		},
		'gregorian' => {
			EEEEd => q{d日EEEE},
			EHm => q{HH 時 mm 分 (E)},
			EHms => q{HH 時 mm 分 ss 秒 (E)},
			Ed => q{d日(E)},
			Ehm => q{a K 時 mm 分 (E)},
			Ehms => q{a K 時 mm 分 ss 秒 (E)},
			Gy => q{Gy年},
			GyMMM => q{Gy年M月},
			GyMMMEEEEd => q{Gy年M月d日EEEE},
			GyMMMEd => q{Gy年M月d日(E)},
			GyMMMd => q{Gy年M月d日},
			H => q{H時},
			Hm => q{H:mm},
			Hms => q{H:mm:ss},
			M => q{M月},
			MEEEEd => q{M/dEEEE},
			MEd => q{M/d(E)},
			MMM => q{M月},
			MMMEEEEd => q{M月d日EEEE},
			MMMEd => q{M月d日(E)},
			MMMd => q{M月d日},
			Md => q{M/d},
			d => q{d日},
			h => q{aK時},
			hm => q{aK:mm},
			hms => q{aK:mm:ss},
			ms => q{mm:ss},
			y => q{y年},
			yM => q{y/M},
			yMEEEEd => q{y/M/dEEEE},
			yMEd => q{y/M/d(E)},
			yMM => q{y/MM},
			yMMM => q{y年M月},
			yMMMEEEEd => q{y年M月d日EEEE},
			yMMMEd => q{y年M月d日(E)},
			yMMMd => q{y年M月d日},
			yMd => q{y/M/d},
			yQQQ => q{y/QQQ},
			yQQQQ => q{yQQQQ},
		},
		'roc' => {
			M => q{M月},
			MEd => q{M/d(E)},
			MMM => q{M月},
			MMMEd => q{M月d日(E)},
			MMMd => q{M月d日},
			Md => q{M/d},
			d => q{d日},
			y => q{Gy年},
		},
		'buddhist' => {
			EEEEd => q{d日EEEE},
			Ed => q{d日(E)},
			Gy => q{GGGGy年},
			GyMMM => q{GGGGy年M月},
			GyMMMEEEEd => q{GGGGy年M月d日EEEE},
			GyMMMEd => q{GGGGy年M月d日(E)},
			GyMMMd => q{GGGGy年M月d日},
			GyMd => q{GGGGy年M月d日},
			H => q{H時},
			Hm => q{H:mm},
			Hms => q{H:mm:ss},
			M => q{M月},
			MEEEEd => q{M/dEEEE},
			MEd => q{M/d(E)},
			MMM => q{M月},
			MMMEEEEd => q{M月d日EEEE},
			MMMEd => q{M月d日(E)},
			MMMd => q{M月d日},
			Md => q{M/d},
			d => q{d日},
			h => q{aK時},
			hm => q{aK:mm},
			hms => q{aK:mm:ss},
			ms => q{mm:ss},
			y => q{GGGGy年},
			yyyy => q{GGGGy年},
			yyyyM => q{GGGGy年M月},
			yyyyMEEEEd => q{GGGGy年M/dEEEE},
			yyyyMEd => q{GGGGy年M/d(E)},
			yyyyMM => q{Gy/MM},
			yyyyMMM => q{GGGGy年M月},
			yyyyMMMEEEEd => q{GGGGy年M月d日EEEE},
			yyyyMMMEd => q{GGGGy年M月d日(E)},
			yyyyMMMd => q{GGGGy年M月d日},
			yyyyMd => q{Gy/M/d},
		},
	} },
);

has 'datetime_formats_append_item' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			'Timezone' => '{0} {1}',
		},
	} },
);

has 'datetime_formats_interval' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'chinese' => {
			H => {
				H => q{H時～H時},
			},
			Hm => {
				H => q{H時mm分～H時mm分},
				m => q{H時mm分～H時mm分},
			},
			Hmv => {
				H => q{H時mm分～H時mm分(v)},
				m => q{H時mm分～H時mm分(v)},
			},
			Hv => {
				H => q{H時～H時(v)},
			},
			M => {
				M => q{M月～M月},
			},
			MEd => {
				M => q{MM/dd(E)～MM/dd(E)},
				d => q{MM/dd(E)～MM/dd(E)},
			},
			MMM => {
				M => q{MMM～MMM},
			},
			MMMEd => {
				M => q{MMMd日(E)～MMMd日(E)},
				d => q{MMMd日(E)～d日(E)},
			},
			MMMM => {
				M => q{MMMM～MMMM},
			},
			MMMd => {
				M => q{MMMd日～MMMd日},
				d => q{MMMd日～d日},
			},
			Md => {
				M => q{MM/dd～MM/dd},
				d => q{MM/dd～MM/dd},
			},
			d => {
				d => q{d日～d日},
			},
			fallback => '{0}～{1}',
			h => {
				a => q{aK時～aK時},
				h => q{aK時～K時},
			},
			hm => {
				a => q{aK時mm分～aK時mm分},
				h => q{aK時mm分～K時mm分},
				m => q{aK時mm分～K時mm分},
			},
			hmv => {
				a => q{aK時mm分～aK時mm分(v)},
				h => q{aK時mm分～K時mm分(v)},
				m => q{aK時mm分～K時mm分(v)},
			},
			hv => {
				a => q{aK時～aK時(v)},
				h => q{aK時～K時(v)},
			},
			y => {
				y => q{U年～U年},
			},
			yM => {
				M => q{U/MM～U/MM},
				y => q{U/MM～U/MM},
			},
			yMEd => {
				M => q{U/MM/dd(E)～U/MM/dd(E)},
				d => q{U/MM/dd(E)～U/MM/dd(E)},
				y => q{U/MM/dd(E)～U/MM/dd(E)},
			},
			yMMM => {
				M => q{U年MMM～MMM},
				y => q{U年MMM～U年MMM},
			},
			yMMMEd => {
				M => q{U年MMMd日(E)～MMMd日(E)},
				d => q{U年MMMd日(E)～d日(E)},
				y => q{U年MMMd日(E)～U年MMMd日(E)},
			},
			yMMMM => {
				M => q{U年MMM～MMM},
				y => q{U年MMM～U年MMM},
			},
			yMMMd => {
				M => q{U年MMMd日～MMMd日},
				d => q{U年MMMd日～d日},
				y => q{U年MMMd日～U年MMMd日},
			},
			yMd => {
				M => q{U/MM/dd～U/MM/dd},
				d => q{U/MM/dd～U/MM/dd},
				y => q{U/MM/dd～U/MM/dd},
			},
		},
		'generic' => {
			H => {
				H => q{H時～H時},
			},
			Hm => {
				H => q{H時mm分～H時mm分},
				m => q{H時mm分～H時mm分},
			},
			Hmv => {
				H => q{H時mm分～H時mm分(v)},
				m => q{H時mm分～H時mm分(v)},
			},
			Hv => {
				H => q{H時～H時(v)},
			},
			M => {
				M => q{M月～M月},
			},
			MEd => {
				M => q{MM/dd(E)～MM/dd(E)},
				d => q{MM/dd(E)～MM/dd(E)},
			},
			MMM => {
				M => q{M月～M月},
			},
			MMMEd => {
				M => q{M月d日(E)～M月d日(E)},
				d => q{M月d日(E)～d日(E)},
			},
			MMMM => {
				M => q{M月～M月},
			},
			MMMd => {
				M => q{M月d日～M月d日},
				d => q{M月d日～d日},
			},
			Md => {
				M => q{MM/dd～MM/dd},
				d => q{MM/dd～MM/dd},
			},
			d => {
				d => q{d日～d日},
			},
			fallback => '{0}～{1}',
			h => {
				a => q{aK時～aK時},
				h => q{aK時～K時},
			},
			hm => {
				a => q{aK時mm分～aK時mm分},
				h => q{aK時mm分～K時mm分},
				m => q{aK時mm分～K時mm分},
			},
			hmv => {
				a => q{aK時mm分～aK時mm分(v)},
				h => q{aK時mm分～K時mm分(v)},
				m => q{aK時mm分～K時mm分(v)},
			},
			hv => {
				a => q{aK時～aK時(v)},
				h => q{aK時～K時(v)},
			},
			y => {
				y => q{Gy年～y年},
			},
			yM => {
				M => q{Gy/MM～y/MM},
				y => q{Gy/MM～y/MM},
			},
			yMEd => {
				M => q{Gy/MM/dd(E)～y/MM/dd(E)},
				d => q{Gy/MM/dd(E)～y/MM/dd(E)},
				y => q{Gy/MM/dd(E)～y/MM/dd(E)},
			},
			yMMM => {
				M => q{Gy年M月～M月},
				y => q{Gy年M月～y年M月},
			},
			yMMMEd => {
				M => q{Gy年M月d日(E)～M月d日(E)},
				d => q{Gy年M月d日(E)～d日(E)},
				y => q{Gy年M月d日(E)～y年M月d日(E)},
			},
			yMMMM => {
				M => q{Gy年M月～M月},
				y => q{Gy年M月～y年M月},
			},
			yMMMd => {
				M => q{Gy年M月d日～M月d日},
				d => q{Gy年M月d日～d日},
				y => q{Gy年M月d日～y年M月d日},
			},
			yMd => {
				M => q{Gy/MM/dd～y/MM/dd},
				d => q{Gy/MM/dd～y/MM/dd},
				y => q{Gy/MM/dd～y/MM/dd},
			},
		},
		'gregorian' => {
			H => {
				H => q{H時～H時},
			},
			Hm => {
				H => q{H時mm分～H時mm分},
				m => q{H時mm分～H時mm分},
			},
			Hmv => {
				H => q{H時mm分～H時mm分(v)},
				m => q{H時mm分～H時mm分(v)},
			},
			Hv => {
				H => q{H時～H時(v)},
			},
			M => {
				M => q{M月～M月},
			},
			MEd => {
				M => q{MM/dd(E)～MM/dd(E)},
				d => q{MM/dd(E)～MM/dd(E)},
			},
			MMM => {
				M => q{M月～M月},
			},
			MMMEd => {
				M => q{M月d日(E)～M月d日(E)},
				d => q{M月d日(E)～d日(E)},
			},
			MMMM => {
				M => q{M月～M月},
			},
			MMMd => {
				M => q{M月d日～M月d日},
				d => q{M月d日～d日},
			},
			Md => {
				M => q{MM/dd～MM/dd},
				d => q{MM/dd～MM/dd},
			},
			d => {
				d => q{d日～d日},
			},
			fallback => '{0}～{1}',
			h => {
				a => q{aK時～aK時},
				h => q{aK時～K時},
			},
			hm => {
				a => q{aK時mm分～aK時mm分},
				h => q{aK時mm分～K時mm分},
				m => q{aK時mm分～K時mm分},
			},
			hmv => {
				a => q{aK時mm分～aK時mm分(v)},
				h => q{aK時mm分～K時mm分(v)},
				m => q{aK時mm分～K時mm分(v)},
			},
			hv => {
				a => q{aK時～aK時(v)},
				h => q{aK時～K時(v)},
			},
			y => {
				y => q{y年～y年},
			},
			yM => {
				M => q{y/MM～y/MM},
				y => q{y/MM～y/MM},
			},
			yMEd => {
				M => q{y/MM/dd(E)～y/MM/dd(E)},
				d => q{y/MM/dd(E)～y/MM/dd(E)},
				y => q{y/MM/dd(E)～y/MM/dd(E)},
			},
			yMMM => {
				M => q{y年M月～M月},
				y => q{y年M月～y年M月},
			},
			yMMMEd => {
				M => q{y年M月d日(E)～M月d日(E)},
				d => q{y年M月d日(E)～d日(E)},
				y => q{y年M月d日(E)～y年M月d日(E)},
			},
			yMMMM => {
				M => q{y年M月～M月},
				y => q{y年M月～y年M月},
			},
			yMMMd => {
				M => q{y年M月d日～M月d日},
				d => q{y年M月d日～d日},
				y => q{y年M月d日～y年M月d日},
			},
			yMd => {
				M => q{y/MM/dd～y/MM/dd},
				d => q{y/MM/dd～y/MM/dd},
				y => q{y/MM/dd～y/MM/dd},
			},
		},
	} },
);

has 'time_zone_names' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default	=> sub { {
		hourFormat => q(+HH:mm;-HH:mm),
		gmtFormat => q(GMT{0}),
		gmtZeroFormat => q(GMT),
		regionFormat => q({0}時間),
		regionFormat => q({0}夏時間),
		regionFormat => q({0}標準時),
		fallbackFormat => q({1}（{0}）),
		'Acre' => {
			long => {
				'daylight' => q(アクレ夏時間),
				'generic' => q(アクレ時間),
				'standard' => q(アクレ標準時),
			},
		},
		'Afghanistan' => {
			long => {
				'standard' => q(アフガニスタン時間),
			},
		},
		'Africa/Abidjan' => {
			exemplarCity => q#アビジャン#,
		},
		'Africa/Accra' => {
			exemplarCity => q#アクラ#,
		},
		'Africa/Addis_Ababa' => {
			exemplarCity => q#アジスアベバ#,
		},
		'Africa/Algiers' => {
			exemplarCity => q#アルジェ#,
		},
		'Africa/Asmera' => {
			exemplarCity => q#アスマラ#,
		},
		'Africa/Bamako' => {
			exemplarCity => q#バマコ#,
		},
		'Africa/Bangui' => {
			exemplarCity => q#バンギ#,
		},
		'Africa/Banjul' => {
			exemplarCity => q#バンジュール#,
		},
		'Africa/Bissau' => {
			exemplarCity => q#ビサウ#,
		},
		'Africa/Blantyre' => {
			exemplarCity => q#ブランタイヤ#,
		},
		'Africa/Brazzaville' => {
			exemplarCity => q#ブラザビル#,
		},
		'Africa/Bujumbura' => {
			exemplarCity => q#ブジュンブラ#,
		},
		'Africa/Cairo' => {
			exemplarCity => q#カイロ#,
		},
		'Africa/Casablanca' => {
			exemplarCity => q#カサブランカ#,
		},
		'Africa/Ceuta' => {
			exemplarCity => q#セウタ#,
		},
		'Africa/Conakry' => {
			exemplarCity => q#コナクリ#,
		},
		'Africa/Dakar' => {
			exemplarCity => q#ダカール#,
		},
		'Africa/Dar_es_Salaam' => {
			exemplarCity => q#ダルエスサラーム#,
		},
		'Africa/Djibouti' => {
			exemplarCity => q#ジブチ#,
		},
		'Africa/Douala' => {
			exemplarCity => q#ドゥアラ#,
		},
		'Africa/El_Aaiun' => {
			exemplarCity => q#アイウン#,
		},
		'Africa/Freetown' => {
			exemplarCity => q#フリータウン#,
		},
		'Africa/Gaborone' => {
			exemplarCity => q#ハボローネ#,
		},
		'Africa/Harare' => {
			exemplarCity => q#ハラレ#,
		},
		'Africa/Johannesburg' => {
			exemplarCity => q#ヨハネスブルグ#,
		},
		'Africa/Juba' => {
			exemplarCity => q#ジュバ#,
		},
		'Africa/Kampala' => {
			exemplarCity => q#カンパラ#,
		},
		'Africa/Khartoum' => {
			exemplarCity => q#ハルツーム#,
		},
		'Africa/Kigali' => {
			exemplarCity => q#キガリ#,
		},
		'Africa/Kinshasa' => {
			exemplarCity => q#キンシャサ#,
		},
		'Africa/Lagos' => {
			exemplarCity => q#ラゴス#,
		},
		'Africa/Libreville' => {
			exemplarCity => q#リーブルヴィル#,
		},
		'Africa/Lome' => {
			exemplarCity => q#ロメ#,
		},
		'Africa/Luanda' => {
			exemplarCity => q#ルアンダ#,
		},
		'Africa/Lubumbashi' => {
			exemplarCity => q#ルブンバシ#,
		},
		'Africa/Lusaka' => {
			exemplarCity => q#ルサカ#,
		},
		'Africa/Malabo' => {
			exemplarCity => q#マラボ#,
		},
		'Africa/Maputo' => {
			exemplarCity => q#マプト#,
		},
		'Africa/Maseru' => {
			exemplarCity => q#マセル#,
		},
		'Africa/Mbabane' => {
			exemplarCity => q#ムババーネ#,
		},
		'Africa/Mogadishu' => {
			exemplarCity => q#モガディシオ#,
		},
		'Africa/Monrovia' => {
			exemplarCity => q#モンロビア#,
		},
		'Africa/Nairobi' => {
			exemplarCity => q#ナイロビ#,
		},
		'Africa/Ndjamena' => {
			exemplarCity => q#ンジャメナ#,
		},
		'Africa/Niamey' => {
			exemplarCity => q#ニアメ#,
		},
		'Africa/Nouakchott' => {
			exemplarCity => q#ヌアクショット#,
		},
		'Africa/Ouagadougou' => {
			exemplarCity => q#ワガドゥグー#,
		},
		'Africa/Porto-Novo' => {
			exemplarCity => q#ポルトノボ#,
		},
		'Africa/Sao_Tome' => {
			exemplarCity => q#サントメ#,
		},
		'Africa/Tripoli' => {
			exemplarCity => q#トリポリ#,
		},
		'Africa/Tunis' => {
			exemplarCity => q#チュニス#,
		},
		'Africa/Windhoek' => {
			exemplarCity => q#ウィントフック#,
		},
		'Africa_Central' => {
			long => {
				'standard' => q(中央アフリカ時間),
			},
		},
		'Africa_Eastern' => {
			long => {
				'standard' => q(東アフリカ時間),
			},
		},
		'Africa_Southern' => {
			long => {
				'standard' => q(南アフリカ時間),
			},
		},
		'Africa_Western' => {
			long => {
				'daylight' => q(西アフリカ夏時間),
				'generic' => q(西アフリカ時間),
				'standard' => q(西アフリカ標準時),
			},
		},
		'Alaska' => {
			long => {
				'daylight' => q(アラスカ夏時間),
				'generic' => q(アラスカ時間),
				'standard' => q(アラスカ標準時),
			},
		},
		'Almaty' => {
			long => {
				'daylight' => q(アルマトイ夏時間),
				'generic' => q(アルトマイ時間),
				'standard' => q(アルトマイ標準時),
			},
		},
		'Amazon' => {
			long => {
				'daylight' => q(アマゾン夏時間),
				'generic' => q(アマゾン時間),
				'standard' => q(アマゾン標準時),
			},
		},
		'America/Adak' => {
			exemplarCity => q#アダック#,
		},
		'America/Anchorage' => {
			exemplarCity => q#アンカレッジ#,
		},
		'America/Anguilla' => {
			exemplarCity => q#アンギラ#,
		},
		'America/Antigua' => {
			exemplarCity => q#アンティグア#,
		},
		'America/Araguaina' => {
			exemplarCity => q#アラグァイナ#,
		},
		'America/Argentina/La_Rioja' => {
			exemplarCity => q#ラリオハ#,
		},
		'America/Argentina/Rio_Gallegos' => {
			exemplarCity => q#リオガジェゴス#,
		},
		'America/Argentina/Salta' => {
			exemplarCity => q#サルタ#,
		},
		'America/Argentina/San_Juan' => {
			exemplarCity => q#サンファン#,
		},
		'America/Argentina/San_Luis' => {
			exemplarCity => q#サンルイス#,
		},
		'America/Argentina/Tucuman' => {
			exemplarCity => q#トゥクマン#,
		},
		'America/Argentina/Ushuaia' => {
			exemplarCity => q#ウシュアイア#,
		},
		'America/Aruba' => {
			exemplarCity => q#アルバ#,
		},
		'America/Asuncion' => {
			exemplarCity => q#アスンシオン#,
		},
		'America/Bahia' => {
			exemplarCity => q#バイーア#,
		},
		'America/Bahia_Banderas' => {
			exemplarCity => q#バイアバンデラ#,
		},
		'America/Barbados' => {
			exemplarCity => q#バルバドス#,
		},
		'America/Belem' => {
			exemplarCity => q#ベレン#,
		},
		'America/Belize' => {
			exemplarCity => q#ベリーズ#,
		},
		'America/Blanc-Sablon' => {
			exemplarCity => q#ブラン・サブロン#,
		},
		'America/Boa_Vista' => {
			exemplarCity => q#ボアビスタ#,
		},
		'America/Bogota' => {
			exemplarCity => q#ボゴタ#,
		},
		'America/Boise' => {
			exemplarCity => q#ボイシ#,
		},
		'America/Buenos_Aires' => {
			exemplarCity => q#ブエノスアイレス#,
		},
		'America/Cambridge_Bay' => {
			exemplarCity => q#ケンブリッジベイ#,
		},
		'America/Campo_Grande' => {
			exemplarCity => q#カンポグランデ#,
		},
		'America/Cancun' => {
			exemplarCity => q#カンクン#,
		},
		'America/Caracas' => {
			exemplarCity => q#カラカス#,
		},
		'America/Catamarca' => {
			exemplarCity => q#カタマルカ#,
		},
		'America/Cayenne' => {
			exemplarCity => q#カイエンヌ#,
		},
		'America/Cayman' => {
			exemplarCity => q#ケイマン#,
		},
		'America/Chicago' => {
			exemplarCity => q#シカゴ#,
		},
		'America/Chihuahua' => {
			exemplarCity => q#チワワ#,
		},
		'America/Coral_Harbour' => {
			exemplarCity => q#アティコカン#,
		},
		'America/Cordoba' => {
			exemplarCity => q#コルドバ#,
		},
		'America/Costa_Rica' => {
			exemplarCity => q#コスタリカ#,
		},
		'America/Creston' => {
			exemplarCity => q#クレストン#,
		},
		'America/Cuiaba' => {
			exemplarCity => q#クイアバ#,
		},
		'America/Curacao' => {
			exemplarCity => q#キュラソー#,
		},
		'America/Danmarkshavn' => {
			exemplarCity => q#デンマークシャウン#,
		},
		'America/Dawson' => {
			exemplarCity => q#ドーソン#,
		},
		'America/Dawson_Creek' => {
			exemplarCity => q#ドーソンクリーク#,
		},
		'America/Denver' => {
			exemplarCity => q#デンバー#,
		},
		'America/Detroit' => {
			exemplarCity => q#デトロイト#,
		},
		'America/Dominica' => {
			exemplarCity => q#ドミニカ#,
		},
		'America/Edmonton' => {
			exemplarCity => q#エドモントン#,
		},
		'America/Eirunepe' => {
			exemplarCity => q#エイルネペ#,
		},
		'America/El_Salvador' => {
			exemplarCity => q#エルサルバドル#,
		},
		'America/Fortaleza' => {
			exemplarCity => q#フォルタレザ#,
		},
		'America/Glace_Bay' => {
			exemplarCity => q#グレースベイ#,
		},
		'America/Godthab' => {
			exemplarCity => q#ゴッドホープ#,
		},
		'America/Goose_Bay' => {
			exemplarCity => q#グースベイ#,
		},
		'America/Grand_Turk' => {
			exemplarCity => q#グランドターク#,
		},
		'America/Grenada' => {
			exemplarCity => q#グレナダ#,
		},
		'America/Guadeloupe' => {
			exemplarCity => q#グアダループ#,
		},
		'America/Guatemala' => {
			exemplarCity => q#グアテマラ#,
		},
		'America/Guayaquil' => {
			exemplarCity => q#グアヤキル#,
		},
		'America/Guyana' => {
			exemplarCity => q#ガイアナ#,
		},
		'America/Halifax' => {
			exemplarCity => q#ハリファクス#,
		},
		'America/Havana' => {
			exemplarCity => q#ハバナ#,
		},
		'America/Hermosillo' => {
			exemplarCity => q#エルモシヨ#,
		},
		'America/Indiana/Knox' => {
			exemplarCity => q#インディアナ州ノックス#,
		},
		'America/Indiana/Marengo' => {
			exemplarCity => q#インディアナ州マレンゴ#,
		},
		'America/Indiana/Petersburg' => {
			exemplarCity => q#インディアナ州ピーターズバーグ#,
		},
		'America/Indiana/Tell_City' => {
			exemplarCity => q#インディアナ州テルシティ#,
		},
		'America/Indiana/Vevay' => {
			exemplarCity => q#インディアナ州ビベー#,
		},
		'America/Indiana/Vincennes' => {
			exemplarCity => q#インディアナ州ビンセンス#,
		},
		'America/Indiana/Winamac' => {
			exemplarCity => q#インディアナ州ウィナマック#,
		},
		'America/Indianapolis' => {
			exemplarCity => q#インディアナポリス#,
		},
		'America/Inuvik' => {
			exemplarCity => q#イヌヴィク#,
		},
		'America/Iqaluit' => {
			exemplarCity => q#イカルイット#,
		},
		'America/Jamaica' => {
			exemplarCity => q#ジャマイカ#,
		},
		'America/Jujuy' => {
			exemplarCity => q#フフイ#,
		},
		'America/Juneau' => {
			exemplarCity => q#ジュノー#,
		},
		'America/Kentucky/Monticello' => {
			exemplarCity => q#ケンタッキー州モンティチェロ#,
		},
		'America/Kralendijk' => {
			exemplarCity => q#クラレンダイク#,
		},
		'America/La_Paz' => {
			exemplarCity => q#ラパス#,
		},
		'America/Lima' => {
			exemplarCity => q#リマ#,
		},
		'America/Los_Angeles' => {
			exemplarCity => q#ロサンゼルス#,
		},
		'America/Louisville' => {
			exemplarCity => q#ルイビル#,
		},
		'America/Lower_Princes' => {
			exemplarCity => q#ローワー・プリンセズ・クウォーター#,
		},
		'America/Maceio' => {
			exemplarCity => q#マセイオ#,
		},
		'America/Managua' => {
			exemplarCity => q#マナグア#,
		},
		'America/Manaus' => {
			exemplarCity => q#マナウス#,
		},
		'America/Marigot' => {
			exemplarCity => q#マリゴ#,
		},
		'America/Martinique' => {
			exemplarCity => q#マルティニーク#,
		},
		'America/Matamoros' => {
			exemplarCity => q#マタモロス#,
		},
		'America/Mazatlan' => {
			exemplarCity => q#マサトラン#,
		},
		'America/Mendoza' => {
			exemplarCity => q#メンドーサ#,
		},
		'America/Menominee' => {
			exemplarCity => q#メノミニー#,
		},
		'America/Merida' => {
			exemplarCity => q#メリダ#,
		},
		'America/Metlakatla' => {
			exemplarCity => q#メトラカトラ#,
		},
		'America/Mexico_City' => {
			exemplarCity => q#メキシコシティー#,
		},
		'America/Miquelon' => {
			exemplarCity => q#ミクロン島#,
		},
		'America/Moncton' => {
			exemplarCity => q#モンクトン#,
		},
		'America/Monterrey' => {
			exemplarCity => q#モンテレイ#,
		},
		'America/Montevideo' => {
			exemplarCity => q#モンテビデオ#,
		},
		'America/Montserrat' => {
			exemplarCity => q#モントセラト#,
		},
		'America/Nassau' => {
			exemplarCity => q#ナッソー#,
		},
		'America/New_York' => {
			exemplarCity => q#ニューヨーク#,
		},
		'America/Nipigon' => {
			exemplarCity => q#ニピゴン#,
		},
		'America/Nome' => {
			exemplarCity => q#ノーム#,
		},
		'America/Noronha' => {
			exemplarCity => q#ノローニャ#,
		},
		'America/North_Dakota/Beulah' => {
			exemplarCity => q#ノースダコタ州ビューラー#,
		},
		'America/North_Dakota/Center' => {
			exemplarCity => q#ノースダコタ州センター#,
		},
		'America/North_Dakota/New_Salem' => {
			exemplarCity => q#ノースダコタ州ニューセーラム#,
		},
		'America/Ojinaga' => {
			exemplarCity => q#オヒナガ#,
		},
		'America/Panama' => {
			exemplarCity => q#パナマ#,
		},
		'America/Pangnirtung' => {
			exemplarCity => q#パンナータング#,
		},
		'America/Paramaribo' => {
			exemplarCity => q#パラマリボ#,
		},
		'America/Phoenix' => {
			exemplarCity => q#フェニックス#,
		},
		'America/Port-au-Prince' => {
			exemplarCity => q#ポルトープランス#,
		},
		'America/Port_of_Spain' => {
			exemplarCity => q#ポートオブスペイン#,
		},
		'America/Porto_Velho' => {
			exemplarCity => q#ポルトベーリョ#,
		},
		'America/Puerto_Rico' => {
			exemplarCity => q#プエルトリコ#,
		},
		'America/Rainy_River' => {
			exemplarCity => q#レイニーリバー#,
		},
		'America/Rankin_Inlet' => {
			exemplarCity => q#ランキンインレット#,
		},
		'America/Recife' => {
			exemplarCity => q#レシフェ#,
		},
		'America/Regina' => {
			exemplarCity => q#レジャイナ#,
		},
		'America/Resolute' => {
			exemplarCity => q#レゾリュート#,
		},
		'America/Rio_Branco' => {
			exemplarCity => q#リオブランコ#,
		},
		'America/Santa_Isabel' => {
			exemplarCity => q#サンタイサベル#,
		},
		'America/Santarem' => {
			exemplarCity => q#サンタレム#,
		},
		'America/Santiago' => {
			exemplarCity => q#サンチアゴ#,
		},
		'America/Santo_Domingo' => {
			exemplarCity => q#サントドミンゴ#,
		},
		'America/Sao_Paulo' => {
			exemplarCity => q#サンパウロ#,
		},
		'America/Scoresbysund' => {
			exemplarCity => q#スコルズビスーン#,
		},
		'America/Sitka' => {
			exemplarCity => q#シトカ#,
		},
		'America/St_Barthelemy' => {
			exemplarCity => q#サン・バルテルミー#,
		},
		'America/St_Johns' => {
			exemplarCity => q#セントジョンズ#,
		},
		'America/St_Kitts' => {
			exemplarCity => q#セントキッツ#,
		},
		'America/St_Lucia' => {
			exemplarCity => q#セントルシア#,
		},
		'America/St_Thomas' => {
			exemplarCity => q#セントトーマス#,
		},
		'America/St_Vincent' => {
			exemplarCity => q#セントビンセント#,
		},
		'America/Swift_Current' => {
			exemplarCity => q#スウィフトカレント#,
		},
		'America/Tegucigalpa' => {
			exemplarCity => q#テグシガルパ#,
		},
		'America/Thule' => {
			exemplarCity => q#チューレ#,
		},
		'America/Thunder_Bay' => {
			exemplarCity => q#サンダーベイ#,
		},
		'America/Tijuana' => {
			exemplarCity => q#ティフアナ#,
		},
		'America/Toronto' => {
			exemplarCity => q#トロント#,
		},
		'America/Tortola' => {
			exemplarCity => q#トルトーラ#,
		},
		'America/Vancouver' => {
			exemplarCity => q#バンクーバー#,
		},
		'America/Whitehorse' => {
			exemplarCity => q#ホワイトホース#,
		},
		'America/Winnipeg' => {
			exemplarCity => q#ウィニペグ#,
		},
		'America/Yakutat' => {
			exemplarCity => q#ヤクタット#,
		},
		'America/Yellowknife' => {
			exemplarCity => q#イエローナイフ#,
		},
		'America_Central' => {
			long => {
				'daylight' => q(アメリカ中部夏時間),
				'generic' => q(アメリカ中部時間),
				'standard' => q(アメリカ中部標準時),
			},
		},
		'America_Eastern' => {
			long => {
				'daylight' => q(アメリカ東部夏時間),
				'generic' => q(アメリカ東部時間),
				'standard' => q(アメリカ東部標準時),
			},
		},
		'America_Mountain' => {
			long => {
				'daylight' => q(アメリカ山地夏時間),
				'generic' => q(アメリカ山地時間),
				'standard' => q(アメリカ山地標準時),
			},
		},
		'America_Pacific' => {
			long => {
				'daylight' => q(アメリカ太平洋夏時間),
				'generic' => q(アメリカ太平洋時間),
				'standard' => q(アメリカ太平洋標準時),
			},
		},
		'Anadyr' => {
			long => {
				'daylight' => q(アナディリ夏時間),
				'generic' => q(アナディリ時間),
				'standard' => q(アナディリ標準時),
			},
		},
		'Antarctica/Casey' => {
			exemplarCity => q#ケーシー基地#,
		},
		'Antarctica/Davis' => {
			exemplarCity => q#デービス基地#,
		},
		'Antarctica/DumontDUrville' => {
			exemplarCity => q#デュモン・デュルビル基地#,
		},
		'Antarctica/Macquarie' => {
			exemplarCity => q#マッコリー#,
		},
		'Antarctica/Mawson' => {
			exemplarCity => q#モーソン基地#,
		},
		'Antarctica/McMurdo' => {
			exemplarCity => q#マクマード基地#,
		},
		'Antarctica/Palmer' => {
			exemplarCity => q#パーマー基地#,
		},
		'Antarctica/Rothera' => {
			exemplarCity => q#ロゼラ基地#,
		},
		'Antarctica/Syowa' => {
			exemplarCity => q#昭和基地#,
		},
		'Antarctica/Vostok' => {
			exemplarCity => q#ボストーク基地#,
		},
		'Aqtau' => {
			long => {
				'daylight' => q(アクタウ夏時間),
				'generic' => q(アクタウ時間),
				'standard' => q(アクタウ標準時),
			},
		},
		'Aqtobe' => {
			long => {
				'daylight' => q(アクトベ夏時間),
				'generic' => q(アクトベ時間),
				'standard' => q(アクトベ標準時),
			},
		},
		'Arabian' => {
			long => {
				'daylight' => q(アラビア夏時間),
				'generic' => q(アラビア時間),
				'standard' => q(アラビア標準時),
			},
		},
		'Arctic/Longyearbyen' => {
			exemplarCity => q#ロングイェールビーン#,
		},
		'Argentina' => {
			long => {
				'daylight' => q(アルゼンチン夏時間),
				'generic' => q(アルゼンチン時間),
				'standard' => q(アルゼンチン標準時),
			},
		},
		'Argentina_Western' => {
			long => {
				'daylight' => q(西部アルゼンチン夏時間),
				'generic' => q(西部アルゼンチン時間),
				'standard' => q(西部アルゼンチン標準時),
			},
		},
		'Armenia' => {
			long => {
				'daylight' => q(アルメニア夏時間),
				'generic' => q(アルメニア時間),
				'standard' => q(アルメニア標準時),
			},
		},
		'Asia/Aden' => {
			exemplarCity => q#アデン#,
		},
		'Asia/Almaty' => {
			exemplarCity => q#アルマトイ#,
		},
		'Asia/Amman' => {
			exemplarCity => q#アンマン#,
		},
		'Asia/Anadyr' => {
			exemplarCity => q#アナディリ#,
		},
		'Asia/Aqtau' => {
			exemplarCity => q#アクタウ#,
		},
		'Asia/Aqtobe' => {
			exemplarCity => q#アクトベ#,
		},
		'Asia/Ashgabat' => {
			exemplarCity => q#アシガバード#,
		},
		'Asia/Baghdad' => {
			exemplarCity => q#バグダッド#,
		},
		'Asia/Bahrain' => {
			exemplarCity => q#バーレーン#,
		},
		'Asia/Baku' => {
			exemplarCity => q#バクー#,
		},
		'Asia/Bangkok' => {
			exemplarCity => q#バンコク#,
		},
		'Asia/Beirut' => {
			exemplarCity => q#ベイルート#,
		},
		'Asia/Bishkek' => {
			exemplarCity => q#ビシュケク#,
		},
		'Asia/Brunei' => {
			exemplarCity => q#ブルネイ#,
		},
		'Asia/Calcutta' => {
			exemplarCity => q#コルカタ#,
		},
		'Asia/Choibalsan' => {
			exemplarCity => q#チョイバルサン#,
		},
		'Asia/Chongqing' => {
			exemplarCity => q#重慶#,
		},
		'Asia/Colombo' => {
			exemplarCity => q#コロンボ#,
		},
		'Asia/Damascus' => {
			exemplarCity => q#ダマスカス#,
		},
		'Asia/Dhaka' => {
			exemplarCity => q#ダッカ#,
		},
		'Asia/Dili' => {
			exemplarCity => q#ディリ#,
		},
		'Asia/Dubai' => {
			exemplarCity => q#ドバイ#,
		},
		'Asia/Dushanbe' => {
			exemplarCity => q#ドゥシャンベ#,
		},
		'Asia/Gaza' => {
			exemplarCity => q#ガザ#,
		},
		'Asia/Harbin' => {
			exemplarCity => q#ハルビン#,
		},
		'Asia/Hebron' => {
			exemplarCity => q#ヘブロン#,
		},
		'Asia/Hong_Kong' => {
			exemplarCity => q#香港#,
		},
		'Asia/Hovd' => {
			exemplarCity => q#ホブド#,
		},
		'Asia/Irkutsk' => {
			exemplarCity => q#イルクーツク#,
		},
		'Asia/Jakarta' => {
			exemplarCity => q#ジャカルタ#,
		},
		'Asia/Jayapura' => {
			exemplarCity => q#ジャヤプラ#,
		},
		'Asia/Jerusalem' => {
			exemplarCity => q#エルサレム#,
		},
		'Asia/Kabul' => {
			exemplarCity => q#カブール#,
		},
		'Asia/Kamchatka' => {
			exemplarCity => q#カムチャッカ#,
		},
		'Asia/Karachi' => {
			exemplarCity => q#カラチ#,
		},
		'Asia/Kashgar' => {
			exemplarCity => q#カシュガル#,
		},
		'Asia/Katmandu' => {
			exemplarCity => q#カトマンズ#,
		},
		'Asia/Khandyga' => {
			exemplarCity => q#ハンドゥイガ#,
		},
		'Asia/Krasnoyarsk' => {
			exemplarCity => q#クラスノヤルスク#,
		},
		'Asia/Kuala_Lumpur' => {
			exemplarCity => q#クアラルンプール#,
		},
		'Asia/Kuching' => {
			exemplarCity => q#クチン#,
		},
		'Asia/Kuwait' => {
			exemplarCity => q#クウェート#,
		},
		'Asia/Macau' => {
			exemplarCity => q#マカオ#,
		},
		'Asia/Magadan' => {
			exemplarCity => q#マガダン#,
		},
		'Asia/Makassar' => {
			exemplarCity => q#マカッサル#,
		},
		'Asia/Manila' => {
			exemplarCity => q#マニラ#,
		},
		'Asia/Muscat' => {
			exemplarCity => q#マスカット#,
		},
		'Asia/Nicosia' => {
			exemplarCity => q#ニコシア#,
		},
		'Asia/Novokuznetsk' => {
			exemplarCity => q#ノヴォクズネツク#,
		},
		'Asia/Novosibirsk' => {
			exemplarCity => q#ノヴォシビルスク#,
		},
		'Asia/Omsk' => {
			exemplarCity => q#オムスク#,
		},
		'Asia/Oral' => {
			exemplarCity => q#オラル#,
		},
		'Asia/Phnom_Penh' => {
			exemplarCity => q#プノンペン#,
		},
		'Asia/Pontianak' => {
			exemplarCity => q#ポンティアナック#,
		},
		'Asia/Pyongyang' => {
			exemplarCity => q#平壌#,
		},
		'Asia/Qatar' => {
			exemplarCity => q#カタール#,
		},
		'Asia/Qyzylorda' => {
			exemplarCity => q#クズロルダ#,
		},
		'Asia/Rangoon' => {
			exemplarCity => q#ラングーン#,
		},
		'Asia/Riyadh' => {
			exemplarCity => q#リヤド#,
		},
		'Asia/Saigon' => {
			exemplarCity => q#ホーチミン#,
		},
		'Asia/Sakhalin' => {
			exemplarCity => q#サハリン#,
		},
		'Asia/Samarkand' => {
			exemplarCity => q#サマルカンド#,
		},
		'Asia/Seoul' => {
			exemplarCity => q#ソウル#,
		},
		'Asia/Shanghai' => {
			exemplarCity => q#上海#,
		},
		'Asia/Singapore' => {
			exemplarCity => q#シンガポール#,
		},
		'Asia/Taipei' => {
			exemplarCity => q#台北#,
		},
		'Asia/Tashkent' => {
			exemplarCity => q#タシケント#,
		},
		'Asia/Tbilisi' => {
			exemplarCity => q#トビリシ#,
		},
		'Asia/Tehran' => {
			exemplarCity => q#テヘラン#,
		},
		'Asia/Thimphu' => {
			exemplarCity => q#ティンプー#,
		},
		'Asia/Tokyo' => {
			exemplarCity => q#東京#,
		},
		'Asia/Ulaanbaatar' => {
			exemplarCity => q#ウランバートル#,
		},
		'Asia/Urumqi' => {
			exemplarCity => q#ウルムチ#,
		},
		'Asia/Ust-Nera' => {
			exemplarCity => q#ウスチネラ#,
		},
		'Asia/Vientiane' => {
			exemplarCity => q#ビエンチャン#,
		},
		'Asia/Vladivostok' => {
			exemplarCity => q#ウラジオストク#,
		},
		'Asia/Yakutsk' => {
			exemplarCity => q#ヤクーツク#,
		},
		'Asia/Yekaterinburg' => {
			exemplarCity => q#エカテリンブルグ#,
		},
		'Asia/Yerevan' => {
			exemplarCity => q#エレバン#,
		},
		'Atlantic' => {
			long => {
				'daylight' => q(大西洋夏時間),
				'generic' => q(大西洋時間),
				'standard' => q(大西洋標準時),
			},
		},
		'Atlantic/Azores' => {
			exemplarCity => q#アゾレス#,
		},
		'Atlantic/Bermuda' => {
			exemplarCity => q#バミューダ#,
		},
		'Atlantic/Canary' => {
			exemplarCity => q#カナリア#,
		},
		'Atlantic/Cape_Verde' => {
			exemplarCity => q#カーボベルデ#,
		},
		'Atlantic/Faeroe' => {
			exemplarCity => q#フェロー#,
		},
		'Atlantic/Madeira' => {
			exemplarCity => q#マデイラ#,
		},
		'Atlantic/Reykjavik' => {
			exemplarCity => q#レイキャビク#,
		},
		'Atlantic/South_Georgia' => {
			exemplarCity => q#サウスジョージア#,
		},
		'Atlantic/St_Helena' => {
			exemplarCity => q#セントヘレナ#,
		},
		'Atlantic/Stanley' => {
			exemplarCity => q#スタンレー#,
		},
		'Australia/Adelaide' => {
			exemplarCity => q#アデレード#,
		},
		'Australia/Brisbane' => {
			exemplarCity => q#ブリスベン#,
		},
		'Australia/Broken_Hill' => {
			exemplarCity => q#ブロークンヒル#,
		},
		'Australia/Currie' => {
			exemplarCity => q#カリー#,
		},
		'Australia/Darwin' => {
			exemplarCity => q#ダーウィン#,
		},
		'Australia/Eucla' => {
			exemplarCity => q#ユークラ#,
		},
		'Australia/Hobart' => {
			exemplarCity => q#ホバート#,
		},
		'Australia/Lindeman' => {
			exemplarCity => q#リンデマン#,
		},
		'Australia/Lord_Howe' => {
			exemplarCity => q#ロードハウ#,
		},
		'Australia/Melbourne' => {
			exemplarCity => q#メルボルン#,
		},
		'Australia/Perth' => {
			exemplarCity => q#パース#,
		},
		'Australia/Sydney' => {
			exemplarCity => q#シドニー#,
		},
		'Australia_Central' => {
			long => {
				'daylight' => q(オーストラリア中部夏時間),
				'generic' => q(オーストラリア中部時間),
				'standard' => q(オーストラリア中部標準時),
			},
		},
		'Australia_CentralWestern' => {
			long => {
				'daylight' => q(オーストラリア中西部夏時間),
				'generic' => q(オーストラリア中西部時間),
				'standard' => q(オーストラリア中西部標準時),
			},
		},
		'Australia_Eastern' => {
			long => {
				'daylight' => q(オーストラリア東部夏時間),
				'generic' => q(オーストラリア東部時間),
				'standard' => q(オーストラリア東部標準時),
			},
		},
		'Australia_Western' => {
			long => {
				'daylight' => q(オーストラリア西部夏時間),
				'generic' => q(オーストラリア西部時間),
				'standard' => q(オーストラリア西部標準時),
			},
		},
		'Azerbaijan' => {
			long => {
				'daylight' => q(アゼルバイジャン夏時間),
				'generic' => q(アゼルバイジャン時間),
				'standard' => q(アゼルバイジャン標準時),
			},
		},
		'Azores' => {
			long => {
				'daylight' => q(アゾレス夏時間),
				'generic' => q(アゾレス時間),
				'standard' => q(アゾレス標準時),
			},
		},
		'Bangladesh' => {
			long => {
				'daylight' => q(バングラデシュ夏時間),
				'generic' => q(バングラデシュ時間),
				'standard' => q(バングラデシュ標準時),
			},
		},
		'Bhutan' => {
			long => {
				'standard' => q(ブータン時間),
			},
		},
		'Bolivia' => {
			long => {
				'standard' => q(ボリビア時間),
			},
		},
		'Brasilia' => {
			long => {
				'daylight' => q(ブラジリア夏時間),
				'generic' => q(ブラジリア時間),
				'standard' => q(ブラジリア標準時),
			},
		},
		'Brunei' => {
			long => {
				'standard' => q(ブルネイ・ダルサラーム時間),
			},
		},
		'Cape_Verde' => {
			long => {
				'daylight' => q(カーボベルデ夏時間),
				'generic' => q(カーボベルデ時間),
				'standard' => q(カーボベルデ標準時),
			},
		},
		'Casey' => {
			long => {
				'standard' => q(ケイシー基地時間),
			},
		},
		'Chamorro' => {
			long => {
				'standard' => q(チャモロ時間),
			},
		},
		'Chatham' => {
			long => {
				'daylight' => q(チャタム夏時間),
				'generic' => q(チャタム時間),
				'standard' => q(チャタム標準時),
			},
		},
		'Chile' => {
			long => {
				'daylight' => q(チリ夏時間),
				'generic' => q(チリ時間),
				'standard' => q(チリ標準時),
			},
		},
		'China' => {
			long => {
				'daylight' => q(中国夏時間),
				'generic' => q(中国時間),
				'standard' => q(中国標準時),
			},
		},
		'Choibalsan' => {
			long => {
				'daylight' => q(チョイバルサン夏時間),
				'generic' => q(チョイバルサン時間),
				'standard' => q(チョイバルサン標準時),
			},
		},
		'Christmas' => {
			long => {
				'standard' => q(クリスマス島時間),
			},
		},
		'Cocos' => {
			long => {
				'standard' => q(ココス諸島時間),
			},
		},
		'Colombia' => {
			long => {
				'daylight' => q(コロンビア夏時間),
				'generic' => q(コロンビア時間),
				'standard' => q(コロンビア標準時),
			},
		},
		'Cook' => {
			long => {
				'daylight' => q(クック諸島夏時間),
				'generic' => q(クック諸島時間),
				'standard' => q(クック諸島標準時),
			},
		},
		'Cuba' => {
			long => {
				'daylight' => q(キューバ夏時間),
				'generic' => q(キューバ時間),
				'standard' => q(キューバ標準時),
			},
		},
		'Davis' => {
			long => {
				'standard' => q(デービス基地時間),
			},
		},
		'DumontDUrville' => {
			long => {
				'standard' => q(デュモン・デュルヴィル基地時間),
			},
		},
		'East_Timor' => {
			long => {
				'standard' => q(東ティモール時間),
			},
		},
		'Easter' => {
			long => {
				'daylight' => q(イースター島夏時間),
				'generic' => q(イースター島時間),
				'standard' => q(イースター島標準時),
			},
		},
		'Ecuador' => {
			long => {
				'standard' => q(エクアドル時間),
			},
		},
		'Etc/Unknown' => {
			exemplarCity => q#地域不明#,
		},
		'Europe/Amsterdam' => {
			exemplarCity => q#アムステルダム#,
		},
		'Europe/Andorra' => {
			exemplarCity => q#アンドラ#,
		},
		'Europe/Athens' => {
			exemplarCity => q#アテネ#,
		},
		'Europe/Belgrade' => {
			exemplarCity => q#ベオグラード#,
		},
		'Europe/Berlin' => {
			exemplarCity => q#ベルリン#,
		},
		'Europe/Bratislava' => {
			exemplarCity => q#ブラチスラバ#,
		},
		'Europe/Brussels' => {
			exemplarCity => q#ブリュッセル#,
		},
		'Europe/Bucharest' => {
			exemplarCity => q#ブカレスト#,
		},
		'Europe/Budapest' => {
			exemplarCity => q#ブダペスト#,
		},
		'Europe/Busingen' => {
			exemplarCity => q#ビュージンゲン#,
		},
		'Europe/Chisinau' => {
			exemplarCity => q#キシナウ#,
		},
		'Europe/Copenhagen' => {
			exemplarCity => q#コペンハーゲン#,
		},
		'Europe/Dublin' => {
			exemplarCity => q#ダブリン#,
			long => {
				'daylight' => q(アイルランド夏時間),
			},
		},
		'Europe/Gibraltar' => {
			exemplarCity => q#ジブラルタル#,
		},
		'Europe/Guernsey' => {
			exemplarCity => q#ガーンジー#,
		},
		'Europe/Helsinki' => {
			exemplarCity => q#ヘルシンキ#,
		},
		'Europe/Isle_of_Man' => {
			exemplarCity => q#マン島#,
		},
		'Europe/Istanbul' => {
			exemplarCity => q#イスタンブール#,
		},
		'Europe/Jersey' => {
			exemplarCity => q#ジャージー#,
		},
		'Europe/Kaliningrad' => {
			exemplarCity => q#カリーニングラード#,
		},
		'Europe/Kiev' => {
			exemplarCity => q#キエフ#,
		},
		'Europe/Lisbon' => {
			exemplarCity => q#リスボン#,
		},
		'Europe/Ljubljana' => {
			exemplarCity => q#リュブリャナ#,
		},
		'Europe/London' => {
			exemplarCity => q#ロンドン#,
			long => {
				'daylight' => q(英国夏時間),
			},
		},
		'Europe/Luxembourg' => {
			exemplarCity => q#ルクセンブルグ#,
		},
		'Europe/Madrid' => {
			exemplarCity => q#マドリード#,
		},
		'Europe/Malta' => {
			exemplarCity => q#マルタ#,
		},
		'Europe/Mariehamn' => {
			exemplarCity => q#マリエハムン#,
		},
		'Europe/Minsk' => {
			exemplarCity => q#ミンスク#,
		},
		'Europe/Monaco' => {
			exemplarCity => q#モナコ#,
		},
		'Europe/Moscow' => {
			exemplarCity => q#モスクワ#,
		},
		'Europe/Oslo' => {
			exemplarCity => q#オスロ#,
		},
		'Europe/Paris' => {
			exemplarCity => q#パリ#,
		},
		'Europe/Podgorica' => {
			exemplarCity => q#ポドゴリツァ#,
		},
		'Europe/Prague' => {
			exemplarCity => q#プラハ#,
		},
		'Europe/Riga' => {
			exemplarCity => q#リガ#,
		},
		'Europe/Rome' => {
			exemplarCity => q#ローマ#,
		},
		'Europe/Samara' => {
			exemplarCity => q#サマラ#,
		},
		'Europe/San_Marino' => {
			exemplarCity => q#サンマリノ#,
		},
		'Europe/Sarajevo' => {
			exemplarCity => q#サラエボ#,
		},
		'Europe/Simferopol' => {
			exemplarCity => q#シンフェロポリ#,
		},
		'Europe/Skopje' => {
			exemplarCity => q#スコピエ#,
		},
		'Europe/Sofia' => {
			exemplarCity => q#ソフィア#,
		},
		'Europe/Stockholm' => {
			exemplarCity => q#ストックホルム#,
		},
		'Europe/Tallinn' => {
			exemplarCity => q#タリン#,
		},
		'Europe/Tirane' => {
			exemplarCity => q#ティラナ#,
		},
		'Europe/Uzhgorod' => {
			exemplarCity => q#ウージュホロド#,
		},
		'Europe/Vaduz' => {
			exemplarCity => q#ファドゥーツ#,
		},
		'Europe/Vatican' => {
			exemplarCity => q#バチカン#,
		},
		'Europe/Vienna' => {
			exemplarCity => q#ウィーン#,
		},
		'Europe/Vilnius' => {
			exemplarCity => q#ヴィリニュス#,
		},
		'Europe/Volgograd' => {
			exemplarCity => q#ボルゴグラード#,
		},
		'Europe/Warsaw' => {
			exemplarCity => q#ワルシャワ#,
		},
		'Europe/Zagreb' => {
			exemplarCity => q#ザグレブ#,
		},
		'Europe/Zaporozhye' => {
			exemplarCity => q#ザポリージャ#,
		},
		'Europe/Zurich' => {
			exemplarCity => q#チューリッヒ#,
		},
		'Europe_Central' => {
			long => {
				'daylight' => q(中央ヨーロッパ夏時間),
				'generic' => q(中央ヨーロッパ時間),
				'standard' => q(中央ヨーロッパ標準時),
			},
		},
		'Europe_Eastern' => {
			long => {
				'daylight' => q(東ヨーロッパ夏時間),
				'generic' => q(東ヨーロッパ時間),
				'standard' => q(東ヨーロッパ標準時),
			},
		},
		'Europe_Western' => {
			long => {
				'daylight' => q(西ヨーロッパ夏時間),
				'generic' => q(西ヨーロッパ時間),
				'standard' => q(西ヨーロッパ標準時),
			},
		},
		'Falkland' => {
			long => {
				'daylight' => q(フォークランド諸島夏時間),
				'generic' => q(フォークランド諸島時間),
				'standard' => q(フォークランド諸島標準時),
			},
		},
		'Fiji' => {
			long => {
				'daylight' => q(フィジー夏時間),
				'generic' => q(フィジー時間),
				'standard' => q(フィジー標準時),
			},
		},
		'French_Guiana' => {
			long => {
				'standard' => q(仏領ギアナ時間),
			},
		},
		'French_Southern' => {
			long => {
				'standard' => q(仏領南方南極時間),
			},
		},
		'GMT' => {
			long => {
				'standard' => q(グリニッジ標準時),
			},
		},
		'Galapagos' => {
			long => {
				'standard' => q(ガラパゴス時間),
			},
		},
		'Gambier' => {
			long => {
				'standard' => q(ガンビエ諸島時間),
			},
		},
		'Georgia' => {
			long => {
				'daylight' => q(グルジア夏時間),
				'generic' => q(グルジア時間),
				'standard' => q(グルジア標準時),
			},
		},
		'Gilbert_Islands' => {
			long => {
				'standard' => q(ギルバート諸島時間),
			},
		},
		'Greenland_Eastern' => {
			long => {
				'daylight' => q(グリーンランド東部夏時間),
				'generic' => q(グリーンランド東部時間),
				'standard' => q(グリーンランド東部標準時),
			},
		},
		'Greenland_Western' => {
			long => {
				'daylight' => q(グリーンランド西部夏時間),
				'generic' => q(グリーンランド西部時間),
				'standard' => q(グリーンランド西部標準時),
			},
		},
		'Guam' => {
			long => {
				'standard' => q(グアム時間),
			},
		},
		'Gulf' => {
			long => {
				'standard' => q(湾岸時間),
			},
		},
		'Guyana' => {
			long => {
				'standard' => q(ガイアナ時間),
			},
		},
		'Hawaii_Aleutian' => {
			long => {
				'daylight' => q(ハワイ・アリューシャン夏時間),
				'generic' => q(ハワイ・アリューシャン時間),
				'standard' => q(ハワイ・アリューシャン標準時),
			},
		},
		'Hong_Kong' => {
			long => {
				'daylight' => q(香港夏時間),
				'generic' => q(香港時間),
				'standard' => q(香港標準時),
			},
		},
		'Hovd' => {
			long => {
				'daylight' => q(ホブド夏時間),
				'generic' => q(ホブド時間),
				'standard' => q(ホブド標準時),
			},
		},
		'India' => {
			long => {
				'standard' => q(インド時間),
			},
		},
		'Indian/Antananarivo' => {
			exemplarCity => q#アンタナナリボ#,
		},
		'Indian/Chagos' => {
			exemplarCity => q#チャゴス#,
		},
		'Indian/Christmas' => {
			exemplarCity => q#クリスマス島#,
		},
		'Indian/Cocos' => {
			exemplarCity => q#ココス諸島#,
		},
		'Indian/Comoro' => {
			exemplarCity => q#コモロ#,
		},
		'Indian/Kerguelen' => {
			exemplarCity => q#ケルゲレン諸島#,
		},
		'Indian/Mahe' => {
			exemplarCity => q#マヘ#,
		},
		'Indian/Maldives' => {
			exemplarCity => q#モルディブ#,
		},
		'Indian/Mauritius' => {
			exemplarCity => q#モーリシャス#,
		},
		'Indian/Mayotte' => {
			exemplarCity => q#マヨット#,
		},
		'Indian/Reunion' => {
			exemplarCity => q#レユニオン#,
		},
		'Indian_Ocean' => {
			long => {
				'standard' => q(インド洋時間),
			},
		},
		'Indochina' => {
			long => {
				'standard' => q(インドシナ時間),
			},
		},
		'Indonesia_Central' => {
			long => {
				'standard' => q(インドネシア中部時間),
			},
		},
		'Indonesia_Eastern' => {
			long => {
				'standard' => q(インドネシア東部時間),
			},
		},
		'Indonesia_Western' => {
			long => {
				'standard' => q(インドネシア西部時間),
			},
		},
		'Iran' => {
			long => {
				'daylight' => q(イラン夏時間),
				'generic' => q(イラン時間),
				'standard' => q(イラン標準時),
			},
		},
		'Irkutsk' => {
			long => {
				'daylight' => q(イルクーツク夏時間),
				'generic' => q(イルクーツク時間),
				'standard' => q(イルクーツク標準時),
			},
		},
		'Israel' => {
			long => {
				'daylight' => q(イスラエル夏時間),
				'generic' => q(イスラエル時間),
				'standard' => q(イスラエル標準時),
			},
		},
		'Japan' => {
			long => {
				'daylight' => q(日本夏時間),
				'generic' => q(日本時間),
				'standard' => q(日本標準時),
			},
			short => {
				'daylight' => q(JDT),
				'generic' => q(∅∅∅),
				'standard' => q(JST),
			},
		},
		'Kamchatka' => {
			long => {
				'daylight' => q(ペトロパブロフスク・カムチャツキー夏時間),
				'generic' => q(ペトロパブロフスク・カムチャツキー時間),
				'standard' => q(ペトロパブロフスク・カムチャツキー標準時),
			},
		},
		'Kazakhstan_Eastern' => {
			long => {
				'standard' => q(東カザフスタン時間),
			},
		},
		'Kazakhstan_Western' => {
			long => {
				'standard' => q(西カザフスタン時間),
			},
		},
		'Korea' => {
			long => {
				'daylight' => q(韓国夏時間),
				'generic' => q(韓国時間),
				'standard' => q(韓国標準時),
			},
		},
		'Kosrae' => {
			long => {
				'standard' => q(コスラエ時間),
			},
		},
		'Krasnoyarsk' => {
			long => {
				'daylight' => q(クラスノヤルスク夏時間),
				'generic' => q(クラスノヤルスク時間),
				'standard' => q(クラスノヤルスク標準時),
			},
		},
		'Kyrgystan' => {
			long => {
				'standard' => q(キルギスタン時間),
			},
		},
		'Lanka' => {
			long => {
				'standard' => q(ランカ時間),
			},
		},
		'Line_Islands' => {
			long => {
				'standard' => q(ライン諸島時間),
			},
		},
		'Lord_Howe' => {
			long => {
				'daylight' => q(ロードハウ夏時間),
				'generic' => q(ロードハウ時間),
				'standard' => q(ロードハウ標準時),
			},
		},
		'Macau' => {
			long => {
				'daylight' => q(マカオ夏時間),
				'generic' => q(マカオ時間),
				'standard' => q(マカオ標準時),
			},
		},
		'Macquarie' => {
			long => {
				'standard' => q(マッコーリー島時間),
			},
		},
		'Magadan' => {
			long => {
				'daylight' => q(マガダン夏時間),
				'generic' => q(マガダン時間),
				'standard' => q(マガダン標準時),
			},
		},
		'Malaysia' => {
			long => {
				'standard' => q(マレーシア時間),
			},
		},
		'Maldives' => {
			long => {
				'standard' => q(モルディブ時間),
			},
		},
		'Marquesas' => {
			long => {
				'standard' => q(マルキーズ時間),
			},
		},
		'Marshall_Islands' => {
			long => {
				'standard' => q(マーシャル諸島時間),
			},
		},
		'Mauritius' => {
			long => {
				'daylight' => q(モーリシャス夏時間),
				'generic' => q(モーリシャス時間),
				'standard' => q(モーリシャス標準時),
			},
		},
		'Mawson' => {
			long => {
				'standard' => q(モーソン基地時間),
			},
		},
		'Mexico_Northwest' => {
			long => {
				'daylight' => q(メキシコ北西部夏時間),
				'generic' => q(メキシコ北西部時間),
				'standard' => q(メキシコ北西部標準時),
			},
		},
		'Mexico_Pacific' => {
			long => {
				'daylight' => q(メキシコ太平洋夏時間),
				'generic' => q(メキシコ太平洋時間),
				'standard' => q(メキシコ太平洋標準時),
			},
		},
		'Mongolia' => {
			long => {
				'daylight' => q(ウランバートル夏時間),
				'generic' => q(ウランバートル時間),
				'standard' => q(ウランバートル標準時),
			},
		},
		'Moscow' => {
			long => {
				'daylight' => q(モスクワ夏時間),
				'generic' => q(モスクワ時間),
				'standard' => q(モスクワ標準時),
			},
		},
		'Myanmar' => {
			long => {
				'standard' => q(ミャンマー時間),
			},
		},
		'Nauru' => {
			long => {
				'standard' => q(ナウル時間),
			},
		},
		'Nepal' => {
			long => {
				'standard' => q(ネパール時間),
			},
		},
		'New_Caledonia' => {
			long => {
				'daylight' => q(ニューカレドニア夏時間),
				'generic' => q(ニューカレドニア時間),
				'standard' => q(ニューカレドニア標準時),
			},
		},
		'New_Zealand' => {
			long => {
				'daylight' => q(ニュージーランド夏時間),
				'generic' => q(ニュージーランド時間),
				'standard' => q(ニュージーランド標準時),
			},
		},
		'Newfoundland' => {
			long => {
				'daylight' => q(ニューファンドランド夏時間),
				'generic' => q(ニューファンドランド時間),
				'standard' => q(ニューファンドランド標準時),
			},
		},
		'Niue' => {
			long => {
				'standard' => q(ニウエ時間),
			},
		},
		'Norfolk' => {
			long => {
				'standard' => q(ノーフォーク島時間),
			},
		},
		'Noronha' => {
			long => {
				'daylight' => q(フェルナンド・デ・ノローニャ夏時間),
				'generic' => q(フェルナンド・デ・ノローニャ時間),
				'standard' => q(フェルナンド・デ・ノローニャ標準時),
			},
		},
		'North_Mariana' => {
			long => {
				'standard' => q(北マリアナ諸島時間),
			},
		},
		'Novosibirsk' => {
			long => {
				'daylight' => q(ノヴォシビルスク夏時間),
				'generic' => q(ノヴォシビルスク時間),
				'standard' => q(ノヴォシビルスク標準時),
			},
		},
		'Omsk' => {
			long => {
				'daylight' => q(オムスク夏時間),
				'generic' => q(オムスク時間),
				'standard' => q(オムスク標準時),
			},
		},
		'Pacific/Apia' => {
			exemplarCity => q#アピア#,
		},
		'Pacific/Auckland' => {
			exemplarCity => q#オークランド#,
		},
		'Pacific/Chatham' => {
			exemplarCity => q#チャタム#,
		},
		'Pacific/Easter' => {
			exemplarCity => q#イースター島#,
		},
		'Pacific/Efate' => {
			exemplarCity => q#エフェテ島#,
		},
		'Pacific/Enderbury' => {
			exemplarCity => q#エンダーベリー島#,
		},
		'Pacific/Fakaofo' => {
			exemplarCity => q#ファカオフォ#,
		},
		'Pacific/Fiji' => {
			exemplarCity => q#フィジー#,
		},
		'Pacific/Funafuti' => {
			exemplarCity => q#フナフティ#,
		},
		'Pacific/Galapagos' => {
			exemplarCity => q#ガラパゴス#,
		},
		'Pacific/Gambier' => {
			exemplarCity => q#ガンビエ諸島#,
		},
		'Pacific/Guadalcanal' => {
			exemplarCity => q#ガダルカナル#,
		},
		'Pacific/Guam' => {
			exemplarCity => q#グアム#,
		},
		'Pacific/Honolulu' => {
			exemplarCity => q#ホノルル#,
		},
		'Pacific/Johnston' => {
			exemplarCity => q#ジョンストン島#,
		},
		'Pacific/Kiritimati' => {
			exemplarCity => q#キリスィマスィ島#,
		},
		'Pacific/Kosrae' => {
			exemplarCity => q#コスラエ#,
		},
		'Pacific/Kwajalein' => {
			exemplarCity => q#クェゼリン#,
		},
		'Pacific/Majuro' => {
			exemplarCity => q#マジュロ#,
		},
		'Pacific/Marquesas' => {
			exemplarCity => q#マルキーズ#,
		},
		'Pacific/Midway' => {
			exemplarCity => q#ミッドウェー島#,
		},
		'Pacific/Nauru' => {
			exemplarCity => q#ナウル#,
		},
		'Pacific/Niue' => {
			exemplarCity => q#ニウエ#,
		},
		'Pacific/Norfolk' => {
			exemplarCity => q#ノーフォーク島#,
		},
		'Pacific/Noumea' => {
			exemplarCity => q#ヌメア#,
		},
		'Pacific/Pago_Pago' => {
			exemplarCity => q#パゴパゴ#,
		},
		'Pacific/Palau' => {
			exemplarCity => q#パラオ#,
		},
		'Pacific/Pitcairn' => {
			exemplarCity => q#ピトケアン諸島#,
		},
		'Pacific/Ponape' => {
			exemplarCity => q#ポンペイ島#,
		},
		'Pacific/Port_Moresby' => {
			exemplarCity => q#ポートモレスビー#,
		},
		'Pacific/Rarotonga' => {
			exemplarCity => q#ラロトンガ#,
		},
		'Pacific/Saipan' => {
			exemplarCity => q#サイパン#,
		},
		'Pacific/Tahiti' => {
			exemplarCity => q#タヒチ#,
		},
		'Pacific/Tarawa' => {
			exemplarCity => q#タラワ#,
		},
		'Pacific/Tongatapu' => {
			exemplarCity => q#トンガタプ#,
		},
		'Pacific/Truk' => {
			exemplarCity => q#チューク#,
		},
		'Pacific/Wake' => {
			exemplarCity => q#ウェーク島#,
		},
		'Pacific/Wallis' => {
			exemplarCity => q#ウォリス諸島#,
		},
		'Pakistan' => {
			long => {
				'daylight' => q(パキスタン夏時間),
				'generic' => q(パキスタン時間),
				'standard' => q(パキスタン標準時),
			},
		},
		'Palau' => {
			long => {
				'standard' => q(パラオ時間),
			},
		},
		'Papua_New_Guinea' => {
			long => {
				'standard' => q(パプアニューギニア時間),
			},
		},
		'Paraguay' => {
			long => {
				'daylight' => q(パラグアイ夏時間),
				'generic' => q(パラグアイ時間),
				'standard' => q(パラグアイ標準時),
			},
		},
		'Peru' => {
			long => {
				'daylight' => q(ペルー夏時間),
				'generic' => q(ペルー時間),
				'standard' => q(ペルー標準時),
			},
		},
		'Philippines' => {
			long => {
				'daylight' => q(フィリピン夏時間),
				'generic' => q(フィリピン時間),
				'standard' => q(フィリピン標準時),
			},
		},
		'Phoenix_Islands' => {
			long => {
				'standard' => q(フェニックス諸島時間),
			},
		},
		'Pierre_Miquelon' => {
			long => {
				'daylight' => q(サンピエール・ミクロン夏時間),
				'generic' => q(サンピエール・ミクロン時間),
				'standard' => q(サンピエール・ミクロン標準時),
			},
		},
		'Pitcairn' => {
			long => {
				'standard' => q(ピトケアン時間),
			},
		},
		'Ponape' => {
			long => {
				'standard' => q(ポナペ時間),
			},
		},
		'Qyzylorda' => {
			long => {
				'daylight' => q(クズロルダ夏時間),
				'generic' => q(クズロルダ時間),
				'standard' => q(クズロルダ標準時),
			},
		},
		'Reunion' => {
			long => {
				'standard' => q(レユニオン時間),
			},
		},
		'Rothera' => {
			long => {
				'standard' => q(ロゼラ基地時間),
			},
		},
		'Sakhalin' => {
			long => {
				'daylight' => q(サハリン夏時間),
				'generic' => q(サハリン時間),
				'standard' => q(サハリン標準時),
			},
		},
		'Samara' => {
			long => {
				'daylight' => q(サマラ夏時間),
				'generic' => q(サマラ時間),
				'standard' => q(サマラ標準時),
			},
		},
		'Samoa' => {
			long => {
				'daylight' => q(サモア夏時間),
				'generic' => q(サモア時間),
				'standard' => q(サモア標準時),
			},
		},
		'Seychelles' => {
			long => {
				'standard' => q(セーシェル時間),
			},
		},
		'Singapore' => {
			long => {
				'standard' => q(シンガポール時間),
			},
		},
		'Solomon' => {
			long => {
				'standard' => q(ソロモン諸島時間),
			},
		},
		'South_Georgia' => {
			long => {
				'standard' => q(サウスジョージア時間),
			},
		},
		'Suriname' => {
			long => {
				'standard' => q(スリナム時間),
			},
		},
		'Syowa' => {
			long => {
				'standard' => q(昭和基地時間),
			},
		},
		'Tahiti' => {
			long => {
				'standard' => q(タヒチ時間),
			},
		},
		'Taipei' => {
			long => {
				'daylight' => q(台北夏時間),
				'generic' => q(台北時間),
				'standard' => q(台北標準時),
			},
		},
		'Tajikistan' => {
			long => {
				'standard' => q(タジキスタン時間),
			},
		},
		'Tokelau' => {
			long => {
				'standard' => q(トケラウ時間),
			},
		},
		'Tonga' => {
			long => {
				'daylight' => q(トンガ夏時間),
				'generic' => q(トンガ時間),
				'standard' => q(トンガ標準時),
			},
		},
		'Truk' => {
			long => {
				'standard' => q(チューク時間),
			},
		},
		'Turkmenistan' => {
			long => {
				'daylight' => q(トルクメニスタン夏時間),
				'generic' => q(トルクメニスタン時間),
				'standard' => q(トルクメニスタン標準時),
			},
		},
		'Tuvalu' => {
			long => {
				'standard' => q(ツバル時間),
			},
		},
		'Uruguay' => {
			long => {
				'daylight' => q(ウルグアイ夏時間),
				'generic' => q(ウルグアイ時間),
				'standard' => q(ウルグアイ標準時),
			},
		},
		'Uzbekistan' => {
			long => {
				'daylight' => q(ウズベキスタン夏時間),
				'generic' => q(ウズベキスタン時間),
				'standard' => q(ウズベキスタン標準時),
			},
		},
		'Vanuatu' => {
			long => {
				'daylight' => q(バヌアツ夏時間),
				'generic' => q(バヌアツ時間),
				'standard' => q(バヌアツ標準時),
			},
		},
		'Venezuela' => {
			long => {
				'standard' => q(ベネズエラ時間),
			},
		},
		'Vladivostok' => {
			long => {
				'daylight' => q(ウラジオストク夏時間),
				'generic' => q(ウラジオストク時間),
				'standard' => q(ウラジオストク標準時),
			},
		},
		'Volgograd' => {
			long => {
				'daylight' => q(ボルゴグラード夏時間),
				'generic' => q(ボルゴグラード時間),
				'standard' => q(ヴォルゴグラード標準時),
			},
		},
		'Vostok' => {
			long => {
				'standard' => q(ボストーク基地時間),
			},
		},
		'Wake' => {
			long => {
				'standard' => q(ウェーク島時間),
			},
		},
		'Wallis' => {
			long => {
				'standard' => q(ウォリス・フツナ時間),
			},
		},
		'Yakutsk' => {
			long => {
				'daylight' => q(ヤクーツク夏時間),
				'generic' => q(ヤクーツク時間),
				'standard' => q(ヤクーツク標準時),
			},
		},
		'Yekaterinburg' => {
			long => {
				'daylight' => q(エカテリンブルグ夏時間),
				'generic' => q(エカテリンブルグ時間),
				'standard' => q(エカテリンブルグ標準時),
			},
		},
	 } }
);
no Moose;
__PACKAGE__->meta->make_immutable;

1;

# vim: tabstop=4
