package Locale::CLDR::Ru;
# This file auto generated from Data\common\main\ru.xml
#	on Mon 31 Mar  1:47:40 am GMT
# XML file generated 2014-03-03 17:35:05 -0600 (Mon, 03 Mar 2014)

use v5.18;
use mro 'c3';
use utf8;

use Moose;

extends('Locale::CLDR::Root');
# Need to add code for Key type pattern
sub display_name_pattern {
	my ($self, $name, $territory, $script, $variant) = @_;

	my $display_pattern = '{0} ({1})';
	$display_pattern =~s/\{0\}/$name/g;
	my $subtags = join '{0}, {1}', grep {$_} (
		$territory,
		$script,
		$variant,
	);

	$display_pattern =~s/\{1\}/$subtags/g;
	return $display_pattern;
}

has 'display_name_language' => (
	is			=> 'ro',
	isa			=> 'CodeRef',
	init_arg	=> undef,
	default		=> sub { 
		 sub {
			 my %languages = (
				'aa' => 'афар',
 				'ab' => 'абхазский',
 				'ace' => 'ачехский',
 				'ach' => 'ачоли',
 				'ada' => 'адангме',
 				'ady' => 'адыгейский',
 				'ae' => 'авестийский',
 				'af' => 'африкаанс',
 				'afh' => 'африхили',
 				'agq' => 'агхем',
 				'ain' => 'айну',
 				'ak' => 'акан',
 				'akk' => 'аккадский',
 				'ale' => 'алеутский',
 				'alt' => 'южноалтайский',
 				'am' => 'амхарский',
 				'an' => 'арагонский',
 				'ang' => 'староанглийский',
 				'anp' => 'ангика',
 				'ar' => 'арабский',
 				'ar_001' => 'арабский литературный',
 				'arc' => 'арамейский',
 				'arn' => 'арауканский',
 				'arp' => 'арапахо',
 				'arw' => 'аравакский',
 				'as' => 'ассамский',
 				'asa' => 'аса',
 				'ast' => 'астурийский',
 				'av' => 'аварский',
 				'awa' => 'авадхи',
 				'ay' => 'аймара',
 				'az' => 'азербайджанский',
 				'az@alt=short' => 'азербайджанский',
 				'ba' => 'башкирский',
 				'bal' => 'белуджский',
 				'ban' => 'балийский',
 				'bas' => 'баса',
 				'bax' => 'бамум',
 				'bbj' => 'гхомала',
 				'be' => 'белорусский',
 				'bej' => 'беджа',
 				'bem' => 'бемба',
 				'bez' => 'бена',
 				'bfd' => 'бафут',
 				'bg' => 'болгарский',
 				'bho' => 'бходжпури',
 				'bi' => 'бислама',
 				'bik' => 'бикольский',
 				'bin' => 'бини',
 				'bkm' => 'ком',
 				'bla' => 'сиксика',
 				'bm' => 'бамбарийский',
 				'bn' => 'бенгальский',
 				'bo' => 'тибетский',
 				'br' => 'бретонский',
 				'bra' => 'брауи',
 				'brx' => 'бодо',
 				'bs' => 'боснийский',
 				'bss' => 'акоосе',
 				'bua' => 'бурятский',
 				'bug' => 'бугийский',
 				'bum' => 'булу',
 				'byn' => 'билин (блин)',
 				'byv' => 'медумба',
 				'ca' => 'каталанский',
 				'cad' => 'каддо',
 				'car' => 'кариб',
 				'cay' => 'кайюга',
 				'cch' => 'атсам',
 				'ce' => 'чеченский',
 				'ceb' => 'кебуано',
 				'cgg' => 'чига',
 				'ch' => 'чаморро',
 				'chb' => 'чибча',
 				'chg' => 'чагатайский',
 				'chk' => 'чукотский',
 				'chm' => 'марийский (черемисский)',
 				'chn' => 'чинук жаргон',
 				'cho' => 'чоктав',
 				'chp' => 'чипевайян',
 				'chr' => 'чероки',
 				'chy' => 'чейенн',
 				'ckb' => 'сорани курдский',
 				'co' => 'корсиканский',
 				'cop' => 'коптский',
 				'cr' => 'криийский',
 				'crh' => 'крымско-татарский',
 				'cs' => 'чешский',
 				'csb' => 'кашубианский',
 				'cu' => 'церковнославянский',
 				'cv' => 'чувашский',
 				'cy' => 'валлийский',
 				'da' => 'датский',
 				'dak' => 'дакота',
 				'dar' => 'даргва',
 				'dav' => 'таита',
 				'de' => 'немецкий',
 				'de_AT' => 'австрийский немецкий',
 				'de_CH' => 'швейцарский верхненемецкий',
 				'del' => 'делаварский',
 				'den' => 'славянский',
 				'dgr' => 'догриб',
 				'din' => 'динка',
 				'dje' => 'зарма',
 				'doi' => 'догри',
 				'dsb' => 'нижнелужицкий',
 				'dua' => 'дуала',
 				'dum' => 'средненидерландский',
 				'dv' => 'мальдивский',
 				'dyo' => 'дьола-фоньи',
 				'dyu' => 'диула (дьюла)',
 				'dz' => 'дзонг-кэ',
 				'dzg' => 'дазагский',
 				'ebu' => 'эмбу',
 				'ee' => 'эве',
 				'efi' => 'эфик',
 				'egy' => 'древнеегипетский',
 				'eka' => 'экаджук',
 				'el' => 'греческий',
 				'elx' => 'эламский',
 				'en' => 'английский',
 				'en_AU' => 'австралийский английский',
 				'en_CA' => 'канадский английский',
 				'en_GB' => 'британский английский',
 				'en_US' => 'американский английский',
 				'en_US@alt=short' => 'английский (США)',
 				'enm' => 'среднеанглийский',
 				'eo' => 'эсперанто',
 				'es' => 'испанский',
 				'es_419' => 'латиноамериканский испанский',
 				'es_ES' => 'европейский испанский',
 				'et' => 'эстонский',
 				'eu' => 'баскский',
 				'ewo' => 'эвондо',
 				'fa' => 'персидский',
 				'fan' => 'фанг',
 				'fat' => 'фанти',
 				'ff' => 'фулах',
 				'fi' => 'финский',
 				'fil' => 'филиппинский',
 				'fj' => 'фиджи',
 				'fo' => 'фарерский',
 				'fon' => 'фон',
 				'fr' => 'французский',
 				'fr_CA' => 'канадский французский',
 				'fr_CH' => 'швейцарский французский',
 				'frm' => 'среднефранцузский',
 				'fro' => 'старофранцузский',
 				'frr' => 'фризский северный',
 				'frs' => 'восточный фризский',
 				'fur' => 'фриульский',
 				'fy' => 'западно-фризский',
 				'ga' => 'ирландский',
 				'gaa' => 'га',
 				'gay' => 'гайо',
 				'gba' => 'гбая',
 				'gd' => 'гэльский',
 				'gez' => 'геэз',
 				'gil' => 'гильбертский',
 				'gl' => 'галисийский',
 				'gmh' => 'средневерхненемецкий',
 				'gn' => 'гуарани',
 				'goh' => 'древневерхненемецкий',
 				'gon' => 'гонди',
 				'gor' => 'горонтало',
 				'got' => 'готский',
 				'grb' => 'гребо',
 				'grc' => 'древнегреческий',
 				'gsw' => 'швейцарский немецкий',
 				'gu' => 'гуджарати',
 				'guz' => 'гусии',
 				'gv' => 'мэнский',
 				'gwi' => 'гвичин',
 				'ha' => 'хауса',
 				'hai' => 'хайда',
 				'haw' => 'гавайский',
 				'he' => 'иврит',
 				'hi' => 'хинди',
 				'hil' => 'хилигайнон',
 				'hit' => 'хеттский',
 				'hmn' => 'хмонг',
 				'ho' => 'хиримоту',
 				'hr' => 'хорватский',
 				'hsb' => 'верхнелужицкий',
 				'ht' => 'гаитянский',
 				'hu' => 'венгерский',
 				'hup' => 'хупа',
 				'hy' => 'армянский',
 				'hz' => 'гереро',
 				'ia' => 'интерлингва',
 				'iba' => 'ибанский',
 				'ibb' => 'ибибио',
 				'id' => 'индонезийский',
 				'ie' => 'интерлингве',
 				'ig' => 'игбо',
 				'ii' => 'сычуань',
 				'ik' => 'инупиак',
 				'ilo' => 'илоко',
 				'inh' => 'ингушский',
 				'io' => 'идо',
 				'is' => 'исландский',
 				'it' => 'итальянский',
 				'iu' => 'инуктитут',
 				'ja' => 'японский',
 				'jbo' => 'ложбан',
 				'jgo' => 'нгомба',
 				'jmc' => 'мачаме',
 				'jpr' => 'еврейско-персидский',
 				'jrb' => 'еврейско-арабский',
 				'jv' => 'яванский',
 				'ka' => 'грузинский',
 				'kaa' => 'каракалпакский',
 				'kab' => 'кабильский',
 				'kac' => 'качинский',
 				'kaj' => 'каджи',
 				'kam' => 'камба',
 				'kaw' => 'кави',
 				'kbd' => 'кабардинский',
 				'kbl' => 'канембу',
 				'kcg' => 'тьяп',
 				'kde' => 'маконде',
 				'kea' => 'кабувердьяну',
 				'kfo' => 'коро',
 				'kg' => 'конго',
 				'kha' => 'кхаси',
 				'kho' => 'хотанский',
 				'khq' => 'койра чиини',
 				'ki' => 'кикуйю',
 				'kj' => 'кунама',
 				'kk' => 'казахский',
 				'kkj' => 'како',
 				'kl' => 'гренландский',
 				'kln' => 'календжин',
 				'km' => 'кхмерский',
 				'kmb' => 'кимбундийский',
 				'kn' => 'каннада',
 				'ko' => 'корейский',
 				'kok' => 'конкани',
 				'kos' => 'косраенский',
 				'kpe' => 'кпелле',
 				'kr' => 'канури',
 				'krc' => 'карачаево-балкарский',
 				'krl' => 'карельский',
 				'kru' => 'курух',
 				'ks' => 'кашмири',
 				'ksb' => 'шамбала',
 				'ksf' => 'бафия',
 				'ksh' => 'кёльш',
 				'ku' => 'курдский',
 				'kum' => 'кумыкский',
 				'kut' => 'кутенаи',
 				'kv' => 'коми',
 				'kw' => 'корнийский',
 				'ky' => 'киргизский',
 				'la' => 'латинский',
 				'lad' => 'ладино',
 				'lag' => 'ланги',
 				'lah' => 'лахнда',
 				'lam' => 'ламба',
 				'lb' => 'люксембургский',
 				'lez' => 'лезгинский',
 				'lg' => 'ганда',
 				'li' => 'лимбургский',
 				'ln' => 'лингала',
 				'lo' => 'лаосский',
 				'lol' => 'монго',
 				'loz' => 'лози',
 				'lt' => 'литовский',
 				'lu' => 'луба-катанга',
 				'lua' => 'луба-лулуа',
 				'lui' => 'луисеньо',
 				'lun' => 'лунда',
 				'luo' => 'луо (Кения и Танзания)',
 				'lus' => 'лушай',
 				'luy' => 'лухья',
 				'lv' => 'латышский',
 				'mad' => 'мадурский',
 				'maf' => 'мафа',
 				'mag' => 'магахи',
 				'mai' => 'майтхили',
 				'mak' => 'макассарский',
 				'man' => 'мандинго',
 				'mas' => 'масаи',
 				'mde' => 'мабанский',
 				'mdf' => 'мокшанский',
 				'mdr' => 'мандарский',
 				'men' => 'менде',
 				'mer' => 'меру',
 				'mfe' => 'маврикийский креольский',
 				'mg' => 'малагасийский',
 				'mga' => 'среднеирландский',
 				'mgh' => 'макуа-меетто',
 				'mgo' => 'мета',
 				'mh' => 'маршалльский',
 				'mi' => 'маори',
 				'mic' => 'микмак',
 				'min' => 'минангкабау',
 				'mk' => 'македонский',
 				'ml' => 'малаялам',
 				'mn' => 'монгольский',
 				'mnc' => 'маньчжурский',
 				'mni' => 'манипурский',
 				'moh' => 'мохаук',
 				'mos' => 'моси',
 				'mr' => 'маратхи',
 				'ms' => 'малайский',
 				'mt' => 'мальтийский',
 				'mua' => 'мунданг',
 				'mul' => 'несколько языков',
 				'mus' => 'крик',
 				'mwl' => 'мирандийский',
 				'mwr' => 'марвари',
 				'my' => 'бирманский',
 				'mye' => 'миене',
 				'myv' => 'эрзя',
 				'na' => 'науру',
 				'nap' => 'неаполитанский',
 				'naq' => 'нама',
 				'nb' => 'норвежский букмол',
 				'nd' => 'северный ндебели',
 				'nds' => 'нижнегерманский',
 				'ne' => 'непальский',
 				'new' => 'неварский',
 				'ng' => 'ндонга',
 				'nia' => 'ниас',
 				'niu' => 'ниуэ',
 				'nl' => 'голландский',
 				'nl_BE' => 'фламандский',
 				'nmg' => 'квасио',
 				'nn' => 'норвежский нюнорск',
 				'nnh' => 'нгиембунд',
 				'no' => 'норвежский',
 				'nog' => 'ногайский',
 				'non' => 'старонорвежский',
 				'nqo' => 'нко',
 				'nr' => 'ндебели южный',
 				'nso' => 'сото северный',
 				'nus' => 'нуэр',
 				'nv' => 'навахо',
 				'nwc' => 'невари (классический)',
 				'ny' => 'ньянджа',
 				'nym' => 'ньямвези',
 				'nyn' => 'ньянколе',
 				'nyo' => 'ньоро',
 				'nzi' => 'нзима',
 				'oc' => 'окситанский',
 				'oj' => 'оджибва',
 				'om' => 'оромо',
 				'or' => 'ория',
 				'os' => 'осетинский',
 				'osa' => 'оседжи',
 				'ota' => 'старотурецкий',
 				'pa' => 'панджаби',
 				'pag' => 'пангасинан',
 				'pal' => 'пехлевийский',
 				'pam' => 'пампанга',
 				'pap' => 'папьяменто',
 				'pau' => 'палау',
 				'peo' => 'староперсидский',
 				'phn' => 'финикийский',
 				'pi' => 'пали',
 				'pl' => 'польский',
 				'pon' => 'понапе',
 				'pro' => 'старопровансальский',
 				'ps' => 'пушту',
 				'pt' => 'португальский',
 				'pt_BR' => 'бразильский португальский',
 				'pt_PT' => 'европейский португальский',
 				'qu' => 'кечуа',
 				'raj' => 'раджастхани',
 				'rap' => 'рапануи',
 				'rar' => 'раротонганский',
 				'rm' => 'романшский',
 				'rn' => 'рунди',
 				'ro' => 'румынский',
 				'ro_MD' => 'молдавский',
 				'rof' => 'ромбо',
 				'rom' => 'цыганский',
 				'root' => 'корневой язык',
 				'ru' => 'русский',
 				'rup' => 'арумынский',
 				'rw' => 'киньяруанда',
 				'rwk' => 'руанда',
 				'sa' => 'санскрит',
 				'sad' => 'сандаве',
 				'sah' => 'якутский',
 				'sam' => 'самаритянский арамейский',
 				'saq' => 'самбуру',
 				'sas' => 'сасаки',
 				'sat' => 'сантали',
 				'sba' => 'нгамбайский',
 				'sbp' => 'сангу',
 				'sc' => 'сардинский',
 				'scn' => 'сицилийский',
 				'sco' => 'шотландский',
 				'sd' => 'синдхи',
 				'se' => 'северносаамский',
 				'see' => 'сенека',
 				'seh' => 'сена',
 				'sel' => 'селькупский',
 				'ses' => 'койраборо сенни',
 				'sg' => 'санго',
 				'sga' => 'староирландский',
 				'sh' => 'сербскохорватский',
 				'shi' => 'тахелхит',
 				'shn' => 'шанский',
 				'shu' => 'чадский арабс',
 				'si' => 'сингальский',
 				'sid' => 'сидама',
 				'sk' => 'словацкий',
 				'sl' => 'словенский',
 				'sm' => 'самоанский',
 				'sma' => 'саамский (южный)',
 				'smj' => 'луле-саамский',
 				'smn' => 'инари-саамский',
 				'sms' => 'скольт-саамский',
 				'sn' => 'шона',
 				'snk' => 'сонинке',
 				'so' => 'сомали',
 				'sog' => 'согдийский',
 				'sq' => 'албанский',
 				'sr' => 'сербский',
 				'srn' => 'сранан тонго',
 				'srr' => 'серер',
 				'ss' => 'свази',
 				'ssy' => 'сахо',
 				'st' => 'сото южный',
 				'su' => 'сунданский',
 				'suk' => 'сукума',
 				'sus' => 'сусу',
 				'sux' => 'шумерский',
 				'sv' => 'шведский',
 				'sw' => 'суахили',
 				'swb' => 'коморский',
 				'swc' => 'конголезский суахили',
 				'syc' => 'классический сирийский',
 				'syr' => 'сирийский',
 				'ta' => 'тамильский',
 				'te' => 'телугу',
 				'tem' => 'темне',
 				'teo' => 'тесо',
 				'ter' => 'терено',
 				'tet' => 'тетум',
 				'tg' => 'таджикский',
 				'th' => 'тайский',
 				'ti' => 'тигринья',
 				'tig' => 'тигре',
 				'tiv' => 'тиви',
 				'tk' => 'туркменский',
 				'tkl' => 'токелайский',
 				'tl' => 'тагалог',
 				'tlh' => 'клингонский',
 				'tli' => 'тлингит',
 				'tmh' => 'тамашек',
 				'tn' => 'тсвана',
 				'to' => 'тонганский',
 				'tog' => 'ньяса (тонга)',
 				'tpi' => 'ток-писин',
 				'tr' => 'турецкий',
 				'trv' => 'тароко',
 				'ts' => 'тсонга',
 				'tsi' => 'цимшиан',
 				'tt' => 'татарский',
 				'tum' => 'тумбука',
 				'tvl' => 'тувалу',
 				'tw' => 'тви',
 				'twq' => 'тасавак',
 				'ty' => 'таитянский',
 				'tyv' => 'тувинский',
 				'tzm' => 'тамазит (Центральное Марокко)',
 				'udm' => 'удмуртский',
 				'ug' => 'уйгурский',
 				'uga' => 'угаритский',
 				'uk' => 'украинский',
 				'umb' => 'умбунду',
 				'und' => 'неизвестный язык',
 				'ur' => 'урду',
 				'uz' => 'узбекский',
 				'vai' => 'ваи',
 				've' => 'венда',
 				'vi' => 'вьетнамский',
 				'vo' => 'волапюк',
 				'vot' => 'водский',
 				'vun' => 'вунджо',
 				'wa' => 'валлонский',
 				'wae' => 'валисский',
 				'wal' => 'воламо',
 				'war' => 'варай',
 				'was' => 'вашо',
 				'wo' => 'волоф',
 				'xal' => 'калмыцкий',
 				'xh' => 'ксоза',
 				'xog' => 'сога',
 				'yao' => 'яо',
 				'yap' => 'яп',
 				'yav' => 'янбан',
 				'ybb' => 'йемба',
 				'yi' => 'идиш',
 				'yo' => 'йоруба',
 				'yue' => 'кантонский',
 				'za' => 'чжуань',
 				'zap' => 'сапотекский',
 				'zbl' => 'блиссимволика',
 				'zen' => 'зенагский',
 				'zgh' => 'тамазигхтский',
 				'zh' => 'китайский',
 				'zh_Hans' => 'упрощенный китайский',
 				'zh_Hant' => 'традиционный китайский',
 				'zu' => 'зулу',
 				'zun' => 'зуньи',
 				'zxx' => 'без языкового содержания',
 				'zza' => 'заза',

			);
			if (@_) {
				return $languages{$_[0]};
			}
			return \%languages;
		}
	},
);

has 'display_name_script' => (
	is			=> 'ro',
	isa			=> 'CodeRef',
	init_arg	=> undef,
	default		=> sub {
		sub {
			my %scripts = (
			'Afak' => 'афака',
 			'Arab' => 'Арабская',
 			'Arab@alt=variant' => 'Персидско-арабское',
 			'Armi' => 'Арамейская',
 			'Armn' => 'Армянская',
 			'Avst' => 'Авестийская',
 			'Bali' => 'Балийская',
 			'Bamu' => 'бамум',
 			'Bass' => 'басса (вах)',
 			'Batk' => 'Батакская',
 			'Beng' => 'Бенгальская',
 			'Blis' => 'Блиссимволика',
 			'Bopo' => 'Бопомофо',
 			'Brah' => 'Брахми',
 			'Brai' => 'Брайля',
 			'Bugi' => 'Бугинизийская',
 			'Buhd' => 'Бухид',
 			'Cakm' => 'Чакмийская',
 			'Cans' => 'Канадское слоговое письмо',
 			'Cari' => 'Карийская',
 			'Cham' => 'Чамская',
 			'Cher' => 'Чероки',
 			'Cirt' => 'Кирт',
 			'Copt' => 'Коптская',
 			'Cprt' => 'Кипрская',
 			'Cyrl' => 'Кириллица',
 			'Cyrs' => 'Старославянская',
 			'Deva' => 'Деванагари',
 			'Dsrt' => 'Дезерет',
 			'Dupl' => 'дуплоянская скоропись',
 			'Egyd' => 'Египетская демотическая',
 			'Egyh' => 'Египетская иератическая',
 			'Egyp' => 'Египетская иероглифическая',
 			'Ethi' => 'Эфиопская',
 			'Geok' => 'Грузинская хуцури',
 			'Geor' => 'Грузинская',
 			'Glag' => 'Глаголица',
 			'Goth' => 'Готская',
 			'Gran' => 'грантха',
 			'Grek' => 'Греческая',
 			'Gujr' => 'Гуджарати',
 			'Guru' => 'Гурмукхи',
 			'Hang' => 'Хангул',
 			'Hani' => 'Китайская',
 			'Hano' => 'Хануну',
 			'Hans' => 'Упрощенная китайская',
 			'Hans@alt=stand-alone' => 'Упрощенный китайский',
 			'Hant' => 'Традиционная китайская',
 			'Hant@alt=stand-alone' => 'Традиционный китайский',
 			'Hebr' => 'Иврит',
 			'Hira' => 'Хирагана',
 			'Hluw' => 'лувийские иероглифы',
 			'Hmng' => 'Пахау хмонг',
 			'Hrkt' => 'Катакана или хирагана',
 			'Hung' => 'Старовенгерская',
 			'Inds' => 'Хараппская (письменность долины Инда)',
 			'Ital' => 'Староитальянская',
 			'Java' => 'Яванская',
 			'Jpan' => 'Японская',
 			'Jurc' => 'чжурчжэньская',
 			'Kali' => 'Кайа',
 			'Kana' => 'Катакана',
 			'Khar' => 'Кхароштхи',
 			'Khmr' => 'Кхмерская',
 			'Khoj' => 'ходжики',
 			'Knda' => 'Каннада',
 			'Kore' => 'Корейская',
 			'Kpel' => 'кпелле',
 			'Kthi' => 'Кайтхи',
 			'Lana' => 'Ланна',
 			'Laoo' => 'Лаосская',
 			'Latf' => 'Латинская фрактура',
 			'Latg' => 'Гэльская латинская',
 			'Latn' => 'Латиница',
 			'Lepc' => 'Лепха',
 			'Limb' => 'Лимбу',
 			'Lina' => 'Линейное письмо А',
 			'Linb' => 'Линейное письмо Б',
 			'Lisu' => 'лису',
 			'Loma' => 'лома',
 			'Lyci' => 'Лициан',
 			'Lydi' => 'Лидийская',
 			'Mand' => 'Мандейская',
 			'Mani' => 'Манихейская',
 			'Maya' => 'Майя',
 			'Mend' => 'менде',
 			'Merc' => 'мероитская курсивная',
 			'Mero' => 'Мероитская',
 			'Mlym' => 'Малаяльская',
 			'Mong' => 'Монгольская',
 			'Moon' => 'Азбука Муна',
 			'Mroo' => 'мро',
 			'Mtei' => 'Манипури',
 			'Mymr' => 'Майанмарская',
 			'Narb' => 'северноаравийское',
 			'Nbat' => 'набатейская',
 			'Nkgb' => 'наси геба',
 			'Nkoo' => 'Нко',
 			'Nshu' => 'нюй-шу',
 			'Ogam' => 'Огамическая',
 			'Olck' => 'Ол Чики',
 			'Orkh' => 'Орхоно-енисейская',
 			'Orya' => 'Ория',
 			'Osma' => 'Османская',
 			'Palm' => 'пальмиры',
 			'Perm' => 'Древнепермская',
 			'Phag' => 'Пагспа',
 			'Phli' => 'пехлевийская',
 			'Phlp' => 'пахлави псалтирная',
 			'Phlv' => 'Пахлави книжная',
 			'Phnx' => 'Финикийская',
 			'Plrd' => 'Поллардовская фонетика',
 			'Prti' => 'парфянская',
 			'Rjng' => 'Реджангская',
 			'Roro' => 'Ронго-ронго',
 			'Runr' => 'Руническая',
 			'Samr' => 'Самаритянская',
 			'Sara' => 'Сарати',
 			'Sarb' => 'староюжноарабская',
 			'Saur' => 'Саураштра',
 			'Sgnw' => 'Язык знаков',
 			'Shaw' => 'Алфавит Шоу',
 			'Shrd' => 'шарада',
 			'Sind' => 'кхудавади',
 			'Sinh' => 'Сингальская',
 			'Sora' => 'сора-сонпенг',
 			'Sund' => 'Сунданская',
 			'Sylo' => 'Силоти Нагри',
 			'Syrc' => 'Сирийская',
 			'Syre' => 'Сирийская эстрангело',
 			'Syrj' => 'Западносирийская',
 			'Syrn' => 'Восточно-сирийская',
 			'Tagb' => 'Тагбанва',
 			'Takr' => 'такри',
 			'Tale' => 'Тайский Ле',
 			'Talu' => 'Новый Тайский Ле',
 			'Taml' => 'Тамильская',
 			'Tang' => 'тангутское меня',
 			'Tavt' => 'тай-вьет',
 			'Telu' => 'Телугу',
 			'Teng' => 'Тенгварская',
 			'Tfng' => 'Древнеливийская',
 			'Tglg' => 'Тагалог',
 			'Thaa' => 'Таана',
 			'Thai' => 'Тайская',
 			'Tibt' => 'Тибетская',
 			'Tirh' => 'тирхута',
 			'Ugar' => 'Угаритская',
 			'Vaii' => 'Вайская',
 			'Visp' => 'Видимая речь',
 			'Wara' => 'варанг-кшити',
 			'Wole' => 'волеаи',
 			'Xpeo' => 'Староперсидская',
 			'Xsux' => 'Шумеро-аккадская клинопись',
 			'Yiii' => 'И',
 			'Zinh' => 'Унаследованная',
 			'Zmth' => 'математические обозначения',
 			'Zsym' => 'Символы',
 			'Zxxx' => 'Ненаписанная',
 			'Zyyy' => 'Общепринятая',
 			'Zzzz' => 'Неизвестная письменность',

			);
			if ( @_ ) {
				return $scripts{$_[0]};
			}
			return \%scripts;
		}
	}
);

has 'display_name_territory' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'001' => 'Мир',
 			'002' => 'Африка',
 			'003' => 'Северная Америка',
 			'005' => 'Южная Америка',
 			'009' => 'Океания',
 			'011' => 'Западная Африка',
 			'013' => 'Центральная Америка',
 			'014' => 'Восточная Африка',
 			'015' => 'Северная Африка',
 			'017' => 'Центральная Африка',
 			'018' => 'Южная Африка',
 			'019' => 'Америка',
 			'021' => 'Северная Америка – США и Канада',
 			'029' => 'Карибы',
 			'030' => 'Восточная Азия',
 			'034' => 'Южная Азия',
 			'035' => 'Юго-Восточная Азия',
 			'039' => 'Южная Европа',
 			'053' => 'Австралазия',
 			'054' => 'Меланезия',
 			'057' => 'Микронезия',
 			'061' => 'Полинезия',
 			'142' => 'Азия',
 			'143' => 'Средняя Азия',
 			'145' => 'Ближний и Средний Восток',
 			'150' => 'Европа',
 			'151' => 'Восточная Европа',
 			'154' => 'Северная Европа',
 			'155' => 'Западная Европа',
 			'419' => 'Латинская Америка',
 			'AC' => 'О-в Вознесения',
 			'AD' => 'Андорра',
 			'AE' => 'ОАЭ',
 			'AF' => 'Афганистан',
 			'AG' => 'Антигуа и Барбуда',
 			'AI' => 'Ангилья',
 			'AL' => 'Албания',
 			'AM' => 'Армения',
 			'AN' => 'Нидерландские Антильские о-ва',
 			'AO' => 'Ангола',
 			'AQ' => 'Антарктида',
 			'AR' => 'Аргентина',
 			'AS' => 'Американское Самоа',
 			'AT' => 'Австрия',
 			'AU' => 'Австралия',
 			'AW' => 'Аруба',
 			'AX' => 'Аландские о-ва',
 			'AZ' => 'Азербайджан',
 			'BA' => 'Босния и Герцеговина',
 			'BB' => 'Барбадос',
 			'BD' => 'Бангладеш',
 			'BE' => 'Бельгия',
 			'BF' => 'Буркина-Фасо',
 			'BG' => 'Болгария',
 			'BH' => 'Бахрейн',
 			'BI' => 'Бурунди',
 			'BJ' => 'Бенин',
 			'BL' => 'Сен-Бартельми',
 			'BM' => 'Бермудские о-ва',
 			'BN' => 'Бруней-Даруссалам',
 			'BO' => 'Боливия',
 			'BQ' => 'Бонэйр, Синт-Эстатиус и Саба',
 			'BR' => 'Бразилия',
 			'BS' => 'Багамские о-ва',
 			'BT' => 'Бутан',
 			'BV' => 'О-в Буве',
 			'BW' => 'Ботсвана',
 			'BY' => 'Беларусь',
 			'BZ' => 'Белиз',
 			'CA' => 'Канада',
 			'CC' => 'Кокосовые о-ва',
 			'CD' => 'Конго - Киншаса',
 			'CD@alt=variant' => 'Конго (ДРК)',
 			'CF' => 'ЦАР',
 			'CG' => 'Конго - Браззавиль',
 			'CG@alt=variant' => 'Конго',
 			'CH' => 'Швейцария',
 			'CI' => 'Кот-д\'Ивуар',
 			'CI@alt=variant' => 'Берег Слоновой Кости',
 			'CK' => 'О-ва Кука',
 			'CL' => 'Чили',
 			'CM' => 'Камерун',
 			'CN' => 'Китай',
 			'CO' => 'Колумбия',
 			'CP' => 'О-в Клиппертон',
 			'CR' => 'Коста-Рика',
 			'CU' => 'Куба',
 			'CV' => 'Кабо-Верде',
 			'CW' => 'Кюрасао',
 			'CX' => 'О-в Рождества',
 			'CY' => 'Кипр',
 			'CZ' => 'Чехия',
 			'DE' => 'Германия',
 			'DG' => 'Диего-Гарсия',
 			'DJ' => 'Джибути',
 			'DK' => 'Дания',
 			'DM' => 'Доминика',
 			'DO' => 'Доминиканская Республика',
 			'DZ' => 'Алжир',
 			'EA' => 'Сеута и Мелилья',
 			'EC' => 'Эквадор',
 			'EE' => 'Эстония',
 			'EG' => 'Египет',
 			'EH' => 'Западная Сахара',
 			'ER' => 'Эритрея',
 			'ES' => 'Испания',
 			'ET' => 'Эфиопия',
 			'EU' => 'Европейский союз',
 			'FI' => 'Финляндия',
 			'FJ' => 'Фиджи',
 			'FK' => 'Фолклендские о-ва',
 			'FK@alt=variant' => 'Фолклендские (Мальвинские) о-ва',
 			'FM' => 'Федеративные Штаты Микронезии',
 			'FO' => 'Фарерские о-ва',
 			'FR' => 'Франция',
 			'GA' => 'Габон',
 			'GB' => 'Великобритания',
 			'GB@alt=short' => 'Британия',
 			'GD' => 'Гренада',
 			'GE' => 'Грузия',
 			'GF' => 'Французская Гвиана',
 			'GG' => 'Гернси',
 			'GH' => 'Гана',
 			'GI' => 'Гибралтар',
 			'GL' => 'Гренландия',
 			'GM' => 'Гамбия',
 			'GN' => 'Гвинея',
 			'GP' => 'Гваделупа',
 			'GQ' => 'Экваториальная Гвинея',
 			'GR' => 'Греция',
 			'GS' => 'Южная Георгия и Южные Сандвичевы о-ва',
 			'GT' => 'Гватемала',
 			'GU' => 'Гуам',
 			'GW' => 'Гвинея-Бисау',
 			'GY' => 'Гайана',
 			'HK' => 'Гонконг (особый район)',
 			'HK@alt=short' => 'Гонконг',
 			'HM' => 'О-ва Херд и Макдональд',
 			'HN' => 'Гондурас',
 			'HR' => 'Хорватия',
 			'HT' => 'Гаити',
 			'HU' => 'Венгрия',
 			'IC' => 'Канарские о-ва',
 			'ID' => 'Индонезия',
 			'IE' => 'Ирландия',
 			'IL' => 'Израиль',
 			'IM' => 'О-в Мэн',
 			'IN' => 'Индия',
 			'IO' => 'Британская территория в Индийском океане',
 			'IQ' => 'Ирак',
 			'IR' => 'Иран',
 			'IS' => 'Исландия',
 			'IT' => 'Италия',
 			'JE' => 'Джерси',
 			'JM' => 'Ямайка',
 			'JO' => 'Иордания',
 			'JP' => 'Япония',
 			'KE' => 'Кения',
 			'KG' => 'Киргизия',
 			'KH' => 'Камбоджа',
 			'KI' => 'Кирибати',
 			'KM' => 'Коморские о-ва',
 			'KN' => 'Сент-Китс и Невис',
 			'KP' => 'КНДР',
 			'KR' => 'Республика Корея',
 			'KW' => 'Кувейт',
 			'KY' => 'Каймановы о-ва',
 			'KZ' => 'Казахстан',
 			'LA' => 'Лаос',
 			'LB' => 'Ливан',
 			'LC' => 'Сент-Люсия',
 			'LI' => 'Лихтенштейн',
 			'LK' => 'Шри-Ланка',
 			'LR' => 'Либерия',
 			'LS' => 'Лесото',
 			'LT' => 'Литва',
 			'LU' => 'Люксембург',
 			'LV' => 'Латвия',
 			'LY' => 'Ливия',
 			'MA' => 'Марокко',
 			'MC' => 'Монако',
 			'MD' => 'Молдова',
 			'ME' => 'Черногория',
 			'MF' => 'Сен-Мартен',
 			'MG' => 'Мадагаскар',
 			'MH' => 'Маршалловы о-ва',
 			'MK' => 'Македония',
 			'MK@alt=variant' => 'Македония (БЮРМ)',
 			'ML' => 'Мали',
 			'MM' => 'Мьянма (Бирма)',
 			'MN' => 'Монголия',
 			'MO' => 'Макао (особый район)',
 			'MO@alt=short' => 'Макао',
 			'MP' => 'Северные Марианские о-ва',
 			'MQ' => 'Мартиника',
 			'MR' => 'Мавритания',
 			'MS' => 'Монтсеррат',
 			'MT' => 'Мальта',
 			'MU' => 'Маврикий',
 			'MV' => 'Мальдивские о-ва',
 			'MW' => 'Малави',
 			'MX' => 'Мексика',
 			'MY' => 'Малайзия',
 			'MZ' => 'Мозамбик',
 			'NA' => 'Намибия',
 			'NC' => 'Новая Каледония',
 			'NE' => 'Нигер',
 			'NF' => 'О-в Норфолк',
 			'NG' => 'Нигерия',
 			'NI' => 'Никарагуа',
 			'NL' => 'Нидерланды',
 			'NO' => 'Норвегия',
 			'NP' => 'Непал',
 			'NR' => 'Науру',
 			'NU' => 'Ниуэ',
 			'NZ' => 'Новая Зеландия',
 			'OM' => 'Оман',
 			'PA' => 'Панама',
 			'PE' => 'Перу',
 			'PF' => 'Французская Полинезия',
 			'PG' => 'Папуа – Новая Гвинея',
 			'PH' => 'Филиппины',
 			'PK' => 'Пакистан',
 			'PL' => 'Польша',
 			'PM' => 'Сен-Пьер и Микелон',
 			'PN' => 'Питкэрн',
 			'PR' => 'Пуэрто-Рико',
 			'PS' => 'Палестинские территории',
 			'PS@alt=short' => 'Палестина',
 			'PT' => 'Португалия',
 			'PW' => 'Палау',
 			'PY' => 'Парагвай',
 			'QA' => 'Катар',
 			'QO' => 'Внешняя Океания',
 			'RE' => 'Реюньон',
 			'RO' => 'Румыния',
 			'RS' => 'Сербия',
 			'RU' => 'Россия',
 			'RW' => 'Руанда',
 			'SA' => 'Саудовская Аравия',
 			'SB' => 'Соломоновы о-ва',
 			'SC' => 'Сейшельские о-ва',
 			'SD' => 'Судан',
 			'SE' => 'Швеция',
 			'SG' => 'Сингапур',
 			'SH' => 'О-в Св. Елены',
 			'SI' => 'Словения',
 			'SJ' => 'Шпицберген и Ян-Майен',
 			'SK' => 'Словакия',
 			'SL' => 'Сьерра-Леоне',
 			'SM' => 'Сан-Марино',
 			'SN' => 'Сенегал',
 			'SO' => 'Сомали',
 			'SR' => 'Суринам',
 			'SS' => 'Южный Судан',
 			'ST' => 'Сан-Томе и Принсипи',
 			'SV' => 'Сальвадор',
 			'SX' => 'Синт-Мартен',
 			'SY' => 'Сирия',
 			'SZ' => 'Свазиленд',
 			'TA' => 'Тристан-да-Кунья',
 			'TC' => 'О-ва Тёркс и Кайкос',
 			'TD' => 'Чад',
 			'TF' => 'Французские Южные Территории',
 			'TG' => 'Того',
 			'TH' => 'Таиланд',
 			'TJ' => 'Таджикистан',
 			'TK' => 'Токелау',
 			'TL' => 'Восточный Тимор',
 			'TM' => 'Туркменистан',
 			'TN' => 'Тунис',
 			'TO' => 'Тонга',
 			'TR' => 'Турция',
 			'TT' => 'Тринидад и Тобаго',
 			'TV' => 'Тувалу',
 			'TW' => 'Тайвань',
 			'TZ' => 'Танзания',
 			'UA' => 'Украина',
 			'UG' => 'Уганда',
 			'UM' => 'Внешние малые о-ва (США)',
 			'US' => 'Соединенные Штаты',
 			'US@alt=short' => 'США',
 			'UY' => 'Уругвай',
 			'UZ' => 'Узбекистан',
 			'VA' => 'Ватикан',
 			'VC' => 'Сент-Винсент и Гренадины',
 			'VE' => 'Венесуэла',
 			'VG' => 'Виргинские о-ва (Британские)',
 			'VI' => 'Виргинские о-ва (США)',
 			'VN' => 'Вьетнам',
 			'VU' => 'Вануату',
 			'WF' => 'Уоллис и Футуна',
 			'WS' => 'Самоа',
 			'XK' => 'Косово',
 			'YE' => 'Йемен',
 			'YT' => 'Майотта',
 			'ZA' => 'ЮАР',
 			'ZM' => 'Замбия',
 			'ZW' => 'Зимбабве',
 			'ZZ' => 'Неизвестный регион',

		}
	},
);

has 'display_name_variant' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'1901' => 'Традиционная немецкая орфография',
 			'1994' => 'Стандартизированная резьянская орфография',
 			'1996' => 'Правила немецкой орфографии установленные с 1996 года',
 			'1606NICT' => 'Поздне-средневековый французский до 1606 г.',
 			'1694ACAD' => 'Французский раннего нового времени',
 			'1959ACAD' => 'Академическая',
 			'AREVELA' => 'Восточно-армянский',
 			'AREVMDA' => 'Западно-армянский',
 			'BAKU1926' => 'Унифицированный тюрско-латинский алфавит',
 			'BISKE' => 'Диалект Сан-Гиоргио/Била',
 			'BOONT' => 'Бунтлинг',
 			'FONIPA' => 'Международный фонетический алфавит',
 			'FONUPA' => 'Фонетический алфавит уральских языков',
 			'KKCOR' => 'Общая офография',
 			'LIPAW' => 'Липовецкий диалект резьянского языка',
 			'MONOTON' => 'Монотонный',
 			'NEDIS' => 'Надижский диалект',
 			'NJIVA' => 'Гнива-нживский диалект',
 			'OSOJS' => 'Осеакко-осоянский диалект',
 			'PINYIN' => 'Пиньинь',
 			'POLYTON' => 'Многотональный',
 			'POSIX' => 'Компьютерный',
 			'REVISED' => 'Пересмотренная орфография',
 			'ROZAJ' => 'Резьянский',
 			'SAAHO' => 'Сахо',
 			'SCOTLAND' => 'Англо-шотландский',
 			'SCOUSE' => 'Ливерпульский',
 			'SOLBA' => 'Столвицко-солбицкий диалект',
 			'TARASK' => 'Тарашкевица',
 			'UCCOR' => 'Объединенная орфография',
 			'UCRCOR' => 'Объединенная пересмотренная орфография',
 			'VALENCIA' => 'Валенсийский',
 			'WADEGILE' => 'Система Уэйда – Джайлза',

		}
	},
);

has 'display_name_key' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'calendar' => 'Календарь',
 			'colalternate' => 'Игнорировать символы при сортировке',
 			'colbackwards' => 'Обратная сортировка по акценту',
 			'colcasefirst' => 'Сортировка по верхнему или нижнему регистру',
 			'colcaselevel' => 'Сортировка с учетом регистра',
 			'colhiraganaquaternary' => 'Сортировка каны',
 			'collation' => 'Сопоставление',
 			'colnormalization' => 'Нормализованная сортировка',
 			'colnumeric' => 'Сортировка чисел',
 			'colstrength' => 'Эффективность сортировки',
 			'currency' => 'Валюта',
 			'numbers' => 'Цифры',
 			'timezone' => 'Часовой пояс',
 			'va' => 'Вариант региональных настроек',
 			'variabletop' => 'Сортировать как символьный массив',
 			'x' => 'Частное',

		}
	},
);

has 'display_name_type' => (
	is			=> 'ro',
	isa			=> 'HashRef[HashRef[Str]]',
	init_arg	=> undef,
	default		=> sub {
		{
			'calendar' => {
 				'buddhist' => q{Буддийский календарь},
 				'chinese' => q{Китайский календарь},
 				'coptic' => q{Коптский календарь},
 				'dangi' => q{календарь данги},
 				'ethiopic' => q{Эфиопский календарь},
 				'ethiopic-amete-alem' => q{Эфиопский календарь "Амете Алем"},
 				'gregorian' => q{Григорианский календарь},
 				'hebrew' => q{Еврейский календарь},
 				'indian' => q{Национальный календарь Индии},
 				'islamic' => q{Исламский календарь},
 				'islamic-civil' => q{Исламский гражданский календарь},
 				'islamic-rgsa' => q{исламский календарь (Саудовская Аравия)},
 				'islamic-tbla' => q{исламский календарь (табличный, астрономическая эпоха)},
 				'islamic-umalqura' => q{исламский календарь (Умм аль-Кура)},
 				'iso8601' => q{календарь ISO-8601},
 				'japanese' => q{Японский календарь},
 				'persian' => q{Персидский календарь},
 				'roc' => q{Китайский календарь},
 			},
 			'colalternate' => {
 				'non-ignorable' => q{Сортировка символов},
 				'shifted' => q{Сортировка без учета символов},
 			},
 			'colbackwards' => {
 				'no' => q{Сортировка по акцентам в обычном порядке},
 				'yes' => q{Сортировка по акцентам в обратном порядке},
 			},
 			'colcasefirst' => {
 				'lower' => q{Приоритетная сортировка слов в нижнем регистре},
 				'no' => q{Сортировка по стандартным правилам},
 				'upper' => q{Приоритетная сортировка слов в верхнем регистре},
 			},
 			'colcaselevel' => {
 				'no' => q{Сортировка вне зависимости от регистра},
 				'yes' => q{Сортировка с учетом регистра},
 			},
 			'colhiraganaquaternary' => {
 				'no' => q{Отдельная сортировка каны},
 				'yes' => q{Сортировка каны другим способом},
 			},
 			'collation' => {
 				'big5han' => q{Сортировка традиционного китайского языка – Big5},
 				'dictionary' => q{словарный порядок сортировки},
 				'ducet' => q{cтандартная сортировка Unicode},
 				'eor' => q{европейские правила сортировки},
 				'gb2312han' => q{упрощенный китайский - GB2312},
 				'phonebook' => q{порядок телефонной книги},
 				'phonetic' => q{Фонетический порядок сортировки},
 				'pinyin' => q{пиньинь},
 				'reformed' => q{реформированный порядок сортировки},
 				'search' => q{поиск},
 				'searchjl' => q{Поиск по первой согласной хангыль},
 				'standard' => q{стандартное сопоставление},
 				'stroke' => q{по чертам},
 				'traditional' => q{традиционный порядок},
 				'unihan' => q{сортировка по ключам, затем по чертам},
 				'zhuyin' => q{чжуинь},
 			},
 			'colnormalization' => {
 				'no' => q{Сортировка без нормализации},
 				'yes' => q{Сортировка нормализованных символов Unicode},
 			},
 			'colnumeric' => {
 				'no' => q{Отдельная сортировка числовых значений},
 				'yes' => q{Сортировка численных значений},
 			},
 			'colstrength' => {
 				'identical' => q{Полная сортировка},
 				'primary' => q{Сортировка только по символам, обозначающим разрядность},
 				'quaternary' => q{Сортировка по акцентам/регистрам/длине строки/кане},
 				'secondary' => q{Сортировка по акцентам},
 				'tertiary' => q{Сортировка по акцентам/регистру/длине строки},
 			},
 			'numbers' => {
 				'arab' => q{Арабско-индийские цифры},
 				'arabext' => q{Расширенная система арабско-индийских цифр},
 				'armn' => q{Армянские цифры},
 				'armnlow' => q{Армянские цифры в нижнем регистре},
 				'bali' => q{балийские цифры},
 				'beng' => q{Бенгальские цифры},
 				'brah' => q{цифры брахми},
 				'cakm' => q{цифры чакма},
 				'cham' => q{чамские цифры},
 				'deva' => q{Цифры деванагари},
 				'ethi' => q{Эфиопские цифры},
 				'finance' => q{Символы обозначения финансовых показателей},
 				'fullwide' => q{Полный формат цифр},
 				'geor' => q{Грузинские цифры},
 				'grek' => q{Греческие цифры},
 				'greklow' => q{Греческие цифры в нижнем регистре},
 				'gujr' => q{Цифры гуджарати},
 				'guru' => q{Цифры гурмукхи},
 				'hanidec' => q{Китайские десятичные цифры},
 				'hans' => q{Упрощенные китайские цифры},
 				'hansfin' => q{Упрощенные китайские цифры (финансы)},
 				'hant' => q{Традиционные китайские цифры},
 				'hantfin' => q{Традиционные китайские цифры (финансы)},
 				'hebr' => q{Цифры на иврите},
 				'java' => q{яванские цифры},
 				'jpan' => q{Японские цифры},
 				'jpanfin' => q{Японские цифры (финансы)},
 				'kali' => q{цифры кайя ли},
 				'khmr' => q{Кхмерские цифры},
 				'knda' => q{Цифры каннада},
 				'lana' => q{цифры тай там хора},
 				'lanatham' => q{цифры тай там там},
 				'laoo' => q{Лаосские цифры},
 				'latn' => q{Современные цифры},
 				'lepc' => q{цифры лепча},
 				'limb' => q{цифры лимбу},
 				'mlym' => q{Цифры малаялам},
 				'mong' => q{Монгольские цифры},
 				'mtei' => q{цифры манипури},
 				'mymr' => q{Бирманские цифры},
 				'mymrshan' => q{бирманские шанские цифры},
 				'native' => q{Обозначения цифр коренного населения},
 				'nkoo' => q{цифры нко},
 				'olck' => q{цифры ол-чики},
 				'orya' => q{Цифры ория},
 				'osma' => q{цифры османья},
 				'roman' => q{Римские цифры},
 				'romanlow' => q{Римские цифры в нижнем регистре},
 				'saur' => q{цифры саураштра},
 				'shrd' => q{цифры шарада},
 				'sora' => q{цифры сора-сомпенг},
 				'sund' => q{суданские цифры},
 				'takr' => q{цифры такри},
 				'talu' => q{цифры новой тай-лю},
 				'taml' => q{Тамильские цифры},
 				'tamldec' => q{Тамильские цифры},
 				'telu' => q{Цифры телугу},
 				'thai' => q{Тайские цифры},
 				'tibt' => q{Тибетские цифры},
 				'traditional' => q{Традиционная система нумерации},
 				'vaii' => q{Цифры языка вай},
 			},

		}
	},
);

has 'display_name_measurement_system' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'metric' => q{Метрическая},
 			'UK' => q{Английская},
 			'US' => q{Англо-американская},

		}
	},
);

has 'display_name_transform_name' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'bgn' => 'Палата географических названий США',
 			'numeric' => 'Числовая',
 			'tone' => 'Тоновая',
 			'ungegn' => 'Группа экспертов ООН по географическим названиям',
 			'x-accents' => 'Диакритические знаки',
 			'x-fullwidth' => 'Широкие символы',
 			'x-halfwidth' => 'Краткий формат',
 			'x-jamo' => 'Джамо',
 			'x-pinyin' => 'Пиньин',
 			'x-publishing' => 'Типографская',

		}
	},
);

has 'display_name_code_patterns' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'language' => 'Язык: {0}',
 			'script' => 'Написание: {0}',
 			'territory' => 'Регион: {0}',

		}
	},
);

has 'characters' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub {
		no warnings 'experimental::regex_sets';
		return {
			auxiliary => qr{(?^u:[{а́} {е́} {и́} {о́} {у́} {ы́} {э́} {ю́} {я́}])},
			index => ['А', 'Б', 'В', 'Г', 'Д', 'Е', 'Ё', 'Ж', 'З', 'И', 'Й', 'К', 'Л', 'М', 'Н', 'О', 'П', 'Р', 'С', 'Т', 'У', 'Ф', 'Х', 'Ц', 'Ч', 'Ш', 'Щ', 'Ы', 'Э', 'Ю', 'Я'],
			main => qr{(?^u:[а б в г д е ё ж з и й к л м н о п р с т у ф х ц ч ш щ ъ ы ь э ю я])},
			punctuation => qr{(?^u:[\- ‐ – — , ; \: ! ? . … ' ‘ ‚ " “ „ « » ( ) \[ \] \{ \} § @ * / \& #])},
		};
	},
);

has 'ellipsis' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub {
		return {
			'final' => '{0}…',
			'initial' => '…{0}',
			'medial' => '{0}…{1}',
			'word-final' => '{0} …',
			'word-initial' => '… {0}',
			'word-medial' => '{0} … {1}',
		};
	},
);

has 'more_information' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{?},
);

has 'quote_start' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{«},
);

has 'quote_end' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{»},
);

has 'alternate_quote_start' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{„},
);

has 'alternate_quote_end' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{“},
);

has 'duration_units' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { {
				hm => 'h:mm',
				hms => 'h:mm:ss',
				ms => 'm:ss',
			} }
);

has 'units' => (
	is			=> 'ro',
	isa			=> 'HashRef[HashRef[HashRef[Str]]]',
	init_arg	=> undef,
	default		=> sub { {
				'long' => {
					'acre' => {
						'few' => q({0} акра),
						'many' => q({0} акров),
						'one' => q({0} акр),
						'other' => q({0} акра),
					},
					'arc-minute' => {
						'few' => q({0} минуты),
						'many' => q({0}минут),
						'one' => q({0}минута),
						'other' => q({0}минуты),
					},
					'arc-second' => {
						'few' => q({0} секунды),
						'many' => q({0}секунд),
						'one' => q({0}секунда),
						'other' => q({0}секунды),
					},
					'celsius' => {
						'few' => q({0} градуса Цельсия),
						'many' => q({0}градусов Цельсия),
						'one' => q({0}градус Цельсия),
						'other' => q({0}градуса Цельсия),
					},
					'centimeter' => {
						'few' => q({0} сантиметра),
						'many' => q({0} сантиметров),
						'one' => q({0} сантиметр),
						'other' => q({0} сантиметра),
					},
					'cubic-kilometer' => {
						'few' => q({0} кубических километра),
						'many' => q({0} кубических километров),
						'one' => q({0} кубический километр),
						'other' => q({0} кубических километра),
					},
					'cubic-mile' => {
						'few' => q({0} кубических мили),
						'many' => q({0} кубических мили),
						'one' => q({0} кубическая миля),
						'other' => q({0} кубических мили),
					},
					'day' => {
						'few' => q({0} дня),
						'many' => q({0} дней),
						'one' => q({0} день),
						'other' => q({0} дня),
					},
					'degree' => {
						'few' => q({0} градуса),
						'many' => q({0} градусов),
						'one' => q({0}градус),
						'other' => q({0} градуса),
					},
					'fahrenheit' => {
						'few' => q({0} градуса по Фаренгейту),
						'many' => q({0}градусов по Фаренгейту),
						'one' => q({0}градус по Фаренгейту),
						'other' => q({0}градуса по Фаренгейту),
					},
					'foot' => {
						'few' => q({0} фута),
						'many' => q({0} футов),
						'one' => q({0} фут),
						'other' => q({0} фута),
					},
					'g-force' => {
						'few' => q({0} G),
						'many' => q({0} G),
						'one' => q({0} G),
						'other' => q({0} G),
					},
					'gram' => {
						'few' => q({0} грамма),
						'many' => q({0} грамм),
						'one' => q({0} грамм),
						'other' => q({0} грамма),
					},
					'hectare' => {
						'few' => q({0} гектара),
						'many' => q({0} гектар),
						'one' => q({0} гектар),
						'other' => q({0} гектара),
					},
					'hectopascal' => {
						'few' => q({0} гектопаскаля),
						'many' => q({0} гектопаскалей),
						'one' => q({0} гектопаскаль),
						'other' => q({0} гектопаскаля),
					},
					'horsepower' => {
						'few' => q({0} лошадиных силы),
						'many' => q({0} лошадиных сил),
						'one' => q({0} лошадиная сила),
						'other' => q({0} лошадиных сил),
					},
					'hour' => {
						'few' => q({0} часа),
						'many' => q({0} часов),
						'one' => q({0} час),
						'other' => q({0} часа),
					},
					'inch' => {
						'few' => q({0} дюйма),
						'many' => q({0} дюймов),
						'one' => q({0} дюйм),
						'other' => q({0} дюйма),
					},
					'inch-hg' => {
						'few' => q({0} дюйма ртутного столба),
						'many' => q({0} дюймов ртутного столба),
						'one' => q({0} дюйм ртутного столба),
						'other' => q({0}дюйма ртутного столба),
					},
					'kilogram' => {
						'few' => q({0} килограмма),
						'many' => q({0} килограмм),
						'one' => q({0} килограмм),
						'other' => q({0} килограмма),
					},
					'kilometer' => {
						'few' => q({0} километра),
						'many' => q({0} километров),
						'one' => q({0} километр),
						'other' => q({0} километра),
					},
					'kilometer-per-hour' => {
						'few' => q({0} километра в час),
						'many' => q({0} километров в час),
						'one' => q({0} километр в час),
						'other' => q({0} километра в час),
					},
					'kilowatt' => {
						'few' => q({0} киловатта),
						'many' => q({0} киловатт),
						'one' => q({0} киловатт),
						'other' => q({0} киловатта),
					},
					'light-year' => {
						'few' => q({0} световых года),
						'many' => q({0} световых лет),
						'one' => q({0} световой год),
						'other' => q({0} световых года),
					},
					'liter' => {
						'few' => q({0} литра),
						'many' => q({0} литра),
						'one' => q({0} литр),
						'other' => q({0} литра),
					},
					'meter' => {
						'few' => q({0} метра),
						'many' => q({0} метров),
						'one' => q({0} метр),
						'other' => q({0} метра),
					},
					'meter-per-second' => {
						'few' => q({0} метра в секундыу),
						'many' => q({0} метров в секунду),
						'one' => q({0} метр в секунду),
						'other' => q({0} метра в секунду),
					},
					'mile' => {
						'few' => q({0} мили),
						'many' => q({0} миль),
						'one' => q({0} миля),
						'other' => q({0} мили),
					},
					'mile-per-hour' => {
						'few' => q({0} мили в час),
						'many' => q({0} миль в час),
						'one' => q({0} миля в час),
						'other' => q({0} миль в час),
					},
					'millibar' => {
						'few' => q({0} миллибара),
						'many' => q({0} миллибар),
						'one' => q({0} миллибар),
						'other' => q({0} миллибара),
					},
					'millimeter' => {
						'few' => q({0} миллиметра),
						'many' => q({0} миллиметров),
						'one' => q({0} миллиметр),
						'other' => q({0} миллиметра),
					},
					'millisecond' => {
						'few' => q({0} миллисекунды),
						'many' => q({0} миллисекунды),
						'one' => q({0} миллисекунда),
						'other' => q({0} миллисекунды),
					},
					'minute' => {
						'few' => q({0} минуты),
						'many' => q({0} минут),
						'one' => q({0} минута),
						'other' => q({0} минуты),
					},
					'month' => {
						'few' => q({0} месяца),
						'many' => q({0} месяцев),
						'one' => q({0} месяц),
						'other' => q({0} месяца),
					},
					'ounce' => {
						'few' => q({0} унции),
						'many' => q({0} унций),
						'one' => q({0} унция),
						'other' => q({0} унции),
					},
					'per' => {
						'' => q({0} на {1}),
					},
					'picometer' => {
						'few' => q({0} пикометра),
						'many' => q({0} пикометров),
						'one' => q({0} пикометр),
						'other' => q({0} пикометра),
					},
					'pound' => {
						'few' => q({0} фунта),
						'many' => q({0} фунтов),
						'one' => q({0} фунт),
						'other' => q({0} фунта),
					},
					'second' => {
						'few' => q({0} секунды),
						'many' => q({0} секунд),
						'one' => q({0} секунда),
						'other' => q({0} секунды),
					},
					'square-foot' => {
						'few' => q({0} квадратных фута),
						'many' => q({0} квадратных футов),
						'one' => q({0} квадратный фут),
						'other' => q({0} квадратных фута),
					},
					'square-kilometer' => {
						'few' => q({0} квадратных километра),
						'many' => q({0} квадратных километров),
						'one' => q({0} квадратный километр),
						'other' => q({0} квадратных километра),
					},
					'square-meter' => {
						'few' => q({0} квадратных метра),
						'many' => q({0} квадратных метров),
						'one' => q({0} квадратный метр),
						'other' => q({0} квадратных метра),
					},
					'square-mile' => {
						'few' => q({0} квадратных мили),
						'many' => q({0} квадратных миль),
						'one' => q({0} квадратная миля),
						'other' => q({0} квадратных мили),
					},
					'watt' => {
						'few' => q({0} ватта),
						'many' => q({0} ватт),
						'one' => q({0} ватт),
						'other' => q({0} ватта),
					},
					'week' => {
						'few' => q({0} недели),
						'many' => q({0} недель),
						'one' => q({0} неделя),
						'other' => q({0} недели),
					},
					'yard' => {
						'few' => q({0} ярда),
						'many' => q({0} ярдов),
						'one' => q({0} ярд),
						'other' => q({0} ярда),
					},
					'year' => {
						'few' => q({0} года),
						'many' => q({0} лет),
						'one' => q({0} год),
						'other' => q({0} года),
					},
				},
				'narrow' => {
					'acre' => {
						'few' => q({0} акра),
						'many' => q({0} акров),
						'one' => q({0} акр),
						'other' => q({0} акра),
					},
					'arc-minute' => {
						'few' => q({0}′),
						'many' => q({0}′),
						'one' => q({0}′),
						'other' => q({0}′),
					},
					'arc-second' => {
						'few' => q({0}″),
						'many' => q({0}″),
						'one' => q({0}″),
						'other' => q({0}″),
					},
					'celsius' => {
						'few' => q({0} °),
						'many' => q({0} °),
						'one' => q({0} °),
						'other' => q({0} °),
					},
					'centimeter' => {
						'few' => q({0} см),
						'many' => q({0} см),
						'one' => q({0} см),
						'other' => q({0} см),
					},
					'cubic-kilometer' => {
						'few' => q({0} км³),
						'many' => q({0} км³),
						'one' => q({0} км³),
						'other' => q({0} км³),
					},
					'cubic-mile' => {
						'few' => q({0} куб. мили),
						'many' => q({0} куб. мили),
						'one' => q({0} куб. миля),
						'other' => q({0} куб. мили),
					},
					'day' => {
						'few' => q({0} д.),
						'many' => q({0} д.),
						'one' => q({0} д.),
						'other' => q({0} д.),
					},
					'degree' => {
						'few' => q({0}°),
						'many' => q({0}°),
						'one' => q({0}°),
						'other' => q({0}°),
					},
					'fahrenheit' => {
						'few' => q({0}°F),
						'many' => q({0}°F),
						'one' => q({0}°F),
						'other' => q({0}°F),
					},
					'foot' => {
						'few' => q({0} фута),
						'many' => q({0} футов),
						'one' => q({0} фут),
						'other' => q({0} фута),
					},
					'g-force' => {
						'few' => q({0} G),
						'many' => q({0} G),
						'one' => q({0} G),
						'other' => q({0} G),
					},
					'gram' => {
						'few' => q({0} гр),
						'many' => q({0} гр),
						'one' => q({0} гр),
						'other' => q({0} гр),
					},
					'hectare' => {
						'few' => q({0} га),
						'many' => q({0} га),
						'one' => q({0} га),
						'other' => q({0} га),
					},
					'hectopascal' => {
						'few' => q({0} гПа),
						'many' => q({0} гПа),
						'one' => q({0} гПа),
						'other' => q({0} гПа),
					},
					'horsepower' => {
						'few' => q({0} л.с.),
						'many' => q({0} л.с.),
						'one' => q({0} л.с.),
						'other' => q({0} л.с.),
					},
					'hour' => {
						'few' => q({0} ч),
						'many' => q({0} ч),
						'one' => q({0} ч),
						'other' => q({0} ч),
					},
					'inch' => {
						'few' => q({0} дюйма),
						'many' => q({0} дюймов),
						'one' => q({0} дюйм),
						'other' => q({0} дюйма),
					},
					'inch-hg' => {
						'few' => q({0} inHg),
						'many' => q({0} inHg),
						'one' => q({0} inHg),
						'other' => q({0} inHg),
					},
					'kilogram' => {
						'few' => q({0} кг),
						'many' => q({0} кг),
						'one' => q({0} кг),
						'other' => q({0} кг),
					},
					'kilometer' => {
						'few' => q({0} км),
						'many' => q({0} км),
						'one' => q({0} км),
						'other' => q({0} км),
					},
					'kilometer-per-hour' => {
						'few' => q({0} км/ч),
						'many' => q({0} км/ч),
						'one' => q({0} км/ч),
						'other' => q({0} км/ч),
					},
					'kilowatt' => {
						'few' => q({0} кВт),
						'many' => q({0} кВт),
						'one' => q({0} кВт),
						'other' => q({0} кВт),
					},
					'light-year' => {
						'few' => q({0} св. л.),
						'many' => q({0} св. л.),
						'one' => q({0} св. г.),
						'other' => q({0} св. г.),
					},
					'liter' => {
						'few' => q({0} л),
						'many' => q({0} л),
						'one' => q({0} л),
						'other' => q({0} л),
					},
					'meter' => {
						'few' => q({0} м),
						'many' => q({0} м),
						'one' => q({0} м),
						'other' => q({0} м),
					},
					'meter-per-second' => {
						'few' => q({0} м/с),
						'many' => q({0} м/с),
						'one' => q({0} м/с),
						'other' => q({0} м/с),
					},
					'mile' => {
						'few' => q({0} миль),
						'many' => q({0} миль),
						'one' => q({0} миля),
						'other' => q({0} мили),
					},
					'mile-per-hour' => {
						'few' => q({0} миль/ч),
						'many' => q({0} миль/ч),
						'one' => q({0} миль/ч),
						'other' => q({0} миль/ч),
					},
					'millibar' => {
						'few' => q({0} мбар),
						'many' => q({0} мбар),
						'one' => q({0} мбар),
						'other' => q({0} мбар),
					},
					'millimeter' => {
						'few' => q({0} мм),
						'many' => q({0} мм),
						'one' => q({0} мм),
						'other' => q({0} мм),
					},
					'millisecond' => {
						'few' => q({0} мс),
						'many' => q({0} мс),
						'one' => q({0} мс),
						'other' => q({0} мс),
					},
					'minute' => {
						'few' => q({0} мин),
						'many' => q({0} мин),
						'one' => q({0} м.),
						'other' => q({0} мин),
					},
					'month' => {
						'few' => q({0} м.),
						'many' => q({0} м.),
						'one' => q({0} м.),
						'other' => q({0} м.),
					},
					'ounce' => {
						'few' => q({0} oz),
						'many' => q({0} oz),
						'one' => q({0} oz),
						'other' => q({0} oz),
					},
					'per' => {
						'' => q({0}/{1}),
					},
					'picometer' => {
						'few' => q({0} pm),
						'many' => q({0} pm),
						'one' => q({0} pm),
						'other' => q({0} pm),
					},
					'pound' => {
						'few' => q({0} lb),
						'many' => q({0} lb),
						'one' => q({0} lb),
						'other' => q({0} lb),
					},
					'second' => {
						'few' => q({0} с),
						'many' => q({0} с),
						'one' => q({0} с),
						'other' => q({0} с),
					},
					'square-foot' => {
						'few' => q({0} кв. фута),
						'many' => q({0} кв. футов),
						'one' => q({0} кв. фут),
						'other' => q({0} кв. фута),
					},
					'square-kilometer' => {
						'few' => q({0} км²),
						'many' => q({0} км²),
						'one' => q({0} км²),
						'other' => q({0} км²),
					},
					'square-meter' => {
						'few' => q({0} м²),
						'many' => q({0} м²),
						'one' => q({0} м²),
						'other' => q({0} м²),
					},
					'square-mile' => {
						'few' => q({0} кв. мили),
						'many' => q({0} кв. миль),
						'one' => q({0} кв. миля),
						'other' => q({0} кв. мили),
					},
					'watt' => {
						'few' => q({0} Вт),
						'many' => q({0} Вт),
						'one' => q({0} Вт),
						'other' => q({0} Вт),
					},
					'week' => {
						'few' => q({0} н.),
						'many' => q({0} н.),
						'one' => q({0} н.),
						'other' => q({0} н.),
					},
					'yard' => {
						'few' => q({0} ярда),
						'many' => q({0} ярдов),
						'one' => q({0} ярд),
						'other' => q({0} ярда),
					},
					'year' => {
						'few' => q({0} л.),
						'many' => q({0} л.),
						'one' => q({0} г.),
						'other' => q({0} г.),
					},
				},
				'short' => {
					'acre' => {
						'few' => q({0} акра),
						'many' => q({0} акров),
						'one' => q({0} акр),
						'other' => q({0} акра),
					},
					'arc-minute' => {
						'few' => q({0}′),
						'many' => q({0}′),
						'one' => q({0}′),
						'other' => q({0}′),
					},
					'arc-second' => {
						'few' => q({0}″),
						'many' => q({0}″),
						'one' => q({0}″),
						'other' => q({0}″),
					},
					'celsius' => {
						'few' => q({0} °C),
						'many' => q({0} °C),
						'one' => q({0} °C),
						'other' => q({0} °C),
					},
					'centimeter' => {
						'few' => q({0} см),
						'many' => q({0} см),
						'one' => q({0} см),
						'other' => q({0} см),
					},
					'cubic-kilometer' => {
						'few' => q({0} км³),
						'many' => q({0} км³),
						'one' => q({0} км³),
						'other' => q({0} км³),
					},
					'cubic-mile' => {
						'few' => q({0} куб. мили),
						'many' => q({0} куб. мили),
						'one' => q({0} куб. миля),
						'other' => q({0} куб. мили),
					},
					'day' => {
						'few' => q({0} дн),
						'many' => q({0} дн),
						'one' => q({0} дн),
						'other' => q({0} дн),
					},
					'degree' => {
						'few' => q({0}°),
						'many' => q({0}°),
						'one' => q({0}°),
						'other' => q({0}°),
					},
					'fahrenheit' => {
						'few' => q({0}°F),
						'many' => q({0}°F),
						'one' => q({0}°F),
						'other' => q({0}°F),
					},
					'foot' => {
						'few' => q({0} фута),
						'many' => q({0} футов),
						'one' => q({0} фут),
						'other' => q({0} фута),
					},
					'g-force' => {
						'few' => q({0} G),
						'many' => q({0} G),
						'one' => q({0} G),
						'other' => q({0} G),
					},
					'gram' => {
						'few' => q({0} гр),
						'many' => q({0} гр),
						'one' => q({0} гр),
						'other' => q({0} гр),
					},
					'hectare' => {
						'few' => q({0} га),
						'many' => q({0} га),
						'one' => q({0} га),
						'other' => q({0} га),
					},
					'hectopascal' => {
						'few' => q({0} гПа),
						'many' => q({0} гПа),
						'one' => q({0} гПа),
						'other' => q({0} гПа),
					},
					'horsepower' => {
						'few' => q({0} л.с.),
						'many' => q({0} л.с.),
						'one' => q({0} л.с.),
						'other' => q({0} л.с.),
					},
					'hour' => {
						'few' => q({0} ч),
						'many' => q({0} ч),
						'one' => q({0} ч),
						'other' => q({0} ч),
					},
					'inch' => {
						'few' => q({0} дюйма),
						'many' => q({0} дюймов),
						'one' => q({0} дюйм),
						'other' => q({0} дюйма),
					},
					'inch-hg' => {
						'few' => q({0} дюйма рт. ст),
						'many' => q({0} дюймов рт. ст),
						'one' => q({0} дюйм рт. ст),
						'other' => q({0} дюйма рт. ст),
					},
					'kilogram' => {
						'few' => q({0} кг),
						'many' => q({0} кг),
						'one' => q({0} кг),
						'other' => q({0} кг),
					},
					'kilometer' => {
						'few' => q({0} км),
						'many' => q({0} км),
						'one' => q({0} км),
						'other' => q({0} км),
					},
					'kilometer-per-hour' => {
						'few' => q({0} км/ч),
						'many' => q({0} км/ч),
						'one' => q({0} км/ч),
						'other' => q({0} км/ч),
					},
					'kilowatt' => {
						'few' => q({0} кВт),
						'many' => q({0} кВт),
						'one' => q({0} кВт),
						'other' => q({0} кВт),
					},
					'light-year' => {
						'few' => q({0} св. л.),
						'many' => q({0} св. л.),
						'one' => q({0} св. г.),
						'other' => q({0} св. г.),
					},
					'liter' => {
						'few' => q({0} л),
						'many' => q({0} л),
						'one' => q({0} л),
						'other' => q({0} л),
					},
					'meter' => {
						'few' => q({0} м),
						'many' => q({0} м),
						'one' => q({0} м),
						'other' => q({0} м),
					},
					'meter-per-second' => {
						'few' => q({0} м/с),
						'many' => q({0} м/с),
						'one' => q({0} м/с),
						'other' => q({0} м/с),
					},
					'mile' => {
						'few' => q({0} мили),
						'many' => q({0} миль),
						'one' => q({0} миля),
						'other' => q({0} мили),
					},
					'mile-per-hour' => {
						'few' => q({0} мили/час),
						'many' => q({0} миль/час),
						'one' => q({0} миль/час),
						'other' => q({0} миль/час),
					},
					'millibar' => {
						'few' => q({0} мбар),
						'many' => q({0} мбар),
						'one' => q({0} мбар),
						'other' => q({0} мбар),
					},
					'millimeter' => {
						'few' => q({0} мм),
						'many' => q({0} мм),
						'one' => q({0} мм),
						'other' => q({0} мм),
					},
					'millisecond' => {
						'few' => q({0} мс),
						'many' => q({0} мс),
						'one' => q({0} мс),
						'other' => q({0} мс),
					},
					'minute' => {
						'few' => q({0} мин),
						'many' => q({0} мин),
						'one' => q({0} мин),
						'other' => q({0} мин),
					},
					'month' => {
						'few' => q({0} мес),
						'many' => q({0} мес),
						'one' => q({0} мес),
						'other' => q({0} мес),
					},
					'ounce' => {
						'few' => q({0} oz),
						'many' => q({0} oz),
						'one' => q({0} oz),
						'other' => q({0} oz),
					},
					'per' => {
						'' => q({0}/{1}),
					},
					'picometer' => {
						'few' => q({0} pm),
						'many' => q({0} pm),
						'one' => q({0} pm),
						'other' => q({0} pm),
					},
					'pound' => {
						'few' => q({0} lb),
						'many' => q({0} lb),
						'one' => q({0} lb),
						'other' => q({0} lb),
					},
					'second' => {
						'few' => q({0} с),
						'many' => q({0} с),
						'one' => q({0} с),
						'other' => q({0} с),
					},
					'square-foot' => {
						'few' => q({0} кв. фута),
						'many' => q({0} кв. футов),
						'one' => q({0} кв. фут),
						'other' => q({0} кв. фута),
					},
					'square-kilometer' => {
						'few' => q({0} км²),
						'many' => q({0} км²),
						'one' => q({0} км²),
						'other' => q({0} км²),
					},
					'square-meter' => {
						'few' => q({0} м²),
						'many' => q({0} м²),
						'one' => q({0} м²),
						'other' => q({0} м²),
					},
					'square-mile' => {
						'few' => q({0} кв. мили),
						'many' => q({0} кв. миль),
						'one' => q({0} кв. миля),
						'other' => q({0} кв. мили),
					},
					'watt' => {
						'few' => q({0} Вт),
						'many' => q({0} Вт),
						'one' => q({0} Вт),
						'other' => q({0} Вт),
					},
					'week' => {
						'few' => q({0} нед),
						'many' => q({0} нед),
						'one' => q({0} нед),
						'other' => q({0} нед),
					},
					'yard' => {
						'few' => q({0} ярда),
						'many' => q({0} ярдов),
						'one' => q({0} ярд),
						'other' => q({0} ярда),
					},
					'year' => {
						'few' => q({0} года),
						'many' => q({0} лет),
						'one' => q({0} г.),
						'other' => q({0} г.),
					},
				},
			} }
);


has 'yesstr' => (
	is			=> 'ro',
	isa			=> 'RegexpRef',
	init_arg	=> undef,
	default		=> sub { qr'^(?i:да|д|yes|y)$' }
);

has 'nostr' => (
	is			=> 'ro',
	isa			=> 'RegexpRef',
	init_arg	=> undef,
	default		=> sub { qr'^(?i:нет|н|no|n)$' }
);

has 'listPatterns' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
				start => q({0}, {1}),
				middle => q({0}, {1}),
				end => q({0}, {1}),
				2 => q({0}, {1}),
		} }
);

has 'number_symbols' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'latn' => {
			'decimal' => q(,),
			'exponential' => q(E),
			'group' => q( ),
			'infinity' => q(∞),
			'list' => q(;),
			'minusSign' => q(-),
			'nan' => q(не число),
			'perMille' => q(‰),
			'percentSign' => q(%),
			'plusSign' => q(+),
			'superscriptingExponent' => q(×),
		},
	} }
);

has 'number_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		decimalFormat => {
			'default' => {
				'0' => {
					'default' => '#,##0.###',
				},
				'1000' => {
					'few' => '0 тыс'.'',
					'many' => '0 тыс'.'',
					'one' => '0 тыс'.'',
					'other' => '0 тыс'.'',
				},
				'10000' => {
					'few' => '00 тыс'.'',
					'many' => '00 тыс'.'',
					'one' => '00 тыс'.'',
					'other' => '00 тыс'.'',
				},
				'100000' => {
					'few' => '000 тыс'.'',
					'many' => '000 тыс'.'',
					'one' => '000 тыс'.'',
					'other' => '000 тыс'.'',
				},
				'1000000' => {
					'few' => '0 млн',
					'many' => '0 млн',
					'one' => '0 млн',
					'other' => '0 млн',
				},
				'10000000' => {
					'few' => '00 млн',
					'many' => '00 млн',
					'one' => '00 млн',
					'other' => '00 млн',
				},
				'100000000' => {
					'few' => '000 млн',
					'many' => '000 млн',
					'one' => '000 млн',
					'other' => '000 млн',
				},
				'1000000000' => {
					'few' => '0 млрд',
					'many' => '0 млрд',
					'one' => '0 млрд',
					'other' => '0 млрд',
				},
				'10000000000' => {
					'few' => '00 млрд',
					'many' => '00 млрд',
					'one' => '00 млрд',
					'other' => '00 млрд',
				},
				'100000000000' => {
					'few' => '000 млрд',
					'many' => '000 млрд',
					'one' => '000 млрд',
					'other' => '000 млрд',
				},
				'1000000000000' => {
					'few' => '0 трлн',
					'many' => '0 трлн',
					'one' => '0 трлн',
					'other' => '0 трлн',
				},
				'10000000000000' => {
					'few' => '00 трлн',
					'many' => '00 трлн',
					'one' => '00 трлн',
					'other' => '00 трлн',
				},
				'100000000000000' => {
					'few' => '000 трлн',
					'many' => '000 трлн',
					'one' => '000 трлн',
					'other' => '000 трлн',
				},
			},
			'long' => {
				'1000' => {
					'few' => '0 тысячи',
					'many' => '0 тысяч',
					'one' => '0 тысяча',
					'other' => '0 тысячи',
				},
				'10000' => {
					'few' => '00 тысячи',
					'many' => '00 тысяч',
					'one' => '00 тысяча',
					'other' => '00 тысячи',
				},
				'100000' => {
					'few' => '000 тысячи',
					'many' => '000 тысяч',
					'one' => '000 тысяча',
					'other' => '000 тысячи',
				},
				'1000000' => {
					'few' => '0 миллиона',
					'many' => '0 миллионов',
					'one' => '0 миллион',
					'other' => '0 миллиона',
				},
				'10000000' => {
					'few' => '00 миллиона',
					'many' => '00 миллионов',
					'one' => '00 миллион',
					'other' => '00 миллиона',
				},
				'100000000' => {
					'few' => '000 миллиона',
					'many' => '000 миллионов',
					'one' => '000 миллион',
					'other' => '000 миллиона',
				},
				'1000000000' => {
					'few' => '0 миллиарда',
					'many' => '0 миллиардов',
					'one' => '0 миллиард',
					'other' => '0 миллиарда',
				},
				'10000000000' => {
					'few' => '00 миллиарда',
					'many' => '00 миллиардов',
					'one' => '00 миллиард',
					'other' => '00 миллиарда',
				},
				'100000000000' => {
					'few' => '000 миллиарда',
					'many' => '000 миллиардов',
					'one' => '000 миллиард',
					'other' => '000 миллиарда',
				},
				'1000000000000' => {
					'few' => '0 триллиона',
					'many' => '0 триллионов',
					'one' => '0 триллион',
					'other' => '0 триллиона',
				},
				'10000000000000' => {
					'few' => '00 триллиона',
					'many' => '00 триллионов',
					'one' => '00 триллион',
					'other' => '00 триллиона',
				},
				'100000000000000' => {
					'few' => '000 триллиона',
					'many' => '000 триллионов',
					'one' => '000 триллион',
					'other' => '000 триллиона',
				},
			},
			'short' => {
				'1000' => {
					'few' => '0 тыс'.'',
					'many' => '0 тыс'.'',
					'one' => '0 тыс'.'',
					'other' => '0 тыс'.'',
				},
				'10000' => {
					'few' => '00 тыс'.'',
					'many' => '00 тыс'.'',
					'one' => '00 тыс'.'',
					'other' => '00 тыс'.'',
				},
				'100000' => {
					'few' => '000 тыс'.'',
					'many' => '000 тыс'.'',
					'one' => '000 тыс'.'',
					'other' => '000 тыс'.'',
				},
				'1000000' => {
					'few' => '0 млн',
					'many' => '0 млн',
					'one' => '0 млн',
					'other' => '0 млн',
				},
				'10000000' => {
					'few' => '00 млн',
					'many' => '00 млн',
					'one' => '00 млн',
					'other' => '00 млн',
				},
				'100000000' => {
					'few' => '000 млн',
					'many' => '000 млн',
					'one' => '000 млн',
					'other' => '000 млн',
				},
				'1000000000' => {
					'few' => '0 млрд',
					'many' => '0 млрд',
					'one' => '0 млрд',
					'other' => '0 млрд',
				},
				'10000000000' => {
					'few' => '00 млрд',
					'many' => '00 млрд',
					'one' => '00 млрд',
					'other' => '00 млрд',
				},
				'100000000000' => {
					'few' => '000 млрд',
					'many' => '000 млрд',
					'one' => '000 млрд',
					'other' => '000 млрд',
				},
				'1000000000000' => {
					'few' => '0 трлн',
					'many' => '0 трлн',
					'one' => '0 трлн',
					'other' => '0 трлн',
				},
				'10000000000000' => {
					'few' => '00 трлн',
					'many' => '00 трлн',
					'one' => '00 трлн',
					'other' => '00 трлн',
				},
				'100000000000000' => {
					'few' => '000 трлн',
					'many' => '000 трлн',
					'one' => '000 трлн',
					'other' => '000 трлн',
				},
			},
		},
		percentFormat => {
			'default' => {
				'0' => {
					'default' => '#,##0 %',
				},
			},
		},
		scientificFormat => {
			'default' => {
				'0' => {
					'default' => '#E0',
				},
			},
		},
} },
);

has 'number_currency_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'latn' => {
			'pattern' => {
				'default' => {
					'standard' => {
						'negative' => '#,##0.00 ¤',
						'positive' => '#,##0.00 ¤',
					},
				},
			},
		},
} },
);

has 'curriencies' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'ADP' => {
			display_name => {
				'default' => q(Андоррская песета),
				'few' => q(андоррские песеты),
				'many' => q(андоррская песета),
				'one' => q(андоррская песета),
				'other' => q(андоррских песет),
			},
		},
		'AED' => {
			display_name => {
				'default' => q(Дирхам (ОАЭ)),
				'few' => q(дирхама (ОАЭ)),
				'many' => q(дирхамов (ОАЭ)),
				'one' => q(дирхам (ОАЭ)),
				'other' => q(дирхама (ОАЭ)),
			},
		},
		'AFA' => {
			display_name => {
				'default' => q(Афгани (1927–2002)),
			},
		},
		'AFN' => {
			display_name => {
				'default' => q(Афганский афгани),
				'few' => q(афганских афгани),
				'many' => q(афганских афгани),
				'one' => q(афганский афгани),
				'other' => q(афганского афгани),
			},
		},
		'ALL' => {
			display_name => {
				'default' => q(Албанский лек),
				'few' => q(албанских лека),
				'many' => q(албанских леков),
				'one' => q(албанский лек),
				'other' => q(албанских леков),
			},
		},
		'AMD' => {
			display_name => {
				'default' => q(Армянский драм),
				'few' => q(армянских драма),
				'many' => q(армянских драмов),
				'one' => q(армянский драм),
				'other' => q(армянских драмов),
			},
		},
		'ANG' => {
			display_name => {
				'default' => q(Нидерландский антильский гульден),
				'few' => q(нидерландских антильских гульдена),
				'many' => q(нидерландских антильских гульденов),
				'one' => q(нидерландский антильский гульден),
				'other' => q(идерландского антильского гульдена),
			},
		},
		'AOA' => {
			display_name => {
				'default' => q(Ангольская кванза),
				'few' => q(ангольские кванзы),
				'many' => q(ангольских кванз),
				'one' => q(ангольская кванза),
				'other' => q(ангольской кванзы),
			},
		},
		'AOK' => {
			display_name => {
				'default' => q(Ангольская кванза (1977–1990)),
				'few' => q(ангольские кванзы (1977–1991)),
				'many' => q(ангольских кванз (1977–1991)),
				'one' => q(ангольских кванз (1977–1991)),
				'other' => q(ангольских кванз (1977–1991)),
			},
		},
		'AON' => {
			display_name => {
				'default' => q(Ангольская новая кванза (1990–2000)),
			},
		},
		'AOR' => {
			display_name => {
				'default' => q(Ангольская кванза реюстадо (1995–1999)),
				'few' => q(ангольские кванзы реюстадо (1995–1999)),
				'many' => q(ангольских кванз реюстадо (1995–1999)),
				'one' => q(ангольских кванз реюстадо (1995–1999)),
				'other' => q(ангольских кванз реюстадо (1995–1999)),
			},
		},
		'ARA' => {
			display_name => {
				'default' => q(Аргентинский аустрал),
			},
		},
		'ARP' => {
			display_name => {
				'default' => q(Аргентинское песо (1983–1985)),
			},
		},
		'ARS' => {
			display_name => {
				'default' => q(Аргентинское песо),
				'few' => q(аргентинских песо),
				'many' => q(аргентинских песо),
				'one' => q(аргентинское песо),
				'other' => q(аргентинского песо),
			},
		},
		'ATS' => {
			display_name => {
				'default' => q(Австрийский шиллинг),
			},
		},
		'AUD' => {
			symbol => 'A$',
			display_name => {
				'default' => q(Австралийский доллар),
				'few' => q(австралийских доллара),
				'many' => q(австралийских долларов),
				'one' => q(австралийский доллар),
				'other' => q(австралийского доллара),
			},
		},
		'AWG' => {
			display_name => {
				'default' => q(Арубанский флорин),
				'few' => q(арубанских флорина),
				'many' => q(арубанских флоринов),
				'one' => q(арубанский флорин),
				'other' => q(арубанского флорина),
			},
		},
		'AZM' => {
			display_name => {
				'default' => q(Старый азербайджанский манат),
			},
		},
		'AZN' => {
			display_name => {
				'default' => q(Азербайджанский манат),
				'few' => q(азербайджанских маната),
				'many' => q(азербайджанских манатов),
				'one' => q(азербайджанский манат),
				'other' => q(азербайджанского маната),
			},
		},
		'BAD' => {
			display_name => {
				'default' => q(Динар Боснии и Герцеговины),
			},
		},
		'BAM' => {
			display_name => {
				'default' => q(Конвертируемая марка Боснии и Герцеговины),
				'few' => q(боснийские конвертируемые марки),
				'many' => q(боснийских конвертируемых марок),
				'one' => q(боснийская конвертируемая марка),
				'other' => q(боснийской конвертируемой марки),
			},
		},
		'BBD' => {
			display_name => {
				'default' => q(Барбадосский доллар),
				'few' => q(барбадосских доллара),
				'many' => q(барбадосских долларов),
				'one' => q(барбадосский доллар),
				'other' => q(барбадосского доллара),
			},
		},
		'BDT' => {
			display_name => {
				'default' => q(Бангладешская така),
				'few' => q(бангладешских таки),
				'many' => q(бангладешских так),
				'one' => q(бангладешская така),
				'other' => q(бангладешской таки),
			},
		},
		'BEC' => {
			display_name => {
				'default' => q(Бельгийский франк (конвертируемый)),
			},
		},
		'BEF' => {
			display_name => {
				'default' => q(Бельгийский франк),
			},
		},
		'BEL' => {
			display_name => {
				'default' => q(Бельгийский франк (финансовый)),
			},
		},
		'BGL' => {
			display_name => {
				'default' => q(Лев),
			},
		},
		'BGN' => {
			display_name => {
				'default' => q(Болгарский лев),
				'few' => q(болгарских лева),
				'many' => q(болгарских левов),
				'one' => q(болгарский лев),
				'other' => q(болгарского лева),
			},
		},
		'BHD' => {
			display_name => {
				'default' => q(Бахрейнский динар),
				'few' => q(бахрейнских динара),
				'many' => q(бахрейнских динаров),
				'one' => q(бахрейнский динар),
				'other' => q(бахрейнского динара),
			},
		},
		'BIF' => {
			display_name => {
				'default' => q(Бурундийский франк),
				'few' => q(бурундийских франка),
				'many' => q(бурундийских франков),
				'one' => q(бурундийский франк),
				'other' => q(бурундийского франка),
			},
		},
		'BMD' => {
			display_name => {
				'default' => q(Бермудский доллар),
				'few' => q(бермудских доллара),
				'many' => q(бермудских долларов),
				'one' => q(бермудский доллар),
				'other' => q(бермудского доллара),
			},
		},
		'BND' => {
			display_name => {
				'default' => q(Брунейский доллар),
				'few' => q(брунейских доллара),
				'many' => q(брунейских долларов),
				'one' => q(брунейский доллар),
				'other' => q(брунейского доллара),
			},
		},
		'BOB' => {
			display_name => {
				'default' => q(Боливийский боливиано),
				'few' => q(боливиано),
				'many' => q(боливиано),
				'one' => q(боливиано),
				'other' => q(боливиано),
			},
		},
		'BOP' => {
			display_name => {
				'default' => q(Боливийское песо),
			},
		},
		'BOV' => {
			display_name => {
				'default' => q(Боливийский мвдол),
			},
		},
		'BRB' => {
			display_name => {
				'default' => q(Бразильский новый крузейро (1967–1986)),
			},
		},
		'BRC' => {
			display_name => {
				'default' => q(Бразильское крузадо),
			},
		},
		'BRE' => {
			display_name => {
				'default' => q(Бразильский крузейро (1990–1993)),
			},
		},
		'BRL' => {
			symbol => 'R$',
			display_name => {
				'default' => q(Бразильский реал),
				'few' => q(бразильских реала),
				'many' => q(бразильских реалов),
				'one' => q(бразильский реал),
				'other' => q(бразильского реала),
			},
		},
		'BRN' => {
			display_name => {
				'default' => q(Бразильское новое крузадо),
			},
		},
		'BRR' => {
			display_name => {
				'default' => q(Бразильский крузейро),
			},
		},
		'BSD' => {
			display_name => {
				'default' => q(Багамский доллар),
				'few' => q(багамских доллара),
				'many' => q(багамских долларов),
				'one' => q(багамский доллар),
				'other' => q(багамского доллара),
			},
		},
		'BTN' => {
			display_name => {
				'default' => q(Бутанский нгултрум),
				'few' => q(нгултрума),
				'many' => q(нгултрумов),
				'one' => q(нгултрум),
				'other' => q(нгултрума),
			},
		},
		'BUK' => {
			display_name => {
				'default' => q(Джа),
			},
		},
		'BWP' => {
			display_name => {
				'default' => q(Ботсванская пула),
				'few' => q(ботсванских пулы),
				'many' => q(ботсванских пул),
				'one' => q(ботсванская пула),
				'other' => q(ботсванской пулы),
			},
		},
		'BYB' => {
			display_name => {
				'default' => q(Белорусский рубль (1994–1999)),
			},
		},
		'BYR' => {
			display_name => {
				'default' => q(Белорусский рубль),
				'few' => q(белорусских рубля),
				'many' => q(белорусских рублей),
				'one' => q(белорусский рубль),
				'other' => q(белорусского рубля),
			},
		},
		'BZD' => {
			display_name => {
				'default' => q(Белизский доллар),
				'few' => q(белизских доллара),
				'many' => q(белизских долларов),
				'one' => q(белизский доллар),
				'other' => q(белизского доллара),
			},
		},
		'CAD' => {
			symbol => 'CA$',
			display_name => {
				'default' => q(Канадский доллар),
				'few' => q(канадских доллара),
				'many' => q(канадских долларов),
				'one' => q(канадский доллар),
				'other' => q(канадского доллара),
			},
		},
		'CDF' => {
			display_name => {
				'default' => q(Конголезский франк),
				'few' => q(конголезских франка),
				'many' => q(конголезских франков),
				'one' => q(конголезский франк),
				'other' => q(конголезского франка),
			},
		},
		'CHE' => {
			display_name => {
				'default' => q(WIR евро),
			},
		},
		'CHF' => {
			display_name => {
				'default' => q(Швейцарский франк),
				'few' => q(швейцарских франка),
				'many' => q(швейцарских франков),
				'one' => q(швейцарский франк),
				'other' => q(швейцарского франка),
			},
		},
		'CHW' => {
			display_name => {
				'default' => q(WIR франк),
			},
		},
		'CLF' => {
			display_name => {
				'default' => q(Условная расчетная единица Чили),
			},
		},
		'CLP' => {
			display_name => {
				'default' => q(Чилийское песо),
				'few' => q(чилийских песо),
				'many' => q(чилийских песо),
				'one' => q(чилийское песо),
				'other' => q(чилийского песо),
			},
		},
		'CNY' => {
			symbol => 'CN¥',
			display_name => {
				'default' => q(Юань Ренминби),
				'few' => q(китайских юаня),
				'many' => q(китайских юаней),
				'one' => q(китайский юань),
				'other' => q(китайского юаня),
			},
		},
		'COP' => {
			display_name => {
				'default' => q(Колумбийское песо),
				'few' => q(колумбийских песо),
				'many' => q(колумбийских песо),
				'one' => q(колумбийское песо),
				'other' => q(колумбийского песо),
			},
		},
		'COU' => {
			display_name => {
				'default' => q(Единица реальной стоимости Колумбии),
			},
		},
		'CRC' => {
			display_name => {
				'default' => q(Костариканский колон),
				'few' => q(костариканских колона),
				'many' => q(костариканских колонов),
				'one' => q(костариканский колон),
				'other' => q(костариканского колона),
			},
		},
		'CSD' => {
			display_name => {
				'default' => q(Старый Сербский динар),
			},
		},
		'CSK' => {
			display_name => {
				'default' => q(Чехословацкая твердая крона),
			},
		},
		'CUC' => {
			display_name => {
				'default' => q(Кубинское конвертируемое песо),
				'few' => q(кубинских конвертируемых песо),
				'many' => q(кубинских конвертируемых песо),
				'one' => q(кубинское конвертируемое песо),
				'other' => q(кубинского конвертируемого песо),
			},
		},
		'CUP' => {
			display_name => {
				'default' => q(Кубинское песо),
				'few' => q(кубинских песо),
				'many' => q(кубинских песо),
				'one' => q(кубинское песо),
				'other' => q(кубинского песо),
			},
		},
		'CVE' => {
			display_name => {
				'default' => q(Эскудо Кабо-Верде),
				'few' => q(эскудо Кабо-Верде),
				'many' => q(эскудо Кабо-Верде),
				'one' => q(эскудо Кабо-Верде),
				'other' => q(эскудо Кабо-Верде),
			},
		},
		'CYP' => {
			display_name => {
				'default' => q(Кипрский фунт),
			},
		},
		'CZK' => {
			display_name => {
				'default' => q(Чешская крона),
				'few' => q(чешские кроны),
				'many' => q(чешских крон),
				'one' => q(чешская крона),
				'other' => q(чешской кроны),
			},
		},
		'DDM' => {
			display_name => {
				'default' => q(Восточногерманская марка),
			},
		},
		'DEM' => {
			display_name => {
				'default' => q(Немецкая марка),
			},
		},
		'DJF' => {
			display_name => {
				'default' => q(Франк Джибути),
				'few' => q(франка Джибути),
				'many' => q(франков Джибути),
				'one' => q(франк Джибути),
				'other' => q(франка Джибути),
			},
		},
		'DKK' => {
			display_name => {
				'default' => q(Датская крона),
				'few' => q(датские кроны),
				'many' => q(датских крон),
				'one' => q(датская крона),
				'other' => q(датской кроны),
			},
		},
		'DOP' => {
			display_name => {
				'default' => q(Доминиканское песо),
				'few' => q(доминиканских песо),
				'many' => q(доминиканских песо),
				'one' => q(доминиканское песо),
				'other' => q(доминиканского песо),
			},
		},
		'DZD' => {
			display_name => {
				'default' => q(Алжирский динар),
				'few' => q(алжирских динара),
				'many' => q(алжирских динаров),
				'one' => q(алжирский динар),
				'other' => q(алжирского динара),
			},
		},
		'ECS' => {
			display_name => {
				'default' => q(Эквадорский сукре),
			},
		},
		'ECV' => {
			display_name => {
				'default' => q(Постоянная единица стоимости Эквадора),
			},
		},
		'EEK' => {
			display_name => {
				'default' => q(Эстонская крона),
			},
		},
		'EGP' => {
			display_name => {
				'default' => q(Египетский фунт),
				'few' => q(египетских фунта),
				'many' => q(египетских фунтов),
				'one' => q(египетский фунт),
				'other' => q(египетского фунта),
			},
		},
		'ERN' => {
			display_name => {
				'default' => q(Накфа),
				'few' => q(эритрейские накфы),
				'many' => q(эритрейских накф),
				'one' => q(эритрейская накфа),
				'other' => q(эритрейской накфы),
			},
		},
		'ESA' => {
			display_name => {
				'default' => q(Испанская песета (А)),
			},
		},
		'ESB' => {
			display_name => {
				'default' => q(Испанская песета (конвертируемая)),
			},
		},
		'ESP' => {
			display_name => {
				'default' => q(Испанская песета),
			},
		},
		'ETB' => {
			display_name => {
				'default' => q(Эфиопский быр),
				'few' => q(эфиопских быра),
				'many' => q(эфиопских быров),
				'one' => q(эфиопский быр),
				'other' => q(эфиопского быра),
			},
		},
		'EUR' => {
			symbol => '€',
			display_name => {
				'default' => q(Евро),
				'few' => q(евро),
				'many' => q(евро),
				'one' => q(евро),
				'other' => q(евро),
			},
		},
		'FIM' => {
			display_name => {
				'default' => q(Финская марка),
			},
		},
		'FJD' => {
			display_name => {
				'default' => q(Доллар Фиджи),
				'few' => q(доллара Фиджи),
				'many' => q(долларов Фиджи),
				'one' => q(доллар Фиджи),
				'other' => q(доллара Фиджи),
			},
		},
		'FKP' => {
			display_name => {
				'default' => q(Фунт Фолклендских островов),
				'few' => q(фунта Фолклендских островов),
				'many' => q(фунтов Фолклендских островов),
				'one' => q(фунт Фолклендских островов),
				'other' => q(фунта Фолклендских островов),
			},
		},
		'FRF' => {
			display_name => {
				'default' => q(Французский франк),
			},
		},
		'GBP' => {
			symbol => '£',
			display_name => {
				'default' => q(Английский фунт стерлингов),
				'few' => q(английских фунта стерлингов),
				'many' => q(английских фунтов стерлингов),
				'one' => q(английский фунт стерлингов),
				'other' => q(английского фунта стерлингов),
			},
		},
		'GEK' => {
			display_name => {
				'default' => q(Грузинский купон),
			},
		},
		'GEL' => {
			display_name => {
				'default' => q(Грузинский лари),
				'few' => q(грузинских лари),
				'many' => q(грузинских лари),
				'one' => q(грузинский лари),
				'other' => q(грузинского лари),
			},
		},
		'GHC' => {
			display_name => {
				'default' => q(Ганский седи (1979–2007)),
			},
		},
		'GHS' => {
			display_name => {
				'default' => q(Ганский седи),
				'few' => q(ганских седи),
				'many' => q(ганских седи),
				'one' => q(ганский седи),
				'other' => q(ганского седи),
			},
		},
		'GIP' => {
			display_name => {
				'default' => q(Гибралтарский фунт),
				'few' => q(гибралтарских фунта),
				'many' => q(гибралтарских фунтов),
				'one' => q(гибралтарский фунт),
				'other' => q(гибралтарского фунта),
			},
		},
		'GMD' => {
			display_name => {
				'default' => q(Гамбийский даласи),
				'few' => q(гамбийских даласи),
				'many' => q(гамбийских даласи),
				'one' => q(гамбийский даласи),
				'other' => q(гамбийского даласи),
			},
		},
		'GNF' => {
			display_name => {
				'default' => q(Гвинейский франк),
				'few' => q(гвинейских франка),
				'many' => q(гвинейских франков),
				'one' => q(гвинейский франк),
				'other' => q(гвинейского франка),
			},
		},
		'GNS' => {
			display_name => {
				'default' => q(Гвинейская сили),
			},
		},
		'GQE' => {
			display_name => {
				'default' => q(Эквеле экваториальной Гвинеи),
			},
		},
		'GRD' => {
			display_name => {
				'default' => q(Греческая драхма),
			},
		},
		'GTQ' => {
			display_name => {
				'default' => q(Гватемальский кетсаль),
				'few' => q(гватемальских кетсаля),
				'many' => q(гватемальских кетсалей),
				'one' => q(гватемальский кетсаль),
				'other' => q(гватемальского кетсаля),
			},
		},
		'GWE' => {
			display_name => {
				'default' => q(Эскудо Португальской Гвинеи),
			},
		},
		'GWP' => {
			display_name => {
				'default' => q(Песо Гвинеи-Бисау),
			},
		},
		'GYD' => {
			display_name => {
				'default' => q(Гайанский доллар),
				'few' => q(гайанских доллара),
				'many' => q(гайанских долларов),
				'one' => q(гайанский доллар),
				'other' => q(гайанского доллара),
			},
		},
		'HKD' => {
			symbol => 'HK$',
			display_name => {
				'default' => q(Гонконгский доллар),
				'few' => q(гонконгских доллара),
				'many' => q(гонконгских долларов),
				'one' => q(гонконгский доллар),
				'other' => q(гонконгского доллара),
			},
		},
		'HNL' => {
			display_name => {
				'default' => q(Гондурасская лемпира),
				'few' => q(гондурасские лемпиры),
				'many' => q(гондурасских лемпир),
				'one' => q(гондурасская лемпира),
				'other' => q(гондурасской лемпиры),
			},
		},
		'HRD' => {
			display_name => {
				'default' => q(Хорватский динар),
			},
		},
		'HRK' => {
			display_name => {
				'default' => q(Хорватская куна),
				'few' => q(хорватских куны),
				'many' => q(хорватских кун),
				'one' => q(хорватская куна),
				'other' => q(хорватской куны),
			},
		},
		'HTG' => {
			display_name => {
				'default' => q(Гаитянский гурд),
				'few' => q(гаитянских гурда),
				'many' => q(гаитянских гурдов),
				'one' => q(гаитянский гурд),
				'other' => q(гаитянского гурда),
			},
		},
		'HUF' => {
			display_name => {
				'default' => q(Венгерский форинт),
				'few' => q(венгерских форинта),
				'many' => q(венгерских форинтов),
				'one' => q(венгерский форинт),
				'other' => q(венгерского форинта),
			},
		},
		'IDR' => {
			display_name => {
				'default' => q(Индонезийская рупия),
				'few' => q(индонезийские рупии),
				'many' => q(индонезийских рупий),
				'one' => q(индонезийская рупия),
				'other' => q(индонезийской рупии),
			},
		},
		'IEP' => {
			display_name => {
				'default' => q(Ирландский фунт),
			},
		},
		'ILP' => {
			display_name => {
				'default' => q(Израильский фунт),
			},
		},
		'ILS' => {
			symbol => '₪',
			display_name => {
				'default' => q(Новый израильский шекель),
				'few' => q(новых израильских шекеля),
				'many' => q(новых израильских шекелей),
				'one' => q(новый израильский шекель),
				'other' => q(нового израильского шекеля),
			},
		},
		'INR' => {
			symbol => '₹',
			display_name => {
				'default' => q(Индийская рупия),
				'few' => q(индийские рупии),
				'many' => q(индийских рупий),
				'one' => q(индийская рупия),
				'other' => q(индийской рупии),
			},
		},
		'IQD' => {
			display_name => {
				'default' => q(Иракский динар),
				'few' => q(иракских динара),
				'many' => q(иракских динаров),
				'one' => q(иракский динар),
				'other' => q(иракского динара),
			},
		},
		'IRR' => {
			display_name => {
				'default' => q(Иранский риал),
				'few' => q(иранских риала),
				'many' => q(иранских риалов),
				'one' => q(иранский риал),
				'other' => q(иранского риала),
			},
		},
		'ISK' => {
			display_name => {
				'default' => q(Исландская крона),
				'few' => q(исландские кроны),
				'many' => q(исландских крон),
				'one' => q(исландская крона),
				'other' => q(исландской кроны),
			},
		},
		'ITL' => {
			display_name => {
				'default' => q(Итальянская лира),
			},
		},
		'JMD' => {
			display_name => {
				'default' => q(Ямайский доллар),
				'few' => q(ямайских доллара),
				'many' => q(ямайских долларов),
				'one' => q(ямайский доллар),
				'other' => q(ямайского доллара),
			},
		},
		'JOD' => {
			display_name => {
				'default' => q(Иорданский динар),
				'few' => q(иорданских динара),
				'many' => q(иорданских динаров),
				'one' => q(иорданский динар),
				'other' => q(иорданского динара),
			},
		},
		'JPY' => {
			symbol => '¥',
			display_name => {
				'default' => q(Японская иена),
				'few' => q(японские иены),
				'many' => q(японских иен),
				'one' => q(японская иена),
				'other' => q(японской иены),
			},
		},
		'KES' => {
			display_name => {
				'default' => q(Кенийский шиллинг),
				'few' => q(кенийских шиллинга),
				'many' => q(кенийских шиллингов),
				'one' => q(кенийский шиллинг),
				'other' => q(кенийского шиллинга),
			},
		},
		'KGS' => {
			display_name => {
				'default' => q(Киргизский сом),
				'few' => q(киргизских сома),
				'many' => q(киргизских сома),
				'one' => q(киргизский сом),
				'other' => q(киргизского сома),
			},
		},
		'KHR' => {
			display_name => {
				'default' => q(Камбоджийский риель),
				'few' => q(камбоджийских риеля),
				'many' => q(камбоджийских риелей),
				'one' => q(камбоджийский риель),
				'other' => q(камбоджийского риеля),
			},
		},
		'KMF' => {
			display_name => {
				'default' => q(Франк Коморских островов),
				'few' => q(франка Коморских островов),
				'many' => q(франков Коморских островов),
				'one' => q(франк Коморских островов),
				'other' => q(франка Коморских островов),
			},
		},
		'KPW' => {
			display_name => {
				'default' => q(Северо-корейская вона),
				'few' => q(северокорейские воны),
				'many' => q(северокорейских вон),
				'one' => q(северокорейская вона),
				'other' => q(северокорейской воны),
			},
		},
		'KRW' => {
			symbol => '₩',
			display_name => {
				'default' => q(Вона Республики Кореи),
				'few' => q(южнокорейские воны),
				'many' => q(южнокорейских вон),
				'one' => q(южнокорейская вона),
				'other' => q(южнокорейской воны),
			},
		},
		'KWD' => {
			display_name => {
				'default' => q(Кувейтский динар),
				'few' => q(кувейтских динара),
				'many' => q(кувейтских динаров),
				'one' => q(кувейтский динар),
				'other' => q(кувейтского динара),
			},
		},
		'KYD' => {
			display_name => {
				'default' => q(Доллар Каймановых островов),
				'few' => q(доллара Каймановых островов),
				'many' => q(долларов Каймановых островов),
				'one' => q(доллар Каймановых островов),
				'other' => q(доллара Каймановых островов),
			},
		},
		'KZT' => {
			display_name => {
				'default' => q(Казахский тенге),
				'few' => q(казахских тенге),
				'many' => q(казахских тенге),
				'one' => q(казахский тенге),
				'other' => q(казахского тенге),
			},
		},
		'LAK' => {
			display_name => {
				'default' => q(Кип ЛНДР),
				'few' => q(лаосских кипа),
				'many' => q(лаосских кипов),
				'one' => q(лаосский кип),
				'other' => q(лаосского кипа),
			},
		},
		'LBP' => {
			display_name => {
				'default' => q(Ливанский фунт),
				'few' => q(ливанских фунта),
				'many' => q(ливанских фунтов),
				'one' => q(ливанский фунт),
				'other' => q(ливанского фунта),
			},
		},
		'LKR' => {
			display_name => {
				'default' => q(Шри-Ланкийская рупия),
				'few' => q(шри-ланкийские рупии),
				'many' => q(шри-ланкийских рупий),
				'one' => q(шри-ланкийская рупия),
				'other' => q(шри-ланкийской рупии),
			},
		},
		'LRD' => {
			display_name => {
				'default' => q(Либерийский доллар),
				'few' => q(либерийских доллара),
				'many' => q(либерийских долларов),
				'one' => q(либерийский доллар),
				'other' => q(либерийского доллара),
			},
		},
		'LSL' => {
			display_name => {
				'default' => q(Лоти),
			},
		},
		'LTL' => {
			display_name => {
				'default' => q(Литовский лит),
				'few' => q(литовских лита),
				'many' => q(литовских литов),
				'one' => q(литовский лит),
				'other' => q(литовского лита),
			},
		},
		'LTT' => {
			display_name => {
				'default' => q(Литовский талон),
			},
		},
		'LUC' => {
			display_name => {
				'default' => q(Конвертируемый франк Люксембурга),
			},
		},
		'LUF' => {
			display_name => {
				'default' => q(Люксембургский франк),
			},
		},
		'LUL' => {
			display_name => {
				'default' => q(Финансовый франк Люксембурга),
			},
		},
		'LVL' => {
			display_name => {
				'default' => q(Латвийский лат),
				'few' => q(латвийских лата),
				'many' => q(латвийских латов),
				'one' => q(латвийский лат),
				'other' => q(латвийского лата),
			},
		},
		'LVR' => {
			display_name => {
				'default' => q(Латвийский рубль),
			},
		},
		'LYD' => {
			display_name => {
				'default' => q(Ливийский динар),
				'few' => q(ливийских динара),
				'many' => q(ливийских динаров),
				'one' => q(ливийский динар),
				'other' => q(ливийского динара),
			},
		},
		'MAD' => {
			display_name => {
				'default' => q(Марокканский дирхам),
				'few' => q(марокканских дирхама),
				'many' => q(марокканских дирхамов),
				'one' => q(марокканский дирхам),
				'other' => q(марокканского дирхама),
			},
		},
		'MAF' => {
			display_name => {
				'default' => q(Марокканский франк),
			},
		},
		'MDL' => {
			display_name => {
				'default' => q(Молдавский лей),
				'few' => q(молдавских лея),
				'many' => q(молдавских леев),
				'one' => q(молдавский лей),
				'other' => q(молдавского лея),
			},
		},
		'MGA' => {
			display_name => {
				'default' => q(Малагасийский ариари),
				'few' => q(малагасийских ариари),
				'many' => q(малагасийских ариари),
				'one' => q(малагасийский ариари),
				'other' => q(малагасийского ариари),
			},
		},
		'MGF' => {
			display_name => {
				'default' => q(Малагасийский франк),
			},
		},
		'MKD' => {
			display_name => {
				'default' => q(Македонский динар),
				'few' => q(македонских динара),
				'many' => q(македонских динаров),
				'one' => q(македонский динар),
				'other' => q(македонского динара),
			},
		},
		'MLF' => {
			display_name => {
				'default' => q(Малийский франк),
			},
		},
		'MMK' => {
			display_name => {
				'default' => q(Кьят),
				'few' => q(мьянманских чата),
				'many' => q(мьянманских чатов),
				'one' => q(мьянманский чат),
				'other' => q(мьянманского чата),
			},
		},
		'MNT' => {
			display_name => {
				'default' => q(Монгольский тугрик),
				'few' => q(монгольских тугрика),
				'many' => q(монгольских тугриков),
				'one' => q(монгольский тугрик),
				'other' => q(монгольского тугрика),
			},
		},
		'MOP' => {
			display_name => {
				'default' => q(Патака Макао),
				'few' => q(патаки Макао),
				'many' => q(патак Макао),
				'one' => q(патака Макао),
				'other' => q(патаки Макао),
			},
		},
		'MRO' => {
			display_name => {
				'default' => q(Мавританская угия),
				'few' => q(мавританские угии),
				'many' => q(мавританских угий),
				'one' => q(мавританская угия),
				'other' => q(мавританской угии),
			},
		},
		'MTL' => {
			display_name => {
				'default' => q(Мальтийская лира),
			},
		},
		'MTP' => {
			display_name => {
				'default' => q(Мальтийский фунт),
			},
		},
		'MUR' => {
			display_name => {
				'default' => q(Маврикийская рупия),
				'few' => q(маврикийские рупии),
				'many' => q(маврикийских рупий),
				'one' => q(маврикийская рупия),
				'other' => q(маврикийской рупии),
			},
		},
		'MVR' => {
			display_name => {
				'default' => q(Мальдивская руфия),
				'few' => q(мальдивские руфии),
				'many' => q(мальдивских руфий),
				'one' => q(мальдивская руфия),
				'other' => q(мальдивской руфии),
			},
		},
		'MWK' => {
			display_name => {
				'default' => q(Малавийская квача),
				'few' => q(малавийские квачи),
				'many' => q(малавийских квач),
				'one' => q(малавийская квача),
				'other' => q(малавийской квачи),
			},
		},
		'MXN' => {
			symbol => 'MX$',
			display_name => {
				'default' => q(Мексиканское новое песо),
				'few' => q(мексиканских песо),
				'many' => q(мексиканских песо),
				'one' => q(мексиканское песо),
				'other' => q(мексиканского песо),
			},
		},
		'MXP' => {
			display_name => {
				'default' => q(Мексиканское серебряное песо (1861–1992)),
			},
		},
		'MXV' => {
			display_name => {
				'default' => q(Мексиканская пересчетная единица (UDI)),
			},
		},
		'MYR' => {
			display_name => {
				'default' => q(Малайзийский ринггит),
				'few' => q(малайзийских ринггита),
				'many' => q(малайзийских ринггитов),
				'one' => q(малайзийский ринггит),
				'other' => q(малайзийского ринггита),
			},
		},
		'MZE' => {
			display_name => {
				'default' => q(Мозамбикское эскудо),
			},
		},
		'MZM' => {
			display_name => {
				'default' => q(Старый мозамбикский метикал),
			},
		},
		'MZN' => {
			display_name => {
				'default' => q(Мозамбикский метикал),
				'few' => q(мозамбикских метикала),
				'many' => q(мозамбикских метикалов),
				'one' => q(мозамбикский метикал),
				'other' => q(мозамбикского метикала),
			},
		},
		'NAD' => {
			display_name => {
				'default' => q(Доллар Намибии),
				'few' => q(доллара Намибии),
				'many' => q(долларов Намибии),
				'one' => q(доллар Намибии),
				'other' => q(доллара Намибии),
			},
		},
		'NGN' => {
			display_name => {
				'default' => q(Нигерийская найра),
				'few' => q(нигерийские найры),
				'many' => q(нигерийских найр),
				'one' => q(нигерийская найра),
				'other' => q(нигерийской найры),
			},
		},
		'NIC' => {
			display_name => {
				'default' => q(Никарагуанская кордоба (1988–1991)),
			},
		},
		'NIO' => {
			display_name => {
				'default' => q(Никарагуанская кордоба),
				'few' => q(никарагуанские кордобы),
				'many' => q(никарагуанских кордоб),
				'one' => q(никарагуанская кордоба),
				'other' => q(никарагуанской кордобы),
			},
		},
		'NLG' => {
			display_name => {
				'default' => q(Нидерландский гульден),
			},
		},
		'NOK' => {
			display_name => {
				'default' => q(Норвежская крона),
				'few' => q(норвежские кроны),
				'many' => q(норвежских крон),
				'one' => q(норвежская крона),
				'other' => q(норвежской кроны),
			},
		},
		'NPR' => {
			display_name => {
				'default' => q(Непальская рупия),
				'few' => q(непальские рупии),
				'many' => q(непальских рупий),
				'one' => q(непальская рупия),
				'other' => q(непальской рупии),
			},
		},
		'NZD' => {
			symbol => 'NZ$',
			display_name => {
				'default' => q(Новозеландский доллар),
				'few' => q(новозеландских доллара),
				'many' => q(новозеландских долларов),
				'one' => q(новозеландский доллар),
				'other' => q(новозеландского доллара),
			},
		},
		'OMR' => {
			display_name => {
				'default' => q(Оманский риал),
				'few' => q(оманских риала),
				'many' => q(оманских риалов),
				'one' => q(оманский риал),
				'other' => q(оманского риала),
			},
		},
		'PAB' => {
			display_name => {
				'default' => q(Панамское бальбоа),
				'few' => q(панамских бальбоа),
				'many' => q(панамских бальбоа),
				'one' => q(панамский бальбоа),
				'other' => q(панамского бальбоа),
			},
		},
		'PEI' => {
			display_name => {
				'default' => q(Перуанское инти),
			},
		},
		'PEN' => {
			display_name => {
				'default' => q(Перуанский новый соль),
				'few' => q(перуанских новых соля),
				'many' => q(перуанских новый солей),
				'one' => q(перуанский новый соль),
				'other' => q(перуанского нового соля),
			},
		},
		'PES' => {
			display_name => {
				'default' => q(Перуанский соль),
			},
		},
		'PGK' => {
			display_name => {
				'default' => q(Кина),
				'few' => q(кины),
				'many' => q(кин),
				'one' => q(кина),
				'other' => q(кины),
			},
		},
		'PHP' => {
			display_name => {
				'default' => q(Филиппинское песо),
				'few' => q(филиппинских песо),
				'many' => q(филиппинских песо),
				'one' => q(филиппинское песо),
				'other' => q(филиппинского песо),
			},
		},
		'PKR' => {
			display_name => {
				'default' => q(Пакистанская рупия),
				'few' => q(пакистанские рупии),
				'many' => q(пакистанских рупий),
				'one' => q(пакистанская рупия),
				'other' => q(пакистанской рупии),
			},
		},
		'PLN' => {
			display_name => {
				'default' => q(Польский злотый),
				'few' => q(польских злотых),
				'many' => q(польских злотых),
				'one' => q(польский злотый),
				'other' => q(польского злотого),
			},
		},
		'PLZ' => {
			display_name => {
				'default' => q(Злотый),
			},
		},
		'PTE' => {
			display_name => {
				'default' => q(Португальское эскудо),
			},
		},
		'PYG' => {
			display_name => {
				'default' => q(Парагвайский гуарани),
				'few' => q(парагвайских гуарани),
				'many' => q(парагвайских гуарани),
				'one' => q(парагвайский гуарани),
				'other' => q(парагвайского гуарани),
			},
		},
		'QAR' => {
			display_name => {
				'default' => q(Катарский риал),
				'few' => q(катарских риала),
				'many' => q(катарских риалов),
				'one' => q(катарский риал),
				'other' => q(катарского риала),
			},
		},
		'RHD' => {
			display_name => {
				'default' => q(Родезийский доллар),
			},
		},
		'ROL' => {
			display_name => {
				'default' => q(Старый Румынский лей),
			},
		},
		'RON' => {
			display_name => {
				'default' => q(Румынский лей),
				'few' => q(румынских лея),
				'many' => q(румынских леев),
				'one' => q(румынский лей),
				'other' => q(румынского лея),
			},
		},
		'RSD' => {
			display_name => {
				'default' => q(Сербский динар),
				'few' => q(сербских динара),
				'many' => q(сербских динаров),
				'one' => q(сербский динар),
				'other' => q(сербского динара),
			},
		},
		'RUB' => {
			symbol => 'руб.',
			display_name => {
				'default' => q(Российский рубль),
				'few' => q(российских рубля),
				'many' => q(российских рублей),
				'one' => q(российский рубль),
				'other' => q(российского рубля),
			},
		},
		'RUR' => {
			symbol => 'р.',
			display_name => {
				'default' => q(Российский рубль (1991–1998)),
			},
		},
		'RWF' => {
			display_name => {
				'default' => q(Франк Руанды),
				'few' => q(франка Руанды),
				'many' => q(франков Руанды),
				'one' => q(франк Руанды),
				'other' => q(франка Руанды),
			},
		},
		'SAR' => {
			display_name => {
				'default' => q(Саудовский риал),
				'few' => q(саудовских риала),
				'many' => q(саудовских риалов),
				'one' => q(саудовский риал),
				'other' => q(саудовского риала),
			},
		},
		'SBD' => {
			display_name => {
				'default' => q(Доллар Соломоновых островов),
				'few' => q(доллара Соломоновых островов),
				'many' => q(долларов Соломоновых островов),
				'one' => q(доллар Соломоновых островов),
				'other' => q(доллара Соломоновых островов),
			},
		},
		'SCR' => {
			display_name => {
				'default' => q(Сейшельская рупия),
				'few' => q(сейшельские рупии),
				'many' => q(сейшельских рупий),
				'one' => q(сейшельская рупия),
				'other' => q(сейшельской рупии),
			},
		},
		'SDD' => {
			display_name => {
				'default' => q(Суданский динар),
			},
		},
		'SDG' => {
			display_name => {
				'default' => q(Суданский фунт),
				'few' => q(суданских фунта),
				'many' => q(суданских фунтов),
				'one' => q(суданский фунт),
				'other' => q(суданского фунта),
			},
		},
		'SDP' => {
			display_name => {
				'default' => q(Старый суданский фунт),
			},
		},
		'SEK' => {
			display_name => {
				'default' => q(Шведская крона),
				'few' => q(шведские кроны),
				'many' => q(шведских крон),
				'one' => q(шведская крона),
				'other' => q(шведской кроны),
			},
		},
		'SGD' => {
			display_name => {
				'default' => q(Сингапурский доллар),
				'few' => q(сингапурских доллара),
				'many' => q(сингапурских долларов),
				'one' => q(сингапурский доллар),
				'other' => q(сингапурского доллара),
			},
		},
		'SHP' => {
			display_name => {
				'default' => q(Фунт острова Святой Елены),
				'few' => q(фунта острова Святой Елены),
				'many' => q(фунтов острова Святой Елены),
				'one' => q(фунт острова Святой Елены),
				'other' => q(фунта острова Святой Елены),
			},
		},
		'SIT' => {
			display_name => {
				'default' => q(Словенский толар),
			},
		},
		'SKK' => {
			display_name => {
				'default' => q(Словацкая крона),
			},
		},
		'SLL' => {
			display_name => {
				'default' => q(Леоне),
				'few' => q(леоне),
				'many' => q(леоне),
				'one' => q(леоне),
				'other' => q(леоне),
			},
		},
		'SOS' => {
			display_name => {
				'default' => q(Сомалийский шиллинг),
				'few' => q(сомалийских шиллинга),
				'many' => q(сомалийских шиллингов),
				'one' => q(сомалийский шиллинг),
				'other' => q(сомалийского шиллинга),
			},
		},
		'SRD' => {
			display_name => {
				'default' => q(Суринамский доллар),
				'few' => q(суринамских доллара),
				'many' => q(суринамских долларов),
				'one' => q(суринамский доллар),
				'other' => q(суринамского доллара),
			},
		},
		'SRG' => {
			display_name => {
				'default' => q(Суринамский гульден),
			},
		},
		'SSP' => {
			display_name => {
				'default' => q(Южносуданский фунт),
				'few' => q(южносуданских фунта),
				'many' => q(южносуданских фунтов),
				'one' => q(Южносуданский фунт),
				'other' => q(Южносуданский фунт),
			},
		},
		'STD' => {
			display_name => {
				'default' => q(Добра Сант-Томе и Принсипи),
				'few' => q(добры Сан-Томе и Принсипи),
				'many' => q(добр Сан-Томе и Принсипи),
				'one' => q(добра Сан-Томе и Принсипи),
				'other' => q(добры Сан-Томе и Принсипи),
			},
		},
		'SUR' => {
			display_name => {
				'default' => q(Рубль СССР),
			},
		},
		'SVC' => {
			display_name => {
				'default' => q(Сальвадорский колон),
			},
		},
		'SYP' => {
			display_name => {
				'default' => q(Сирийский фунт),
				'few' => q(сирийских фунта),
				'many' => q(сирийских фунтов),
				'one' => q(сирийский фунт),
				'other' => q(сирийского фунта),
			},
		},
		'SZL' => {
			display_name => {
				'default' => q(Свазилендский лилангени),
				'few' => q(свазилендских эмалангени),
				'many' => q(свазилендских лилангени),
				'one' => q(свазилендский лилангени),
				'other' => q(свазилендского лилангени),
			},
		},
		'THB' => {
			symbol => '฿',
			display_name => {
				'default' => q(Таиландский бат),
				'few' => q(таиландских бата),
				'many' => q(таиландских батов),
				'one' => q(таиландский бат),
				'other' => q(таиландского бата),
			},
		},
		'TJR' => {
			display_name => {
				'default' => q(Таджикский рубль),
			},
		},
		'TJS' => {
			display_name => {
				'default' => q(Таджикский сомони),
				'few' => q(таджикских сомони),
				'many' => q(таджикских сомони),
				'one' => q(таджикский сомони),
				'other' => q(таджикского сомони),
			},
		},
		'TMM' => {
			display_name => {
				'default' => q(Туркменский манат),
			},
		},
		'TMT' => {
			symbol => 'ТМТ',
			display_name => {
				'default' => q(Туркменский новый манат),
				'few' => q(туркменских новых маната),
				'many' => q(туркменских новых манатов),
				'one' => q(туркменский новый манат),
				'other' => q(туркменского нового маната),
			},
		},
		'TND' => {
			display_name => {
				'default' => q(Тунисский динар),
				'few' => q(тунисских динара),
				'many' => q(тунисских динаров),
				'one' => q(тунисский динар),
				'other' => q(тунисского динара),
			},
		},
		'TOP' => {
			display_name => {
				'default' => q(Паанга),
				'few' => q(паанги),
				'many' => q(паанг),
				'one' => q(паанга),
				'other' => q(паанга),
			},
		},
		'TPE' => {
			display_name => {
				'default' => q(Тиморское эскудо),
			},
		},
		'TRL' => {
			display_name => {
				'default' => q(Турецкая лира (1922–2005)),
				'few' => q(турецкие лиры),
				'many' => q(турецких лир),
				'one' => q(туркцкая лира),
				'other' => q(турецких лир),
			},
		},
		'TRY' => {
			display_name => {
				'default' => q(Турецкая лира),
				'few' => q(новые турецкие лиры),
				'many' => q(новых турецких лир),
				'one' => q(новая турецкая лира),
				'other' => q(новой турецкой лиры),
			},
		},
		'TTD' => {
			display_name => {
				'default' => q(Доллар Тринидада и Тобаго),
				'few' => q(доллара Тринидада и Тобаго),
				'many' => q(долларов Тринидада и Тобаго),
				'one' => q(доллар Тринидада и Тобаго),
				'other' => q(доллара Тринидада и Тобаго),
			},
		},
		'TWD' => {
			symbol => 'NT$',
			display_name => {
				'default' => q(Новый тайваньский доллар),
				'few' => q(новых тайваньских доллара),
				'many' => q(новых тайваньских долларов),
				'one' => q(новый тайваньский доллар),
				'other' => q(нового тайваньского доллара),
			},
		},
		'TZS' => {
			display_name => {
				'default' => q(Танзанийский шиллинг),
				'few' => q(танзанийских шиллинга),
				'many' => q(танзанийских шиллингов),
				'one' => q(танзанийский шиллинг),
				'other' => q(танзанийского шиллинга),
			},
		},
		'UAH' => {
			symbol => '₴',
			display_name => {
				'default' => q(Украинская гривна),
				'few' => q(украинские гривны),
				'many' => q(украинских гривен),
				'one' => q(украинская гривна),
				'other' => q(украинской гривны),
			},
		},
		'UAK' => {
			display_name => {
				'default' => q(Карбованец (украинский)),
			},
		},
		'UGS' => {
			display_name => {
				'default' => q(Старый угандийский шиллинг),
			},
		},
		'UGX' => {
			display_name => {
				'default' => q(Угандийский шиллинг),
				'few' => q(угандийских шиллинга),
				'many' => q(угандийских шиллингов),
				'one' => q(угандийский шиллинг),
				'other' => q(угандийского шиллинга),
			},
		},
		'USD' => {
			symbol => '$',
			display_name => {
				'default' => q(Доллар США),
				'few' => q(доллара США),
				'many' => q(долларов США),
				'one' => q(доллар США),
				'other' => q(доллара США),
			},
		},
		'USN' => {
			display_name => {
				'default' => q(Доллар США следующего дня),
			},
		},
		'USS' => {
			display_name => {
				'default' => q(Доллар США текущего дня),
			},
		},
		'UYI' => {
			display_name => {
				'default' => q(Уругвайский песо (индекс инфляции)),
			},
		},
		'UYP' => {
			display_name => {
				'default' => q(Уругвайское старое песо (1975–1993)),
			},
		},
		'UYU' => {
			display_name => {
				'default' => q(Уругвайское песо),
				'few' => q(уругвайских песо),
				'many' => q(уругвайских песо),
				'one' => q(уругвайское песо),
				'other' => q(уругвайского песо),
			},
		},
		'UZS' => {
			display_name => {
				'default' => q(Узбекский сум),
				'few' => q(узбекских сума),
				'many' => q(узбекских сумов),
				'one' => q(узбекский сум),
				'other' => q(узбекского сума),
			},
		},
		'VEB' => {
			display_name => {
				'default' => q(Венесуэльский боливар (1871–2008)),
			},
		},
		'VEF' => {
			display_name => {
				'default' => q(Венесуэльский боливар),
				'few' => q(венесуэльских боливара),
				'many' => q(венесуэльских боливара),
				'one' => q(венесуэльский боливар),
				'other' => q(венесуэльского боливара),
			},
		},
		'VND' => {
			symbol => '₫',
			display_name => {
				'default' => q(Вьетнамский донг),
				'few' => q(вьетнамских донга),
				'many' => q(вьетнамских донгов),
				'one' => q(вьетнамский донг),
				'other' => q(вьетнамского донга),
			},
		},
		'VUV' => {
			display_name => {
				'default' => q(Вату),
				'few' => q(вату),
				'many' => q(вату),
				'one' => q(вату),
				'other' => q(вату),
			},
		},
		'WST' => {
			display_name => {
				'default' => q(Тала Самоа),
				'few' => q(талы),
				'many' => q(тал),
				'one' => q(тала),
				'other' => q(талы),
			},
		},
		'XAF' => {
			symbol => 'FCFA',
			display_name => {
				'default' => q(Франк КФА ВЕАС),
				'few' => q(франка КФА ВЕАС),
				'many' => q(франков КФА ВЕАС),
				'one' => q(франк КФА ВЕАС),
				'other' => q(франка КФА ВЕАС),
			},
		},
		'XAG' => {
			display_name => {
				'default' => q(Серебро),
			},
		},
		'XAU' => {
			display_name => {
				'default' => q(Золото),
			},
		},
		'XBA' => {
			display_name => {
				'default' => q(Европейская составная единица),
			},
		},
		'XBB' => {
			display_name => {
				'default' => q(Европейская денежная единица),
			},
		},
		'XBC' => {
			display_name => {
				'default' => q(расчетная единица европейского валютного соглашения (XBC)),
			},
		},
		'XBD' => {
			display_name => {
				'default' => q(расчетная единица европейского валютного соглашения (XBD)),
			},
		},
		'XCD' => {
			symbol => 'EC$',
			display_name => {
				'default' => q(Восточно-карибский доллар),
				'few' => q(восточно-карибских доллара),
				'many' => q(восточно-карибских доллара),
				'one' => q(восточно-карибский доллар),
				'other' => q(восточно-карибского доллара),
			},
		},
		'XDR' => {
			display_name => {
				'default' => q(СДР (специальные права заимствования)),
			},
		},
		'XEU' => {
			display_name => {
				'default' => q(ЭКЮ (единица европейской валюты)),
			},
		},
		'XFO' => {
			display_name => {
				'default' => q(Французский золотой франк),
			},
		},
		'XFU' => {
			display_name => {
				'default' => q(Французский UIC-франк),
			},
		},
		'XOF' => {
			symbol => 'CFA',
			display_name => {
				'default' => q(Франк КФА ВСЕАО),
				'few' => q(франка КФА ВСЕА),
				'many' => q(франков КФА ВСЕА),
				'one' => q(франк КФА ВСЕА),
				'other' => q(франка КФА ВСЕА),
			},
		},
		'XPD' => {
			display_name => {
				'default' => q(Палладий),
			},
		},
		'XPF' => {
			symbol => 'CFPF',
			display_name => {
				'default' => q(Франк КФП),
				'few' => q(французских тихоокеанских франка),
				'many' => q(франков КФП),
				'one' => q(французский тихоокеанский франк),
				'other' => q(французского тихоокеанского франка),
			},
		},
		'XPT' => {
			display_name => {
				'default' => q(Платина),
			},
		},
		'XRE' => {
			display_name => {
				'default' => q(единица RINET-фондов),
			},
		},
		'XTS' => {
			display_name => {
				'default' => q(тестовый валютный код),
			},
		},
		'XXX' => {
			symbol => 'XXXX',
			display_name => {
				'default' => q(Неизвестная или недействительная валюта),
				'few' => q(Неизвестная или недействительная валюта),
				'many' => q(Неизвестная или недействительная валюта),
				'one' => q(Неизвестная или недействительная валюта),
				'other' => q(Неизвестная или недействительная валюта),
			},
		},
		'YDD' => {
			display_name => {
				'default' => q(Йеменский динар),
			},
		},
		'YER' => {
			display_name => {
				'default' => q(Йеменский риал),
				'few' => q(йеменских риала),
				'many' => q(йеменских риалов),
				'one' => q(йеменский риал),
				'other' => q(йеменского риала),
			},
		},
		'YUD' => {
			display_name => {
				'default' => q(Югославский твердый динар),
			},
		},
		'YUM' => {
			display_name => {
				'default' => q(Югославский новый динар),
			},
		},
		'YUN' => {
			display_name => {
				'default' => q(Югославский динар),
			},
		},
		'ZAL' => {
			display_name => {
				'default' => q(Южноафриканский рэнд (финансовый)),
			},
		},
		'ZAR' => {
			display_name => {
				'default' => q(Южноафриканский рэнд),
				'few' => q(южноафриканских рэнда),
				'many' => q(южноафриканских рэндов),
				'one' => q(южноафриканский рэнд),
				'other' => q(южноафриканского рэнда),
			},
		},
		'ZMK' => {
			display_name => {
				'default' => q(Квача (замбийская) (1968–2012)),
				'few' => q(замбийские квачи (1968–2012)),
				'many' => q(замбийских квач (1968–2012)),
				'one' => q(замбийская квача (1968–2012)),
				'other' => q(замбийской квачи (1968–2012)),
			},
		},
		'ZMW' => {
			display_name => {
				'default' => q(Квача (замбийская)),
				'few' => q(замбийские квачи),
				'many' => q(замбийских квач),
				'one' => q(замбийская квача),
				'other' => q(замбийской квачи),
			},
		},
		'ZRN' => {
			display_name => {
				'default' => q(Новый заир),
			},
		},
		'ZRZ' => {
			display_name => {
				'default' => q(Заир),
			},
		},
		'ZWD' => {
			display_name => {
				'default' => q(Доллар Зимбабве),
			},
		},
		'ZWL' => {
			display_name => {
				'default' => q(Доллар Зимбабве (2009)),
			},
		},
	} },
);


has 'calendar_months' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
			'chinese' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
				},
			},
			'coptic' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'Тот',
							'Бабэ',
							'Хатур',
							'Кихак',
							'Тубэ',
							'Амшир',
							'Барамхат',
							'Бармуда',
							'Башнас',
							'Бауна',
							'Абиб',
							'Мисра',
							'Наси'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12',
							'13'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'Тот',
							'Бабэ',
							'Хатур',
							'Кихак',
							'Тубэ',
							'Амшир',
							'Барамхат',
							'Бармуда',
							'Башнас',
							'Бауна',
							'Абиб',
							'Мисра',
							'Наси'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'Тот',
							'Бабэ',
							'Хатур',
							'Кихак',
							'Тубэ',
							'Амшир',
							'Барамхат',
							'Бармуда',
							'Башнас',
							'Бауна',
							'Абиб',
							'Мисра',
							'Наси'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'Тот',
							'Бабэ',
							'Хатур',
							'Кихак',
							'Тубэ',
							'Амшир',
							'Барамхат',
							'Бармуда',
							'Башнас',
							'Бауна',
							'Абиб',
							'Мисра',
							'Наси'
						],
						leap => [
							
						],
					},
				},
			},
			'ethiopic' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'Мескерем',
							'Текемт',
							'Хедар',
							'Тахсас',
							'Тер',
							'Якатит',
							'Магабит',
							'Миазия',
							'Генбот',
							'Сэнэ',
							'Хамлэ',
							'Нахасэ',
							'Эпагомен'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12',
							'13'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'Мескерем',
							'Текемт',
							'Хедар',
							'Тахсас',
							'Тер',
							'Якатит',
							'Магабит',
							'Миазия',
							'Генбот',
							'Сэнэ',
							'Хамлэ',
							'Нахасэ',
							'Эпагомен'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'Мескерем',
							'Текемт',
							'Хедар',
							'Тахсас',
							'Тер',
							'Якатит',
							'Магабит',
							'Миазия',
							'Генбот',
							'Сэнэ',
							'Хамлэ',
							'Нахасэ',
							'Эпагомен'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'Мескерем',
							'Текемт',
							'Хедар',
							'Тахсас',
							'Тер',
							'Якатит',
							'Магабит',
							'Миазия',
							'Генбот',
							'Сэнэ',
							'Хамлэ',
							'Нахасэ',
							'Эпагомен'
						],
						leap => [
							
						],
					},
				},
			},
			'gregorian' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'янв.',
							'февр.',
							'марта',
							'апр.',
							'мая',
							'июня',
							'июля',
							'авг.',
							'сент.',
							'окт.',
							'нояб.',
							'дек.'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'Я',
							'Ф',
							'М',
							'А',
							'М',
							'И',
							'И',
							'А',
							'С',
							'О',
							'Н',
							'Д'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'января',
							'февраля',
							'марта',
							'апреля',
							'мая',
							'июня',
							'июля',
							'августа',
							'сентября',
							'октября',
							'ноября',
							'декабря'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'Янв.',
							'Февр.',
							'Март',
							'Апр.',
							'Май',
							'Июнь',
							'Июль',
							'Авг.',
							'Сент.',
							'Окт.',
							'Нояб.',
							'Дек.'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'Я',
							'Ф',
							'М',
							'А',
							'М',
							'И',
							'И',
							'А',
							'С',
							'О',
							'Н',
							'Д'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'Январь',
							'Февраль',
							'Март',
							'Апрель',
							'Май',
							'Июнь',
							'Июль',
							'Август',
							'Сентябрь',
							'Октябрь',
							'Ноябрь',
							'Декабрь'
						],
						leap => [
							
						],
					},
				},
			},
			'hebrew' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'Тишрей',
							'Хешван',
							'Кислев',
							'Тевет',
							'Шеват',
							'Адар I',
							'Адар',
							'Нисан',
							'Ияр',
							'Сиван',
							'Таммуз',
							'Ав',
							'Элул'
						],
						leap => [
							'',
							'',
							'',
							'',
							'',
							'',
							'Адар II'
						],
					},
					wide => {
						nonleap => [
							'Тишрей',
							'Хешван',
							'Кислев',
							'Тевет',
							'Шеват',
							'Адар I',
							'Адар',
							'Нисан',
							'Ияр',
							'Сиван',
							'Таммуз',
							'Ав',
							'Элул'
						],
						leap => [
							'',
							'',
							'',
							'',
							'',
							'',
							'Адар II'
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'Тишрей',
							'Хешван',
							'Кислев',
							'Тевет',
							'Шеват',
							'Адар I',
							'Адар',
							'Нисан',
							'Ияр',
							'Сиван',
							'Таммуз',
							'Ав',
							'Элул'
						],
						leap => [
							'',
							'',
							'',
							'',
							'',
							'',
							'Адар II'
						],
					},
					wide => {
						nonleap => [
							'Тишрей',
							'Хешван',
							'Кислев',
							'Тевет',
							'Шеват',
							'Адар I',
							'Адар',
							'Нисан',
							'Ияр',
							'Сиван',
							'Таммуз',
							'Ав',
							'Элул'
						],
						leap => [
							'',
							'',
							'',
							'',
							'',
							'',
							'Адар II'
						],
					},
				},
			},
			'indian' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'Чайтра',
							'Ваисакха',
							'Джанштха',
							'Асадха',
							'Сравана',
							'Бхадра',
							'Азвина',
							'Картика',
							'Аграхайана',
							'Пауза',
							'Магха',
							'Пхалгуна'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'Чайтра',
							'Ваисакха',
							'Джанштха',
							'Асадха',
							'Сравана',
							'Бхадра',
							'Азвина',
							'Картика',
							'Аграхайана',
							'Пауза',
							'Магха',
							'Пхалгуна'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'Чайтра',
							'Ваисакха',
							'Джанштха',
							'Асадха',
							'Сравана',
							'Бхадра',
							'Азвина',
							'Картика',
							'Аграхайана',
							'Пауза',
							'Магха',
							'Пхалгуна'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'Чайтра',
							'Ваисакха',
							'Джанштха',
							'Асадха',
							'Сравана',
							'Бхадра',
							'Азвина',
							'Картика',
							'Аграхайана',
							'Пауза',
							'Магха',
							'Пхалгуна'
						],
						leap => [
							
						],
					},
				},
			},
			'islamic' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'Мухаррам',
							'Сафар',
							'Раби-уль-авваль',
							'Раби-уль-ахир',
							'Джумад-уль-авваль',
							'Джумад-уль-ахир',
							'Раджаб',
							'Шаабан',
							'Рамадан',
							'Шавваль',
							'Зуль-Каада',
							'Зуль-Хиджжа'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'Мухаррам',
							'Сафар',
							'Раби-уль-авваль',
							'Раби-уль-ахир',
							'Джумад-уль-авваль',
							'Джумад-уль-ахир',
							'Раджаб',
							'Шаабан',
							'Рамадан',
							'Шавваль',
							'Зуль-Каада',
							'Зуль-Хиджжа'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'Мухаррам',
							'Сафар',
							'Раби-уль-авваль',
							'Раби-уль-ахир',
							'Джумад-уль-авваль',
							'Джумад-уль-ахир',
							'Раджаб',
							'Шаабан',
							'Рамадан',
							'Шавваль',
							'Зуль-Каада',
							'Зуль-Хиджжа'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'Мухаррам',
							'Сафар',
							'Раби-уль-авваль',
							'Раби-уль-ахир',
							'Джумад-уль-авваль',
							'Джумад-уль-ахир',
							'Раджаб',
							'Шаабан',
							'Рамадан',
							'Шавваль',
							'Зуль-Каада',
							'Зуль-Хиджжа'
						],
						leap => [
							
						],
					},
				},
			},
			'persian' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'Фарвардин',
							'Ордибехешт',
							'Хордад',
							'Тир',
							'Мордад',
							'Шахривер',
							'Мехр',
							'Абан',
							'Азер',
							'Дей',
							'Бахман',
							'Эсфанд'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'Фарвардин',
							'Ордибехешт',
							'Хордад',
							'Тир',
							'Мордад',
							'Шахривер',
							'Мехр',
							'Абан',
							'Азер',
							'Дей',
							'Бахман',
							'Эсфанд'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'Фарвардин',
							'Ордибехешт',
							'Хордад',
							'Тир',
							'Мордад',
							'Шахривер',
							'Мехр',
							'Абан',
							'Азер',
							'Дей',
							'Бахман',
							'Эсфанд'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'Фарвардин',
							'Ордибехешт',
							'Хордад',
							'Тир',
							'Мордад',
							'Шахривер',
							'Мехр',
							'Абан',
							'Азер',
							'Дей',
							'Бахман',
							'Эсфанд'
						],
						leap => [
							
						],
					},
				},
			},
	} },
);

has 'calendar_days' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
			'gregorian' => {
				'format' => {
					abbreviated => {
						mon => 'пн',
						tue => 'вт',
						wed => 'ср',
						thu => 'чт',
						fri => 'пт',
						sat => 'сб',
						sun => 'вс'
					},
					narrow => {
						mon => 'пн',
						tue => 'вт',
						wed => 'ср',
						thu => 'чт',
						fri => 'пт',
						sat => 'сб',
						sun => 'вс'
					},
					short => {
						mon => 'пн',
						tue => 'вт',
						wed => 'ср',
						thu => 'чт',
						fri => 'пт',
						sat => 'сб',
						sun => 'вс'
					},
					wide => {
						mon => 'понедельник',
						tue => 'вторник',
						wed => 'среда',
						thu => 'четверг',
						fri => 'пятница',
						sat => 'суббота',
						sun => 'воскресенье'
					},
				},
				'stand-alone' => {
					abbreviated => {
						mon => 'Пн',
						tue => 'Вт',
						wed => 'Ср',
						thu => 'Чт',
						fri => 'Пт',
						sat => 'Сб',
						sun => 'Вс'
					},
					narrow => {
						mon => 'П',
						tue => 'В',
						wed => 'С',
						thu => 'Ч',
						fri => 'П',
						sat => 'С',
						sun => 'В'
					},
					short => {
						mon => 'пн',
						tue => 'вт',
						wed => 'ср',
						thu => 'чт',
						fri => 'пт',
						sat => 'сб',
						sun => 'вс'
					},
					wide => {
						mon => 'Понедельник',
						tue => 'Вторник',
						wed => 'Среда',
						thu => 'Четверг',
						fri => 'Пятница',
						sat => 'Суббота',
						sun => 'Воскресенье'
					},
				},
			},
	} },
);

has 'calendar_quarters' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
			'gregorian' => {
				'format' => {
					abbreviated => {0 => '1-й кв.',
						1 => '2-й кв.',
						2 => '3-й кв.',
						3 => '4-й кв.'
					},
					narrow => {0 => '1',
						1 => '2',
						2 => '3',
						3 => '4'
					},
					wide => {0 => '1-й квартал',
						1 => '2-й квартал',
						2 => '3-й квартал',
						3 => '4-й квартал'
					},
				},
				'stand-alone' => {
					abbreviated => {0 => '1-й кв.',
						1 => '2-й кв.',
						2 => '3-й кв.',
						3 => '4-й кв.'
					},
					narrow => {0 => '1',
						1 => '2',
						2 => '3',
						3 => '4'
					},
					wide => {0 => '1-й квартал',
						1 => '2-й квартал',
						2 => '3-й квартал',
						3 => '4-й квартал'
					},
				},
			},
	} },
);

has 'day_periods' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			'format' => {
				'abbreviated' => {
					'pm' => q{PM},
					'am' => q{AM},
				},
				'narrow' => {
					'am' => q{AM},
					'pm' => q{PM},
				},
				'wide' => {
					'am' => q{AM},
					'pm' => q{PM},
				},
			},
		},
	} },
);

has 'eras' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'buddhist' => {
			abbreviated => {
				'0' => 'BE'
			},
		},
		'chinese' => {
		},
		'coptic' => {
		},
		'ethiopic' => {
		},
		'generic' => {
		},
		'gregorian' => {
			abbreviated => {
				'0' => 'до н. э.',
				'1' => 'н. э.'
			},
			narrow => {
				'0' => 'до н.э.',
				'1' => 'н.э.'
			},
			wide => {
				'0' => 'до н.э.',
				'1' => 'н.э.'
			},
		},
		'hebrew' => {
		},
		'indian' => {
		},
		'islamic' => {
		},
		'japanese' => {
			abbreviated => {
				'0' => 'Эпоха Тайка (645-650)',
				'1' => 'Эпоха Хакути (650-671)',
				'2' => 'Эпоха Хакухо (672-686)',
				'3' => 'Эпоха Сючё (686-701)',
				'4' => 'Эпоха Тайхо (701-704)',
				'5' => 'Эпоха Кёюн (704-708)',
				'6' => 'Эпоха Вадо (708-715)',
				'7' => 'Эпоха Рэйки (715-717)',
				'8' => 'Эпоха Ёро (717-724)',
				'9' => 'Эпоха Дзинки (724-729)',
				'10' => 'Эпоха Темпьё (729-749)',
				'11' => 'Эпоха Темпьё (749-749)',
				'12' => 'Эпоха Темпьё-Сьохо (749-757)',
				'13' => 'Эпоха Темпьё-Ходзи (757-765)',
				'14' => 'Эпоха Темпьё-Ходзи (765-767)',
				'15' => 'Эпоха Джинго-Кёюн (767-770)',
				'16' => 'Эпоха Хоки (770-780)',
				'17' => 'Эпоха Теньё (781-782)',
				'18' => 'Эпоха Енряку (782-806)',
				'19' => 'Эпоха Дайдо (806-810)',
				'20' => 'Эпоха Конин (810-824)',
				'21' => 'Эпоха Тентьо (824-834)',
				'22' => 'Эпоха Шова (834-848)',
				'23' => 'Эпоха Кайо (848-851)',
				'24' => 'Эпоха Ниндзю (851-854)',
				'25' => 'Эпоха Сайко (854-857)',
				'26' => 'Эпоха Теннан (857-859)',
				'27' => 'Эпоха Йоган (859-877)',
				'28' => 'Эпоха Генкей (877-885)',
				'29' => 'Эпоха Нинна (885-889)',
				'30' => 'Эпоха Кампьё (889-898)',
				'31' => 'Эпоха Сьотай (898-901)',
				'32' => 'Эпоха Энги (901-923)',
				'33' => 'Эпоха Ентьо (923-931)',
				'34' => 'Эпоха Сьёхэй (931-938)',
				'35' => 'Эпоха Тенгьо (938-947)',
				'36' => 'Эпоха Тенрияку (947-957)',
				'37' => 'Эпоха Тентоку (957-961)',
				'38' => 'Эпоха Ова (961-964)',
				'39' => 'Эпоха Кохо (964-968)',
				'40' => 'Эпоха Анна (968-970)',
				'41' => 'Эпоха Тенроку (970-973)',
				'42' => 'Эпоха Теньен (973-976)',
				'43' => 'Эпоха Дзьоген (976-978)',
				'44' => 'Эпоха Тенген (978-983)',
				'45' => 'Эпоха Ейкан (983-985)',
				'46' => 'Эпоха Канна (985-987)',
				'47' => 'Эпоха Ейен (987-989)',
				'48' => 'Эпоха Ейсо (989-990)',
				'49' => 'Эпоха Сёряку (990-995)',
				'50' => 'Эпоха Тётоку (995-999)',
				'51' => 'Эпоха Тёхо (999-1004)',
				'52' => 'Эпоха Канко (1004-1012)',
				'53' => 'Эпоха Тёва (1012-1017)',
				'54' => 'Эпоха Каннин (1017-1021)',
				'55' => 'Эпоха Дзиан (1021-1024)',
				'56' => 'Эпоха Мандзю (1024-1028)',
				'57' => 'Эпоха Тёгэн (1028-1037)',
				'58' => 'Эпоха Тёряку (1037-1040)',
				'59' => 'Эпоха Тёкю (1040-1044)',
				'60' => 'Эпоха Катоку (1044-1046)',
				'61' => 'Эпоха Эйсо (1046-1053)',
				'62' => 'Эпоха Тэнги (1053-1058)',
				'63' => 'Эпоха Кохэй (1058-1065)',
				'64' => 'Эпоха Дзиряку (1065-1069)',
				'65' => 'Эпоха Энкю (1069-1074)',
				'66' => 'Эпоха Сёхо (1074-1077)',
				'67' => 'Эпоха Сёряку (1077-1081)',
				'68' => 'Эпоха Эйхо (1081-1084)',
				'69' => 'Эпоха Отоку (1084-1087)',
				'70' => 'Эпоха Кандзи (1087-1094)',
				'71' => 'Эпоха Кахо (1094-1096)',
				'72' => 'Эпоха Эйтё (1096-1097)',
				'73' => 'Эпоха Сётоку (1097-1099)',
				'74' => 'Эпоха Кова (1099-1104)',
				'75' => 'Эпоха Тёдзи (1104-1106)',
				'76' => 'Эпоха Касё (1106-1108)',
				'77' => 'Эпоха Тэннин (1108-1110)',
				'78' => 'Эпоха Тэнъэй (1110-1113)',
				'79' => 'Эпоха Эйкю (1113-1118)',
				'80' => 'Эпоха Гэнъэй (1118-1120)',
				'81' => 'Эпоха Хоан (1120-1124)',
				'82' => 'Эпоха Тэндзи (1124-1126)',
				'83' => 'Эпоха Дайдзи (1126-1131)',
				'84' => 'Эпоха Тэнсё (1131-1132)',
				'85' => 'Эпоха Тёсё (1132-1135)',
				'86' => 'Эпоха Хоэн (1135-1141)',
				'87' => 'Эпоха Эйдзи (1141-1142)',
				'88' => 'Эпоха Кодзи (1142-1144)',
				'89' => 'Эпоха Тэнё (1144-1145)',
				'90' => 'Эпоха Кюан (1145-1151)',
				'91' => 'Эпоха Нимпэй (1151-1154)',
				'92' => 'Эпоха Кюдзю (1154-1156)',
				'93' => 'Эпоха Хогэн (1156-1159)',
				'94' => 'Эпоха Хэйдзи (1159-1160)',
				'95' => 'Эпоха Эйряку (1160-1161)',
				'96' => 'Эпоха Охо (1161-1163)',
				'97' => 'Эпоха Тёкан (1163-1165)',
				'98' => 'Эпоха Эйман (1165-1166)',
				'99' => 'Эпоха Нинъан (1166-1169)',
				'100' => 'Эпоха Као (1169-1171)',
				'101' => 'Эпоха Сёан (1171-1175)',
				'102' => 'Эпоха Ангэн (1175-1177)',
				'103' => 'Эпоха Дзисё (1177-1181)',
				'104' => 'Эпоха Ёва (1181-1182)',
				'105' => 'Эпоха Дзюэй (1182-1184)',
				'106' => 'Эпоха Гэнрюку (1184-1185)',
				'107' => 'Эпоха Бундзи (1185-1190)',
				'108' => 'Эпоха Кэнкю (1190-1199)',
				'109' => 'Эпоха Сёдзи (1199-1201)',
				'110' => 'Эпоха Кэннин (1201-1204)',
				'111' => 'Эпоха Гэнкю (1204-1206)',
				'112' => 'Эпоха Кэнъэй (1206-1207)',
				'113' => 'Эпоха Сёгэн (1207-1211)',
				'114' => 'Эпоха Кэнряку (1211-1213)',
				'115' => 'Эпоха Кэмпо (1213-1219)',
				'116' => 'Эпоха Сёкю (1219-1222)',
				'117' => 'Эпоха Дзёо (1222-1224)',
				'118' => 'Эпоха Гэннин (1224-1225)',
				'119' => 'Эпоха Кароку (1225-1227)',
				'120' => 'Эпоха Антэй (1227-1229)',
				'121' => 'Эпоха Канки (1229-1232)',
				'122' => 'Эпоха Дзёэй (1232-1233)',
				'123' => 'Эпоха Тэмпуку (1233-1234)',
				'124' => 'Эпоха Бунряку (1234-1235)',
				'125' => 'Эпоха Катэй (1235-1238)',
				'126' => 'Эпоха Рякунин (1238-1239)',
				'127' => 'Эпоха Энъо (1239-1240)',
				'128' => 'Эпоха Ниндзи (1240-1243)',
				'129' => 'Эпоха Кангэн (1243-1247)',
				'130' => 'Эпоха Ходзи (1247-1249)',
				'131' => 'Эпоха Кэнтё (1249-1256)',
				'132' => 'Эпоха Когэн (1256-1257)',
				'133' => 'Эпоха Сёка (1257-1259)',
				'134' => 'Эпоха Сёгэн (1259-1260)',
				'135' => 'Эпоха Бунъо (1260-1261)',
				'136' => 'Эпоха Котё (1261-1264)',
				'137' => 'Эпоха Бунъэй (1264-1275)',
				'138' => 'Эпоха Кэндзи (1275-1278)',
				'139' => 'Эпоха Коан (1278-1288)',
				'140' => 'Эпоха Сёо (1288-1293)',
				'141' => 'Эпоха Эйнин (1293-1299)',
				'142' => 'Эпоха Сёан (1299-1302)',
				'143' => 'Эпоха Кэнгэн (1302-1303)',
				'144' => 'Эпоха Кагэн (1303-1306)',
				'145' => 'Эпоха Токудзи (1306-1308)',
				'146' => 'Эпоха Энкэй (1308-1311)',
				'147' => 'Эпоха Отё (1311-1312)',
				'148' => 'Эпоха Сёва (1312-1317)',
				'149' => 'Эпоха Бумпо (1317-1319)',
				'150' => 'Эпоха Гэно (1319-1321)',
				'151' => 'Эпоха Гэнкё (1321-1324)',
				'152' => 'Эпоха Сётю (1324-1326)',
				'153' => 'Эпоха Карэки (1326-1329)',
				'154' => 'Эпоха Гэнтоку (1329-1331)',
				'155' => 'Эпоха Гэнко (1331-1334)',
				'156' => 'Эпоха Кэмму (1334-1336)',
				'157' => 'Эпоха Энгэн (1336-1340)',
				'158' => 'Эпоха Кококу (1340-1346)',
				'159' => 'Эпоха Сёхэй (1346-1370)',
				'160' => 'Эпоха Кэнтоку (1370-1372)',
				'161' => 'Эпоха Бунтю (1372-1375)',
				'162' => 'Эпоха Иэндзю (1375-1379)',
				'163' => 'Эпоха Коряку (1379-1381)',
				'164' => 'Эпоха Кова (1381-1384)',
				'165' => 'Эпоха Гэнтю (1384-1392)',
				'166' => 'Эпоха Мэйтоку (1384-1387)',
				'167' => 'Эпоха Какэй (1387-1389)',
				'168' => 'Эпоха Коо (1389-1390)',
				'169' => 'Эпоха Мэйтоку (1390-1394)',
				'170' => 'Эпоха Оэй (1394-1428)',
				'171' => 'Эпоха Сётё (1428-1429)',
				'172' => 'Эпоха Эйкё (1429-1441)',
				'173' => 'Эпоха Какицу (1441-1444)',
				'174' => 'Эпоха Банъан (1444-1449)',
				'175' => 'Эпоха Хотоку (1449-1452)',
				'176' => 'Эпоха Кётоку (1452-1455)',
				'177' => 'Эпоха Косё (1455-1457)',
				'178' => 'Эпоха Тёроку (1457-1460)',
				'179' => 'Эпоха Кансё (1460-1466)',
				'180' => 'Эпоха Бунсё (1466-1467)',
				'181' => 'Эпоха Онин (1467-1469)',
				'182' => 'Эпоха Буммэй (1469-1487)',
				'183' => 'Эпоха Тёкё (1487-1489)',
				'184' => 'Эпоха Энтоку (1489-1492)',
				'185' => 'Эпоха Мэйо (1492-1501)',
				'186' => 'Эпоха Бунки (1501-1504)',
				'187' => 'Эпоха Эйсё (1504-1521)',
				'188' => 'Эпоха Тайэй (1521-1528)',
				'189' => 'Эпоха Кёроку (1528-1532)',
				'190' => 'Эпоха Тэммон (1532-1555)',
				'191' => 'Эпоха Кодзи (1555-1558)',
				'192' => 'Эпоха Эйроку (1558-1570)',
				'193' => 'Эпоха Гэнки (1570-1573)',
				'194' => 'Эпоха Тэнсё (1573-1592)',
				'195' => 'Эпоха Бунроку (1592-1596)',
				'196' => 'Эпоха Кэйтё (1596-1615)',
				'197' => 'Эпоха Гэнва (1615-1624)',
				'198' => 'Эпоха Канъэй (1624-1644)',
				'199' => 'Эпоха Сёхо (1644-1648)',
				'200' => 'Эпоха Кэйан (1648-1652)',
				'201' => 'Эпоха Сё (1652-1655)',
				'202' => 'Эпоха Мэйряку (1655-1658)',
				'203' => 'Эпоха Мандзи (1658-1661)',
				'204' => 'Эпоха Камбун (1661-1673)',
				'205' => 'Эпоха Эмпо (1673-1681)',
				'206' => 'Эпоха Тэнва (1681-1684)',
				'207' => 'Эпоха Дзёкё (1684-1688)',
				'208' => 'Эпоха Гэнроку (1688-1704)',
				'209' => 'Эпоха Хоэй (1704-1711)',
				'210' => 'Эпоха Сётоку (1711-1716)',
				'211' => 'Эпоха Кёхо (1716-1736)',
				'212' => 'Эпоха Гэмбун (1736-1741)',
				'213' => 'Эпоха Кампо (1741-1744)',
				'214' => 'Эпоха Энкё (1744-1748)',
				'215' => 'Эпоха Канъэн (1748-1751)',
				'216' => 'Эпоха Хоряку (1751-1764)',
				'217' => 'Эпоха Мэйва (1764-1772)',
				'218' => 'Эпоха Анъэй (1772-1781)',
				'219' => 'Эпоха Тэммэй (1781-1789)',
				'220' => 'Эпоха Кансэй (1789-1801)',
				'221' => 'Эпоха Кёва (1801-1804)',
				'222' => 'Эпоха Бунка (1804-1818)',
				'223' => 'Эпоха Бунсэй (1818-1830)',
				'224' => 'Эпоха Тэмпо (1830-1844)',
				'225' => 'Эпоха Кока (1844-1848)',
				'226' => 'Эпоха Каэй (1848-1854)',
				'227' => 'Эпоха Ансэй (1854-1860)',
				'228' => 'Эпоха Манъэн (1860-1861)',
				'229' => 'Эпоха Бункю (1861-1864)',
				'230' => 'Эпоха Гендзи (1864-1865)',
				'231' => 'Эпоха Кейо (1865-1868)',
				'232' => 'Эпоха Мэйдзи',
				'233' => 'Эпоха Тайсьо',
				'234' => 'Сьова',
				'235' => 'Эпоха Хэйсэй'
			},
		},
		'persian' => {
		},
		'roc' => {
			abbreviated => {
				'0' => 'Before R.O.C.',
				'1' => 'Minguo'
			},
		},
	} },
);

has 'date_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'buddhist' => {
		},
		'chinese' => {
			'full' => q{EEEE, d MMMM U},
			'long' => q{d MMMM U},
			'medium' => q{dd.MM U},
			'short' => q{dd.MM.y},
		},
		'coptic' => {
		},
		'ethiopic' => {
		},
		'generic' => {
			'full' => q{EEEE, d MMMM y 'г'. G},
			'long' => q{d MMMM y 'г'. G},
			'medium' => q{dd.MM.y G},
			'short' => q{dd.MM.y G},
		},
		'gregorian' => {
			'full' => q{EEEE, d MMMM y 'г'.},
			'long' => q{d MMMM y 'г'.},
			'medium' => q{d MMM y 'г'.},
			'short' => q{dd.MM.yy},
		},
		'hebrew' => {
		},
		'indian' => {
		},
		'islamic' => {
		},
		'japanese' => {
		},
		'persian' => {
		},
		'roc' => {
		},
	} },
);

has 'time_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'buddhist' => {
		},
		'chinese' => {
		},
		'coptic' => {
		},
		'ethiopic' => {
		},
		'generic' => {
		},
		'gregorian' => {
			'full' => q{H:mm:ss zzzz},
			'long' => q{H:mm:ss z},
			'medium' => q{H:mm:ss},
			'short' => q{H:mm},
		},
		'hebrew' => {
		},
		'indian' => {
		},
		'islamic' => {
		},
		'japanese' => {
		},
		'persian' => {
		},
		'roc' => {
		},
	} },
);

has 'datetime_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'buddhist' => {
		},
		'chinese' => {
		},
		'coptic' => {
		},
		'ethiopic' => {
		},
		'generic' => {
			'full' => q{{1}, {0}},
			'long' => q{{1}, {0}},
			'medium' => q{{1}, {0}},
			'short' => q{{1}, {0}},
		},
		'gregorian' => {
			'full' => q{{1}, {0}},
			'long' => q{{1}, {0}},
			'medium' => q{{1}, {0}},
			'short' => q{{1}, {0}},
		},
		'hebrew' => {
		},
		'indian' => {
		},
		'islamic' => {
		},
		'japanese' => {
		},
		'persian' => {
		},
		'roc' => {
		},
	} },
);

has 'datetime_formats_available_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			E => q{ccc},
			EHm => q{E HH:mm},
			EHms => q{E HH:mm:ss},
			Ed => q{ccc, d},
			Ehm => q{E h:mm a},
			Ehms => q{E h:mm:ss a},
			Gy => q{y G},
			GyMMM => q{LLL y G},
			GyMMMEd => q{E, d MMM y G},
			GyMMMd => q{d MMM y 'г'. G},
			H => q{H},
			Hm => q{H:mm},
			Hms => q{H:mm:ss},
			M => q{L},
			MEd => q{E, dd.MM},
			MMM => q{LLL},
			MMMEd => q{ccc, d MMM},
			MMMd => q{d MMM},
			MMdd => q{dd.MM},
			Md => q{dd.MM},
			d => q{d},
			h => q{h a},
			hm => q{h:mm a},
			hms => q{h:mm:ss a},
			ms => q{mm:ss},
			y => q{y},
			yLLLL => q{LLLL y},
			yM => q{MM.y},
			yMEd => q{ccc, d.MM.y 'г'.},
			yMM => q{MM.y},
			yMMM => q{LLL y},
			yMMMEd => q{E, d MMM y},
			yMMMM => q{LLLL y},
			yMMMd => q{d MMM y 'г'.},
			yMd => q{dd.MM.y},
			yQQQ => q{QQQ y 'г'.},
			yQQQQ => q{QQQQ y 'г'.},
		},
		'chinese' => {
			E => q{ccc},
			Ed => q{E, d},
			Gy => q{U},
			GyMMM => q{LLL U},
			GyMMMEd => q{E, d MMM U},
			GyMMMd => q{d MMM U},
			H => q{H},
			Hm => q{H:mm},
			Hms => q{H:mm:ss},
			M => q{L},
			MEd => q{E, dd.MM},
			MMM => q{LLL},
			MMMEd => q{ccc, d MMM},
			MMMd => q{d MMM},
			Md => q{dd.MM},
			d => q{d},
			h => q{h a},
			hm => q{h:mm a},
			hms => q{h:mm:ss a},
			ms => q{mm:ss},
			y => q{U},
			yyyy => q{U},
			yyyyM => q{MM.y},
			yyyyMEd => q{E, dd.MM.y},
			yyyyMMM => q{LLL U},
			yyyyMMMEd => q{E, d MMM U},
			yyyyMMMM => q{LLLL U},
			yyyyMMMd => q{d MMM U},
			yyyyMd => q{dd.MM.y},
			yyyyQQQ => q{QQQ U},
			yyyyQQQQ => q{QQQQ U},
		},
		'generic' => {
			E => q{ccc},
			Ed => q{E, d},
			Gy => q{y G},
			GyMMM => q{LLL y G},
			GyMMMEd => q{E, d MMM y G},
			GyMMMd => q{d MMM y G},
			H => q{H},
			Hm => q{H:mm},
			Hms => q{H:mm:ss},
			M => q{L},
			MEd => q{E, dd.MM},
			MMM => q{LLL},
			MMMEd => q{ccc, d MMM},
			MMMd => q{d MMM},
			Md => q{dd.MM},
			d => q{d},
			h => q{h a},
			hm => q{h:mm a},
			hms => q{h:mm:ss a},
			ms => q{mm:ss},
			y => q{y G},
			yyyy => q{y G},
			yyyyM => q{MM.y G},
			yyyyMEd => q{E, dd.MM.y G},
			yyyyMMM => q{LLL y G},
			yyyyMMMEd => q{E, d MMM y G},
			yyyyMMMM => q{LLLL y G},
			yyyyMMMd => q{d MMM y G},
			yyyyMd => q{dd.MM.y G},
			yyyyQQQ => q{QQQ y G},
			yyyyQQQQ => q{QQQQ y 'г'. G},
		},
	} },
);

has 'datetime_formats_append_item' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			'Timezone' => '{0} {1}',
		},
	} },
);

has 'datetime_formats_interval' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			H => {
				H => q{H-H},
			},
			Hm => {
				H => q{H:mm-H:mm},
				m => q{H:mm-H:mm},
			},
			Hmv => {
				H => q{H:mm-H:mm v},
				m => q{H:mm-H:mm v},
			},
			Hv => {
				H => q{H-H v},
			},
			M => {
				M => q{M-M},
			},
			MEd => {
				M => q{E, dd.MM - E, dd.MM},
				d => q{E, dd.MM - E, dd.MM},
			},
			MMM => {
				M => q{LLL-MMM},
			},
			MMMEd => {
				M => q{ccc, d MMM - ccc, d MMM},
				d => q{ccc, d - E, d MMM},
			},
			MMMM => {
				M => q{LLLL-LLLL},
			},
			MMMd => {
				M => q{d MMM - d MMM},
				d => q{d-d MMM},
			},
			Md => {
				M => q{dd.MM - dd.MM},
				d => q{dd.MM - dd.MM},
			},
			d => {
				d => q{d-d},
			},
			fallback => '{0} - {1}',
			h => {
				a => q{h a - h a},
				h => q{h-h a},
			},
			hm => {
				a => q{h:mm a - h:mm a},
				h => q{h:mm-h:mm a},
				m => q{h:mm-h:mm a},
			},
			hmv => {
				a => q{h:mm a - h:mm a v},
				h => q{h:mm-h:mm a v},
				m => q{h:mm-h:mm a v},
			},
			hv => {
				a => q{h a - h a v},
				h => q{h-h a v},
			},
			y => {
				y => q{y-y},
			},
			yM => {
				M => q{MM.y - MM.y},
				y => q{MM.y - MM.y},
			},
			yMEd => {
				M => q{ccc, dd.MM.y - ccc, dd.MM.y},
				d => q{ccc, dd.MM.y - ccc, dd.MM.y},
				y => q{ccc, dd.MM.y - ccc, dd.MM.y},
			},
			yMMM => {
				M => q{LLL-LLL y 'г'.},
				y => q{LLL y - LLL y 'г'.},
			},
			yMMMEd => {
				M => q{ccc, d MMM - ccc, d MMM y 'г'.},
				d => q{ccc, d - ccc, d MMM y 'г'.},
				y => q{ccc, d MMM y - ccc, d MMM y 'г'.},
			},
			yMMMM => {
				M => q{LLLL-LLLL y 'г'.},
				y => q{LLLL y - LLLL y 'г'.},
			},
			yMMMd => {
				M => q{d MMM - d MMM y 'г'.},
				d => q{d-d MMM y 'г'.},
				y => q{d MMM y - d MMM y 'г'.},
			},
			yMd => {
				M => q{dd.MM.y - dd.MM.y},
				d => q{dd.MM.y - dd.MM.y},
				y => q{dd.MM.y - dd.MM.y},
			},
		},
		'generic' => {
			H => {
				H => q{H-H},
			},
			Hm => {
				H => q{H:mm-H:mm},
				m => q{H:mm-H:mm},
			},
			Hmv => {
				H => q{H:mm-H:mm v},
				m => q{H:mm-H:mm v},
			},
			Hv => {
				H => q{H-H v},
			},
			M => {
				M => q{M-M},
			},
			MEd => {
				M => q{E, dd.MM - E, dd.MM},
				d => q{E, dd.MM - E, dd.MM},
			},
			MMM => {
				M => q{LLL-MMM},
			},
			MMMEd => {
				M => q{ccc, d MMM - ccc, d MMM},
				d => q{ccc, d - E, d MMM},
			},
			MMMM => {
				M => q{LLLL-LLLL},
			},
			MMMd => {
				M => q{d MMM - d MMM},
				d => q{d-d MMM},
			},
			Md => {
				M => q{dd.MM - dd.MM},
				d => q{dd.MM - dd.MM},
			},
			d => {
				d => q{d-d},
			},
			fallback => '{0} - {1}',
			h => {
				a => q{h a - h a},
				h => q{h-h a},
			},
			hm => {
				a => q{h:mm a - h:mm a},
				h => q{h:mm-h:mm a},
				m => q{h:mm-h:mm a},
			},
			hmv => {
				a => q{h:mm a - h:mm a v},
				h => q{h:mm-h:mm a v},
				m => q{h:mm-h:mm a v},
			},
			hv => {
				a => q{h a - h a v},
				h => q{h-h a v},
			},
			y => {
				y => q{y-y G},
			},
			yM => {
				M => q{MM.y - MM.y G},
				y => q{MM.y - MM.y G},
			},
			yMEd => {
				M => q{ccc, dd.MM.y - ccc, dd.MM.y G},
				d => q{ccc, dd.MM.y - ccc, dd.MM.y G},
				y => q{ccc, dd.MM.y - ccc, dd.MM.y G},
			},
			yMMM => {
				M => q{LLL-LLL y 'г'. G},
				y => q{LLL y - LLL y 'г'. G},
			},
			yMMMEd => {
				M => q{ccc, d MMM - ccc, d MMM y 'г'. G},
				d => q{ccc, d - ccc, d MMM y 'г'. G},
				y => q{ccc, d MMM y - ccc, d MMM y 'г'. G},
			},
			yMMMM => {
				M => q{LLLL-LLLL y 'г'. G},
				y => q{LLLL y - LLLL y 'г'. G},
			},
			yMMMd => {
				M => q{d MMM - d MMM y 'г'. G},
				d => q{d-d MMM y 'г'. G},
				y => q{d MMM y - d MMM y 'г'. G},
			},
			yMd => {
				M => q{dd.MM.y - dd.MM.y G},
				d => q{dd.MM.y - dd.MM.y G},
				y => q{dd.MM.y - dd.MM.y G},
			},
		},
	} },
);

has 'time_zone_names' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default	=> sub { {
		hourFormat => q(+HH:mm;-HH:mm),
		gmtFormat => q(GMT{0}),
		gmtZeroFormat => q(GMT),
		regionFormat => q({0} время),
		regionFormat => q({0} (+1)),
		regionFormat => q({0} (+0)),
		fallbackFormat => q({1} ({0})),
		'Acre' => {
			long => {
				'daylight' => q(Акри летнее время),
				'generic' => q(Акри время),
				'standard' => q(Акри стандартное время),
			},
		},
		'Afghanistan' => {
			long => {
				'standard' => q(Афганистан),
			},
		},
		'Africa/Abidjan' => {
			exemplarCity => q#Абиджан#,
		},
		'Africa/Accra' => {
			exemplarCity => q#Аккра#,
		},
		'Africa/Addis_Ababa' => {
			exemplarCity => q#Аддис-Абеба#,
		},
		'Africa/Algiers' => {
			exemplarCity => q#Алжир#,
		},
		'Africa/Asmera' => {
			exemplarCity => q#Асмера#,
		},
		'Africa/Bamako' => {
			exemplarCity => q#Бамако#,
		},
		'Africa/Bangui' => {
			exemplarCity => q#Банги#,
		},
		'Africa/Banjul' => {
			exemplarCity => q#Банжул#,
		},
		'Africa/Bissau' => {
			exemplarCity => q#Бисау#,
		},
		'Africa/Blantyre' => {
			exemplarCity => q#Блантайр#,
		},
		'Africa/Brazzaville' => {
			exemplarCity => q#Браззавиль#,
		},
		'Africa/Bujumbura' => {
			exemplarCity => q#Бужумбура#,
		},
		'Africa/Cairo' => {
			exemplarCity => q#Каир#,
		},
		'Africa/Casablanca' => {
			exemplarCity => q#Касабланка#,
		},
		'Africa/Ceuta' => {
			exemplarCity => q#Сеута#,
		},
		'Africa/Conakry' => {
			exemplarCity => q#Конакри#,
		},
		'Africa/Dakar' => {
			exemplarCity => q#Дакар#,
		},
		'Africa/Dar_es_Salaam' => {
			exemplarCity => q#Дар-эс-Салам#,
		},
		'Africa/Djibouti' => {
			exemplarCity => q#Джибути#,
		},
		'Africa/Douala' => {
			exemplarCity => q#Дуала#,
		},
		'Africa/El_Aaiun' => {
			exemplarCity => q#Эль-Аюн#,
		},
		'Africa/Freetown' => {
			exemplarCity => q#Фритаун#,
		},
		'Africa/Gaborone' => {
			exemplarCity => q#Габороне#,
		},
		'Africa/Harare' => {
			exemplarCity => q#Хараре#,
		},
		'Africa/Johannesburg' => {
			exemplarCity => q#Йоханнесбург#,
		},
		'Africa/Juba' => {
			exemplarCity => q#Джуба#,
		},
		'Africa/Kampala' => {
			exemplarCity => q#Кампала#,
		},
		'Africa/Khartoum' => {
			exemplarCity => q#Хартум#,
		},
		'Africa/Kigali' => {
			exemplarCity => q#Кигали#,
		},
		'Africa/Kinshasa' => {
			exemplarCity => q#Киншаса#,
		},
		'Africa/Lagos' => {
			exemplarCity => q#Лагос#,
		},
		'Africa/Libreville' => {
			exemplarCity => q#Либревиль#,
		},
		'Africa/Lome' => {
			exemplarCity => q#Ломе#,
		},
		'Africa/Luanda' => {
			exemplarCity => q#Луанда#,
		},
		'Africa/Lubumbashi' => {
			exemplarCity => q#Лубумбаши#,
		},
		'Africa/Lusaka' => {
			exemplarCity => q#Лусака#,
		},
		'Africa/Malabo' => {
			exemplarCity => q#Малабо#,
		},
		'Africa/Maputo' => {
			exemplarCity => q#Мапуту#,
		},
		'Africa/Maseru' => {
			exemplarCity => q#Масеру#,
		},
		'Africa/Mbabane' => {
			exemplarCity => q#Мбабане#,
		},
		'Africa/Mogadishu' => {
			exemplarCity => q#Могадишо#,
		},
		'Africa/Monrovia' => {
			exemplarCity => q#Монровия#,
		},
		'Africa/Nairobi' => {
			exemplarCity => q#Найроби#,
		},
		'Africa/Ndjamena' => {
			exemplarCity => q#Нджамена#,
		},
		'Africa/Niamey' => {
			exemplarCity => q#Ниамей#,
		},
		'Africa/Nouakchott' => {
			exemplarCity => q#Нуакшот#,
		},
		'Africa/Ouagadougou' => {
			exemplarCity => q#Уагадугу#,
		},
		'Africa/Porto-Novo' => {
			exemplarCity => q#Порто-Ново#,
		},
		'Africa/Sao_Tome' => {
			exemplarCity => q#Сан-Томе#,
		},
		'Africa/Tripoli' => {
			exemplarCity => q#Триполи#,
		},
		'Africa/Tunis' => {
			exemplarCity => q#Тунис#,
		},
		'Africa/Windhoek' => {
			exemplarCity => q#Виндхук#,
		},
		'Africa_Central' => {
			long => {
				'standard' => q(Центральная Африка),
			},
		},
		'Africa_Eastern' => {
			long => {
				'standard' => q(Восточная Африка),
			},
		},
		'Africa_Southern' => {
			long => {
				'standard' => q(Южная Африка),
			},
		},
		'Africa_Western' => {
			long => {
				'daylight' => q(Западная Африка, летнее время),
				'generic' => q(Западная Африка),
				'standard' => q(Западная Африка, стандартное время),
			},
		},
		'Alaska' => {
			long => {
				'daylight' => q(Аляска, летнее время),
				'generic' => q(Аляска),
				'standard' => q(Аляска, стандартное время),
			},
		},
		'Almaty' => {
			long => {
				'daylight' => q(Алма-Ата летнее время),
				'generic' => q(Алма-Ата время),
				'standard' => q(Алма-Ата стандартное время),
			},
		},
		'Amazon' => {
			long => {
				'daylight' => q(Амазонка, летнее время),
				'generic' => q(Амазонка),
				'standard' => q(Амазонка, стандартное время),
			},
		},
		'America/Adak' => {
			exemplarCity => q#Адак, о-в#,
		},
		'America/Anchorage' => {
			exemplarCity => q#Анкоридж#,
		},
		'America/Anguilla' => {
			exemplarCity => q#Ангилья#,
		},
		'America/Antigua' => {
			exemplarCity => q#Антигуа#,
		},
		'America/Araguaina' => {
			exemplarCity => q#Арагуаина#,
		},
		'America/Argentina/La_Rioja' => {
			exemplarCity => q#Ла-Риоха#,
		},
		'America/Argentina/Rio_Gallegos' => {
			exemplarCity => q#Рио-Гальегос#,
		},
		'America/Argentina/Salta' => {
			exemplarCity => q#Сальта#,
		},
		'America/Argentina/San_Juan' => {
			exemplarCity => q#Сан-Хуан#,
		},
		'America/Argentina/San_Luis' => {
			exemplarCity => q#Сан-Луис#,
		},
		'America/Argentina/Tucuman' => {
			exemplarCity => q#Тукуман#,
		},
		'America/Argentina/Ushuaia' => {
			exemplarCity => q#Ушуая#,
		},
		'America/Aruba' => {
			exemplarCity => q#Аруба#,
		},
		'America/Asuncion' => {
			exemplarCity => q#Асунсьон#,
		},
		'America/Bahia' => {
			exemplarCity => q#Баия#,
		},
		'America/Bahia_Banderas' => {
			exemplarCity => q#Баия-де-Бандерас#,
		},
		'America/Barbados' => {
			exemplarCity => q#Барбадос#,
		},
		'America/Belem' => {
			exemplarCity => q#Белен#,
		},
		'America/Belize' => {
			exemplarCity => q#Белиз#,
		},
		'America/Blanc-Sablon' => {
			exemplarCity => q#Бланк-Саблон#,
		},
		'America/Boa_Vista' => {
			exemplarCity => q#Боа-Виста#,
		},
		'America/Bogota' => {
			exemplarCity => q#Богота#,
		},
		'America/Boise' => {
			exemplarCity => q#Бойсе#,
		},
		'America/Buenos_Aires' => {
			exemplarCity => q#Буэнос-Айрес#,
		},
		'America/Cambridge_Bay' => {
			exemplarCity => q#Кеймбридж-Бей#,
		},
		'America/Campo_Grande' => {
			exemplarCity => q#Кампу-Гранди#,
		},
		'America/Cancun' => {
			exemplarCity => q#Канкун#,
		},
		'America/Caracas' => {
			exemplarCity => q#Каракас#,
		},
		'America/Catamarca' => {
			exemplarCity => q#Катамарка#,
		},
		'America/Cayenne' => {
			exemplarCity => q#Кайенна#,
		},
		'America/Cayman' => {
			exemplarCity => q#Каймановы о-ва#,
		},
		'America/Chicago' => {
			exemplarCity => q#Чикаго#,
		},
		'America/Chihuahua' => {
			exemplarCity => q#Чиуауа#,
		},
		'America/Coral_Harbour' => {
			exemplarCity => q#Корал-Харбор#,
		},
		'America/Cordoba' => {
			exemplarCity => q#Кордова#,
		},
		'America/Costa_Rica' => {
			exemplarCity => q#Коста-Рика#,
		},
		'America/Creston' => {
			exemplarCity => q#Крестон#,
		},
		'America/Cuiaba' => {
			exemplarCity => q#Куяба#,
		},
		'America/Curacao' => {
			exemplarCity => q#Кюрасао#,
		},
		'America/Danmarkshavn' => {
			exemplarCity => q#Денмарксхавн#,
		},
		'America/Dawson' => {
			exemplarCity => q#Доусон#,
		},
		'America/Dawson_Creek' => {
			exemplarCity => q#Досон-Крик#,
		},
		'America/Denver' => {
			exemplarCity => q#Денвер#,
		},
		'America/Detroit' => {
			exemplarCity => q#Детройт#,
		},
		'America/Dominica' => {
			exemplarCity => q#Доминика#,
		},
		'America/Edmonton' => {
			exemplarCity => q#Эдмонтон#,
		},
		'America/Eirunepe' => {
			exemplarCity => q#Эйрунепе#,
		},
		'America/El_Salvador' => {
			exemplarCity => q#Сальвадор#,
		},
		'America/Fortaleza' => {
			exemplarCity => q#Форталеза#,
		},
		'America/Glace_Bay' => {
			exemplarCity => q#Глейс-Бей#,
		},
		'America/Godthab' => {
			exemplarCity => q#Готхоб#,
		},
		'America/Goose_Bay' => {
			exemplarCity => q#Гус-Бей#,
		},
		'America/Grand_Turk' => {
			exemplarCity => q#Гранд Турк#,
		},
		'America/Grenada' => {
			exemplarCity => q#Гренада#,
		},
		'America/Guadeloupe' => {
			exemplarCity => q#Гваделупа#,
		},
		'America/Guatemala' => {
			exemplarCity => q#Гватемала#,
		},
		'America/Guayaquil' => {
			exemplarCity => q#Гуаякиль#,
		},
		'America/Guyana' => {
			exemplarCity => q#Гайана#,
		},
		'America/Halifax' => {
			exemplarCity => q#Галифакс#,
		},
		'America/Havana' => {
			exemplarCity => q#Гавана#,
		},
		'America/Hermosillo' => {
			exemplarCity => q#Эрмосильо#,
		},
		'America/Indiana/Knox' => {
			exemplarCity => q#Нокс#,
		},
		'America/Indiana/Marengo' => {
			exemplarCity => q#Маренго#,
		},
		'America/Indiana/Petersburg' => {
			exemplarCity => q#Петерсбург#,
		},
		'America/Indiana/Tell_City' => {
			exemplarCity => q#Телл-Сити#,
		},
		'America/Indiana/Vevay' => {
			exemplarCity => q#Вивэй#,
		},
		'America/Indiana/Vincennes' => {
			exemplarCity => q#Винсенс#,
		},
		'America/Indiana/Winamac' => {
			exemplarCity => q#Винамак#,
		},
		'America/Indianapolis' => {
			exemplarCity => q#Индианаполис#,
		},
		'America/Inuvik' => {
			exemplarCity => q#Инувик#,
		},
		'America/Iqaluit' => {
			exemplarCity => q#Икалуит#,
		},
		'America/Jamaica' => {
			exemplarCity => q#Ямайка#,
		},
		'America/Jujuy' => {
			exemplarCity => q#Жужуй#,
		},
		'America/Juneau' => {
			exemplarCity => q#Джуно#,
		},
		'America/Kentucky/Monticello' => {
			exemplarCity => q#Монтиселло#,
		},
		'America/Kralendijk' => {
			exemplarCity => q#Кралендейк#,
		},
		'America/La_Paz' => {
			exemplarCity => q#Ла-Пас#,
		},
		'America/Lima' => {
			exemplarCity => q#Лима#,
		},
		'America/Los_Angeles' => {
			exemplarCity => q#Лос-Анджелес#,
		},
		'America/Louisville' => {
			exemplarCity => q#Луисвилл#,
		},
		'America/Lower_Princes' => {
			exemplarCity => q#Лоуэр-Принсес-Куортер#,
		},
		'America/Maceio' => {
			exemplarCity => q#Масейо#,
		},
		'America/Managua' => {
			exemplarCity => q#Манагуа#,
		},
		'America/Manaus' => {
			exemplarCity => q#Манаус#,
		},
		'America/Marigot' => {
			exemplarCity => q#Мариго#,
		},
		'America/Martinique' => {
			exemplarCity => q#Мартиника#,
		},
		'America/Matamoros' => {
			exemplarCity => q#Матаморос#,
		},
		'America/Mazatlan' => {
			exemplarCity => q#Масатлан#,
		},
		'America/Mendoza' => {
			exemplarCity => q#Мендоса#,
		},
		'America/Menominee' => {
			exemplarCity => q#Меномини#,
		},
		'America/Merida' => {
			exemplarCity => q#Мерида#,
		},
		'America/Metlakatla' => {
			exemplarCity => q#Метлакатла#,
		},
		'America/Mexico_City' => {
			exemplarCity => q#Мехико#,
		},
		'America/Miquelon' => {
			exemplarCity => q#Микелон#,
		},
		'America/Moncton' => {
			exemplarCity => q#Монктон#,
		},
		'America/Monterrey' => {
			exemplarCity => q#Монтеррей#,
		},
		'America/Montevideo' => {
			exemplarCity => q#Монтевидео#,
		},
		'America/Montserrat' => {
			exemplarCity => q#Монсеррат#,
		},
		'America/Nassau' => {
			exemplarCity => q#Нассау#,
		},
		'America/New_York' => {
			exemplarCity => q#Нью-Йорк#,
		},
		'America/Nipigon' => {
			exemplarCity => q#Нипигон#,
		},
		'America/Nome' => {
			exemplarCity => q#Ном#,
		},
		'America/Noronha' => {
			exemplarCity => q#Норонха#,
		},
		'America/North_Dakota/Beulah' => {
			exemplarCity => q#Бойла, Северная Дакота#,
		},
		'America/North_Dakota/Center' => {
			exemplarCity => q#Северная Дакота - Центр#,
		},
		'America/North_Dakota/New_Salem' => {
			exemplarCity => q#Нью-Салем#,
		},
		'America/Ojinaga' => {
			exemplarCity => q#Охинага#,
		},
		'America/Panama' => {
			exemplarCity => q#Панама#,
		},
		'America/Pangnirtung' => {
			exemplarCity => q#Пангниртанг#,
		},
		'America/Paramaribo' => {
			exemplarCity => q#Парамарибо#,
		},
		'America/Phoenix' => {
			exemplarCity => q#Финикс#,
		},
		'America/Port-au-Prince' => {
			exemplarCity => q#Порт-о-Пренс#,
		},
		'America/Port_of_Spain' => {
			exemplarCity => q#Порт-оф-Спейн#,
		},
		'America/Porto_Velho' => {
			exemplarCity => q#Порту-Велью#,
		},
		'America/Puerto_Rico' => {
			exemplarCity => q#Пуэрто-Рико#,
		},
		'America/Rainy_River' => {
			exemplarCity => q#Рейни-Ривер#,
		},
		'America/Rankin_Inlet' => {
			exemplarCity => q#Ранкин-Инлет#,
		},
		'America/Recife' => {
			exemplarCity => q#Ресифи#,
		},
		'America/Regina' => {
			exemplarCity => q#Реджайна#,
		},
		'America/Resolute' => {
			exemplarCity => q#Резолют#,
		},
		'America/Rio_Branco' => {
			exemplarCity => q#Риу-Бранку#,
		},
		'America/Santa_Isabel' => {
			exemplarCity => q#Санта-Изабел#,
		},
		'America/Santarem' => {
			exemplarCity => q#Сантарен#,
		},
		'America/Santiago' => {
			exemplarCity => q#Сантьяго#,
		},
		'America/Santo_Domingo' => {
			exemplarCity => q#Санто-Доминго#,
		},
		'America/Sao_Paulo' => {
			exemplarCity => q#Сан-Паулу#,
		},
		'America/Scoresbysund' => {
			exemplarCity => q#Скорсбисунн#,
		},
		'America/Sitka' => {
			exemplarCity => q#Ситка#,
		},
		'America/St_Barthelemy' => {
			exemplarCity => q#Сен-Бартельми#,
		},
		'America/St_Johns' => {
			exemplarCity => q#Сент-Джонс#,
		},
		'America/St_Kitts' => {
			exemplarCity => q#Сент-Китс#,
		},
		'America/St_Lucia' => {
			exemplarCity => q#Сент-Люсия#,
		},
		'America/St_Thomas' => {
			exemplarCity => q#Сент-Томас#,
		},
		'America/St_Vincent' => {
			exemplarCity => q#Сент-Винсент#,
		},
		'America/Swift_Current' => {
			exemplarCity => q#Свифт-Карент#,
		},
		'America/Tegucigalpa' => {
			exemplarCity => q#Тегусигальпа#,
		},
		'America/Thule' => {
			exemplarCity => q#Туле#,
		},
		'America/Thunder_Bay' => {
			exemplarCity => q#Тандер-Бей#,
		},
		'America/Tijuana' => {
			exemplarCity => q#Тихуана#,
		},
		'America/Toronto' => {
			exemplarCity => q#Торонто#,
		},
		'America/Tortola' => {
			exemplarCity => q#Тортола#,
		},
		'America/Vancouver' => {
			exemplarCity => q#Ванкувер#,
		},
		'America/Whitehorse' => {
			exemplarCity => q#Уайтхорс#,
		},
		'America/Winnipeg' => {
			exemplarCity => q#Виннипег#,
		},
		'America/Yakutat' => {
			exemplarCity => q#Якутат#,
		},
		'America/Yellowknife' => {
			exemplarCity => q#Йеллоунайф#,
		},
		'America_Central' => {
			long => {
				'daylight' => q(Центральная Америка, летнее время),
				'generic' => q(Центральная Америка),
				'standard' => q(Центральная Америка, стандартное время),
			},
		},
		'America_Eastern' => {
			long => {
				'daylight' => q(Восточная Америка, летнее время),
				'generic' => q(Восточная Америка),
				'standard' => q(Восточная Америка, стандартное время),
			},
		},
		'America_Mountain' => {
			long => {
				'daylight' => q(Горное летнее время (США)),
				'generic' => q(Горное время (США)),
				'standard' => q(Горное стандартное время (США)),
			},
		},
		'America_Pacific' => {
			long => {
				'daylight' => q(Тихоокеанское летнее время),
				'generic' => q(Тихоокеанское время),
				'standard' => q(Тихоокеанское стандартное время),
			},
		},
		'Anadyr' => {
			long => {
				'daylight' => q(Анадырь летнее время),
				'generic' => q(Время по Анадырю),
				'standard' => q(Анадырь стандартное время),
			},
		},
		'Antarctica/Casey' => {
			exemplarCity => q#Кейси#,
		},
		'Antarctica/Davis' => {
			exemplarCity => q#Дейвис#,
		},
		'Antarctica/DumontDUrville' => {
			exemplarCity => q#Дюмон-д'Юрвиль#,
		},
		'Antarctica/Macquarie' => {
			exemplarCity => q#Маккуори#,
		},
		'Antarctica/Mawson' => {
			exemplarCity => q#Моусон#,
		},
		'Antarctica/McMurdo' => {
			exemplarCity => q#Мак-Мердо#,
		},
		'Antarctica/Palmer' => {
			exemplarCity => q#Палмер#,
		},
		'Antarctica/Rothera' => {
			exemplarCity => q#Ротера#,
		},
		'Antarctica/Syowa' => {
			exemplarCity => q#Сёва#,
		},
		'Antarctica/Vostok' => {
			exemplarCity => q#Восток#,
		},
		'Aqtau' => {
			long => {
				'daylight' => q(Актау летнее время),
				'generic' => q(Актау время),
				'standard' => q(Актау стандартное время),
			},
		},
		'Aqtobe' => {
			long => {
				'daylight' => q(Актобе летнее время),
				'generic' => q(Актобе время),
				'standard' => q(Актобе стандартное время),
			},
		},
		'Arabian' => {
			long => {
				'daylight' => q(Саудовская Аравия, летнее время),
				'generic' => q(Саудовская Аравия),
				'standard' => q(Саудовская Аравия, стандартное время),
			},
		},
		'Arctic/Longyearbyen' => {
			exemplarCity => q#Лонгйир#,
		},
		'Argentina' => {
			long => {
				'daylight' => q(Аргентина, летнее время),
				'generic' => q(Аргентина),
				'standard' => q(Аргентина, стандартное время),
			},
		},
		'Argentina_Western' => {
			long => {
				'daylight' => q(Западная Аргентина, летнее время),
				'generic' => q(Западная Аргентина),
				'standard' => q(Западная Аргентина, стандартное время),
			},
		},
		'Armenia' => {
			long => {
				'daylight' => q(Армения, летнее время),
				'generic' => q(Армения),
				'standard' => q(Армения, стандартное время),
			},
		},
		'Asia/Aden' => {
			exemplarCity => q#Аден#,
		},
		'Asia/Almaty' => {
			exemplarCity => q#Алматы#,
		},
		'Asia/Amman' => {
			exemplarCity => q#Амман#,
		},
		'Asia/Anadyr' => {
			exemplarCity => q#Анадырь#,
		},
		'Asia/Aqtau' => {
			exemplarCity => q#Актау#,
		},
		'Asia/Aqtobe' => {
			exemplarCity => q#Актобе (Актюбинск)#,
		},
		'Asia/Ashgabat' => {
			exemplarCity => q#Ашхабад#,
		},
		'Asia/Baghdad' => {
			exemplarCity => q#Багдад#,
		},
		'Asia/Bahrain' => {
			exemplarCity => q#Бахрейн#,
		},
		'Asia/Baku' => {
			exemplarCity => q#Баку#,
		},
		'Asia/Bangkok' => {
			exemplarCity => q#Бангкок#,
		},
		'Asia/Beirut' => {
			exemplarCity => q#Бейрут#,
		},
		'Asia/Bishkek' => {
			exemplarCity => q#Бишкек#,
		},
		'Asia/Brunei' => {
			exemplarCity => q#Бруней#,
		},
		'Asia/Calcutta' => {
			exemplarCity => q#Калькутта#,
		},
		'Asia/Choibalsan' => {
			exemplarCity => q#Чойбалсан#,
		},
		'Asia/Chongqing' => {
			exemplarCity => q#Чунцин#,
		},
		'Asia/Colombo' => {
			exemplarCity => q#Коломбо#,
		},
		'Asia/Damascus' => {
			exemplarCity => q#Дамаск#,
		},
		'Asia/Dhaka' => {
			exemplarCity => q#Дакка#,
		},
		'Asia/Dili' => {
			exemplarCity => q#Дили#,
		},
		'Asia/Dubai' => {
			exemplarCity => q#Дубай#,
		},
		'Asia/Dushanbe' => {
			exemplarCity => q#Душанбе#,
		},
		'Asia/Gaza' => {
			exemplarCity => q#Газа#,
		},
		'Asia/Harbin' => {
			exemplarCity => q#Харбин#,
		},
		'Asia/Hebron' => {
			exemplarCity => q#Хеврон#,
		},
		'Asia/Hong_Kong' => {
			exemplarCity => q#Гонконг#,
		},
		'Asia/Hovd' => {
			exemplarCity => q#Ховд#,
		},
		'Asia/Irkutsk' => {
			exemplarCity => q#Иркутск#,
		},
		'Asia/Jakarta' => {
			exemplarCity => q#Джакарта#,
		},
		'Asia/Jayapura' => {
			exemplarCity => q#Джайпур#,
		},
		'Asia/Jerusalem' => {
			exemplarCity => q#Иерусалим#,
		},
		'Asia/Kabul' => {
			exemplarCity => q#Кабул#,
		},
		'Asia/Kamchatka' => {
			exemplarCity => q#Петропавловск-Камчатский#,
		},
		'Asia/Karachi' => {
			exemplarCity => q#Карачи#,
		},
		'Asia/Kashgar' => {
			exemplarCity => q#Кашгар#,
		},
		'Asia/Katmandu' => {
			exemplarCity => q#Катманду#,
		},
		'Asia/Khandyga' => {
			exemplarCity => q#Хандыга#,
		},
		'Asia/Krasnoyarsk' => {
			exemplarCity => q#Красноярск#,
		},
		'Asia/Kuala_Lumpur' => {
			exemplarCity => q#Куала-Лумпур#,
		},
		'Asia/Kuching' => {
			exemplarCity => q#Кучинг#,
		},
		'Asia/Kuwait' => {
			exemplarCity => q#Кувейт#,
		},
		'Asia/Macau' => {
			exemplarCity => q#Макао#,
		},
		'Asia/Magadan' => {
			exemplarCity => q#Магадан#,
		},
		'Asia/Makassar' => {
			exemplarCity => q#Макасар#,
		},
		'Asia/Manila' => {
			exemplarCity => q#Манила#,
		},
		'Asia/Muscat' => {
			exemplarCity => q#Маскат#,
		},
		'Asia/Nicosia' => {
			exemplarCity => q#Никосия#,
		},
		'Asia/Novokuznetsk' => {
			exemplarCity => q#Новокузнецк#,
		},
		'Asia/Novosibirsk' => {
			exemplarCity => q#Новосибирск#,
		},
		'Asia/Omsk' => {
			exemplarCity => q#Омск#,
		},
		'Asia/Oral' => {
			exemplarCity => q#Орал (Уральск)#,
		},
		'Asia/Phnom_Penh' => {
			exemplarCity => q#Пномпень#,
		},
		'Asia/Pontianak' => {
			exemplarCity => q#Понтианак#,
		},
		'Asia/Pyongyang' => {
			exemplarCity => q#Пхеньян#,
		},
		'Asia/Qatar' => {
			exemplarCity => q#Катар#,
		},
		'Asia/Qyzylorda' => {
			exemplarCity => q#Кызылорда#,
		},
		'Asia/Rangoon' => {
			exemplarCity => q#Рангун#,
		},
		'Asia/Riyadh' => {
			exemplarCity => q#Эр-Рияд#,
		},
		'Asia/Saigon' => {
			exemplarCity => q#Хошимин#,
		},
		'Asia/Sakhalin' => {
			exemplarCity => q#Сахалин, о-в#,
		},
		'Asia/Samarkand' => {
			exemplarCity => q#Самарканд#,
		},
		'Asia/Seoul' => {
			exemplarCity => q#Сеул#,
		},
		'Asia/Shanghai' => {
			exemplarCity => q#Шанхай#,
		},
		'Asia/Singapore' => {
			exemplarCity => q#Сингапур#,
		},
		'Asia/Taipei' => {
			exemplarCity => q#Тайбэй#,
		},
		'Asia/Tashkent' => {
			exemplarCity => q#Ташкент#,
		},
		'Asia/Tbilisi' => {
			exemplarCity => q#Тбилиси#,
		},
		'Asia/Tehran' => {
			exemplarCity => q#Тегеран#,
		},
		'Asia/Thimphu' => {
			exemplarCity => q#Тимпу#,
		},
		'Asia/Tokyo' => {
			exemplarCity => q#Токио#,
		},
		'Asia/Ulaanbaatar' => {
			exemplarCity => q#Улан-Батор#,
		},
		'Asia/Urumqi' => {
			exemplarCity => q#Урумчи#,
		},
		'Asia/Ust-Nera' => {
			exemplarCity => q#Усть-Нера#,
		},
		'Asia/Vientiane' => {
			exemplarCity => q#Вьентьян#,
		},
		'Asia/Vladivostok' => {
			exemplarCity => q#Владивосток#,
		},
		'Asia/Yakutsk' => {
			exemplarCity => q#Якутск#,
		},
		'Asia/Yekaterinburg' => {
			exemplarCity => q#Екатеринбург#,
		},
		'Asia/Yerevan' => {
			exemplarCity => q#Ереван#,
		},
		'Atlantic' => {
			long => {
				'daylight' => q(Атлантическое летнее время),
				'generic' => q(Атлантическое время),
				'standard' => q(Атлантическое стандартное время),
			},
		},
		'Atlantic/Azores' => {
			exemplarCity => q#Азорские о-ва#,
		},
		'Atlantic/Bermuda' => {
			exemplarCity => q#Бермуды#,
		},
		'Atlantic/Canary' => {
			exemplarCity => q#Канарские о-ва#,
		},
		'Atlantic/Cape_Verde' => {
			exemplarCity => q#Острова Зеленого Мыса#,
		},
		'Atlantic/Faeroe' => {
			exemplarCity => q#Фарерские о-ва#,
		},
		'Atlantic/Madeira' => {
			exemplarCity => q#Мадейра, о-в#,
		},
		'Atlantic/Reykjavik' => {
			exemplarCity => q#Рейкьявик#,
		},
		'Atlantic/South_Georgia' => {
			exemplarCity => q#Ю.Джорджия и Ю.Сэндвинчевы о-ва#,
		},
		'Atlantic/St_Helena' => {
			exemplarCity => q#Св. Елены, о-в#,
		},
		'Atlantic/Stanley' => {
			exemplarCity => q#Стэнли#,
		},
		'Australia/Adelaide' => {
			exemplarCity => q#Аделаида#,
		},
		'Australia/Brisbane' => {
			exemplarCity => q#Брисбен#,
		},
		'Australia/Broken_Hill' => {
			exemplarCity => q#Брокен-Хилл#,
		},
		'Australia/Currie' => {
			exemplarCity => q#Керри#,
		},
		'Australia/Darwin' => {
			exemplarCity => q#Дарвин#,
		},
		'Australia/Eucla' => {
			exemplarCity => q#Юкла#,
		},
		'Australia/Hobart' => {
			exemplarCity => q#Хобарт#,
		},
		'Australia/Lindeman' => {
			exemplarCity => q#Линдеман#,
		},
		'Australia/Lord_Howe' => {
			exemplarCity => q#Лорд-Хау, о-в#,
		},
		'Australia/Melbourne' => {
			exemplarCity => q#Мельбурн#,
		},
		'Australia/Perth' => {
			exemplarCity => q#Перт#,
		},
		'Australia/Sydney' => {
			exemplarCity => q#Сидней#,
		},
		'Australia_Central' => {
			long => {
				'daylight' => q(Центральная Австралия, летнее время),
				'generic' => q(Центральная Австралия),
				'standard' => q(Центральная Австралия, стандартное время),
			},
		},
		'Australia_CentralWestern' => {
			long => {
				'daylight' => q(Центральная Австралия, западное летнее время),
				'generic' => q(Центральная Австралия, западное время),
				'standard' => q(Центральная Австралия, западное стандартное время),
			},
		},
		'Australia_Eastern' => {
			long => {
				'daylight' => q(Восточная Австралия, летнее время),
				'generic' => q(Восточная Австралия),
				'standard' => q(Восточная Австралия, стандартное время),
			},
		},
		'Australia_Western' => {
			long => {
				'daylight' => q(Западная Австралия, летнее время),
				'generic' => q(Западная Австралия),
				'standard' => q(Западная Австралия, стандартное время),
			},
		},
		'Azerbaijan' => {
			long => {
				'daylight' => q(Азербайджан, летнее время),
				'generic' => q(Азербайджан),
				'standard' => q(Азербайджан, стандартное время),
			},
		},
		'Azores' => {
			long => {
				'daylight' => q(Азоры, летнее время),
				'generic' => q(Азоры),
				'standard' => q(Азоры, стандартное время),
			},
		},
		'Bangladesh' => {
			long => {
				'daylight' => q(Бангладеш, летнее время),
				'generic' => q(Бангладеш),
				'standard' => q(Бангладеш, стандартное время),
			},
		},
		'Bhutan' => {
			long => {
				'standard' => q(Бутан),
			},
		},
		'Bolivia' => {
			long => {
				'standard' => q(Боливия),
			},
		},
		'Brasilia' => {
			long => {
				'daylight' => q(Бразилия, летнее время),
				'generic' => q(Бразилия),
				'standard' => q(Бразилия, стандартное время),
			},
		},
		'Brunei' => {
			long => {
				'standard' => q(Бруней-Даруссалам),
			},
		},
		'Cape_Verde' => {
			long => {
				'daylight' => q(Кабо-Верде, летнее время),
				'generic' => q(Кабо-Верде),
				'standard' => q(Кабо-Верде, стандартное время),
			},
		},
		'Casey' => {
			long => {
				'standard' => q(Кейси),
			},
		},
		'Chamorro' => {
			long => {
				'standard' => q(Чаморро),
			},
		},
		'Chatham' => {
			long => {
				'daylight' => q(Чатем, летнее время),
				'generic' => q(Чатем),
				'standard' => q(Чатем, стандартное время),
			},
		},
		'Chile' => {
			long => {
				'daylight' => q(Чили, летнее время),
				'generic' => q(Чили),
				'standard' => q(Чили, стандартное время),
			},
		},
		'China' => {
			long => {
				'daylight' => q(Китай, летнее время),
				'generic' => q(Китай),
				'standard' => q(Китай, стандартное время),
			},
		},
		'Choibalsan' => {
			long => {
				'daylight' => q(Чойбалсан, летнее время),
				'generic' => q(Чойбалсан),
				'standard' => q(Чойбалсан, стандартное время),
			},
		},
		'Christmas' => {
			long => {
				'standard' => q(О-в Рождества),
			},
		},
		'Cocos' => {
			long => {
				'standard' => q(Кокосовые о-ва),
			},
		},
		'Colombia' => {
			long => {
				'daylight' => q(Колумбия, летнее время),
				'generic' => q(Колумбия),
				'standard' => q(Колумбия, стандартное время),
			},
		},
		'Cook' => {
			long => {
				'daylight' => q(О-ва Кука, полулетнее время),
				'generic' => q(О-ва Кука),
				'standard' => q(О-ва Кука, стандартное время),
			},
		},
		'Cuba' => {
			long => {
				'daylight' => q(Куба, летнее время),
				'generic' => q(Куба),
				'standard' => q(Куба, стандартное время),
			},
		},
		'Davis' => {
			long => {
				'standard' => q(Дейвис),
			},
		},
		'DumontDUrville' => {
			long => {
				'standard' => q(Дюмон-д'Юрвиль),
			},
		},
		'East_Timor' => {
			long => {
				'standard' => q(Восточный Тимор),
			},
		},
		'Easter' => {
			long => {
				'daylight' => q(О-в Пасхи, летнее время),
				'generic' => q(О-в Пасхи),
				'standard' => q(О-в Пасхи, стандартное время),
			},
		},
		'Ecuador' => {
			long => {
				'standard' => q(Эквадор),
			},
		},
		'Etc/Unknown' => {
			exemplarCity => q#Неизвестный город#,
		},
		'Europe/Amsterdam' => {
			exemplarCity => q#Амстердам#,
		},
		'Europe/Andorra' => {
			exemplarCity => q#Андорра#,
		},
		'Europe/Athens' => {
			exemplarCity => q#Афины#,
		},
		'Europe/Belgrade' => {
			exemplarCity => q#Белград#,
		},
		'Europe/Berlin' => {
			exemplarCity => q#Берлин#,
		},
		'Europe/Bratislava' => {
			exemplarCity => q#Братислава#,
		},
		'Europe/Brussels' => {
			exemplarCity => q#Брюссель#,
		},
		'Europe/Bucharest' => {
			exemplarCity => q#Бухарест#,
		},
		'Europe/Budapest' => {
			exemplarCity => q#Будапешт#,
		},
		'Europe/Busingen' => {
			exemplarCity => q#Бюзинген-на-Верхнем-Рейне#,
		},
		'Europe/Chisinau' => {
			exemplarCity => q#Кишинев#,
		},
		'Europe/Copenhagen' => {
			exemplarCity => q#Копенгаген#,
		},
		'Europe/Dublin' => {
			exemplarCity => q#Дублин#,
			long => {
				'daylight' => q(Ирландия, летнее время),
			},
		},
		'Europe/Gibraltar' => {
			exemplarCity => q#Гибралтар#,
		},
		'Europe/Guernsey' => {
			exemplarCity => q#Гернси#,
		},
		'Europe/Helsinki' => {
			exemplarCity => q#Хельсинки#,
		},
		'Europe/Isle_of_Man' => {
			exemplarCity => q#Остров Мэн#,
		},
		'Europe/Istanbul' => {
			exemplarCity => q#Стамбул#,
		},
		'Europe/Jersey' => {
			exemplarCity => q#Джерси#,
		},
		'Europe/Kaliningrad' => {
			exemplarCity => q#Калининград#,
		},
		'Europe/Kiev' => {
			exemplarCity => q#Киев#,
		},
		'Europe/Lisbon' => {
			exemplarCity => q#Лиссабон#,
		},
		'Europe/Ljubljana' => {
			exemplarCity => q#Любляна#,
		},
		'Europe/London' => {
			exemplarCity => q#Лондон#,
			long => {
				'daylight' => q(Британское летнее время),
			},
		},
		'Europe/Luxembourg' => {
			exemplarCity => q#Люксембург#,
		},
		'Europe/Madrid' => {
			exemplarCity => q#Мадрид#,
		},
		'Europe/Malta' => {
			exemplarCity => q#Мальта#,
		},
		'Europe/Mariehamn' => {
			exemplarCity => q#Мариехамн#,
		},
		'Europe/Minsk' => {
			exemplarCity => q#Минск#,
		},
		'Europe/Monaco' => {
			exemplarCity => q#Монако#,
		},
		'Europe/Moscow' => {
			exemplarCity => q#Москва#,
		},
		'Europe/Oslo' => {
			exemplarCity => q#Осло#,
		},
		'Europe/Paris' => {
			exemplarCity => q#Париж#,
		},
		'Europe/Podgorica' => {
			exemplarCity => q#Подгорица#,
		},
		'Europe/Prague' => {
			exemplarCity => q#Прага#,
		},
		'Europe/Riga' => {
			exemplarCity => q#Рига#,
		},
		'Europe/Rome' => {
			exemplarCity => q#Рим#,
		},
		'Europe/Samara' => {
			exemplarCity => q#Самара#,
		},
		'Europe/San_Marino' => {
			exemplarCity => q#Сан-Марино#,
		},
		'Europe/Sarajevo' => {
			exemplarCity => q#Сараево#,
		},
		'Europe/Simferopol' => {
			exemplarCity => q#Симферополь#,
		},
		'Europe/Skopje' => {
			exemplarCity => q#Скопье#,
		},
		'Europe/Sofia' => {
			exemplarCity => q#София#,
		},
		'Europe/Stockholm' => {
			exemplarCity => q#Стокгольм#,
		},
		'Europe/Tallinn' => {
			exemplarCity => q#Таллин#,
		},
		'Europe/Tirane' => {
			exemplarCity => q#Тирана#,
		},
		'Europe/Uzhgorod' => {
			exemplarCity => q#Ужгород#,
		},
		'Europe/Vaduz' => {
			exemplarCity => q#Вадуц#,
		},
		'Europe/Vatican' => {
			exemplarCity => q#Ватикан#,
		},
		'Europe/Vienna' => {
			exemplarCity => q#Вена#,
		},
		'Europe/Vilnius' => {
			exemplarCity => q#Вильнюс#,
		},
		'Europe/Volgograd' => {
			exemplarCity => q#Волгоград#,
		},
		'Europe/Warsaw' => {
			exemplarCity => q#Варшава#,
		},
		'Europe/Zagreb' => {
			exemplarCity => q#Загреб#,
		},
		'Europe/Zaporozhye' => {
			exemplarCity => q#Запорожье#,
		},
		'Europe/Zurich' => {
			exemplarCity => q#Цюрих#,
		},
		'Europe_Central' => {
			long => {
				'daylight' => q(Центральная Европа, летнее время),
				'generic' => q(Центральная Европа),
				'standard' => q(Центральная Европа, стандартное время),
			},
		},
		'Europe_Eastern' => {
			long => {
				'daylight' => q(Восточная Европа, летнее время),
				'generic' => q(Восточная Европа),
				'standard' => q(Восточная Европа, стандартное время),
			},
		},
		'Europe_Western' => {
			long => {
				'daylight' => q(Западная Европа, летнее время),
				'generic' => q(Западная Европа),
				'standard' => q(Западная Европа, стандартное время),
			},
		},
		'Falkland' => {
			long => {
				'daylight' => q(Фолкленды, летнее время),
				'generic' => q(Фолкленды),
				'standard' => q(Фолкленды, стандартное время),
			},
		},
		'Fiji' => {
			long => {
				'daylight' => q(Фиджи, летнее время),
				'generic' => q(Фиджи),
				'standard' => q(Фиджи, стандартное время),
			},
		},
		'French_Guiana' => {
			long => {
				'standard' => q(Французская Гвиана),
			},
		},
		'French_Southern' => {
			long => {
				'standard' => q(Французское южное и антарктическое время),
			},
		},
		'GMT' => {
			long => {
				'standard' => q(Среднее время по Гринвичу),
			},
		},
		'Galapagos' => {
			long => {
				'standard' => q(Галапагосские о-ва),
			},
		},
		'Gambier' => {
			long => {
				'standard' => q(Гамбье),
			},
		},
		'Georgia' => {
			long => {
				'daylight' => q(Грузия, летнее время),
				'generic' => q(Грузия),
				'standard' => q(Грузия, стандартное время),
			},
		},
		'Gilbert_Islands' => {
			long => {
				'standard' => q(О-ва Гилберта),
			},
		},
		'Greenland_Eastern' => {
			long => {
				'daylight' => q(Восточная Гренландия, летнее время),
				'generic' => q(Восточная Гренландия),
				'standard' => q(Восточная Гренландия, стандарное время),
			},
		},
		'Greenland_Western' => {
			long => {
				'daylight' => q(Западная Гренландия, летнее время),
				'generic' => q(Западная Гренландия),
				'standard' => q(Западная Гренландия, стандартное время),
			},
		},
		'Guam' => {
			long => {
				'standard' => q(Гуам),
			},
		},
		'Gulf' => {
			long => {
				'standard' => q(Персидский залив),
			},
		},
		'Guyana' => {
			long => {
				'standard' => q(Гайана),
			},
		},
		'Hawaii_Aleutian' => {
			long => {
				'daylight' => q(Гавайско-алеутское летнее время),
				'generic' => q(Гавайско-алеутское время),
				'standard' => q(Гавайско-алеутское стандартное время),
			},
		},
		'Hong_Kong' => {
			long => {
				'daylight' => q(Гонконг, летнее время),
				'generic' => q(Гонконг),
				'standard' => q(Гонконг, стандартное время),
			},
		},
		'Hovd' => {
			long => {
				'daylight' => q(Ховд, летнее время),
				'generic' => q(Ховд),
				'standard' => q(Ховд, стандартное время),
			},
		},
		'India' => {
			long => {
				'standard' => q(Индия),
			},
		},
		'Indian/Antananarivo' => {
			exemplarCity => q#Антананариву#,
		},
		'Indian/Chagos' => {
			exemplarCity => q#Чагос#,
		},
		'Indian/Christmas' => {
			exemplarCity => q#О-в Рождества#,
		},
		'Indian/Cocos' => {
			exemplarCity => q#Кокосовые о-ва#,
		},
		'Indian/Comoro' => {
			exemplarCity => q#Коморские о-ва#,
		},
		'Indian/Kerguelen' => {
			exemplarCity => q#Кергелен#,
		},
		'Indian/Mahe' => {
			exemplarCity => q#Маэ#,
		},
		'Indian/Maldives' => {
			exemplarCity => q#Мальдивы#,
		},
		'Indian/Mauritius' => {
			exemplarCity => q#Маврикий#,
		},
		'Indian/Mayotte' => {
			exemplarCity => q#Майорка#,
		},
		'Indian/Reunion' => {
			exemplarCity => q#Реюньон#,
		},
		'Indian_Ocean' => {
			long => {
				'standard' => q(Индийский океан),
			},
		},
		'Indochina' => {
			long => {
				'standard' => q(Индокитай),
			},
		},
		'Indonesia_Central' => {
			long => {
				'standard' => q(Центральная Индонезия),
			},
		},
		'Indonesia_Eastern' => {
			long => {
				'standard' => q(Восточная Индонезия),
			},
		},
		'Indonesia_Western' => {
			long => {
				'standard' => q(Западная Индонезия),
			},
		},
		'Iran' => {
			long => {
				'daylight' => q(Иран, летнее время),
				'generic' => q(Иран),
				'standard' => q(Иран, стандартное время),
			},
		},
		'Irkutsk' => {
			long => {
				'daylight' => q(Иркутск, летнее время),
				'generic' => q(Иркутск),
				'standard' => q(Иркутск, стандартное время),
			},
		},
		'Israel' => {
			long => {
				'daylight' => q(Израиль, летнее время),
				'generic' => q(Израиль),
				'standard' => q(Израиль, стандартное время),
			},
		},
		'Japan' => {
			long => {
				'daylight' => q(Япония, летнее время),
				'generic' => q(Япония),
				'standard' => q(Япония, стандартное время),
			},
		},
		'Kamchatka' => {
			long => {
				'daylight' => q(Летнее время в Петропавловске-Камчатском),
				'generic' => q(Время в Петропавловску-Камчатскому),
				'standard' => q(Стандартное время в Петропавловску-Камчатскому),
			},
		},
		'Kazakhstan_Eastern' => {
			long => {
				'standard' => q(Восточный Казахстан),
			},
		},
		'Kazakhstan_Western' => {
			long => {
				'standard' => q(Западный Казахстан),
			},
		},
		'Korea' => {
			long => {
				'daylight' => q(Корея, летнее время),
				'generic' => q(Корея),
				'standard' => q(Корея, стандартное время),
			},
		},
		'Kosrae' => {
			long => {
				'standard' => q(Косраэ),
			},
		},
		'Krasnoyarsk' => {
			long => {
				'daylight' => q(Красноярск, летнее время),
				'generic' => q(Красноярск),
				'standard' => q(Красноярск, стандартное время),
			},
		},
		'Kyrgystan' => {
			long => {
				'standard' => q(Киргизия),
			},
		},
		'Lanka' => {
			long => {
				'standard' => q(Шри-Ланка),
			},
		},
		'Line_Islands' => {
			long => {
				'standard' => q(О-ва Лайн),
			},
		},
		'Lord_Howe' => {
			long => {
				'daylight' => q(Лорд-Хау, летнее время),
				'generic' => q(Лорд-Хау),
				'standard' => q(Лорд-Хау, стандартное время),
			},
		},
		'Macau' => {
			long => {
				'daylight' => q(Макао, летнее время),
				'generic' => q(Макао),
				'standard' => q(Макао, стандартное время),
			},
		},
		'Macquarie' => {
			long => {
				'standard' => q(Маккуори),
			},
		},
		'Magadan' => {
			long => {
				'daylight' => q(Магадан, летнее время),
				'generic' => q(Магадан),
				'standard' => q(Магадан, стандартное время),
			},
		},
		'Malaysia' => {
			long => {
				'standard' => q(Малайзия),
			},
		},
		'Maldives' => {
			long => {
				'standard' => q(Мальдивы),
			},
		},
		'Marquesas' => {
			long => {
				'standard' => q(Маркизские о-ва),
			},
		},
		'Marshall_Islands' => {
			long => {
				'standard' => q(Маршалловы о-ва),
			},
		},
		'Mauritius' => {
			long => {
				'daylight' => q(Маврикий, летнее время),
				'generic' => q(Маврикий),
				'standard' => q(Маврикий, стандартное время),
			},
		},
		'Mawson' => {
			long => {
				'standard' => q(Моусон),
			},
		},
		'Mongolia' => {
			long => {
				'daylight' => q(Улан-Батор, летнее время),
				'generic' => q(Улан-Батор),
				'standard' => q(Улан-Батор, стандартное время),
			},
		},
		'Moscow' => {
			long => {
				'daylight' => q(Москва, летнее время),
				'generic' => q(Москва),
				'standard' => q(Москва, стандартное время),
			},
		},
		'Myanmar' => {
			long => {
				'standard' => q(Мьянма),
			},
		},
		'Nauru' => {
			long => {
				'standard' => q(Науру),
			},
		},
		'Nepal' => {
			long => {
				'standard' => q(Непал),
			},
		},
		'New_Caledonia' => {
			long => {
				'daylight' => q(Новая Каледония, летнее время),
				'generic' => q(Новая Каледония),
				'standard' => q(Новая Каледония, стандартное время),
			},
		},
		'New_Zealand' => {
			long => {
				'daylight' => q(Новая Зеландия, летнее время),
				'generic' => q(Новая Зеландия),
				'standard' => q(Новая Зеландия, стандартное время),
			},
		},
		'Newfoundland' => {
			long => {
				'daylight' => q(Ньюфаундленд, летнее время),
				'generic' => q(Ньюфаундленд),
				'standard' => q(Ньюфаундленд, стандартное время),
			},
		},
		'Niue' => {
			long => {
				'standard' => q(Ниуэ),
			},
		},
		'Norfolk' => {
			long => {
				'standard' => q(Норфолк),
			},
		},
		'Noronha' => {
			long => {
				'daylight' => q(Фернанду-ди-Норонья, летнее время),
				'generic' => q(Фернанду-ди-Норонья),
				'standard' => q(Фернанду-ди-Норонья, стандартное время),
			},
		},
		'North_Mariana' => {
			long => {
				'standard' => q(Северные Марианские о-ва),
			},
		},
		'Novosibirsk' => {
			long => {
				'daylight' => q(Новосибирск, летнее время),
				'generic' => q(Новосибирск),
				'standard' => q(Новосибирск, стандартное время),
			},
		},
		'Omsk' => {
			long => {
				'daylight' => q(Омск, летнее время),
				'generic' => q(Омск),
				'standard' => q(Омск, стандартное время),
			},
		},
		'Pacific/Apia' => {
			exemplarCity => q#Апия#,
		},
		'Pacific/Auckland' => {
			exemplarCity => q#Окленд#,
		},
		'Pacific/Chatham' => {
			exemplarCity => q#Чатем, о-в#,
		},
		'Pacific/Easter' => {
			exemplarCity => q#Пасхи, о-в#,
		},
		'Pacific/Efate' => {
			exemplarCity => q#Эфате#,
		},
		'Pacific/Enderbury' => {
			exemplarCity => q#Эндербери, о-в#,
		},
		'Pacific/Fakaofo' => {
			exemplarCity => q#Факаофо#,
		},
		'Pacific/Fiji' => {
			exemplarCity => q#Фиджи#,
		},
		'Pacific/Funafuti' => {
			exemplarCity => q#Фунафути#,
		},
		'Pacific/Galapagos' => {
			exemplarCity => q#Галапагосcкие о-ва#,
		},
		'Pacific/Gambier' => {
			exemplarCity => q#Гамбье, о-ва#,
		},
		'Pacific/Guadalcanal' => {
			exemplarCity => q#Гвадалканал#,
		},
		'Pacific/Guam' => {
			exemplarCity => q#Гуам#,
		},
		'Pacific/Honolulu' => {
			exemplarCity => q#Гонолулу#,
		},
		'Pacific/Johnston' => {
			exemplarCity => q#Джонстон, ат.#,
		},
		'Pacific/Kiritimati' => {
			exemplarCity => q#Киритимати#,
		},
		'Pacific/Kosrae' => {
			exemplarCity => q#Косрае#,
		},
		'Pacific/Kwajalein' => {
			exemplarCity => q#Кваджалейн#,
		},
		'Pacific/Majuro' => {
			exemplarCity => q#Маджуро#,
		},
		'Pacific/Marquesas' => {
			exemplarCity => q#Маркизские о-ва#,
		},
		'Pacific/Midway' => {
			exemplarCity => q#Мидуэй, о-ва#,
		},
		'Pacific/Nauru' => {
			exemplarCity => q#Науру#,
		},
		'Pacific/Niue' => {
			exemplarCity => q#Ниуэ#,
		},
		'Pacific/Norfolk' => {
			exemplarCity => q#Норфолк#,
		},
		'Pacific/Noumea' => {
			exemplarCity => q#Нумеа#,
		},
		'Pacific/Pago_Pago' => {
			exemplarCity => q#Паго-Паго#,
		},
		'Pacific/Palau' => {
			exemplarCity => q#Палау#,
		},
		'Pacific/Pitcairn' => {
			exemplarCity => q#Питкерн#,
		},
		'Pacific/Ponape' => {
			exemplarCity => q#Понапе, о-в#,
		},
		'Pacific/Port_Moresby' => {
			exemplarCity => q#Порт-Морсби#,
		},
		'Pacific/Rarotonga' => {
			exemplarCity => q#Раротонга#,
		},
		'Pacific/Saipan' => {
			exemplarCity => q#Сайпан#,
		},
		'Pacific/Tahiti' => {
			exemplarCity => q#Таити, о-в#,
		},
		'Pacific/Tarawa' => {
			exemplarCity => q#Тарава#,
		},
		'Pacific/Tongatapu' => {
			exemplarCity => q#Тонгатапу#,
		},
		'Pacific/Truk' => {
			exemplarCity => q#Трук, о-ва#,
		},
		'Pacific/Wake' => {
			exemplarCity => q#Уэйк, о-в#,
		},
		'Pacific/Wallis' => {
			exemplarCity => q#Уоллис#,
		},
		'Pakistan' => {
			long => {
				'daylight' => q(Пакистан, летнее время),
				'generic' => q(Пакистан),
				'standard' => q(Пакистан, стандартное время),
			},
		},
		'Palau' => {
			long => {
				'standard' => q(Палау),
			},
		},
		'Papua_New_Guinea' => {
			long => {
				'standard' => q(Папуа – Новая Гвинея),
			},
		},
		'Paraguay' => {
			long => {
				'daylight' => q(Парагвай, летнее время),
				'generic' => q(Парагвай),
				'standard' => q(Парагвай, стандартное время),
			},
		},
		'Peru' => {
			long => {
				'daylight' => q(Перу, летнее время),
				'generic' => q(Перу),
				'standard' => q(Перу, стандартное время),
			},
		},
		'Philippines' => {
			long => {
				'daylight' => q(Филиппины, летнее время),
				'generic' => q(Филиппины),
				'standard' => q(Филиппины, стандартное время),
			},
		},
		'Phoenix_Islands' => {
			long => {
				'standard' => q(О-ва Феникс),
			},
		},
		'Pierre_Miquelon' => {
			long => {
				'daylight' => q(Сен-Пьер и Микелон, летнее время),
				'generic' => q(Сен-Пьер и Микелон),
				'standard' => q(Сен-Пьер и Микелон, стандартное время),
			},
		},
		'Pitcairn' => {
			long => {
				'standard' => q(Питкэрн),
			},
		},
		'Ponape' => {
			long => {
				'standard' => q(О-ва Понапе),
			},
		},
		'Qyzylorda' => {
			long => {
				'daylight' => q(Кызылорда, летнее время*),
				'generic' => q(Кызылорда*),
				'standard' => q(Кызылорда, стандартное время*),
			},
		},
		'Reunion' => {
			long => {
				'standard' => q(Реюньон),
			},
		},
		'Rothera' => {
			long => {
				'standard' => q(Ротера),
			},
		},
		'Sakhalin' => {
			long => {
				'daylight' => q(Сахалин, летнее время),
				'generic' => q(Сахалин),
				'standard' => q(Сахалин, стандартное время),
			},
		},
		'Samara' => {
			long => {
				'daylight' => q(Самарское летнее время),
				'generic' => q(Время в Самаре),
				'standard' => q(Самарское стандартное время),
			},
		},
		'Samoa' => {
			long => {
				'daylight' => q(Самоа, летнее время),
				'generic' => q(Самоа),
				'standard' => q(Самоа, стандартное время),
			},
		},
		'Seychelles' => {
			long => {
				'standard' => q(Сейшелы),
			},
		},
		'Singapore' => {
			long => {
				'standard' => q(Сингапур),
			},
		},
		'Solomon' => {
			long => {
				'standard' => q(Соломоновы о-ва),
			},
		},
		'South_Georgia' => {
			long => {
				'standard' => q(Южная Георгия),
			},
		},
		'Suriname' => {
			long => {
				'standard' => q(Суринам),
			},
		},
		'Syowa' => {
			long => {
				'standard' => q(Сёва),
			},
		},
		'Tahiti' => {
			long => {
				'standard' => q(О-в Таити),
			},
		},
		'Taipei' => {
			long => {
				'daylight' => q(Тайвань, летнее время),
				'generic' => q(Тайвань),
				'standard' => q(Тайвань, стандартное время),
			},
		},
		'Tajikistan' => {
			long => {
				'standard' => q(Таджикистан),
			},
		},
		'Tokelau' => {
			long => {
				'standard' => q(Токелау),
			},
		},
		'Tonga' => {
			long => {
				'daylight' => q(Тонга, летнее время),
				'generic' => q(Тонга),
				'standard' => q(Тонга, стандартное время),
			},
		},
		'Truk' => {
			long => {
				'standard' => q(Чуук),
			},
		},
		'Turkmenistan' => {
			long => {
				'daylight' => q(Туркмения, летнее время),
				'generic' => q(Туркмения),
				'standard' => q(Туркмения, стандартное время),
			},
		},
		'Tuvalu' => {
			long => {
				'standard' => q(Тувалу),
			},
		},
		'Uruguay' => {
			long => {
				'daylight' => q(Уругвай, летнее время),
				'generic' => q(Уругвай),
				'standard' => q(Уругвай, стандартное время),
			},
		},
		'Uzbekistan' => {
			long => {
				'daylight' => q(Узбекистан, летнее время),
				'generic' => q(Узбекистан),
				'standard' => q(Узбекистан, стандартное время),
			},
		},
		'Vanuatu' => {
			long => {
				'daylight' => q(Вануату, летнее время),
				'generic' => q(Вануату),
				'standard' => q(Вануату, стандартное время),
			},
		},
		'Venezuela' => {
			long => {
				'standard' => q(Венесуэла),
			},
		},
		'Vladivostok' => {
			long => {
				'daylight' => q(Владивосток, летнее время),
				'generic' => q(Владивосток),
				'standard' => q(Владивосток, стандартное время),
			},
		},
		'Volgograd' => {
			long => {
				'daylight' => q(Волгоград, летнее время),
				'generic' => q(Волгоград),
				'standard' => q(Волгоград, стандартное время),
			},
		},
		'Vostok' => {
			long => {
				'standard' => q(Восток),
			},
		},
		'Wake' => {
			long => {
				'standard' => q(О-в Уэйк),
			},
		},
		'Wallis' => {
			long => {
				'standard' => q(Уоллис и Футуна),
			},
		},
		'Yakutsk' => {
			long => {
				'daylight' => q(Якутск, летнее время),
				'generic' => q(Якутск),
				'standard' => q(Якутск, стандартное время),
			},
		},
		'Yekaterinburg' => {
			long => {
				'daylight' => q(Екатеринбург, летнее время),
				'generic' => q(Екатеринбург),
				'standard' => q(Екатеринбург, стандартное время),
			},
		},
	 } }
);
no Moose;
__PACKAGE__->meta->make_immutable;

1;

# vim: tabstop=4
