package Locale::CLDR::Ug;
# This file auto generated from Data\common\main\ug.xml
#	on Mon 31 Mar  2:15:49 am GMT
# XML file generated 2014-03-05 23:14:25 -0600 (Wed, 05 Mar 2014)

use v5.18;
use mro 'c3';
use utf8;

use Moose;

extends('Locale::CLDR::Root');
# Need to add code for Key type pattern
sub display_name_pattern {
	my ($self, $name, $territory, $script, $variant) = @_;

	my $display_pattern = '{0} ({1})';
	$display_pattern =~s/\{0\}/$name/g;
	my $subtags = join '{0}، {1}', grep {$_} (
		$territory,
		$script,
		$variant,
	);

	$display_pattern =~s/\{1\}/$subtags/g;
	return $display_pattern;
}

has 'display_name_language' => (
	is			=> 'ro',
	isa			=> 'CodeRef',
	init_arg	=> undef,
	default		=> sub { 
		 sub {
			 my %languages = (
				'aa' => 'ئافارچە',
 				'ab' => 'ئابخازچە',
 				'ace' => 'ئاتجېچە',
 				'ach' => 'ئاچولىچە',
 				'ada' => 'ئاداڭمېچە',
 				'ady' => 'ئادىگېيچە',
 				'ae' => 'ئاۋېستاچە',
 				'af' => 'ئافرىكانچە',
 				'afh' => 'ئافرىخىلىچە',
 				'agq' => 'ئاگەمچە',
 				'ain' => 'ئاينۇچە',
 				'ak' => 'ئاكانچە',
 				'akk' => 'ئاككادچە',
 				'ale' => 'ئالېيۇتچە',
 				'alt' => 'جەنۇبى ئالتاي تىللىرى',
 				'am' => 'ئامخاراچە',
 				'an' => 'ئاراگونچە',
 				'ang' => 'قەدىمكى ئىنگلىزچە',
 				'anp' => 'ئانگىكاچە',
 				'ar' => 'ئەرەبچە',
 				'ar_001' => 'ھازىرقى زامان ئۆلچەملىك ئەرەبچە',
 				'arc' => 'ئارامۇچە',
 				'arn' => 'ماپۇچە',
 				'arp' => 'ئاراپاخوچە',
 				'arw' => 'ئاراۋاكچە',
 				'as' => 'ئاسسامچە',
 				'asa' => 'ئاسۇچە',
 				'ast' => 'ئاستۇرىيەچە',
 				'av' => 'ئاۋارچە',
 				'awa' => 'ئاۋادىچە',
 				'ay' => 'ئايماراچە',
 				'az' => 'ئەزەرىچە',
 				'ba' => 'باشقىرتچە',
 				'bal' => 'بېلۇجىچە',
 				'ban' => 'بالىچە',
 				'bas' => 'باساچە',
 				'bax' => 'بامۇنچە',
 				'bbj' => 'گومالاچە',
 				'be' => 'بېلارۇسچە',
 				'bej' => 'بېجاچە',
 				'bem' => 'بېمباچە',
 				'bez' => 'بېناچە',
 				'bfd' => 'بافۇتچە',
 				'bg' => 'بۇلغارچە',
 				'bho' => 'بوجپۇرىچە',
 				'bi' => 'بىسلاماچە',
 				'bik' => 'بىكولچە',
 				'bin' => 'بىنىچە',
 				'bkm' => 'كومچە',
 				'bla' => 'سىكسىكاچە',
 				'bm' => 'بامباراچە',
 				'bn' => 'بېنگالچە',
 				'bo' => 'تىبەتچە',
 				'br' => 'بىرېتونچە',
 				'bra' => 'بىراجچە',
 				'brx' => 'بودوچە',
 				'bs' => 'بوسنىيەچە',
 				'bss' => 'ئاكۇسچە',
 				'bua' => 'بۇرىياتچە',
 				'bug' => 'بۇگىچە',
 				'bum' => 'بۇلۇچە',
 				'byn' => 'بىلىنچە',
 				'byv' => 'مېدۇمباچە',
 				'ca' => 'كاتالانچە',
 				'cad' => 'كاددوچە',
 				'car' => 'كارىبچە',
 				'cay' => 'كايۇگاچە',
 				'cch' => 'ئاتسامچە',
 				'ce' => 'چېچىنچە',
 				'ceb' => 'سېبۇچە',
 				'cgg' => 'چىگاچە',
 				'ch' => 'چامورروچە',
 				'chb' => 'چىبچاچە',
 				'chg' => 'چاغاتايچە',
 				'chk' => 'چۇكچە',
 				'chm' => 'مارىچە',
 				'chn' => 'چىنۇك-ژارگونچە',
 				'cho' => 'چوكتاۋچە',
 				'chp' => 'چىپېۋيانچە',
 				'chr' => 'چېروكىچە',
 				'chy' => 'چېيېنچە',
 				'ckb' => 'سورانى كۇردچە',
 				'co' => 'كورساچە',
 				'cop' => 'كوپتىكچە',
 				'cr' => 'كرىچە',
 				'crh' => 'قىرىم تۈركچە',
 				'cs' => 'چېخچە',
 				'csb' => 'كاسزۇبىچە',
 				'cu' => 'قەدىمكى سلاۋيانچە',
 				'cv' => 'چۇۋاشچە',
 				'cy' => 'ۋېلشچە',
 				'da' => 'دانىشچە',
 				'dak' => 'داكوتاچە',
 				'dar' => 'دارگىۋاچە',
 				'dav' => 'تايتاچە',
 				'de' => 'گېرمانچە',
 				'de_AT' => 'ئاۋستىرىيە گېرمانچە',
 				'de_CH' => 'شىۋىتسارىيە ئېگىزلىك گېرمانچە',
 				'del' => 'دېلاۋارېچە',
 				'den' => 'سلاۋچە',
 				'dgr' => 'دوگرىبچە',
 				'din' => 'دىنكاچە',
 				'dje' => 'زارماچە',
 				'doi' => 'دوگرىچە',
 				'dsb' => 'توۋەن سېربچە',
 				'dua' => 'دۇئالاچە',
 				'dum' => 'ئوتتۇرا گوللاندىيەچە',
 				'dv' => 'دىۋەخىچە',
 				'dyo' => 'جولاچە',
 				'dyu' => 'دىيۇلاچە',
 				'dz' => 'بۇتانچە',
 				'dzg' => 'دازاگاچە',
 				'ebu' => 'ئېمبۇچە',
 				'ee' => 'ئېۋېچە',
 				'efi' => 'ئېفىكچە',
 				'egy' => 'قەدىمكى مىسىرچە',
 				'eka' => 'ئېكاجۇكچە',
 				'el' => 'گىرېكچە',
 				'elx' => 'ئېلامىتچە',
 				'en' => 'ئىنگلىزچە',
 				'en_AU' => 'ئاۋسترالىيە ئىنگلىزچە',
 				'en_CA' => 'كانادا ئىنگلىزچە',
 				'en_GB' => 'ئەنگلىيە ئىنگلىزچە',
 				'en_GB@alt=short' => 'ئەنگلىيە ئىنگلىزچە',
 				'en_US' => 'ئامېرىكا ئىنگلىزچە',
 				'en_US@alt=short' => 'ئامېرىكا ئىنگلىزچە',
 				'enm' => 'ئوتتۇرا ئەسىر ئىنگلىزچە',
 				'eo' => 'دۇنيا تىلى',
 				'es' => 'ئىسپانچە',
 				'es_419' => 'لاتىن ئامېرىكا ئىسپانچە',
 				'es_ES' => 'ياۋروپا ئىسپانچە',
 				'es_MX' => 'مېكسىكا ئىسپانچە',
 				'et' => 'ئېستونچە',
 				'eu' => 'باسكىچە',
 				'ewo' => 'ئېۋوندوچە',
 				'fa' => 'پارسچە',
 				'fan' => 'فاڭچە',
 				'fat' => 'فانتىچە',
 				'ff' => 'فۇلاچە',
 				'fi' => 'فىنچە',
 				'fil' => 'فىلىپپىنچە',
 				'fj' => 'فىجىچە',
 				'fo' => 'فائېروچە',
 				'fon' => 'فونچە',
 				'fr' => 'فىرانسۇزچە',
 				'fr_CA' => 'كانادا فىرانسۇزچە',
 				'fr_CH' => 'شىۋىتسارىيە فىرانسۇزچە',
 				'frm' => 'ئوتتۇرا ئەسىر فىرانسۇزچە',
 				'fro' => 'قەدىمكى فىرانسۇزچە',
 				'frr' => 'شىمالى فىرىزيەچە',
 				'frs' => 'شەرقى فىرىزيەچە',
 				'fur' => 'فىرىئۇلىچە',
 				'fy' => 'غەربى فىرىزيەچە',
 				'ga' => 'ئىرېلاندچە',
 				'gaa' => 'گاچە',
 				'gay' => 'گايوچە',
 				'gba' => 'گىباياچە',
 				'gd' => 'سكوتچە',
 				'gez' => 'گىزچە',
 				'gil' => 'گىلبېرتچە',
 				'gl' => 'گالىتسىيانچە',
 				'gmh' => 'ئوتتۇرا ئەسىر ئېگىزلىك گېرمانچە',
 				'gn' => 'گۇئارانىچە',
 				'goh' => 'قەدىمكى ئېگىزلىك گېرمانچە',
 				'gon' => 'گوندىچە',
 				'gor' => 'گورونتالوچە',
 				'got' => 'گوتچە',
 				'grb' => 'گرېبوچە',
 				'grc' => 'قەدىمكى گىرېكچە',
 				'gsw' => 'گېرمانچە شىۋىتسارىيە',
 				'gu' => 'گۇجاراتچە',
 				'guz' => 'گۇسىچە',
 				'gv' => 'مانچە',
 				'gwi' => 'گىۋىچىنچە',
 				'ha' => 'خائۇساچە',
 				'hai' => 'ھەيدەچە',
 				'haw' => 'ھاۋايچە',
 				'he' => 'ئىبرانىچە',
 				'hi' => 'ھىندىچە',
 				'hil' => 'خىلىگاينونچە',
 				'hit' => 'خىتتىتچە',
 				'hmn' => 'مۆڭچە',
 				'ho' => 'ھىرى موتۇچە',
 				'hr' => 'خورۋاتچە',
 				'hsb' => 'يۇقىرىقى سېربچە',
 				'ht' => 'ھايتىچە',
 				'hu' => 'ماجارچە',
 				'hup' => 'خۇپاچە',
 				'hy' => 'ئەرمەنچە',
 				'hz' => 'خېرېروچە',
 				'ia' => 'ئارىلىق تىل',
 				'iba' => 'ئىبانچە',
 				'ibb' => 'ئىبىبىئوچە',
 				'id' => 'ھىندونېزىيەچە',
 				'ie' => 'ئىنتىرلىڭچە',
 				'ig' => 'ئىبوچە',
 				'ii' => 'يىچە (سىچۈەن)',
 				'ik' => 'ئىنۇپىكچە',
 				'ilo' => 'ئىلوكانوچە',
 				'inh' => 'ئىنگۇشچە',
 				'io' => 'ئىدوچە',
 				'is' => 'ئىسلاندچە',
 				'it' => 'ئىتاليانچە',
 				'iu' => 'ئىنۇكتىتۇتچە',
 				'ja' => 'ياپونچە',
 				'jbo' => 'لوجبانچە',
 				'jgo' => 'نگومباچە',
 				'jmc' => 'ماچامچە',
 				'jpr' => 'ئىبرانى پارسچە',
 				'jrb' => 'ئىبرانى ئەرەبچە',
 				'jv' => 'ياۋاچە',
 				'ka' => 'گىرۇزىنچە',
 				'kaa' => 'قارا-قالپاقچە',
 				'kab' => 'كابىلېچە',
 				'kac' => 'كاچىنچە',
 				'kaj' => 'جۇچە',
 				'kam' => 'كامباچە',
 				'kaw' => 'كاۋىچە',
 				'kbd' => 'كاباردەيچە',
 				'kbl' => 'كانېمبۇچە',
 				'kcg' => 'تياپچە',
 				'kde' => 'ماكوندېچە',
 				'kea' => 'كابۇۋېردىيانچە',
 				'kfo' => 'كوروچە',
 				'kg' => 'كونگوچە',
 				'kha' => 'كاسىچە',
 				'kho' => 'خوتەنچە',
 				'khq' => 'كويرا چىنىچە',
 				'ki' => 'كىكۇيۇچە',
 				'kj' => 'كىۋانياماچە',
 				'kk' => 'قازاقچە',
 				'kkj' => 'كاكوچە',
 				'kl' => 'گىرېنلاندچە',
 				'kln' => 'كالېنجىنچە',
 				'km' => 'كىخمېرچە',
 				'kmb' => 'كىمبۇندۇچە',
 				'kn' => 'كانناداچە',
 				'ko' => 'كورېيەچە',
 				'kok' => 'كونكانىچە',
 				'kos' => 'كوسرايېچە',
 				'kpe' => 'كىپەللېچە',
 				'kr' => 'كانۇرىچە',
 				'krc' => 'قاراچاي-بالقارچە',
 				'krl' => 'كارەلچە',
 				'kru' => 'كۇرۇكچە',
 				'ks' => 'كەشمىرچە',
 				'ksb' => 'شامبالاچە',
 				'ksf' => 'بافىياچە',
 				'ksh' => 'كولىشچە',
 				'ku' => 'كۇردچە',
 				'kum' => 'قۇمۇقچە',
 				'kut' => 'كۇتەنايچە',
 				'kv' => 'كومىچە',
 				'kw' => 'كورنىشچە',
 				'ky' => 'قىرغىزچە',
 				'la' => 'لاتىنچە',
 				'lad' => 'لادىنوچە',
 				'lag' => 'لانگىچە',
 				'lah' => 'لانداچە',
 				'lam' => 'لامباچە',
 				'lb' => 'لىيۇكسېمبۇرگچە',
 				'lez' => 'لېزگىنچە',
 				'lg' => 'گانداچە',
 				'li' => 'لىمبۇرگچە',
 				'ln' => 'لىنگالاچە',
 				'lo' => 'لائوسچە',
 				'lol' => 'مونگوچە',
 				'loz' => 'لوزىچە',
 				'lt' => 'لىتۋاچە',
 				'lu' => 'لۇبا-كاتانگاچە',
 				'lua' => 'لۇبا-لۇئاچە',
 				'lui' => 'لۇيسېنگوچە',
 				'lun' => 'لۇنداچە',
 				'luo' => 'لۇئوچە',
 				'lus' => 'مىزوچە',
 				'luy' => 'لۇياچە',
 				'lv' => 'لاتۋىيەچە',
 				'mad' => 'مادۇرېسچە',
 				'maf' => 'مافاچە',
 				'mag' => 'ماگاخىچە',
 				'mai' => 'مايتىلىچە',
 				'mak' => 'ماكاسارچە',
 				'man' => 'ماندىنگوچە',
 				'mas' => 'ماسايچە',
 				'mde' => 'ماباچە',
 				'mdf' => 'موكشاچە',
 				'mdr' => 'ماندارچە',
 				'men' => 'مېندېچە',
 				'mer' => 'مېرۇچە',
 				'mfe' => 'مورىسيېنچە',
 				'mg' => 'ماداغاسقارچە',
 				'mga' => 'ئوتتۇرا ئەسىر ئىرېلاندچە',
 				'mgh' => 'ماكۇۋاچە',
 				'mgo' => 'مېتاچە\'',
 				'mh' => 'مارشالچە',
 				'mi' => 'ماۋرىچە',
 				'mic' => 'مىكماكچە',
 				'min' => 'مىناڭكابائۇچە',
 				'mk' => 'ماكېدونچە',
 				'ml' => 'مالايامچە',
 				'mn' => 'موڭغۇلچە',
 				'mnc' => 'مانجۇچە',
 				'mni' => 'مانىپۇرىچە',
 				'moh' => 'موخوكچە',
 				'mos' => 'موسسىچە',
 				'mr' => 'ماراتچە',
 				'ms' => 'مالايچە',
 				'mt' => 'مالتاچە',
 				'mua' => 'مۇنداڭچە',
 				'mul' => 'كۆپ تىللار',
 				'mus' => 'كىرىكچە',
 				'mwl' => 'مىراندېسچە',
 				'mwr' => 'مارۋارىچە',
 				'my' => 'بىرماچە',
 				'mye' => 'ميېنېچە',
 				'myv' => 'ئېرزاچە',
 				'na' => 'ناۋرۇچە',
 				'nap' => 'ناپولىچە',
 				'naq' => 'ناماچە',
 				'nb' => 'نورۋىگىيە بوكمالچە',
 				'nd' => 'شىمالى ندەبەلەچە',
 				'nds' => 'تۆۋەن گېرمانچە',
 				'ne' => 'نېپالچە',
 				'new' => 'نېۋارىچە',
 				'ng' => 'ندونگاچە',
 				'nia' => 'نىئاسچە',
 				'niu' => 'نيۇئېچە',
 				'nl' => 'گوللاندىيەچە',
 				'nmg' => 'كۋاسىيوچە',
 				'nn' => 'يېڭى نورۋېگچە',
 				'nnh' => 'نگېمبۇنچە',
 				'no' => 'نورۋېگچە',
 				'nog' => 'نوغايچە',
 				'non' => 'قەدىمكى نورۋېگچە',
 				'nqo' => 'نىكوچە',
 				'nr' => 'جەنۇبى ندەبەلەچە',
 				'nso' => 'شىمالى سوتوچە',
 				'nus' => 'مۇئېرچە',
 				'nv' => 'ناۋاخوچە',
 				'nwc' => 'نېۋارچە',
 				'ny' => 'نيانجاچە',
 				'nym' => 'نيامۋېزىچە',
 				'nyn' => 'نىيانكولېچە',
 				'nyo' => 'نىئوروچە',
 				'nzi' => 'نىزەماچە',
 				'oc' => 'ئوكسىتانچە',
 				'oj' => 'ئوجىبۋاچە',
 				'om' => 'ئوروموچە',
 				'or' => 'ئورىياچە',
 				'os' => 'ئوسسېتچەچە',
 				'osa' => 'ئوساگېلارچە',
 				'ota' => 'ئوسمان تۈركچە',
 				'pa' => 'پەنجابچە',
 				'pag' => 'پانگاسىنانچە',
 				'pal' => 'پەھلەۋىچە',
 				'pam' => 'پامپانگاچە',
 				'pap' => 'پاپىيامەنتۇچە',
 				'pau' => 'پالاۋچە',
 				'peo' => 'قەدىمكى پارىسچە',
 				'phn' => 'فىنىكىيەچە',
 				'pi' => 'پالىچە',
 				'pl' => 'پولەكچە',
 				'pon' => 'پوناپېئانچە',
 				'pro' => 'قەدىمكى پروۋېنچالچە',
 				'ps' => 'پۇشتۇچە',
 				'pt' => 'پورتۇگالچە',
 				'pt_BR' => 'بىرازىلىيە پورتۇگالچە',
 				'pt_PT' => 'ياۋروپا پورتۇگالچە',
 				'qu' => 'كېچياچە',
 				'raj' => 'راجاستانچە',
 				'rap' => 'راپانىيچە',
 				'rm' => 'رومانىشچە',
 				'rn' => 'رۇندىچە',
 				'ro' => 'رۇمىنىيەچە',
 				'rof' => 'رومبوچە',
 				'rom' => 'سىگانچە',
 				'root' => 'غول تىل',
 				'ru' => 'رۇسچە',
 				'rup' => 'ئارومانچە',
 				'rw' => 'رىۋانداچە',
 				'rwk' => 'رىۋاچە',
 				'sa' => 'سانسكرىتچە',
 				'sad' => 'سانداۋېچە',
 				'sah' => 'ياقۇتچە',
 				'sam' => 'سامارىتانچە',
 				'saq' => 'سامبۇرۇچە',
 				'sas' => 'ساساكچە',
 				'sat' => 'سانتالىچە',
 				'sba' => 'نگامبايچە',
 				'sbp' => 'سانگۇچە',
 				'sc' => 'ساردىنىيەچە',
 				'scn' => 'سىتسىلىيەچە',
 				'sco' => 'شوتلاندىيەچە',
 				'sd' => 'سىندىچە',
 				'se' => 'شىمالى سامىچە',
 				'see' => 'سېكنېكاچە',
 				'seh' => 'سېناچە',
 				'sel' => 'سېلكاپچە',
 				'ses' => 'شەرقىي سوڭخايچە',
 				'sg' => 'سانگوچە',
 				'sga' => 'قەدىمكى ئىرېلاندچە',
 				'sh' => 'سېرب-كرودىيەچە',
 				'shi' => 'شىلخاچە',
 				'shn' => 'شانچە',
 				'shu' => 'چاد ئەرەبچە',
 				'si' => 'سىنگالچە',
 				'sid' => 'سىداموچە',
 				'sk' => 'سىلوۋاكچە',
 				'sl' => 'سىلوۋېنىيەچە',
 				'sm' => 'ساموئاچە',
 				'sma' => 'جەنۇبى سامى تىللىرى',
 				'smj' => 'لۇلې سامىچە',
 				'smn' => 'ئىنارى سامىچە',
 				'sms' => 'سىكولت سامىچە',
 				'sn' => 'شوناچە',
 				'snk' => 'سونىنكەچە',
 				'so' => 'سومالىچە',
 				'sog' => 'سوغدىچە',
 				'sq' => 'ئالبانچە',
 				'sr' => 'سېربچە',
 				'srn' => 'سىرانان-توڭوچە',
 				'srr' => 'سېرېرچە',
 				'ss' => 'سىۋاتىچە',
 				'ssy' => 'ساخوچە',
 				'st' => 'جەنۇبى سوتوچە',
 				'su' => 'سۇنداچە',
 				'suk' => 'سۇكۇماچە',
 				'sus' => 'سۇسۇچە',
 				'sux' => 'سۈمەرچە',
 				'sv' => 'شۋېدچە',
 				'sw' => 'سىۋالىچە',
 				'swb' => 'كومورىچە',
 				'swc' => 'كونگو سىۋالىچە',
 				'syc' => 'كلاسسىك سۈرىيەچە',
 				'syr' => 'سۈرىيەچە',
 				'ta' => 'تامىلچە',
 				'te' => 'تېلۇگۇچە',
 				'tem' => 'تېمنېچە',
 				'teo' => 'تېسوچە',
 				'ter' => 'تېرېناچە',
 				'tet' => 'تېتۇمچە',
 				'tg' => 'تاجىكچە',
 				'th' => 'تايلاندچە',
 				'ti' => 'تىگرىنياچە',
 				'tig' => 'تىگرېچە',
 				'tiv' => 'تىۋچە',
 				'tk' => 'تۈركمەنچە',
 				'tkl' => 'توكېلاۋچە',
 				'tl' => 'تاگالوگچە',
 				'tlh' => 'كىلىنگونچە',
 				'tli' => 'تىلىنگىتچە',
 				'tmh' => 'تاماشېكچە',
 				'tn' => 'سىۋاناچە',
 				'to' => 'توڭانچە',
 				'tog' => 'نياسا توڭانچە',
 				'tpi' => 'توك-پىسىنچە',
 				'tr' => 'تۈركچە',
 				'trv' => 'توروكوچە',
 				'ts' => 'سونگاچە',
 				'tsi' => 'سىمشيانچە',
 				'tt' => 'تاتارچە',
 				'tum' => 'تۇمبۇكاچە',
 				'tvl' => 'تۇۋالۇچە',
 				'tw' => 'تىۋىچە',
 				'twq' => 'شىمالىي سوڭخايچە',
 				'ty' => 'تاختىچە',
 				'tyv' => 'توۋاچە',
 				'tzm' => 'مەركىزى ئاتلاس تاماچاگىت',
 				'udm' => 'ئۇدمۇرتچە',
 				'ug' => 'ئۇيغۇرچە',
 				'uga' => 'ئۇگارىتىكچە',
 				'uk' => 'ئۇكرائىنچە',
 				'umb' => 'ئۇمبۇندۇچە',
 				'und' => 'يوچۇن تىل',
 				'ur' => 'ئوردوچە',
 				'uz' => 'ئۆزبېكچە',
 				'vai' => 'ۋايچە',
 				've' => 'ۋېنداچە',
 				'vi' => 'ۋىيېتنامچە',
 				'vo' => 'ۋولاپۇكچە',
 				'vot' => 'ۋوتېچە',
 				'vun' => 'ۋۇنجوچە',
 				'wa' => 'ۋاللۇنچە',
 				'wae' => 'ۋالسېرچە',
 				'wal' => 'ۋولايتاچە',
 				'war' => 'ۋارايچە',
 				'was' => 'ۋاشوچە',
 				'wo' => 'ۋولوفچە',
 				'xal' => 'قالماقچە',
 				'xh' => 'خوساچە',
 				'xog' => 'سوگاچە',
 				'yao' => 'ياۋچە',
 				'yap' => 'ياپچە',
 				'yav' => 'ياڭبەنچە',
 				'ybb' => 'يېمباچە',
 				'yi' => 'يىددىشچە',
 				'yo' => 'يورۇباچە',
 				'yue' => 'گۇاڭدوڭچە',
 				'za' => 'جۇاڭچە',
 				'zap' => 'زاپوتېكچە',
 				'zbl' => 'بىلىس بەلگىلىرى',
 				'zen' => 'زېناگاچە',
 				'zgh' => 'ئۆلچەملىك ماراكەش تامازىتچە',
 				'zh' => 'خەنچە',
 				'zh_Hans' => 'ئاددىي خەنچە',
 				'zh_Hant' => 'مۇرەككەپ خەنچە',
 				'zu' => 'زۇلۇچە',
 				'zun' => 'زۇنىچە',
 				'zxx' => 'تىل مەزمۇنى يوق',
 				'zza' => 'زازاچە',

			);
			if (@_) {
				return $languages{$_[0]};
			}
			return \%languages;
		}
	},
);

has 'display_name_script' => (
	is			=> 'ro',
	isa			=> 'CodeRef',
	init_arg	=> undef,
	default		=> sub {
		sub {
			my %scripts = (
			'Afak' => 'ئافاكا',
 			'Arab' => 'ئەرەب',
 			'Armi' => 'خان جەمەتى ئارامۇ',
 			'Armn' => 'ئەرمەن',
 			'Avst' => 'ئاۋېستا',
 			'Bali' => 'بالى',
 			'Bamu' => 'بامۇم',
 			'Bass' => 'باسسا',
 			'Batk' => 'باتاك',
 			'Beng' => 'بېنگال',
 			'Blis' => 'بىلىس بەلگىلىرى',
 			'Bopo' => 'خەنچە پىنيىن',
 			'Brah' => 'براخمى',
 			'Brai' => 'برائىل ئەمالار يېزىقى',
 			'Bugi' => 'بۇگى',
 			'Buhd' => 'بۇخىت',
 			'Cakm' => 'چاكما',
 			'Cans' => 'بىرلىككە كەلگەن كانادا يەرلىك بوغۇم جەدۋىلى',
 			'Cari' => 'كارىيا',
 			'Cham' => 'چام',
 			'Cher' => 'چېروكى',
 			'Cirt' => 'كىرسچە',
 			'Copt' => 'كوپتىك',
 			'Cprt' => 'سىپرۇس',
 			'Cyrl' => 'كىرىل',
 			'Cyrs' => 'قەدىمكى چىركاۋ سىلاۋيانچە كىرىل',
 			'Deva' => 'دېۋاناگارى',
 			'Dsrt' => 'دېزېرېت',
 			'Dupl' => 'دۇپلويان تېز خاتىرىلەش',
 			'Egyd' => 'دېموتىكچە مىسىر',
 			'Egyh' => 'خىيەراتىكچە مىسىر',
 			'Egyp' => 'تەسۋىرىي يېزىق مىسىر',
 			'Ethi' => 'ئېفىيوپىيەچە',
 			'Geok' => 'خۇتسۇرى گىرۇزىنچە',
 			'Geor' => 'گىرۇزىنچە',
 			'Glag' => 'گىلاگوتچە',
 			'Goth' => 'گوتچە',
 			'Gran' => 'گىرانتاچە',
 			'Grek' => 'گىرېكچە',
 			'Gujr' => 'گۇجاراتچە',
 			'Guru' => 'گۇرمۇكىچە',
 			'Hani' => 'خەنچە',
 			'Hano' => 'خانۇنۇچە',
 			'Hans' => 'ئاددىي خەنچە',
 			'Hans@alt=stand-alone' => 'ئاددىي خەنچە',
 			'Hant' => 'مۇرەككەپ خەنچە',
 			'Hant@alt=stand-alone' => 'مۇرەككەپ خەنچە',
 			'Hebr' => 'ئىبرانىچە',
 			'Hira' => 'خىراگانا',
 			'Hluw' => 'ئاناتولىيە تەسۋىرىي يېزىق',
 			'Hmng' => 'مۆڭچە',
 			'Hrkt' => 'ياپونچە خىراگانا ياكى كاتاكانا',
 			'Hung' => 'قەدىمكى ماجارچە',
 			'Inds' => 'ئىندۇسچە',
 			'Ital' => 'قەدىمكى ئىتاليانچە',
 			'Java' => 'ياۋاچە',
 			'Jpan' => 'ياپونچە',
 			'Jurc' => 'جۇرچېنچە',
 			'Kali' => 'كاياھچە',
 			'Kana' => 'كاتاكانا',
 			'Khar' => 'كاروشتىچە',
 			'Khmr' => 'كېخمېرچە',
 			'Khoj' => 'خوجكىچە',
 			'Knda' => 'كانناداچە',
 			'Kore' => 'كورېيەچە',
 			'Kpel' => 'كپېللېچە',
 			'Kthi' => 'كاياتىچە',
 			'Lana' => 'لانناچە',
 			'Laoo' => 'لائوسچە',
 			'Latf' => 'فىراكتۇر لاتىنچە',
 			'Latg' => 'سىكوت لاتىنچە',
 			'Latn' => 'لاتىنچە',
 			'Lepc' => 'لەپچاچە',
 			'Limb' => 'لىمبۇچە',
 			'Lina' => 'سىزىقلىق A',
 			'Linb' => 'سىزىقلىق B',
 			'Lisu' => 'فراسېرچە',
 			'Loma' => 'لوماچە',
 			'Lyci' => 'لىسىيانچە',
 			'Lydi' => 'لىدىيەچە',
 			'Mand' => 'ماندائىكچە',
 			'Mani' => 'مانەكېزەمچە',
 			'Maya' => 'ماياچە تەسۋىرىي يېزىق',
 			'Mend' => 'مېندېچە',
 			'Merc' => 'مېتروئىت يازمىچە',
 			'Mero' => 'مېتروئىت',
 			'Mlym' => 'مالايامچە',
 			'Mong' => 'موڭغۇلچە',
 			'Moon' => 'كورىيە',
 			'Mroo' => 'مروچە',
 			'Mtei' => 'مانىپۇرىچە',
 			'Mymr' => 'بىرماچە',
 			'Narb' => 'قەدىمكى شىمالىي ئەرەبچە',
 			'Nbat' => 'ئانباتچە',
 			'Nkgb' => 'ناشىچە',
 			'Nkoo' => 'نىكوچە',
 			'Nshu' => 'نۈشۇچە',
 			'Ogam' => 'ئوگەمچە',
 			'Olck' => 'ئول-چىكىچە',
 			'Orkh' => 'ئورخۇنچە',
 			'Orya' => 'ئورىياچە',
 			'Osma' => 'ئوسمانيە',
 			'Palm' => 'پالمىراچە',
 			'Perm' => 'قەدىمكى پېرمىكچە',
 			'Phag' => 'پاسپاچە',
 			'Phli' => 'پەھلىۋىچە ئويما خەت',
 			'Phlp' => 'پەھلىۋىچە شېئىرىي تىل',
 			'Phlv' => 'پەھلىۋىچە كىتابى تىل',
 			'Phnx' => 'فىنىكچە',
 			'Plrd' => 'پوللارد تاۋۇشلىرى',
 			'Prti' => 'پارتىئانچە ئويما خەت',
 			'Rjng' => 'رېجاڭچە',
 			'Roro' => 'روڭگوروڭگو',
 			'Runr' => 'رۇنىكچە',
 			'Samr' => 'سامارىچە',
 			'Sara' => 'ساراتىچە',
 			'Sarb' => 'قەدىمكى جەنۇبى ئەرەبچە',
 			'Saur' => 'سائۇراشتىراچە',
 			'Sgnw' => 'ئىشارەت تىلى',
 			'Shaw' => 'شاۋىيانچە',
 			'Shrd' => 'شاراداچە',
 			'Sind' => 'كۇداۋادچە',
 			'Sinh' => 'سىنخالاچە',
 			'Sora' => 'سورا سامپىڭ',
 			'Sund' => 'سۇنداچە',
 			'Sylo' => 'سىيولوتى-ناگرىچە',
 			'Syrc' => 'سۈرىيەچە',
 			'Syre' => 'سۈرىيەچە ئەبجەت',
 			'Syrj' => 'غەربىي سۈرىيەچە',
 			'Syrn' => 'شەرقىي سۈرىيەچە',
 			'Tagb' => 'تاگبانۋاچە',
 			'Takr' => 'تاكرىچە',
 			'Tale' => 'تاي-لەچە',
 			'Talu' => 'يېڭى تاي-لەچە',
 			'Taml' => 'تامىلچە',
 			'Tang' => 'تاڭغۇتچە',
 			'Tavt' => 'تايلاندچە-ۋىيېتنامچە',
 			'Telu' => 'تېلۇگۇچە',
 			'Teng' => 'تېڭۋارچە',
 			'Tfng' => 'تىفىناغچە',
 			'Tglg' => 'تاگالوگچە',
 			'Thaa' => 'تاناچە',
 			'Thai' => 'تايلاندچە',
 			'Tibt' => 'تىبەتچە',
 			'Tirh' => 'تىرخۇتاچە',
 			'Ugar' => 'ئۇگارىتىكچە',
 			'Vaii' => 'ۋايچە',
 			'Visp' => 'كۆرۈنۈشچان تاۋۇش',
 			'Wara' => 'ۋاراڭ كىشىتى',
 			'Wole' => 'ۋولىئاي',
 			'Xpeo' => 'قەدىمكى پارىسچە',
 			'Xsux' => 'سۇمېر-ئاككادىيان مىخ خەت',
 			'Yiii' => 'يىچە',
 			'Zinh' => 'ئىرسىيەت ئاتالغۇ',
 			'Zmth' => 'ماتېماتىكىلىق بەلگە',
 			'Zsym' => 'بەلگە',
 			'Zxxx' => 'يېزىلمىغان',
 			'Zyyy' => 'ئورتاق',
 			'Zzzz' => 'يوچۇن يېزىق',

			);
			if ( @_ ) {
				return $scripts{$_[0]};
			}
			return \%scripts;
		}
	}
);

has 'display_name_territory' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'001' => 'دۇنيا',
 			'002' => 'ئافرىقا',
 			'003' => 'شىمالىي ئامېرىكا',
 			'005' => 'جەنۇبىي ئامېرىكا',
 			'009' => 'ئوكيانىيە',
 			'011' => 'غەربىي ئافرىقا',
 			'013' => 'ئوتتۇرا ئامېرىكا',
 			'014' => 'شەرقىي ئافرىقا',
 			'015' => 'شىمالىي ئافرىقا',
 			'017' => 'ئوتتۇرا ئافرىقا',
 			'018' => 'جەنۇبىي ئافرىقا رايونى',
 			'019' => 'ئامېرىكا',
 			'021' => 'شىمالىي ئامېرىكا رايونى',
 			'029' => 'كارىب دېڭىزى',
 			'030' => 'شەرقىي ئاسىيا',
 			'034' => 'جەنۇبىي ئاسىيا',
 			'035' => 'شەرقىي جەنۇبىي ئاسىيا',
 			'039' => 'جەنۇبىي ياۋروپا',
 			'053' => 'ئاۋسترالئاسىيا',
 			'054' => 'مېلانېسىيە',
 			'057' => 'مىكرونېزىيە رايونى',
 			'061' => 'پولىنىزىيە',
 			'142' => 'ئاسىيا',
 			'143' => 'ئوتتۇرا ئاسىيا',
 			'145' => 'غەربىي ئاسىيا',
 			'150' => 'ياۋروپا',
 			'151' => 'شەرقىي ياۋروپا',
 			'154' => 'شىمالىي ياۋروپا',
 			'155' => 'غەربىي ياۋروپا',
 			'419' => 'لاتىن ئامېرىكا',
 			'AC' => 'ئاسسېنسىيون ئارىلى',
 			'AD' => 'ئاندوررا',
 			'AE' => 'ئەرەب بىرلەشمە خەلىپىلىكى',
 			'AF' => 'ئافغانىستان',
 			'AG' => 'ئانتىگۋا ۋە باربۇدا',
 			'AI' => 'ئانگۋىللا',
 			'AL' => 'ئالبانىيە',
 			'AM' => 'ئەرمېنىيە',
 			'AO' => 'ئانگولا',
 			'AQ' => 'ئانتاركتىكا',
 			'AR' => 'ئارگېنتىنا',
 			'AS' => 'ئامېرىكا تەۋەلىكىدىكى ساموئا',
 			'AT' => 'ئاۋسترىيە',
 			'AU' => 'ئاۋسترالىيە',
 			'AW' => 'ئارۇبا',
 			'AX' => 'ئالاند ئاراللىرى',
 			'AZ' => 'ئەزەربەيجان',
 			'BA' => 'بوسنىيە-گېرتسېگوۋىنا',
 			'BB' => 'باربادوس',
 			'BD' => 'باڭلادىش',
 			'BE' => 'بېلگىيە',
 			'BF' => 'بۇركىنا-فاسو',
 			'BG' => 'بۇلغارىيە',
 			'BH' => 'بەھرەين',
 			'BI' => 'بۇرۇندى',
 			'BJ' => 'بېنىن',
 			'BL' => 'ساينىت-بارتھېلەمي ئاراللىرى',
 			'BM' => 'بېرمۇدا',
 			'BN' => 'بىرۇنېي',
 			'BO' => 'بولىۋىيە',
 			'BQ' => 'كارىب دېڭىزى گوللاندىيە',
 			'BR' => 'بىرازىلىيە',
 			'BS' => 'باھاما',
 			'BT' => 'بۇتان',
 			'BV' => 'بۇۋېت ئاراللىرى',
 			'BW' => 'بوتسۋانا',
 			'BY' => 'بېلارۇسىيە',
 			'BZ' => 'بېلىز',
 			'CA' => 'كانادا',
 			'CC' => 'كەئەلىڭ كوكۇس ئاراللىرى',
 			'CD' => 'كونگو - كىنشاسا',
 			'CD@alt=variant' => 'كونگو (دېموكراتىك كونگو جۇمھۇرىيىتى)',
 			'CF' => 'ئوتتۇرا ئافرىقا جۇمھۇرىيىتى',
 			'CG' => 'كونگو - بىراززاۋىل',
 			'CG@alt=variant' => 'كونگو (جۇمھۇرىيىتى)',
 			'CH' => 'شىۋىتسارىيە',
 			'CI' => 'كوتې دې ئىۋوئىر',
 			'CI@alt=variant' => 'پىل چىشى قىرغىقى',
 			'CK' => 'كۇك ئاراللىرى',
 			'CL' => 'چىلى',
 			'CM' => 'كامېرون',
 			'CN' => 'جۇڭگو',
 			'CO' => 'كولومبىيە',
 			'CP' => 'كىلىپپېرتون ئاراللىرى',
 			'CR' => 'كوستارىكا',
 			'CU' => 'كۇبا',
 			'CV' => 'يېشىل تۇمشۇق',
 			'CW' => 'كۇراسو',
 			'CX' => 'روژدېستۋو ئارىلى',
 			'CY' => 'سىپرۇس',
 			'CZ' => 'چېخ جۇمھۇرىيىتى',
 			'DE' => 'گېرمانىيە',
 			'DG' => 'دېگو-گارشىيا',
 			'DJ' => 'جىبۇتى',
 			'DK' => 'دانىيە',
 			'DM' => 'دومىنىكا',
 			'DO' => 'دومىنىكا جۇمھۇرىيىتى',
 			'DZ' => 'ئالجىرىيە',
 			'EA' => 'سېيتا ۋە مېلىلا',
 			'EC' => 'ئېكۋادور',
 			'EE' => 'ئېستونىيە',
 			'EG' => 'مىسىر',
 			'EH' => 'غەربىي ساخارا',
 			'ER' => 'ئېرىترېيە',
 			'ES' => 'ئىسپانىيە',
 			'ET' => 'ئېفىيوپىيە',
 			'EU' => 'ياۋروپا ئىتتىپاقى',
 			'FI' => 'فىنلاندىيە',
 			'FJ' => 'فىجى',
 			'FK' => 'فالكلاند ئاراللىرى',
 			'FK@alt=variant' => 'فالكلاند ئاراللىرى (ئىسلاس مالۋىناس)',
 			'FM' => 'مىكرونېزىيە',
 			'FO' => 'فائېرو ئاراللىرى',
 			'FR' => 'فىرانسىيە',
 			'GA' => 'گابون',
 			'GB' => 'ئەنگلىيە پادىشاھلىقى',
 			'GB@alt=short' => 'ئەنگلىيە',
 			'GD' => 'گىرېنادا',
 			'GE' => 'گىروزىيە',
 			'GF' => 'فىرانسىيەگە قاراشلىق گىۋىيانا',
 			'GG' => 'گېرىنسى',
 			'GH' => 'گانا',
 			'GI' => 'جەبىلتارىق',
 			'GL' => 'گىرېنلاند',
 			'GM' => 'گامبىيە',
 			'GN' => 'گىۋىنېيە',
 			'GP' => 'گىۋادېلۇپ',
 			'GQ' => 'ئېكۋاتور گىۋىنېيەسى',
 			'GR' => 'گىرېتسىيە',
 			'GS' => 'جەنۇبىي جورجىيە ۋە جەنۇبىي ساندىۋىچ ئاراللىرى',
 			'GT' => 'گىۋاتېمالا',
 			'GU' => 'گۇئام',
 			'GW' => 'گىۋىنېيە-بىسسائۇ',
 			'GY' => 'گىۋىيانا',
 			'HK' => 'شياڭگاڭ ئالاھىدە مەمۇرىي رايونى (جۇڭگو)',
 			'HK@alt=short' => 'شياڭگاڭ',
 			'HM' => 'خېرد ۋە ماك-دونالد ئارىلى',
 			'HN' => 'ھوندۇراس',
 			'HR' => 'كىرودىيە',
 			'HT' => 'ھايتى',
 			'HU' => 'ۋېنگىرىيە',
 			'IC' => 'كانارى ئاراللىرى',
 			'ID' => 'ھىندونېزىيە',
 			'IE' => 'ئىرېلاندىيە',
 			'IL' => 'ئىسرائىلىيە',
 			'IM' => 'مېن ئارىلى',
 			'IN' => 'ھىندىستان',
 			'IO' => 'ئەنگلىيەنىڭ ھىندى ئوكياندىكى تەۋەلىكى',
 			'IQ' => 'ئىراق',
 			'IR' => 'ئىران',
 			'IS' => 'ئىسلاندىيە',
 			'IT' => 'ئىتالىيە',
 			'JE' => 'جېرسېي',
 			'JM' => 'يامايكا',
 			'JO' => 'ئىيوردانىيە',
 			'JP' => 'ياپونىيە',
 			'KE' => 'كېنىيە',
 			'KG' => 'قىرغىزىستان',
 			'KH' => 'كامبودژا',
 			'KI' => 'كىرىباتى',
 			'KM' => 'كومورو',
 			'KN' => 'ساينىت-كىرىستوفېر ۋە نېۋىس',
 			'KP' => 'شىمالىي كورىيە',
 			'KR' => 'جەنۇبىي كورىيە',
 			'KW' => 'كۇۋەيت',
 			'KY' => 'كايمان ئاراللىرى',
 			'KZ' => 'قازاقىستان',
 			'LA' => 'لائوس',
 			'LB' => 'لىۋان',
 			'LC' => 'ساينىت-لۇسىيە',
 			'LI' => 'لىچتېنشتېين بەگلىكى',
 			'LK' => 'سىرىلانكا',
 			'LR' => 'لىبېرىيە',
 			'LS' => 'لېسوتو',
 			'LT' => 'لىتۋانىيە',
 			'LU' => 'لىيۇكسېمبۇرگ',
 			'LV' => 'لاتۋىيە',
 			'LY' => 'لىۋىيە',
 			'MA' => 'ماراكەش',
 			'MC' => 'موناكو',
 			'MD' => 'مولدوۋا',
 			'ME' => 'مونتېنېگرو',
 			'MF' => 'ساينىت-مارتېن',
 			'MG' => 'ماداغاسقار',
 			'MH' => 'مارشال ئاراللىرى',
 			'MK' => 'ماكېدونىيە',
 			'MK@alt=variant' => 'ماكېدونىيە (سابىق يۇگۇسلاۋىيە ماكېدونىيە جۇمھۇرىيىتى)',
 			'ML' => 'مالى',
 			'MM' => 'بىرما',
 			'MN' => 'موڭغۇلىيە',
 			'MO' => 'ئاۋمېن ئالاھىدە مەمۇرىي رايونى (جۇڭگو)',
 			'MO@alt=short' => 'ئاۋمېن',
 			'MP' => 'شىمالىي مارىيانا ئاراللىرى',
 			'MQ' => 'مارتىنىكا',
 			'MR' => 'ماۋرىتانىيە',
 			'MS' => 'مونتسېررات',
 			'MT' => 'مالتا',
 			'MU' => 'ماۋرىتىئۇس',
 			'MV' => 'مالدىۋې',
 			'MW' => 'مالاۋى',
 			'MX' => 'مېكسىكا',
 			'MY' => 'مالايشىيا',
 			'MZ' => 'موزامبىك',
 			'NA' => 'نامىبىيە',
 			'NC' => 'يېڭى كالېدونىيە',
 			'NE' => 'نېگىر',
 			'NF' => 'نورفولك ئارىلى',
 			'NG' => 'نىگېرىيە',
 			'NI' => 'نىكاراگۇئا',
 			'NL' => 'گوللاندىيە',
 			'NO' => 'نورۋېگىيە',
 			'NP' => 'نېپال',
 			'NR' => 'ناۋرۇ',
 			'NU' => 'نىيۇئې',
 			'NZ' => 'يېڭى زېلاندىيە',
 			'OM' => 'ئومان',
 			'PA' => 'پاناما',
 			'PE' => 'پېرۇ',
 			'PF' => 'فىرانسىيەگە قاراشلىق پولىنېزىيە',
 			'PG' => 'پاپۇئا يېڭى گىۋىنېيەسى',
 			'PH' => 'فىلىپپىن',
 			'PK' => 'پاكىستان',
 			'PL' => 'پولشا',
 			'PM' => 'ساينىت-پىئېر ۋە مىكېلون ئاراللىرى',
 			'PN' => 'پىتكاير ئاراللىرى',
 			'PR' => 'پۇئېرتو-رىكو',
 			'PS' => 'پەلەستىن زېمىنى',
 			'PS@alt=short' => 'پەلەستىن',
 			'PT' => 'پورتۇگالىيە',
 			'PW' => 'پالاۋ',
 			'PY' => 'پاراگۋاي',
 			'QA' => 'قاتار',
 			'QO' => 'ئوكيانىيە ئەتراپىدىكى ئاراللار',
 			'RE' => 'رېئونىيون',
 			'RO' => 'رۇمىنىيە',
 			'RS' => 'سېربىيە',
 			'RU' => 'رۇسىيە',
 			'RW' => 'رىۋاندا',
 			'SA' => 'سەئۇدى ئەرەبىستان',
 			'SB' => 'سولومون ئاراللىرى',
 			'SC' => 'سېيشېل',
 			'SD' => 'سۇدان',
 			'SE' => 'شىۋېتسىيە',
 			'SG' => 'سىنگاپور',
 			'SH' => 'ساينىت ھېلېنا',
 			'SI' => 'سىلوۋېنىيە',
 			'SJ' => 'سىۋالبارد ۋە يان-مايېن ئارىلى',
 			'SK' => 'سىلوۋاكىيە',
 			'SL' => 'سېررالېئون',
 			'SM' => 'سان-مارىنو',
 			'SN' => 'سېنېگال',
 			'SO' => 'سومالى',
 			'SR' => 'سۇرىنام',
 			'SS' => 'جەنۇبىي سۇدان',
 			'ST' => 'سان تومې ۋە پرىنسىپې',
 			'SV' => 'ئەل سالۋادور',
 			'SX' => 'سىنت مارتېن',
 			'SY' => 'سۈرىيە',
 			'SZ' => 'سىۋېزىلاند',
 			'TA' => 'ترىستان داكۇنھا',
 			'TC' => 'تۇركس ۋە كايكوس ئاراللىرى',
 			'TD' => 'چاد',
 			'TF' => 'فىرانسىيەگە قاراشلىق جەنۇبتىكى زېمىنلىرى',
 			'TG' => 'توگو',
 			'TH' => 'تايلاند',
 			'TJ' => 'تاجىكىستان',
 			'TK' => 'توكېلاۋ',
 			'TL' => 'شەرقىي تىمور',
 			'TM' => 'تۈركمەنىستان',
 			'TN' => 'تۇنىس',
 			'TO' => 'تونگا',
 			'TR' => 'تۈركىيە',
 			'TT' => 'تىرىنىداد ۋە توباگو',
 			'TV' => 'تۇۋالۇ',
 			'TW' => 'تەيۋەن',
 			'TZ' => 'تانزانىيە',
 			'UA' => 'ئۇكرائىنا',
 			'UG' => 'ئۇگاندا',
 			'UM' => 'ئامېرىكا تەۋەلىكىدىكى سىرتقى كىچىك ئاراللار',
 			'US' => 'ئامېرىكا قوشما شتاتلىرى',
 			'US@alt=short' => 'ئا ق ش',
 			'UY' => 'ئۇرۇگۋاي',
 			'UZ' => 'ئۆزبېكىستان',
 			'VA' => 'ۋاتىكان شەھىرى',
 			'VC' => 'ساينىت-ۋىنسېنت ۋە گىرېنادىنېس',
 			'VE' => 'ۋېنېزۇئېلا',
 			'VG' => 'ئەنگلىيەگە قاراشلىق ۋىرجىن ئارىلى',
 			'VI' => 'ئامېرىكا تەۋەلىكىدىكى ۋىرجىن تاقىم ئاراللىرى',
 			'VN' => 'ۋىيېتنام',
 			'VU' => 'ۋانۇئاتۇ',
 			'WF' => 'ۋالىس ۋە فۇتۇنا',
 			'WS' => 'ساموئا',
 			'XK' => 'كوسوۋو',
 			'YE' => 'يەمەن',
 			'YT' => 'مايوتتې',
 			'ZA' => 'جەنۇبىي ئافرىقا',
 			'ZM' => 'زامبىيە',
 			'ZW' => 'زىمبابۋې',
 			'ZZ' => 'يوچۇن جاي',

		}
	},
);

has 'display_name_variant' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'1901' => 'ئەنئەنىۋى گېرمانچە ئىملا قائىدىسى',
 			'1994' => 'ئۆلچەملەشتۈرۈلگەن رېسىيان ئىملا قائىدىسى',
 			'1996' => 'گېرمانچە ئىملا قائىدىسى 1996',
 			'1606NICT' => 'ئوتتۇرا ئاخىرقى دەۋردىكى فىرانسۇزچە 1606',
 			'1694ACAD' => 'دەسلەپكى مەزگىلدىكى زامانىۋى فىرانسۇزچە',
 			'1959ACAD' => 'ئاكادېمىك',
 			'ALALC97' => 'ALA-LC لاتىنلاشتۇرۇش، 1997 نەشرى',
 			'ALUKU' => 'ئالۇكۇ شىۋەسى',
 			'AREVELA' => 'شەرقىي ئەرمەنچە',
 			'AREVMDA' => 'غەربىي ئەرمەنچە',
 			'BAKU1926' => 'بىرلىككە كەلگەن تۈرك لاتىن ئېلىپبەسى',
 			'BISKE' => 'سان گىيورگىيو/بىلا شىۋەسى',
 			'BOHORIC' => 'بوخورىچ ئېلىپبەسى',
 			'BOONT' => 'بۇنتلىڭچە',
 			'DAJNKO' => 'داژىنكو ئېلىپبەسى',
 			'EMODENG' => 'دەسلەپكى مەزگىلدىكى زامانىۋى ئىنگلىزچە',
 			'FONIPA' => 'IPA تاۋۇشلىرى',
 			'FONUPA' => 'UPA تاۋۇشلىرى',
 			'HEPBURN' => 'خېپبۇرن لاتىنلاشتۇرۇش',
 			'KKCOR' => 'ئورتاق ئىملا قائىدىسى',
 			'KSCOR' => 'ئۆلچەملىك ئىملا قائىدىسى',
 			'LIPAW' => 'رېسىياننىڭ لىپوۋاز شىۋەسى',
 			'METELKO' => 'مېتېلكو ئېلىپبەسى',
 			'MONOTON' => 'ئاددىي',
 			'NDYUKA' => 'نىديۇكا شىۋەسى',
 			'NEDIS' => 'ناتىسون شىۋەسى',
 			'NJIVA' => 'گىنىۋا/نىجىۋا شىۋەسى',
 			'NULIK' => 'زامانىۋى ۋولاپۇكچە',
 			'OSOJS' => 'ئوسېئاككو/ئوسوجەن شىۋەسى',
 			'PAMAKA' => 'پاماكا شىۋەسى',
 			'PINYIN' => 'پىنيىن لاتىنلاشتۇرۇش',
 			'POLYTON' => 'پولىتونىك',
 			'POSIX' => 'كومپيۇتېر',
 			'REVISED' => 'تۈزىتىلگەن ئىملا قائىدىسى',
 			'RIGIK' => 'ئەنئەنىۋى ۋولاپۇكچە',
 			'ROZAJ' => 'رېسىيان',
 			'SAAHO' => 'ساخوچە',
 			'SCOTLAND' => 'شوتلاندىيە ئۆلچەملىك ئىنگلىزچە',
 			'SCOUSE' => 'سىكاۋۇز',
 			'SOLBA' => 'سىتولۋىززا/سولبىكا شىۋەسى',
 			'TARASK' => 'تاراسكىۋىتسا ئىملا قائىدىسى',
 			'UCCOR' => 'بىرلىككە كەلگەن ئىملا قائىدىسى',
 			'UCRCOR' => 'بىرلىككە كەلگەن تۈزىتىلگەن ئىملا قائىدىسى',
 			'VALENCIA' => 'ۋالېنسىيە',
 			'WADEGILE' => 'ۋېي ئائىلىسى پىنيىن لاتىنلاشتۇرۇش',

		}
	},
);

has 'display_name_key' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'calendar' => 'يىلنامە',
 			'collation' => 'تەرتىپلەش تەرتىپى',
 			'currency' => 'پۇل',
 			'numbers' => 'سان',

		}
	},
);

has 'display_name_type' => (
	is			=> 'ro',
	isa			=> 'HashRef[HashRef[Str]]',
	init_arg	=> undef,
	default		=> sub {
		{
			'calendar' => {
 				'buddhist' => q{بۇددا يىلنامەسى},
 				'chinese' => q{دېھقانلار يىلنامەسى},
 				'coptic' => q{كوپتىك يىلنامەسى},
 				'dangi' => q{دانگى يىلنامەسى},
 				'ethiopic' => q{ئېفىيوپىيە يىلنامەسى},
 				'ethiopic-amete-alem' => q{ئېفىيوپىيە ئامېتې ئالېم يىلنامەسى},
 				'gregorian' => q{مىلادىيە يىلنامەسى},
 				'hebrew' => q{يەھۇدى يىلنامەسى},
 				'indian' => q{ھىندىستان دۆلەت يىلنامەسى},
 				'islamic' => q{ئىسلام ھىجرىيە يىلنامەسى},
 				'islamic-civil' => q{ئىسلام ھىجرىيە يىلنامەسى (مەدىنە)},
 				'islamic-rgsa' => q{ئىسلام ھىجرىيە يىلنامەسى (سەئۇدى ئەرەبىستان ئاي)},
 				'islamic-tbla' => q{ئىسلام ھىجرىيە يىلنامەسى (ئاسترونومىيە دەۋرى)},
 				'islamic-umalqura' => q{ئىسلام ھىجرىيە يىلنامەسى (ئۇم ئەلقۇرا)},
 				'iso8601' => q{ISO-8601 يىلنامەسى},
 				'japanese' => q{ياپونىيە يىلنامەسى},
 				'persian' => q{پارىس يىلنامەسى},
 				'roc' => q{مىنگو يىلنامەسى},
 			},
 			'collation' => {
 				'big5han' => q{مۇرەككەپ خەنچە تىزىش تەرتىپى - Big5},
 				'dictionary' => q{لۇغەت تىزىش تەرتىپى},
 				'ducet' => q{كۆڭۈلدىكى يۇنىكود تىزىش تەرتىپى},
 				'eor' => q{ياۋروپا تەرتىپلەش قائىدىسى},
 				'gb2312han' => q{ئاددىي خەنچە تىزىش تەرتىپى - GB2312},
 				'phonebook' => q{تېلېفون نومۇر تىزىش تەرتىپى},
 				'pinyin' => q{پىنيىن تىزىش تەرتىپى},
 				'reformed' => q{ياخشىلانغان تەرتىپلەش تەرتىپى},
 				'search' => q{ئادەتتىكى ئىزدەش},
 				'searchjl' => q{كورىيەچە ئۈزۈك تاۋۇش بويىچە ئىزدەش},
 				'standard' => q{ئۆلچەملىك تەرتىپلەش تەرتىپى},
 				'stroke' => q{سىزىق بويىچە تەرتىپلەش},
 				'traditional' => q{ئەنئەنىۋى تەرتىپلەش تەرتىپى},
 				'unihan' => q{يان بۆلەك سىزىق بويچە تەرتىپلەش تەرتىپى},
 				'zhuyin' => q{ترانسكرىپسىيە تەرتىپلەش تەرتىپى},
 			},
 			'numbers' => {
 				'arab' => q{ئەرەبچە-ھىندىچە رەقەملەر},
 				'arabext' => q{كېڭەيتىلگەن ئەرەبچە-ھىندىچە رەقەملەر},
 				'armn' => q{ئەرمەنچە رەقەملەر},
 				'armnlow' => q{ئەرەبچە رەقەملەر (كىچىك ھەرپ)},
 				'bali' => q{بالىچە رەقەملەر},
 				'beng' => q{بېنگالچە رەقەملەر},
 				'brah' => q{بىراخمىچە رەقەملەر},
 				'cakm' => q{چاكماچە رەقەملەر},
 				'cham' => q{چامچە رەقەملەر},
 				'deva' => q{دېۋاناگارىچە رەقەملەر},
 				'ethi' => q{ئېفىيوپىيەچە رەقەملەر},
 				'fullwide' => q{تولۇق كەڭلىكتىكى رەقەملەر},
 				'geor' => q{گىرۇزىنچە رەقەملەر},
 				'grek' => q{گىرېكچە رەقەملەر},
 				'greklow' => q{گىرېكچە رەقەملەر (كىچىك ھەرپ)},
 				'gujr' => q{گۇجاراتچە رەقەملەر},
 				'guru' => q{گۇرمۇكىچە رەقەملەر},
 				'hanidec' => q{خەنچە ئونلۇق رەقەملەر},
 				'hans' => q{ئاددىي خەنچە رەقەملەر},
 				'hansfin' => q{ئاددىي خەنچە پۇل-مۇئامىلە رەقەملەر},
 				'hant' => q{مۇرەككەپ خەنچە رەقەملەر},
 				'hantfin' => q{مۇرەككەپ خەنچە پۇل-مۇئامىلە رەقەملەر},
 				'hebr' => q{ئىبرانىچە رەقەملەر},
 				'java' => q{ياۋاچە رەقەملەر},
 				'jpan' => q{ياپونچە رەقەملەر},
 				'jpanfin' => q{ياپونچە پۇل-مۇئامىلە رەقەملەر},
 				'kali' => q{كاياھچە رەقەملەر},
 				'khmr' => q{كېخمېرچە رەقەملەر},
 				'knda' => q{كانناداچە رەقەملەر},
 				'lana' => q{تاي تامچە خورا رەقەملەر},
 				'lanatham' => q{تاي تامچە تام رەقەملەر},
 				'laoo' => q{لائوسچە رەقەملەر},
 				'latn' => q{غەربچە رەقەملەر},
 				'lepc' => q{لەپچاچە رەقەملەر},
 				'limb' => q{لىمبۇچە رەقەملەر},
 				'mlym' => q{مالايالامچە رەقەملەر},
 				'mong' => q{موڭغۇلچە رەقەملەر},
 				'mtei' => q{مانىپۇرىچە رەقەملەر},
 				'mymr' => q{بېرماچە رەقەملەر},
 				'mymrshan' => q{بېرما شانچە رەقەملەر},
 				'nkoo' => q{نىكوچە رەقەملەر},
 				'olck' => q{ئول-چىكىچە رەقەملەر},
 				'orya' => q{ئورىياچە رەقەملەر},
 				'osma' => q{ئوسمانىيە رەقەملەر},
 				'roman' => q{رىم رەقەملەر},
 				'romanlow' => q{رىم رەقەملەر (كىچىك ھەرپ)},
 				'saur' => q{سائۇراشتىراچە رەقەملەر},
 				'shrd' => q{شاراداچە رەقەملەر},
 				'sora' => q{سورا سومپېڭ رەقەملەر},
 				'sund' => q{سۇنداچە رەقەملەر},
 				'takr' => q{تاكرىچە رەقەملەر},
 				'talu' => q{يېڭى تاي-لەچە رەقەملەر},
 				'taml' => q{ئەنئەنىۋى تامىلچە رەقەملەر},
 				'tamldec' => q{تامىلچە رەقەملەر},
 				'telu' => q{تېلۇگۇچە رەقەملەر},
 				'thai' => q{تايلاندچە رەقەملەر},
 				'tibt' => q{تىبەتچە رەقەملەر},
 				'vaii' => q{ۋايچە رەقەملەر},
 			},

		}
	},
);

has 'display_name_measurement_system' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'metric' => q{مېتىر},
 			'UK' => q{ئەنگلىيە ئۆلچىمى},
 			'US' => q{ئامېرىكا ئۆلچىمى},

		}
	},
);

has 'display_name_code_patterns' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { 
		{
			'language' => 'تىل: {0}',
 			'script' => 'يېزىق: {0}',
 			'territory' => 'رايون: {0}',

		}
	},
);

has 'text_orientation' => (
	is			=> 'ro',
	isa			=> 'HashRef[Str]',
	init_arg	=> undef,
	default		=> sub { return {
			lines => '',
			characters => 'right-to-left',
		}}
);

has 'characters' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub {
		no warnings 'experimental::regex_sets';
		return {
			index => ['ئ', 'ا', 'ە', 'ب', 'پ', 'ت', 'ج', 'چ', 'خ', 'د', 'ر', 'ز', 'ژ', 'س', 'ش', 'غ', 'ف', 'ق', 'ك', 'گ', 'ڭ', 'ل', 'م', 'ن', 'ھ', 'و', 'ۇ', 'ۆ', 'ۈ', 'ۋ', 'ې', 'ى', 'ي'],
			main => qr{(?^u:[ئ ا ە ب پ ت ج چ خ د ر ز ژ س ش غ ف ق ك گ ڭ ل م ن ھ و ۇ ۆ ۈ ۋ ې ى ي])},
		};
	},
);

has 'quote_start' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{»},
);

has 'quote_end' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{«},
);

has 'alternate_quote_start' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{›},
);

has 'alternate_quote_end' => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> qq{‹},
);

has 'units' => (
	is			=> 'ro',
	isa			=> 'HashRef[HashRef[HashRef[Str]]]',
	init_arg	=> undef,
	default		=> sub { {
				'long' => {
					'acre' => {
						'one' => q({0} ئىنگلىز موسى),
						'other' => q({0} ئىنگلىز موسى),
					},
					'celsius' => {
						'one' => q({0} سېلسىيە گرادۇس),
						'other' => q({0} سېلسىيە گرادۇس),
					},
					'centimeter' => {
						'one' => q({0} سانتىمېتىر),
						'other' => q({0} سانتىمېتىر),
					},
					'cubic-kilometer' => {
						'one' => q({0} كۇب كىلومېتىر),
						'other' => q({0} كۇب كىلومېتىر),
					},
					'cubic-mile' => {
						'one' => q({0} كۇب مىل),
						'other' => q({0} كۇب مىل),
					},
					'day' => {
						'one' => q({0} كۈن),
						'other' => q({0} كۈن),
					},
					'degree' => {
						'one' => q({0} گىرادۇس),
						'other' => q({0} گىرادۇس),
					},
					'fahrenheit' => {
						'one' => q({0} فارېنگېيت گرادۇس),
						'other' => q({0} فارېنگېيت گرادۇس),
					},
					'foot' => {
						'one' => q({0} فۇت),
						'other' => q({0} فۇت),
					},
					'g-force' => {
						'one' => q({0} ئېغىرلىق كۈچى),
						'other' => q({0} ئېغىرلىق كۈچى),
					},
					'gram' => {
						'one' => q({0} گرام),
						'other' => q({0} گرام),
					},
					'hectare' => {
						'one' => q({0} گېكتار),
						'other' => q({0} hectares),
					},
					'hectopascal' => {
						'one' => q({0} يۈز پاسكال),
						'other' => q({0} يۈز پاسكال),
					},
					'horsepower' => {
						'one' => q({0} ئات كۈچى),
						'other' => q({0} ئات كۈچى),
					},
					'hour' => {
						'one' => q({0} سائەت),
						'other' => q({0} سائەت),
					},
					'inch' => {
						'one' => q({0} ديۇيم),
						'other' => q({0} ديۇيم),
					},
					'inch-hg' => {
						'one' => q({0} ديۇيم سىماب تۈۋرۇكى),
						'other' => q({0} ديۇيم سىماب تۈۋرۇكى),
					},
					'kilogram' => {
						'one' => q({0} كىلوگرام),
						'other' => q({0} كىلوگرام),
					},
					'kilometer' => {
						'one' => q({0} كىلومېتىر),
						'other' => q({0} كىلومېتىر),
					},
					'kilometer-per-hour' => {
						'one' => q({0} كىلومېتىر ھەر سائەت),
						'other' => q({0} كىلومېتىر ھەر سائەت),
					},
					'kilowatt' => {
						'one' => q({0} كىلوۋات),
						'other' => q({0} كىلوۋات),
					},
					'light-year' => {
						'one' => q({0} يورۇقلۇق يىلى),
						'other' => q({0} يورۇقلۇق يىلى),
					},
					'liter' => {
						'one' => q({0} لىتېر),
						'other' => q({0} لىتېر),
					},
					'meter' => {
						'one' => q({0} مېتىر),
						'other' => q({0} مېتىر),
					},
					'meter-per-second' => {
						'one' => q({0} مېتىر ھەر سېكۇنت),
						'other' => q({0} مېتىر ھەر سېكۇنت),
					},
					'mile' => {
						'one' => q({0} مىل),
						'other' => q({0} مىل),
					},
					'mile-per-hour' => {
						'one' => q({0} مىل ھەر سائەت),
						'other' => q({0} مىل ھەر سائەت),
					},
					'millibar' => {
						'one' => q({0} مىللىبار),
						'other' => q({0} مىللىبار),
					},
					'millimeter' => {
						'one' => q({0} مىللىمېتىر),
						'other' => q({0} مىللىمېتىر),
					},
					'millisecond' => {
						'one' => q({0} مىللى سېكۇنت),
						'other' => q({0} مىللى سېكۇنت),
					},
					'minute' => {
						'one' => q({0} مىنۇت),
						'other' => q({0} مىنۇت),
					},
					'month' => {
						'one' => q({0} ئاي),
						'other' => q({0} ئاي),
					},
					'ounce' => {
						'one' => q({0} ئۇنسىيە),
						'other' => q({0} ئۇنسىيە),
					},
					'per' => {
						'' => q({0}/{1}),
					},
					'picometer' => {
						'one' => q({0} پىكومېتىر),
						'other' => q({0} پىكومېتىر),
					},
					'pound' => {
						'one' => q({0} قاداق),
						'other' => q({0} قاداق),
					},
					'second' => {
						'one' => q({0} سېكۇنت),
						'other' => q({0} سېكۇنت),
					},
					'square-foot' => {
						'one' => q({0} كۋادرات فۇت),
						'other' => q({0} كۋادرات فۇت),
					},
					'square-kilometer' => {
						'one' => q({0} كۋادرات كىلومېتىر),
						'other' => q({0} كۋادرات كىلومېتىر),
					},
					'square-meter' => {
						'one' => q({0} كۋادرات مېتىر),
						'other' => q({0} كۋادرات مېتىر),
					},
					'square-mile' => {
						'one' => q({0} كۋادرات مىل),
						'other' => q({0} كۋادرات مىل),
					},
					'watt' => {
						'one' => q({0} ۋات),
						'other' => q({0} ۋات),
					},
					'week' => {
						'one' => q({0} ھەپتە),
						'other' => q({0} ھەپتە),
					},
					'yard' => {
						'one' => q({0} يارد),
						'other' => q({0} يارد),
					},
					'year' => {
						'one' => q({0} يىل),
						'other' => q({0} يىل),
					},
				},
				'narrow' => {
					'acre' => {
						'one' => q({0}ac),
						'other' => q({0}ac),
					},
					'celsius' => {
						'one' => q({0}°),
						'other' => q({0}°),
					},
					'centimeter' => {
						'one' => q({0}cm),
						'other' => q({0}cm),
					},
					'cubic-kilometer' => {
						'one' => q({0}km³),
						'other' => q({0}km³),
					},
					'cubic-mile' => {
						'one' => q({0}mi³),
						'other' => q({0}mi³),
					},
					'day' => {
						'one' => q({0} كۈن),
						'other' => q({0} كۈن),
					},
					'degree' => {
						'one' => q({0}°),
						'other' => q({0}°),
					},
					'fahrenheit' => {
						'one' => q({0}°F),
						'other' => q({0}°F),
					},
					'foot' => {
						'one' => q({0}′),
						'other' => q({0}′),
					},
					'g-force' => {
						'one' => q({0}G),
						'other' => q({0}Gs),
					},
					'gram' => {
						'one' => q({0}g),
						'other' => q({0}g),
					},
					'hectare' => {
						'one' => q({0}گېكتار),
						'other' => q({0}گېكتار),
					},
					'hectopascal' => {
						'one' => q({0}hPa),
						'other' => q({0}hPa),
					},
					'horsepower' => {
						'one' => q({0}hp),
						'other' => q({0}hp),
					},
					'hour' => {
						'one' => q({0}h),
						'other' => q({0}h),
					},
					'inch' => {
						'one' => q({0}″),
						'other' => q({0}″),
					},
					'inch-hg' => {
						'one' => q({0}" Hg),
						'other' => q({0}" Hg),
					},
					'kilogram' => {
						'one' => q({0}kg),
						'other' => q({0}kg),
					},
					'kilometer' => {
						'one' => q({0}km),
						'other' => q({0}km),
					},
					'kilometer-per-hour' => {
						'one' => q({0}kph),
						'other' => q({0}kph),
					},
					'kilowatt' => {
						'one' => q({0}kW),
						'other' => q({0}kW),
					},
					'light-year' => {
						'one' => q({0}ly),
						'other' => q({0}ly),
					},
					'liter' => {
						'one' => q({0}l),
						'other' => q({0}l),
					},
					'meter' => {
						'one' => q({0}m),
						'other' => q({0}m),
					},
					'meter-per-second' => {
						'one' => q({0}m/s),
						'other' => q({0}m/s),
					},
					'mile' => {
						'one' => q({0}mi),
						'other' => q({0}mi),
					},
					'mile-per-hour' => {
						'one' => q({0}mph),
						'other' => q({0}mph),
					},
					'millibar' => {
						'one' => q({0}mb),
						'other' => q({0}mb),
					},
					'millimeter' => {
						'one' => q({0}mm),
						'other' => q({0}mm),
					},
					'millisecond' => {
						'one' => q({0}ms),
						'other' => q({0}ms),
					},
					'minute' => {
						'one' => q({0}m),
						'other' => q({0}m),
					},
					'month' => {
						'one' => q({0} ئاي),
						'other' => q({0} ئاي),
					},
					'ounce' => {
						'one' => q({0}oz),
						'other' => q({0}oz),
					},
					'picometer' => {
						'one' => q({0}pm),
						'other' => q({0}pm),
					},
					'pound' => {
						'one' => q({0}#),
						'other' => q({0}#),
					},
					'second' => {
						'one' => q({0}s),
						'other' => q({0}s),
					},
					'square-foot' => {
						'one' => q({0}ft²),
						'other' => q({0}ft²),
					},
					'square-mile' => {
						'one' => q({0}mi²),
						'other' => q({0}mi²),
					},
					'watt' => {
						'one' => q({0}W),
						'other' => q({0}W),
					},
					'week' => {
						'one' => q({0} ھەپتە),
						'other' => q({0} ھەپتە),
					},
					'yard' => {
						'one' => q({0}yd),
						'other' => q({0}yd),
					},
					'year' => {
						'one' => q({0} يىل),
						'other' => q({0} يىل),
					},
				},
				'short' => {
					'acre' => {
						'one' => q({0} ئىنگلىز موسى),
						'other' => q({0} ئىنگلىز موسى),
					},
					'celsius' => {
						'one' => q({0}°C),
						'other' => q({0}°C),
					},
					'centimeter' => {
						'one' => q({0} سانتىمېتىر),
						'other' => q({0} سانتىمېتىر),
					},
					'cubic-kilometer' => {
						'one' => q({0} km³),
						'other' => q({0} km³),
					},
					'cubic-mile' => {
						'one' => q({0} mi³),
						'other' => q({0} mi³),
					},
					'day' => {
						'one' => q({0} كۈن),
						'other' => q({0} كۈن),
					},
					'degree' => {
						'one' => q({0} گىرادۇس),
						'other' => q({0} گىرادۇس),
					},
					'fahrenheit' => {
						'one' => q({0}°F),
						'other' => q({0}°F),
					},
					'foot' => {
						'one' => q({0} پۇت),
						'other' => q({0} پۇت),
					},
					'g-force' => {
						'one' => q({0} G),
						'other' => q({0} G),
					},
					'gram' => {
						'one' => q({0} g),
						'other' => q({0} g),
					},
					'hectare' => {
						'one' => q({0} گېكتار),
						'other' => q({0} گېكتار),
					},
					'hectopascal' => {
						'one' => q({0} ھېكتوپاسكال),
						'other' => q({0} ھېكتوپاسكال),
					},
					'horsepower' => {
						'one' => q({0} ئات كۈچى),
						'other' => q({0} ئات كۈچى),
					},
					'hour' => {
						'one' => q({0} سائەت),
						'other' => q({0} سائەت),
					},
					'inch' => {
						'one' => q({0} ئىنگلىز چىسى),
						'other' => q({0} ئىنگلىز چىسى),
					},
					'inch-hg' => {
						'one' => q({0} inHg),
						'other' => q({0} inHg),
					},
					'kilogram' => {
						'one' => q({0} kg),
						'other' => q({0} kg),
					},
					'kilometer' => {
						'one' => q({0} كىلومېتىر),
						'other' => q({0} كىلومېتىر),
					},
					'kilometer-per-hour' => {
						'one' => q({0} سائەت/كىلومېتىر),
						'other' => q({0} سائەت/كىلومېتىر),
					},
					'kilowatt' => {
						'one' => q({0} kW),
						'other' => q({0} kW),
					},
					'light-year' => {
						'one' => q({0} يورۇقلۇق يىلى),
						'other' => q({0} يورۇقلۇق يىلى),
					},
					'liter' => {
						'one' => q({0} l),
						'other' => q({0} l),
					},
					'meter' => {
						'one' => q({0} مېتىر),
						'other' => q({0} مېتىر),
					},
					'meter-per-second' => {
						'one' => q({0} سېكۇنت/مېتىر),
						'other' => q({0} سېكۇنت/مېتىر),
					},
					'mile' => {
						'one' => q({0} مىل),
						'other' => q({0} مىل),
					},
					'mile-per-hour' => {
						'one' => q({0} سائەت/مىل),
						'other' => q({0} سائەت/مىل),
					},
					'millibar' => {
						'one' => q({0} mbar),
						'other' => q({0} mbar),
					},
					'millimeter' => {
						'one' => q({0} مىللىمېتىر),
						'other' => q({0} مىللىمېتىر),
					},
					'millisecond' => {
						'one' => q({0} مىللىسېكۇنت),
						'other' => q({0} مىللىسېكۇنت),
					},
					'minute' => {
						'one' => q({0} مىنۇت),
						'other' => q({0} مىنۇت),
					},
					'month' => {
						'one' => q({0} ئاي),
						'other' => q({0} ئاي),
					},
					'ounce' => {
						'one' => q({0} ئۇنسىيە),
						'other' => q({0} ئۇنسىيە),
					},
					'per' => {
						'' => q({0}/{1}),
					},
					'picometer' => {
						'one' => q({0} پىكومېتىر),
						'other' => q({0} پىكومېتىر),
					},
					'pound' => {
						'one' => q({0} قاداق),
						'other' => q({0} قاداق),
					},
					'second' => {
						'one' => q({0} سېكۇنت),
						'other' => q({0} سېكۇنت),
					},
					'square-foot' => {
						'one' => q({0} كۋادرات فۇت),
						'other' => q({0} كۋادرات فۇت),
					},
					'square-kilometer' => {
						'one' => q({0} km²),
						'other' => q({0} km²),
					},
					'square-meter' => {
						'one' => q({0} m²),
						'other' => q({0} m²),
					},
					'square-mile' => {
						'one' => q({0} كۋادرات مىل),
						'other' => q({0} كۋادرات مىل),
					},
					'watt' => {
						'one' => q({0} W),
						'other' => q({0} W),
					},
					'week' => {
						'one' => q({0} ھەپتە),
						'other' => q({0} ھەپتە),
					},
					'yard' => {
						'one' => q({0} يارد),
						'other' => q({0} يارد),
					},
					'year' => {
						'one' => q({0} يىل),
						'other' => q({0} يىل),
					},
				},
			} }
);


has 'yesstr' => (
	is			=> 'ro',
	isa			=> 'RegexpRef',
	init_arg	=> undef,
	default		=> sub { qr'^(?i:ھەئە|ھەئە|yes|y)$' }
);

has 'nostr' => (
	is			=> 'ro',
	isa			=> 'RegexpRef',
	init_arg	=> undef,
	default		=> sub { qr'^(?i:ياق|ياق|no|n)$' }
);

has 'listPatterns' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
				start => q({0}, {1}),
				middle => q({0}, {1}),
				end => q({0}, and {1}),
				2 => q({0} and {1}),
		} }
);

has native_numbering_system => (
	is			=> 'ro',
	isa			=> 'Str',
	init_arg	=> undef,
	default		=> 'arabext',
);

has 'number_symbols' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'latn' => {
			'decimal' => q(.),
			'exponential' => q(E),
			'group' => q(,),
			'infinity' => q(∞),
			'list' => q(),
			'minusSign' => q(-),
			'nan' => q(NaN),
			'perMille' => q(‰),
			'percentSign' => q(%),
			'plusSign' => q(+),
			'superscriptingExponent' => q(×),
		},
	} }
);

has 'number_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		decimalFormat => {
			'default' => {
				'0' => {
					'' => '#,##0.###',
				},
				'1000' => {
					'one' => '0مىڭ',
					'other' => '0مىڭ',
				},
				'10000' => {
					'one' => '00مىڭ',
					'other' => '00مىڭ',
				},
				'100000' => {
					'one' => '000مىڭ',
					'other' => '000مىڭ',
				},
				'1000000' => {
					'one' => '0مىليون',
					'other' => '0مىليون',
				},
				'10000000' => {
					'one' => '00مىليون',
					'other' => '00مىليون',
				},
				'100000000' => {
					'one' => '000مىليون',
					'other' => '000مىليون',
				},
				'1000000000' => {
					'one' => '0 مىليارد',
					'other' => '0 مىليارد',
				},
				'10000000000' => {
					'one' => '00 مىليارد',
					'other' => '00 مىليارد',
				},
				'100000000000' => {
					'one' => '000 مىليارد',
					'other' => '000 مىليارد',
				},
				'1000000000000' => {
					'one' => '0 تىرىليون',
					'other' => '0 تىرىليون',
				},
				'10000000000000' => {
					'one' => '00 تىرىليون',
					'other' => '00 تىرىليون',
				},
				'100000000000000' => {
					'one' => '000 تىرىليون',
					'other' => '000 تىرىليون',
				},
			},
			'long' => {
				'1000' => {
					'one' => '0 مىڭ',
					'other' => '0 مىڭ',
				},
				'10000' => {
					'one' => '00 مىڭ',
					'other' => '00 مىڭ',
				},
				'100000' => {
					'one' => '000 مىڭ',
					'other' => '000 مىڭ',
				},
				'1000000' => {
					'one' => '0 مىليون',
					'other' => '0 مىليون',
				},
				'10000000' => {
					'one' => '00 مىليون',
					'other' => '00 مىليون',
				},
				'100000000' => {
					'one' => '000 مىليون',
					'other' => '000 مىليون',
				},
				'1000000000' => {
					'one' => '0 مىليارد',
					'other' => '0 مىليارد',
				},
				'10000000000' => {
					'one' => '00 مىليارد',
					'other' => '00 مىليارد',
				},
				'100000000000' => {
					'one' => '000 مىليارد',
					'other' => '000 مىليارد',
				},
				'1000000000000' => {
					'one' => '0 تىرىليون',
					'other' => '0 تىرىليون',
				},
				'10000000000000' => {
					'one' => '00 تىرىليون',
					'other' => '00 تىرىليون',
				},
				'100000000000000' => {
					'one' => '000 تىرىليون',
					'other' => '000 تىرىليون',
				},
			},
			'short' => {
				'1000' => {
					'one' => '0مىڭ',
					'other' => '0مىڭ',
				},
				'10000' => {
					'one' => '00مىڭ',
					'other' => '00مىڭ',
				},
				'100000' => {
					'one' => '000مىڭ',
					'other' => '000مىڭ',
				},
				'1000000' => {
					'one' => '0مىليون',
					'other' => '0مىليون',
				},
				'10000000' => {
					'one' => '00مىليون',
					'other' => '00مىليون',
				},
				'100000000' => {
					'one' => '000مىليون',
					'other' => '000مىليون',
				},
				'1000000000' => {
					'one' => '0 مىليارد',
					'other' => '0 مىليارد',
				},
				'10000000000' => {
					'one' => '00 مىليارد',
					'other' => '00 مىليارد',
				},
				'1000000000000' => {
					'one' => '0 تىرىليون',
					'other' => '0 تىرىليون',
				},
			},
		},
		percentFormat => {
			'default' => {
				'0' => {
					'' => '#,##0%',
				},
			},
		},
		scientificFormat => {
			'default' => {
				'0' => {
					'' => '#E0',
				},
			},
		},
} },
);

has 'number_currency_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'latn' => {
			'pattern' => {
				'default' => {
					'accounting' => {
						'negative' => '(¤#,##0.00)',
						'positive' => '¤#,##0.00',
					},
					'standard' => {
						'negative' => '¤#,##0.00',
						'positive' => '¤#,##0.00',
					},
				},
			},
		},
} },
);

has 'curriencies' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'ADP' => {
			display_name => {
				'default' => q(ئاندورران پېسېتاسى),
				'one' => q(ئاندورران پېسېتاسى),
				'other' => q(ئاندورران پېسېتاسى),
			},
		},
		'AED' => {
			display_name => {
				'default' => q(ئەرەب بىرلەشمە خەلىپىلىكى دەرھەمى),
				'one' => q(ئەرەب بىرلەشمە خەلىپىلىكى دەرھەمى),
				'other' => q(ئەرەب بىرلەشمە خەلىپىلىكى دەرھەمى),
			},
		},
		'AFA' => {
			display_name => {
				'default' => q(ئافغان ئافغانى (1927–2002)),
				'one' => q(ئافغان ئافغانى (1927–2002)),
				'other' => q(Aئافغان ئافغانى (1927–2002)),
			},
		},
		'AFN' => {
			display_name => {
				'default' => q(ئافغان ئافغانى),
				'one' => q(ئافغان ئافغانى),
				'other' => q(ئافغان ئافغانى),
			},
		},
		'ALK' => {
			display_name => {
				'default' => q(ئالبانىيە لېكى (1946–1965)),
				'one' => q(ئالبانىيە لېكى (1946–1965)),
				'other' => q(ئالبانىيە لېكى (1946–1965)),
			},
		},
		'ALL' => {
			display_name => {
				'default' => q(ئالبانىيە لېكى),
				'one' => q(ئالبانىيە لېكى),
				'other' => q(ئالبانىيە لېكى),
			},
		},
		'AMD' => {
			display_name => {
				'default' => q(ئەرمېنىيە دىرامى),
				'one' => q(ئەرمېنىيە دىرامى),
				'other' => q(ئەرمېنىيە دىرامى),
			},
		},
		'ANG' => {
			display_name => {
				'default' => q(گوللاندىيەگە قاراشلىق ئانتىللېن گۇلدېنى),
				'one' => q(گوللاندىيەگە قاراشلىق ئانتىللېن گۇلدېنى),
				'other' => q(گوللاندىيەگە قاراشلىق ئانتىللېن گۇلدېنى),
			},
		},
		'AOA' => {
			display_name => {
				'default' => q(ئانگولا كۇۋانزاسى),
				'one' => q(ئانگولا كۇۋانزاسى),
				'other' => q(ئانگولا كۇۋانزاسى),
			},
		},
		'AOK' => {
			display_name => {
				'default' => q(ئانگولا كۇۋانزاسى (1977–1991)),
				'one' => q(ئانگولا كۇۋانزاسى (1977–1991)),
				'other' => q(ئانگولا كۇۋانزاسى (1977–1991))),
			},
		},
		'AON' => {
			display_name => {
				'default' => q(ئانگولا يېڭى كۇۋانزاسى (1990–2000)),
				'one' => q(ئانگولا يېڭى كۇۋانزاسى (1990–2000)),
				'other' => q(ئانگولا يېڭى كۇۋانزاسى (1990–2000)),
			},
		},
		'AOR' => {
			display_name => {
				'default' => q(ئانگولا قايتا تەڭشەلگەن كۇۋانزاسى (1995–1999)),
				'one' => q(ئانگولا قايتا تەڭشەلگەن كۇۋانزاسى (1995–1999)),
				'other' => q(ئانگولا قايتا تەڭشەلگەن كۇۋانزاسى (1995–1999)),
			},
		},
		'ARA' => {
			display_name => {
				'default' => q(ئارگېنتىنا ئاۋسترالى),
				'one' => q(ئارگېنتىنا ئاۋسترالى),
				'other' => q(ئارگېنتىنا ئاۋسترالى),
			},
		},
		'ARL' => {
			display_name => {
				'default' => q(ئارگېنتىنا پېسو لېيى (1970–1983)),
				'one' => q(ئارگېنتىنا پېسو لېيى (1970–1983)),
				'other' => q(ئارگېنتىنا پېسو لېيى (1970–1983)),
			},
		},
		'ARM' => {
			display_name => {
				'default' => q(ئارگېنتىنا پېسوسى (1881–1970)),
				'one' => q(ئارگېنتىنا پېسوسى (1881–1970)),
				'other' => q(ئارگېنتىنا پېسوسى (1881–1970)),
			},
		},
		'ARP' => {
			display_name => {
				'default' => q(ئارگېنتىنا پېسوسى (1983–1985)),
				'one' => q(ئارگېنتىنا پېسوسى (1983–1985)),
				'other' => q(ئارگېنتىنا پېسوسى (1983–1985)),
			},
		},
		'ARS' => {
			display_name => {
				'default' => q(ئارگېنتىنا پېسوسى),
				'one' => q(ئارگېنتىنا پېسوسى),
				'other' => q(ئارگېنتىنا پېسوسى),
			},
		},
		'ATS' => {
			display_name => {
				'default' => q(ئاۋسترىيە شىللىڭى),
				'one' => q(ئاۋسترىيە شىللىڭى),
				'other' => q(ئاۋسترىيە شىللىڭى),
			},
		},
		'AUD' => {
			display_name => {
				'default' => q(ئاۋسترالىيە دوللىرى),
				'one' => q(ئاۋسترالىيە دوللىرى),
				'other' => q(ئاۋسترالىيە دوللىرى),
			},
		},
		'AWG' => {
			display_name => {
				'default' => q(ئارۇبان فىلورۇنى),
				'one' => q(ئارۇبان فىلورۇنى),
				'other' => q(ئارۇبان فىلورۇنى),
			},
		},
		'AZM' => {
			display_name => {
				'default' => q(ئەزەربەيجان ماناتى (1993–2006)),
				'one' => q(ئەزەربەيجان ماناتى (1993–2006)),
				'other' => q(ئەزەربەيجان ماناتى (1993–2006)),
			},
		},
		'AZN' => {
			display_name => {
				'default' => q(ئەزەربەيجان ماناتى),
				'one' => q(ئەزەربەيجان ماناتى),
				'other' => q(ئەزەربەيجان ماناتى),
			},
		},
		'BAD' => {
			display_name => {
				'default' => q(بوسنىيە-خېرتسېگوۋىنا دىنارى (1992–1994)),
				'one' => q(بوسنىيە-خېرتسېگوۋىنا دىنارى (1992–1994)),
				'other' => q(بوسنىيە-خېرتسېگوۋىنا دىنارى (1992–1994)),
			},
		},
		'BAM' => {
			display_name => {
				'default' => q(بوسنىيە-خېرتسېگوۋىنا ئالماشتۇرۇشچان ماركى),
				'one' => q(بوسنىيە-خېرتسېگوۋىنا ئالماشتۇرۇشچان ماركى),
				'other' => q(بوسنىيە-خېرتسېگوۋىنا ئالماشتۇرۇشچان ماركى),
			},
		},
		'BAN' => {
			display_name => {
				'default' => q(بوسنىيە-خېرتسېگوۋىنا يېڭى دىنارى (1994–1997)),
				'one' => q(بوسنىيە-خېرتسېگوۋىنا يېڭى دىنارى (1994–1997)),
				'other' => q(بوسنىيە-خېرتسېگوۋىنا يېڭى دىنارى (1994–1997)),
			},
		},
		'BBD' => {
			display_name => {
				'default' => q(باربادوس دوللىرى),
				'one' => q(باربادوس دوللىرى),
				'other' => q(باربادوس دوللىرى),
			},
		},
		'BDT' => {
			display_name => {
				'default' => q(باڭلادىش تاكاسى),
				'one' => q(باڭلادىش تاكاسى),
				'other' => q(باڭلادىش تاكاسى),
			},
		},
		'BEC' => {
			display_name => {
				'default' => q(بېلگىيە فرانكى (ئالماشتۇرۇشچان)),
				'one' => q(بېلگىيە فرانكى (ئالماشتۇرۇشچان)),
				'other' => q(بېلگىيە فرانكى (ئالماشتۇرۇشچان)),
			},
		},
		'BEF' => {
			display_name => {
				'default' => q(بېلگىيە فرانكى),
				'one' => q(بېلگىيە فرانكى),
				'other' => q(بېلگىيە فرانكى),
			},
		},
		'BEL' => {
			display_name => {
				'default' => q(بېلگىيە فرانكى (پۇل–مۇئامىلە)),
				'one' => q(بېلگىيە فرانكى (پۇل–مۇئامىلە)),
				'other' => q(بېلگىيە فرانكى (پۇل–مۇئامىلە)),
			},
		},
		'BGL' => {
			display_name => {
				'default' => q(بۇلغارىيە قاتتىق لېۋاسى),
				'one' => q(بۇلغارىيە قاتتىق لېۋاسى),
				'other' => q(بۇلغارىيە قاتتىق لېۋاسى),
			},
		},
		'BGM' => {
			display_name => {
				'default' => q(بۇلغارىيە ئىجتىمائىي لېۋاسى),
				'one' => q(بۇلغارىيە ئىجتىمائىي لېۋاسى),
				'other' => q(بۇلغارىيە ئىجتىمائىي لېۋاسى),
			},
		},
		'BGN' => {
			display_name => {
				'default' => q(بۇلغارىيە لېۋاسى),
				'one' => q(بۇلغارىيە لېۋاسى),
				'other' => q(بۇلغارىيە لېۋاسى),
			},
		},
		'BGO' => {
			display_name => {
				'default' => q(بۇلغارىيە لېۋاسى (1879–1952)),
				'one' => q(بۇلغارىيە لېۋاسى (1879–1952)),
				'other' => q(بۇلغارىيە لېۋاسى (1879–1952)),
			},
		},
		'BHD' => {
			display_name => {
				'default' => q(بەھرەين دىنارى),
				'one' => q(بەھرەين دىنارى),
				'other' => q(بەھرەين دىنارى),
			},
		},
		'BIF' => {
			display_name => {
				'default' => q(بۇرۇندى فرانكى),
				'one' => q(بۇرۇندى فرانكى),
				'other' => q(بۇرۇندى فرانكى),
			},
		},
		'BMD' => {
			display_name => {
				'default' => q(بېرمۇدا دوللىرى),
				'one' => q(بېرمۇدا دوللىرى),
				'other' => q(بېرمۇدا دوللىرى),
			},
		},
		'BND' => {
			display_name => {
				'default' => q(بىرۇنېي دوللىرى),
				'one' => q(بىرۇنېي دوللىرى),
				'other' => q(بىرۇنېي دوللىرى),
			},
		},
		'BOB' => {
			display_name => {
				'default' => q(بولىۋىيە بولىۋىيانوسى),
				'one' => q(بولىۋىيە بولىۋىيانوسى),
				'other' => q(بولىۋىيە بولىۋىيانوسى),
			},
		},
		'BOL' => {
			display_name => {
				'default' => q(بولىۋىيە بولىۋىيانوسى (1863–1963)),
				'one' => q(بولىۋىيە بولىۋىيانوسى (1863–1963)),
				'other' => q(بولىۋىيە بولىۋىيانوسى (1863–1963)),
			},
		},
		'BOP' => {
			display_name => {
				'default' => q(بولىۋىيە پىسوسى),
				'one' => q(بولىۋىيە پىسوسى),
				'other' => q(بولىۋىيە پىسوسى),
			},
		},
		'BOV' => {
			display_name => {
				'default' => q(بولىۋىيە مۇدولى),
				'one' => q(بولىۋىيە مۇدولى),
				'other' => q(بولىۋىيە مۇدولى),
			},
		},
		'BRB' => {
			display_name => {
				'default' => q(بىرازىلىيە يېڭى كرۇزېروسى (1967–1986)),
				'one' => q(بىرازىلىيە يېڭى كرۇزېروسى (1967–1986)),
				'other' => q(بىرازىلىيە يېڭى كرۇزېروسى (1967–1986)),
			},
		},
		'BRC' => {
			display_name => {
				'default' => q(بىرازىلىيە كرۇزادوسى (1986–1989)),
				'one' => q(بىرازىلىيە كرۇزادوسى (1986–1989)),
				'other' => q(بىرازىلىيە كرۇزادوسى (1986–1989)),
			},
		},
		'BRE' => {
			display_name => {
				'default' => q(بىرازىلىيە يېڭى كرۇزېروسى (1990–1993)),
				'one' => q(بىرازىلىيە يېڭى كرۇزېروسى (1990–1993)),
				'other' => q(بىرازىلىيە يېڭى كرۇزېروسى (1990–1993)),
			},
		},
		'BRL' => {
			display_name => {
				'default' => q(بىرازىلىيە رىيالى),
				'one' => q(بىرازىلىيە رىيالى),
				'other' => q(بىرازىلىيە رىيالى),
			},
		},
		'BRN' => {
			display_name => {
				'default' => q(بىرازىلىيە يېڭى كرۇزادوسى (1989–1990)),
				'one' => q(بىرازىلىيە يېڭى كرۇزادوسى (1989–1990)),
				'other' => q(بىرازىلىيە يېڭى كرۇزادوسى (1989–1990)),
			},
		},
		'BRR' => {
			display_name => {
				'default' => q(بىرازىلىيە كرۇزېروسى (1993–1994)),
				'one' => q(بىرازىلىيە كرۇزېروسى (1993–1994)),
				'other' => q(بىرازىلىيە كرۇزېروسى (1993–1994)),
			},
		},
		'BRZ' => {
			display_name => {
				'default' => q(بىرازىلىيە كرۇزېروسى (1942–1967)),
				'one' => q(بىرازىلىيە كرۇزېروسى (1942–1967)),
				'other' => q(بىرازىلىيە كرۇزېروسى (1942–1967)),
			},
		},
		'BSD' => {
			display_name => {
				'default' => q(باھاما دوللىرى),
				'one' => q(باھاما دوللىرى),
				'other' => q(باھاما دوللىرى),
			},
		},
		'BTN' => {
			display_name => {
				'default' => q(بۇتان نگۇلترۇمى),
				'one' => q(بۇتان نگۇلترۇمى),
				'other' => q(بۇتان نگۇلترۇمى),
			},
		},
		'BUK' => {
			display_name => {
				'default' => q(بىرما كىياتى),
				'one' => q(بىرما كىياتى),
				'other' => q(بىرما كىياتى),
			},
		},
		'BWP' => {
			display_name => {
				'default' => q(بوتسۋانا پۇلاسى),
				'one' => q(بوتسۋانا پۇلاسى),
				'other' => q(بوتسۋانا پۇلاسى),
			},
		},
		'BYB' => {
			display_name => {
				'default' => q(بېلارۇسىيە يېڭى رۇبلىسى (1994–1999)),
				'one' => q(بېلارۇسىيە يېڭى رۇبلىسى (1994–1999)),
				'other' => q(بېلارۇسىيە يېڭى رۇبلىسى (1994–1999)),
			},
		},
		'BYR' => {
			display_name => {
				'default' => q(بېلارۇسىيە رۇبلىسى),
				'one' => q(بېلارۇسىيە رۇبلىسى),
				'other' => q(بېلارۇسىيە رۇبلىسى),
			},
		},
		'BZD' => {
			display_name => {
				'default' => q(بېلىز دوللىرى),
				'one' => q(بېلىز دوللىرى),
				'other' => q(بېلىز دوللىرى),
			},
		},
		'CAD' => {
			display_name => {
				'default' => q(كانادا دوللىرى),
				'one' => q(كانادا دوللىرى),
				'other' => q(كانادا دوللىرى),
			},
		},
		'CDF' => {
			display_name => {
				'default' => q(كونگو فرانكى),
				'one' => q(كونگو فرانكى),
				'other' => q(كونگو فرانكى),
			},
		},
		'CHE' => {
			display_name => {
				'default' => q(WIR ياۋرو),
				'one' => q(WIR ياۋرو),
				'other' => q(WIR ياۋرو),
			},
		},
		'CHF' => {
			display_name => {
				'default' => q(شىۋېتسىيە فرانكى),
				'one' => q(شىۋېتسىيە فرانكى),
				'other' => q(شىۋېتسىيە فرانكى),
			},
		},
		'CHW' => {
			display_name => {
				'default' => q(WIR فرانكى),
				'one' => q(WIR فرانكى),
				'other' => q(WIR فرانكى),
			},
		},
		'CLE' => {
			display_name => {
				'default' => q(چىلى ئېسكۇدوسى),
				'one' => q(چىلى ئېسكۇدوسى),
				'other' => q(چىلى ئېسكۇدوسى),
			},
		},
		'CLF' => {
			display_name => {
				'default' => q(چىلى ھېسابات بىرلىكى (UF)),
				'one' => q(چىلى ھېسابات بىرلىكى (UF)),
				'other' => q(چىلى ھېسابات بىرلىكى (UF)),
			},
		},
		'CLP' => {
			display_name => {
				'default' => q(چىلى پېسوسى),
				'one' => q(چىلى پېسوسى),
				'other' => q(چىلى پېسوسى),
			},
		},
		'CNX' => {
			display_name => {
				'default' => q(جۇڭگو خەلق بانكىسى دوللىرى),
				'one' => q(جۇڭگو خەلق بانكىسى دوللىرى),
				'other' => q(جۇڭگو خەلق بانكىسى دوللىرى),
			},
		},
		'CNY' => {
			symbol => '￥',
			display_name => {
				'default' => q(جۇڭگو يۈەنى),
				'one' => q(جۇڭگو يۈەنى),
				'other' => q(جۇڭگو يۈەنى),
			},
		},
		'COP' => {
			display_name => {
				'default' => q(كولومبىيە پېسوسى),
				'one' => q(كولومبىيە پېسوسى),
				'other' => q(كولومبىيە پېسوسى),
			},
		},
		'COU' => {
			display_name => {
				'default' => q(كولومبىيە ھەقىقىي قىممەت بىرلىكى),
				'one' => q(كولومبىيە ھەقىقىي قىممەت بىرلىكى),
				'other' => q(كولومبىيە ھەقىقىي قىممەت بىرلىكى),
			},
		},
		'CRC' => {
			display_name => {
				'default' => q(كوستارىكا كولونى),
				'one' => q(كوستارىكا كولونى),
				'other' => q(كوستارىكا كولونى),
			},
		},
		'CSD' => {
			display_name => {
				'default' => q(سېربىيە دىنارى (2002–2006)),
				'one' => q(سېربىيە دىنارى (2002–2006)),
				'other' => q(سېربىيە دىنارى (2002–2006)),
			},
		},
		'CSK' => {
			display_name => {
				'default' => q(چېخسىلوۋاكىيە قاتتىق كورۇناسى),
				'one' => q(چېخسىلوۋاكىيە قاتتىق كورۇناسى),
				'other' => q(چېخسىلوۋاكىيە قاتتىق كورۇناسى),
			},
		},
		'CUC' => {
			display_name => {
				'default' => q(كۇبا ئالماشتۇرۇشچان پېسوسى),
				'one' => q(كۇبا ئالماشتۇرۇشچان پېسوسى),
				'other' => q(كۇبا ئالماشتۇرۇشچان پېسوسى),
			},
		},
		'CUP' => {
			display_name => {
				'default' => q(كۇبا پېسوسى),
				'one' => q(كۇبا پېسوسى),
				'other' => q(كۇبا پېسوسى),
			},
		},
		'CVE' => {
			display_name => {
				'default' => q(يېشىل تۇمشۇق ئېسكۇدوسى),
				'one' => q(يېشىل تۇمشۇق ئېسكۇدوسى),
				'other' => q(يېشىل تۇمشۇق ئېسكۇدوسى),
			},
		},
		'CYP' => {
			display_name => {
				'default' => q(سىپرۇس فوند ستېرلىڭى),
				'one' => q(سىپرۇس فوند ستېرلىڭى),
				'other' => q(سىپرۇس فوند ستېرلىڭى),
			},
		},
		'CZK' => {
			display_name => {
				'default' => q(چېخ جۇمھۇرىيىتى كورۇناسى),
				'one' => q(چېخ جۇمھۇرىيىتى كورۇناسى),
				'other' => q(چېخ جۇمھۇرىيىتى كورۇناسى),
			},
		},
		'DDM' => {
			display_name => {
				'default' => q(شەرقىي گېرمانىيە ماركى),
				'one' => q(شەرقىي گېرمانىيە ماركى),
				'other' => q(شەرقىي گېرمانىيە ماركى),
			},
		},
		'DEM' => {
			display_name => {
				'default' => q(گېرمانىيە ماركى),
				'one' => q(گېرمانىيە ماركى),
				'other' => q(گېرمانىيە ماركى),
			},
		},
		'DJF' => {
			display_name => {
				'default' => q(جىبۇتى فرانكى),
				'one' => q(جىبۇتى فرانكى),
				'other' => q(جىبۇتى فرانكى),
			},
		},
		'DKK' => {
			display_name => {
				'default' => q(دانىيە كرونى),
				'one' => q(دانىيە كرونى),
				'other' => q(دانىيە كرونى),
			},
		},
		'DOP' => {
			display_name => {
				'default' => q(دومىنىكا پېسوسى),
				'one' => q(دومىنىكا پېسوسى),
				'other' => q(دومىنىكا پېسوسى),
			},
		},
		'DZD' => {
			display_name => {
				'default' => q(ئالجىرىيە دىنارى),
				'one' => q(ئالجىرىيە دىنارى),
				'other' => q(ئالجىرىيە دىنارى),
			},
		},
		'ECS' => {
			display_name => {
				'default' => q(ئېكۋادور سۇكرېسى),
				'one' => q(ئېكۋادور سۇكرېسى),
				'other' => q(ئېكۋادور سۇكرېسى),
			},
		},
		'ECV' => {
			display_name => {
				'default' => q(ئېكۋادور تۇراقلىق قىممەت بىرلىكى),
				'one' => q(ئېكۋادور تۇراقلىق قىممەت بىرلىكى),
				'other' => q(ئېكۋادور تۇراقلىق قىممەت بىرلىكى),
			},
		},
		'EEK' => {
			display_name => {
				'default' => q(ئېستونىيە كرۇنى),
				'one' => q(ئېستونىيە كرۇنى),
				'other' => q(ئېستونىيە كرۇنى),
			},
		},
		'EGP' => {
			display_name => {
				'default' => q(مىسىر فوند سىتېرلىڭى),
				'one' => q(مىسىر فوند سىتېرلىڭى),
				'other' => q(مىسىر فوند سىتېرلىڭى),
			},
		},
		'ERN' => {
			display_name => {
				'default' => q(ئېرىترېيە ناكفاسى),
				'one' => q(ئېرىترېيە ناكفاسى),
				'other' => q(ئېرىترېيە ناكفاسى),
			},
		},
		'ESA' => {
			display_name => {
				'default' => q(ئىسپانىيە پېسېتاسى (A ھېسابات)),
				'one' => q(ئىسپانىيە پېسېتاسى (A ھېسابات)),
				'other' => q(ئىسپانىيە پېسېتاسى (A ھېسابات)),
			},
		},
		'ESB' => {
			display_name => {
				'default' => q(ئىسپانىيە پېسېتاسى (ئالماشتۇرۇش ھېساباتى)),
				'one' => q(ئىسپانىيە پېسېتاسى (ئالماشتۇرۇش ھېساباتى)),
				'other' => q(ئىسپانىيە پېسېتاسى (ئالماشتۇرۇش ھېساباتى)),
			},
		},
		'ESP' => {
			display_name => {
				'default' => q(ئىسپانىيە پېسېتاسى),
				'one' => q(ئىسپانىيە پېسېتاسى),
				'other' => q(ئىسپانىيە پېسېتاسى),
			},
		},
		'ETB' => {
			display_name => {
				'default' => q(ئېفىيوپىيە بىررى),
				'one' => q(ئېفىيوپىيە بىررى),
				'other' => q(ئېفىيوپىيە بىررى),
			},
		},
		'EUR' => {
			display_name => {
				'default' => q(ياۋرو),
				'one' => q(ياۋرو),
				'other' => q(ياۋرو),
			},
		},
		'FIM' => {
			display_name => {
				'default' => q(فىنلاندىيە مارككاسى),
				'one' => q(فىنلاندىيە مارككاسى),
				'other' => q(فىنلاندىيە مارككاسى),
			},
		},
		'FJD' => {
			display_name => {
				'default' => q(فىجى دوللىرى),
				'one' => q(فىجى دوللىرى),
				'other' => q(فىجى دوللىرى),
			},
		},
		'FKP' => {
			display_name => {
				'default' => q(فالكلاند ئاراللىرى فوند سىتېرلىڭى),
				'one' => q(فالكلاند ئاراللىرى فوند سىتېرلىڭى),
				'other' => q(فالكلاند ئاراللىرى فوند سىتېرلىڭى),
			},
		},
		'FRF' => {
			display_name => {
				'default' => q(فىرانسىيە فرانكى),
				'one' => q(فىرانسىيە فرانكى),
				'other' => q(فىرانسىيە فرانكى),
			},
		},
		'GBP' => {
			display_name => {
				'default' => q(ئەنگلىيە فوند سىتېرلىڭى),
				'one' => q(ئەنگلىيە فوند سىتېرلىڭى),
				'other' => q(ئەنگلىيە فوند سىتېرلىڭى),
			},
		},
		'GEK' => {
			display_name => {
				'default' => q(گىرۇزىيە كۇپون لارىتى),
				'one' => q(گىرۇزىيە كۇپون لارىتى),
				'other' => q(گىرۇزىيە كۇپون لارىتى),
			},
		},
		'GEL' => {
			display_name => {
				'default' => q(گىرۇزىيە لارىسى),
				'one' => q(گىرۇزىيە لارىسى),
				'other' => q(گىرۇزىيە لارىسى),
			},
		},
		'GHC' => {
			display_name => {
				'default' => q(گانا سېدىسى (1979–2007)),
				'one' => q(گانا سېدىسى (1979–2007)),
				'other' => q(گانا سېدىسى (1979–2007)),
			},
		},
		'GHS' => {
			display_name => {
				'default' => q(گانا سېدىسى),
				'one' => q(گانا سېدىسى),
				'other' => q(گانا سېدىسى),
			},
		},
		'GIP' => {
			display_name => {
				'default' => q(جەبىلتارىق فوند سىتېرلىڭى),
				'one' => q(جەبىلتارىق فوند سىتېرلىڭى),
				'other' => q(جەبىلتارىق فوند سىتېرلىڭى),
			},
		},
		'GMD' => {
			display_name => {
				'default' => q(گامبىيە دالاسى),
				'one' => q(گامبىيە دالاسى),
				'other' => q(گامبىيە دالاسى),
			},
		},
		'GNF' => {
			display_name => {
				'default' => q(گىۋىنېيە فرانكى),
				'one' => q(گىۋىنېيە فرانكى),
				'other' => q(گىۋىنېيە فرانكى),
			},
		},
		'GNS' => {
			display_name => {
				'default' => q(گىۋىنېيە سىلىسى),
				'one' => q(گىۋىنېيە سىلىسى),
				'other' => q(گىۋىنېيە سىلىسى),
			},
		},
		'GQE' => {
			display_name => {
				'default' => q(ئېكۋاتور گىۋىنېيە ئېكۋېلېسى),
				'one' => q(ئېكۋاتور گىۋىنېيە ئېكۋېلېسى),
				'other' => q(ئېكۋاتور گىۋىنېيە ئېكۋېلېسى),
			},
		},
		'GRD' => {
			display_name => {
				'default' => q(گىرېتسىيە دراخماسى),
				'one' => q(گىرېتسىيە دراخماسى),
				'other' => q(گىرېتسىيە دراخماسى),
			},
		},
		'GTQ' => {
			display_name => {
				'default' => q(گىۋاتېمالا كۇۋېتزالى),
				'one' => q(گىۋاتېمالا كۇۋېتزالى),
				'other' => q(گىۋاتېمالا كۇۋېتزالى),
			},
		},
		'GWE' => {
			display_name => {
				'default' => q(پورتۇگالىيە گىۋىنېيە ئېسكۇدوسى),
				'one' => q(پورتۇگالىيە گىۋىنېيە ئېسكۇدوسى),
				'other' => q(پورتۇگالىيە گىۋىنېيە ئېسكۇدوسى),
			},
		},
		'GWP' => {
			display_name => {
				'default' => q(گىۋىنېيە-بىسسائۇ پېسوسى),
				'one' => q(گىۋىنېيە-بىسسائۇ پېسوسى),
				'other' => q(گىۋىنېيە-بىسسائۇ پېسوسى),
			},
		},
		'GYD' => {
			display_name => {
				'default' => q(گىۋىئانا دوللىرى),
				'one' => q(گىۋىئانا دوللىرى),
				'other' => q(گىۋىئانا دوللىرى),
			},
		},
		'HKD' => {
			display_name => {
				'default' => q(شياڭگاڭ دوللىرى),
				'one' => q(شياڭگاڭ دوللىرى),
				'other' => q(شياڭگاڭ دوللىرى),
			},
		},
		'HNL' => {
			display_name => {
				'default' => q(ھوندۇراس لېمپىراسى),
				'one' => q(ھوندۇراس لېمپىراسى),
				'other' => q(ھوندۇراس لېمپىراسى),
			},
		},
		'HRD' => {
			display_name => {
				'default' => q(كىرودىيە دىنارى),
				'one' => q(كىرودىيە دىنارى),
				'other' => q(كىرودىيە دىنارى),
			},
		},
		'HRK' => {
			display_name => {
				'default' => q(كىرودىيە كۇناسى),
				'one' => q(كىرودىيە كۇناسى),
				'other' => q(كىرودىيە كۇناسى),
			},
		},
		'HTG' => {
			display_name => {
				'default' => q(ھايتى گۇردېسى),
				'one' => q(ھايتى گۇردېسى),
				'other' => q(ھايتى گۇردېسى),
			},
		},
		'HUF' => {
			display_name => {
				'default' => q(ۋېنگىرىيە فورېنتى),
				'one' => q(ۋېنگىرىيە فورېنتى),
				'other' => q(ۋېنگىرىيە فورېنتى),
			},
		},
		'IDR' => {
			display_name => {
				'default' => q(ھىندونېزىيە رۇپىيەسى),
				'one' => q(ھىندونېزىيە رۇپىيەسى),
				'other' => q(ھىندونېزىيە رۇپىيەسى),
			},
		},
		'IEP' => {
			display_name => {
				'default' => q(ئىرېلاندىيە فوندستېرلىڭى),
				'one' => q(ئىرېلاندىيە فوندستېرلىڭى),
				'other' => q(ئىرېلاندىيە فوندستېرلىڭى),
			},
		},
		'ILP' => {
			display_name => {
				'default' => q(ئىسرائىلىيە فوندستېرلىڭى),
				'one' => q(ئىسرائىلىيە فوندستېرلىڭى),
				'other' => q(ئىسرائىلىيە فوندستېرلىڭى),
			},
		},
		'ILR' => {
			display_name => {
				'default' => q(ئىسرائىل شېكېلى (1980–1985)),
				'one' => q(ئىسرائىل شېكېلى (1980–1985)),
				'other' => q(ئىسرائىل شېكېلى (1980–1985)),
			},
		},
		'ILS' => {
			display_name => {
				'default' => q(ئىسرائىل يېڭى شېكېلى),
				'one' => q(ئىسرائىل يېڭى شېكېلى),
				'other' => q(ئىسرائىل يېڭى شېكېلى),
			},
		},
		'INR' => {
			display_name => {
				'default' => q(ھىندىستان رۇپىسى),
				'one' => q(ھىندىستان رۇپىسى),
				'other' => q(ھىندىستان رۇپىسى),
			},
		},
		'IQD' => {
			display_name => {
				'default' => q(ئىراق دىنارى),
				'one' => q(ئىراق دىنارى),
				'other' => q(ئىراق دىنارى),
			},
		},
		'IRR' => {
			display_name => {
				'default' => q(ئىران رىيالى),
				'one' => q(ئىران رىيالى),
				'other' => q(ئىران رىيالى),
			},
		},
		'ISJ' => {
			display_name => {
				'default' => q(ئىسلاندىيە كروناسى (1918–1981)),
				'one' => q(ئىسلاندىيە كروناسى (1918–1981)),
				'other' => q(ئىسلاندىيە كروناسى (1918–1981)),
			},
		},
		'ISK' => {
			display_name => {
				'default' => q(ئىسلاندىيە كروناسى),
				'one' => q(ئىسلاندىيە كروناسى),
				'other' => q(ئىسلاندىيە كروناسى),
			},
		},
		'ITL' => {
			display_name => {
				'default' => q(ئىتالىيە لىراسى),
				'one' => q(ئىتالىيە لىراسى),
				'other' => q(ئىتالىيە لىراسى),
			},
		},
		'JMD' => {
			display_name => {
				'default' => q(يامايكا دوللىرى),
				'one' => q(يامايكا دوللىرى),
				'other' => q(يامايكا دوللىرى),
			},
		},
		'JOD' => {
			display_name => {
				'default' => q(ئىيوردانىيە دىنارى),
				'one' => q(ئىيوردانىيە دىنارى),
				'other' => q(ئىيوردانىيە دىنارى),
			},
		},
		'JPY' => {
			display_name => {
				'default' => q(ياپونىيە يېنى),
				'one' => q(ياپونىيە يېنى),
				'other' => q(ياپونىيە يېنى),
			},
		},
		'KES' => {
			display_name => {
				'default' => q(كېنىيە شىللىڭى),
				'one' => q(كېنىيە شىللىڭى),
				'other' => q(كېنىيە شىللىڭى),
			},
		},
		'KGS' => {
			display_name => {
				'default' => q(قىرغىزىستان سومى),
				'one' => q(قىرغىزىستان سومى),
				'other' => q(قىرغىزىستان سومى),
			},
		},
		'KHR' => {
			display_name => {
				'default' => q(كامبودژا رىئېلى),
				'one' => q(كامبودژا رىئېلى),
				'other' => q(كامبودژا رىئېلى),
			},
		},
		'KMF' => {
			display_name => {
				'default' => q(كومورو فرانكى),
				'one' => q(كومورو فرانكى),
				'other' => q(كومورو فرانكى),
			},
		},
		'KPW' => {
			display_name => {
				'default' => q(شىمالىي كورېيە ۋونى),
				'one' => q(شىمالىي كورېيە ۋونى),
				'other' => q(شىمالىي كورېيە ۋونى),
			},
		},
		'KRH' => {
			display_name => {
				'default' => q(جەنۇبىي كورېيە خۋانى (1953–1962)),
				'one' => q(جەنۇبىي كورېيە خۋانى (1953–1962)),
				'other' => q(جەنۇبىي كورېيە خۋانى (1953–1962)),
			},
		},
		'KRO' => {
			display_name => {
				'default' => q(جەنۇبىي كورېيە ۋونى (1945–1953)),
				'one' => q(جەنۇبىي كورېيە ۋونى (1945–1953)),
				'other' => q(جەنۇبىي كورېيە ۋونى (1945–1953)),
			},
		},
		'KRW' => {
			display_name => {
				'default' => q(جەنۇبىي كورېيە ۋونى),
				'one' => q(جەنۇبىي كورېيە ۋونى),
				'other' => q(جەنۇبىي كورېيە ۋونى),
			},
		},
		'KWD' => {
			display_name => {
				'default' => q(كۇۋەيت دىنارى),
				'one' => q(كۇۋەيت دىنارى),
				'other' => q(كۇۋەيت دىنارى),
			},
		},
		'KYD' => {
			display_name => {
				'default' => q(كايمان ئاراللىرى دوللىرى),
				'one' => q(كايمان ئاراللىرى دوللىرى),
				'other' => q(كايمان ئاراللىرى دوللىرى),
			},
		},
		'KZT' => {
			display_name => {
				'default' => q(قازاقىستان تەڭگىسى),
				'one' => q(قازاقىستان تەڭگىسى),
				'other' => q(قازاقىستان تەڭگىسى),
			},
		},
		'LAK' => {
			display_name => {
				'default' => q(لائوس كىپى),
				'one' => q(لائوس كىپى),
				'other' => q(لائوس كىپى),
			},
		},
		'LBP' => {
			display_name => {
				'default' => q(لىۋان فوند سىتېرلىڭى),
				'one' => q(لىۋان فوند سىتېرلىڭى),
				'other' => q(لىۋان فوند سىتېرلىڭى),
			},
		},
		'LKR' => {
			display_name => {
				'default' => q(سىرىلانكا رۇپىسى),
				'one' => q(سىرىلانكا رۇپىسى),
				'other' => q(سىرىلانكا رۇپىسى),
			},
		},
		'LRD' => {
			display_name => {
				'default' => q(لىبېرىيە دوللىرى),
				'one' => q(لىبېرىيە دوللىرى),
				'other' => q(لىبېرىيە دوللىرى),
			},
		},
		'LSL' => {
			display_name => {
				'default' => q(لېسوتو لوتىسى),
				'one' => q(لېسوتو لوتىسى),
				'other' => q(لېسوتو لوتىسى),
			},
		},
		'LTL' => {
			display_name => {
				'default' => q(لىتۋا لىتاسى),
				'one' => q(لىتۋا لىتاسى),
				'other' => q(لىتۋا لىتاسى),
			},
		},
		'LTT' => {
			display_name => {
				'default' => q(لىتۋا تالوناسى),
				'one' => q(لىتۋا تالوناسى),
				'other' => q(لىتۋا تالوناسى),
			},
		},
		'LUC' => {
			display_name => {
				'default' => q(ليۇكسېمبۇرگ ئالماشتۇرۇشچان پېسوسى),
				'one' => q(ليۇكسېمبۇرگ ئالماشتۇرۇشچان پېسوسى),
				'other' => q(ليۇكسېمبۇرگ ئالماشتۇرۇشچان پېسوسى),
			},
		},
		'LUF' => {
			display_name => {
				'default' => q(ليۇكسېمبۇرگ فرانكى),
				'one' => q(ليۇكسېمبۇرگ فرانكى),
				'other' => q(ليۇكسېمبۇرگ فرانكى),
			},
		},
		'LUL' => {
			display_name => {
				'default' => q(لىيۇكسېمبۇرگ پۇل-مۇئامىلە فرانكى),
				'one' => q(لىيۇكسېمبۇرگ پۇل-مۇئامىلە فرانكى),
				'other' => q(لىيۇكسېمبۇرگ پۇل-مۇئامىلە فرانكى),
			},
		},
		'LVL' => {
			display_name => {
				'default' => q(لاتۋىيە لاتى),
				'one' => q(لاتۋىيە لاتى),
				'other' => q(لاتۋىيە لاتى),
			},
		},
		'LVR' => {
			display_name => {
				'default' => q(لاتۋىيە رۇبلىسى),
				'one' => q(لاتۋىيە رۇبلىسى),
				'other' => q(لاتۋىيە رۇبلىسى),
			},
		},
		'LYD' => {
			display_name => {
				'default' => q(لىۋىيە دىنارى),
				'one' => q(لىۋىيە دىنارى),
				'other' => q(لىۋىيە دىنارى),
			},
		},
		'MAD' => {
			display_name => {
				'default' => q(ماراكەش دىرھەمى),
				'one' => q(ماراكەش دىرھەمى),
				'other' => q(ماراكەش دىرھەمى),
			},
		},
		'MAF' => {
			display_name => {
				'default' => q(ماراكەش فرانكى),
				'one' => q(ماراكەش فرانكى),
				'other' => q(ماراكەش فرانكى),
			},
		},
		'MCF' => {
			display_name => {
				'default' => q(موناكو فرانكى),
				'one' => q(موناكو فرانكى),
				'other' => q(موناكو فرانكى),
			},
		},
		'MDC' => {
			display_name => {
				'default' => q(مولدوۋا كۇپونى),
				'one' => q(مولدوۋا كۇپونى),
				'other' => q(مولدوۋا كۇپونى),
			},
		},
		'MDL' => {
			display_name => {
				'default' => q(مولدوۋا لېۋى),
				'one' => q(مولدوۋا لېۋى),
				'other' => q(مولدوۋا لېۋى),
			},
		},
		'MGA' => {
			display_name => {
				'default' => q(ماداغاسقار ئارىئارىسى),
				'one' => q(ماداغاسقار ئارىئارىسى),
				'other' => q(ماداغاسقار ئارىئارىسى),
			},
		},
		'MGF' => {
			display_name => {
				'default' => q(ماداغاسقار فرانكى),
				'one' => q(ماداغاسقار فرانكى),
				'other' => q(ماداغاسقار فرانكى),
			},
		},
		'MKD' => {
			display_name => {
				'default' => q(ماكېدونىيە دىنارى),
				'one' => q(ماكېدونىيە دىنارى),
				'other' => q(ماكېدونىيە دىنارى),
			},
		},
		'MKN' => {
			display_name => {
				'default' => q(ماكېدونىيە دىنارى (1992–1993)),
				'one' => q(ماكېدونىيە دىنارى (1992–1993)),
				'other' => q(ماكېدونىيە دىنارى (1992–1993)),
			},
		},
		'MLF' => {
			display_name => {
				'default' => q(مالى فرانكى),
				'one' => q(مالى فرانكى),
				'other' => q(مالى فرانكى),
			},
		},
		'MMK' => {
			display_name => {
				'default' => q(مىيانمار كىياتى),
				'one' => q(مىيانمار كىياتى),
				'other' => q(مىيانمار كىياتى),
			},
		},
		'MNT' => {
			display_name => {
				'default' => q(موڭغۇلىيە تۈگرىكى),
				'one' => q(موڭغۇلىيە تۈگرىكى),
				'other' => q(موڭغۇلىيە تۈگرىكى),
			},
		},
		'MOP' => {
			display_name => {
				'default' => q(ئاۋمېن پاتاكاسى),
				'one' => q(ئاۋمېن پاتاكاسى),
				'other' => q(ئاۋمېن پاتاكاسى),
			},
		},
		'MRO' => {
			display_name => {
				'default' => q(ماۋرىتانىيە ئۇگىيەسى),
				'one' => q(ماۋرىتانىيە ئۇگىيەسى),
				'other' => q(ماۋرىتانىيە ئۇگىيەسى),
			},
		},
		'MTL' => {
			display_name => {
				'default' => q(مالتا لىراسى),
				'one' => q(مالتا لىراسى),
				'other' => q(مالتا لىراسى),
			},
		},
		'MTP' => {
			display_name => {
				'default' => q(مالتا فوندستېرلىڭى),
				'one' => q(مالتا فوندستېرلىڭى),
				'other' => q(مالتا فوندستېرلىڭى),
			},
		},
		'MUR' => {
			display_name => {
				'default' => q(ماۋرىتىئۇس رۇپىسى),
				'one' => q(ماۋرىتىئۇس رۇپىسى),
				'other' => q(ماۋرىتىئۇس رۇپىسى),
			},
		},
		'MVP' => {
			display_name => {
				'default' => q(مالدىۋى رۇپىسى),
				'one' => q(مالدىۋى رۇپىسى),
				'other' => q(مالدىۋى رۇپىسى),
			},
		},
		'MVR' => {
			display_name => {
				'default' => q(مالدىۋى رۇفىياسى),
				'one' => q(مالدىۋى رۇفىياسى),
				'other' => q(مالدىۋى رۇفىياسى),
			},
		},
		'MWK' => {
			display_name => {
				'default' => q(مالاۋى كۋاچاسى),
				'one' => q(مالاۋى كۋاچاسى),
				'other' => q(مالاۋى كۋاچاسى),
			},
		},
		'MXN' => {
			display_name => {
				'default' => q(مېكسىكا پېسوسى),
				'one' => q(مېكسىكا پېسوسى),
				'other' => q(مېكسىكا پېسوسى),
			},
		},
		'MXP' => {
			display_name => {
				'default' => q(مېكسىكا كۈمۈش پېسوسى (1861–1992)),
				'one' => q(مېكسىكا كۈمۈش پېسوسى (1861–1992)),
				'other' => q(مېكسىكا كۈمۈش پېسوسى (1861–1992)),
			},
		},
		'MXV' => {
			display_name => {
				'default' => q(مېكسىكا مەبلەغ بىرلىكى),
				'one' => q(مېكسىكا مەبلەغ بىرلىكى),
				'other' => q(مېكسىكا مەبلەغ بىرلىكى),
			},
		},
		'MYR' => {
			display_name => {
				'default' => q(مالايشىيا رىڭگىتى),
				'one' => q(مالايشىيا رىڭگىتى),
				'other' => q(مالايشىيا رىڭگىتى),
			},
		},
		'MZE' => {
			display_name => {
				'default' => q(موزامبىك ئېسكۇدوسى),
				'one' => q(موزامبىك ئېسكۇدوسى),
				'other' => q(موزامبىك ئېسكۇدوسى),
			},
		},
		'MZM' => {
			display_name => {
				'default' => q(موزامبىك مېتىكالى (1980–2006)),
				'one' => q(موزامبىك مېتىكالى (1980–2006)),
				'other' => q(موزامبىك مېتىكالى (1980–2006)),
			},
		},
		'MZN' => {
			display_name => {
				'default' => q(موزامبىك مېتىكالى),
				'one' => q(موزامبىك مېتىكالى),
				'other' => q(موزامبىك مېتىكالى),
			},
		},
		'NAD' => {
			display_name => {
				'default' => q(نامىبىيە دوللىرى),
				'one' => q(نامىبىيە دوللىرى),
				'other' => q(نامىبىيە دوللىرى),
			},
		},
		'NGN' => {
			display_name => {
				'default' => q(نىگېرىيە نايراسى),
				'one' => q(نىگېرىيە نايراسى),
				'other' => q(نىگېرىيە نايراسى),
			},
		},
		'NIC' => {
			display_name => {
				'default' => q(نىگېرىيە كوردوباسى (1988–1991)),
				'one' => q(نىگېرىيە كوردوباسى (1988–1991)),
				'other' => q(نىگېرىيە كوردوباسى (1988–1991)),
			},
		},
		'NIO' => {
			display_name => {
				'default' => q(نىگېرىيە كوردوباسى),
				'one' => q(نىگېرىيە كوردوباسى),
				'other' => q(نىگېرىيە كوردوباسى),
			},
		},
		'NLG' => {
			display_name => {
				'default' => q(گوللاندىيە گۈلدىنى),
				'one' => q(گوللاندىيە گۈلدىنى),
				'other' => q(گوللاندىيە گۈلدىنى),
			},
		},
		'NOK' => {
			display_name => {
				'default' => q(نورۋېگىيە كرونى),
				'one' => q(نورۋېگىيە كرونى),
				'other' => q(نورۋېگىيە كرونى),
			},
		},
		'NPR' => {
			display_name => {
				'default' => q(نېپال رۇپىسى),
				'one' => q(نېپال رۇپىسى),
				'other' => q(نېپال رۇپىسى),
			},
		},
		'NZD' => {
			display_name => {
				'default' => q(يېڭى زېلاندىيە دوللىرى),
				'one' => q(يېڭى زېلاندىيە دوللىرى),
				'other' => q(يېڭى زېلاندىيە دوللىرى),
			},
		},
		'OMR' => {
			display_name => {
				'default' => q(ئومان رىيالى),
				'one' => q(ئومان رىيالى),
				'other' => q(ئومان رىيالى),
			},
		},
		'PAB' => {
			display_name => {
				'default' => q(پاناما بالبوئاسى),
				'one' => q(پاناما بالبوئاسى),
				'other' => q(پاناما بالبوئاسى),
			},
		},
		'PEI' => {
			display_name => {
				'default' => q(پېرۇ ئىنتىسى),
				'one' => q(پېرۇ ئىنتىسى),
				'other' => q(پېرۇ ئىنتىسى),
			},
		},
		'PEN' => {
			display_name => {
				'default' => q(پېرۇ يېڭى سولى),
				'one' => q(پېرۇ يېڭى سولى),
				'other' => q(پېرۇ يېڭى سولى),
			},
		},
		'PES' => {
			display_name => {
				'default' => q(پېرۇ سولى (1863–1965)),
				'one' => q(پېرۇ سولى (1863–1965)),
				'other' => q(پېرۇ سولى (1863–1965)),
			},
		},
		'PGK' => {
			display_name => {
				'default' => q(پاپۇئا يېڭى گىۋىنېيە كىناسى),
				'one' => q(پاپۇئا يېڭى گىۋىنېيە كىناسى),
				'other' => q(پاپۇئا يېڭى گىۋىنېيە كىناسى),
			},
		},
		'PHP' => {
			display_name => {
				'default' => q(فىلىپپىن پېسوسى),
				'one' => q(فىلىپپىن پېسوسى),
				'other' => q(فىلىپپىن پېسوسى),
			},
		},
		'PKR' => {
			display_name => {
				'default' => q(پاكىستان رۇپىسى),
				'one' => q(پاكىستان رۇپىسى),
				'other' => q(پاكىستان رۇپىسى),
			},
		},
		'PLN' => {
			display_name => {
				'default' => q(پولشا زىلوتى),
				'one' => q(پولشا زىلوتى),
				'other' => q(پولشا زىلوتى),
			},
		},
		'PLZ' => {
			display_name => {
				'default' => q(پولشا زىلوتى (1950–1995)),
				'one' => q(پولشا زىلوتى (1950–1995)),
				'other' => q(پولشا زىلوتى (1950–1995)),
			},
		},
		'PTE' => {
			display_name => {
				'default' => q(پورتۇگالىيە ئېسكۇدوسى),
				'one' => q(پورتۇگالىيە ئېسكۇدوسى),
				'other' => q(پورتۇگالىيە ئېسكۇدوسى),
			},
		},
		'PYG' => {
			display_name => {
				'default' => q(پاراگۋاي گۇئارانىسى),
				'one' => q(پاراگۋاي گۇئارانىسى),
				'other' => q(پاراگۋاي گۇئارانىسى),
			},
		},
		'QAR' => {
			display_name => {
				'default' => q(قاتار رىيالى),
				'one' => q(قاتار رىيالى),
				'other' => q(قاتار رىيالى),
			},
		},
		'RHD' => {
			display_name => {
				'default' => q(رودېزىيە دوللىرى),
				'one' => q(رودېزىيە دوللىرى),
				'other' => q(رودېزىيە دوللىرى),
			},
		},
		'ROL' => {
			display_name => {
				'default' => q(رۇمىنىيە لېيى (1952–2006)),
				'one' => q(رۇمىنىيە لېيى (1952–2006)),
				'other' => q(رۇمىنىيە لېيى (1952–2006)),
			},
		},
		'RON' => {
			display_name => {
				'default' => q(رۇمىنىيە لېيى),
				'one' => q(رۇمىنىيە لېيى),
				'other' => q(رۇمىنىيە لېيى),
			},
		},
		'RSD' => {
			display_name => {
				'default' => q(سېربىيە دىنارى),
				'one' => q(سېربىيە دىنارى),
				'other' => q(سېربىيە دىنارى),
			},
		},
		'RUB' => {
			display_name => {
				'default' => q(رۇسىيە رۇبلىسى),
				'one' => q(رۇسىيە رۇبلىسى),
				'other' => q(رۇسىيە رۇبلىسى),
			},
		},
		'RUR' => {
			display_name => {
				'default' => q(رۇسىيە رۇبلىسى (1991–1998)),
				'one' => q(رۇسىيە رۇبلىسى (1991–1998)),
				'other' => q(رۇسىيە رۇبلىسى (1991–1998)),
			},
		},
		'RWF' => {
			display_name => {
				'default' => q(رۋاندا فرانكى),
				'one' => q(رۋاندا فرانكى),
				'other' => q(رۋاندا فرانكى),
			},
		},
		'SAR' => {
			display_name => {
				'default' => q(سەئۇدى رىيالى),
				'one' => q(سەئۇدى رىيالى),
				'other' => q(سەئۇدى رىيالى),
			},
		},
		'SBD' => {
			display_name => {
				'default' => q(سولومون ئاراللىرى دوللىرى),
				'one' => q(سولومون ئاراللىرى دوللىرى),
				'other' => q(سولومون ئاراللىرى دوللىرى),
			},
		},
		'SCR' => {
			display_name => {
				'default' => q(سېيشېل رۇپىسى),
				'one' => q(سېيشېل رۇپىسى),
				'other' => q(سېيشېل رۇپىسى),
			},
		},
		'SDD' => {
			display_name => {
				'default' => q(سۇدان دىنارى (1992–2007)),
				'one' => q(سۇدان دىنارى (1992–2007)),
				'other' => q(سۇدان دىنارى (1992–2007)),
			},
		},
		'SDG' => {
			display_name => {
				'default' => q(سۇدان فوندستېرلىڭى),
				'one' => q(سۇدان فوندستېرلىڭى),
				'other' => q(سۇدان فوندستېرلىڭى),
			},
		},
		'SDP' => {
			display_name => {
				'default' => q(سۇدان فوندستېرلىڭى (1957–1998)),
				'one' => q(سۇدان فوندستېرلىڭى (1957–1998)),
				'other' => q(سۇدان فوندستېرلىڭى (1957–1998)),
			},
		},
		'SEK' => {
			display_name => {
				'default' => q(شىۋېتسىيە كروناسى),
				'one' => q(شىۋېتسىيە كروناسى),
				'other' => q(شىۋېتسىيە كروناسى),
			},
		},
		'SGD' => {
			display_name => {
				'default' => q(سىنگاپور دوللىرى),
				'one' => q(سىنگاپور دوللىرى),
				'other' => q(سىنگاپور دوللىرى),
			},
		},
		'SHP' => {
			display_name => {
				'default' => q(ساينىت-ھېلېنا فوندستېرلىڭى),
				'one' => q(ساينىت-ھېلېنا فوندستېرلىڭى),
				'other' => q(ساينىت-ھېلېنا فوندستېرلىڭى),
			},
		},
		'SIT' => {
			display_name => {
				'default' => q(سىلوۋېنىيە تولارى),
				'one' => q(سىلوۋېنىيە تولارى),
				'other' => q(سىلوۋېنىيە تولارى),
			},
		},
		'SKK' => {
			display_name => {
				'default' => q(سىلوۋاكىيە كورۇناسى),
				'one' => q(سىلوۋاكىيە كورۇناسى),
				'other' => q(سىلوۋاكىيە كورۇناسى),
			},
		},
		'SLL' => {
			display_name => {
				'default' => q(سېررالېئون لېئونېسى),
				'one' => q(سېررالېئون لېئونېسى),
				'other' => q(سېررالېئون لېئونېسى),
			},
		},
		'SOS' => {
			display_name => {
				'default' => q(سومالى شىللىڭى),
				'one' => q(سومالى شىللىڭى),
				'other' => q(سومالى شىللىڭى),
			},
		},
		'SRD' => {
			display_name => {
				'default' => q(سۇرىنام دوللىرى),
				'one' => q(سۇرىنام دوللىرى),
				'other' => q(سۇرىنام دوللىرى),
			},
		},
		'SRG' => {
			display_name => {
				'default' => q(سۇرىنام گۈلدىنى),
				'one' => q(سۇرىنام گۈلدىنى),
				'other' => q(سۇرىنام گۈلدىنى),
			},
		},
		'SSP' => {
			display_name => {
				'default' => q(جەنۇبىي سۇدان فوندستېرلىڭى),
				'one' => q(جەنۇبىي سۇدان فوندستېرلىڭى),
				'other' => q(جەنۇبىي سۇدان فوندستېرلىڭى),
			},
		},
		'STD' => {
			display_name => {
				'default' => q(سان-تومې ۋە پىرىنسىپى دوبراسى),
				'one' => q(سان-تومې ۋە پىرىنسىپى دوبراسى),
				'other' => q(سان-تومې ۋە پىرىنسىپى دوبراسى),
			},
		},
		'SUR' => {
			display_name => {
				'default' => q(سوۋىت رۇبلىسى),
				'one' => q(سوۋىت رۇبلىسى),
				'other' => q(سوۋىت رۇبلىسى),
			},
		},
		'SVC' => {
			display_name => {
				'default' => q(سالۋادور كولونى),
				'one' => q(سالۋادور كولونى),
				'other' => q(سالۋادور كولونى),
			},
		},
		'SYP' => {
			display_name => {
				'default' => q(سۈرىيە فوندستېرلىڭى),
				'one' => q(سۈرىيە فوندستېرلىڭى),
				'other' => q(سۈرىيە فوندستېرلىڭى),
			},
		},
		'SZL' => {
			display_name => {
				'default' => q(سىۋېزىلاند لىلانگېنى),
				'one' => q(سىۋېزىلاند لىلانگېنى),
				'other' => q(سىۋېزىلاند لىلانگېنى),
			},
		},
		'THB' => {
			display_name => {
				'default' => q(تايلاند باختى),
				'one' => q(تايلاند باختى),
				'other' => q(تايلاند باختى),
			},
		},
		'TJR' => {
			display_name => {
				'default' => q(تاجىكىستان رۇبلىسى),
				'one' => q(تاجىكىستان رۇبلىسى),
				'other' => q(تاجىكىستان رۇبلىسى),
			},
		},
		'TJS' => {
			display_name => {
				'default' => q(تاجىكىستان سومونىسى),
				'one' => q(تاجىكىستان سومونىسى),
				'other' => q(تاجىكىستان سومونىسى),
			},
		},
		'TMM' => {
			display_name => {
				'default' => q(تۈركمەنىستان ماناتى (1993–2009)),
				'one' => q(تۈركمەنىستان ماناتى (1993–2009)),
				'other' => q(تۈركمەنىستان ماناتى (1993–2009)),
			},
		},
		'TMT' => {
			display_name => {
				'default' => q(تۈركمەنىستان ماناتى),
				'one' => q(تۈركمەنىستان ماناتى),
				'other' => q(تۈركمەنىستان ماناتى),
			},
		},
		'TND' => {
			display_name => {
				'default' => q(تۇنىس دىنارى),
				'one' => q(تۇنىس دىنارى),
				'other' => q(تۇنىس دىنارى),
			},
		},
		'TOP' => {
			display_name => {
				'default' => q(تونگا پائانگاسى),
				'one' => q(تونگا پائانگاسى),
				'other' => q(تونگا پائانگاسى),
			},
		},
		'TPE' => {
			display_name => {
				'default' => q(تىمور ئېسكۇدوسى),
				'one' => q(تىمور ئېسكۇدوسى),
				'other' => q(تىمور ئېسكۇدوسى),
			},
		},
		'TRL' => {
			display_name => {
				'default' => q(تۈركىيە لىراسى (1922–2005)),
				'one' => q(تۈركىيە لىراسى (1922–2005)),
				'other' => q(تۈركىيە لىراسى (1922–2005)),
			},
		},
		'TRY' => {
			display_name => {
				'default' => q(تۈركىيە لىراسى),
				'one' => q(تۈركىيە لىراسى),
				'other' => q(تۈركىيە لىراسى),
			},
		},
		'TTD' => {
			display_name => {
				'default' => q(تىرىنىداد ۋە توباگو دوللىرى),
				'one' => q(تىرىنىداد ۋە توباگو دوللىرى),
				'other' => q(تىرىنىداد ۋە توباگو دوللىرى),
			},
		},
		'TWD' => {
			display_name => {
				'default' => q(يېڭى تەيۋەن دوللىرى),
				'one' => q(يېڭى تەيۋەن دوللىرى),
				'other' => q(يېڭى تەيۋەن دوللىرى),
			},
		},
		'TZS' => {
			display_name => {
				'default' => q(تانزانىيە شىللىڭى),
				'one' => q(تانزانىيە شىللىڭى),
				'other' => q(تانزانىيە شىللىڭى),
			},
		},
		'UAH' => {
			display_name => {
				'default' => q(ئۇكرائىنا خرىۋناسى),
				'one' => q(ئۇكرائىنا خرىۋناسى),
				'other' => q(ئۇكرائىنا خرىۋناسى),
			},
		},
		'UAK' => {
			display_name => {
				'default' => q(ئۇكرائىنا كاربوۋانېتسى),
				'one' => q(ئۇكرائىنا كاربوۋانېتسى),
				'other' => q(ئۇكرائىنا كاربوۋانېتسى),
			},
		},
		'UGS' => {
			display_name => {
				'default' => q(ئۇگاندا شىللىڭى (1966–1987)),
				'one' => q(ئۇگاندا شىللىڭى (1966–1987)),
				'other' => q(ئۇگاندا شىللىڭى (1966–1987)),
			},
		},
		'UGX' => {
			display_name => {
				'default' => q(ئۇگاندا شىللىڭى),
				'one' => q(ئۇگاندا شىللىڭى),
				'other' => q(ئۇگاندا شىللىڭى),
			},
		},
		'USD' => {
			symbol => '$',
			display_name => {
				'default' => q(ئامېرىكا دوللىرى),
				'one' => q(ئامېرىكا دوللىرى),
				'other' => q(ئامېرىكا دوللىرى),
			},
		},
		'USN' => {
			display_name => {
				'default' => q(ئامېرىكا دوللىرى (كېيىنكى كۈن)),
				'one' => q(ئامېرىكا دوللىرى (كېيىنكى كۈن)),
				'other' => q(ئامېرىكا دوللىرى (كېيىنكى كۈن)),
			},
		},
		'USS' => {
			display_name => {
				'default' => q(ئامېرىكا دوللىرى (ئوخشاش كۈن)),
				'one' => q(ئامېرىكا دوللىرى (ئوخشاش كۈن)),
				'other' => q(ئامېرىكا دوللىرى (ئوخشاش كۈن)),
			},
		},
		'UYI' => {
			display_name => {
				'default' => q(ئۇرۇگۋاي پېسوسى (ئىندېكىسلاش بىرلىكى)),
				'one' => q(ئۇرۇگۋاي پېسوسى (ئىندېكىسلاش بىرلىكى)),
				'other' => q(ئۇرۇگۋاي پېسوسى (ئىندېكىسلاش بىرلىكى)),
			},
		},
		'UYP' => {
			display_name => {
				'default' => q(ئۇرۇگۋاي پېسوسى (1975–1993)),
				'one' => q(ئۇرۇگۋاي پېسوسى (1975–1993)),
				'other' => q(ئۇرۇگۋاي پېسوسى (1975–1993)),
			},
		},
		'UYU' => {
			display_name => {
				'default' => q(ئۇرۇگۋاي پېسوسى),
				'one' => q(ئۇرۇگۋاي پېسوسى),
				'other' => q(ئۇرۇگۋاي پېسوسى),
			},
		},
		'UZS' => {
			display_name => {
				'default' => q(ئۆزبېكىستان سومى),
				'one' => q(ئۆزبېكىستان سومى),
				'other' => q(ئۆزبېكىستان سومى),
			},
		},
		'VEB' => {
			display_name => {
				'default' => q(ۋېنېزۇئېلا بولىۋارى (1871–2008)),
				'one' => q(ۋېنېزۇئېلا بولىۋارى (1871–2008)),
				'other' => q(ۋېنېزۇئېلا بولىۋارى (1871–2008)),
			},
		},
		'VEF' => {
			display_name => {
				'default' => q(ۋېنېزۇئېلا بولىۋارى),
				'one' => q(ۋېنېزۇئېلا بولىۋارى),
				'other' => q(ۋېنېزۇئېلا بولىۋارى),
			},
		},
		'VND' => {
			display_name => {
				'default' => q(ۋىيېتنام دوڭى),
				'one' => q(ۋىيېتنام دوڭى),
				'other' => q(ۋىيېتنام دوڭى),
			},
		},
		'VNN' => {
			display_name => {
				'default' => q(ۋىيېتنام دوڭى (1978–1985)),
				'one' => q(ۋىيېتنام دوڭى (1978–1985)),
				'other' => q(ۋىيېتنام دوڭى (1978–1985)),
			},
		},
		'VUV' => {
			display_name => {
				'default' => q(ۋانۇئاتۇ ۋاتۇسى),
				'one' => q(ۋانۇئاتۇ ۋاتۇسى),
				'other' => q(ۋانۇئاتۇ ۋاتۇسى),
			},
		},
		'WST' => {
			display_name => {
				'default' => q(ساموئا تالاسى),
				'one' => q(ساموئا تالاسى),
				'other' => q(ساموئا تالاسى),
			},
		},
		'XAF' => {
			display_name => {
				'default' => q(ئافرىقا قىتئەسى پۇل-مۇئامىلە ئىتتىپاقى فرانكى),
				'one' => q(ئافرىقا قىتئەسى پۇل-مۇئامىلە ئىتتىپاقى فرانكى),
				'other' => q(ئافرىقا قىتئەسى پۇل-مۇئامىلە ئىتتىپاقى فرانكى),
			},
		},
		'XAG' => {
			display_name => {
				'default' => q(كۈمۈش),
				'one' => q(ئالتۇن ئۈنسىيە بىرلىكىدىكى كۈمۈش),
				'other' => q(ئالتۇن ئۈنسىيە بىرلىكىدىكى كۈمۈش),
			},
		},
		'XAU' => {
			display_name => {
				'default' => q(ئالتۇن),
				'one' => q(ئالتۇن ئۈنسىيە بىرلىكىدىكى ئالتۇن),
				'other' => q(ئالتۇن ئۈنسىيە بىرلىكىدىكى ئالتۇن),
			},
		},
		'XBA' => {
			display_name => {
				'default' => q(ياۋروپا مۇرەككەپ بىرلىكى),
				'one' => q(ياۋروپا مۇرەككەپ بىرلىكى),
				'other' => q(ياۋروپا مۇرەككەپ بىرلىكى),
			},
		},
		'XBB' => {
			display_name => {
				'default' => q(ياۋروپا پۇل بىرلىكى (XBB)),
				'one' => q(ياۋروپا پۇل بىرلىكى (XBB)),
				'other' => q(ياۋروپا پۇل بىرلىكى (XBB)),
			},
		},
		'XBC' => {
			display_name => {
				'default' => q(ياۋروپا ھېسابات بىرلىكى (XBC)),
				'one' => q(ياۋروپا ھېسابات بىرلىكى (XBC)),
				'other' => q(ياۋروپا ھېسابات بىرلىكى (XBC)),
			},
		},
		'XBD' => {
			display_name => {
				'default' => q(ياۋروپا ھېسابات بىرلىكى (XBD)),
				'one' => q(ياۋروپا ھېسابات بىرلىكى (XBD)),
				'other' => q(ياۋروپا ھېسابات بىرلىكى (XBD)),
			},
		},
		'XCD' => {
			display_name => {
				'default' => q(شەرقىي كارىب دوللىرى),
				'one' => q(شەرقىي كارىب دوللىرى),
				'other' => q(شەرقىي كارىب دوللىرى),
			},
		},
		'XDR' => {
			display_name => {
				'default' => q(ئالاھىدە پۇل ئېلىش ھوقۇقى),
				'one' => q(ئالاھىدە پۇل ئېلىش ھوقۇقى),
				'other' => q(ئالاھىدە پۇل ئېلىش ھوقۇقى),
			},
		},
		'XEU' => {
			display_name => {
				'default' => q(ياۋروپا پۇل بىرلىكى),
				'one' => q(ياۋروپا پۇل بىرلىكى),
				'other' => q(ياۋروپا پۇل بىرلىكى),
			},
		},
		'XFO' => {
			display_name => {
				'default' => q(فىرانسىيە ئالتۇن فرانكى),
				'one' => q(فىرانسىيە ئالتۇن فرانكى),
				'other' => q(فىرانسىيە ئالتۇن فرانكى),
			},
		},
		'XFU' => {
			display_name => {
				'default' => q(فىرانسىيە UIC فرانكى),
				'one' => q(فىرانسىيە UIC فرانكى),
				'other' => q(فىرانسىيە UIC فرانكى),
			},
		},
		'XOF' => {
			display_name => {
				'default' => q(ئافرىقا قىتئەسى پۇل-مۇئامىلە ئىتتىپاقى فرانكى (BCEAO)),
				'one' => q(ئافرىقا قىتئەسى پۇل-مۇئامىلە ئىتتىپاقى فرانكى (BCEAO)),
				'other' => q(ئافرىقا قىتئەسى پۇل-مۇئامىلە ئىتتىپاقى فرانكى (BCEAO)),
			},
		},
		'XPD' => {
			display_name => {
				'default' => q(پاللادىي),
				'one' => q(ئالتۇن ئۈنسىيە بىرلىكىدىكى پاللادىي),
				'other' => q(ئالتۇن ئۈنسىيە بىرلىكىدىكى پاللادىي),
			},
		},
		'XPF' => {
			display_name => {
				'default' => q(تىنچ ئوكيان پۇل-مۇئامىلە ئورتاق گەۋدىسى فرانكى),
				'one' => q(تىنچ ئوكيان پۇل-مۇئامىلە ئورتاق گەۋدىسى فرانكى),
				'other' => q(تىنچ ئوكيان پۇل-مۇئامىلە ئورتاق گەۋدىسى فرانكى),
			},
		},
		'XPT' => {
			display_name => {
				'default' => q(پىلاتىنا),
				'one' => q(ئالتۇن ئۈنسىيە بىرلىكىدىكى پىلاتىنا),
				'other' => q(ئالتۇن ئۈنسىيە بىرلىكىدىكى پىلاتىنا),
			},
		},
		'XRE' => {
			display_name => {
				'default' => q(RINET فوندى),
				'one' => q(RINET فوندى بىرلىكى),
				'other' => q(RINET فوندى بىرلىكى),
			},
		},
		'XSU' => {
			display_name => {
				'default' => q(سۇكرې),
				'one' => q(سۇكرې),
				'other' => q(سۇكرې),
			},
		},
		'XTS' => {
			display_name => {
				'default' => q(پۇل سىناش بىرلىكى),
				'one' => q(پۇل سىناش بىرلىكى),
				'other' => q(پۇل سىناش بىرلىكى),
			},
		},
		'XUA' => {
			display_name => {
				'default' => q(ئاسىيا تەرەققىيات بانكىسى ھېسابات بىرلىكى),
				'one' => q(ئاسىيا تەرەققىيات بانكىسى ھېسابات بىرلىكى),
				'other' => q(ئاسىيا تەرەققىيات بانكىسى ھېسابات بىرلىكى),
			},
		},
		'XXX' => {
			display_name => {
				'default' => q(يوچۇن پۇل),
				'one' => q((يوچۇن پۇل بىرلىكى)),
				'other' => q((يوچۇن پۇل)),
			},
		},
		'YDD' => {
			display_name => {
				'default' => q(يەمەن دىنارى),
				'one' => q(يەمەن دىنارى),
				'other' => q(يەمەن دىنارى),
			},
		},
		'YER' => {
			display_name => {
				'default' => q(يەمەن رىيالى),
				'one' => q(يەمەن رىيالى),
				'other' => q(يەمەن رىيالى),
			},
		},
		'YUD' => {
			display_name => {
				'default' => q(يۇگوسلاۋىيە قاتتىق دىنارى (1966–1990)),
				'one' => q(يۇگوسلاۋىيە قاتتىق دىنارى (1966–1990)),
				'other' => q(يۇگوسلاۋىيە قاتتىق دىنارى (1966–1990)),
			},
		},
		'YUM' => {
			display_name => {
				'default' => q(يۇگوسلاۋىيە يېڭى دىنارى (1994–2002)),
				'one' => q(يۇگوسلاۋىيە يېڭى دىنارى (1994–2002)),
				'other' => q(يۇگوسلاۋىيە يېڭى دىنارى (1994–2002)),
			},
		},
		'YUN' => {
			display_name => {
				'default' => q(يۇگوسلاۋىيە ئالماشتۇرۇشچان دىنارى (1990–1992)),
				'one' => q(يۇگوسلاۋىيە ئالماشتۇرۇشچان دىنارى (1990–1992)),
				'other' => q(يۇگوسلاۋىيە ئالماشتۇرۇشچان دىنارى (1990–1992)),
			},
		},
		'YUR' => {
			display_name => {
				'default' => q(يۇگوسلاۋىيە ئىسلاھات دىنارى (1992–1993)),
				'one' => q(يۇگوسلاۋىيە ئىسلاھات دىنارى (1992–1993)),
				'other' => q(يۇگوسلاۋىيە ئىسلاھات دىنارى (1992–1993)),
			},
		},
		'ZAL' => {
			display_name => {
				'default' => q(جەنۇبىي ئافرىقا راندى (پۇل–مۇئامىلە)),
				'one' => q(جەنۇبىي ئافرىقا راندى (پۇل–مۇئامىلە)),
				'other' => q(جەنۇبىي ئافرىقا راندى (پۇل–مۇئامىلە)),
			},
		},
		'ZAR' => {
			display_name => {
				'default' => q(جەنۇبىي ئافرىقا راندى),
				'one' => q(جەنۇبىي ئافرىقا راندى),
				'other' => q(جەنۇبىي ئافرىقا راندى),
			},
		},
		'ZMK' => {
			display_name => {
				'default' => q(زامبىيە كۋاچاسى (1968–2012)),
				'one' => q(زامبىيە كۋاچاسى (1968–2012)),
				'other' => q(زامبىيە كۋاچاسى (1968–2012)),
			},
		},
		'ZMW' => {
			display_name => {
				'default' => q(زامبىيە كۋاچاسى),
				'one' => q(زامبىيە كۋاچاسى),
				'other' => q(زامبىيە كۋاچاسى),
			},
		},
		'ZRN' => {
			display_name => {
				'default' => q(زايىر يېڭى زايىرى (1993–1998)),
				'one' => q(زايىر يېڭى زايىرى (1993–1998)),
				'other' => q(زايىر يېڭى زايىرى (1993–1998)),
			},
		},
		'ZRZ' => {
			display_name => {
				'default' => q(زايىر زايىرى (1971–1993)),
				'one' => q(زايىر زايىرى (1971–1993)),
				'other' => q(زايىر زايىرى (1971–1993)),
			},
		},
		'ZWD' => {
			display_name => {
				'default' => q(زىمبابۋې دوللىرى (1980–2008)),
				'one' => q(زىمبابۋې دوللىرى (1980–2008)),
				'other' => q(زىمبابۋې دوللىرى (1980–2008)),
			},
		},
		'ZWL' => {
			display_name => {
				'default' => q(زىمبابۋې دوللىرى (2009)),
				'one' => q(زىمبابۋې دوللىرى (2009)),
				'other' => q(زىمبابۋې دوللىرى (2009)),
			},
		},
		'ZWR' => {
			display_name => {
				'default' => q(زىمبابۋې دوللىرى (2008)),
				'one' => q(زىمبابۋې دوللىرى (2008)),
				'other' => q(زىمبابۋې دوللىرى (2008)),
			},
		},
	} },
);


has 'calendar_months' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
			'chinese' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'Mo1',
							'Mo2',
							'Mo3',
							'Mo4',
							'Mo5',
							'Mo6',
							'Mo7',
							'Mo8',
							'Mo9',
							'Mo10',
							'Mo11',
							'Mo12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'Month1',
							'Month2',
							'Month3',
							'Month4',
							'Month5',
							'Month6',
							'Month7',
							'Month8',
							'Month9',
							'Month10',
							'Month11',
							'Month12'
						],
						leap => [
							
						],
					},
				},
			},
			'gregorian' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'يانۋار',
							'فېۋرال',
							'مارت',
							'ئاپرېل',
							'ماي',
							'ئىيۇن',
							'ئىيۇل',
							'ئاۋغۇست',
							'سېنتەبىر',
							'ئۆكتەبىر',
							'نويابىر',
							'دېكابىر'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'يانۋار',
							'فېۋرال',
							'مارت',
							'ئاپرېل',
							'ماي',
							'ئىيۇن',
							'ئىيۇل',
							'ئاۋغۇست',
							'سېنتەبىر',
							'ئۆكتەبىر',
							'بويابىر',
							'دېكابىر'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
				},
			},
			'islamic' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'مۇھەررەم',
							'سەپەر',
							'رەبىئۇلئەۋۋەل',
							'رەبىئۇلئاخىر',
							'جەمادىيەلئەۋۋەل',
							'جەمادىيەلئاخىر',
							'رەجەب',
							'شەئبان',
							'رامىزان',
							'شەۋۋال',
							'زۇلقەئدە',
							'زۇلھەججە'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'مۇھەررەم',
							'سەپەر',
							'رەبىئۇلئەۋۋەل',
							'رەبىئۇلئاخىر',
							'جەمادىيەلئەۋۋەل',
							'جەمادىيەلئاخىر',
							'رەجەب',
							'شەئبان',
							'رامىزان',
							'شەۋۋال',
							'زۇلقەئدە',
							'زۇلھەججە'
						],
						leap => [
							
						],
					},
				},
			},
	} },
);

has 'calendar_days' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
			'gregorian' => {
				'format' => {
					abbreviated => {
						mon => 'دۈ',
						tue => 'سە',
						wed => 'چا',
						thu => 'پە',
						fri => 'چۈ',
						sat => 'شە',
						sun => 'يە'
					},
					short => {
						mon => 'د',
						tue => 'س',
						wed => 'چ',
						thu => 'پ',
						fri => 'ج',
						sat => 'ش',
						sun => 'ي'
					},
					wide => {
						mon => 'دۈشەنبە',
						tue => 'سەيشەنبە',
						wed => 'چارشەنبە',
						thu => 'پەيشەنبە',
						fri => 'جۈمە',
						sat => 'شەنبە',
						sun => 'يەكشەنبە'
					},
				},
				'stand-alone' => {
					narrow => {
						mon => 'د',
						tue => 'س',
						wed => 'چ',
						thu => 'پ',
						fri => 'ج',
						sat => 'ش',
						sun => 'ي'
					},
				},
			},
	} },
);

has 'calendar_quarters' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
			'gregorian' => {
				'format' => {
					abbreviated => {0 => 'بىرىنچى پەسىل',
						1 => 'ئىككىنچى پەسىل',
						2 => 'ئۈچىنچى پەسىل',
						3 => 'تۆتىنچى پەسىل'
					},
					wide => {0 => 'بىرىنچى پەسىل',
						1 => 'ئىككىنچى پەسىل',
						2 => 'ئۈچىنچى پەسىل',
						3 => 'تۆتىنچى پەسىل'
					},
				},
				'stand-alone' => {
					narrow => {0 => '1',
						1 => '2',
						2 => '3',
						3 => '4'
					},
				},
			},
	} },
);

has 'day_periods' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			'format' => {
				'narrow' => {
					'pm' => q{چۈشتىن كېيىن},
					'noon' => q{چۈش},
					'am' => q{چۈشتىن بۇرۇن},
				},
				'wide' => {
					'am' => q{چۈشتىن بۇرۇن},
					'noon' => q{چۈش},
					'pm' => q{چۈشتىن كېيىن},
				},
			},
		},
	} },
);

has 'eras' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'buddhist' => {
			abbreviated => {
				'0' => 'بۇددا يىلنامەسى'
			},
		},
		'chinese' => {
		},
		'generic' => {
		},
		'gregorian' => {
			abbreviated => {
				'0' => 'مىلادىيەدىن بۇرۇن',
				'1' => 'مىلادىيە'
			},
			narrow => {
				'0' => 'مىلادىيەدىن بۇرۇن',
				'1' => 'مىلادىيە'
			},
			wide => {
				'0' => 'مىلادىيەدىن بۇرۇن',
				'1' => 'مىلادىيە'
			},
		},
		'hebrew' => {
			abbreviated => {
				'0' => 'AM'
			},
		},
		'islamic' => {
			abbreviated => {
				'0' => 'ھىجرىيە'
			},
		},
		'japanese' => {
		},
		'roc' => {
			abbreviated => {
				'0' => 'جۇڭخۇا مىنگودىن بۇرۇن',
				'1' => 'مىنگو'
			},
		},
	} },
);

has 'date_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'buddhist' => {
		},
		'chinese' => {
			'full' => q{EEEE، MMMM d، U},
			'long' => q{MMMM d، U},
			'medium' => q{MMM d، U},
			'short' => q{M/d/yy},
		},
		'generic' => {
			'full' => q{EEEE، MMMM d، y G},
			'long' => q{MMMM d، y G},
			'medium' => q{MMM d، y G},
			'short' => q{M/d/y GGGGG},
		},
		'gregorian' => {
			'full' => q{EEEE، MMMM d، y},
			'long' => q{MMMM d، y},
			'medium' => q{MMM d، y},
			'short' => q{M/d/yy},
		},
		'hebrew' => {
		},
		'islamic' => {
			'full' => q{EEEE، d MMMM، y G},
			'long' => q{d MMMM، y G},
			'medium' => q{d MMM، y G},
			'short' => q{d‏/M‏/y GGGGG},
		},
		'japanese' => {
			'full' => q{EEEE, MMMM d، y G},
			'long' => q{MMMM d، y G},
			'medium' => q{MMM d، y G},
			'short' => q{M/d/y GGGGG},
		},
		'roc' => {
		},
	} },
);

has 'time_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'buddhist' => {
		},
		'chinese' => {
		},
		'generic' => {
		},
		'gregorian' => {
			'full' => q{h:mm:ss a zzzz},
			'long' => q{h:mm:ss a z},
			'medium' => q{h:mm:ss a},
			'short' => q{h:mm a},
		},
		'hebrew' => {
		},
		'islamic' => {
		},
		'japanese' => {
		},
		'roc' => {
		},
	} },
);

has 'datetime_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'buddhist' => {
		},
		'chinese' => {
		},
		'generic' => {
			'full' => q{{1} {0}},
			'long' => q{{1} {0}},
			'medium' => q{{1}، {0}},
			'short' => q{{1}، {0}},
		},
		'gregorian' => {
			'full' => q{{1} {0}},
			'long' => q{{1} {0}},
			'medium' => q{{1}، {0}},
			'short' => q{{1}، {0}},
		},
		'hebrew' => {
		},
		'islamic' => {
		},
		'japanese' => {
		},
		'roc' => {
		},
	} },
);

has 'datetime_formats_available_formats' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			EHm => q{E HH:mm},
			EHms => q{E HH:mm:ss},
			Ed => q{d E},
			Ehm => q{E h:mm a},
			Ehms => q{E h:mm:ss a},
			Gy => q{y G},
			GyMMM => q{MMM y G},
			GyMMMEd => q{E، MMM d، y G},
			GyMMMd => q{MMM d، y G},
			H => q{HH},
			Hm => q{HH:mm},
			Hms => q{HH:mm:ss},
			M => q{L},
			MEd => q{E، M/d},
			MMM => q{LLL},
			MMMEd => q{E، MMM d},
			MMMd => q{MMM d},
			Md => q{M/d},
			d => q{d},
			h => q{h a},
			hm => q{h:mm a},
			hms => q{h:mm:ss a},
			ms => q{mm:ss},
			y => q{y},
			yM => q{M/y},
			yMEd => q{E، M/d/y},
			yMMM => q{MMM y},
			yMMMEd => q{E، MMM d، y},
			yMMMd => q{MMM d، y},
			yMd => q{M/d/y},
			yQQQ => q{QQQ y},
			yQQQQ => q{QQQQ y},
		},
		'islamic' => {
			M => q{L},
			Md => q{d/‏M},
			d => q{d},
			yyyyM => q{M‏/y G},
			yyyyMEd => q{E، d/‏M/‏y G},
			yyyyMMM => q{MMM y G},
			yyyyMd => q{d‏/M‏/y G},
		},
		'generic' => {
			Ed => q{d E},
			Gy => q{y G},
			GyMMM => q{MMM y G},
			GyMMMEd => q{E، MMM d، y G},
			GyMMMd => q{MMM d، y G},
			M => q{L},
			MEd => q{E، M/d},
			MMM => q{LLL},
			MMMEd => q{E، MMM d},
			MMMd => q{MMM d},
			Md => q{M/d},
			d => q{d},
			y => q{y G},
			yyyy => q{y G},
			yyyyM => q{M/y GGGGG},
			yyyyMEd => q{E، M/d/y GGGGG},
			yyyyMMM => q{MMM y G},
			yyyyMMMEd => q{E، MMM d، y G},
			yyyyMMMd => q{MMM d، y G},
			yyyyMd => q{M/d/y GGGGG},
			yyyyQQQ => q{QQQ y G},
			yyyyQQQQ => q{QQQQ y G},
		},
	} },
);

has 'datetime_formats_append_item' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			'Timezone' => '{0} {1}',
		},
	} },
);

has 'datetime_formats_interval' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			H => {
				H => q{HH – HH},
			},
			Hm => {
				H => q{HH:mm – HH:mm},
				m => q{HH:mm – HH:mm},
			},
			Hmv => {
				H => q{HH:mm – HH:mm v},
				m => q{HH:mm – HH:mm v},
			},
			Hv => {
				H => q{HH – HH v},
			},
			M => {
				M => q{M – M},
			},
			MEd => {
				M => q{E، M/d – E، M/d},
				d => q{E، M/d – E، M/d},
			},
			MMM => {
				M => q{MMM – MMM},
			},
			MMMEd => {
				M => q{E، MMM d – E، MMM d},
				d => q{E، MMM d – E، MMM d},
			},
			MMMd => {
				M => q{MMM d – MMM d},
				d => q{MMM d – d},
			},
			Md => {
				M => q{M/d – M/d},
				d => q{M/d – M/d},
			},
			d => {
				d => q{d – d},
			},
			fallback => '{0} – {1}',
			h => {
				a => q{h a – h a},
				h => q{h – h a},
			},
			hm => {
				a => q{h:mm a – h:mm a},
				h => q{h:mm – h:mm a},
				m => q{h:mm – h:mm a},
			},
			hmv => {
				a => q{h:mm a – h:mm a v},
				h => q{h:mm – h:mm a v},
				m => q{h:mm – h:mm a v},
			},
			hv => {
				a => q{h a – h a v},
				h => q{h – h a v},
			},
			y => {
				y => q{y – y},
			},
			yM => {
				M => q{M/y – M/y},
				y => q{M/y – M/y},
			},
			yMEd => {
				M => q{E، M/d/y – E، M/d/y},
				d => q{E، M/d/y – E، M/d/y},
				y => q{E، M/d/y – E، M/d/y},
			},
			yMMM => {
				M => q{MMM – MMM y},
				y => q{MMM y – MMM y},
			},
			yMMMEd => {
				M => q{E، MMM d – E، MMM d، y},
				d => q{E، MMM d – E، MMM d، y},
				y => q{E، MMM d، y – E، MMM d، y},
			},
			yMMMM => {
				M => q{MMMM – MMMM y},
				y => q{MMMM y – MMMM y},
			},
			yMMMd => {
				M => q{MMM d – MMM d، y},
				d => q{MMM d – d، y},
				y => q{MMM d، y – MMM d، y},
			},
			yMd => {
				M => q{M/d/y – M/d/y},
				d => q{M/d/y – M/d/y},
				y => q{M/d/y – M/d/y},
			},
		},
		'generic' => {
			M => {
				M => q{M – M},
			},
			MEd => {
				M => q{E، M/d – E، M/d},
				d => q{E، M/d – E، M/d},
			},
			MMM => {
				M => q{MMM – MMM},
			},
			MMMEd => {
				M => q{E، MMM d – E، MMM d},
				d => q{E، MMM d – E، MMM d},
			},
			MMMd => {
				M => q{MMM d – MMM d},
				d => q{MMM d – d},
			},
			Md => {
				M => q{M/d – M/d},
				d => q{M/d – M/d},
			},
			d => {
				d => q{d – d},
			},
			fallback => '{0} – {1}',
			y => {
				y => q{y – y G},
			},
			yM => {
				M => q{M/y – M/y GGGGG},
				y => q{M/y – M/y GGGGG},
			},
			yMEd => {
				M => q{E، M/d/y – E، M/d/y GGGGG},
				d => q{E، M/d/y – E، M/d/y GGGGG},
				y => q{E، M/d/y – E، M/d/y GGGGG},
			},
			yMMM => {
				M => q{MMM – MMM y G},
				y => q{MMM y – MMM y G},
			},
			yMMMEd => {
				M => q{E، MMM d – E، MMM d، y G},
				d => q{E، MMM d – E، MMM d، y G},
				y => q{E، MMM d، y – E، MMM d، y G},
			},
			yMMMM => {
				M => q{MMMM – MMMM y G},
				y => q{MMMM y – MMMM y G},
			},
			yMMMd => {
				M => q{MMM d – MMM d، y G},
				d => q{MMM d – d، y G},
				y => q{MMM d، y – MMM d، y G},
			},
			yMd => {
				M => q{M/d/y – M/d/y GGGGG},
				d => q{M/d/y – M/d/y GGGGG},
				y => q{M/d/y – M/d/y GGGGG},
			},
		},
	} },
);

has 'time_zone_names' => (
	is			=> 'ro',
	isa			=> 'HashRef',
	init_arg	=> undef,
	default	=> sub { {
		hourFormat => q(+HH:mm;-HH:mm),
		gmtFormat => q(GMT{0}),
		regionFormat => q({0} ۋاقتى),
		regionFormat => q({0} يازلىق ۋاقتى),
		regionFormat => q({0} ئۆلچەملىك ۋاقتى),
		fallbackFormat => q({1} ({0})),
		'Acre' => {
			long => {
				'daylight' => q(ئاكرى يازلىق ۋاقتى),
				'generic' => q(ئاكرې ۋاقتى),
				'standard' => q(ئاكرې ئۆلچەملىك ۋاقتى),
			},
		},
		'Afghanistan' => {
			long => {
				'standard' => q(ئافغانىستان ۋاقتى),
			},
		},
		'Africa/Sao_Tome' => {
			exemplarCity => q#سان-تومې#,
		},
		'Africa_Central' => {
			long => {
				'standard' => q(ئوتتۇرا ئافرىقا ۋاقتى),
			},
		},
		'Africa_Eastern' => {
			long => {
				'standard' => q(شەرقىي ئافرىقا ۋاقتى),
			},
		},
		'Africa_Southern' => {
			long => {
				'standard' => q(جەنۇبىي ئافرىقا ئۆلچەملىك ۋاقتى),
			},
		},
		'Africa_Western' => {
			long => {
				'daylight' => q(غەربىي ئافرىقا يازلىق ۋاقتى),
				'generic' => q(غەربىي ئافرىقا ۋاقتى),
				'standard' => q(غەربىي ئافرىقا ئۆلچەملىك ۋاقتى),
			},
		},
		'Alaska' => {
			long => {
				'daylight' => q(ئالياسكا يازلىق ۋاقتى),
				'generic' => q(ئالياسكا ۋاقتى),
				'standard' => q(ئالياسكا ئۆلچەملىك ۋاقتى),
			},
		},
		'Almaty' => {
			long => {
				'daylight' => q(ئالمۇتا يازلىق ۋاقتى),
				'generic' => q(ئالمۇتا ۋاقتى),
				'standard' => q(ئالمۇتا ئۆلچەملىك ۋاقتى),
			},
		},
		'Amazon' => {
			long => {
				'daylight' => q(ئامازون يازلىق ۋاقتى),
				'generic' => q(ئامازون ۋاقتى),
				'standard' => q(ئامازون ئۆلچەملىك ۋاقتى),
			},
		},
		'America/Asuncion' => {
			exemplarCity => q#ئاسۇنسىيون#,
		},
		'America/Curacao' => {
			exemplarCity => q#كۇراسو#,
		},
		'America/St_Barthelemy' => {
			exemplarCity => q#ساينىت-بارتھېلەمىي#,
		},
		'America_Central' => {
			long => {
				'daylight' => q(ئوتتۇرا قىسىم يازلىق ۋاقتى),
				'generic' => q(ئوتتۇرا قىسىم ۋاقتى),
				'standard' => q(ئوتتۇرا قىسىم ئۆلچەملىك ۋاقتى),
			},
		},
		'America_Eastern' => {
			long => {
				'daylight' => q(شەرقىي قىسىم يازلىق ۋاقتى),
				'generic' => q(شەرقىي قىسىم ۋاقتى),
				'standard' => q(شەرقىي قىسىم ئۆلچەملىك ۋاقتى),
			},
		},
		'America_Mountain' => {
			long => {
				'daylight' => q(تاغ يازلىق ۋاقتى),
				'generic' => q(تاغ ۋاقتى),
				'standard' => q(تاغ ئۆلچەملىك ۋاقتى),
			},
		},
		'America_Pacific' => {
			long => {
				'daylight' => q(تىنچ ئوكيان يازلىق ۋاقتى),
				'generic' => q(تىنچ ئوكيان ۋاقتى),
				'standard' => q(تىنچ ئوكيان ئۆلچەملىك ۋاقتى),
			},
		},
		'Anadyr' => {
			long => {
				'daylight' => q(ئانادىر يازلىق ۋاقتى),
				'generic' => q(ئانادىر ۋاقتى),
				'standard' => q(ئانادىر ئۆلچەملىك ۋاقتى),
			},
		},
		'Antarctica/DumontDUrville' => {
			exemplarCity => q#دۇمونت دۇرۋىللې#,
		},
		'Aqtau' => {
			long => {
				'daylight' => q(ئاقتاي يازلىق ۋاقتى),
				'generic' => q(ئاقتاي ۋاقتى),
				'standard' => q(ئاقتاي ئۆلچەملىك ۋاقتى),
			},
		},
		'Aqtobe' => {
			long => {
				'daylight' => q(ئاقتۆبە يازلىق ۋاقتى),
				'generic' => q(ئاقتۆبە ۋاقتى),
				'standard' => q(ئاقتۆبە ئۆلچەملىك ۋاقتى),
			},
		},
		'Arabian' => {
			long => {
				'daylight' => q(ئەرەب يازلىق ۋاقتى),
				'generic' => q(ئەرەب ۋاقتى),
				'standard' => q(ئەرەب ئۆلچەملىك ۋاقتى),
			},
		},
		'Argentina' => {
			long => {
				'daylight' => q(ئارگېنتىنا يازلىق ۋاقتى),
				'generic' => q(ئارگېنتىنا ۋاقتى),
				'standard' => q(ئارگېنتىنا ئۆلچەملىك ۋاقتى),
			},
		},
		'Argentina_Western' => {
			long => {
				'daylight' => q(غەربىي ئارگېنتىنا يازلىق ۋاقتى),
				'generic' => q(غەربىي ئارگېنتىنا ۋاقتى),
				'standard' => q(غەربىي ئارگېنتىنا ئۆلچەملىك ۋاقتى),
			},
		},
		'Armenia' => {
			long => {
				'daylight' => q(ئەرمېنىيە يازلىق ۋاقتى),
				'generic' => q(ئەرمېنىيە ۋاقتى),
				'standard' => q(ئەرمېنىيە ئۆلچەملىك ۋاقتى),
			},
		},
		'Asia/Saigon' => {
			exemplarCity => q#خوچىمىن شەھىرى#,
		},
		'Atlantic' => {
			long => {
				'daylight' => q(ئاتلانتىك ئوكيان يازلىق ۋاقتى),
				'generic' => q(ئاتلانتىك ئوكيان ۋاقتى),
				'standard' => q(ئاتلانتىك ئوكيان ئۆلچەملىك ۋاقتى),
			},
		},
		'Australia_Central' => {
			long => {
				'daylight' => q(ئاۋسترالىيە ئوتتۇرا قىسىم يازلىق ۋاقتى),
				'generic' => q(ئاۋسترالىيە ئوتتۇرا قىسىم ۋاقتى),
				'standard' => q(ئاۋسترالىيە ئوتتۇرا قىسىم ئۆلچەملىك ۋاقتى),
			},
		},
		'Australia_CentralWestern' => {
			long => {
				'daylight' => q(ئاۋسترالىيە ئوتتۇرا غەربىي قىسىم يازلىق ۋاقتى),
				'generic' => q(ئاۋسترالىيە ئوتتۇرا غەربىي قىسىم ۋاقتى),
				'standard' => q(ئاۋستىرالىيە ئوتتۇرا غەربىي قىسىم ئۆلچەملىك ۋاقتى),
			},
		},
		'Australia_Eastern' => {
			long => {
				'daylight' => q(ئاۋسترالىيە شەرقىي قىسىم يازلىق ۋاقتى),
				'generic' => q(ئاۋسترالىيە شەرقىي قىسىم ۋاقتى),
				'standard' => q(ئاۋسترالىيە شەرقىي قىسىم ئۆلچەملىك ۋاقتى),
			},
		},
		'Australia_Western' => {
			long => {
				'daylight' => q(ئاۋسترالىيە غەربىي قىسىم يازلىق ۋاقتى),
				'generic' => q(ئاۋسترالىيە غەربىي قىسىم ۋاقتى),
				'standard' => q(ئاۋسترالىيە غەربىي قىسىم ئۆلچەملىك ۋاقتى),
			},
		},
		'Azerbaijan' => {
			long => {
				'daylight' => q(ئەزەربەيجان يازلىق ۋاقتى),
				'generic' => q(ئەزەربەيجان ۋاقتى),
				'standard' => q(ئەزەربەيجان ئۆلچەملىك ۋاقتى),
			},
		},
		'Azores' => {
			long => {
				'daylight' => q(ئازور يازلىق ۋاقتى),
				'generic' => q(ئازور ۋاقتى),
				'standard' => q(ئازور ئۆلچەملىك ۋاقتى),
			},
		},
		'Bangladesh' => {
			long => {
				'daylight' => q(باڭلادىش يازلىق ۋاقتى),
				'generic' => q(باڭلادىش ۋاقتى),
				'standard' => q(باڭلادىش ئۆلچەملىك ۋاقتى),
			},
		},
		'Bhutan' => {
			long => {
				'standard' => q(بۇتان ۋاقتى),
			},
		},
		'Bolivia' => {
			long => {
				'standard' => q(بولىۋىيە ۋاقتى),
			},
		},
		'Brasilia' => {
			long => {
				'daylight' => q(بىرازىلىيە يازلىق ۋاقتى),
				'generic' => q(بىرازىلىيە ۋاقتى),
				'standard' => q(بىرازىلىيە ئۆلچەملىك ۋاقتى),
			},
		},
		'Brunei' => {
			long => {
				'standard' => q(بىرۇنىي دارۇسسالام ۋاقتى),
			},
		},
		'Cape_Verde' => {
			long => {
				'daylight' => q(يېشىل تۇمشۇق يازلىق ۋاقتى),
				'generic' => q(يېشىل تۇمشۇق ۋاقتى),
				'standard' => q(يېشىل تۇمشۇق ئۆلچەملىك ۋاقتى),
			},
		},
		'Casey' => {
			long => {
				'standard' => q(كاسېي ۋاقتى),
			},
		},
		'Chamorro' => {
			long => {
				'standard' => q(چاموررو ئۆلچەملىك ۋاقتى),
			},
		},
		'Chatham' => {
			long => {
				'daylight' => q(چاتام يازلىق ۋاقتى),
				'generic' => q(چاتام ۋاقتى),
				'standard' => q(چاتام ئۆلچەملىك ۋاقتى),
			},
		},
		'Chile' => {
			long => {
				'daylight' => q(چىلى يازلىق ۋاقتى),
				'generic' => q(چىلى ۋاقتى),
				'standard' => q(چىلى ئۆلچەملىك ۋاقتى),
			},
		},
		'China' => {
			long => {
				'daylight' => q(جۇڭگو يازلىق ۋاقتى),
				'generic' => q(جۇڭگو ۋاقتى),
				'standard' => q(جۇڭگو ئۆلچەملىك ۋاقتى),
			},
		},
		'Choibalsan' => {
			long => {
				'daylight' => q(چويبالسان يازلىق ۋاقتى),
				'generic' => q(چويبالسان ۋاقتى),
				'standard' => q(چويبالسان ئۆلچەملىك ۋاقتى),
			},
		},
		'Christmas' => {
			long => {
				'standard' => q(روژدېستۋو ئارىلى ۋاقتى),
			},
		},
		'Cocos' => {
			long => {
				'standard' => q(كوكۇس ئارىلى ۋاقتى),
			},
		},
		'Colombia' => {
			long => {
				'daylight' => q(كولومبىيە يازلىق ۋاقتى),
				'generic' => q(كولومبىيە ۋاقتى),
				'standard' => q(كولومبىيە ئۆلچەملىك ۋاقتى),
			},
		},
		'Cook' => {
			long => {
				'daylight' => q(كۇك ئاراللىرى يېرىم يازلىق ۋاقتى),
				'generic' => q(كۇك ئاراللىرى ۋاقتى),
				'standard' => q(كۇك ئاراللىرى ئۆلچەملىك ۋاقتى),
			},
		},
		'Cuba' => {
			long => {
				'daylight' => q(كۇبا يازلىق ۋاقتى),
				'generic' => q(كۇبا ۋاقتى),
				'standard' => q(كۇبا ئۆلچەملىك ۋاقتى),
			},
		},
		'Davis' => {
			long => {
				'standard' => q(داۋىس ۋاقتى),
			},
		},
		'DumontDUrville' => {
			long => {
				'standard' => q(دۇمونت-دۇرۋىل ۋاقتى),
			},
		},
		'East_Timor' => {
			long => {
				'standard' => q(شەرقىي تىمور ۋاقتى),
			},
		},
		'Easter' => {
			long => {
				'daylight' => q(ئېستېر ئارىلى يازلىق ۋاقتى),
				'generic' => q(ئېستېر ئارىلى ۋاقتى),
				'standard' => q(پاسكاليا ئارىلى ئۆلچەملىك ۋاقتى),
			},
		},
		'Ecuador' => {
			long => {
				'standard' => q(ئېكۋادور ۋاقتى),
			},
		},
		'Etc/Unknown' => {
			exemplarCity => q#يوچۇن شەھەر#,
		},
		'Europe/Dublin' => {
			long => {
				'daylight' => q(ئىرېلاند يازلىق ۋاقتى),
			},
		},
		'Europe/London' => {
			long => {
				'daylight' => q(ئەنگلىيە يازلىق ۋاقتى),
			},
		},
		'Europe_Central' => {
			long => {
				'daylight' => q(ئوتتۇرا ياۋروپا يازلىق ۋاقتى),
				'generic' => q(ئوتتۇرا ياۋروپا ۋاقتى),
				'standard' => q(ئوتتۇرا ياۋروپا ئۆلچەملىك ۋاقتى),
			},
		},
		'Europe_Eastern' => {
			long => {
				'daylight' => q(شەرقىي ياۋروپا يازلىق ۋاقتى),
				'generic' => q(شەرقىي ياۋروپا ۋاقتى),
				'standard' => q(شەرقىي ياۋروپا ئۆلچەملىك ۋاقتى),
			},
		},
		'Europe_Western' => {
			long => {
				'daylight' => q(غەربىي ياۋروپا يازلىق ۋاقتى),
				'generic' => q(غەربىي ياۋروپا ۋاقتى),
				'standard' => q(غەربىي ياۋروپا ئۆلچەملىك ۋاقتى),
			},
		},
		'Falkland' => {
			long => {
				'daylight' => q(فالكلاند ئاراللىرى يازلىق ۋاقتى),
				'generic' => q(فالكلاند ئاراللىرى ۋاقتى),
				'standard' => q(فالكلاند ئاراللىرى ئۆلچەملىك ۋاقتى),
			},
		},
		'Fiji' => {
			long => {
				'daylight' => q(فىجى يازلىق ۋاقتى),
				'generic' => q(فىجى ۋاقتى),
				'standard' => q(فىجى ئۆلچەملىك ۋاقتى),
			},
		},
		'French_Guiana' => {
			long => {
				'standard' => q(فىرانسىيەگە قاراشلىق گىۋىيانا ۋاقتى),
			},
		},
		'French_Southern' => {
			long => {
				'standard' => q(فىرانسىيەگە قاراشلىق جەنۇبىي ۋە ئانتاركتىكا ۋاقتى),
			},
		},
		'GMT' => {
			long => {
				'standard' => q(گىرىنۋىچ ۋاقتى),
			},
		},
		'Galapagos' => {
			long => {
				'standard' => q(گالاپاگوس ۋاقتى),
			},
		},
		'Gambier' => {
			long => {
				'standard' => q(گامبىيېر ۋاقتى),
			},
		},
		'Georgia' => {
			long => {
				'daylight' => q(گىرۇزىيە يازلىق ۋاقتى),
				'generic' => q(گىرۇزىيە ۋاقتى),
				'standard' => q(گىرۇزىيە ئۆلچەملىك ۋاقتى),
			},
		},
		'Gilbert_Islands' => {
			long => {
				'standard' => q(گىلبېرت ئاراللىرى ۋاقتى),
			},
		},
		'Greenland_Eastern' => {
			long => {
				'daylight' => q(شەرقىي گىرېنلاند يازلىق ۋاقتى),
				'generic' => q(شەرقىي گىرېنلاند ۋاقتى),
				'standard' => q(شەرقىي گىرېنلاند ئۆلچەملىك ۋاقتى),
			},
		},
		'Greenland_Western' => {
			long => {
				'daylight' => q(غەربىي گىرېنلاند يازلىق ۋاقتى),
				'generic' => q(غەربىي گىرېنلاند ۋاقتى),
				'standard' => q(غەربىي گىرېنلاند ئۆلچەملىك ۋاقتى),
			},
		},
		'Guam' => {
			long => {
				'standard' => q(گۇئام ئۆلچەملىك ۋاقتى),
			},
		},
		'Gulf' => {
			long => {
				'standard' => q(گۇلف ئۆلچەملىك ۋاقتى),
			},
		},
		'Guyana' => {
			long => {
				'standard' => q(گىۋىيانا ۋاقتى),
			},
		},
		'Hawaii_Aleutian' => {
			long => {
				'daylight' => q(ھاۋاي-ئالېيۇت يازلىق ۋاقتى),
				'generic' => q(ھاۋاي-ئالېيۇت ۋاقتى),
				'standard' => q(ھاۋاي-ئالېيۇت ئۆلچەملىك ۋاقتى),
			},
		},
		'Hong_Kong' => {
			long => {
				'daylight' => q(شياڭگاڭ يازلىق ۋاقتى),
				'generic' => q(شياڭگاڭ ۋاقتى),
				'standard' => q(شياڭگاڭ ئۆلچەملىك ۋاقتى),
			},
		},
		'Hovd' => {
			long => {
				'daylight' => q(خوۋد يازلىق ۋاقتى),
				'generic' => q(خوۋد ۋاقتى),
				'standard' => q(خوۋد ئۆلچەملىك ۋاقتى),
			},
		},
		'India' => {
			long => {
				'standard' => q(ھىندىستان ئۆلچەملىك ۋاقتى),
			},
		},
		'Indian/Reunion' => {
			exemplarCity => q#رېئونىيون#,
		},
		'Indian_Ocean' => {
			long => {
				'standard' => q(ھىندى ئوكيان ۋاقتى),
			},
		},
		'Indochina' => {
			long => {
				'standard' => q(ھىندى چىنى ۋاقتى),
			},
		},
		'Indonesia_Central' => {
			long => {
				'standard' => q(ئوتتۇرا ھىندونېزىيە ۋاقتى),
			},
		},
		'Indonesia_Eastern' => {
			long => {
				'standard' => q(شەرقىي ھىندونېزىيە ۋاقتى),
			},
		},
		'Indonesia_Western' => {
			long => {
				'standard' => q(غەربىي ھىندونېزىيە ۋاقتى),
			},
		},
		'Iran' => {
			long => {
				'daylight' => q(ئىران يازلىق ۋاقتى),
				'generic' => q(ئىران ۋاقتى),
				'standard' => q(ئىران ئۆلچەملىك ۋاقتى),
			},
		},
		'Irkutsk' => {
			long => {
				'daylight' => q(ئىركۇتسك يازلىق ۋاقتى),
				'generic' => q(ئىركۇتسك ۋاقتى),
				'standard' => q(ئىركۇتسك ئۆلچەملىك ۋاقتى),
			},
		},
		'Israel' => {
			long => {
				'daylight' => q(ئىسرائىلىيە يازلىق ۋاقتى),
				'generic' => q(ئىسرائىلىيە ۋاقتى),
				'standard' => q(ئىسرائىلىيە ئۆلچەملىك ۋاقتى),
			},
		},
		'Japan' => {
			long => {
				'daylight' => q(ياپونىيە يازلىق ۋاقتى),
				'generic' => q(ياپونىيە ۋاقتى),
				'standard' => q(ياپونىيە ئۆلچەملىك ۋاقتى),
			},
		},
		'Kamchatka' => {
			long => {
				'daylight' => q(پېتروپاۋلوۋسك-كامچاتكسكى يازلىق ۋاقتى),
				'generic' => q(پېتروپاۋلوۋسك-كامچاتكسكى ۋاقتى),
				'standard' => q(پېتروپاۋلوۋسك-كامچاتكسكى ئۆلچەملىك ۋاقتى),
			},
		},
		'Kazakhstan_Eastern' => {
			long => {
				'standard' => q(شەرقىي قازاقىستان ۋاقتى),
			},
		},
		'Kazakhstan_Western' => {
			long => {
				'standard' => q(غەربىي قازاقىستان ۋاقتى),
			},
		},
		'Korea' => {
			long => {
				'daylight' => q(كورىيە يازلىق ۋاقتى),
				'generic' => q(كورىيە ۋاقتى),
				'standard' => q(كورىيە ئۆلچەملىك ۋاقتى),
			},
		},
		'Kosrae' => {
			long => {
				'standard' => q(كوسرائې ۋاقتى),
			},
		},
		'Krasnoyarsk' => {
			long => {
				'daylight' => q(كىراسنويارسك يازلىق ۋاقتى),
				'generic' => q(كىراسنويارسك ۋاقتى),
				'standard' => q(كىراسنويارسك ئۆلچەملىك ۋاقتى),
			},
		},
		'Kyrgystan' => {
			long => {
				'standard' => q(قىرغىزىستان ۋاقتى),
			},
		},
		'Lanka' => {
			long => {
				'standard' => q(سىرى لانكا ۋاقتى),
			},
		},
		'Line_Islands' => {
			long => {
				'standard' => q(لاين ئاراللىرى ۋاقتى),
			},
		},
		'Lord_Howe' => {
			long => {
				'daylight' => q(لورد-خاي يازلىق ۋاقتى),
				'generic' => q(لورد-خاي ۋاقتى),
				'standard' => q(لورد-خاي ئۆلچەملىك ۋاقتى),
			},
		},
		'Macau' => {
			long => {
				'daylight' => q(ئاۋمېن يازلىق ۋاقتى),
				'generic' => q(ئاۋمېن ۋاقتى),
				'standard' => q(ئاۋمېن ئۆلچەملىك ۋاقتى),
			},
		},
		'Macquarie' => {
			long => {
				'standard' => q(ماككۇۋارى ئاراللىرى ۋاقتى),
			},
		},
		'Magadan' => {
			long => {
				'daylight' => q(ماگادان يازلىق ۋاقتى),
				'generic' => q(ماگادان ۋاقتى),
				'standard' => q(ماگادان ئۆلچەملىك ۋاقتى),
			},
		},
		'Malaysia' => {
			long => {
				'standard' => q(مالايشىيا ۋاقتى),
			},
		},
		'Maldives' => {
			long => {
				'standard' => q(مالدىۋې ۋاقتى),
			},
		},
		'Marquesas' => {
			long => {
				'standard' => q(ماركىز ۋاقتى),
			},
		},
		'Marshall_Islands' => {
			long => {
				'standard' => q(مارشال ئاراللىرى ۋاقتى),
			},
		},
		'Mauritius' => {
			long => {
				'daylight' => q(ماۋرىتىئۇس يازلىق ۋاقتى),
				'generic' => q(ماۋرىتىئۇس ۋاقتى),
				'standard' => q(ماۋرىتىئۇس ئۆلچەملىك ۋاقتى),
			},
		},
		'Mawson' => {
			long => {
				'standard' => q(ماۋسون ۋاقتى),
			},
		},
		'Mexico_Northwest' => {
			long => {
				'daylight' => q(مېكسىكا غەربىي شىمالىي قىسىم يازلىق ۋاقتى),
				'generic' => q(مېكسىكا غەربىي شىمالىي قىسىم ۋاقتى),
				'standard' => q(مېكسىكا غەربىي شىمالىي قىسىم ئۆلچەملىك ۋاقتى),
			},
		},
		'Mexico_Pacific' => {
			long => {
				'daylight' => q(مېكسىكا تىنچ ئوكيان يازلىق ۋاقتى),
				'generic' => q(مېكسىكا تىنچ ئوكيان ۋاقتى),
				'standard' => q(مېكسىكا تىنچ ئوكيان ئۆلچەملىك ۋاقتى),
			},
		},
		'Mongolia' => {
			long => {
				'daylight' => q(ئۇلانباتور يازلىق ۋاقتى),
				'generic' => q(ئۇلانباتور ۋاقتى),
				'standard' => q(ئۇلانباتور ئۆلچەملىك ۋاقتى),
			},
		},
		'Moscow' => {
			long => {
				'daylight' => q(موسكۋا يازلىق ۋاقتى),
				'generic' => q(موسكۋا ۋاقتى),
				'standard' => q(موسكۋا ئۆلچەملىك ۋاقتى),
			},
		},
		'Myanmar' => {
			long => {
				'standard' => q(بىرما ۋاقتى),
			},
		},
		'Nauru' => {
			long => {
				'standard' => q(ناۋرۇ ۋاقتى),
			},
		},
		'Nepal' => {
			long => {
				'standard' => q(نېپال ۋاقتى),
			},
		},
		'New_Caledonia' => {
			long => {
				'daylight' => q(يېڭى كالېدونىيە يازلىق ۋاقتى),
				'generic' => q(يېڭى كالېدونىيە ۋاقتى),
				'standard' => q(يېڭى كالېدونىيە ئۆلچەملىك ۋاقتى),
			},
		},
		'New_Zealand' => {
			long => {
				'daylight' => q(يېڭى زېلاندىيە يازلىق ۋاقتى),
				'generic' => q(يېڭى زېلاندىيە ۋاقتى),
				'standard' => q(يېڭى زېلاندىيە ئۆلچەملىك ۋاقتى),
			},
		},
		'Newfoundland' => {
			long => {
				'daylight' => q(نىۋفوئۇنلاند يازلىق ۋاقتى),
				'generic' => q(نىۋفوئۇنلاند ۋاقتى),
				'standard' => q(نىۋفوئۇنلاند ئۆلچەملىك ۋاقتى),
			},
		},
		'Niue' => {
			long => {
				'standard' => q(نىيۇئې ۋاقتى),
			},
		},
		'Norfolk' => {
			long => {
				'standard' => q(نورفولك ئاراللىرى ۋاقتى),
			},
		},
		'Noronha' => {
			long => {
				'daylight' => q(فېرناندو-نورونخا يازلىق ۋاقتى),
				'generic' => q(فېرناندو-نورونخا ۋاقتى),
				'standard' => q(فېرناندو-نورونخا ئۆلچەملىك ۋاقتى),
			},
		},
		'North_Mariana' => {
			long => {
				'standard' => q(شىمالىي مارىيانا ئاراللىرى ۋاقتى),
			},
		},
		'Novosibirsk' => {
			long => {
				'daylight' => q(نوۋوسىبىرسك يازلىق ۋاقتى),
				'generic' => q(نوۋوسىبىرسك ۋاقتى),
				'standard' => q(نوۋوسىبىرسك ئۆلچەملىك ۋاقتى),
			},
		},
		'Omsk' => {
			long => {
				'daylight' => q(ئومسك يازلىق ۋاقتى),
				'generic' => q(ئومسك ۋاقتى),
				'standard' => q(ئومسك ئۆلچەملىك ۋاقتى),
			},
		},
		'Pakistan' => {
			long => {
				'daylight' => q(پاكىستان يازلىق ۋاقتى),
				'generic' => q(پاكىستان ۋاقتى),
				'standard' => q(پاكىستان ئۆلچەملىك ۋاقتى),
			},
		},
		'Palau' => {
			long => {
				'standard' => q(پالاۋ ۋاقتى),
			},
		},
		'Papua_New_Guinea' => {
			long => {
				'standard' => q(پاپۇئا يېڭى گىۋىنېيەسى ۋاقتى),
			},
		},
		'Paraguay' => {
			long => {
				'daylight' => q(پاراگۋاي يازلىق ۋاقتى),
				'generic' => q(پاراگۋاي ۋاقتى),
				'standard' => q(پاراگۋاي ئۆلچەملىك ۋاقتى),
			},
		},
		'Peru' => {
			long => {
				'daylight' => q(پېرۇ يازلىق ۋاقتى),
				'generic' => q(پېرۇ ۋاقتى),
				'standard' => q(پېرۇ ئۆلچەملىك ۋاقتى),
			},
		},
		'Philippines' => {
			long => {
				'daylight' => q(فىلىپپىن يازلىق ۋاقتى),
				'generic' => q(فىلىپپىن ۋاقتى),
				'standard' => q(فىلىپپىن ئۆلچەملىك ۋاقتى),
			},
		},
		'Phoenix_Islands' => {
			long => {
				'standard' => q(فېنىكس ئاراللىرى ۋاقتى),
			},
		},
		'Pierre_Miquelon' => {
			long => {
				'daylight' => q(ساينىت پىئېر ۋە مىكېلون يازلىق ۋاقتى),
				'generic' => q(ساينىت پىئېر ۋە مىكېلون ۋاقتى),
				'standard' => q(ساينىت پىئېر ۋە مىكېلون ئۆلچەملىك ۋاقتى),
			},
		},
		'Pitcairn' => {
			long => {
				'standard' => q(پىتكاير ۋاقتى),
			},
		},
		'Ponape' => {
			long => {
				'standard' => q(پونپېي ۋاقتى),
			},
		},
		'Qyzylorda' => {
			long => {
				'daylight' => q(قىزىلئوردا يازلىق ۋاقتى),
				'generic' => q(قىزىلئوردا ۋاقتى),
				'standard' => q(قىزىلئوردا ئۆلچەملىك ۋاقتى),
			},
		},
		'Reunion' => {
			long => {
				'standard' => q(رېئونىيون ۋاقتى),
			},
		},
		'Rothera' => {
			long => {
				'standard' => q(روتېرا ۋاقتى),
			},
		},
		'Sakhalin' => {
			long => {
				'daylight' => q(ساخارىن يازلىق ۋاقتى),
				'generic' => q(ساخارىن ۋاقتى),
				'standard' => q(ساخارىن ئۆلچەملىك ۋاقتى),
			},
		},
		'Samara' => {
			long => {
				'daylight' => q(سامارا يازلىق ۋاقتى),
				'generic' => q(سامارا ۋاقتى),
				'standard' => q(سامارا ئۆلچەملىك ۋاقتى),
			},
		},
		'Samoa' => {
			long => {
				'daylight' => q(سەمەرقەنت يازلىق ۋاقتى),
				'generic' => q(ساموئا ۋاقتى),
				'standard' => q(ساموئا ئۆلچەملىك ۋاقتى),
			},
		},
		'Seychelles' => {
			long => {
				'standard' => q(سېيشېل ۋاقتى),
			},
		},
		'Singapore' => {
			long => {
				'standard' => q(سىنگاپور ۋاقتى),
			},
		},
		'Solomon' => {
			long => {
				'standard' => q(سولومون ئاراللىرى ۋاقتى),
			},
		},
		'South_Georgia' => {
			long => {
				'standard' => q(جەنۇبىي جورجىيە ۋاقتى),
			},
		},
		'Suriname' => {
			long => {
				'standard' => q(سۇرىنام ۋاقتى),
			},
		},
		'Syowa' => {
			long => {
				'standard' => q(شوۋا ۋاقتى),
			},
		},
		'Tahiti' => {
			long => {
				'standard' => q(تايتى ۋاقتى),
			},
		},
		'Taipei' => {
			long => {
				'daylight' => q(تەيبېي يازلىق ۋاقتى),
				'generic' => q(تەيبېي ۋاقتى),
				'standard' => q(تەيبېي ئۆلچەملىك ۋاقتى),
			},
		},
		'Tajikistan' => {
			long => {
				'standard' => q(تاجىكىستان ۋاقتى),
			},
		},
		'Tokelau' => {
			long => {
				'standard' => q(توكېلاۋ ۋاقتى),
			},
		},
		'Tonga' => {
			long => {
				'daylight' => q(تونگا يازلىق ۋاقتى),
				'generic' => q(تونگا ۋاقتى),
				'standard' => q(تونگا ئۆلچەملىك ۋاقتى),
			},
		},
		'Truk' => {
			long => {
				'standard' => q(چۇك ۋاقتى),
			},
		},
		'Turkmenistan' => {
			long => {
				'daylight' => q(تۈركمەنىستان يازلىق ۋاقتى),
				'generic' => q(تۈركمەنىستان ۋاقتى),
				'standard' => q(تۈركمەنىستان ئۆلچەملىك ۋاقتى),
			},
		},
		'Tuvalu' => {
			long => {
				'standard' => q(تۇۋالۇ ۋاقتى),
			},
		},
		'Uruguay' => {
			long => {
				'daylight' => q(ئۇرۇگۋاي يازلىق ۋاقتى),
				'generic' => q(ئۇرۇگۋاي ۋاقتى),
				'standard' => q(ئۇرۇگۋاي ئۆلچەملىك ۋاقتى),
			},
		},
		'Uzbekistan' => {
			long => {
				'daylight' => q(ئۆزبېكىستان يازلىق ۋاقتى),
				'generic' => q(ئۆزبېكىستان ۋاقتى),
				'standard' => q(ئۆزبېكىستان ئۆلچەملىك ۋاقتى),
			},
		},
		'Vanuatu' => {
			long => {
				'daylight' => q(ۋانۇئاتۇ يازلىق ۋاقتى),
				'generic' => q(ۋانۇئاتۇ ۋاقتى),
				'standard' => q(ۋانۇئاتۇ ئۆلچەملىك ۋاقتى),
			},
		},
		'Venezuela' => {
			long => {
				'standard' => q(ۋېنېزۇئېلا ۋاقتى),
			},
		},
		'Vladivostok' => {
			long => {
				'daylight' => q(ۋىلادىۋوستوك يازلىق ۋاقتى),
				'generic' => q(ۋىلادىۋوستوك ۋاقتى),
				'standard' => q(ۋىلادىۋوستوك ئۆلچەملىك ۋاقتى),
			},
		},
		'Volgograd' => {
			long => {
				'daylight' => q(ۋولگاگراد يازلىق ۋاقتى),
				'generic' => q(ۋولگاگراد ۋاقتى),
				'standard' => q(ۋولگاگراد ئۆلچەملىك ۋاقتى),
			},
		},
		'Vostok' => {
			long => {
				'standard' => q(ۋوستوك ۋاقتى),
			},
		},
		'Wake' => {
			long => {
				'standard' => q(ۋېيك ئارىلى ۋاقتى),
			},
		},
		'Wallis' => {
			long => {
				'standard' => q(ۋاللىس ۋە فۇتۇنا ۋاقتى),
			},
		},
		'Yakutsk' => {
			long => {
				'daylight' => q(ياكۇتسك يازلىق ۋاقتى),
				'generic' => q(ياكۇتسك ۋاقتى),
				'standard' => q(ياكۇتسك ئۆلچەملىك ۋاقتى),
			},
		},
		'Yekaterinburg' => {
			long => {
				'daylight' => q(يېكاتېرىنبۇرگ يازلىق ۋاقتى),
				'generic' => q(يېكاتېرىنبۇرگ ۋاقتى),
				'standard' => q(يېكاتېرىنبۇرگ ئۆلچەملىك ۋاقتى),
			},
		},
	 } }
);
no Moose;
__PACKAGE__->meta->make_immutable;

1;

# vim: tabstop=4
